--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: alarm; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE alarm (
    alarm_id character varying(255) NOT NULL,
    alarm_message character varying(255),
    alarm_occured timestamp without time zone,
    alarm_resolved timestamp without time zone,
    alarm_severity character varying(64),
    alarm_state character varying(64),
    state_flag character varying(16),
    state_last_synchronized bigint,
    state_last_updated bigint,
    ci_id character varying(255) NOT NULL
);


ALTER TABLE public.alarm OWNER TO etluser_bms;

--
-- Name: cable_type; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE cable_type (
    id character varying(255) NOT NULL,
    blue smallint NOT NULL,
    description character varying(255) NOT NULL,
    green smallint NOT NULL,
    red smallint NOT NULL,
    CONSTRAINT cable_type_check CHECK (((((((red >= 0) AND (red <= 255)) AND (blue >= 0)) AND (blue <= 255)) AND (green >= 0)) AND (green <= 255)))
);


ALTER TABLE public.cable_type OWNER TO etluser_bms;

--
-- Name: change_ticket; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE change_ticket (
    ticket_id character varying(32) NOT NULL,
    assignee character varying(64),
    comment character varying(3000),
    due_date bigint,
    state_flag character varying(16),
    state_last_synchronized bigint,
    state_last_updated bigint,
    summary character varying(128),
    priority integer NOT NULL,
    status_order integer NOT NULL
);


ALTER TABLE public.change_ticket OWNER TO etluser_bms;

--
-- Name: change_ticket_priority; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE change_ticket_priority (
    priority integer NOT NULL,
    state_flag character varying(16),
    state_last_synchronized bigint,
    state_last_updated bigint,
    priority_message character varying(32)
);


ALTER TABLE public.change_ticket_priority OWNER TO etluser_bms;

--
-- Name: change_ticket_status; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE change_ticket_status (
    status_order integer NOT NULL,
    state_flag character varying(16),
    state_last_synchronized bigint,
    state_last_updated bigint,
    message character varying(32)
);


ALTER TABLE public.change_ticket_status OWNER TO etluser_bms;

--
-- Name: configuration_item; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE configuration_item (
    ci_id character varying(255) NOT NULL,
    ci_description character varying(255),
    ci_fingerprint character varying(255),
    ci_ip_address character varying(255),
    ci_location character varying(255),
    ci_manufacturer character varying(255),
    ci_model_name character varying(255),
    ci_model_number character varying(255),
    ci_name character varying(255),
    ci_serial_number character varying(255),
    state_flag character varying(16),
    state_last_synchronized bigint,
    state_last_updated bigint,
    cit_id integer NOT NULL
);


ALTER TABLE public.configuration_item OWNER TO etluser_bms;

--
-- Name: configuration_item_measurement; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE configuration_item_measurement (
    cim_id character varying(255) NOT NULL,
    cim_interval_endtime bigint,
    cim_interval_starttime bigint,
    state_flag character varying(16),
    state_last_synchronized bigint,
    state_last_updated bigint,
    cim_subid character varying(255),
    cim_value double precision,
    mc_id integer NOT NULL,
    mt_id integer NOT NULL,
    mu_id integer NOT NULL,
    ci_id character varying(255) NOT NULL
);


ALTER TABLE public.configuration_item_measurement OWNER TO etluser_bms;

--
-- Name: configuration_item_property; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE configuration_item_property (
    ci_id character varying(255) NOT NULL,
    cip_name character varying(255) NOT NULL,
    state_flag character varying(16),
    state_last_synchronized bigint,
    state_last_updated bigint,
    cip_value character varying(255),
    pt_id integer NOT NULL
);


ALTER TABLE public.configuration_item_property OWNER TO etluser_bms;

--
-- Name: configuration_item_relation; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE configuration_item_relation (
    cir_id character varying(255) NOT NULL,
    state_flag character varying(16),
    state_last_synchronized bigint,
    state_last_updated bigint,
    ci_id_a character varying(255) NOT NULL,
    ci_id_b character varying(255) NOT NULL,
    rt_id integer NOT NULL
);


ALTER TABLE public.configuration_item_relation OWNER TO etluser_bms;

--
-- Name: configuration_item_type; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE configuration_item_type (
    cit_id integer NOT NULL,
    cit_text character varying(32)
);


ALTER TABLE public.configuration_item_type OWNER TO etluser_bms;

--
-- Name: measurement_class; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE measurement_class (
    mc_id integer NOT NULL,
    mc_text character varying(32)
);


ALTER TABLE public.measurement_class OWNER TO etluser_bms;

--
-- Name: measurement_type; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE measurement_type (
    mt_id integer NOT NULL,
    mt_text character varying(32)
);


ALTER TABLE public.measurement_type OWNER TO etluser_bms;

--
-- Name: measurement_unit; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE measurement_unit (
    mu_id integer NOT NULL,
    mu_text character varying(16)
);


ALTER TABLE public.measurement_unit OWNER TO etluser_bms;

--
-- Name: network_connection; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE network_connection (
    id character varying(255) NOT NULL,
    barcode character varying(255),
    description character varying(255),
    from_connector_type character varying(255) NOT NULL,
    from_module_name character varying(255),
    from_port_number integer NOT NULL,
    install_date timestamp without time zone,
    is_from_patch_panel_rear integer,
    is_to_patch_panel_rear integer,
    length double precision,
    manufacturer character varying(255),
    model_name character varying(255),
    name character varying(255),
    part_number character varying(255),
    serial_number character varying(255),
    state_flag character varying(16),
    state_last_synchronized bigint,
    state_last_updated bigint,
    to_connector_type character varying(255) NOT NULL,
    to_module_name character varying(255),
    to_port_number integer NOT NULL,
    cable_type_id character varying(255),
    from_id character varying(255) NOT NULL,
    to_id character varying(255) NOT NULL
);


ALTER TABLE public.network_connection OWNER TO etluser_bms;

--
-- Name: performance_data_point; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE performance_data_point (
    conf_id character varying(255) NOT NULL,
    step_id character varying(255) NOT NULL,
    "timestamp" bigint NOT NULL,
    conf_name character varying(255),
    duration_ns bigint,
    occurences integer
);


ALTER TABLE public.performance_data_point OWNER TO etluser_bms;

--
-- Name: port_configuration; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE port_configuration (
    connector_type character varying(255) NOT NULL,
    module_name character varying(255) NOT NULL,
    start_port integer NOT NULL,
    port_count integer,
    port_speed character varying(255),
    state_flag character varying(16),
    state_last_synchronized bigint,
    state_last_updated bigint,
    ci_id character varying(255) NOT NULL
);


ALTER TABLE public.port_configuration OWNER TO etluser_bms;

--
-- Name: property_type; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE property_type (
    pt_id integer NOT NULL,
    pt_text character varying(32)
);


ALTER TABLE public.property_type OWNER TO etluser_bms;

--
-- Name: relation_endpoint_property; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE relation_endpoint_property (
    ci_id character varying(255) NOT NULL,
    rep_name character varying(255) NOT NULL,
    cir_id character varying(255) NOT NULL,
    state_flag character varying(16),
    state_last_synchronized bigint,
    state_last_updated bigint,
    rep_value character varying(255),
    rept_id integer
);


ALTER TABLE public.relation_endpoint_property OWNER TO etluser_bms;

--
-- Name: relation_endpoint_property_type; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE relation_endpoint_property_type (
    rept_id integer NOT NULL,
    rept_text character varying(32)
);


ALTER TABLE public.relation_endpoint_property_type OWNER TO etluser_bms;

--
-- Name: relation_property; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE relation_property (
    rp_name character varying(255) NOT NULL,
    cir_id character varying(255) NOT NULL,
    state_flag character varying(16),
    state_last_synchronized bigint,
    state_last_updated bigint,
    rp_value character varying(255),
    rpt_id integer NOT NULL
);


ALTER TABLE public.relation_property OWNER TO etluser_bms;

--
-- Name: relation_property_type; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE relation_property_type (
    rpt_id integer NOT NULL,
    rpt_text character varying(32)
);


ALTER TABLE public.relation_property_type OWNER TO etluser_bms;

--
-- Name: relation_type; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE relation_type (
    rt_id integer NOT NULL,
    rt_text character varying(32)
);


ALTER TABLE public.relation_type OWNER TO etluser_bms;

--
-- Name: schema_version; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE schema_version (
    schema_version character varying(16) NOT NULL
);


ALTER TABLE public.schema_version OWNER TO etluser_bms;

--
-- Name: synchronization_status; Type: TABLE; Schema: public; Owner: etluser_bms; Tablespace: 
--

CREATE TABLE synchronization_status (
    configuration_name character varying(255) NOT NULL,
    synchronizer_name character varying(255) NOT NULL,
    "timestamp" bigint NOT NULL,
    deleted_objects bigint,
    new_objects bigint,
    updated_objects bigint
);


ALTER TABLE public.synchronization_status OWNER TO etluser_bms;

--
-- Data for Name: alarm; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY alarm (alarm_id, alarm_message, alarm_occured, alarm_resolved, alarm_severity, alarm_state, state_flag, state_last_synchronized, state_last_updated, ci_id) FROM stdin;
PDU_dx_error	PDU DX Error	\N	\N	error	Resolved	synced	1446596532779	1446596522426	PDU DX
PDU_sx_error	PDU SX Error	\N	\N	error	Resolved	synced	1446596532780	1446596522426	PDU SX
UPS1_Humidity	Humidity too high	\N	\N	warning	Resolved	synced	1446596532780	1446596522426	UPS DX
UPS1_Input_voltage	UPS 1 Input voltage too high	\N	\N	failure	Resolved	synced	1446596532780	1446596522426	UPS DX
UPS2_battery	UPS 2 battery maintenance required	\N	\N	critical	Resolved	synced	1446596532780	1446596522426	UPS SX
UPS2_bypass	UPS 2 bypass ON	\N	\N	error	Resolved	synced	1446596532780	1446596522426	UPS SX
UPS2_Humidity	Humidity too high	\N	\N	warning	Resolved	synced	1446596532780	1446596522426	UPS SX
UPS2_Input_voltage	UPS 2 Input voltage too high	\N	\N	failure	Resolved	synced	1446596532780	1446596522426	UPS SX
UPS1_battery	UPS 1 battery maintenance required	\N	\N	critical	Resolved	synced	1446644553746	1446644543260	UPS DX
UPS1_bypass	UPS 1 bypass ON	\N	\N	error	Resolved	synced	1446644553746	1446644543260	UPS DX
\.


--
-- Data for Name: cable_type; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY cable_type (id, blue, description, green, red) FROM stdin;
\.


--
-- Data for Name: change_ticket; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY change_ticket (ticket_id, assignee, comment, due_date, state_flag, state_last_synchronized, state_last_updated, summary, priority, status_order) FROM stdin;
\.


--
-- Data for Name: change_ticket_priority; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY change_ticket_priority (priority, state_flag, state_last_synchronized, state_last_updated, priority_message) FROM stdin;
\.


--
-- Data for Name: change_ticket_status; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY change_ticket_status (status_order, state_flag, state_last_synchronized, state_last_updated, message) FROM stdin;
\.


--
-- Data for Name: configuration_item; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY configuration_item (ci_id, ci_description, ci_fingerprint, ci_ip_address, ci_location, ci_manufacturer, ci_model_name, ci_model_number, ci_name, ci_serial_number, state_flag, state_last_synchronized, state_last_updated, cit_id) FROM stdin;
PDU DX	\N	\N	\N	\N	\N	\N	\N	PDU DX	\N	synced	1446596532487	\N	19
PDU SX	\N	\N	\N	\N	\N	\N	\N	PDU SX	\N	synced	1446596532487	\N	19
Sensor 1	\N	\N	\N	\N	\N	\N	\N	Sensor 1	\N	synced	1446596532487	\N	2
Sensor 10	\N	\N	\N	\N	\N	\N	\N	Sensor 10	\N	synced	1446596532487	\N	2
Sensor 11	\N	\N	\N	\N	\N	\N	\N	Sensor 11	\N	synced	1446596532487	\N	2
Sensor 12	\N	\N	\N	\N	\N	\N	\N	Sensor 12	\N	synced	1446596532487	\N	2
Sensor 2	\N	\N	\N	\N	\N	\N	\N	Sensor 2	\N	synced	1446596532487	\N	2
Sensor 3	\N	\N	\N	\N	\N	\N	\N	Sensor 3	\N	synced	1446596532487	\N	2
Sensor 4	\N	\N	\N	\N	\N	\N	\N	Sensor 4	\N	synced	1446596532487	\N	2
Sensor 5	\N	\N	\N	\N	\N	\N	\N	Sensor 5	\N	synced	1446596532487	\N	2
Sensor 6	\N	\N	\N	\N	\N	\N	\N	Sensor 6	\N	synced	1446596532487	\N	2
Sensor 7	\N	\N	\N	\N	\N	\N	\N	Sensor 7	\N	synced	1446596532487	\N	2
Sensor 8	\N	\N	\N	\N	\N	\N	\N	Sensor 8	\N	synced	1446596532487	\N	2
Sensor 9	\N	\N	\N	\N	\N	\N	\N	Sensor 9	\N	synced	1446596532487	\N	2
UPS DX	\N	\N	\N	\N	\N	\N	\N	UPS DX	\N	synced	1446596532487	\N	29
UPS SX	\N	\N	\N	\N	\N	\N	\N	UPS SX	\N	synced	1446596532487	\N	29
\.


--
-- Data for Name: configuration_item_measurement; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY configuration_item_measurement (cim_id, cim_interval_endtime, cim_interval_starttime, state_flag, state_last_synchronized, state_last_updated, cim_subid, cim_value, mc_id, mt_id, mu_id, ci_id) FROM stdin;
Sensor 8.TMP_peak	\N	\N	synced	1447640710523	1446596260770	Temp sensor #8_peak	22	26	2	15	Sensor 8
Sensor 9.TMP_peak	\N	\N	synced	1447640710523	1446596260770	Temp sensor #9_peak	25	26	2	15	Sensor 9
PDU 1.P_1_avg	\N	\N	synced	1447640710523	1446596260770	PDU 1 Phase 1_avg	10.3599999999999994	11	3	2	PDU DX
PDU 1.P_1_peak	\N	\N	synced	1447640710523	1446596260770	PDU 1 Phase 1_peak	14.8000000000000007	11	2	2	PDU DX
PDU 1.P_2_avg	\N	\N	synced	1447640710523	1446596260770	PDU 1 Phase 2_avg	7.91000000000000014	12	3	2	PDU DX
PDU 1.P_2_peak	\N	\N	synced	1447640710523	1446596260770	PDU 1 Phase 2_peak	11.3000000000000007	12	2	2	PDU DX
PDU 1.P_3_avg	\N	\N	synced	1447640710523	1446596260770	PDU 1 Phase 3_avg	8.26000000000000156	13	3	2	PDU DX
PDU 1.P_3_peak	\N	\N	synced	1447640710523	1446596260770	PDU 1 Phase 3_peak	11.8000000000000007	13	2	2	PDU DX
PDU 2.P_1_avg	\N	\N	synced	1447640710523	1446596260770	PDU 2 Phase 1_avg	10.2199999999999989	11	3	2	PDU SX
PDU 2.P_1_peak	\N	\N	synced	1447640710523	1446596260770	PDU 2 Phase 1_peak	14.5999999999999996	11	2	2	PDU SX
PDU 2.P_3_avg	\N	\N	synced	1447640710523	1446596260770	PDU 2 Phase 3_avg	6.78999999999999915	13	3	2	PDU SX
PDU 2.P_2_peak	\N	\N	synced	1447640710523	1446596260770	PDU 2 Phase 2_peak	13.5	12	2	2	PDU SX
PDU 2.P_3_peak	\N	\N	synced	1447640710523	1446596260770	PDU 2 Phase 3_peak	9.69999999999999929	13	2	2	PDU SX
PDU 2.P_2_avg	\N	\N	synced	1447640710523	1446596260770	PDU 2 Phase 2_avg	9.44999999999999929	12	3	2	PDU SX
Sensor 11.TMP_peak	\N	\N	synced	1447640710523	1446596260770	Temp sensor #11_peak	20	26	2	15	Sensor 11
Sensor 10.TMP_peak	\N	\N	synced	1447640710523	1446596260770	Temp sensor #10_peak	23	26	2	15	Sensor 10
Sensor 12.TMP_peak	\N	\N	synced	1447640710523	1446596260770	Temp sensor #12_peak	22	26	2	15	Sensor 12
Sensor 2.TMP_peak	\N	\N	synced	1447640710523	1446596260770	Temp sensor #2_peak	23	26	2	15	Sensor 2
Sensor 1.TMP_peak	\N	\N	synced	1447640710523	1446596260770	Temp sensor #1_peak	25	26	2	15	Sensor 1
Sensor 3.TMP_peak	\N	\N	synced	1447640710523	1446596260770	Temp sensor #3_peak	20	26	2	15	Sensor 3
Sensor 6.TMP_peak	\N	\N	synced	1447640710523	1446596260770	Temp sensor #6_peak	23	26	2	15	Sensor 6
Sensor 4.TMP_peak	\N	\N	synced	1447640710523	1446596260770	Temp sensor #4_peak	22	26	2	15	Sensor 4
Sensor 7.TMP_peak	\N	\N	synced	1447640710523	1446596260770	Temp sensor #7_peak	20	26	2	15	Sensor 7
Sensor 5.TMP_peak	\N	\N	synced	1447640710523	1446596260770	Temp sensor #5_peak	25	26	2	15	Sensor 5
UPS 1.P_1_avg	\N	\N	synced	1447640710523	1446596260770	UPS 1 Phase 1_avg	10.3599999999999994	11	3	2	UPS DX
UPS 1.P_1_peak	\N	\N	synced	1447640710523	1446596260770	UPS 1 Phase 1_peak	14.8000000000000007	11	2	2	UPS DX
UPS 1.P_2_avg	\N	\N	synced	1447640710523	1446596260770	UPS 1 Phase 2_avg	7.91000000000000014	12	3	2	UPS DX
UPS 1.P_2_peak	\N	\N	synced	1447640710523	1446596260770	UPS 1 Phase 2_peak	11.3000000000000007	12	2	2	UPS DX
UPS 1.P_3_avg	\N	\N	synced	1447640710523	1446596260770	UPS 1 Phase 3_avg	8.26000000000000156	13	3	2	UPS DX
UPS 1.P_3_peak	\N	\N	synced	1447640710523	1446596260770	UPS 1 Phase 3_peak	11.8000000000000007	13	2	2	UPS DX
UPS 2.P_1_avg	\N	\N	synced	1447640710523	1446596260770	UPS 2 Phase 1_avg	10.2199999999999989	11	3	2	UPS SX
UPS 2.P_1_peak	\N	\N	synced	1447640710523	1446596260770	UPS 2 Phase 1_peak	14.5999999999999996	11	2	2	UPS SX
UPS 2.P_2_avg	\N	\N	synced	1447640710523	1446596260770	UPS 2 Phase 2_avg	9.44999999999999929	12	3	2	UPS SX
UPS 2.P_2_peak	\N	\N	synced	1447640710523	1446596260770	UPS 2 Phase 2_peak	13.5	12	2	2	UPS SX
UPS 2.P_3_avg	\N	\N	synced	1447640710523	1446596260770	UPS 2 Phase 3_avg	6.78999999999999915	13	3	2	UPS SX
UPS 2.P_3_peak	\N	\N	synced	1447640710523	1446596260770	UPS 2 Phase 3_peak	9.69999999999999929	13	2	2	UPS SX
\.


--
-- Data for Name: configuration_item_property; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY configuration_item_property (ci_id, cip_name, state_flag, state_last_synchronized, state_last_updated, cip_value, pt_id) FROM stdin;
\.


--
-- Data for Name: configuration_item_relation; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY configuration_item_relation (cir_id, state_flag, state_last_synchronized, state_last_updated, ci_id_a, ci_id_b, rt_id) FROM stdin;
\.


--
-- Data for Name: configuration_item_type; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY configuration_item_type (cit_id, cit_text) FROM stdin;
0	UNSPECIFIED
1	SERVER
2	SENSOR
3	AC
4	BATTERY_MANAGER
5	BRANCH_CIRCUIT_MONITOR
6	CAMERA_POD
7	CCTV_POD
8	CHILLER
9	CONSOLE_PORT_SERVER
10	DC_RECTIFIER
11	ENVIRONMENT
12	GENERATOR
13	INFRASTRUXURE
14	KVM_SWITCH
15	NETBOTZ_WALL
16	NETBOTZ_RACK
17	NETBOTZ_ENCLOSURE
18	NETWORK_DEVICE
19	POWER_DISTRIBUTION
20	POWER_METER
21	RACK_ACCESS_DEVICE
22	RACK_MANAGER
23	RACK_POWER_DISTRIBUTION
24	SENSOR_POD
25	SHARED_DEVICE
26	SNMP_DEVICE
27	STATIC_TRANSFER_SWITCH
28	TRANSFER_SWITCH
29	UPS
30	FAN_MODULE
31	IO_CARD
32	PSU
33	UCS_CHASSIS
34	UCS_MANAGER
35	UCS_SERVER
36	BLADE
37	VIRTUAL_MACHINE
38	DESKTOP_COMPUTER
39	NETWORK_SWITCH
\.


--
-- Data for Name: measurement_class; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY measurement_class (mc_id, mc_text) FROM stdin;
0	UNSPECIFIED
1	CPU_UTILIZATION
2	CPU_IDLE
3	CPU_WAIT
4	MEMORY_USAGE
5	MEMORY_SWAP
6	DISK_IO
7	DISK_LATENCY
8	NET_IO
9	POWER
10	POWER_SINGLE_PHASE
11	POWER_L1
12	POWER_L2
13	POWER_L3
14	CURRENT
15	CURRENT_SINGLE_PHASE
16	CURRENT_L1
17	CURRENT_L2
18	CURRENT_L3
19	VOLTAGE
20	VOLTAGE_SINGLE_PHASE
21	VOLTAGE_L1
22	VOLTAGE_L2
23	VOLTAGE_L3
24	TEMPERATURE_INLET
25	TEMPERATURE_OUTLET
26	TEMPERATURE_AMBIENT
27	HUMIDITY_ABSOLUTE
28	HUMIDITY_RELATIVE
29	PRESSURE
30	VELOCITY
31	TIME
32	TIME_ELAPSED
33	TIME_REMAINING
34	FREQUENCY
35	FLOW
36	VOLUME
37	APPARENT_POWER
38	ACTIVE_POWER
39	POWER_FACTOR
40	TEMPERATURE_DELTA
\.


--
-- Data for Name: measurement_type; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY measurement_type (mt_id, mt_text) FROM stdin;
0	UNSPECIFIED
1	MINIMUM
2	MAXIMUM
3	AVERAGE
4	POINT
\.


--
-- Data for Name: measurement_unit; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY measurement_unit (mu_id, mu_text) FROM stdin;
0	UNKNOWN
1	W
2	kW
3	MW
4	PCT
5	PML
6	B
7	kB
8	MB
9	GB
10	TB
11	PB
12	EB
13	K
14	F
15	C
16	RPM
17	MPS
18	bar
19	psi
20	s
21	ms
22	mys
23	ns
24	BPS
25	KBPS
26	MBPS
27	GBPS
28	TBPS
29	V
30	kV
31	A
32	mA
33	CFM
34	GKG
35	RH
36	VA
37	Wh
38	kWh
39	MWh
40	VAh
41	kVAh
42	MVAh
43	J
44	UNITLESS
\.


--
-- Data for Name: network_connection; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY network_connection (id, barcode, description, from_connector_type, from_module_name, from_port_number, install_date, is_from_patch_panel_rear, is_to_patch_panel_rear, length, manufacturer, model_name, name, part_number, serial_number, state_flag, state_last_synchronized, state_last_updated, to_connector_type, to_module_name, to_port_number, cable_type_id, from_id, to_id) FROM stdin;
\.


--
-- Data for Name: performance_data_point; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY performance_data_point (conf_id, step_id, "timestamp", conf_name, duration_ns, occurences) FROM stdin;
\.


--
-- Data for Name: port_configuration; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY port_configuration (connector_type, module_name, start_port, port_count, port_speed, state_flag, state_last_synchronized, state_last_updated, ci_id) FROM stdin;
\.


--
-- Data for Name: property_type; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY property_type (pt_id, pt_text) FROM stdin;
0	UNSPECIFIED
1	TAG
2	PROPERTY
3	GENOME
4	ASSETPROPERTY
\.


--
-- Data for Name: relation_endpoint_property; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY relation_endpoint_property (ci_id, rep_name, cir_id, state_flag, state_last_synchronized, state_last_updated, rep_value, rept_id) FROM stdin;
\.


--
-- Data for Name: relation_endpoint_property_type; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY relation_endpoint_property_type (rept_id, rept_text) FROM stdin;
0	UNSPECIFIED
1	NETWORK_PORT_NUMBER
2	NETWORK_PORT_TYPE
3	NETWORK_MODULE_NAME
4	NETWORK_PORT_SPEED
5	REAR_CONNECTED_PORT
\.


--
-- Data for Name: relation_property; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY relation_property (rp_name, cir_id, state_flag, state_last_synchronized, state_last_updated, rp_value, rpt_id) FROM stdin;
\.


--
-- Data for Name: relation_property_type; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY relation_property_type (rpt_id, rpt_text) FROM stdin;
0	UNSPECIFIED
1	CABLE_ROUTING
2	SOFTWARE_ENVIRONMENT
\.


--
-- Data for Name: relation_type; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY relation_type (rt_id, rt_text) FROM stdin;
0	unspecified
1	a_inside_b
2	b_inside_a
3	a_powered_by_b
4	b_powered_by_a
5	a_connected_to_b
6	a_placed_left_of_b
7	a_placed_right_of_b
8	a_placed_in_front_of_b
9	a_placed_behind_b
10	a_placed_under_b
11	a_placed_above_b
12	a_vm_inside_b
\.


--
-- Data for Name: schema_version; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY schema_version (schema_version) FROM stdin;
1.0.0
\.


--
-- Data for Name: synchronization_status; Type: TABLE DATA; Schema: public; Owner: etluser_bms
--

COPY synchronization_status (configuration_name, synchronizer_name, "timestamp", deleted_objects, new_objects, updated_objects) FROM stdin;
BMS	ConfigurationItemSynchronizer	1446596532505	0	16	0
BMS	ConnectorSynchronizer (import)	1446596532562	0	0	0
BMS	MeasurementSynchronizer	1446596532586	0	0	36
BMS	WorkOrderSynchronizer	1446596532662	0	0	0
BMS	TagSynchronizer	1446596532705	0	0	0
BMS	PropertySynchronizer	1446596532768	0	0	0
BMS	AlarmSynchronizer	1446596532783	10	10	10
BMS	ConnectorSynchronizer (import)	1446596675535	0	0	0
BMS	MeasurementSynchronizer	1446596675560	0	0	36
BMS	WorkOrderSynchronizer	1446596675610	0	0	0
BMS	TagSynchronizer	1446596675635	0	0	0
BMS	PropertySynchronizer	1446596675665	0	0	0
BMS	AlarmSynchronizer	1446596675677	0	0	0
BMS	ConnectorSynchronizer (import)	1446596710540	0	0	0
BMS	MeasurementSynchronizer	1446596710559	0	0	36
BMS	WorkOrderSynchronizer	1446596710593	0	0	0
BMS	TagSynchronizer	1446596710621	0	0	0
BMS	PropertySynchronizer	1446596710655	0	0	0
BMS	AlarmSynchronizer	1446596710667	0	0	0
BMS	ConnectorSynchronizer (import)	1446596735562	0	0	0
BMS	MeasurementSynchronizer	1446596735581	0	0	36
BMS	WorkOrderSynchronizer	1446596735614	0	0	0
BMS	TagSynchronizer	1446596735650	0	0	0
BMS	PropertySynchronizer	1446596735686	0	0	0
BMS	AlarmSynchronizer	1446596735697	0	0	0
BMS	ConnectorSynchronizer (import)	1446596754606	0	0	0
BMS	MeasurementSynchronizer	1446596754624	0	0	36
BMS	WorkOrderSynchronizer	1446596754659	0	0	0
BMS	TagSynchronizer	1446596754694	0	0	0
BMS	PropertySynchronizer	1446596754729	0	0	0
BMS	AlarmSynchronizer	1446596754741	0	0	0
BMS	ConnectorSynchronizer (import)	1446597010587	0	0	0
BMS	MeasurementSynchronizer	1446597010608	0	0	36
BMS	WorkOrderSynchronizer	1446597010656	0	0	0
BMS	TagSynchronizer	1446597010701	0	0	0
BMS	PropertySynchronizer	1446597010747	0	0	0
BMS	AlarmSynchronizer	1446597010763	0	0	0
BMS	ConnectorSynchronizer (import)	1446626031750	0	0	0
BMS	MeasurementSynchronizer	1446626031804	0	0	36
BMS	WorkOrderSynchronizer	1446626031964	0	0	0
BMS	TagSynchronizer	1446626032095	0	0	0
BMS	PropertySynchronizer	1446626032179	0	0	0
BMS	AlarmSynchronizer	1446626032207	0	0	0
BMS	ConnectorSynchronizer (import)	1446626110604	0	0	0
BMS	MeasurementSynchronizer	1446626110636	0	0	36
BMS	WorkOrderSynchronizer	1446626110700	0	0	0
BMS	TagSynchronizer	1446626110766	0	0	0
BMS	PropertySynchronizer	1446626110825	0	0	0
BMS	AlarmSynchronizer	1446626110847	0	0	0
BMS	ConnectorSynchronizer (import)	1446626410630	0	0	0
BMS	MeasurementSynchronizer	1446626410655	0	0	36
BMS	WorkOrderSynchronizer	1446626410702	0	0	0
BMS	TagSynchronizer	1446626410753	0	0	0
BMS	PropertySynchronizer	1446626410801	0	0	0
BMS	AlarmSynchronizer	1446626410816	0	0	0
BMS	ConnectorSynchronizer (import)	1446626710499	0	0	0
BMS	MeasurementSynchronizer	1446626710524	0	0	36
BMS	WorkOrderSynchronizer	1446626710579	0	0	0
BMS	TagSynchronizer	1446626710629	0	0	0
BMS	PropertySynchronizer	1446626710683	0	0	0
BMS	AlarmSynchronizer	1446626710699	0	0	0
BMS	ConnectorSynchronizer (import)	1446627010493	0	0	0
BMS	MeasurementSynchronizer	1446627010509	0	0	36
BMS	WorkOrderSynchronizer	1446627010543	0	0	0
BMS	TagSynchronizer	1446627010581	0	0	0
BMS	PropertySynchronizer	1446627010623	0	0	0
BMS	AlarmSynchronizer	1446627010635	0	0	0
BMS	ConnectorSynchronizer (import)	1446627310508	0	0	0
BMS	MeasurementSynchronizer	1446627310527	0	0	36
BMS	WorkOrderSynchronizer	1446627310568	0	0	0
BMS	TagSynchronizer	1446627310604	0	0	0
BMS	PropertySynchronizer	1446627310642	0	0	0
BMS	AlarmSynchronizer	1446627310654	0	0	0
BMS	ConnectorSynchronizer (import)	1446627610560	0	0	0
BMS	MeasurementSynchronizer	1446627610578	0	0	36
BMS	WorkOrderSynchronizer	1446627610613	0	0	0
BMS	TagSynchronizer	1446627610648	0	0	0
BMS	PropertySynchronizer	1446627610688	0	0	0
BMS	AlarmSynchronizer	1446627610701	0	0	0
BMS	ConnectorSynchronizer (import)	1446627910577	0	0	0
BMS	MeasurementSynchronizer	1446627910597	0	0	36
BMS	WorkOrderSynchronizer	1446627910633	0	0	0
BMS	TagSynchronizer	1446627910670	0	0	0
BMS	PropertySynchronizer	1446627910710	0	0	0
BMS	AlarmSynchronizer	1446627910722	0	0	0
BMS	ConnectorSynchronizer (import)	1446628210568	0	0	0
BMS	MeasurementSynchronizer	1446628210588	0	0	36
BMS	WorkOrderSynchronizer	1446628210624	0	0	0
BMS	TagSynchronizer	1446628210661	0	0	0
BMS	PropertySynchronizer	1446628210702	0	0	0
BMS	AlarmSynchronizer	1446628210715	0	0	0
BMS	ConnectorSynchronizer (import)	1446628510614	0	0	0
BMS	MeasurementSynchronizer	1446628510634	0	0	36
BMS	WorkOrderSynchronizer	1446628510670	0	0	0
BMS	TagSynchronizer	1446628510707	0	0	0
BMS	PropertySynchronizer	1446628510748	0	0	0
BMS	AlarmSynchronizer	1446628510762	0	0	0
BMS	ConnectorSynchronizer (import)	1446628810627	0	0	0
BMS	MeasurementSynchronizer	1446628810651	0	0	36
BMS	WorkOrderSynchronizer	1446628810696	0	0	0
BMS	TagSynchronizer	1446628810737	0	0	0
BMS	PropertySynchronizer	1446628810777	0	0	0
BMS	AlarmSynchronizer	1446628810790	0	0	0
BMS	ConnectorSynchronizer (import)	1446629110593	0	0	0
BMS	MeasurementSynchronizer	1446629110613	0	0	36
BMS	WorkOrderSynchronizer	1446629110652	0	0	0
BMS	TagSynchronizer	1446629110694	0	0	0
BMS	PropertySynchronizer	1446629110744	0	0	0
BMS	AlarmSynchronizer	1446629110757	0	0	0
BMS	ConnectorSynchronizer (import)	1446629410480	0	0	0
BMS	MeasurementSynchronizer	1446629410500	0	0	36
BMS	WorkOrderSynchronizer	1446629410537	0	0	0
BMS	TagSynchronizer	1446629410573	0	0	0
BMS	PropertySynchronizer	1446629410615	0	0	0
BMS	AlarmSynchronizer	1446629410629	0	0	0
BMS	ConnectorSynchronizer (import)	1446629710497	0	0	0
BMS	MeasurementSynchronizer	1446629710518	0	0	36
BMS	WorkOrderSynchronizer	1446629710561	0	0	0
BMS	TagSynchronizer	1446629710601	0	0	0
BMS	PropertySynchronizer	1446629710643	0	0	0
BMS	AlarmSynchronizer	1446629710661	0	0	0
BMS	ConnectorSynchronizer (import)	1446630010624	0	0	0
BMS	MeasurementSynchronizer	1446630010654	0	0	36
BMS	WorkOrderSynchronizer	1446630010692	0	0	0
BMS	TagSynchronizer	1446630010730	0	0	0
BMS	PropertySynchronizer	1446630010773	0	0	0
BMS	AlarmSynchronizer	1446630010785	0	0	0
BMS	ConnectorSynchronizer (import)	1446630310607	0	0	0
BMS	MeasurementSynchronizer	1446630310628	0	0	36
BMS	WorkOrderSynchronizer	1446630310665	0	0	0
BMS	TagSynchronizer	1446630310703	0	0	0
BMS	PropertySynchronizer	1446630310744	0	0	0
BMS	AlarmSynchronizer	1446630310757	0	0	0
BMS	ConnectorSynchronizer (import)	1446630610605	0	0	0
BMS	MeasurementSynchronizer	1446630610625	0	0	36
BMS	WorkOrderSynchronizer	1446630610663	0	0	0
BMS	TagSynchronizer	1446630610702	0	0	0
BMS	PropertySynchronizer	1446630610744	0	0	0
BMS	AlarmSynchronizer	1446630610757	0	0	0
BMS	ConnectorSynchronizer (import)	1446630910540	0	0	0
BMS	MeasurementSynchronizer	1446630910560	0	0	36
BMS	WorkOrderSynchronizer	1446630910597	0	0	0
BMS	TagSynchronizer	1446630910632	0	0	0
BMS	PropertySynchronizer	1446630910673	0	0	0
BMS	AlarmSynchronizer	1446630910686	0	0	0
BMS	ConnectorSynchronizer (import)	1446633015805	0	0	0
BMS	MeasurementSynchronizer	1446633015847	0	0	36
BMS	WorkOrderSynchronizer	1446633015942	0	0	0
BMS	TagSynchronizer	1446633016038	0	0	0
BMS	PropertySynchronizer	1446633016140	0	0	0
BMS	AlarmSynchronizer	1446633016168	0	0	0
BMS	ConnectorSynchronizer (import)	1446633310537	0	0	0
BMS	MeasurementSynchronizer	1446633310573	0	0	36
BMS	WorkOrderSynchronizer	1446633310639	0	0	0
BMS	TagSynchronizer	1446633310708	0	0	0
BMS	PropertySynchronizer	1446633310789	0	0	0
BMS	AlarmSynchronizer	1446633310811	0	0	0
BMS	ConnectorSynchronizer (import)	1446633610517	0	0	0
BMS	MeasurementSynchronizer	1446633610551	0	0	36
BMS	WorkOrderSynchronizer	1446633610617	0	0	0
BMS	TagSynchronizer	1446633610676	0	0	0
BMS	PropertySynchronizer	1446633610742	0	0	0
BMS	AlarmSynchronizer	1446633610762	0	0	0
BMS	ConnectorSynchronizer (import)	1446633910604	0	0	0
BMS	MeasurementSynchronizer	1446633910640	0	0	36
BMS	WorkOrderSynchronizer	1446633910705	0	0	0
BMS	TagSynchronizer	1446633910762	0	0	0
BMS	PropertySynchronizer	1446633910828	0	0	0
BMS	AlarmSynchronizer	1446633910849	0	0	0
BMS	ConnectorSynchronizer (import)	1446634210605	0	0	0
BMS	MeasurementSynchronizer	1446634210639	0	0	36
BMS	WorkOrderSynchronizer	1446634210707	0	0	0
BMS	TagSynchronizer	1446634210767	0	0	0
BMS	PropertySynchronizer	1446634210834	0	0	0
BMS	AlarmSynchronizer	1446634210855	0	0	0
BMS	ConnectorSynchronizer (import)	1446634510600	0	0	0
BMS	MeasurementSynchronizer	1446634510631	0	0	36
BMS	WorkOrderSynchronizer	1446634510690	0	0	0
BMS	TagSynchronizer	1446634510740	0	0	0
BMS	PropertySynchronizer	1446634510802	0	0	0
BMS	AlarmSynchronizer	1446634510824	0	0	0
BMS	ConnectorSynchronizer (import)	1446634810534	0	0	0
BMS	MeasurementSynchronizer	1446634810568	0	0	36
BMS	WorkOrderSynchronizer	1446634810631	0	0	0
BMS	TagSynchronizer	1446634810691	0	0	0
BMS	PropertySynchronizer	1446634810760	0	0	0
BMS	AlarmSynchronizer	1446634810781	0	0	0
BMS	ConnectorSynchronizer (import)	1446635110536	0	0	0
BMS	MeasurementSynchronizer	1446635110572	0	0	36
BMS	WorkOrderSynchronizer	1446635110639	0	0	0
BMS	TagSynchronizer	1446635110697	0	0	0
BMS	PropertySynchronizer	1446635110765	0	0	0
BMS	AlarmSynchronizer	1446635110786	0	0	0
BMS	ConnectorSynchronizer (import)	1446635410601	0	0	0
BMS	MeasurementSynchronizer	1446635410634	0	0	36
BMS	WorkOrderSynchronizer	1446635410699	0	0	0
BMS	TagSynchronizer	1446635410757	0	0	0
BMS	PropertySynchronizer	1446635410824	0	0	0
BMS	AlarmSynchronizer	1446635410846	0	0	0
BMS	ConnectorSynchronizer (import)	1446635710566	0	0	0
BMS	MeasurementSynchronizer	1446635710599	0	0	36
BMS	WorkOrderSynchronizer	1446635710665	0	0	0
BMS	TagSynchronizer	1446635710724	0	0	0
BMS	PropertySynchronizer	1446635710793	0	0	0
BMS	AlarmSynchronizer	1446635710815	0	0	0
BMS	ConnectorSynchronizer (import)	1446636010573	0	0	0
BMS	MeasurementSynchronizer	1446636010605	0	0	36
BMS	WorkOrderSynchronizer	1446636010669	0	0	0
BMS	TagSynchronizer	1446636010726	0	0	0
BMS	PropertySynchronizer	1446636010791	0	0	0
BMS	AlarmSynchronizer	1446636010813	0	0	0
BMS	ConnectorSynchronizer (import)	1446636310514	0	0	0
BMS	MeasurementSynchronizer	1446636310547	0	0	36
BMS	WorkOrderSynchronizer	1446636310607	0	0	0
BMS	TagSynchronizer	1446636310660	0	0	0
BMS	PropertySynchronizer	1446636310721	0	0	0
BMS	AlarmSynchronizer	1446636310740	0	0	0
BMS	ConnectorSynchronizer (import)	1446636610563	0	0	0
BMS	MeasurementSynchronizer	1446636610596	0	0	36
BMS	WorkOrderSynchronizer	1446636610660	0	0	0
BMS	TagSynchronizer	1446636610716	0	0	0
BMS	PropertySynchronizer	1446636610782	0	0	0
BMS	AlarmSynchronizer	1446636610802	0	0	0
BMS	ConnectorSynchronizer (import)	1446636804595	0	0	0
BMS	MeasurementSynchronizer	1446636804629	0	0	36
BMS	WorkOrderSynchronizer	1446636804692	0	0	0
BMS	TagSynchronizer	1446636804750	0	0	0
BMS	PropertySynchronizer	1446636804818	0	0	0
BMS	AlarmSynchronizer	1446636804839	0	0	0
BMS	ConnectorSynchronizer (import)	1446636910585	0	0	0
BMS	MeasurementSynchronizer	1446636910619	0	0	36
BMS	WorkOrderSynchronizer	1446636910687	0	0	0
BMS	TagSynchronizer	1446636910746	0	0	0
BMS	PropertySynchronizer	1446636910813	0	0	0
BMS	AlarmSynchronizer	1446636910835	0	0	0
BMS	ConnectorSynchronizer (import)	1446637210585	0	0	0
BMS	MeasurementSynchronizer	1446637210620	0	0	36
BMS	WorkOrderSynchronizer	1446637210684	0	0	0
BMS	TagSynchronizer	1446637210747	0	0	0
BMS	PropertySynchronizer	1446637210815	0	0	0
BMS	AlarmSynchronizer	1446637210838	0	0	0
BMS	ConnectorSynchronizer (import)	1446637510567	0	0	0
BMS	MeasurementSynchronizer	1446637510601	0	0	36
BMS	WorkOrderSynchronizer	1446637510662	0	0	0
BMS	TagSynchronizer	1446637510716	0	0	0
BMS	PropertySynchronizer	1446637510777	0	0	0
BMS	AlarmSynchronizer	1446637510796	0	0	0
BMS	ConnectorSynchronizer (import)	1446637810553	0	0	0
BMS	MeasurementSynchronizer	1446637810584	0	0	36
BMS	WorkOrderSynchronizer	1446637810642	0	0	0
BMS	TagSynchronizer	1446637810697	0	0	0
BMS	PropertySynchronizer	1446637810757	0	0	0
BMS	AlarmSynchronizer	1446637810777	0	0	0
BMS	ConnectorSynchronizer (import)	1446638110569	0	0	0
BMS	MeasurementSynchronizer	1446638110607	0	0	36
BMS	WorkOrderSynchronizer	1446638110684	0	0	0
BMS	TagSynchronizer	1446638110746	0	0	0
BMS	PropertySynchronizer	1446638110815	0	0	0
BMS	AlarmSynchronizer	1446638110838	0	0	0
BMS	ConnectorSynchronizer (import)	1446638410552	0	0	0
BMS	MeasurementSynchronizer	1446638410586	0	0	36
BMS	WorkOrderSynchronizer	1446638410652	0	0	0
BMS	TagSynchronizer	1446638410710	0	0	0
BMS	PropertySynchronizer	1446638410775	0	0	0
BMS	AlarmSynchronizer	1446638410796	0	0	0
BMS	ConnectorSynchronizer (import)	1446638710599	0	0	0
BMS	MeasurementSynchronizer	1446638710632	0	0	36
BMS	WorkOrderSynchronizer	1446638710699	0	0	0
BMS	TagSynchronizer	1446638710764	0	0	0
BMS	PropertySynchronizer	1446638710833	0	0	0
BMS	AlarmSynchronizer	1446638710855	0	0	0
BMS	ConnectorSynchronizer (import)	1446639010549	0	0	0
BMS	MeasurementSynchronizer	1446639010583	0	0	36
BMS	WorkOrderSynchronizer	1446639010647	0	0	0
BMS	TagSynchronizer	1446639010703	0	0	0
BMS	PropertySynchronizer	1446639010769	0	0	0
BMS	AlarmSynchronizer	1446639010790	0	0	0
BMS	ConnectorSynchronizer (import)	1446639310577	0	0	0
BMS	MeasurementSynchronizer	1446639310611	0	0	36
BMS	WorkOrderSynchronizer	1446639310679	0	0	0
BMS	TagSynchronizer	1446639310739	0	0	0
BMS	PropertySynchronizer	1446639310807	0	0	0
BMS	AlarmSynchronizer	1446639310829	0	0	0
BMS	ConnectorSynchronizer (import)	1446639610545	0	0	0
BMS	MeasurementSynchronizer	1446639610578	0	0	36
BMS	WorkOrderSynchronizer	1446639610643	0	0	0
BMS	TagSynchronizer	1446639610701	0	0	0
BMS	PropertySynchronizer	1446639610768	0	0	0
BMS	AlarmSynchronizer	1446639610789	0	0	0
BMS	ConnectorSynchronizer (import)	1446639910620	0	0	0
BMS	MeasurementSynchronizer	1446639910652	0	0	36
BMS	WorkOrderSynchronizer	1446639910718	0	0	0
BMS	TagSynchronizer	1446639910774	0	0	0
BMS	PropertySynchronizer	1446639910841	0	0	0
BMS	AlarmSynchronizer	1446639910862	0	0	0
BMS	ConnectorSynchronizer (import)	1446640210598	0	0	0
BMS	MeasurementSynchronizer	1446640210629	0	0	36
BMS	WorkOrderSynchronizer	1446640210687	0	0	0
BMS	TagSynchronizer	1446640210740	0	0	0
BMS	PropertySynchronizer	1446640210801	0	0	0
BMS	AlarmSynchronizer	1446640210820	0	0	0
BMS	ConnectorSynchronizer (import)	1446640510579	0	0	0
BMS	MeasurementSynchronizer	1446640510613	0	0	36
BMS	WorkOrderSynchronizer	1446640510678	0	0	0
BMS	TagSynchronizer	1446640510737	0	0	0
BMS	PropertySynchronizer	1446640510804	0	0	0
BMS	AlarmSynchronizer	1446640510825	0	0	0
BMS	ConnectorSynchronizer (import)	1446640810560	0	0	0
BMS	MeasurementSynchronizer	1446640810593	0	0	36
BMS	WorkOrderSynchronizer	1446640810658	0	0	0
BMS	TagSynchronizer	1446640810715	0	0	0
BMS	PropertySynchronizer	1446640810781	0	0	0
BMS	AlarmSynchronizer	1446640810802	0	0	0
BMS	ConnectorSynchronizer (import)	1446641110560	0	0	0
BMS	MeasurementSynchronizer	1446641110593	0	0	36
BMS	WorkOrderSynchronizer	1446641110657	0	0	0
BMS	TagSynchronizer	1446641110716	0	0	0
BMS	PropertySynchronizer	1446641110783	0	0	0
BMS	AlarmSynchronizer	1446641110803	0	0	0
BMS	ConnectorSynchronizer (import)	1446641410543	0	0	0
BMS	MeasurementSynchronizer	1446641410576	0	0	36
BMS	WorkOrderSynchronizer	1446641410639	0	0	0
BMS	TagSynchronizer	1446641410696	0	0	0
BMS	PropertySynchronizer	1446641410761	0	0	0
BMS	AlarmSynchronizer	1446641410781	0	0	0
BMS	ConnectorSynchronizer (import)	1446641710550	0	0	0
BMS	MeasurementSynchronizer	1446641710582	0	0	36
BMS	WorkOrderSynchronizer	1446641710640	0	0	0
BMS	TagSynchronizer	1446641710693	0	0	0
BMS	PropertySynchronizer	1446641710757	0	0	0
BMS	AlarmSynchronizer	1446641710778	0	0	0
BMS	ConnectorSynchronizer (import)	1446642010557	0	0	0
BMS	MeasurementSynchronizer	1446642010592	0	0	36
BMS	WorkOrderSynchronizer	1446642010658	0	0	0
BMS	TagSynchronizer	1446642010717	0	0	0
BMS	PropertySynchronizer	1446642010784	0	0	0
BMS	AlarmSynchronizer	1446642010808	0	0	0
BMS	ConnectorSynchronizer (import)	1446642310568	0	0	0
BMS	MeasurementSynchronizer	1446642310601	0	0	36
BMS	WorkOrderSynchronizer	1446642310664	0	0	0
BMS	TagSynchronizer	1446642310722	0	0	0
BMS	PropertySynchronizer	1446642310790	0	0	0
BMS	AlarmSynchronizer	1446642310812	0	0	0
BMS	ConnectorSynchronizer (import)	1446642610553	0	0	0
BMS	MeasurementSynchronizer	1446642610587	0	0	36
BMS	WorkOrderSynchronizer	1446642610653	0	0	0
BMS	TagSynchronizer	1446642610711	0	0	0
BMS	PropertySynchronizer	1446642610779	0	0	0
BMS	AlarmSynchronizer	1446642610803	0	0	0
BMS	ConnectorSynchronizer (import)	1446642910562	0	0	0
BMS	MeasurementSynchronizer	1446642910595	0	0	36
BMS	WorkOrderSynchronizer	1446642910659	0	0	0
BMS	TagSynchronizer	1446642910716	0	0	0
BMS	PropertySynchronizer	1446642910783	0	0	0
BMS	AlarmSynchronizer	1446642910804	0	0	0
BMS	ConnectorSynchronizer (import)	1446643210577	0	0	0
BMS	MeasurementSynchronizer	1446643210609	0	0	36
BMS	WorkOrderSynchronizer	1446643210667	0	0	0
BMS	TagSynchronizer	1446643210720	0	0	0
BMS	PropertySynchronizer	1446643210781	0	0	0
BMS	AlarmSynchronizer	1446643210800	0	0	0
BMS	ConnectorSynchronizer (import)	1446643510534	0	0	0
BMS	MeasurementSynchronizer	1446643510564	0	0	36
BMS	WorkOrderSynchronizer	1446643510624	0	0	0
BMS	TagSynchronizer	1446643510683	0	0	0
BMS	PropertySynchronizer	1446643510749	0	0	0
BMS	AlarmSynchronizer	1446643510771	0	0	0
BMS	ConnectorSynchronizer (import)	1446643810555	0	0	0
BMS	MeasurementSynchronizer	1446643810588	0	0	36
BMS	WorkOrderSynchronizer	1446643810653	0	0	0
BMS	TagSynchronizer	1446643810710	0	0	0
BMS	PropertySynchronizer	1446643810779	0	0	0
BMS	AlarmSynchronizer	1446643810802	0	0	0
BMS	ConnectorSynchronizer (import)	1446644059559	0	0	0
BMS	MeasurementSynchronizer	1446644059592	0	0	36
BMS	WorkOrderSynchronizer	1446644059657	0	0	0
BMS	TagSynchronizer	1446644059715	0	0	0
BMS	PropertySynchronizer	1446644059781	0	0	0
BMS	AlarmSynchronizer	1446644059802	0	0	0
BMS	ConnectorSynchronizer (import)	1446644110918	0	0	0
BMS	MeasurementSynchronizer	1446644110939	0	0	36
BMS	WorkOrderSynchronizer	1446644110999	0	0	0
BMS	TagSynchronizer	1446644111046	0	0	0
BMS	PropertySynchronizer	1446644111109	0	0	0
BMS	AlarmSynchronizer	1446644111130	0	0	0
BMS	ConnectorSynchronizer (import)	1446644410584	0	0	0
BMS	MeasurementSynchronizer	1446644410617	0	0	36
BMS	WorkOrderSynchronizer	1446644410681	0	0	0
BMS	TagSynchronizer	1446644410737	0	0	0
BMS	PropertySynchronizer	1446644410803	0	0	0
BMS	AlarmSynchronizer	1446644410826	0	0	0
BMS	ConnectorSynchronizer (import)	1446644491535	0	0	0
BMS	MeasurementSynchronizer	1446644491568	0	0	36
BMS	WorkOrderSynchronizer	1446644491633	0	0	0
BMS	TagSynchronizer	1446644491689	0	0	0
BMS	PropertySynchronizer	1446644491757	0	0	0
BMS	AlarmSynchronizer	1446644491778	0	0	0
BMS	ConnectorSynchronizer (import)	1446644553507	0	0	0
BMS	MeasurementSynchronizer	1446644553542	0	0	36
BMS	WorkOrderSynchronizer	1446644553608	0	0	0
BMS	TagSynchronizer	1446644553665	0	0	0
BMS	PropertySynchronizer	1446644553730	0	0	0
BMS	AlarmSynchronizer	1446644553751	0	0	0
BMS	ConnectorSynchronizer (import)	1446644710555	0	0	0
BMS	MeasurementSynchronizer	1446644710588	0	0	36
BMS	WorkOrderSynchronizer	1446644710651	0	0	0
BMS	TagSynchronizer	1446644710708	0	0	0
BMS	PropertySynchronizer	1446644710774	0	0	0
BMS	AlarmSynchronizer	1446644710795	0	0	0
BMS	ConnectorSynchronizer (import)	1446645010514	0	0	0
BMS	MeasurementSynchronizer	1446645010548	0	0	36
BMS	WorkOrderSynchronizer	1446645010616	0	0	0
BMS	TagSynchronizer	1446645010674	0	0	0
BMS	PropertySynchronizer	1446645010741	0	0	0
BMS	AlarmSynchronizer	1446645010762	0	0	0
BMS	ConnectorSynchronizer (import)	1446645310541	0	0	0
BMS	MeasurementSynchronizer	1446645310575	0	0	36
BMS	WorkOrderSynchronizer	1446645310638	0	0	0
BMS	TagSynchronizer	1446645310699	0	0	0
BMS	PropertySynchronizer	1446645310771	0	0	0
BMS	AlarmSynchronizer	1446645310793	0	0	0
BMS	ConnectorSynchronizer (import)	1446645610573	0	0	0
BMS	MeasurementSynchronizer	1446645610608	0	0	36
BMS	WorkOrderSynchronizer	1446645610672	0	0	0
BMS	TagSynchronizer	1446645610730	0	0	0
BMS	PropertySynchronizer	1446645610797	0	0	0
BMS	AlarmSynchronizer	1446645610818	0	0	0
BMS	ConnectorSynchronizer (import)	1446715815715	0	0	0
BMS	MeasurementSynchronizer	1446715815768	0	0	36
BMS	WorkOrderSynchronizer	1446715815870	0	0	0
BMS	TagSynchronizer	1446715815970	0	0	0
BMS	PropertySynchronizer	1446715816081	0	0	0
BMS	AlarmSynchronizer	1446715816108	0	0	0
BMS	ConnectorSynchronizer (import)	1446716110550	0	0	0
BMS	MeasurementSynchronizer	1446716110591	0	0	36
BMS	WorkOrderSynchronizer	1446716110664	0	0	0
BMS	TagSynchronizer	1446716110738	0	0	0
BMS	PropertySynchronizer	1446716110824	0	0	0
BMS	AlarmSynchronizer	1446716110848	0	0	0
BMS	ConnectorSynchronizer (import)	1446716410545	0	0	0
BMS	MeasurementSynchronizer	1446716410580	0	0	36
BMS	WorkOrderSynchronizer	1446716410639	0	0	0
BMS	TagSynchronizer	1446716410695	0	0	0
BMS	PropertySynchronizer	1446716410772	0	0	0
BMS	AlarmSynchronizer	1446716410792	0	0	0
BMS	ConnectorSynchronizer (import)	1446716710555	0	0	0
BMS	MeasurementSynchronizer	1446716710594	0	0	36
BMS	WorkOrderSynchronizer	1446716710671	0	0	0
BMS	TagSynchronizer	1446716710742	0	0	0
BMS	PropertySynchronizer	1446716710827	0	0	0
BMS	AlarmSynchronizer	1446716710849	0	0	0
BMS	ConnectorSynchronizer (import)	1446717010615	0	0	0
BMS	MeasurementSynchronizer	1446717010652	0	0	36
BMS	WorkOrderSynchronizer	1446717010724	0	0	0
BMS	TagSynchronizer	1446717010796	0	0	0
BMS	PropertySynchronizer	1446717010880	0	0	0
BMS	AlarmSynchronizer	1446717010902	0	0	0
BMS	ConnectorSynchronizer (import)	1446717310574	0	0	0
BMS	MeasurementSynchronizer	1446717310611	0	0	36
BMS	WorkOrderSynchronizer	1446717310680	0	0	0
BMS	TagSynchronizer	1446717310751	0	0	0
BMS	PropertySynchronizer	1446717310836	0	0	0
BMS	AlarmSynchronizer	1446717310858	0	0	0
BMS	ConnectorSynchronizer (import)	1446717610504	0	0	0
BMS	MeasurementSynchronizer	1446717610540	0	0	36
BMS	WorkOrderSynchronizer	1446717610612	0	0	0
BMS	TagSynchronizer	1446717610682	0	0	0
BMS	PropertySynchronizer	1446717610766	0	0	0
BMS	AlarmSynchronizer	1446717610790	0	0	0
BMS	ConnectorSynchronizer (import)	1446717910582	0	0	0
BMS	MeasurementSynchronizer	1446717910618	0	0	36
BMS	WorkOrderSynchronizer	1446717910805	0	0	0
BMS	TagSynchronizer	1446717910876	0	0	0
BMS	PropertySynchronizer	1446717910957	0	0	0
BMS	AlarmSynchronizer	1446717910979	0	0	0
BMS	ConnectorSynchronizer (import)	1446718210599	0	0	0
BMS	MeasurementSynchronizer	1446718210635	0	0	36
BMS	WorkOrderSynchronizer	1446718210702	0	0	0
BMS	TagSynchronizer	1446718210774	0	0	0
BMS	PropertySynchronizer	1446718210856	0	0	0
BMS	AlarmSynchronizer	1446718210878	0	0	0
BMS	ConnectorSynchronizer (import)	1446718510584	0	0	0
BMS	MeasurementSynchronizer	1446718510619	0	0	36
BMS	WorkOrderSynchronizer	1446718510688	0	0	0
BMS	TagSynchronizer	1446718510759	0	0	0
BMS	PropertySynchronizer	1446718510842	0	0	0
BMS	AlarmSynchronizer	1446718510863	0	0	0
BMS	ConnectorSynchronizer (import)	1446718810556	0	0	0
BMS	MeasurementSynchronizer	1446718810590	0	0	36
BMS	WorkOrderSynchronizer	1446718810658	0	0	0
BMS	TagSynchronizer	1446718810728	0	0	0
BMS	PropertySynchronizer	1446718810810	0	0	0
BMS	AlarmSynchronizer	1446718810832	0	0	0
BMS	ConnectorSynchronizer (import)	1446719110510	0	0	0
BMS	MeasurementSynchronizer	1446719110543	0	0	36
BMS	WorkOrderSynchronizer	1446719110604	0	0	0
BMS	TagSynchronizer	1446719110669	0	0	0
BMS	PropertySynchronizer	1446719110745	0	0	0
BMS	AlarmSynchronizer	1446719110764	0	0	0
BMS	ConnectorSynchronizer (import)	1446719410595	0	0	0
BMS	MeasurementSynchronizer	1446719410632	0	0	36
BMS	WorkOrderSynchronizer	1446719410698	0	0	0
BMS	TagSynchronizer	1446719410770	0	0	0
BMS	PropertySynchronizer	1446719410854	0	0	0
BMS	AlarmSynchronizer	1446719410875	0	0	0
BMS	ConnectorSynchronizer (import)	1446719710520	0	0	0
BMS	MeasurementSynchronizer	1446719710555	0	0	36
BMS	WorkOrderSynchronizer	1446719710628	0	0	0
BMS	TagSynchronizer	1446719710699	0	0	0
BMS	PropertySynchronizer	1446719710783	0	0	0
BMS	AlarmSynchronizer	1446719710805	0	0	0
BMS	ConnectorSynchronizer (import)	1446720010509	0	0	0
BMS	MeasurementSynchronizer	1446720010545	0	0	36
BMS	WorkOrderSynchronizer	1446720010614	0	0	0
BMS	TagSynchronizer	1446720010682	0	0	0
BMS	PropertySynchronizer	1446720010765	0	0	0
BMS	AlarmSynchronizer	1446720010788	0	0	0
BMS	ConnectorSynchronizer (import)	1446720310533	0	0	0
BMS	MeasurementSynchronizer	1446720310570	0	0	36
BMS	WorkOrderSynchronizer	1446720310638	0	0	0
BMS	TagSynchronizer	1446720310712	0	0	0
BMS	PropertySynchronizer	1446720310796	0	0	0
BMS	AlarmSynchronizer	1446720310818	0	0	0
BMS	ConnectorSynchronizer (import)	1446720610508	0	0	0
BMS	MeasurementSynchronizer	1446720610549	0	0	36
BMS	WorkOrderSynchronizer	1446720610618	0	0	0
BMS	TagSynchronizer	1446720610686	0	0	0
BMS	PropertySynchronizer	1446720610777	0	0	0
BMS	AlarmSynchronizer	1446720610799	0	0	0
BMS	ConnectorSynchronizer (import)	1446720910592	0	0	0
BMS	MeasurementSynchronizer	1446720910625	0	0	36
BMS	WorkOrderSynchronizer	1446720910689	0	0	0
BMS	TagSynchronizer	1446720910752	0	0	0
BMS	PropertySynchronizer	1446720910825	0	0	0
BMS	AlarmSynchronizer	1446720910846	0	0	0
BMS	ConnectorSynchronizer (import)	1446721210563	0	0	0
BMS	MeasurementSynchronizer	1446721210598	0	0	36
BMS	WorkOrderSynchronizer	1446721210666	0	0	0
BMS	TagSynchronizer	1446721210733	0	0	0
BMS	PropertySynchronizer	1446721210812	0	0	0
BMS	AlarmSynchronizer	1446721210834	0	0	0
BMS	ConnectorSynchronizer (import)	1446721510553	0	0	0
BMS	MeasurementSynchronizer	1446721510588	0	0	36
BMS	WorkOrderSynchronizer	1446721510654	0	0	0
BMS	TagSynchronizer	1446721510720	0	0	0
BMS	PropertySynchronizer	1446721510796	0	0	0
BMS	AlarmSynchronizer	1446721510816	0	0	0
BMS	ConnectorSynchronizer (import)	1446721810576	0	0	0
BMS	MeasurementSynchronizer	1446721810610	0	0	36
BMS	WorkOrderSynchronizer	1446721810677	0	0	0
BMS	TagSynchronizer	1446721810742	0	0	0
BMS	PropertySynchronizer	1446721810819	0	0	0
BMS	AlarmSynchronizer	1446721810840	0	0	0
BMS	ConnectorSynchronizer (import)	1446722110522	0	0	0
BMS	MeasurementSynchronizer	1446722110558	0	0	36
BMS	WorkOrderSynchronizer	1446722110626	0	0	0
BMS	TagSynchronizer	1446722110696	0	0	0
BMS	PropertySynchronizer	1446722110805	0	0	0
BMS	AlarmSynchronizer	1446722110828	0	0	0
BMS	ConnectorSynchronizer (import)	1446722410591	0	0	0
BMS	MeasurementSynchronizer	1446722410624	0	0	36
BMS	WorkOrderSynchronizer	1446722410689	0	0	0
BMS	TagSynchronizer	1446722410751	0	0	0
BMS	PropertySynchronizer	1446722410823	0	0	0
BMS	AlarmSynchronizer	1446722410841	0	0	0
BMS	ConnectorSynchronizer (import)	1446722710572	0	0	0
BMS	MeasurementSynchronizer	1446722710607	0	0	36
BMS	WorkOrderSynchronizer	1446722710673	0	0	0
BMS	TagSynchronizer	1446722710739	0	0	0
BMS	PropertySynchronizer	1446722710816	0	0	0
BMS	AlarmSynchronizer	1446722710836	0	0	0
BMS	ConnectorSynchronizer (import)	1446723010597	0	0	0
BMS	MeasurementSynchronizer	1446723010634	0	0	36
BMS	WorkOrderSynchronizer	1446723010704	0	0	0
BMS	TagSynchronizer	1446723010773	0	0	0
BMS	PropertySynchronizer	1446723010862	0	0	0
BMS	AlarmSynchronizer	1446723010885	0	0	0
BMS	ConnectorSynchronizer (import)	1446723310590	0	0	0
BMS	MeasurementSynchronizer	1446723310624	0	0	36
BMS	WorkOrderSynchronizer	1446723310690	0	0	0
BMS	TagSynchronizer	1446723310756	0	0	0
BMS	PropertySynchronizer	1446723310835	0	0	0
BMS	AlarmSynchronizer	1446723310857	0	0	0
BMS	ConnectorSynchronizer (import)	1446723610581	0	0	0
BMS	MeasurementSynchronizer	1446723610616	0	0	36
BMS	WorkOrderSynchronizer	1446723610683	0	0	0
BMS	TagSynchronizer	1446723610751	0	0	0
BMS	PropertySynchronizer	1446723610831	0	0	0
BMS	AlarmSynchronizer	1446723610854	0	0	0
BMS	ConnectorSynchronizer (import)	1446723910570	0	0	0
BMS	MeasurementSynchronizer	1446723910604	0	0	36
BMS	WorkOrderSynchronizer	1446723910673	0	0	0
BMS	TagSynchronizer	1446723910740	0	0	0
BMS	PropertySynchronizer	1446723910822	0	0	0
BMS	AlarmSynchronizer	1446723910844	0	0	0
BMS	ConnectorSynchronizer (import)	1446724210533	0	0	0
BMS	MeasurementSynchronizer	1446724210567	0	0	36
BMS	WorkOrderSynchronizer	1446724210632	0	0	0
BMS	TagSynchronizer	1446724210697	0	0	0
BMS	PropertySynchronizer	1446724210775	0	0	0
BMS	AlarmSynchronizer	1446724210796	0	0	0
BMS	ConnectorSynchronizer (import)	1446724510608	0	0	0
BMS	MeasurementSynchronizer	1446724510643	0	0	36
BMS	WorkOrderSynchronizer	1446724510709	0	0	0
BMS	TagSynchronizer	1446724510776	0	0	0
BMS	PropertySynchronizer	1446724510852	0	0	0
BMS	AlarmSynchronizer	1446724510873	0	0	0
BMS	ConnectorSynchronizer (import)	1446724810577	0	0	0
BMS	MeasurementSynchronizer	1446724810612	0	0	36
BMS	WorkOrderSynchronizer	1446724810677	0	0	0
BMS	TagSynchronizer	1446724810743	0	0	0
BMS	PropertySynchronizer	1446724810820	0	0	0
BMS	AlarmSynchronizer	1446724810841	0	0	0
BMS	ConnectorSynchronizer (import)	1446725110557	0	0	0
BMS	MeasurementSynchronizer	1446725110584	0	0	36
BMS	WorkOrderSynchronizer	1446725110649	0	0	0
BMS	TagSynchronizer	1446725110714	0	0	0
BMS	PropertySynchronizer	1446725110791	0	0	0
BMS	AlarmSynchronizer	1446725110812	0	0	0
BMS	ConnectorSynchronizer (import)	1446725410924	0	0	0
BMS	MeasurementSynchronizer	1446725410954	0	0	36
BMS	WorkOrderSynchronizer	1446725411010	0	0	0
BMS	TagSynchronizer	1446725411062	0	0	0
BMS	PropertySynchronizer	1446725411127	0	0	0
BMS	AlarmSynchronizer	1446725411147	0	0	0
BMS	ConnectorSynchronizer (import)	1446725710579	0	0	0
BMS	MeasurementSynchronizer	1446725710614	0	0	36
BMS	WorkOrderSynchronizer	1446725710683	0	0	0
BMS	TagSynchronizer	1446725710751	0	0	0
BMS	PropertySynchronizer	1446725710829	0	0	0
BMS	AlarmSynchronizer	1446725710852	0	0	0
BMS	ConnectorSynchronizer (import)	1446726010583	0	0	0
BMS	MeasurementSynchronizer	1446726010617	0	0	36
BMS	WorkOrderSynchronizer	1446726010682	0	0	0
BMS	TagSynchronizer	1446726010747	0	0	0
BMS	PropertySynchronizer	1446726010824	0	0	0
BMS	AlarmSynchronizer	1446726010845	0	0	0
BMS	ConnectorSynchronizer (import)	1446726310570	0	0	0
BMS	MeasurementSynchronizer	1446726310604	0	0	36
BMS	WorkOrderSynchronizer	1446726310676	0	0	0
BMS	TagSynchronizer	1446726310742	0	0	0
BMS	PropertySynchronizer	1446726310820	0	0	0
BMS	AlarmSynchronizer	1446726310841	0	0	0
BMS	ConnectorSynchronizer (import)	1446726610584	0	0	0
BMS	MeasurementSynchronizer	1446726610619	0	0	36
BMS	WorkOrderSynchronizer	1446726610685	0	0	0
BMS	TagSynchronizer	1446726610752	0	0	0
BMS	PropertySynchronizer	1446726610830	0	0	0
BMS	AlarmSynchronizer	1446726610851	0	0	0
BMS	ConnectorSynchronizer (import)	1446726910515	0	0	0
BMS	MeasurementSynchronizer	1446726910552	0	0	36
BMS	WorkOrderSynchronizer	1446726910620	0	0	0
BMS	TagSynchronizer	1446726910686	0	0	0
BMS	PropertySynchronizer	1446726910766	0	0	0
BMS	AlarmSynchronizer	1446726910788	0	0	0
BMS	ConnectorSynchronizer (import)	1446727210583	0	0	0
BMS	MeasurementSynchronizer	1446727210619	0	0	36
BMS	WorkOrderSynchronizer	1446727210684	0	0	0
BMS	TagSynchronizer	1446727210749	0	0	0
BMS	PropertySynchronizer	1446727210827	0	0	0
BMS	AlarmSynchronizer	1446727210859	0	0	0
BMS	ConnectorSynchronizer (import)	1446727510588	0	0	0
BMS	MeasurementSynchronizer	1446727510620	0	0	36
BMS	WorkOrderSynchronizer	1446727510681	0	0	0
BMS	TagSynchronizer	1446727510742	0	0	0
BMS	PropertySynchronizer	1446727510814	0	0	0
BMS	AlarmSynchronizer	1446727510834	0	0	0
BMS	ConnectorSynchronizer (import)	1446727810507	0	0	0
BMS	MeasurementSynchronizer	1446727810541	0	0	36
BMS	WorkOrderSynchronizer	1446727810613	0	0	0
BMS	TagSynchronizer	1446727810679	0	0	0
BMS	PropertySynchronizer	1446727810757	0	0	0
BMS	AlarmSynchronizer	1446727810779	0	0	0
BMS	ConnectorSynchronizer (import)	1446728110577	0	0	0
BMS	MeasurementSynchronizer	1446728110612	0	0	36
BMS	WorkOrderSynchronizer	1446728110678	0	0	0
BMS	TagSynchronizer	1446728110747	0	0	0
BMS	PropertySynchronizer	1446728110824	0	0	0
BMS	AlarmSynchronizer	1446728110845	0	0	0
BMS	ConnectorSynchronizer (import)	1446728410576	0	0	0
BMS	MeasurementSynchronizer	1446728410612	0	0	36
BMS	WorkOrderSynchronizer	1446728410689	0	0	0
BMS	TagSynchronizer	1446728410756	0	0	0
BMS	PropertySynchronizer	1446728410835	0	0	0
BMS	AlarmSynchronizer	1446728410857	0	0	0
BMS	ConnectorSynchronizer (import)	1446728710592	0	0	0
BMS	MeasurementSynchronizer	1446728710630	0	0	36
BMS	WorkOrderSynchronizer	1446728710699	0	0	0
BMS	TagSynchronizer	1446728710766	0	0	0
BMS	PropertySynchronizer	1446728710841	0	0	0
BMS	AlarmSynchronizer	1446728710862	0	0	0
BMS	ConnectorSynchronizer (import)	1446729010586	0	0	0
BMS	MeasurementSynchronizer	1446729010620	0	0	36
BMS	WorkOrderSynchronizer	1446729010687	0	0	0
BMS	TagSynchronizer	1446729010752	0	0	0
BMS	PropertySynchronizer	1446729010828	0	0	0
BMS	AlarmSynchronizer	1446729010849	0	0	0
BMS	ConnectorSynchronizer (import)	1446729310584	0	0	0
BMS	MeasurementSynchronizer	1446729310618	0	0	36
BMS	WorkOrderSynchronizer	1446729310682	0	0	0
BMS	TagSynchronizer	1446729310747	0	0	0
BMS	PropertySynchronizer	1446729310823	0	0	0
BMS	AlarmSynchronizer	1446729310844	0	0	0
BMS	ConnectorSynchronizer (import)	1446729610604	0	0	0
BMS	MeasurementSynchronizer	1446729610640	0	0	36
BMS	WorkOrderSynchronizer	1446729610713	0	0	0
BMS	TagSynchronizer	1446729610781	0	0	0
BMS	PropertySynchronizer	1446729610860	0	0	0
BMS	AlarmSynchronizer	1446729610882	0	0	0
BMS	ConnectorSynchronizer (import)	1446729910509	0	0	0
BMS	MeasurementSynchronizer	1446729910544	0	0	36
BMS	WorkOrderSynchronizer	1446729910609	0	0	0
BMS	TagSynchronizer	1446729910672	0	0	0
BMS	PropertySynchronizer	1446729910748	0	0	0
BMS	AlarmSynchronizer	1446729910768	0	0	0
BMS	ConnectorSynchronizer (import)	1446730210497	0	0	0
BMS	MeasurementSynchronizer	1446730210532	0	0	36
BMS	WorkOrderSynchronizer	1446730210602	0	0	0
BMS	TagSynchronizer	1446730210671	0	0	0
BMS	PropertySynchronizer	1446730210748	0	0	0
BMS	AlarmSynchronizer	1446730210772	0	0	0
BMS	ConnectorSynchronizer (import)	1446730510592	0	0	0
BMS	MeasurementSynchronizer	1446730510628	0	0	36
BMS	WorkOrderSynchronizer	1446730510697	0	0	0
BMS	TagSynchronizer	1446730510763	0	0	0
BMS	PropertySynchronizer	1446730510839	0	0	0
BMS	AlarmSynchronizer	1446730510860	0	0	0
BMS	ConnectorSynchronizer (import)	1446730810504	0	0	0
BMS	MeasurementSynchronizer	1446730810538	0	0	36
BMS	WorkOrderSynchronizer	1446730810604	0	0	0
BMS	TagSynchronizer	1446730810669	0	0	0
BMS	PropertySynchronizer	1446730810745	0	0	0
BMS	AlarmSynchronizer	1446730810766	0	0	0
BMS	ConnectorSynchronizer (import)	1446731110501	0	0	0
BMS	MeasurementSynchronizer	1446731110537	0	0	36
BMS	WorkOrderSynchronizer	1446731110603	0	0	0
BMS	TagSynchronizer	1446731110670	0	0	0
BMS	PropertySynchronizer	1446731110747	0	0	0
BMS	AlarmSynchronizer	1446731110769	0	0	0
BMS	ConnectorSynchronizer (import)	1446731410507	0	0	0
BMS	MeasurementSynchronizer	1446731410541	0	0	36
BMS	WorkOrderSynchronizer	1446731410605	0	0	0
BMS	TagSynchronizer	1446731410670	0	0	0
BMS	PropertySynchronizer	1446731410745	0	0	0
BMS	AlarmSynchronizer	1446731410766	0	0	0
BMS	ConnectorSynchronizer (import)	1446731710508	0	0	0
BMS	MeasurementSynchronizer	1446731710544	0	0	36
BMS	WorkOrderSynchronizer	1446731710610	0	0	0
BMS	TagSynchronizer	1446731710683	0	0	0
BMS	PropertySynchronizer	1446731710758	0	0	0
BMS	AlarmSynchronizer	1446731710779	0	0	0
BMS	ConnectorSynchronizer (import)	1446732010581	0	0	0
BMS	MeasurementSynchronizer	1446732010614	0	0	36
BMS	WorkOrderSynchronizer	1446732010673	0	0	0
BMS	TagSynchronizer	1446732010734	0	0	0
BMS	PropertySynchronizer	1446732010805	0	0	0
BMS	AlarmSynchronizer	1446732010824	0	0	0
BMS	ConnectorSynchronizer (import)	1446732310590	0	0	0
BMS	MeasurementSynchronizer	1446732310626	0	0	36
BMS	WorkOrderSynchronizer	1446732310694	0	0	0
BMS	TagSynchronizer	1446732310767	0	0	0
BMS	PropertySynchronizer	1446732310845	0	0	0
BMS	AlarmSynchronizer	1446732310866	0	0	0
BMS	ConnectorSynchronizer (import)	1446732610596	0	0	0
BMS	MeasurementSynchronizer	1446732610631	0	0	36
BMS	WorkOrderSynchronizer	1446732610697	0	0	0
BMS	TagSynchronizer	1446732610761	0	0	0
BMS	PropertySynchronizer	1446732610835	0	0	0
BMS	AlarmSynchronizer	1446732610856	0	0	0
BMS	ConnectorSynchronizer (import)	1446732910580	0	0	0
BMS	MeasurementSynchronizer	1446732910614	0	0	36
BMS	WorkOrderSynchronizer	1446732910679	0	0	0
BMS	TagSynchronizer	1446732910744	0	0	0
BMS	PropertySynchronizer	1446732910819	0	0	0
BMS	AlarmSynchronizer	1446732910841	0	0	0
BMS	ConnectorSynchronizer (import)	1446733210521	0	0	0
BMS	MeasurementSynchronizer	1446733210557	0	0	36
BMS	WorkOrderSynchronizer	1446733210624	0	0	0
BMS	TagSynchronizer	1446733210688	0	0	0
BMS	PropertySynchronizer	1446733210761	0	0	0
BMS	AlarmSynchronizer	1446733210781	0	0	0
BMS	ConnectorSynchronizer (import)	1446733510502	0	0	0
BMS	MeasurementSynchronizer	1446733510536	0	0	36
BMS	WorkOrderSynchronizer	1446733510600	0	0	0
BMS	TagSynchronizer	1446733510664	0	0	0
BMS	PropertySynchronizer	1446733510738	0	0	0
BMS	AlarmSynchronizer	1446733510759	0	0	0
BMS	ConnectorSynchronizer (import)	1446733810502	0	0	0
BMS	MeasurementSynchronizer	1446733810536	0	0	36
BMS	WorkOrderSynchronizer	1446733810601	0	0	0
BMS	TagSynchronizer	1446733810666	0	0	0
BMS	PropertySynchronizer	1446733810740	0	0	0
BMS	AlarmSynchronizer	1446733810762	0	0	0
BMS	ConnectorSynchronizer (import)	1446734110508	0	0	0
BMS	MeasurementSynchronizer	1446734110544	0	0	36
BMS	WorkOrderSynchronizer	1446734110610	0	0	0
BMS	TagSynchronizer	1446734110677	0	0	0
BMS	PropertySynchronizer	1446734110753	0	0	0
BMS	AlarmSynchronizer	1446734110775	0	0	0
BMS	ConnectorSynchronizer (import)	1446734410508	0	0	0
BMS	MeasurementSynchronizer	1446734410541	0	0	36
BMS	WorkOrderSynchronizer	1446734410605	0	0	0
BMS	TagSynchronizer	1446734410669	0	0	0
BMS	PropertySynchronizer	1446734410742	0	0	0
BMS	AlarmSynchronizer	1446734410763	0	0	0
BMS	ConnectorSynchronizer (import)	1446734710588	0	0	0
BMS	MeasurementSynchronizer	1446734710623	0	0	36
BMS	WorkOrderSynchronizer	1446734710687	0	0	0
BMS	TagSynchronizer	1446734710752	0	0	0
BMS	PropertySynchronizer	1446734710826	0	0	0
BMS	AlarmSynchronizer	1446734710847	0	0	0
BMS	ConnectorSynchronizer (import)	1446735010576	0	0	0
BMS	MeasurementSynchronizer	1446735010610	0	0	36
BMS	WorkOrderSynchronizer	1446735010670	0	0	0
BMS	TagSynchronizer	1446735010730	0	0	0
BMS	PropertySynchronizer	1446735010798	0	0	0
BMS	AlarmSynchronizer	1446735010817	0	0	0
BMS	ConnectorSynchronizer (import)	1446735310523	0	0	0
BMS	MeasurementSynchronizer	1446735310558	0	0	36
BMS	WorkOrderSynchronizer	1446735310627	0	0	0
BMS	TagSynchronizer	1446735310694	0	0	0
BMS	PropertySynchronizer	1446735310768	0	0	0
BMS	AlarmSynchronizer	1446735310790	0	0	0
BMS	ConnectorSynchronizer (import)	1446735610505	0	0	0
BMS	MeasurementSynchronizer	1446735610539	0	0	36
BMS	WorkOrderSynchronizer	1446735610603	0	0	0
BMS	TagSynchronizer	1446735610667	0	0	0
BMS	PropertySynchronizer	1446735610740	0	0	0
BMS	AlarmSynchronizer	1446735610760	0	0	0
BMS	ConnectorSynchronizer (import)	1446735910567	0	0	0
BMS	MeasurementSynchronizer	1446735910602	0	0	36
BMS	WorkOrderSynchronizer	1446735910669	0	0	0
BMS	TagSynchronizer	1446735910733	0	0	0
BMS	PropertySynchronizer	1446735910807	0	0	0
BMS	AlarmSynchronizer	1446735910829	0	0	0
BMS	ConnectorSynchronizer (import)	1446736210526	0	0	0
BMS	MeasurementSynchronizer	1446736210560	0	0	36
BMS	WorkOrderSynchronizer	1446736210626	0	0	0
BMS	TagSynchronizer	1446736210694	0	0	0
BMS	PropertySynchronizer	1446736210769	0	0	0
BMS	AlarmSynchronizer	1446736210791	0	0	0
BMS	ConnectorSynchronizer (import)	1446736510487	0	0	0
BMS	MeasurementSynchronizer	1446736510521	0	0	36
BMS	WorkOrderSynchronizer	1446736510588	0	0	0
BMS	TagSynchronizer	1446736510652	0	0	0
BMS	PropertySynchronizer	1446736510726	0	0	0
BMS	AlarmSynchronizer	1446736510747	0	0	0
BMS	ConnectorSynchronizer (import)	1446736810847	0	0	0
BMS	MeasurementSynchronizer	1446736810881	0	0	36
BMS	WorkOrderSynchronizer	1446736810945	0	0	0
BMS	TagSynchronizer	1446736811013	0	0	0
BMS	PropertySynchronizer	1446736811090	0	0	0
BMS	AlarmSynchronizer	1446736811113	0	0	0
BMS	ConnectorSynchronizer (import)	1446737110514	0	0	0
BMS	MeasurementSynchronizer	1446737110549	0	0	36
BMS	WorkOrderSynchronizer	1446737110617	0	0	0
BMS	TagSynchronizer	1446737110681	0	0	0
BMS	PropertySynchronizer	1446737110757	0	0	0
BMS	AlarmSynchronizer	1446737110779	0	0	0
BMS	ConnectorSynchronizer (import)	1446737410494	0	0	0
BMS	MeasurementSynchronizer	1446737410529	0	0	36
BMS	WorkOrderSynchronizer	1446737410596	0	0	0
BMS	TagSynchronizer	1446737410661	0	0	0
BMS	PropertySynchronizer	1446737410737	0	0	0
BMS	AlarmSynchronizer	1446737410759	0	0	0
BMS	ConnectorSynchronizer (import)	1446737710599	0	0	0
BMS	MeasurementSynchronizer	1446737710633	0	0	36
BMS	WorkOrderSynchronizer	1446737710703	0	0	0
BMS	TagSynchronizer	1446737710774	0	0	0
BMS	PropertySynchronizer	1446737710853	0	0	0
BMS	AlarmSynchronizer	1446737710875	0	0	0
BMS	ConnectorSynchronizer (import)	1446738010496	0	0	0
BMS	MeasurementSynchronizer	1446738010531	0	0	36
BMS	WorkOrderSynchronizer	1446738010597	0	0	0
BMS	TagSynchronizer	1446738010662	0	0	0
BMS	PropertySynchronizer	1446738010738	0	0	0
BMS	AlarmSynchronizer	1446738010758	0	0	0
BMS	ConnectorSynchronizer (import)	1446738310540	0	0	0
BMS	MeasurementSynchronizer	1446738310574	0	0	36
BMS	WorkOrderSynchronizer	1446738310642	0	0	0
BMS	TagSynchronizer	1446738310710	0	0	0
BMS	PropertySynchronizer	1446738310786	0	0	0
BMS	AlarmSynchronizer	1446738310807	0	0	0
BMS	ConnectorSynchronizer (import)	1446738610497	0	0	0
BMS	MeasurementSynchronizer	1446738610532	0	0	36
BMS	WorkOrderSynchronizer	1446738610598	0	0	0
BMS	TagSynchronizer	1446738610664	0	0	0
BMS	PropertySynchronizer	1446738610739	0	0	0
BMS	AlarmSynchronizer	1446738610761	0	0	0
BMS	ConnectorSynchronizer (import)	1446738910583	0	0	0
BMS	MeasurementSynchronizer	1446738910614	0	0	36
BMS	WorkOrderSynchronizer	1446738910676	0	0	0
BMS	TagSynchronizer	1446738910736	0	0	0
BMS	PropertySynchronizer	1446738910804	0	0	0
BMS	AlarmSynchronizer	1446738910823	0	0	0
BMS	ConnectorSynchronizer (import)	1446739210580	0	0	0
BMS	MeasurementSynchronizer	1446739210615	0	0	36
BMS	WorkOrderSynchronizer	1446739210682	0	0	0
BMS	TagSynchronizer	1446739210748	0	0	0
BMS	PropertySynchronizer	1446739210823	0	0	0
BMS	AlarmSynchronizer	1446739210845	0	0	0
BMS	ConnectorSynchronizer (import)	1446739510595	0	0	0
BMS	MeasurementSynchronizer	1446739510628	0	0	36
BMS	WorkOrderSynchronizer	1446739510694	0	0	0
BMS	TagSynchronizer	1446739510757	0	0	0
BMS	PropertySynchronizer	1446739510832	0	0	0
BMS	AlarmSynchronizer	1446739510853	0	0	0
BMS	ConnectorSynchronizer (import)	1446739810494	0	0	0
BMS	MeasurementSynchronizer	1446739810527	0	0	36
BMS	WorkOrderSynchronizer	1446739810593	0	0	0
BMS	TagSynchronizer	1446739810657	0	0	0
BMS	PropertySynchronizer	1446739810730	0	0	0
BMS	AlarmSynchronizer	1446739810750	0	0	0
BMS	ConnectorSynchronizer (import)	1446740110589	0	0	0
BMS	MeasurementSynchronizer	1446740110624	0	0	36
BMS	WorkOrderSynchronizer	1446740110689	0	0	0
BMS	TagSynchronizer	1446740110754	0	0	0
BMS	PropertySynchronizer	1446740110829	0	0	0
BMS	AlarmSynchronizer	1446740110849	0	0	0
BMS	ConnectorSynchronizer (import)	1446740410576	0	0	0
BMS	MeasurementSynchronizer	1446740410611	0	0	36
BMS	WorkOrderSynchronizer	1446740410675	0	0	0
BMS	TagSynchronizer	1446740410739	0	0	0
BMS	PropertySynchronizer	1446740410814	0	0	0
BMS	AlarmSynchronizer	1446740410836	0	0	0
BMS	ConnectorSynchronizer (import)	1446740710529	0	0	0
BMS	MeasurementSynchronizer	1446740710565	0	0	36
BMS	WorkOrderSynchronizer	1446740710634	0	0	0
BMS	TagSynchronizer	1446740710700	0	0	0
BMS	PropertySynchronizer	1446740710776	0	0	0
BMS	AlarmSynchronizer	1446740710798	0	0	0
BMS	ConnectorSynchronizer (import)	1446741010537	0	0	0
BMS	MeasurementSynchronizer	1446741010573	0	0	36
BMS	WorkOrderSynchronizer	1446741010639	0	0	0
BMS	TagSynchronizer	1446741010702	0	0	0
BMS	PropertySynchronizer	1446741010777	0	0	0
BMS	AlarmSynchronizer	1446741010797	0	0	0
BMS	ConnectorSynchronizer (import)	1446741310588	0	0	0
BMS	MeasurementSynchronizer	1446741310623	0	0	36
BMS	WorkOrderSynchronizer	1446741310688	0	0	0
BMS	TagSynchronizer	1446741310752	0	0	0
BMS	PropertySynchronizer	1446741310827	0	0	0
BMS	AlarmSynchronizer	1446741310848	0	0	0
BMS	ConnectorSynchronizer (import)	1446741610503	0	0	0
BMS	MeasurementSynchronizer	1446741610537	0	0	36
BMS	WorkOrderSynchronizer	1446741610602	0	0	0
BMS	TagSynchronizer	1446741610666	0	0	0
BMS	PropertySynchronizer	1446741610740	0	0	0
BMS	AlarmSynchronizer	1446741610760	0	0	0
BMS	ConnectorSynchronizer (import)	1446741910513	0	0	0
BMS	MeasurementSynchronizer	1446741910550	0	0	36
BMS	WorkOrderSynchronizer	1446741910615	0	0	0
BMS	TagSynchronizer	1446741910679	0	0	0
BMS	PropertySynchronizer	1446741910752	0	0	0
BMS	AlarmSynchronizer	1446741910773	0	0	0
BMS	ConnectorSynchronizer (import)	1446742210508	0	0	0
BMS	MeasurementSynchronizer	1446742210540	0	0	36
BMS	WorkOrderSynchronizer	1446742210605	0	0	0
BMS	TagSynchronizer	1446742210670	0	0	0
BMS	PropertySynchronizer	1446742210744	0	0	0
BMS	AlarmSynchronizer	1446742210764	0	0	0
BMS	ConnectorSynchronizer (import)	1446742510587	0	0	0
BMS	MeasurementSynchronizer	1446742510624	0	0	36
BMS	WorkOrderSynchronizer	1446742510692	0	0	0
BMS	TagSynchronizer	1446742510792	0	0	0
BMS	PropertySynchronizer	1446742510871	0	0	0
BMS	AlarmSynchronizer	1446742510894	0	0	0
BMS	ConnectorSynchronizer (import)	1446742810586	0	0	0
BMS	MeasurementSynchronizer	1446742810619	0	0	36
BMS	WorkOrderSynchronizer	1446742810684	0	0	0
BMS	TagSynchronizer	1446742810747	0	0	0
BMS	PropertySynchronizer	1446742810822	0	0	0
BMS	AlarmSynchronizer	1446742810843	0	0	0
BMS	ConnectorSynchronizer (import)	1446743110506	0	0	0
BMS	MeasurementSynchronizer	1446743110539	0	0	36
BMS	WorkOrderSynchronizer	1446743110605	0	0	0
BMS	TagSynchronizer	1446743110669	0	0	0
BMS	PropertySynchronizer	1446743110744	0	0	0
BMS	AlarmSynchronizer	1446743110765	0	0	0
BMS	ConnectorSynchronizer (import)	1446743410586	0	0	0
BMS	MeasurementSynchronizer	1446743410620	0	0	36
BMS	WorkOrderSynchronizer	1446743410684	0	0	0
BMS	TagSynchronizer	1446743410746	0	0	0
BMS	PropertySynchronizer	1446743410821	0	0	0
BMS	AlarmSynchronizer	1446743410842	0	0	0
BMS	ConnectorSynchronizer (import)	1446743710523	0	0	0
BMS	MeasurementSynchronizer	1446743710556	0	0	36
BMS	WorkOrderSynchronizer	1446743710621	0	0	0
BMS	TagSynchronizer	1446743710685	0	0	0
BMS	PropertySynchronizer	1446743710757	0	0	0
BMS	AlarmSynchronizer	1446743710778	0	0	0
BMS	ConnectorSynchronizer (import)	1446744010537	0	0	0
BMS	MeasurementSynchronizer	1446744010572	0	0	36
BMS	WorkOrderSynchronizer	1446744010635	0	0	0
BMS	TagSynchronizer	1446744010696	0	0	0
BMS	PropertySynchronizer	1446744010772	0	0	0
BMS	AlarmSynchronizer	1446744010791	0	0	0
BMS	ConnectorSynchronizer (import)	1446744310581	0	0	0
BMS	MeasurementSynchronizer	1446744310614	0	0	36
BMS	WorkOrderSynchronizer	1446744310677	0	0	0
BMS	TagSynchronizer	1446744310741	0	0	0
BMS	PropertySynchronizer	1446744310815	0	0	0
BMS	AlarmSynchronizer	1446744310836	0	0	0
BMS	ConnectorSynchronizer (import)	1446744610579	0	0	0
BMS	MeasurementSynchronizer	1446744610614	0	0	36
BMS	WorkOrderSynchronizer	1446744610681	0	0	0
BMS	TagSynchronizer	1446744610746	0	0	0
BMS	PropertySynchronizer	1446744610822	0	0	0
BMS	AlarmSynchronizer	1446744610844	0	0	0
BMS	ConnectorSynchronizer (import)	1446744910587	0	0	0
BMS	MeasurementSynchronizer	1446744910621	0	0	36
BMS	WorkOrderSynchronizer	1446744910686	0	0	0
BMS	TagSynchronizer	1446744910750	0	0	0
BMS	PropertySynchronizer	1446744910824	0	0	0
BMS	AlarmSynchronizer	1446744910845	0	0	0
BMS	ConnectorSynchronizer (import)	1446745210491	0	0	0
BMS	MeasurementSynchronizer	1446745210524	0	0	36
BMS	WorkOrderSynchronizer	1446745210594	0	0	0
BMS	TagSynchronizer	1446745210674	0	0	0
BMS	PropertySynchronizer	1446745210749	0	0	0
BMS	AlarmSynchronizer	1446745210772	0	0	0
BMS	ConnectorSynchronizer (import)	1446745510595	0	0	0
BMS	MeasurementSynchronizer	1446745510629	0	0	36
BMS	WorkOrderSynchronizer	1446745510695	0	0	0
BMS	TagSynchronizer	1446745510759	0	0	0
BMS	PropertySynchronizer	1446745510835	0	0	0
BMS	AlarmSynchronizer	1446745510856	0	0	0
BMS	ConnectorSynchronizer (import)	1446745810589	0	0	0
BMS	MeasurementSynchronizer	1446745810626	0	0	36
BMS	WorkOrderSynchronizer	1446745810693	0	0	0
BMS	TagSynchronizer	1446745810758	0	0	0
BMS	PropertySynchronizer	1446745810834	0	0	0
BMS	AlarmSynchronizer	1446745810857	0	0	0
BMS	ConnectorSynchronizer (import)	1446746110502	0	0	0
BMS	MeasurementSynchronizer	1446746110536	0	0	36
BMS	WorkOrderSynchronizer	1446746110602	0	0	0
BMS	TagSynchronizer	1446746110666	0	0	0
BMS	PropertySynchronizer	1446746110741	0	0	0
BMS	AlarmSynchronizer	1446746110763	0	0	0
BMS	ConnectorSynchronizer (import)	1446746410513	0	0	0
BMS	MeasurementSynchronizer	1446746410547	0	0	36
BMS	WorkOrderSynchronizer	1446746410616	0	0	0
BMS	TagSynchronizer	1446746410679	0	0	0
BMS	PropertySynchronizer	1446746410753	0	0	0
BMS	AlarmSynchronizer	1446746410775	0	0	0
BMS	ConnectorSynchronizer (import)	1446746710514	0	0	0
BMS	MeasurementSynchronizer	1446746710548	0	0	36
BMS	WorkOrderSynchronizer	1446746710614	0	0	0
BMS	TagSynchronizer	1446746710677	0	0	0
BMS	PropertySynchronizer	1446746710752	0	0	0
BMS	AlarmSynchronizer	1446746710773	0	0	0
BMS	ConnectorSynchronizer (import)	1446747010589	0	0	0
BMS	MeasurementSynchronizer	1446747010624	0	0	36
BMS	WorkOrderSynchronizer	1446747010694	0	0	0
BMS	TagSynchronizer	1446747010759	0	0	0
BMS	PropertySynchronizer	1446747010835	0	0	0
BMS	AlarmSynchronizer	1446747010856	0	0	0
BMS	ConnectorSynchronizer (import)	1446747310532	0	0	0
BMS	MeasurementSynchronizer	1446747310567	0	0	36
BMS	WorkOrderSynchronizer	1446747310632	0	0	0
BMS	TagSynchronizer	1446747310696	0	0	0
BMS	PropertySynchronizer	1446747310770	0	0	0
BMS	AlarmSynchronizer	1446747310791	0	0	0
BMS	ConnectorSynchronizer (import)	1446747610510	0	0	0
BMS	MeasurementSynchronizer	1446747610545	0	0	36
BMS	WorkOrderSynchronizer	1446747610609	0	0	0
BMS	TagSynchronizer	1446747610672	0	0	0
BMS	PropertySynchronizer	1446747610746	0	0	0
BMS	AlarmSynchronizer	1446747610767	0	0	0
BMS	ConnectorSynchronizer (import)	1446747910495	0	0	0
BMS	MeasurementSynchronizer	1446747910530	0	0	36
BMS	WorkOrderSynchronizer	1446747910600	0	0	0
BMS	TagSynchronizer	1446747910666	0	0	0
BMS	PropertySynchronizer	1446747910743	0	0	0
BMS	AlarmSynchronizer	1446747910766	0	0	0
BMS	ConnectorSynchronizer (import)	1446748210503	0	0	0
BMS	MeasurementSynchronizer	1446748210538	0	0	36
BMS	WorkOrderSynchronizer	1446748210606	0	0	0
BMS	TagSynchronizer	1446748210671	0	0	0
BMS	PropertySynchronizer	1446748210746	0	0	0
BMS	AlarmSynchronizer	1446748210767	0	0	0
BMS	ConnectorSynchronizer (import)	1446748510614	0	0	0
BMS	MeasurementSynchronizer	1446748510646	0	0	36
BMS	WorkOrderSynchronizer	1446748510705	0	0	0
BMS	TagSynchronizer	1446748510764	0	0	0
BMS	PropertySynchronizer	1446748510834	0	0	0
BMS	AlarmSynchronizer	1446748510854	0	0	0
BMS	ConnectorSynchronizer (import)	1446748810603	0	0	0
BMS	MeasurementSynchronizer	1446748810635	0	0	36
BMS	WorkOrderSynchronizer	1446748810694	0	0	0
BMS	TagSynchronizer	1446748810753	0	0	0
BMS	PropertySynchronizer	1446748810822	0	0	0
BMS	AlarmSynchronizer	1446748810842	0	0	0
BMS	ConnectorSynchronizer (import)	1446749110501	0	0	0
BMS	MeasurementSynchronizer	1446749110533	0	0	36
BMS	WorkOrderSynchronizer	1446749110593	0	0	0
BMS	TagSynchronizer	1446749110652	0	0	0
BMS	PropertySynchronizer	1446749110721	0	0	0
BMS	AlarmSynchronizer	1446749110740	0	0	0
BMS	ConnectorSynchronizer (import)	1446749410604	0	0	0
BMS	MeasurementSynchronizer	1446749410635	0	0	36
BMS	WorkOrderSynchronizer	1446749410695	0	0	0
BMS	TagSynchronizer	1446749410755	0	0	0
BMS	PropertySynchronizer	1446749410824	0	0	0
BMS	AlarmSynchronizer	1446749410843	0	0	0
BMS	ConnectorSynchronizer (import)	1446749710589	0	0	0
BMS	MeasurementSynchronizer	1446749710620	0	0	36
BMS	WorkOrderSynchronizer	1446749710682	0	0	0
BMS	TagSynchronizer	1446749710742	0	0	0
BMS	PropertySynchronizer	1446749710812	0	0	0
BMS	AlarmSynchronizer	1446749710831	0	0	0
BMS	ConnectorSynchronizer (import)	1446750010590	0	0	0
BMS	MeasurementSynchronizer	1446750010621	0	0	36
BMS	WorkOrderSynchronizer	1446750010681	0	0	0
BMS	TagSynchronizer	1446750010740	0	0	0
BMS	PropertySynchronizer	1446750010800	0	0	0
BMS	AlarmSynchronizer	1446750010819	0	0	0
BMS	ConnectorSynchronizer (import)	1446750310572	0	0	0
BMS	MeasurementSynchronizer	1446750310605	0	0	36
BMS	WorkOrderSynchronizer	1446750310672	0	0	0
BMS	TagSynchronizer	1446750310736	0	0	0
BMS	PropertySynchronizer	1446750310819	0	0	0
BMS	AlarmSynchronizer	1446750310841	0	0	0
BMS	ConnectorSynchronizer (import)	1446750610506	0	0	0
BMS	MeasurementSynchronizer	1446750610540	0	0	36
BMS	WorkOrderSynchronizer	1446750610605	0	0	0
BMS	TagSynchronizer	1446750610668	0	0	0
BMS	PropertySynchronizer	1446750610741	0	0	0
BMS	AlarmSynchronizer	1446750610765	0	0	0
BMS	ConnectorSynchronizer (import)	1446750910597	0	0	0
BMS	MeasurementSynchronizer	1446750910631	0	0	36
BMS	WorkOrderSynchronizer	1446750910700	0	0	0
BMS	TagSynchronizer	1446750910765	0	0	0
BMS	PropertySynchronizer	1446750910842	0	0	0
BMS	AlarmSynchronizer	1446750910864	0	0	0
BMS	ConnectorSynchronizer (import)	1446751210594	0	0	0
BMS	MeasurementSynchronizer	1446751210628	0	0	36
BMS	WorkOrderSynchronizer	1446751210694	0	0	0
BMS	TagSynchronizer	1446751210758	0	0	0
BMS	PropertySynchronizer	1446751210833	0	0	0
BMS	AlarmSynchronizer	1446751210855	0	0	0
BMS	ConnectorSynchronizer (import)	1446751510513	0	0	0
BMS	MeasurementSynchronizer	1446751510548	0	0	36
BMS	WorkOrderSynchronizer	1446751510615	0	0	0
BMS	TagSynchronizer	1446751510687	0	0	0
BMS	PropertySynchronizer	1446751510764	0	0	0
BMS	AlarmSynchronizer	1446751510786	0	0	0
BMS	ConnectorSynchronizer (import)	1446751810549	0	0	0
BMS	MeasurementSynchronizer	1446751810583	0	0	36
BMS	WorkOrderSynchronizer	1446751810648	0	0	0
BMS	TagSynchronizer	1446751810712	0	0	0
BMS	PropertySynchronizer	1446751810787	0	0	0
BMS	AlarmSynchronizer	1446751810807	0	0	0
BMS	ConnectorSynchronizer (import)	1446752110591	0	0	0
BMS	MeasurementSynchronizer	1446752110626	0	0	36
BMS	WorkOrderSynchronizer	1446752110691	0	0	0
BMS	TagSynchronizer	1446752110755	0	0	0
BMS	PropertySynchronizer	1446752110830	0	0	0
BMS	AlarmSynchronizer	1446752110851	0	0	0
BMS	ConnectorSynchronizer (import)	1446752410595	0	0	0
BMS	MeasurementSynchronizer	1446752410629	0	0	36
BMS	WorkOrderSynchronizer	1446752410696	0	0	0
BMS	TagSynchronizer	1446752410764	0	0	0
BMS	PropertySynchronizer	1446752410841	0	0	0
BMS	AlarmSynchronizer	1446752410864	0	0	0
BMS	ConnectorSynchronizer (import)	1446752710511	0	0	0
BMS	MeasurementSynchronizer	1446752710544	0	0	36
BMS	WorkOrderSynchronizer	1446752710604	0	0	0
BMS	TagSynchronizer	1446752710665	0	0	0
BMS	PropertySynchronizer	1446752710733	0	0	0
BMS	AlarmSynchronizer	1446752710753	0	0	0
BMS	ConnectorSynchronizer (import)	1446753010510	0	0	0
BMS	MeasurementSynchronizer	1446753010542	0	0	36
BMS	WorkOrderSynchronizer	1446753010604	0	0	0
BMS	TagSynchronizer	1446753010664	0	0	0
BMS	PropertySynchronizer	1446753010733	0	0	0
BMS	AlarmSynchronizer	1446753010754	0	0	0
BMS	ConnectorSynchronizer (import)	1446753310595	0	0	0
BMS	MeasurementSynchronizer	1446753310631	0	0	36
BMS	WorkOrderSynchronizer	1446753310698	0	0	0
BMS	TagSynchronizer	1446753310764	0	0	0
BMS	PropertySynchronizer	1446753310840	0	0	0
BMS	AlarmSynchronizer	1446753310861	0	0	0
BMS	ConnectorSynchronizer (import)	1446753610585	0	0	0
BMS	MeasurementSynchronizer	1446753610622	0	0	36
BMS	WorkOrderSynchronizer	1446753610691	0	0	0
BMS	TagSynchronizer	1446753610754	0	0	0
BMS	PropertySynchronizer	1446753610829	0	0	0
BMS	AlarmSynchronizer	1446753610851	0	0	0
BMS	ConnectorSynchronizer (import)	1446753910516	0	0	0
BMS	MeasurementSynchronizer	1446753910551	0	0	36
BMS	WorkOrderSynchronizer	1446753910619	0	0	0
BMS	TagSynchronizer	1446753910685	0	0	0
BMS	PropertySynchronizer	1446753910762	0	0	0
BMS	AlarmSynchronizer	1446753910783	0	0	0
BMS	ConnectorSynchronizer (import)	1446754210497	0	0	0
BMS	MeasurementSynchronizer	1446754210531	0	0	36
BMS	WorkOrderSynchronizer	1446754210599	0	0	0
BMS	TagSynchronizer	1446754210663	0	0	0
BMS	PropertySynchronizer	1446754210739	0	0	0
BMS	AlarmSynchronizer	1446754210761	0	0	0
BMS	ConnectorSynchronizer (import)	1446754510528	0	0	0
BMS	MeasurementSynchronizer	1446754510561	0	0	36
BMS	WorkOrderSynchronizer	1446754510626	0	0	0
BMS	TagSynchronizer	1446754510690	0	0	0
BMS	PropertySynchronizer	1446754510764	0	0	0
BMS	AlarmSynchronizer	1446754510784	0	0	0
BMS	ConnectorSynchronizer (import)	1446754810512	0	0	0
BMS	MeasurementSynchronizer	1446754810548	0	0	36
BMS	WorkOrderSynchronizer	1446754810616	0	0	0
BMS	TagSynchronizer	1446754810679	0	0	0
BMS	PropertySynchronizer	1446754810754	0	0	0
BMS	AlarmSynchronizer	1446754810775	0	0	0
BMS	ConnectorSynchronizer (import)	1446755110530	0	0	0
BMS	MeasurementSynchronizer	1446755110563	0	0	36
BMS	WorkOrderSynchronizer	1446755110630	0	0	0
BMS	TagSynchronizer	1446755110696	0	0	0
BMS	PropertySynchronizer	1446755110771	0	0	0
BMS	AlarmSynchronizer	1446755110793	0	0	0
BMS	ConnectorSynchronizer (import)	1446755410576	0	0	0
BMS	MeasurementSynchronizer	1446755410616	0	0	36
BMS	WorkOrderSynchronizer	1446755410684	0	0	0
BMS	TagSynchronizer	1446755410749	0	0	0
BMS	PropertySynchronizer	1446755410824	0	0	0
BMS	AlarmSynchronizer	1446755410846	0	0	0
BMS	ConnectorSynchronizer (import)	1446755710476	0	0	0
BMS	MeasurementSynchronizer	1446755710504	0	0	36
BMS	WorkOrderSynchronizer	1446755710559	0	0	0
BMS	TagSynchronizer	1446755710620	0	0	0
BMS	PropertySynchronizer	1446755710694	0	0	0
BMS	AlarmSynchronizer	1446755710715	0	0	0
BMS	ConnectorSynchronizer (import)	1446756010589	0	0	0
BMS	MeasurementSynchronizer	1446756010624	0	0	36
BMS	WorkOrderSynchronizer	1446756010690	0	0	0
BMS	TagSynchronizer	1446756010754	0	0	0
BMS	PropertySynchronizer	1446756010827	0	0	0
BMS	AlarmSynchronizer	1446756010848	0	0	0
BMS	ConnectorSynchronizer (import)	1446756310512	0	0	0
BMS	MeasurementSynchronizer	1446756310547	0	0	36
BMS	WorkOrderSynchronizer	1446756310614	0	0	0
BMS	TagSynchronizer	1446756310683	0	0	0
BMS	PropertySynchronizer	1446756310758	0	0	0
BMS	AlarmSynchronizer	1446756310780	0	0	0
BMS	ConnectorSynchronizer (import)	1446756610495	0	0	0
BMS	MeasurementSynchronizer	1446756610528	0	0	36
BMS	WorkOrderSynchronizer	1446756610593	0	0	0
BMS	TagSynchronizer	1446756610656	0	0	0
BMS	PropertySynchronizer	1446756610730	0	0	0
BMS	AlarmSynchronizer	1446756610751	0	0	0
BMS	ConnectorSynchronizer (import)	1446756910579	0	0	0
BMS	MeasurementSynchronizer	1446756910612	0	0	36
BMS	WorkOrderSynchronizer	1446756910672	0	0	0
BMS	TagSynchronizer	1446756910731	0	0	0
BMS	PropertySynchronizer	1446756910799	0	0	0
BMS	AlarmSynchronizer	1446756910818	0	0	0
BMS	ConnectorSynchronizer (import)	1446757210504	0	0	0
BMS	MeasurementSynchronizer	1446757210538	0	0	36
BMS	WorkOrderSynchronizer	1446757210602	0	0	0
BMS	TagSynchronizer	1446757210667	0	0	0
BMS	PropertySynchronizer	1446757210740	0	0	0
BMS	AlarmSynchronizer	1446757210762	0	0	0
BMS	ConnectorSynchronizer (import)	1446757510518	0	0	0
BMS	MeasurementSynchronizer	1446757510551	0	0	36
BMS	WorkOrderSynchronizer	1446757510617	0	0	0
BMS	TagSynchronizer	1446757510680	0	0	0
BMS	PropertySynchronizer	1446757510759	0	0	0
BMS	AlarmSynchronizer	1446757510781	0	0	0
BMS	ConnectorSynchronizer (import)	1446757810511	0	0	0
BMS	MeasurementSynchronizer	1446757810548	0	0	36
BMS	WorkOrderSynchronizer	1446757810616	0	0	0
BMS	TagSynchronizer	1446757810681	0	0	0
BMS	PropertySynchronizer	1446757810756	0	0	0
BMS	AlarmSynchronizer	1446757810778	0	0	0
BMS	ConnectorSynchronizer (import)	1446758110502	0	0	0
BMS	MeasurementSynchronizer	1446758110533	0	0	36
BMS	WorkOrderSynchronizer	1446758110592	0	0	0
BMS	TagSynchronizer	1446758110651	0	0	0
BMS	PropertySynchronizer	1446758110719	0	0	0
BMS	AlarmSynchronizer	1446758110738	0	0	0
BMS	ConnectorSynchronizer (import)	1446758410503	0	0	0
BMS	MeasurementSynchronizer	1446758410537	0	0	36
BMS	WorkOrderSynchronizer	1446758410603	0	0	0
BMS	TagSynchronizer	1446758410666	0	0	0
BMS	PropertySynchronizer	1446758410743	0	0	0
BMS	AlarmSynchronizer	1446758410767	0	0	0
BMS	ConnectorSynchronizer (import)	1446758710516	0	0	0
BMS	MeasurementSynchronizer	1446758710550	0	0	36
BMS	WorkOrderSynchronizer	1446758710628	0	0	0
BMS	TagSynchronizer	1446758710693	0	0	0
BMS	PropertySynchronizer	1446758710768	0	0	0
BMS	AlarmSynchronizer	1446758710789	0	0	0
BMS	ConnectorSynchronizer (import)	1446759010515	0	0	0
BMS	MeasurementSynchronizer	1446759010548	0	0	36
BMS	WorkOrderSynchronizer	1446759010610	0	0	0
BMS	TagSynchronizer	1446759010670	0	0	0
BMS	PropertySynchronizer	1446759010738	0	0	0
BMS	AlarmSynchronizer	1446759010758	0	0	0
BMS	ConnectorSynchronizer (import)	1446759310579	0	0	0
BMS	MeasurementSynchronizer	1446759310611	0	0	36
BMS	WorkOrderSynchronizer	1446759310673	0	0	0
BMS	TagSynchronizer	1446759310733	0	0	0
BMS	PropertySynchronizer	1446759310799	0	0	0
BMS	AlarmSynchronizer	1446759310817	0	0	0
BMS	ConnectorSynchronizer (import)	1446759610502	0	0	0
BMS	MeasurementSynchronizer	1446759610536	0	0	36
BMS	WorkOrderSynchronizer	1446759610601	0	0	0
BMS	TagSynchronizer	1446759610666	0	0	0
BMS	PropertySynchronizer	1446759610741	0	0	0
BMS	AlarmSynchronizer	1446759610763	0	0	0
BMS	ConnectorSynchronizer (import)	1446759910521	0	0	0
BMS	MeasurementSynchronizer	1446759910555	0	0	36
BMS	WorkOrderSynchronizer	1446759910620	0	0	0
BMS	TagSynchronizer	1446759910684	0	0	0
BMS	PropertySynchronizer	1446759910757	0	0	0
BMS	AlarmSynchronizer	1446759910778	0	0	0
BMS	ConnectorSynchronizer (import)	1446760210601	0	0	0
BMS	MeasurementSynchronizer	1446760210636	0	0	36
BMS	WorkOrderSynchronizer	1446760210702	0	0	0
BMS	TagSynchronizer	1446760210766	0	0	0
BMS	PropertySynchronizer	1446760210841	0	0	0
BMS	AlarmSynchronizer	1446760210863	0	0	0
BMS	ConnectorSynchronizer (import)	1446760510515	0	0	0
BMS	MeasurementSynchronizer	1446760510549	0	0	36
BMS	WorkOrderSynchronizer	1446760510619	0	0	0
BMS	TagSynchronizer	1446760510685	0	0	0
BMS	PropertySynchronizer	1446760510763	0	0	0
BMS	AlarmSynchronizer	1446760510786	0	0	0
BMS	ConnectorSynchronizer (import)	1446760810576	0	0	0
BMS	MeasurementSynchronizer	1446760810608	0	0	36
BMS	WorkOrderSynchronizer	1446760810667	0	0	0
BMS	TagSynchronizer	1446760810730	0	0	0
BMS	PropertySynchronizer	1446760810804	0	0	0
BMS	AlarmSynchronizer	1446760810825	0	0	0
BMS	ConnectorSynchronizer (import)	1446761110515	0	0	0
BMS	MeasurementSynchronizer	1446761110549	0	0	36
BMS	WorkOrderSynchronizer	1446761110614	0	0	0
BMS	TagSynchronizer	1446761110679	0	0	0
BMS	PropertySynchronizer	1446761110753	0	0	0
BMS	AlarmSynchronizer	1446761110774	0	0	0
BMS	ConnectorSynchronizer (import)	1446761410513	0	0	0
BMS	MeasurementSynchronizer	1446761410548	0	0	36
BMS	WorkOrderSynchronizer	1446761410616	0	0	0
BMS	TagSynchronizer	1446761410681	0	0	0
BMS	PropertySynchronizer	1446761410757	0	0	0
BMS	AlarmSynchronizer	1446761410778	0	0	0
BMS	ConnectorSynchronizer (import)	1446761710510	0	0	0
BMS	MeasurementSynchronizer	1446761710544	0	0	36
BMS	WorkOrderSynchronizer	1446761710608	0	0	0
BMS	TagSynchronizer	1446761710674	0	0	0
BMS	PropertySynchronizer	1446761710748	0	0	0
BMS	AlarmSynchronizer	1446761710770	0	0	0
BMS	ConnectorSynchronizer (import)	1446762010501	0	0	0
BMS	MeasurementSynchronizer	1446762010533	0	0	36
BMS	WorkOrderSynchronizer	1446762010595	0	0	0
BMS	TagSynchronizer	1446762010656	0	0	0
BMS	PropertySynchronizer	1446762010715	0	0	0
BMS	AlarmSynchronizer	1446762010736	0	0	0
BMS	ConnectorSynchronizer (import)	1446762310523	0	0	0
BMS	MeasurementSynchronizer	1446762310557	0	0	36
BMS	WorkOrderSynchronizer	1446762310622	0	0	0
BMS	TagSynchronizer	1446762310684	0	0	0
BMS	PropertySynchronizer	1446762310759	0	0	0
BMS	AlarmSynchronizer	1446762310780	0	0	0
BMS	ConnectorSynchronizer (import)	1446762610510	0	0	0
BMS	MeasurementSynchronizer	1446762610543	0	0	36
BMS	WorkOrderSynchronizer	1446762610608	0	0	0
BMS	TagSynchronizer	1446762610671	0	0	0
BMS	PropertySynchronizer	1446762610746	0	0	0
BMS	AlarmSynchronizer	1446762610767	0	0	0
BMS	ConnectorSynchronizer (import)	1446762910529	0	0	0
BMS	MeasurementSynchronizer	1446762910565	0	0	36
BMS	WorkOrderSynchronizer	1446762910631	0	0	0
BMS	TagSynchronizer	1446762910697	0	0	0
BMS	PropertySynchronizer	1446762910772	0	0	0
BMS	AlarmSynchronizer	1446762910793	0	0	0
BMS	ConnectorSynchronizer (import)	1446763210526	0	0	0
BMS	MeasurementSynchronizer	1446763210560	0	0	36
BMS	WorkOrderSynchronizer	1446763210625	0	0	0
BMS	TagSynchronizer	1446763210689	0	0	0
BMS	PropertySynchronizer	1446763210764	0	0	0
BMS	AlarmSynchronizer	1446763210785	0	0	0
BMS	ConnectorSynchronizer (import)	1446763510536	0	0	0
BMS	MeasurementSynchronizer	1446763510570	0	0	36
BMS	WorkOrderSynchronizer	1446763510634	0	0	0
BMS	TagSynchronizer	1446763510698	0	0	0
BMS	PropertySynchronizer	1446763510770	0	0	0
BMS	AlarmSynchronizer	1446763510791	0	0	0
BMS	ConnectorSynchronizer (import)	1446763810504	0	0	0
BMS	MeasurementSynchronizer	1446763810534	0	0	36
BMS	WorkOrderSynchronizer	1446763810593	0	0	0
BMS	TagSynchronizer	1446763810659	0	0	0
BMS	PropertySynchronizer	1446763810734	0	0	0
BMS	AlarmSynchronizer	1446763810756	0	0	0
BMS	ConnectorSynchronizer (import)	1446764110518	0	0	0
BMS	MeasurementSynchronizer	1446764110552	0	0	36
BMS	WorkOrderSynchronizer	1446764110619	0	0	0
BMS	TagSynchronizer	1446764110683	0	0	0
BMS	PropertySynchronizer	1446764110757	0	0	0
BMS	AlarmSynchronizer	1446764110778	0	0	0
BMS	ConnectorSynchronizer (import)	1446764410512	0	0	0
BMS	MeasurementSynchronizer	1446764410546	0	0	36
BMS	WorkOrderSynchronizer	1446764410612	0	0	0
BMS	TagSynchronizer	1446764410677	0	0	0
BMS	PropertySynchronizer	1446764410752	0	0	0
BMS	AlarmSynchronizer	1446764410773	0	0	0
BMS	ConnectorSynchronizer (import)	1446764710495	0	0	0
BMS	MeasurementSynchronizer	1446764710529	0	0	36
BMS	WorkOrderSynchronizer	1446764710593	0	0	0
BMS	TagSynchronizer	1446764710658	0	0	0
BMS	PropertySynchronizer	1446764710733	0	0	0
BMS	AlarmSynchronizer	1446764710755	0	0	0
BMS	ConnectorSynchronizer (import)	1446765010510	0	0	0
BMS	MeasurementSynchronizer	1446765010541	0	0	36
BMS	WorkOrderSynchronizer	1446765010600	0	0	0
BMS	TagSynchronizer	1446765010661	0	0	0
BMS	PropertySynchronizer	1446765010735	0	0	0
BMS	AlarmSynchronizer	1446765010755	0	0	0
BMS	ConnectorSynchronizer (import)	1446765310589	0	0	0
BMS	MeasurementSynchronizer	1446765310620	0	0	36
BMS	WorkOrderSynchronizer	1446765310680	0	0	0
BMS	TagSynchronizer	1446765310739	0	0	0
BMS	PropertySynchronizer	1446765310808	0	0	0
BMS	AlarmSynchronizer	1446765310828	0	0	0
BMS	ConnectorSynchronizer (import)	1446765610514	0	0	0
BMS	MeasurementSynchronizer	1446765610548	0	0	36
BMS	WorkOrderSynchronizer	1446765610612	0	0	0
BMS	TagSynchronizer	1446765610676	0	0	0
BMS	PropertySynchronizer	1446765610751	0	0	0
BMS	AlarmSynchronizer	1446765610772	0	0	0
BMS	ConnectorSynchronizer (import)	1446765910504	0	0	0
BMS	MeasurementSynchronizer	1446765910539	0	0	36
BMS	WorkOrderSynchronizer	1446765910607	0	0	0
BMS	TagSynchronizer	1446765910672	0	0	0
BMS	PropertySynchronizer	1446765910747	0	0	0
BMS	AlarmSynchronizer	1446765910768	0	0	0
BMS	ConnectorSynchronizer (import)	1446766210502	0	0	0
BMS	MeasurementSynchronizer	1446766210536	0	0	36
BMS	WorkOrderSynchronizer	1446766210600	0	0	0
BMS	TagSynchronizer	1446766210663	0	0	0
BMS	PropertySynchronizer	1446766210736	0	0	0
BMS	AlarmSynchronizer	1446766210757	0	0	0
BMS	ConnectorSynchronizer (import)	1446766510540	0	0	0
BMS	MeasurementSynchronizer	1446766510575	0	0	36
BMS	WorkOrderSynchronizer	1446766510640	0	0	0
BMS	TagSynchronizer	1446766510706	0	0	0
BMS	PropertySynchronizer	1446766510783	0	0	0
BMS	AlarmSynchronizer	1446766510805	0	0	0
BMS	ConnectorSynchronizer (import)	1446766810511	0	0	0
BMS	MeasurementSynchronizer	1446766810546	0	0	36
BMS	WorkOrderSynchronizer	1446766810615	0	0	0
BMS	TagSynchronizer	1446766810681	0	0	0
BMS	PropertySynchronizer	1446766810755	0	0	0
BMS	AlarmSynchronizer	1446766810776	0	0	0
BMS	ConnectorSynchronizer (import)	1446767110514	0	0	0
BMS	MeasurementSynchronizer	1446767110547	0	0	36
BMS	WorkOrderSynchronizer	1446767110613	0	0	0
BMS	TagSynchronizer	1446767110677	0	0	0
BMS	PropertySynchronizer	1446767110751	0	0	0
BMS	AlarmSynchronizer	1446767110772	0	0	0
BMS	ConnectorSynchronizer (import)	1446767410507	0	0	0
BMS	MeasurementSynchronizer	1446767410542	0	0	36
BMS	WorkOrderSynchronizer	1446767410611	0	0	0
BMS	TagSynchronizer	1446767410684	0	0	0
BMS	PropertySynchronizer	1446767410759	0	0	0
BMS	AlarmSynchronizer	1446767410781	0	0	0
BMS	ConnectorSynchronizer (import)	1446767710497	0	0	0
BMS	MeasurementSynchronizer	1446767710531	0	0	36
BMS	WorkOrderSynchronizer	1446767710597	0	0	0
BMS	TagSynchronizer	1446767710660	0	0	0
BMS	PropertySynchronizer	1446767710734	0	0	0
BMS	AlarmSynchronizer	1446767710755	0	0	0
BMS	ConnectorSynchronizer (import)	1446768010511	0	0	0
BMS	MeasurementSynchronizer	1446768010545	0	0	36
BMS	WorkOrderSynchronizer	1446768010610	0	0	0
BMS	TagSynchronizer	1446768010674	0	0	0
BMS	PropertySynchronizer	1446768010748	0	0	0
BMS	AlarmSynchronizer	1446768010769	0	0	0
BMS	ConnectorSynchronizer (import)	1446768310516	0	0	0
BMS	MeasurementSynchronizer	1446768310550	0	0	36
BMS	WorkOrderSynchronizer	1446768310614	0	0	0
BMS	TagSynchronizer	1446768310678	0	0	0
BMS	PropertySynchronizer	1446768310753	0	0	0
BMS	AlarmSynchronizer	1446768310778	0	0	0
BMS	ConnectorSynchronizer (import)	1446768610508	0	0	0
BMS	MeasurementSynchronizer	1446768610552	0	0	36
BMS	WorkOrderSynchronizer	1446768610613	0	0	0
BMS	TagSynchronizer	1446768610672	0	0	0
BMS	PropertySynchronizer	1446768610741	0	0	0
BMS	AlarmSynchronizer	1446768610760	0	0	0
BMS	ConnectorSynchronizer (import)	1446768910512	0	0	0
BMS	MeasurementSynchronizer	1446768910546	0	0	36
BMS	WorkOrderSynchronizer	1446768910611	0	0	0
BMS	TagSynchronizer	1446768910674	0	0	0
BMS	PropertySynchronizer	1446768910750	0	0	0
BMS	AlarmSynchronizer	1446768910771	0	0	0
BMS	ConnectorSynchronizer (import)	1446769210498	0	0	0
BMS	MeasurementSynchronizer	1446769210533	0	0	36
BMS	WorkOrderSynchronizer	1446769210600	0	0	0
BMS	TagSynchronizer	1446769210664	0	0	0
BMS	PropertySynchronizer	1446769210740	0	0	0
BMS	AlarmSynchronizer	1446769210761	0	0	0
BMS	ConnectorSynchronizer (import)	1446769510591	0	0	0
BMS	MeasurementSynchronizer	1446769510625	0	0	36
BMS	WorkOrderSynchronizer	1446769510685	0	0	0
BMS	TagSynchronizer	1446769510744	0	0	0
BMS	PropertySynchronizer	1446769510818	0	0	0
BMS	AlarmSynchronizer	1446769510839	0	0	0
BMS	ConnectorSynchronizer (import)	1446769810527	0	0	0
BMS	MeasurementSynchronizer	1446769810560	0	0	36
BMS	WorkOrderSynchronizer	1446769810630	0	0	0
BMS	TagSynchronizer	1446769810695	0	0	0
BMS	PropertySynchronizer	1446769810770	0	0	0
BMS	AlarmSynchronizer	1446769810792	0	0	0
BMS	ConnectorSynchronizer (import)	1446770110509	0	0	0
BMS	MeasurementSynchronizer	1446770110545	0	0	36
BMS	WorkOrderSynchronizer	1446770110612	0	0	0
BMS	TagSynchronizer	1446770110680	0	0	0
BMS	PropertySynchronizer	1446770110764	0	0	0
BMS	AlarmSynchronizer	1446770110787	0	0	0
BMS	ConnectorSynchronizer (import)	1446770410484	0	0	0
BMS	MeasurementSynchronizer	1446770410516	0	0	36
BMS	WorkOrderSynchronizer	1446770410582	0	0	0
BMS	TagSynchronizer	1446770410645	0	0	0
BMS	PropertySynchronizer	1446770410720	0	0	0
BMS	AlarmSynchronizer	1446770410741	0	0	0
BMS	ConnectorSynchronizer (import)	1446770710600	0	0	0
BMS	MeasurementSynchronizer	1446770710634	0	0	36
BMS	WorkOrderSynchronizer	1446770710698	0	0	0
BMS	TagSynchronizer	1446770710762	0	0	0
BMS	PropertySynchronizer	1446770710835	0	0	0
BMS	AlarmSynchronizer	1446770710856	0	0	0
BMS	ConnectorSynchronizer (import)	1446771010501	0	0	0
BMS	MeasurementSynchronizer	1446771010535	0	0	36
BMS	WorkOrderSynchronizer	1446771010600	0	0	0
BMS	TagSynchronizer	1446771010666	0	0	0
BMS	PropertySynchronizer	1446771010740	0	0	0
BMS	AlarmSynchronizer	1446771010761	0	0	0
BMS	ConnectorSynchronizer (import)	1446771310597	0	0	0
BMS	MeasurementSynchronizer	1446771310631	0	0	36
BMS	WorkOrderSynchronizer	1446771310696	0	0	0
BMS	TagSynchronizer	1446771310760	0	0	0
BMS	PropertySynchronizer	1446771310835	0	0	0
BMS	AlarmSynchronizer	1446771310857	0	0	0
BMS	ConnectorSynchronizer (import)	1446771610517	0	0	0
BMS	MeasurementSynchronizer	1446771610553	0	0	36
BMS	WorkOrderSynchronizer	1446771610622	0	0	0
BMS	TagSynchronizer	1446771610689	0	0	0
BMS	PropertySynchronizer	1446771610766	0	0	0
BMS	AlarmSynchronizer	1446771610788	0	0	0
BMS	ConnectorSynchronizer (import)	1446771910486	0	0	0
BMS	MeasurementSynchronizer	1446771910517	0	0	36
BMS	WorkOrderSynchronizer	1446771910573	0	0	0
BMS	TagSynchronizer	1446771910632	0	0	0
BMS	PropertySynchronizer	1446771910701	0	0	0
BMS	AlarmSynchronizer	1446771910723	0	0	0
BMS	ConnectorSynchronizer (import)	1446772210514	0	0	0
BMS	MeasurementSynchronizer	1446772210549	0	0	36
BMS	WorkOrderSynchronizer	1446772210618	0	0	0
BMS	TagSynchronizer	1446772210682	0	0	0
BMS	PropertySynchronizer	1446772210755	0	0	0
BMS	AlarmSynchronizer	1446772210778	0	0	0
BMS	ConnectorSynchronizer (import)	1446772510504	0	0	0
BMS	MeasurementSynchronizer	1446772510539	0	0	36
BMS	WorkOrderSynchronizer	1446772510607	0	0	0
BMS	TagSynchronizer	1446772510672	0	0	0
BMS	PropertySynchronizer	1446772510746	0	0	0
BMS	AlarmSynchronizer	1446772510768	0	0	0
BMS	ConnectorSynchronizer (import)	1446772810597	0	0	0
BMS	MeasurementSynchronizer	1446772810630	0	0	36
BMS	WorkOrderSynchronizer	1446772810696	0	0	0
BMS	TagSynchronizer	1446772810761	0	0	0
BMS	PropertySynchronizer	1446772810837	0	0	0
BMS	AlarmSynchronizer	1446772810858	0	0	0
BMS	ConnectorSynchronizer (import)	1446773110581	0	0	0
BMS	MeasurementSynchronizer	1446773110615	0	0	36
BMS	WorkOrderSynchronizer	1446773110679	0	0	0
BMS	TagSynchronizer	1446773110742	0	0	0
BMS	PropertySynchronizer	1446773110816	0	0	0
BMS	AlarmSynchronizer	1446773110837	0	0	0
BMS	ConnectorSynchronizer (import)	1446773410531	0	0	0
BMS	MeasurementSynchronizer	1446773410566	0	0	36
BMS	WorkOrderSynchronizer	1446773410635	0	0	0
BMS	TagSynchronizer	1446773410700	0	0	0
BMS	PropertySynchronizer	1446773410773	0	0	0
BMS	AlarmSynchronizer	1446773410793	0	0	0
BMS	ConnectorSynchronizer (import)	1446773710536	0	0	0
BMS	MeasurementSynchronizer	1446773710570	0	0	36
BMS	WorkOrderSynchronizer	1446773710633	0	0	0
BMS	TagSynchronizer	1446773710696	0	0	0
BMS	PropertySynchronizer	1446773710769	0	0	0
BMS	AlarmSynchronizer	1446773710790	0	0	0
BMS	ConnectorSynchronizer (import)	1446774010524	0	0	0
BMS	MeasurementSynchronizer	1446774010558	0	0	36
BMS	WorkOrderSynchronizer	1446774010623	0	0	0
BMS	TagSynchronizer	1446774010688	0	0	0
BMS	PropertySynchronizer	1446774010763	0	0	0
BMS	AlarmSynchronizer	1446774010784	0	0	0
BMS	ConnectorSynchronizer (import)	1446774310513	0	0	0
BMS	MeasurementSynchronizer	1446774310546	0	0	36
BMS	WorkOrderSynchronizer	1446774310612	0	0	0
BMS	TagSynchronizer	1446774310676	0	0	0
BMS	PropertySynchronizer	1446774310749	0	0	0
BMS	AlarmSynchronizer	1446774310770	0	0	0
BMS	ConnectorSynchronizer (import)	1446774610514	0	0	0
BMS	MeasurementSynchronizer	1446774610548	0	0	36
BMS	WorkOrderSynchronizer	1446774610613	0	0	0
BMS	TagSynchronizer	1446774610677	0	0	0
BMS	PropertySynchronizer	1446774610751	0	0	0
BMS	AlarmSynchronizer	1446774610772	0	0	0
BMS	ConnectorSynchronizer (import)	1446774910504	0	0	0
BMS	MeasurementSynchronizer	1446774910538	0	0	36
BMS	WorkOrderSynchronizer	1446774910603	0	0	0
BMS	TagSynchronizer	1446774910668	0	0	0
BMS	PropertySynchronizer	1446774910740	0	0	0
BMS	AlarmSynchronizer	1446774910761	0	0	0
BMS	ConnectorSynchronizer (import)	1446775210512	0	0	0
BMS	MeasurementSynchronizer	1446775210546	0	0	36
BMS	WorkOrderSynchronizer	1446775210610	0	0	0
BMS	TagSynchronizer	1446775210674	0	0	0
BMS	PropertySynchronizer	1446775210747	0	0	0
BMS	AlarmSynchronizer	1446775210768	0	0	0
BMS	ConnectorSynchronizer (import)	1446775510511	0	0	0
BMS	MeasurementSynchronizer	1446775510547	0	0	36
BMS	WorkOrderSynchronizer	1446775510615	0	0	0
BMS	TagSynchronizer	1446775510681	0	0	0
BMS	PropertySynchronizer	1446775510758	0	0	0
BMS	AlarmSynchronizer	1446775510780	0	0	0
BMS	ConnectorSynchronizer (import)	1446775810512	0	0	0
BMS	MeasurementSynchronizer	1446775810547	0	0	36
BMS	WorkOrderSynchronizer	1446775810614	0	0	0
BMS	TagSynchronizer	1446775810677	0	0	0
BMS	PropertySynchronizer	1446775810752	0	0	0
BMS	AlarmSynchronizer	1446775810773	0	0	0
BMS	ConnectorSynchronizer (import)	1446776110541	0	0	0
BMS	MeasurementSynchronizer	1446776110577	0	0	36
BMS	WorkOrderSynchronizer	1446776110644	0	0	0
BMS	TagSynchronizer	1446776110708	0	0	0
BMS	PropertySynchronizer	1446776110786	0	0	0
BMS	AlarmSynchronizer	1446776110808	0	0	0
BMS	ConnectorSynchronizer (import)	1446776410568	0	0	0
BMS	MeasurementSynchronizer	1446776410603	0	0	36
BMS	WorkOrderSynchronizer	1446776410672	0	0	0
BMS	TagSynchronizer	1446776410738	0	0	0
BMS	PropertySynchronizer	1446776410814	0	0	0
BMS	AlarmSynchronizer	1446776410836	0	0	0
BMS	ConnectorSynchronizer (import)	1446776710506	0	0	0
BMS	MeasurementSynchronizer	1446776710541	0	0	36
BMS	WorkOrderSynchronizer	1446776710611	0	0	0
BMS	TagSynchronizer	1446776710679	0	0	0
BMS	PropertySynchronizer	1446776710754	0	0	0
BMS	AlarmSynchronizer	1446776710778	0	0	0
BMS	ConnectorSynchronizer (import)	1446777010531	0	0	0
BMS	MeasurementSynchronizer	1446777010566	0	0	36
BMS	WorkOrderSynchronizer	1446777010634	0	0	0
BMS	TagSynchronizer	1446777010700	0	0	0
BMS	PropertySynchronizer	1446777010761	0	0	0
BMS	AlarmSynchronizer	1446777010780	0	0	0
BMS	ConnectorSynchronizer (import)	1446777310528	0	0	0
BMS	MeasurementSynchronizer	1446777310560	0	0	36
BMS	WorkOrderSynchronizer	1446777310623	0	0	0
BMS	TagSynchronizer	1446777310689	0	0	0
BMS	PropertySynchronizer	1446777310764	0	0	0
BMS	AlarmSynchronizer	1446777310785	0	0	0
BMS	ConnectorSynchronizer (import)	1446777610527	0	0	0
BMS	MeasurementSynchronizer	1446777610564	0	0	36
BMS	WorkOrderSynchronizer	1446777610632	0	0	0
BMS	TagSynchronizer	1446777610698	0	0	0
BMS	PropertySynchronizer	1446777610773	0	0	0
BMS	AlarmSynchronizer	1446777610795	0	0	0
BMS	ConnectorSynchronizer (import)	1446777910512	0	0	0
BMS	MeasurementSynchronizer	1446777910544	0	0	36
BMS	WorkOrderSynchronizer	1446777910603	0	0	0
BMS	TagSynchronizer	1446777910662	0	0	0
BMS	PropertySynchronizer	1446777910728	0	0	0
BMS	AlarmSynchronizer	1446777910748	0	0	0
BMS	ConnectorSynchronizer (import)	1446778210509	0	0	0
BMS	MeasurementSynchronizer	1446778210543	0	0	36
BMS	WorkOrderSynchronizer	1446778210607	0	0	0
BMS	TagSynchronizer	1446778210672	0	0	0
BMS	PropertySynchronizer	1446778210749	0	0	0
BMS	AlarmSynchronizer	1446778210769	0	0	0
BMS	ConnectorSynchronizer (import)	1446778510502	0	0	0
BMS	MeasurementSynchronizer	1446778510536	0	0	36
BMS	WorkOrderSynchronizer	1446778510601	0	0	0
BMS	TagSynchronizer	1446778510664	0	0	0
BMS	PropertySynchronizer	1446778510739	0	0	0
BMS	AlarmSynchronizer	1446778510760	0	0	0
BMS	ConnectorSynchronizer (import)	1446778810514	0	0	0
BMS	MeasurementSynchronizer	1446778810548	0	0	36
BMS	WorkOrderSynchronizer	1446778810613	0	0	0
BMS	TagSynchronizer	1446778810675	0	0	0
BMS	PropertySynchronizer	1446778810747	0	0	0
BMS	AlarmSynchronizer	1446778810768	0	0	0
BMS	ConnectorSynchronizer (import)	1446779110498	0	0	0
BMS	MeasurementSynchronizer	1446779110532	0	0	36
BMS	WorkOrderSynchronizer	1446779110600	0	0	0
BMS	TagSynchronizer	1446779110666	0	0	0
BMS	PropertySynchronizer	1446779110741	0	0	0
BMS	AlarmSynchronizer	1446779110762	0	0	0
BMS	ConnectorSynchronizer (import)	1446779410518	0	0	0
BMS	MeasurementSynchronizer	1446779410552	0	0	36
BMS	WorkOrderSynchronizer	1446779410618	0	0	0
BMS	TagSynchronizer	1446779410683	0	0	0
BMS	PropertySynchronizer	1446779410755	0	0	0
BMS	AlarmSynchronizer	1446779410777	0	0	0
BMS	ConnectorSynchronizer (import)	1446779710549	0	0	0
BMS	MeasurementSynchronizer	1446779710585	0	0	36
BMS	WorkOrderSynchronizer	1446779710654	0	0	0
BMS	TagSynchronizer	1446779710720	0	0	0
BMS	PropertySynchronizer	1446779710795	0	0	0
BMS	AlarmSynchronizer	1446779710818	0	0	0
BMS	ConnectorSynchronizer (import)	1446780010532	0	0	0
BMS	MeasurementSynchronizer	1446780010567	0	0	36
BMS	WorkOrderSynchronizer	1446780010633	0	0	0
BMS	TagSynchronizer	1446780010700	0	0	0
BMS	PropertySynchronizer	1446780010780	0	0	0
BMS	AlarmSynchronizer	1446780010806	0	0	0
BMS	ConnectorSynchronizer (import)	1446780310528	0	0	0
BMS	MeasurementSynchronizer	1446780310563	0	0	36
BMS	WorkOrderSynchronizer	1446780310630	0	0	0
BMS	TagSynchronizer	1446780310698	0	0	0
BMS	PropertySynchronizer	1446780310773	0	0	0
BMS	AlarmSynchronizer	1446780310794	0	0	0
BMS	ConnectorSynchronizer (import)	1446780610521	0	0	0
BMS	MeasurementSynchronizer	1446780610555	0	0	36
BMS	WorkOrderSynchronizer	1446780610621	0	0	0
BMS	TagSynchronizer	1446780610685	0	0	0
BMS	PropertySynchronizer	1446780610759	0	0	0
BMS	AlarmSynchronizer	1446780610780	0	0	0
BMS	ConnectorSynchronizer (import)	1446780910518	0	0	0
BMS	MeasurementSynchronizer	1446780910554	0	0	36
BMS	WorkOrderSynchronizer	1446780910621	0	0	0
BMS	TagSynchronizer	1446780910686	0	0	0
BMS	PropertySynchronizer	1446780910759	0	0	0
BMS	AlarmSynchronizer	1446780910782	0	0	0
BMS	ConnectorSynchronizer (import)	1446781210516	0	0	0
BMS	MeasurementSynchronizer	1446781210548	0	0	36
BMS	WorkOrderSynchronizer	1446781210608	0	0	0
BMS	TagSynchronizer	1446781210668	0	0	0
BMS	PropertySynchronizer	1446781210726	0	0	0
BMS	AlarmSynchronizer	1446781210746	0	0	0
BMS	ConnectorSynchronizer (import)	1446781510505	0	0	0
BMS	MeasurementSynchronizer	1446781510539	0	0	36
BMS	WorkOrderSynchronizer	1446781510604	0	0	0
BMS	TagSynchronizer	1446781510669	0	0	0
BMS	PropertySynchronizer	1446781510742	0	0	0
BMS	AlarmSynchronizer	1446781510763	0	0	0
BMS	ConnectorSynchronizer (import)	1446781810543	0	0	0
BMS	MeasurementSynchronizer	1446781810577	0	0	36
BMS	WorkOrderSynchronizer	1446781810643	0	0	0
BMS	TagSynchronizer	1446781810710	0	0	0
BMS	PropertySynchronizer	1446781810786	0	0	0
BMS	AlarmSynchronizer	1446781810808	0	0	0
BMS	ConnectorSynchronizer (import)	1446782110515	0	0	0
BMS	MeasurementSynchronizer	1446782110552	0	0	36
BMS	WorkOrderSynchronizer	1446782110620	0	0	0
BMS	TagSynchronizer	1446782110684	0	0	0
BMS	PropertySynchronizer	1446782110758	0	0	0
BMS	AlarmSynchronizer	1446782110780	0	0	0
BMS	ConnectorSynchronizer (import)	1446782410501	0	0	0
BMS	MeasurementSynchronizer	1446782410534	0	0	36
BMS	WorkOrderSynchronizer	1446782410599	0	0	0
BMS	TagSynchronizer	1446782410662	0	0	0
BMS	PropertySynchronizer	1446782410734	0	0	0
BMS	AlarmSynchronizer	1446782410757	0	0	0
BMS	ConnectorSynchronizer (import)	1446782710502	0	0	0
BMS	MeasurementSynchronizer	1446782710537	0	0	36
BMS	WorkOrderSynchronizer	1446782710602	0	0	0
BMS	TagSynchronizer	1446782710667	0	0	0
BMS	PropertySynchronizer	1446782710742	0	0	0
BMS	AlarmSynchronizer	1446782710765	0	0	0
BMS	ConnectorSynchronizer (import)	1446783010508	0	0	0
BMS	MeasurementSynchronizer	1446783010542	0	0	36
BMS	WorkOrderSynchronizer	1446783010606	0	0	0
BMS	TagSynchronizer	1446783010666	0	0	0
BMS	PropertySynchronizer	1446783010736	0	0	0
BMS	AlarmSynchronizer	1446783010756	0	0	0
BMS	ConnectorSynchronizer (import)	1446783310542	0	0	0
BMS	MeasurementSynchronizer	1446783310576	0	0	36
BMS	WorkOrderSynchronizer	1446783310642	0	0	0
BMS	TagSynchronizer	1446783310706	0	0	0
BMS	PropertySynchronizer	1446783310780	0	0	0
BMS	AlarmSynchronizer	1446783310801	0	0	0
BMS	ConnectorSynchronizer (import)	1446783610516	0	0	0
BMS	MeasurementSynchronizer	1446783610549	0	0	36
BMS	WorkOrderSynchronizer	1446783610614	0	0	0
BMS	TagSynchronizer	1446783610678	0	0	0
BMS	PropertySynchronizer	1446783610752	0	0	0
BMS	AlarmSynchronizer	1446783610773	0	0	0
BMS	ConnectorSynchronizer (import)	1446783910510	0	0	0
BMS	MeasurementSynchronizer	1446783910544	0	0	36
BMS	WorkOrderSynchronizer	1446783910610	0	0	0
BMS	TagSynchronizer	1446783910673	0	0	0
BMS	PropertySynchronizer	1446783910748	0	0	0
BMS	AlarmSynchronizer	1446783910769	0	0	0
BMS	ConnectorSynchronizer (import)	1446784210518	0	0	0
BMS	MeasurementSynchronizer	1446784210554	0	0	36
BMS	WorkOrderSynchronizer	1446784210622	0	0	0
BMS	TagSynchronizer	1446784210688	0	0	0
BMS	PropertySynchronizer	1446784210766	0	0	0
BMS	AlarmSynchronizer	1446784210787	0	0	0
BMS	ConnectorSynchronizer (import)	1446784510531	0	0	0
BMS	MeasurementSynchronizer	1446784510565	0	0	36
BMS	WorkOrderSynchronizer	1446784510631	0	0	0
BMS	TagSynchronizer	1446784510699	0	0	0
BMS	PropertySynchronizer	1446784510775	0	0	0
BMS	AlarmSynchronizer	1446784510797	0	0	0
BMS	ConnectorSynchronizer (import)	1446784810510	0	0	0
BMS	MeasurementSynchronizer	1446784810545	0	0	36
BMS	WorkOrderSynchronizer	1446784810614	0	0	0
BMS	TagSynchronizer	1446784810681	0	0	0
BMS	PropertySynchronizer	1446784810757	0	0	0
BMS	AlarmSynchronizer	1446784811110	0	0	0
BMS	ConnectorSynchronizer (import)	1446785110508	0	0	0
BMS	MeasurementSynchronizer	1446785110539	0	0	36
BMS	WorkOrderSynchronizer	1446785110596	0	0	0
BMS	TagSynchronizer	1446785110652	0	0	0
BMS	PropertySynchronizer	1446785110713	0	0	0
BMS	AlarmSynchronizer	1446785110735	0	0	0
BMS	ConnectorSynchronizer (import)	1446785410524	0	0	0
BMS	MeasurementSynchronizer	1446785410559	0	0	36
BMS	WorkOrderSynchronizer	1446785410625	0	0	0
BMS	TagSynchronizer	1446785410689	0	0	0
BMS	PropertySynchronizer	1446785410763	0	0	0
BMS	AlarmSynchronizer	1446785410784	0	0	0
BMS	ConnectorSynchronizer (import)	1446785710501	0	0	0
BMS	MeasurementSynchronizer	1446785710535	0	0	36
BMS	WorkOrderSynchronizer	1446785710602	0	0	0
BMS	TagSynchronizer	1446785710666	0	0	0
BMS	PropertySynchronizer	1446785710741	0	0	0
BMS	AlarmSynchronizer	1446785710762	0	0	0
BMS	ConnectorSynchronizer (import)	1446786010503	0	0	0
BMS	MeasurementSynchronizer	1446786010536	0	0	36
BMS	WorkOrderSynchronizer	1446786010621	0	0	0
BMS	TagSynchronizer	1446786010690	0	0	0
BMS	PropertySynchronizer	1446786010766	0	0	0
BMS	AlarmSynchronizer	1446786010788	0	0	0
BMS	ConnectorSynchronizer (import)	1446786310529	0	0	0
BMS	MeasurementSynchronizer	1446786310564	0	0	36
BMS	WorkOrderSynchronizer	1446786310630	0	0	0
BMS	TagSynchronizer	1446786310693	0	0	0
BMS	PropertySynchronizer	1446786310766	0	0	0
BMS	AlarmSynchronizer	1446786310787	0	0	0
BMS	ConnectorSynchronizer (import)	1446786610512	0	0	0
BMS	MeasurementSynchronizer	1446786610547	0	0	36
BMS	WorkOrderSynchronizer	1446786610615	0	0	0
BMS	TagSynchronizer	1446786610681	0	0	0
BMS	PropertySynchronizer	1446786610756	0	0	0
BMS	AlarmSynchronizer	1446786610778	0	0	0
BMS	ConnectorSynchronizer (import)	1446786910513	0	0	0
BMS	MeasurementSynchronizer	1446786910544	0	0	36
BMS	WorkOrderSynchronizer	1446786910604	0	0	0
BMS	TagSynchronizer	1446786910663	0	0	0
BMS	PropertySynchronizer	1446786910731	0	0	0
BMS	AlarmSynchronizer	1446786910750	0	0	0
BMS	ConnectorSynchronizer (import)	1446787210509	0	0	0
BMS	MeasurementSynchronizer	1446787210543	0	0	36
BMS	WorkOrderSynchronizer	1446787210621	0	0	0
BMS	TagSynchronizer	1446787210686	0	0	0
BMS	PropertySynchronizer	1446787210759	0	0	0
BMS	AlarmSynchronizer	1446787210780	0	0	0
BMS	ConnectorSynchronizer (import)	1446787510509	0	0	0
BMS	MeasurementSynchronizer	1446787510543	0	0	36
BMS	WorkOrderSynchronizer	1446787510607	0	0	0
BMS	TagSynchronizer	1446787510670	0	0	0
BMS	PropertySynchronizer	1446787510743	0	0	0
BMS	AlarmSynchronizer	1446787510764	0	0	0
BMS	ConnectorSynchronizer (import)	1446787810523	0	0	0
BMS	MeasurementSynchronizer	1446787810557	0	0	36
BMS	WorkOrderSynchronizer	1446787810626	0	0	0
BMS	TagSynchronizer	1446787810691	0	0	0
BMS	PropertySynchronizer	1446787810767	0	0	0
BMS	AlarmSynchronizer	1446787810790	0	0	0
BMS	ConnectorSynchronizer (import)	1446788110507	0	0	0
BMS	MeasurementSynchronizer	1446788110541	0	0	36
BMS	WorkOrderSynchronizer	1446788110605	0	0	0
BMS	TagSynchronizer	1446788110668	0	0	0
BMS	PropertySynchronizer	1446788110742	0	0	0
BMS	AlarmSynchronizer	1446788110763	0	0	0
BMS	ConnectorSynchronizer (import)	1446788410530	0	0	0
BMS	MeasurementSynchronizer	1446788410564	0	0	36
BMS	WorkOrderSynchronizer	1446788410629	0	0	0
BMS	TagSynchronizer	1446788410694	0	0	0
BMS	PropertySynchronizer	1446788410768	0	0	0
BMS	AlarmSynchronizer	1446788410789	0	0	0
BMS	ConnectorSynchronizer (import)	1446788710544	0	0	0
BMS	MeasurementSynchronizer	1446788710577	0	0	36
BMS	WorkOrderSynchronizer	1446788710642	0	0	0
BMS	TagSynchronizer	1446788710706	0	0	0
BMS	PropertySynchronizer	1446788710780	0	0	0
BMS	AlarmSynchronizer	1446788710801	0	0	0
BMS	ConnectorSynchronizer (import)	1446789010516	0	0	0
BMS	MeasurementSynchronizer	1446789010550	0	0	36
BMS	WorkOrderSynchronizer	1446789010618	0	0	0
BMS	TagSynchronizer	1446789010685	0	0	0
BMS	PropertySynchronizer	1446789010761	0	0	0
BMS	AlarmSynchronizer	1446789010783	0	0	0
BMS	ConnectorSynchronizer (import)	1446789310522	0	0	0
BMS	MeasurementSynchronizer	1446789310553	0	0	36
BMS	WorkOrderSynchronizer	1446789310616	0	0	0
BMS	TagSynchronizer	1446789310677	0	0	0
BMS	PropertySynchronizer	1446789310749	0	0	0
BMS	AlarmSynchronizer	1446789310769	0	0	0
BMS	ConnectorSynchronizer (import)	1446789610522	0	0	0
BMS	MeasurementSynchronizer	1446789610550	0	0	36
BMS	WorkOrderSynchronizer	1446789610610	0	0	0
BMS	TagSynchronizer	1446789610673	0	0	0
BMS	PropertySynchronizer	1446789610746	0	0	0
BMS	AlarmSynchronizer	1446789610767	0	0	0
BMS	ConnectorSynchronizer (import)	1446789910577	0	0	0
BMS	MeasurementSynchronizer	1446789910611	0	0	36
BMS	WorkOrderSynchronizer	1446789910679	0	0	0
BMS	TagSynchronizer	1446789910744	0	0	0
BMS	PropertySynchronizer	1446789910820	0	0	0
BMS	AlarmSynchronizer	1446789910842	0	0	0
BMS	ConnectorSynchronizer (import)	1446790210514	0	0	0
BMS	MeasurementSynchronizer	1446790210548	0	0	36
BMS	WorkOrderSynchronizer	1446790210614	0	0	0
BMS	TagSynchronizer	1446790210680	0	0	0
BMS	PropertySynchronizer	1446790210753	0	0	0
BMS	AlarmSynchronizer	1446790210776	0	0	0
BMS	ConnectorSynchronizer (import)	1446790510525	0	0	0
BMS	MeasurementSynchronizer	1446790510558	0	0	36
BMS	WorkOrderSynchronizer	1446790510624	0	0	0
BMS	TagSynchronizer	1446790510688	0	0	0
BMS	PropertySynchronizer	1446790510761	0	0	0
BMS	AlarmSynchronizer	1446790510782	0	0	0
BMS	ConnectorSynchronizer (import)	1446790810596	0	0	0
BMS	MeasurementSynchronizer	1446790810630	0	0	36
BMS	WorkOrderSynchronizer	1446790810695	0	0	0
BMS	TagSynchronizer	1446790810759	0	0	0
BMS	PropertySynchronizer	1446790810833	0	0	0
BMS	AlarmSynchronizer	1446790810854	0	0	0
BMS	ConnectorSynchronizer (import)	1446791110519	0	0	0
BMS	MeasurementSynchronizer	1446791110553	0	0	36
BMS	WorkOrderSynchronizer	1446791110618	0	0	0
BMS	TagSynchronizer	1446791110682	0	0	0
BMS	PropertySynchronizer	1446791110756	0	0	0
BMS	AlarmSynchronizer	1446791110777	0	0	0
BMS	ConnectorSynchronizer (import)	1446791410543	0	0	0
BMS	MeasurementSynchronizer	1446791410577	0	0	36
BMS	WorkOrderSynchronizer	1446791410648	0	0	0
BMS	TagSynchronizer	1446791410712	0	0	0
BMS	PropertySynchronizer	1446791410781	0	0	0
BMS	AlarmSynchronizer	1446791410801	0	0	0
BMS	ConnectorSynchronizer (import)	1446791710517	0	0	0
BMS	MeasurementSynchronizer	1446791710545	0	0	36
BMS	WorkOrderSynchronizer	1446791710602	0	0	0
BMS	TagSynchronizer	1446791710656	0	0	0
BMS	PropertySynchronizer	1446791710722	0	0	0
BMS	AlarmSynchronizer	1446791710741	0	0	0
BMS	ConnectorSynchronizer (import)	1446792010512	0	0	0
BMS	MeasurementSynchronizer	1446792010546	0	0	36
BMS	WorkOrderSynchronizer	1446792010611	0	0	0
BMS	TagSynchronizer	1446792010675	0	0	0
BMS	PropertySynchronizer	1446792010748	0	0	0
BMS	AlarmSynchronizer	1446792010769	0	0	0
BMS	ConnectorSynchronizer (import)	1446792310508	0	0	0
BMS	MeasurementSynchronizer	1446792310542	0	0	36
BMS	WorkOrderSynchronizer	1446792310607	0	0	0
BMS	TagSynchronizer	1446792310671	0	0	0
BMS	PropertySynchronizer	1446792310746	0	0	0
BMS	AlarmSynchronizer	1446792310768	0	0	0
BMS	ConnectorSynchronizer (import)	1446792610521	0	0	0
BMS	MeasurementSynchronizer	1446792610555	0	0	36
BMS	WorkOrderSynchronizer	1446792610621	0	0	0
BMS	TagSynchronizer	1446792610684	0	0	0
BMS	PropertySynchronizer	1446792610757	0	0	0
BMS	AlarmSynchronizer	1446792610779	0	0	0
BMS	ConnectorSynchronizer (import)	1446792910513	0	0	0
BMS	MeasurementSynchronizer	1446792910547	0	0	36
BMS	WorkOrderSynchronizer	1446792910614	0	0	0
BMS	TagSynchronizer	1446792910677	0	0	0
BMS	PropertySynchronizer	1446792910751	0	0	0
BMS	AlarmSynchronizer	1446792910772	0	0	0
BMS	ConnectorSynchronizer (import)	1446793210524	0	0	0
BMS	MeasurementSynchronizer	1446793210558	0	0	36
BMS	WorkOrderSynchronizer	1446793210628	0	0	0
BMS	TagSynchronizer	1446793210693	0	0	0
BMS	PropertySynchronizer	1446793210768	0	0	0
BMS	AlarmSynchronizer	1446793210789	0	0	0
BMS	ConnectorSynchronizer (import)	1446793510658	0	0	0
BMS	MeasurementSynchronizer	1446793510688	0	0	36
BMS	WorkOrderSynchronizer	1446793510746	0	0	0
BMS	TagSynchronizer	1446793510832	0	0	0
BMS	PropertySynchronizer	1446793510918	0	0	0
BMS	AlarmSynchronizer	1446793510939	0	0	0
BMS	ConnectorSynchronizer (import)	1446793810496	0	0	0
BMS	MeasurementSynchronizer	1446793810533	0	0	36
BMS	WorkOrderSynchronizer	1446793810601	0	0	0
BMS	TagSynchronizer	1446793810667	0	0	0
BMS	PropertySynchronizer	1446793810751	0	0	0
BMS	AlarmSynchronizer	1446793810774	0	0	0
BMS	ConnectorSynchronizer (import)	1446794110515	0	0	0
BMS	MeasurementSynchronizer	1446794110548	0	0	36
BMS	WorkOrderSynchronizer	1446794110614	0	0	0
BMS	TagSynchronizer	1446794110680	0	0	0
BMS	PropertySynchronizer	1446794110753	0	0	0
BMS	AlarmSynchronizer	1446794110774	0	0	0
BMS	ConnectorSynchronizer (import)	1446794410511	0	0	0
BMS	MeasurementSynchronizer	1446794410544	0	0	36
BMS	WorkOrderSynchronizer	1446794410610	0	0	0
BMS	TagSynchronizer	1446794410674	0	0	0
BMS	PropertySynchronizer	1446794410747	0	0	0
BMS	AlarmSynchronizer	1446794410769	0	0	0
BMS	ConnectorSynchronizer (import)	1446794710498	0	0	0
BMS	MeasurementSynchronizer	1446794710531	0	0	36
BMS	WorkOrderSynchronizer	1446794710601	0	0	0
BMS	TagSynchronizer	1446794710666	0	0	0
BMS	PropertySynchronizer	1446794710741	0	0	0
BMS	AlarmSynchronizer	1446794710762	0	0	0
BMS	ConnectorSynchronizer (import)	1446795010556	0	0	0
BMS	MeasurementSynchronizer	1446795010590	0	0	36
BMS	WorkOrderSynchronizer	1446795010655	0	0	0
BMS	TagSynchronizer	1446795010719	0	0	0
BMS	PropertySynchronizer	1446795010793	0	0	0
BMS	AlarmSynchronizer	1446795010814	0	0	0
BMS	ConnectorSynchronizer (import)	1446795310541	0	0	0
BMS	MeasurementSynchronizer	1446795310578	0	0	36
BMS	WorkOrderSynchronizer	1446795310645	0	0	0
BMS	TagSynchronizer	1446795310711	0	0	0
BMS	PropertySynchronizer	1446795310784	0	0	0
BMS	AlarmSynchronizer	1446795310805	0	0	0
BMS	ConnectorSynchronizer (import)	1446795610520	0	0	0
BMS	MeasurementSynchronizer	1446795610554	0	0	36
BMS	WorkOrderSynchronizer	1446795610622	0	0	0
BMS	TagSynchronizer	1446795610688	0	0	0
BMS	PropertySynchronizer	1446795610764	0	0	0
BMS	AlarmSynchronizer	1446795610786	0	0	0
BMS	ConnectorSynchronizer (import)	1446795910509	0	0	0
BMS	MeasurementSynchronizer	1446795910550	0	0	36
BMS	WorkOrderSynchronizer	1446795910611	0	0	0
BMS	TagSynchronizer	1446795910664	0	0	0
BMS	PropertySynchronizer	1446795910726	0	0	0
BMS	AlarmSynchronizer	1446795910745	0	0	0
BMS	ConnectorSynchronizer (import)	1446796210508	0	0	0
BMS	MeasurementSynchronizer	1446796210542	0	0	36
BMS	WorkOrderSynchronizer	1446796210607	0	0	0
BMS	TagSynchronizer	1446796210671	0	0	0
BMS	PropertySynchronizer	1446796210744	0	0	0
BMS	AlarmSynchronizer	1446796210765	0	0	0
BMS	ConnectorSynchronizer (import)	1446796510508	0	0	0
BMS	MeasurementSynchronizer	1446796510542	0	0	36
BMS	WorkOrderSynchronizer	1446796510608	0	0	0
BMS	TagSynchronizer	1446796510672	0	0	0
BMS	PropertySynchronizer	1446796510745	0	0	0
BMS	AlarmSynchronizer	1446796510766	0	0	0
BMS	ConnectorSynchronizer (import)	1446796810519	0	0	0
BMS	MeasurementSynchronizer	1446796810554	0	0	36
BMS	WorkOrderSynchronizer	1446796810618	0	0	0
BMS	TagSynchronizer	1446796810681	0	0	0
BMS	PropertySynchronizer	1446796810754	0	0	0
BMS	AlarmSynchronizer	1446796810775	0	0	0
BMS	ConnectorSynchronizer (import)	1446797110555	0	0	0
BMS	MeasurementSynchronizer	1446797110581	0	0	36
BMS	WorkOrderSynchronizer	1446797110640	0	0	0
BMS	TagSynchronizer	1446797110699	0	0	0
BMS	PropertySynchronizer	1446797110757	0	0	0
BMS	AlarmSynchronizer	1446797110774	0	0	0
BMS	ConnectorSynchronizer (import)	1446797410501	0	0	0
BMS	MeasurementSynchronizer	1446797410533	0	0	36
BMS	WorkOrderSynchronizer	1446797410593	0	0	0
BMS	TagSynchronizer	1446797410652	0	0	0
BMS	PropertySynchronizer	1446797410717	0	0	0
BMS	AlarmSynchronizer	1446797410736	0	0	0
BMS	ConnectorSynchronizer (import)	1446797710507	0	0	0
BMS	MeasurementSynchronizer	1446797710541	0	0	36
BMS	WorkOrderSynchronizer	1446797710608	0	0	0
BMS	TagSynchronizer	1446797710674	0	0	0
BMS	PropertySynchronizer	1446797710749	0	0	0
BMS	AlarmSynchronizer	1446797710770	0	0	0
BMS	ConnectorSynchronizer (import)	1446798010524	0	0	0
BMS	MeasurementSynchronizer	1446798010559	0	0	36
BMS	WorkOrderSynchronizer	1446798010624	0	0	0
BMS	TagSynchronizer	1446798010688	0	0	0
BMS	PropertySynchronizer	1446798010760	0	0	0
BMS	AlarmSynchronizer	1446798010781	0	0	0
BMS	ConnectorSynchronizer (import)	1446798310551	0	0	0
BMS	MeasurementSynchronizer	1446798310585	0	0	36
BMS	WorkOrderSynchronizer	1446798310652	0	0	0
BMS	TagSynchronizer	1446798310716	0	0	0
BMS	PropertySynchronizer	1446798310791	0	0	0
BMS	AlarmSynchronizer	1446798310812	0	0	0
BMS	ConnectorSynchronizer (import)	1446798610530	0	0	0
BMS	MeasurementSynchronizer	1446798610564	0	0	36
BMS	WorkOrderSynchronizer	1446798610629	0	0	0
BMS	TagSynchronizer	1446798610693	0	0	0
BMS	PropertySynchronizer	1446798610765	0	0	0
BMS	AlarmSynchronizer	1446798610787	0	0	0
BMS	ConnectorSynchronizer (import)	1446798910505	0	0	0
BMS	MeasurementSynchronizer	1446798910538	0	0	36
BMS	WorkOrderSynchronizer	1446798910606	0	0	0
BMS	TagSynchronizer	1446798910669	0	0	0
BMS	PropertySynchronizer	1446798910741	0	0	0
BMS	AlarmSynchronizer	1446798910762	0	0	0
BMS	ConnectorSynchronizer (import)	1446799210513	0	0	0
BMS	MeasurementSynchronizer	1446799210548	0	0	36
BMS	WorkOrderSynchronizer	1446799210612	0	0	0
BMS	TagSynchronizer	1446799210678	0	0	0
BMS	PropertySynchronizer	1446799210753	0	0	0
BMS	AlarmSynchronizer	1446799210774	0	0	0
BMS	ConnectorSynchronizer (import)	1446799510521	0	0	0
BMS	MeasurementSynchronizer	1446799510557	0	0	36
BMS	WorkOrderSynchronizer	1446799510623	0	0	0
BMS	TagSynchronizer	1446799510685	0	0	0
BMS	PropertySynchronizer	1446799510754	0	0	0
BMS	AlarmSynchronizer	1446799510774	0	0	0
BMS	ConnectorSynchronizer (import)	1446799810497	0	0	0
BMS	MeasurementSynchronizer	1446799810531	0	0	36
BMS	WorkOrderSynchronizer	1446799810599	0	0	0
BMS	TagSynchronizer	1446799810664	0	0	0
BMS	PropertySynchronizer	1446799810739	0	0	0
BMS	AlarmSynchronizer	1446799810761	0	0	0
BMS	ConnectorSynchronizer (import)	1446800110506	0	0	0
BMS	MeasurementSynchronizer	1446800110540	0	0	36
BMS	WorkOrderSynchronizer	1446800110606	0	0	0
BMS	TagSynchronizer	1446800110670	0	0	0
BMS	PropertySynchronizer	1446800110742	0	0	0
BMS	AlarmSynchronizer	1446800110764	0	0	0
BMS	ConnectorSynchronizer (import)	1446800410570	0	0	0
BMS	MeasurementSynchronizer	1446800410603	0	0	36
BMS	WorkOrderSynchronizer	1446800410668	0	0	0
BMS	TagSynchronizer	1446800410732	0	0	0
BMS	PropertySynchronizer	1446800410805	0	0	0
BMS	AlarmSynchronizer	1446800410826	0	0	0
BMS	ConnectorSynchronizer (import)	1446800710624	0	0	0
BMS	MeasurementSynchronizer	1446800710659	0	0	36
BMS	WorkOrderSynchronizer	1446800710725	0	0	0
BMS	TagSynchronizer	1446800710788	0	0	0
BMS	PropertySynchronizer	1446800710865	0	0	0
BMS	AlarmSynchronizer	1446800710886	0	0	0
BMS	ConnectorSynchronizer (import)	1446801010516	0	0	0
BMS	MeasurementSynchronizer	1446801010552	0	0	36
BMS	WorkOrderSynchronizer	1446801010618	0	0	0
BMS	TagSynchronizer	1446801010682	0	0	0
BMS	PropertySynchronizer	1446801010757	0	0	0
BMS	AlarmSynchronizer	1446801010779	0	0	0
BMS	ConnectorSynchronizer (import)	1446801310525	0	0	0
BMS	MeasurementSynchronizer	1446801310561	0	0	36
BMS	WorkOrderSynchronizer	1446801310629	0	0	0
BMS	TagSynchronizer	1446801310696	0	0	0
BMS	PropertySynchronizer	1446801310771	0	0	0
BMS	AlarmSynchronizer	1446801310795	0	0	0
BMS	ConnectorSynchronizer (import)	1446801610528	0	0	0
BMS	MeasurementSynchronizer	1446801610560	0	0	36
BMS	WorkOrderSynchronizer	1446801610622	0	0	0
BMS	TagSynchronizer	1446801610682	0	0	0
BMS	PropertySynchronizer	1446801610738	0	0	0
BMS	AlarmSynchronizer	1446801610756	0	0	0
BMS	ConnectorSynchronizer (import)	1446801910597	0	0	0
BMS	MeasurementSynchronizer	1446801910632	0	0	36
BMS	WorkOrderSynchronizer	1446801910697	0	0	0
BMS	TagSynchronizer	1446801910762	0	0	0
BMS	PropertySynchronizer	1446801910849	0	0	0
BMS	AlarmSynchronizer	1446801910874	0	0	0
BMS	ConnectorSynchronizer (import)	1446802210514	0	0	0
BMS	MeasurementSynchronizer	1446802210547	0	0	36
BMS	WorkOrderSynchronizer	1446802210612	0	0	0
BMS	TagSynchronizer	1446802210676	0	0	0
BMS	PropertySynchronizer	1446802210749	0	0	0
BMS	AlarmSynchronizer	1446802210771	0	0	0
BMS	ConnectorSynchronizer (import)	1446802510508	0	0	0
BMS	MeasurementSynchronizer	1446802510542	0	0	36
BMS	WorkOrderSynchronizer	1446802510607	0	0	0
BMS	TagSynchronizer	1446802510670	0	0	0
BMS	PropertySynchronizer	1446802510743	0	0	0
BMS	AlarmSynchronizer	1446802510765	0	0	0
BMS	ConnectorSynchronizer (import)	1446802810524	0	0	0
BMS	MeasurementSynchronizer	1446802810557	0	0	36
BMS	WorkOrderSynchronizer	1446802810622	0	0	0
BMS	TagSynchronizer	1446802810686	0	0	0
BMS	PropertySynchronizer	1446802810758	0	0	0
BMS	AlarmSynchronizer	1446802810780	0	0	0
BMS	ConnectorSynchronizer (import)	1446803110549	0	0	0
BMS	MeasurementSynchronizer	1446803110583	0	0	36
BMS	WorkOrderSynchronizer	1446803110648	0	0	0
BMS	TagSynchronizer	1446803110713	0	0	0
BMS	PropertySynchronizer	1446803110791	0	0	0
BMS	AlarmSynchronizer	1446803110813	0	0	0
BMS	ConnectorSynchronizer (import)	1446803410504	0	0	0
BMS	MeasurementSynchronizer	1446803410537	0	0	36
BMS	WorkOrderSynchronizer	1446803410600	0	0	0
BMS	TagSynchronizer	1446803410671	0	0	0
BMS	PropertySynchronizer	1446803410740	0	0	0
BMS	AlarmSynchronizer	1446803410760	0	0	0
BMS	ConnectorSynchronizer (import)	1446803710533	0	0	0
BMS	MeasurementSynchronizer	1446803710568	0	0	36
BMS	WorkOrderSynchronizer	1446803710635	0	0	0
BMS	TagSynchronizer	1446803710703	0	0	0
BMS	PropertySynchronizer	1446803710777	0	0	0
BMS	AlarmSynchronizer	1446803710798	0	0	0
BMS	ConnectorSynchronizer (import)	1446804010518	0	0	0
BMS	MeasurementSynchronizer	1446804010555	0	0	36
BMS	WorkOrderSynchronizer	1446804010631	0	0	0
BMS	TagSynchronizer	1446804010697	0	0	0
BMS	PropertySynchronizer	1446804010775	0	0	0
BMS	AlarmSynchronizer	1446804010796	0	0	0
BMS	ConnectorSynchronizer (import)	1446804310504	0	0	0
BMS	MeasurementSynchronizer	1446804310537	0	0	36
BMS	WorkOrderSynchronizer	1446804310606	0	0	0
BMS	TagSynchronizer	1446804310672	0	0	0
BMS	PropertySynchronizer	1446804310754	0	0	0
BMS	AlarmSynchronizer	1446804310777	0	0	0
BMS	ConnectorSynchronizer (import)	1446804610521	0	0	0
BMS	MeasurementSynchronizer	1446804610554	0	0	36
BMS	WorkOrderSynchronizer	1446804610620	0	0	0
BMS	TagSynchronizer	1446804610683	0	0	0
BMS	PropertySynchronizer	1446804610757	0	0	0
BMS	AlarmSynchronizer	1446804610779	0	0	0
BMS	ConnectorSynchronizer (import)	1446804910531	0	0	0
BMS	MeasurementSynchronizer	1446804910565	0	0	36
BMS	WorkOrderSynchronizer	1446804910630	0	0	0
BMS	TagSynchronizer	1446804910693	0	0	0
BMS	PropertySynchronizer	1446804910765	0	0	0
BMS	AlarmSynchronizer	1446804910787	0	0	0
BMS	ConnectorSynchronizer (import)	1446805210544	0	0	0
BMS	MeasurementSynchronizer	1446805210579	0	0	36
BMS	WorkOrderSynchronizer	1446805210647	0	0	0
BMS	TagSynchronizer	1446805210710	0	0	0
BMS	PropertySynchronizer	1446805210783	0	0	0
BMS	AlarmSynchronizer	1446805210804	0	0	0
BMS	ConnectorSynchronizer (import)	1446805510516	0	0	0
BMS	MeasurementSynchronizer	1446805510552	0	0	36
BMS	WorkOrderSynchronizer	1446805510623	0	0	0
BMS	TagSynchronizer	1446805510689	0	0	0
BMS	PropertySynchronizer	1446805510764	0	0	0
BMS	AlarmSynchronizer	1446805510786	0	0	0
BMS	ConnectorSynchronizer (import)	1446805810550	0	0	0
BMS	MeasurementSynchronizer	1446805810581	0	0	36
BMS	WorkOrderSynchronizer	1446805810642	0	0	0
BMS	TagSynchronizer	1446805810700	0	0	0
BMS	PropertySynchronizer	1446805810770	0	0	0
BMS	AlarmSynchronizer	1446805810791	0	0	0
BMS	ConnectorSynchronizer (import)	1446806110519	0	0	0
BMS	MeasurementSynchronizer	1446806110553	0	0	36
BMS	WorkOrderSynchronizer	1446806110618	0	0	0
BMS	TagSynchronizer	1446806110682	0	0	0
BMS	PropertySynchronizer	1446806110755	0	0	0
BMS	AlarmSynchronizer	1446806110777	0	0	0
BMS	ConnectorSynchronizer (import)	1446806410529	0	0	0
BMS	MeasurementSynchronizer	1446806410563	0	0	36
BMS	WorkOrderSynchronizer	1446806410629	0	0	0
BMS	TagSynchronizer	1446806410692	0	0	0
BMS	PropertySynchronizer	1446806410766	0	0	0
BMS	AlarmSynchronizer	1446806410788	0	0	0
BMS	ConnectorSynchronizer (import)	1446806710508	0	0	0
BMS	MeasurementSynchronizer	1446806710542	0	0	36
BMS	WorkOrderSynchronizer	1446806710607	0	0	0
BMS	TagSynchronizer	1446806710669	0	0	0
BMS	PropertySynchronizer	1446806710743	0	0	0
BMS	AlarmSynchronizer	1446806710764	0	0	0
BMS	ConnectorSynchronizer (import)	1446807010543	0	0	0
BMS	MeasurementSynchronizer	1446807010581	0	0	36
BMS	WorkOrderSynchronizer	1446807010645	0	0	0
BMS	TagSynchronizer	1446807010709	0	0	0
BMS	PropertySynchronizer	1446807010781	0	0	0
BMS	AlarmSynchronizer	1446807010802	0	0	0
BMS	ConnectorSynchronizer (import)	1446807310539	0	0	0
BMS	MeasurementSynchronizer	1446807310570	0	0	36
BMS	WorkOrderSynchronizer	1446807310629	0	0	0
BMS	TagSynchronizer	1446807310688	0	0	0
BMS	PropertySynchronizer	1446807310756	0	0	0
BMS	AlarmSynchronizer	1446807310775	0	0	0
BMS	ConnectorSynchronizer (import)	1446807610503	0	0	0
BMS	MeasurementSynchronizer	1446807610530	0	0	36
BMS	WorkOrderSynchronizer	1446807610593	0	0	0
BMS	TagSynchronizer	1446807610655	0	0	0
BMS	PropertySynchronizer	1446807610731	0	0	0
BMS	AlarmSynchronizer	1446807610752	0	0	0
BMS	ConnectorSynchronizer (import)	1446807910543	0	0	0
BMS	MeasurementSynchronizer	1446807910578	0	0	36
BMS	WorkOrderSynchronizer	1446807910645	0	0	0
BMS	TagSynchronizer	1446807910710	0	0	0
BMS	PropertySynchronizer	1446807910785	0	0	0
BMS	AlarmSynchronizer	1446807910805	0	0	0
BMS	ConnectorSynchronizer (import)	1446808210540	0	0	0
BMS	MeasurementSynchronizer	1446808210574	0	0	36
BMS	WorkOrderSynchronizer	1446808210639	0	0	0
BMS	TagSynchronizer	1446808210702	0	0	0
BMS	PropertySynchronizer	1446808210776	0	0	0
BMS	AlarmSynchronizer	1446808210797	0	0	0
BMS	ConnectorSynchronizer (import)	1446808510528	0	0	0
BMS	MeasurementSynchronizer	1446808510562	0	0	36
BMS	WorkOrderSynchronizer	1446808510626	0	0	0
BMS	TagSynchronizer	1446808510688	0	0	0
BMS	PropertySynchronizer	1446808510759	0	0	0
BMS	AlarmSynchronizer	1446808510780	0	0	0
BMS	ConnectorSynchronizer (import)	1446808810529	0	0	0
BMS	MeasurementSynchronizer	1446808810562	0	0	36
BMS	WorkOrderSynchronizer	1446808810628	0	0	0
BMS	TagSynchronizer	1446808810692	0	0	0
BMS	PropertySynchronizer	1446808810766	0	0	0
BMS	AlarmSynchronizer	1446808810788	0	0	0
BMS	ConnectorSynchronizer (import)	1446809110544	0	0	0
BMS	MeasurementSynchronizer	1446809110579	0	0	36
BMS	WorkOrderSynchronizer	1446809110645	0	0	0
BMS	TagSynchronizer	1446809110708	0	0	0
BMS	PropertySynchronizer	1446809110783	0	0	0
BMS	AlarmSynchronizer	1446809110805	0	0	0
BMS	ConnectorSynchronizer (import)	1446809410512	0	0	0
BMS	MeasurementSynchronizer	1446809410542	0	0	36
BMS	WorkOrderSynchronizer	1446809410599	0	0	0
BMS	TagSynchronizer	1446809410656	0	0	0
BMS	PropertySynchronizer	1446809410725	0	0	0
BMS	AlarmSynchronizer	1446809410748	0	0	0
BMS	ConnectorSynchronizer (import)	1446809710505	0	0	0
BMS	MeasurementSynchronizer	1446809710538	0	0	36
BMS	WorkOrderSynchronizer	1446809710602	0	0	0
BMS	TagSynchronizer	1446809710664	0	0	0
BMS	PropertySynchronizer	1446809710736	0	0	0
BMS	AlarmSynchronizer	1446809710758	0	0	0
BMS	ConnectorSynchronizer (import)	1446810010570	0	0	0
BMS	MeasurementSynchronizer	1446810010605	0	0	36
BMS	WorkOrderSynchronizer	1446810010670	0	0	0
BMS	TagSynchronizer	1446810010735	0	0	0
BMS	PropertySynchronizer	1446810010808	0	0	0
BMS	AlarmSynchronizer	1446810010829	0	0	0
BMS	ConnectorSynchronizer (import)	1446810310550	0	0	0
BMS	MeasurementSynchronizer	1446810310583	0	0	36
BMS	WorkOrderSynchronizer	1446810310647	0	0	0
BMS	TagSynchronizer	1446810310709	0	0	0
BMS	PropertySynchronizer	1446810310779	0	0	0
BMS	AlarmSynchronizer	1446810310800	0	0	0
BMS	ConnectorSynchronizer (import)	1446810610539	0	0	0
BMS	MeasurementSynchronizer	1446810610572	0	0	36
BMS	WorkOrderSynchronizer	1446810610638	0	0	0
BMS	TagSynchronizer	1446810610700	0	0	0
BMS	PropertySynchronizer	1446810610770	0	0	0
BMS	AlarmSynchronizer	1446810610791	0	0	0
BMS	ConnectorSynchronizer (import)	1446810910568	0	0	0
BMS	MeasurementSynchronizer	1446810910601	0	0	36
BMS	WorkOrderSynchronizer	1446810910671	0	0	0
BMS	TagSynchronizer	1446810910746	0	0	0
BMS	PropertySynchronizer	1446810910814	0	0	0
BMS	AlarmSynchronizer	1446810910833	0	0	0
BMS	ConnectorSynchronizer (import)	1446811210537	0	0	0
BMS	MeasurementSynchronizer	1446811210572	0	0	36
BMS	WorkOrderSynchronizer	1446811210637	0	0	0
BMS	TagSynchronizer	1446811210695	0	0	0
BMS	PropertySynchronizer	1446811210770	0	0	0
BMS	AlarmSynchronizer	1446811210793	0	0	0
BMS	ConnectorSynchronizer (import)	1446811510519	0	0	0
BMS	MeasurementSynchronizer	1446811510553	0	0	36
BMS	WorkOrderSynchronizer	1446811510618	0	0	0
BMS	TagSynchronizer	1446811510680	0	0	0
BMS	PropertySynchronizer	1446811510751	0	0	0
BMS	AlarmSynchronizer	1446811510772	0	0	0
BMS	ConnectorSynchronizer (import)	1446811810518	0	0	0
BMS	MeasurementSynchronizer	1446811810551	0	0	36
BMS	WorkOrderSynchronizer	1446811810617	0	0	0
BMS	TagSynchronizer	1446811810680	0	0	0
BMS	PropertySynchronizer	1446811810752	0	0	0
BMS	AlarmSynchronizer	1446811810773	0	0	0
BMS	ConnectorSynchronizer (import)	1446812110523	0	0	0
BMS	MeasurementSynchronizer	1446812110557	0	0	36
BMS	WorkOrderSynchronizer	1446812110627	0	0	0
BMS	TagSynchronizer	1446812110690	0	0	0
BMS	PropertySynchronizer	1446812110761	0	0	0
BMS	AlarmSynchronizer	1446812110782	0	0	0
BMS	ConnectorSynchronizer (import)	1446812410536	0	0	0
BMS	MeasurementSynchronizer	1446812410569	0	0	36
BMS	WorkOrderSynchronizer	1446812410634	0	0	0
BMS	TagSynchronizer	1446812410697	0	0	0
BMS	PropertySynchronizer	1446812410769	0	0	0
BMS	AlarmSynchronizer	1446812410790	0	0	0
BMS	ConnectorSynchronizer (import)	1446812710555	0	0	0
BMS	MeasurementSynchronizer	1446812710588	0	0	36
BMS	WorkOrderSynchronizer	1446812710659	0	0	0
BMS	TagSynchronizer	1446812710725	0	0	0
BMS	PropertySynchronizer	1446812710800	0	0	0
BMS	AlarmSynchronizer	1446812710824	0	0	0
BMS	ConnectorSynchronizer (import)	1446813010516	0	0	0
BMS	MeasurementSynchronizer	1446813010549	0	0	36
BMS	WorkOrderSynchronizer	1446813010616	0	0	0
BMS	TagSynchronizer	1446813010680	0	0	0
BMS	PropertySynchronizer	1446813010751	0	0	0
BMS	AlarmSynchronizer	1446813010773	0	0	0
BMS	ConnectorSynchronizer (import)	1446813310576	0	0	0
BMS	MeasurementSynchronizer	1446813310612	0	0	36
BMS	WorkOrderSynchronizer	1446813310677	0	0	0
BMS	TagSynchronizer	1446813310739	0	0	0
BMS	PropertySynchronizer	1446813310812	0	0	0
BMS	AlarmSynchronizer	1446813310833	0	0	0
BMS	ConnectorSynchronizer (import)	1446813610515	0	0	0
BMS	MeasurementSynchronizer	1446813610548	0	0	36
BMS	WorkOrderSynchronizer	1446813610613	0	0	0
BMS	TagSynchronizer	1446813610675	0	0	0
BMS	PropertySynchronizer	1446813610745	0	0	0
BMS	AlarmSynchronizer	1446813610767	0	0	0
BMS	ConnectorSynchronizer (import)	1446813910528	0	0	0
BMS	MeasurementSynchronizer	1446813910561	0	0	36
BMS	WorkOrderSynchronizer	1446813910627	0	0	0
BMS	TagSynchronizer	1446813910691	0	0	0
BMS	PropertySynchronizer	1446813910764	0	0	0
BMS	AlarmSynchronizer	1446813910785	0	0	0
BMS	ConnectorSynchronizer (import)	1446814210523	0	0	0
BMS	MeasurementSynchronizer	1446814210555	0	0	36
BMS	WorkOrderSynchronizer	1446814210620	0	0	0
BMS	TagSynchronizer	1446814210683	0	0	0
BMS	PropertySynchronizer	1446814210753	0	0	0
BMS	AlarmSynchronizer	1446814210774	0	0	0
BMS	ConnectorSynchronizer (import)	1446814510508	0	0	0
BMS	MeasurementSynchronizer	1446814510543	0	0	36
BMS	WorkOrderSynchronizer	1446814510607	0	0	0
BMS	TagSynchronizer	1446814510670	0	0	0
BMS	PropertySynchronizer	1446814510739	0	0	0
BMS	AlarmSynchronizer	1446814510759	0	0	0
BMS	ConnectorSynchronizer (import)	1446814810500	0	0	0
BMS	MeasurementSynchronizer	1446814810532	0	0	36
BMS	WorkOrderSynchronizer	1446814810590	0	0	0
BMS	TagSynchronizer	1446814810642	0	0	0
BMS	PropertySynchronizer	1446814810708	0	0	0
BMS	AlarmSynchronizer	1446814810728	0	0	0
BMS	ConnectorSynchronizer (import)	1446815110527	0	0	0
BMS	MeasurementSynchronizer	1446815110559	0	0	36
BMS	WorkOrderSynchronizer	1446815110623	0	0	0
BMS	TagSynchronizer	1446815110685	0	0	0
BMS	PropertySynchronizer	1446815110757	0	0	0
BMS	AlarmSynchronizer	1446815110777	0	0	0
BMS	ConnectorSynchronizer (import)	1446815410521	0	0	0
BMS	MeasurementSynchronizer	1446815410554	0	0	36
BMS	WorkOrderSynchronizer	1446815410619	0	0	0
BMS	TagSynchronizer	1446815410681	0	0	0
BMS	PropertySynchronizer	1446815410752	0	0	0
BMS	AlarmSynchronizer	1446815410773	0	0	0
BMS	ConnectorSynchronizer (import)	1446815710511	0	0	0
BMS	MeasurementSynchronizer	1446815710544	0	0	36
BMS	WorkOrderSynchronizer	1446815710608	0	0	0
BMS	TagSynchronizer	1446815710668	0	0	0
BMS	PropertySynchronizer	1446815710738	0	0	0
BMS	AlarmSynchronizer	1446815710759	0	0	0
BMS	ConnectorSynchronizer (import)	1446816010536	0	0	0
BMS	MeasurementSynchronizer	1446816010568	0	0	36
BMS	WorkOrderSynchronizer	1446816010632	0	0	0
BMS	TagSynchronizer	1446816010694	0	0	0
BMS	PropertySynchronizer	1446816010765	0	0	0
BMS	AlarmSynchronizer	1446816010785	0	0	0
BMS	ConnectorSynchronizer (import)	1446816310536	0	0	0
BMS	MeasurementSynchronizer	1446816310575	0	0	36
BMS	WorkOrderSynchronizer	1446816310642	0	0	0
BMS	TagSynchronizer	1446816310705	0	0	0
BMS	PropertySynchronizer	1446816310773	0	0	0
BMS	AlarmSynchronizer	1446816310796	0	0	0
BMS	ConnectorSynchronizer (import)	1446816610510	0	0	0
BMS	MeasurementSynchronizer	1446816610541	0	0	36
BMS	WorkOrderSynchronizer	1446816610593	0	0	0
BMS	TagSynchronizer	1446816610642	0	0	0
BMS	PropertySynchronizer	1446816610705	0	0	0
BMS	AlarmSynchronizer	1446816610724	0	0	0
BMS	ConnectorSynchronizer (import)	1446816910504	0	0	0
BMS	MeasurementSynchronizer	1446816910537	0	0	36
BMS	WorkOrderSynchronizer	1446816910604	0	0	0
BMS	TagSynchronizer	1446816910668	0	0	0
BMS	PropertySynchronizer	1446816910739	0	0	0
BMS	AlarmSynchronizer	1446816910760	0	0	0
BMS	ConnectorSynchronizer (import)	1446817210509	0	0	0
BMS	MeasurementSynchronizer	1446817210542	0	0	36
BMS	WorkOrderSynchronizer	1446817210607	0	0	0
BMS	TagSynchronizer	1446817210670	0	0	0
BMS	PropertySynchronizer	1446817210740	0	0	0
BMS	AlarmSynchronizer	1446817210762	0	0	0
BMS	ConnectorSynchronizer (import)	1446817510518	0	0	0
BMS	MeasurementSynchronizer	1446817510550	0	0	36
BMS	WorkOrderSynchronizer	1446817510614	0	0	0
BMS	TagSynchronizer	1446817510677	0	0	0
BMS	PropertySynchronizer	1446817510748	0	0	0
BMS	AlarmSynchronizer	1446817510769	0	0	0
BMS	ConnectorSynchronizer (import)	1446817810544	0	0	0
BMS	MeasurementSynchronizer	1446817810581	0	0	36
BMS	WorkOrderSynchronizer	1446817810651	0	0	0
BMS	TagSynchronizer	1446817810717	0	0	0
BMS	PropertySynchronizer	1446817810789	0	0	0
BMS	AlarmSynchronizer	1446817810811	0	0	0
BMS	ConnectorSynchronizer (import)	1446818110504	0	0	0
BMS	MeasurementSynchronizer	1446818110535	0	0	36
BMS	WorkOrderSynchronizer	1446818110594	0	0	0
BMS	TagSynchronizer	1446818110653	0	0	0
BMS	PropertySynchronizer	1446818110720	0	0	0
BMS	AlarmSynchronizer	1446818110740	0	0	0
BMS	ConnectorSynchronizer (import)	1446818410784	0	0	0
BMS	MeasurementSynchronizer	1446818410819	0	0	36
BMS	WorkOrderSynchronizer	1446818410891	0	0	0
BMS	TagSynchronizer	1446818410955	0	0	0
BMS	PropertySynchronizer	1446818411024	0	0	0
BMS	AlarmSynchronizer	1446818411045	0	0	0
BMS	ConnectorSynchronizer (import)	1446818710521	0	0	0
BMS	MeasurementSynchronizer	1446818710554	0	0	36
BMS	WorkOrderSynchronizer	1446818710620	0	0	0
BMS	TagSynchronizer	1446818710682	0	0	0
BMS	PropertySynchronizer	1446818710752	0	0	0
BMS	AlarmSynchronizer	1446818710773	0	0	0
BMS	ConnectorSynchronizer (import)	1446819010541	0	0	0
BMS	MeasurementSynchronizer	1446819010575	0	0	36
BMS	WorkOrderSynchronizer	1446819010644	0	0	0
BMS	TagSynchronizer	1446819010709	0	0	0
BMS	PropertySynchronizer	1446819010782	0	0	0
BMS	AlarmSynchronizer	1446819010804	0	0	0
BMS	ConnectorSynchronizer (import)	1446819310512	0	0	0
BMS	MeasurementSynchronizer	1446819310544	0	0	36
BMS	WorkOrderSynchronizer	1446819310609	0	0	0
BMS	TagSynchronizer	1446819310671	0	0	0
BMS	PropertySynchronizer	1446819310743	0	0	0
BMS	AlarmSynchronizer	1446819310764	0	0	0
BMS	ConnectorSynchronizer (import)	1446819610542	0	0	0
BMS	MeasurementSynchronizer	1446819610576	0	0	36
BMS	WorkOrderSynchronizer	1446819610640	0	0	0
BMS	TagSynchronizer	1446819610709	0	0	0
BMS	PropertySynchronizer	1446819610785	0	0	0
BMS	AlarmSynchronizer	1446819610808	0	0	0
BMS	ConnectorSynchronizer (import)	1446819910501	0	0	0
BMS	MeasurementSynchronizer	1446819910529	0	0	36
BMS	WorkOrderSynchronizer	1446819910579	0	0	0
BMS	TagSynchronizer	1446819910630	0	0	0
BMS	PropertySynchronizer	1446819910691	0	0	0
BMS	AlarmSynchronizer	1446819910709	0	0	0
BMS	ConnectorSynchronizer (import)	1446820210506	0	0	0
BMS	MeasurementSynchronizer	1446820210541	0	0	36
BMS	WorkOrderSynchronizer	1446820210608	0	0	0
BMS	TagSynchronizer	1446820210674	0	0	0
BMS	PropertySynchronizer	1446820210745	0	0	0
BMS	AlarmSynchronizer	1446820210766	0	0	0
BMS	ConnectorSynchronizer (import)	1446820510518	0	0	0
BMS	MeasurementSynchronizer	1446820510551	0	0	36
BMS	WorkOrderSynchronizer	1446820510617	0	0	0
BMS	TagSynchronizer	1446820510679	0	0	0
BMS	PropertySynchronizer	1446820510752	0	0	0
BMS	AlarmSynchronizer	1446820510773	0	0	0
BMS	ConnectorSynchronizer (import)	1446820810518	0	0	0
BMS	MeasurementSynchronizer	1446820810551	0	0	36
BMS	WorkOrderSynchronizer	1446820810614	0	0	0
BMS	TagSynchronizer	1446820810675	0	0	0
BMS	PropertySynchronizer	1446820810745	0	0	0
BMS	AlarmSynchronizer	1446820810766	0	0	0
BMS	ConnectorSynchronizer (import)	1446821110531	0	0	0
BMS	MeasurementSynchronizer	1446821110563	0	0	36
BMS	WorkOrderSynchronizer	1446821110627	0	0	0
BMS	TagSynchronizer	1446821110689	0	0	0
BMS	PropertySynchronizer	1446821110759	0	0	0
BMS	AlarmSynchronizer	1446821110780	0	0	0
BMS	ConnectorSynchronizer (import)	1446821410517	0	0	0
BMS	MeasurementSynchronizer	1446821410553	0	0	36
BMS	WorkOrderSynchronizer	1446821410619	0	0	0
BMS	TagSynchronizer	1446821410682	0	0	0
BMS	PropertySynchronizer	1446821410753	0	0	0
BMS	AlarmSynchronizer	1446821410775	0	0	0
BMS	ConnectorSynchronizer (import)	1446821710522	0	0	0
BMS	MeasurementSynchronizer	1446821710553	0	0	36
BMS	WorkOrderSynchronizer	1446821710611	0	0	0
BMS	TagSynchronizer	1446821710669	0	0	0
BMS	PropertySynchronizer	1446821710733	0	0	0
BMS	AlarmSynchronizer	1446821710750	0	0	0
BMS	ConnectorSynchronizer (import)	1446822010504	0	0	0
BMS	MeasurementSynchronizer	1446822010538	0	0	36
BMS	WorkOrderSynchronizer	1446822010602	0	0	0
BMS	TagSynchronizer	1446822010665	0	0	0
BMS	PropertySynchronizer	1446822010736	0	0	0
BMS	AlarmSynchronizer	1446822010756	0	0	0
BMS	ConnectorSynchronizer (import)	1446822310514	0	0	0
BMS	MeasurementSynchronizer	1446822310548	0	0	36
BMS	WorkOrderSynchronizer	1446822310612	0	0	0
BMS	TagSynchronizer	1446822310675	0	0	0
BMS	PropertySynchronizer	1446822310746	0	0	0
BMS	AlarmSynchronizer	1446822310767	0	0	0
BMS	ConnectorSynchronizer (import)	1446822610514	0	0	0
BMS	MeasurementSynchronizer	1446822610546	0	0	36
BMS	WorkOrderSynchronizer	1446822610611	0	0	0
BMS	TagSynchronizer	1446822610672	0	0	0
BMS	PropertySynchronizer	1446822610742	0	0	0
BMS	AlarmSynchronizer	1446822610762	0	0	0
BMS	ConnectorSynchronizer (import)	1446822910499	0	0	0
BMS	MeasurementSynchronizer	1446822910531	0	0	36
BMS	WorkOrderSynchronizer	1446822910597	0	0	0
BMS	TagSynchronizer	1446822910658	0	0	0
BMS	PropertySynchronizer	1446822910730	0	0	0
BMS	AlarmSynchronizer	1446822910752	0	0	0
BMS	ConnectorSynchronizer (import)	1446823210508	0	0	0
BMS	MeasurementSynchronizer	1446823210541	0	0	36
BMS	WorkOrderSynchronizer	1446823210606	0	0	0
BMS	TagSynchronizer	1446823210670	0	0	0
BMS	PropertySynchronizer	1446823210741	0	0	0
BMS	AlarmSynchronizer	1446823210762	0	0	0
BMS	ConnectorSynchronizer (import)	1446823510526	0	0	0
BMS	MeasurementSynchronizer	1446823510559	0	0	36
BMS	WorkOrderSynchronizer	1446823510626	0	0	0
BMS	TagSynchronizer	1446823510696	0	0	0
BMS	PropertySynchronizer	1446823510769	0	0	0
BMS	AlarmSynchronizer	1446823510790	0	0	0
BMS	ConnectorSynchronizer (import)	1446823810552	0	0	0
BMS	MeasurementSynchronizer	1446823810583	0	0	36
BMS	WorkOrderSynchronizer	1446823810642	0	0	0
BMS	TagSynchronizer	1446823810699	0	0	0
BMS	PropertySynchronizer	1446823810763	0	0	0
BMS	AlarmSynchronizer	1446823810782	0	0	0
BMS	ConnectorSynchronizer (import)	1446824110509	0	0	0
BMS	MeasurementSynchronizer	1446824110542	0	0	36
BMS	WorkOrderSynchronizer	1446824110609	0	0	0
BMS	TagSynchronizer	1446824110672	0	0	0
BMS	PropertySynchronizer	1446824110747	0	0	0
BMS	AlarmSynchronizer	1446824110768	0	0	0
BMS	ConnectorSynchronizer (import)	1446824410527	0	0	0
BMS	MeasurementSynchronizer	1446824410562	0	0	36
BMS	WorkOrderSynchronizer	1446824410631	0	0	0
BMS	TagSynchronizer	1446824410694	0	0	0
BMS	PropertySynchronizer	1446824410770	0	0	0
BMS	AlarmSynchronizer	1446824410792	0	0	0
BMS	ConnectorSynchronizer (import)	1446824710516	0	0	0
BMS	MeasurementSynchronizer	1446824710549	0	0	36
BMS	WorkOrderSynchronizer	1446824710613	0	0	0
BMS	TagSynchronizer	1446824710676	0	0	0
BMS	PropertySynchronizer	1446824710746	0	0	0
BMS	AlarmSynchronizer	1446824710767	0	0	0
BMS	ConnectorSynchronizer (import)	1446825010522	0	0	0
BMS	MeasurementSynchronizer	1446825010554	0	0	36
BMS	WorkOrderSynchronizer	1446825010624	0	0	0
BMS	TagSynchronizer	1446825010687	0	0	0
BMS	PropertySynchronizer	1446825010759	0	0	0
BMS	AlarmSynchronizer	1446825010781	0	0	0
BMS	ConnectorSynchronizer (import)	1446825310521	0	0	0
BMS	MeasurementSynchronizer	1446825310557	0	0	36
BMS	WorkOrderSynchronizer	1446825310620	0	0	0
BMS	TagSynchronizer	1446825310682	0	0	0
BMS	PropertySynchronizer	1446825310753	0	0	0
BMS	AlarmSynchronizer	1446825310774	0	0	0
BMS	ConnectorSynchronizer (import)	1446825610532	0	0	0
BMS	MeasurementSynchronizer	1446825610565	0	0	36
BMS	WorkOrderSynchronizer	1446825610628	0	0	0
BMS	TagSynchronizer	1446825610690	0	0	0
BMS	PropertySynchronizer	1446825610759	0	0	0
BMS	AlarmSynchronizer	1446825610780	0	0	0
BMS	ConnectorSynchronizer (import)	1446825910521	0	0	0
BMS	MeasurementSynchronizer	1446825910554	0	0	36
BMS	WorkOrderSynchronizer	1446825910618	0	0	0
BMS	TagSynchronizer	1446825910680	0	0	0
BMS	PropertySynchronizer	1446825910751	0	0	0
BMS	AlarmSynchronizer	1446825910772	0	0	0
BMS	ConnectorSynchronizer (import)	1446826210596	0	0	0
BMS	MeasurementSynchronizer	1446826210629	0	0	36
BMS	WorkOrderSynchronizer	1446826210695	0	0	0
BMS	TagSynchronizer	1446826210760	0	0	0
BMS	PropertySynchronizer	1446826210835	0	0	0
BMS	AlarmSynchronizer	1446826210857	0	0	0
BMS	ConnectorSynchronizer (import)	1446826510504	0	0	0
BMS	MeasurementSynchronizer	1446826510533	0	0	36
BMS	WorkOrderSynchronizer	1446826510598	0	0	0
BMS	TagSynchronizer	1446826510658	0	0	0
BMS	PropertySynchronizer	1446826510728	0	0	0
BMS	AlarmSynchronizer	1446826510749	0	0	0
BMS	ConnectorSynchronizer (import)	1446826810515	0	0	0
BMS	MeasurementSynchronizer	1446826810549	0	0	36
BMS	WorkOrderSynchronizer	1446826810616	0	0	0
BMS	TagSynchronizer	1446826810679	0	0	0
BMS	PropertySynchronizer	1446826810749	0	0	0
BMS	AlarmSynchronizer	1446826810770	0	0	0
BMS	ConnectorSynchronizer (import)	1446827110530	0	0	0
BMS	MeasurementSynchronizer	1446827110563	0	0	36
BMS	WorkOrderSynchronizer	1446827110630	0	0	0
BMS	TagSynchronizer	1446827110692	0	0	0
BMS	PropertySynchronizer	1446827110763	0	0	0
BMS	AlarmSynchronizer	1446827110788	0	0	0
BMS	ConnectorSynchronizer (import)	1446827410567	0	0	0
BMS	MeasurementSynchronizer	1446827410601	0	0	36
BMS	WorkOrderSynchronizer	1446827410668	0	0	0
BMS	TagSynchronizer	1446827410731	0	0	0
BMS	PropertySynchronizer	1446827410803	0	0	0
BMS	AlarmSynchronizer	1446827410824	0	0	0
BMS	ConnectorSynchronizer (import)	1446827710510	0	0	0
BMS	MeasurementSynchronizer	1446827710543	0	0	36
BMS	WorkOrderSynchronizer	1446827710609	0	0	0
BMS	TagSynchronizer	1446827710671	0	0	0
BMS	PropertySynchronizer	1446827710743	0	0	0
BMS	AlarmSynchronizer	1446827710767	0	0	0
BMS	ConnectorSynchronizer (import)	1446828010596	0	0	0
BMS	MeasurementSynchronizer	1446828010632	0	0	36
BMS	WorkOrderSynchronizer	1446828010698	0	0	0
BMS	TagSynchronizer	1446828010765	0	0	0
BMS	PropertySynchronizer	1446828010838	0	0	0
BMS	AlarmSynchronizer	1446828010859	0	0	0
BMS	ConnectorSynchronizer (import)	1446828310516	0	0	0
BMS	MeasurementSynchronizer	1446828310549	0	0	36
BMS	WorkOrderSynchronizer	1446828310653	0	0	0
BMS	TagSynchronizer	1446828310704	0	0	0
BMS	PropertySynchronizer	1446828310764	0	0	0
BMS	AlarmSynchronizer	1446828310782	0	0	0
BMS	ConnectorSynchronizer (import)	1446828610521	0	0	0
BMS	MeasurementSynchronizer	1446828610556	0	0	36
BMS	WorkOrderSynchronizer	1446828610624	0	0	0
BMS	TagSynchronizer	1446828610688	0	0	0
BMS	PropertySynchronizer	1446828610760	0	0	0
BMS	AlarmSynchronizer	1446828610781	0	0	0
BMS	ConnectorSynchronizer (import)	1446828910514	0	0	0
BMS	MeasurementSynchronizer	1446828910546	0	0	36
BMS	WorkOrderSynchronizer	1446828910611	0	0	0
BMS	TagSynchronizer	1446828910675	0	0	0
BMS	PropertySynchronizer	1446828910746	0	0	0
BMS	AlarmSynchronizer	1446828910767	0	0	0
BMS	ConnectorSynchronizer (import)	1446829210587	0	0	0
BMS	MeasurementSynchronizer	1446829210619	0	0	36
BMS	WorkOrderSynchronizer	1446829210682	0	0	0
BMS	TagSynchronizer	1446829210743	0	0	0
BMS	PropertySynchronizer	1446829210813	0	0	0
BMS	AlarmSynchronizer	1446829210834	0	0	0
BMS	ConnectorSynchronizer (import)	1446829510529	0	0	0
BMS	MeasurementSynchronizer	1446829510561	0	0	36
BMS	WorkOrderSynchronizer	1446829510625	0	0	0
BMS	TagSynchronizer	1446829510688	0	0	0
BMS	PropertySynchronizer	1446829510761	0	0	0
BMS	AlarmSynchronizer	1446829510782	0	0	0
BMS	ConnectorSynchronizer (import)	1446829810531	0	0	0
BMS	MeasurementSynchronizer	1446829810564	0	0	36
BMS	WorkOrderSynchronizer	1446829810629	0	0	0
BMS	TagSynchronizer	1446829810691	0	0	0
BMS	PropertySynchronizer	1446829810762	0	0	0
BMS	AlarmSynchronizer	1446829810783	0	0	0
BMS	ConnectorSynchronizer (import)	1446830110495	0	0	0
BMS	MeasurementSynchronizer	1446830110526	0	0	36
BMS	WorkOrderSynchronizer	1446830110586	0	0	0
BMS	TagSynchronizer	1446830110643	0	0	0
BMS	PropertySynchronizer	1446830110700	0	0	0
BMS	AlarmSynchronizer	1446830110719	0	0	0
BMS	ConnectorSynchronizer (import)	1446830410517	0	0	0
BMS	MeasurementSynchronizer	1446830410551	0	0	36
BMS	WorkOrderSynchronizer	1446830410619	0	0	0
BMS	TagSynchronizer	1446830410685	0	0	0
BMS	PropertySynchronizer	1446830410757	0	0	0
BMS	AlarmSynchronizer	1446830410778	0	0	0
BMS	ConnectorSynchronizer (import)	1446830710600	0	0	0
BMS	MeasurementSynchronizer	1446830710634	0	0	36
BMS	WorkOrderSynchronizer	1446830710704	0	0	0
BMS	TagSynchronizer	1446830710767	0	0	0
BMS	PropertySynchronizer	1446830710840	0	0	0
BMS	AlarmSynchronizer	1446830710860	0	0	0
BMS	ConnectorSynchronizer (import)	1446831010543	0	0	0
BMS	MeasurementSynchronizer	1446831010576	0	0	36
BMS	WorkOrderSynchronizer	1446831010642	0	0	0
BMS	TagSynchronizer	1446831010706	0	0	0
BMS	PropertySynchronizer	1446831010778	0	0	0
BMS	AlarmSynchronizer	1446831010799	0	0	0
BMS	ConnectorSynchronizer (import)	1446831310558	0	0	0
BMS	MeasurementSynchronizer	1446831310591	0	0	36
BMS	WorkOrderSynchronizer	1446831310655	0	0	0
BMS	TagSynchronizer	1446831310717	0	0	0
BMS	PropertySynchronizer	1446831310787	0	0	0
BMS	AlarmSynchronizer	1446831310808	0	0	0
BMS	ConnectorSynchronizer (import)	1446831610521	0	0	0
BMS	MeasurementSynchronizer	1446831610553	0	0	36
BMS	WorkOrderSynchronizer	1446831610613	0	0	0
BMS	TagSynchronizer	1446831610671	0	0	0
BMS	PropertySynchronizer	1446831610737	0	0	0
BMS	AlarmSynchronizer	1446831610756	0	0	0
BMS	ConnectorSynchronizer (import)	1446831910552	0	0	0
BMS	MeasurementSynchronizer	1446831910579	0	0	36
BMS	WorkOrderSynchronizer	1446831910639	0	0	0
BMS	TagSynchronizer	1446831910701	0	0	0
BMS	PropertySynchronizer	1446831910773	0	0	0
BMS	AlarmSynchronizer	1446831910793	0	0	0
BMS	ConnectorSynchronizer (import)	1446832210525	0	0	0
BMS	MeasurementSynchronizer	1446832210560	0	0	36
BMS	WorkOrderSynchronizer	1446832210626	0	0	0
BMS	TagSynchronizer	1446832210689	0	0	0
BMS	PropertySynchronizer	1446832210760	0	0	0
BMS	AlarmSynchronizer	1446832210781	0	0	0
BMS	ConnectorSynchronizer (import)	1446832510509	0	0	0
BMS	MeasurementSynchronizer	1446832510541	0	0	36
BMS	WorkOrderSynchronizer	1446832510605	0	0	0
BMS	TagSynchronizer	1446832510667	0	0	0
BMS	PropertySynchronizer	1446832510739	0	0	0
BMS	AlarmSynchronizer	1446832510760	0	0	0
BMS	ConnectorSynchronizer (import)	1446832810546	0	0	0
BMS	MeasurementSynchronizer	1446832810579	0	0	36
BMS	WorkOrderSynchronizer	1446832810642	0	0	0
BMS	TagSynchronizer	1446832810703	0	0	0
BMS	PropertySynchronizer	1446832810773	0	0	0
BMS	AlarmSynchronizer	1446832810793	0	0	0
BMS	ConnectorSynchronizer (import)	1446833110512	0	0	0
BMS	MeasurementSynchronizer	1446833110545	0	0	36
BMS	WorkOrderSynchronizer	1446833110609	0	0	0
BMS	TagSynchronizer	1446833110672	0	0	0
BMS	PropertySynchronizer	1446833110743	0	0	0
BMS	AlarmSynchronizer	1446833110764	0	0	0
BMS	ConnectorSynchronizer (import)	1446833410523	0	0	0
BMS	MeasurementSynchronizer	1446833410558	0	0	36
BMS	WorkOrderSynchronizer	1446833410622	0	0	0
BMS	TagSynchronizer	1446833410684	0	0	0
BMS	PropertySynchronizer	1446833410749	0	0	0
BMS	AlarmSynchronizer	1446833410769	0	0	0
BMS	ConnectorSynchronizer (import)	1446833710525	0	0	0
BMS	MeasurementSynchronizer	1446833710557	0	0	36
BMS	WorkOrderSynchronizer	1446833710622	0	0	0
BMS	TagSynchronizer	1446833710683	0	0	0
BMS	PropertySynchronizer	1446833710755	0	0	0
BMS	AlarmSynchronizer	1446833710776	0	0	0
BMS	ConnectorSynchronizer (import)	1446834010511	0	0	0
BMS	MeasurementSynchronizer	1446834010544	0	0	36
BMS	WorkOrderSynchronizer	1446834010608	0	0	0
BMS	TagSynchronizer	1446834010669	0	0	0
BMS	PropertySynchronizer	1446834010739	0	0	0
BMS	AlarmSynchronizer	1446834010760	0	0	0
BMS	ConnectorSynchronizer (import)	1446834310520	0	0	0
BMS	MeasurementSynchronizer	1446834310552	0	0	36
BMS	WorkOrderSynchronizer	1446834310616	0	0	0
BMS	TagSynchronizer	1446834310678	0	0	0
BMS	PropertySynchronizer	1446834310749	0	0	0
BMS	AlarmSynchronizer	1446834310770	0	0	0
BMS	ConnectorSynchronizer (import)	1446834610521	0	0	0
BMS	MeasurementSynchronizer	1446834610554	0	0	36
BMS	WorkOrderSynchronizer	1446834610621	0	0	0
BMS	TagSynchronizer	1446834610685	0	0	0
BMS	PropertySynchronizer	1446834610759	0	0	0
BMS	AlarmSynchronizer	1446834610782	0	0	0
BMS	ConnectorSynchronizer (import)	1446834910541	0	0	0
BMS	MeasurementSynchronizer	1446834910573	0	0	36
BMS	WorkOrderSynchronizer	1446834910637	0	0	0
BMS	TagSynchronizer	1446834910697	0	0	0
BMS	PropertySynchronizer	1446834910768	0	0	0
BMS	AlarmSynchronizer	1446834910788	0	0	0
BMS	ConnectorSynchronizer (import)	1446835210527	0	0	0
BMS	MeasurementSynchronizer	1446835210558	0	0	36
BMS	WorkOrderSynchronizer	1446835210616	0	0	0
BMS	TagSynchronizer	1446835210673	0	0	0
BMS	PropertySynchronizer	1446835210738	0	0	0
BMS	AlarmSynchronizer	1446835210757	0	0	0
BMS	ConnectorSynchronizer (import)	1446835510501	0	0	0
BMS	MeasurementSynchronizer	1446835510526	0	0	36
BMS	WorkOrderSynchronizer	1446835510583	0	0	0
BMS	TagSynchronizer	1446835510639	0	0	0
BMS	PropertySynchronizer	1446835510712	0	0	0
BMS	AlarmSynchronizer	1446835510733	0	0	0
BMS	ConnectorSynchronizer (import)	1446835810510	0	0	0
BMS	MeasurementSynchronizer	1446835810543	0	0	36
BMS	WorkOrderSynchronizer	1446835810608	0	0	0
BMS	TagSynchronizer	1446835810672	0	0	0
BMS	PropertySynchronizer	1446835810743	0	0	0
BMS	AlarmSynchronizer	1446835810763	0	0	0
BMS	ConnectorSynchronizer (import)	1446836110513	0	0	0
BMS	MeasurementSynchronizer	1446836110546	0	0	36
BMS	WorkOrderSynchronizer	1446836110613	0	0	0
BMS	TagSynchronizer	1446836110676	0	0	0
BMS	PropertySynchronizer	1446836110748	0	0	0
BMS	AlarmSynchronizer	1446836110770	0	0	0
BMS	ConnectorSynchronizer (import)	1446836410531	0	0	0
BMS	MeasurementSynchronizer	1446836410564	0	0	36
BMS	WorkOrderSynchronizer	1446836410630	0	0	0
BMS	TagSynchronizer	1446836410693	0	0	0
BMS	PropertySynchronizer	1446836410765	0	0	0
BMS	AlarmSynchronizer	1446836410785	0	0	0
BMS	ConnectorSynchronizer (import)	1446836710527	0	0	0
BMS	MeasurementSynchronizer	1446836710560	0	0	36
BMS	WorkOrderSynchronizer	1446836710625	0	0	0
BMS	TagSynchronizer	1446836710687	0	0	0
BMS	PropertySynchronizer	1446836710759	0	0	0
BMS	AlarmSynchronizer	1446836710780	0	0	0
BMS	ConnectorSynchronizer (import)	1446837010531	0	0	0
BMS	MeasurementSynchronizer	1446837010563	0	0	36
BMS	WorkOrderSynchronizer	1446837010630	0	0	0
BMS	TagSynchronizer	1446837010694	0	0	0
BMS	PropertySynchronizer	1446837010786	0	0	0
BMS	AlarmSynchronizer	1446837010808	0	0	0
BMS	ConnectorSynchronizer (import)	1446837310582	0	0	0
BMS	MeasurementSynchronizer	1446837310615	0	0	36
BMS	WorkOrderSynchronizer	1446837310678	0	0	0
BMS	TagSynchronizer	1446837310741	0	0	0
BMS	PropertySynchronizer	1446837310812	0	0	0
BMS	AlarmSynchronizer	1446837310832	0	0	0
BMS	ConnectorSynchronizer (import)	1446837610521	0	0	0
BMS	MeasurementSynchronizer	1446837610553	0	0	36
BMS	WorkOrderSynchronizer	1446837610616	0	0	0
BMS	TagSynchronizer	1446837610678	0	0	0
BMS	PropertySynchronizer	1446837610748	0	0	0
BMS	AlarmSynchronizer	1446837610768	0	0	0
BMS	ConnectorSynchronizer (import)	1446837910510	0	0	0
BMS	MeasurementSynchronizer	1446837910543	0	0	36
BMS	WorkOrderSynchronizer	1446837910607	0	0	0
BMS	TagSynchronizer	1446837910668	0	0	0
BMS	PropertySynchronizer	1446837910740	0	0	0
BMS	AlarmSynchronizer	1446837910761	0	0	0
BMS	ConnectorSynchronizer (import)	1446838210598	0	0	0
BMS	MeasurementSynchronizer	1446838210631	0	0	36
BMS	WorkOrderSynchronizer	1446838210709	0	0	0
BMS	TagSynchronizer	1446838210775	0	0	0
BMS	PropertySynchronizer	1446838210848	0	0	0
BMS	AlarmSynchronizer	1446838210869	0	0	0
BMS	ConnectorSynchronizer (import)	1446838510525	0	0	0
BMS	MeasurementSynchronizer	1446838510559	0	0	36
BMS	WorkOrderSynchronizer	1446838510628	0	0	0
BMS	TagSynchronizer	1446838510691	0	0	0
BMS	PropertySynchronizer	1446838510765	0	0	0
BMS	AlarmSynchronizer	1446838510787	0	0	0
BMS	ConnectorSynchronizer (import)	1446838810505	0	0	0
BMS	MeasurementSynchronizer	1446838810537	0	0	36
BMS	WorkOrderSynchronizer	1446838810596	0	0	0
BMS	TagSynchronizer	1446838810661	0	0	0
BMS	PropertySynchronizer	1446838810735	0	0	0
BMS	AlarmSynchronizer	1446838810756	0	0	0
BMS	ConnectorSynchronizer (import)	1446839110529	0	0	0
BMS	MeasurementSynchronizer	1446839110563	0	0	36
BMS	WorkOrderSynchronizer	1446839110627	0	0	0
BMS	TagSynchronizer	1446839110689	0	0	0
BMS	PropertySynchronizer	1446839110762	0	0	0
BMS	AlarmSynchronizer	1446839110784	0	0	0
BMS	ConnectorSynchronizer (import)	1446839410515	0	0	0
BMS	MeasurementSynchronizer	1446839410550	0	0	36
BMS	WorkOrderSynchronizer	1446839410617	0	0	0
BMS	TagSynchronizer	1446839410680	0	0	0
BMS	PropertySynchronizer	1446839410751	0	0	0
BMS	AlarmSynchronizer	1446839410773	0	0	0
BMS	ConnectorSynchronizer (import)	1446839710519	0	0	0
BMS	MeasurementSynchronizer	1446839710553	0	0	36
BMS	WorkOrderSynchronizer	1446839710622	0	0	0
BMS	TagSynchronizer	1446839710684	0	0	0
BMS	PropertySynchronizer	1446839710756	0	0	0
BMS	AlarmSynchronizer	1446839710778	0	0	0
BMS	ConnectorSynchronizer (import)	1446840010517	0	0	0
BMS	MeasurementSynchronizer	1446840010550	0	0	36
BMS	WorkOrderSynchronizer	1446840010613	0	0	0
BMS	TagSynchronizer	1446840010675	0	0	0
BMS	PropertySynchronizer	1446840010747	0	0	0
BMS	AlarmSynchronizer	1446840010767	0	0	0
BMS	ConnectorSynchronizer (import)	1446840310515	0	0	0
BMS	MeasurementSynchronizer	1446840310548	0	0	36
BMS	WorkOrderSynchronizer	1446840310613	0	0	0
BMS	TagSynchronizer	1446840310675	0	0	0
BMS	PropertySynchronizer	1446840310744	0	0	0
BMS	AlarmSynchronizer	1446840310764	0	0	0
BMS	ConnectorSynchronizer (import)	1446840610523	0	0	0
BMS	MeasurementSynchronizer	1446840610556	0	0	36
BMS	WorkOrderSynchronizer	1446840610620	0	0	0
BMS	TagSynchronizer	1446840610683	0	0	0
BMS	PropertySynchronizer	1446840610754	0	0	0
BMS	AlarmSynchronizer	1446840610775	0	0	0
BMS	ConnectorSynchronizer (import)	1446840910519	0	0	0
BMS	MeasurementSynchronizer	1446840910552	0	0	36
BMS	WorkOrderSynchronizer	1446840910617	0	0	0
BMS	TagSynchronizer	1446840910679	0	0	0
BMS	PropertySynchronizer	1446840910751	0	0	0
BMS	AlarmSynchronizer	1446840910772	0	0	0
BMS	ConnectorSynchronizer (import)	1446841210518	0	0	0
BMS	MeasurementSynchronizer	1446841210551	0	0	36
BMS	WorkOrderSynchronizer	1446841210615	0	0	0
BMS	TagSynchronizer	1446841210676	0	0	0
BMS	PropertySynchronizer	1446841210747	0	0	0
BMS	AlarmSynchronizer	1446841210767	0	0	0
BMS	ConnectorSynchronizer (import)	1446841510524	0	0	0
BMS	MeasurementSynchronizer	1446841510557	0	0	36
BMS	WorkOrderSynchronizer	1446841510621	0	0	0
BMS	TagSynchronizer	1446841510682	0	0	0
BMS	PropertySynchronizer	1446841510754	0	0	0
BMS	AlarmSynchronizer	1446841510774	0	0	0
BMS	ConnectorSynchronizer (import)	1446841810565	0	0	0
BMS	MeasurementSynchronizer	1446841810598	0	0	36
BMS	WorkOrderSynchronizer	1446841810661	0	0	0
BMS	TagSynchronizer	1446841810723	0	0	0
BMS	PropertySynchronizer	1446841810793	0	0	0
BMS	AlarmSynchronizer	1446841810814	0	0	0
BMS	ConnectorSynchronizer (import)	1446842110536	0	0	0
BMS	MeasurementSynchronizer	1446842110569	0	0	36
BMS	WorkOrderSynchronizer	1446842110635	0	0	0
BMS	TagSynchronizer	1446842110698	0	0	0
BMS	PropertySynchronizer	1446842110770	0	0	0
BMS	AlarmSynchronizer	1446842110792	0	0	0
BMS	ConnectorSynchronizer (import)	1446842410546	0	0	0
BMS	MeasurementSynchronizer	1446842410583	0	0	36
BMS	WorkOrderSynchronizer	1446842410650	0	0	0
BMS	TagSynchronizer	1446842410713	0	0	0
BMS	PropertySynchronizer	1446842410786	0	0	0
BMS	AlarmSynchronizer	1446842410808	0	0	0
BMS	ConnectorSynchronizer (import)	1446842710502	0	0	0
BMS	MeasurementSynchronizer	1446842710533	0	0	36
BMS	WorkOrderSynchronizer	1446842710591	0	0	0
BMS	TagSynchronizer	1446842710648	0	0	0
BMS	PropertySynchronizer	1446842710715	0	0	0
BMS	AlarmSynchronizer	1446842710733	0	0	0
BMS	ConnectorSynchronizer (import)	1446843010542	0	0	0
BMS	MeasurementSynchronizer	1446843010577	0	0	36
BMS	WorkOrderSynchronizer	1446843010643	0	0	0
BMS	TagSynchronizer	1446843010705	0	0	0
BMS	PropertySynchronizer	1446843010776	0	0	0
BMS	AlarmSynchronizer	1446843010796	0	0	0
BMS	ConnectorSynchronizer (import)	1446843310516	0	0	0
BMS	MeasurementSynchronizer	1446843310549	0	0	36
BMS	WorkOrderSynchronizer	1446843310616	0	0	0
BMS	TagSynchronizer	1446843310678	0	0	0
BMS	PropertySynchronizer	1446843310750	0	0	0
BMS	AlarmSynchronizer	1446843310773	0	0	0
BMS	ConnectorSynchronizer (import)	1446843610520	0	0	0
BMS	MeasurementSynchronizer	1446843610552	0	0	36
BMS	WorkOrderSynchronizer	1446843610617	0	0	0
BMS	TagSynchronizer	1446843610678	0	0	0
BMS	PropertySynchronizer	1446843610749	0	0	0
BMS	AlarmSynchronizer	1446843610769	0	0	0
BMS	ConnectorSynchronizer (import)	1446843910534	0	0	0
BMS	MeasurementSynchronizer	1446843910566	0	0	36
BMS	WorkOrderSynchronizer	1446843910629	0	0	0
BMS	TagSynchronizer	1446843910691	0	0	0
BMS	PropertySynchronizer	1446843910778	0	0	0
BMS	AlarmSynchronizer	1446843910804	0	0	0
BMS	ConnectorSynchronizer (import)	1446844210528	0	0	0
BMS	MeasurementSynchronizer	1446844210559	0	0	36
BMS	WorkOrderSynchronizer	1446844210619	0	0	0
BMS	TagSynchronizer	1446844210677	0	0	0
BMS	PropertySynchronizer	1446844210741	0	0	0
BMS	AlarmSynchronizer	1446844210762	0	0	0
BMS	ConnectorSynchronizer (import)	1446844510513	0	0	0
BMS	MeasurementSynchronizer	1446844510547	0	0	36
BMS	WorkOrderSynchronizer	1446844510611	0	0	0
BMS	TagSynchronizer	1446844510672	0	0	0
BMS	PropertySynchronizer	1446844510742	0	0	0
BMS	AlarmSynchronizer	1446844510762	0	0	0
BMS	ConnectorSynchronizer (import)	1446844810518	0	0	0
BMS	MeasurementSynchronizer	1446844810551	0	0	36
BMS	WorkOrderSynchronizer	1446844810615	0	0	0
BMS	TagSynchronizer	1446844810676	0	0	0
BMS	PropertySynchronizer	1446844810747	0	0	0
BMS	AlarmSynchronizer	1446844810769	0	0	0
BMS	ConnectorSynchronizer (import)	1446845110514	0	0	0
BMS	MeasurementSynchronizer	1446845110548	0	0	36
BMS	WorkOrderSynchronizer	1446845110616	0	0	0
BMS	TagSynchronizer	1446845110678	0	0	0
BMS	PropertySynchronizer	1446845110749	0	0	0
BMS	AlarmSynchronizer	1446845110769	0	0	0
BMS	ConnectorSynchronizer (import)	1446845410527	0	0	0
BMS	MeasurementSynchronizer	1446845410560	0	0	36
BMS	WorkOrderSynchronizer	1446845410628	0	0	0
BMS	TagSynchronizer	1446845410689	0	0	0
BMS	PropertySynchronizer	1446845410755	0	0	0
BMS	AlarmSynchronizer	1446845410774	0	0	0
BMS	ConnectorSynchronizer (import)	1446845710538	0	0	0
BMS	MeasurementSynchronizer	1446845710573	0	0	36
BMS	WorkOrderSynchronizer	1446845710637	0	0	0
BMS	TagSynchronizer	1446845710699	0	0	0
BMS	PropertySynchronizer	1446845710771	0	0	0
BMS	AlarmSynchronizer	1446845710791	0	0	0
BMS	ConnectorSynchronizer (import)	1446846010540	0	0	0
BMS	MeasurementSynchronizer	1446846010572	0	0	36
BMS	WorkOrderSynchronizer	1446846010636	0	0	0
BMS	TagSynchronizer	1446846010698	0	0	0
BMS	PropertySynchronizer	1446846010768	0	0	0
BMS	AlarmSynchronizer	1446846010789	0	0	0
BMS	ConnectorSynchronizer (import)	1446846310517	0	0	0
BMS	MeasurementSynchronizer	1446846310549	0	0	36
BMS	WorkOrderSynchronizer	1446846310613	0	0	0
BMS	TagSynchronizer	1446846310676	0	0	0
BMS	PropertySynchronizer	1446846310747	0	0	0
BMS	AlarmSynchronizer	1446846310768	0	0	0
BMS	ConnectorSynchronizer (import)	1446846610509	0	0	0
BMS	MeasurementSynchronizer	1446846610542	0	0	36
BMS	WorkOrderSynchronizer	1446846610607	0	0	0
BMS	TagSynchronizer	1446846610668	0	0	0
BMS	PropertySynchronizer	1446846610740	0	0	0
BMS	AlarmSynchronizer	1446846610761	0	0	0
BMS	ConnectorSynchronizer (import)	1446846910530	0	0	0
BMS	MeasurementSynchronizer	1446846910563	0	0	36
BMS	WorkOrderSynchronizer	1446846910627	0	0	0
BMS	TagSynchronizer	1446846910689	0	0	0
BMS	PropertySynchronizer	1446846910759	0	0	0
BMS	AlarmSynchronizer	1446846910780	0	0	0
BMS	ConnectorSynchronizer (import)	1446847210498	0	0	0
BMS	MeasurementSynchronizer	1446847210526	0	0	36
BMS	WorkOrderSynchronizer	1446847210589	0	0	0
BMS	TagSynchronizer	1446847210651	0	0	0
BMS	PropertySynchronizer	1446847210723	0	0	0
BMS	AlarmSynchronizer	1446847210744	0	0	0
BMS	ConnectorSynchronizer (import)	1446847510528	0	0	0
BMS	MeasurementSynchronizer	1446847510562	0	0	36
BMS	WorkOrderSynchronizer	1446847510625	0	0	0
BMS	TagSynchronizer	1446847510691	0	0	0
BMS	PropertySynchronizer	1446847510762	0	0	0
BMS	AlarmSynchronizer	1446847510783	0	0	0
BMS	ConnectorSynchronizer (import)	1446847810511	0	0	0
BMS	MeasurementSynchronizer	1446847810544	0	0	36
BMS	WorkOrderSynchronizer	1446847810607	0	0	0
BMS	TagSynchronizer	1446847810671	0	0	0
BMS	PropertySynchronizer	1446847810743	0	0	0
BMS	AlarmSynchronizer	1446847810765	0	0	0
BMS	ConnectorSynchronizer (import)	1446848110510	0	0	0
BMS	MeasurementSynchronizer	1446848110542	0	0	36
BMS	WorkOrderSynchronizer	1446848110606	0	0	0
BMS	TagSynchronizer	1446848110668	0	0	0
BMS	PropertySynchronizer	1446848110738	0	0	0
BMS	AlarmSynchronizer	1446848110759	0	0	0
BMS	ConnectorSynchronizer (import)	1446848410521	0	0	0
BMS	MeasurementSynchronizer	1446848410553	0	0	36
BMS	WorkOrderSynchronizer	1446848410616	0	0	0
BMS	TagSynchronizer	1446848410677	0	0	0
BMS	PropertySynchronizer	1446848410751	0	0	0
BMS	AlarmSynchronizer	1446848410774	0	0	0
BMS	ConnectorSynchronizer (import)	1446848710525	0	0	0
BMS	MeasurementSynchronizer	1446848710555	0	0	36
BMS	WorkOrderSynchronizer	1446848710614	0	0	0
BMS	TagSynchronizer	1446848710672	0	0	0
BMS	PropertySynchronizer	1446848710738	0	0	0
BMS	AlarmSynchronizer	1446848710757	0	0	0
BMS	ConnectorSynchronizer (import)	1446849010528	0	0	0
BMS	MeasurementSynchronizer	1446849010558	0	0	36
BMS	WorkOrderSynchronizer	1446849010613	0	0	0
BMS	TagSynchronizer	1446849010670	0	0	0
BMS	PropertySynchronizer	1446849010741	0	0	0
BMS	AlarmSynchronizer	1446849010762	0	0	0
BMS	ConnectorSynchronizer (import)	1446849310527	0	0	0
BMS	MeasurementSynchronizer	1446849310560	0	0	36
BMS	WorkOrderSynchronizer	1446849310624	0	0	0
BMS	TagSynchronizer	1446849310686	0	0	0
BMS	PropertySynchronizer	1446849310756	0	0	0
BMS	AlarmSynchronizer	1446849310777	0	0	0
BMS	ConnectorSynchronizer (import)	1446849610540	0	0	0
BMS	MeasurementSynchronizer	1446849610573	0	0	36
BMS	WorkOrderSynchronizer	1446849610637	0	0	0
BMS	TagSynchronizer	1446849610700	0	0	0
BMS	PropertySynchronizer	1446849610771	0	0	0
BMS	AlarmSynchronizer	1446849610792	0	0	0
BMS	ConnectorSynchronizer (import)	1446849910529	0	0	0
BMS	MeasurementSynchronizer	1446849910562	0	0	36
BMS	WorkOrderSynchronizer	1446849910628	0	0	0
BMS	TagSynchronizer	1446849910690	0	0	0
BMS	PropertySynchronizer	1446849910761	0	0	0
BMS	AlarmSynchronizer	1446849910782	0	0	0
BMS	ConnectorSynchronizer (import)	1446850210511	0	0	0
BMS	MeasurementSynchronizer	1446850210544	0	0	36
BMS	WorkOrderSynchronizer	1446850210607	0	0	0
BMS	TagSynchronizer	1446850210669	0	0	0
BMS	PropertySynchronizer	1446850210741	0	0	0
BMS	AlarmSynchronizer	1446850210762	0	0	0
BMS	ConnectorSynchronizer (import)	1446850510554	0	0	0
BMS	MeasurementSynchronizer	1446850510584	0	0	36
BMS	WorkOrderSynchronizer	1446850510642	0	0	0
BMS	TagSynchronizer	1446850510715	0	0	0
BMS	PropertySynchronizer	1446850510781	0	0	0
BMS	AlarmSynchronizer	1446850510800	0	0	0
BMS	ConnectorSynchronizer (import)	1446850810509	0	0	0
BMS	MeasurementSynchronizer	1446850810542	0	0	36
BMS	WorkOrderSynchronizer	1446850810610	0	0	0
BMS	TagSynchronizer	1446850810673	0	0	0
BMS	PropertySynchronizer	1446850810745	0	0	0
BMS	AlarmSynchronizer	1446850810766	0	0	0
BMS	ConnectorSynchronizer (import)	1446851110508	0	0	0
BMS	MeasurementSynchronizer	1446851110541	0	0	36
BMS	WorkOrderSynchronizer	1446851110604	0	0	0
BMS	TagSynchronizer	1446851110665	0	0	0
BMS	PropertySynchronizer	1446851110736	0	0	0
BMS	AlarmSynchronizer	1446851110757	0	0	0
BMS	ConnectorSynchronizer (import)	1446851410515	0	0	0
BMS	MeasurementSynchronizer	1446851410548	0	0	36
BMS	WorkOrderSynchronizer	1446851410612	0	0	0
BMS	TagSynchronizer	1446851410674	0	0	0
BMS	PropertySynchronizer	1446851410744	0	0	0
BMS	AlarmSynchronizer	1446851410765	0	0	0
BMS	ConnectorSynchronizer (import)	1446851710532	0	0	0
BMS	MeasurementSynchronizer	1446851710564	0	0	36
BMS	WorkOrderSynchronizer	1446851710640	0	0	0
BMS	TagSynchronizer	1446851710704	0	0	0
BMS	PropertySynchronizer	1446851710775	0	0	0
BMS	AlarmSynchronizer	1446851710797	0	0	0
BMS	ConnectorSynchronizer (import)	1446852010513	0	0	0
BMS	MeasurementSynchronizer	1446852010546	0	0	36
BMS	WorkOrderSynchronizer	1446852010610	0	0	0
BMS	TagSynchronizer	1446852010672	0	0	0
BMS	PropertySynchronizer	1446852010743	0	0	0
BMS	AlarmSynchronizer	1446852010763	0	0	0
BMS	ConnectorSynchronizer (import)	1446852310514	0	0	0
BMS	MeasurementSynchronizer	1446852310547	0	0	36
BMS	WorkOrderSynchronizer	1446852310610	0	0	0
BMS	TagSynchronizer	1446852310672	0	0	0
BMS	PropertySynchronizer	1446852310743	0	0	0
BMS	AlarmSynchronizer	1446852310765	0	0	0
BMS	ConnectorSynchronizer (import)	1446852610500	0	0	0
BMS	MeasurementSynchronizer	1446852610530	0	0	36
BMS	WorkOrderSynchronizer	1446852610589	0	0	0
BMS	TagSynchronizer	1446852610645	0	0	0
BMS	PropertySynchronizer	1446852610712	0	0	0
BMS	AlarmSynchronizer	1446852610731	0	0	0
BMS	ConnectorSynchronizer (import)	1446852910556	0	0	0
BMS	MeasurementSynchronizer	1446852910593	0	0	36
BMS	WorkOrderSynchronizer	1446852910660	0	0	0
BMS	TagSynchronizer	1446852910723	0	0	0
BMS	PropertySynchronizer	1446852910795	0	0	0
BMS	AlarmSynchronizer	1446852910817	0	0	0
BMS	ConnectorSynchronizer (import)	1446853210528	0	0	0
BMS	MeasurementSynchronizer	1446853210560	0	0	36
BMS	WorkOrderSynchronizer	1446853210625	0	0	0
BMS	TagSynchronizer	1446853210688	0	0	0
BMS	PropertySynchronizer	1446853210760	0	0	0
BMS	AlarmSynchronizer	1446853210781	0	0	0
BMS	ConnectorSynchronizer (import)	1446853510496	0	0	0
BMS	MeasurementSynchronizer	1446853510530	0	0	36
BMS	WorkOrderSynchronizer	1446853510594	0	0	0
BMS	TagSynchronizer	1446853510656	0	0	0
BMS	PropertySynchronizer	1446853510726	0	0	0
BMS	AlarmSynchronizer	1446853510747	0	0	0
BMS	ConnectorSynchronizer (import)	1446853810504	0	0	0
BMS	MeasurementSynchronizer	1446853810535	0	0	36
BMS	WorkOrderSynchronizer	1446853810595	0	0	0
BMS	TagSynchronizer	1446853810654	0	0	0
BMS	PropertySynchronizer	1446853810714	0	0	0
BMS	AlarmSynchronizer	1446853810731	0	0	0
BMS	ConnectorSynchronizer (import)	1446854110517	0	0	0
BMS	MeasurementSynchronizer	1446854110556	0	0	36
BMS	WorkOrderSynchronizer	1446854110623	0	0	0
BMS	TagSynchronizer	1446854110684	0	0	0
BMS	PropertySynchronizer	1446854110755	0	0	0
BMS	AlarmSynchronizer	1446854110775	0	0	0
BMS	ConnectorSynchronizer (import)	1446854410519	0	0	0
BMS	MeasurementSynchronizer	1446854410552	0	0	36
BMS	WorkOrderSynchronizer	1446854410616	0	0	0
BMS	TagSynchronizer	1446854410679	0	0	0
BMS	PropertySynchronizer	1446854410749	0	0	0
BMS	AlarmSynchronizer	1446854410770	0	0	0
BMS	ConnectorSynchronizer (import)	1446854710530	0	0	0
BMS	MeasurementSynchronizer	1446854710563	0	0	36
BMS	WorkOrderSynchronizer	1446854710628	0	0	0
BMS	TagSynchronizer	1446854710689	0	0	0
BMS	PropertySynchronizer	1446854710761	0	0	0
BMS	AlarmSynchronizer	1446854710781	0	0	0
BMS	ConnectorSynchronizer (import)	1446855010523	0	0	0
BMS	MeasurementSynchronizer	1446855010556	0	0	36
BMS	WorkOrderSynchronizer	1446855010621	0	0	0
BMS	TagSynchronizer	1446855010684	0	0	0
BMS	PropertySynchronizer	1446855010756	0	0	0
BMS	AlarmSynchronizer	1446855010778	0	0	0
BMS	ConnectorSynchronizer (import)	1446855310509	0	0	0
BMS	MeasurementSynchronizer	1446855310539	0	0	36
BMS	WorkOrderSynchronizer	1446855310597	0	0	0
BMS	TagSynchronizer	1446855310654	0	0	0
BMS	PropertySynchronizer	1446855310720	0	0	0
BMS	AlarmSynchronizer	1446855310739	0	0	0
BMS	ConnectorSynchronizer (import)	1446855610532	0	0	0
BMS	MeasurementSynchronizer	1446855610565	0	0	36
BMS	WorkOrderSynchronizer	1446855610629	0	0	0
BMS	TagSynchronizer	1446855610691	0	0	0
BMS	PropertySynchronizer	1446855610761	0	0	0
BMS	AlarmSynchronizer	1446855610782	0	0	0
BMS	ConnectorSynchronizer (import)	1446855910513	0	0	0
BMS	MeasurementSynchronizer	1446855910546	0	0	36
BMS	WorkOrderSynchronizer	1446855910611	0	0	0
BMS	TagSynchronizer	1446855910673	0	0	0
BMS	PropertySynchronizer	1446855910745	0	0	0
BMS	AlarmSynchronizer	1446855910767	0	0	0
BMS	ConnectorSynchronizer (import)	1446856210510	0	0	0
BMS	MeasurementSynchronizer	1446856210542	0	0	36
BMS	WorkOrderSynchronizer	1446856210606	0	0	0
BMS	TagSynchronizer	1446856210667	0	0	0
BMS	PropertySynchronizer	1446856210737	0	0	0
BMS	AlarmSynchronizer	1446856210758	0	0	0
BMS	ConnectorSynchronizer (import)	1446856510562	0	0	0
BMS	MeasurementSynchronizer	1446856510595	0	0	36
BMS	WorkOrderSynchronizer	1446856510661	0	0	0
BMS	TagSynchronizer	1446856510723	0	0	0
BMS	PropertySynchronizer	1446856510794	0	0	0
BMS	AlarmSynchronizer	1446856510814	0	0	0
BMS	ConnectorSynchronizer (import)	1446856810526	0	0	0
BMS	MeasurementSynchronizer	1446856810557	0	0	36
BMS	WorkOrderSynchronizer	1446856810617	0	0	0
BMS	TagSynchronizer	1446856810677	0	0	0
BMS	PropertySynchronizer	1446856810743	0	0	0
BMS	AlarmSynchronizer	1446856810763	0	0	0
BMS	ConnectorSynchronizer (import)	1446857110510	0	0	0
BMS	MeasurementSynchronizer	1446857110544	0	0	36
BMS	WorkOrderSynchronizer	1446857110609	0	0	0
BMS	TagSynchronizer	1446857110673	0	0	0
BMS	PropertySynchronizer	1446857110745	0	0	0
BMS	AlarmSynchronizer	1446857110767	0	0	0
BMS	ConnectorSynchronizer (import)	1446857410519	0	0	0
BMS	MeasurementSynchronizer	1446857410552	0	0	36
BMS	WorkOrderSynchronizer	1446857410616	0	0	0
BMS	TagSynchronizer	1446857410677	0	0	0
BMS	PropertySynchronizer	1446857410749	0	0	0
BMS	AlarmSynchronizer	1446857410770	0	0	0
BMS	ConnectorSynchronizer (import)	1446857710532	0	0	0
BMS	MeasurementSynchronizer	1446857710565	0	0	36
BMS	WorkOrderSynchronizer	1446857710629	0	0	0
BMS	TagSynchronizer	1446857710690	0	0	0
BMS	PropertySynchronizer	1446857710761	0	0	0
BMS	AlarmSynchronizer	1446857710782	0	0	0
BMS	ConnectorSynchronizer (import)	1446858010538	0	0	0
BMS	MeasurementSynchronizer	1446858010571	0	0	36
BMS	WorkOrderSynchronizer	1446858010635	0	0	0
BMS	TagSynchronizer	1446858010697	0	0	0
BMS	PropertySynchronizer	1446858010768	0	0	0
BMS	AlarmSynchronizer	1446858010790	0	0	0
BMS	ConnectorSynchronizer (import)	1446858310514	0	0	0
BMS	MeasurementSynchronizer	1446858310547	0	0	36
BMS	WorkOrderSynchronizer	1446858310611	0	0	0
BMS	TagSynchronizer	1446858310672	0	0	0
BMS	PropertySynchronizer	1446858310743	0	0	0
BMS	AlarmSynchronizer	1446858310764	0	0	0
BMS	ConnectorSynchronizer (import)	1446858610530	0	0	0
BMS	MeasurementSynchronizer	1446858610563	0	0	36
BMS	WorkOrderSynchronizer	1446858610628	0	0	0
BMS	TagSynchronizer	1446858610694	0	0	0
BMS	PropertySynchronizer	1446858610767	0	0	0
BMS	AlarmSynchronizer	1446858610788	0	0	0
BMS	ConnectorSynchronizer (import)	1446858910538	0	0	0
BMS	MeasurementSynchronizer	1446858910571	0	0	36
BMS	WorkOrderSynchronizer	1446858910635	0	0	0
BMS	TagSynchronizer	1446858910696	0	0	0
BMS	PropertySynchronizer	1446858910765	0	0	0
BMS	AlarmSynchronizer	1446858910786	0	0	0
BMS	ConnectorSynchronizer (import)	1446859210515	0	0	0
BMS	MeasurementSynchronizer	1446859210548	0	0	36
BMS	WorkOrderSynchronizer	1446859210610	0	0	0
BMS	TagSynchronizer	1446859210671	0	0	0
BMS	PropertySynchronizer	1446859210741	0	0	0
BMS	AlarmSynchronizer	1446859210761	0	0	0
BMS	ConnectorSynchronizer (import)	1446859510519	0	0	0
BMS	MeasurementSynchronizer	1446859510550	0	0	36
BMS	WorkOrderSynchronizer	1446859510612	0	0	0
BMS	TagSynchronizer	1446859510671	0	0	0
BMS	PropertySynchronizer	1446859510736	0	0	0
BMS	AlarmSynchronizer	1446859510755	0	0	0
BMS	ConnectorSynchronizer (import)	1446859810530	0	0	0
BMS	MeasurementSynchronizer	1446859810563	0	0	36
BMS	WorkOrderSynchronizer	1446859810629	0	0	0
BMS	TagSynchronizer	1446859810691	0	0	0
BMS	PropertySynchronizer	1446859810763	0	0	0
BMS	AlarmSynchronizer	1446859810784	0	0	0
BMS	ConnectorSynchronizer (import)	1446860110507	0	0	0
BMS	MeasurementSynchronizer	1446860110541	0	0	36
BMS	WorkOrderSynchronizer	1446860110607	0	0	0
BMS	TagSynchronizer	1446860110670	0	0	0
BMS	PropertySynchronizer	1446860110743	0	0	0
BMS	AlarmSynchronizer	1446860110764	0	0	0
BMS	ConnectorSynchronizer (import)	1446860410524	0	0	0
BMS	MeasurementSynchronizer	1446860410556	0	0	36
BMS	WorkOrderSynchronizer	1446860410622	0	0	0
BMS	TagSynchronizer	1446860410684	0	0	0
BMS	PropertySynchronizer	1446860410756	0	0	0
BMS	AlarmSynchronizer	1446860410777	0	0	0
BMS	ConnectorSynchronizer (import)	1446860710548	0	0	0
BMS	MeasurementSynchronizer	1446860710580	0	0	36
BMS	WorkOrderSynchronizer	1446860710641	0	0	0
BMS	TagSynchronizer	1446860710698	0	0	0
BMS	PropertySynchronizer	1446860710764	0	0	0
BMS	AlarmSynchronizer	1446860710784	0	0	0
BMS	ConnectorSynchronizer (import)	1446861010523	0	0	0
BMS	MeasurementSynchronizer	1446861010556	0	0	36
BMS	WorkOrderSynchronizer	1446861010619	0	0	0
BMS	TagSynchronizer	1446861010682	0	0	0
BMS	PropertySynchronizer	1446861010754	0	0	0
BMS	AlarmSynchronizer	1446861010774	0	0	0
BMS	ConnectorSynchronizer (import)	1446861310505	0	0	0
BMS	MeasurementSynchronizer	1446861310538	0	0	36
BMS	WorkOrderSynchronizer	1446861310605	0	0	0
BMS	TagSynchronizer	1446861310670	0	0	0
BMS	PropertySynchronizer	1446861310741	0	0	0
BMS	AlarmSynchronizer	1446861310763	0	0	0
BMS	ConnectorSynchronizer (import)	1446861610574	0	0	0
BMS	MeasurementSynchronizer	1446861610606	0	0	36
BMS	WorkOrderSynchronizer	1446861610671	0	0	0
BMS	TagSynchronizer	1446861610733	0	0	0
BMS	PropertySynchronizer	1446861610805	0	0	0
BMS	AlarmSynchronizer	1446861610825	0	0	0
BMS	ConnectorSynchronizer (import)	1446861910507	0	0	0
BMS	MeasurementSynchronizer	1446861910537	0	0	36
BMS	WorkOrderSynchronizer	1446861910595	0	0	0
BMS	TagSynchronizer	1446861910652	0	0	0
BMS	PropertySynchronizer	1446861910717	0	0	0
BMS	AlarmSynchronizer	1446861910736	0	0	0
BMS	ConnectorSynchronizer (import)	1446862210512	0	0	0
BMS	MeasurementSynchronizer	1446862210545	0	0	36
BMS	WorkOrderSynchronizer	1446862210611	0	0	0
BMS	TagSynchronizer	1446862210673	0	0	0
BMS	PropertySynchronizer	1446862210744	0	0	0
BMS	AlarmSynchronizer	1446862210765	0	0	0
BMS	ConnectorSynchronizer (import)	1446862510505	0	0	0
BMS	MeasurementSynchronizer	1446862510538	0	0	36
BMS	WorkOrderSynchronizer	1446862510603	0	0	0
BMS	TagSynchronizer	1446862510665	0	0	0
BMS	PropertySynchronizer	1446862510736	0	0	0
BMS	AlarmSynchronizer	1446862510756	0	0	0
BMS	ConnectorSynchronizer (import)	1446862810514	0	0	0
BMS	MeasurementSynchronizer	1446862810547	0	0	36
BMS	WorkOrderSynchronizer	1446862810612	0	0	0
BMS	TagSynchronizer	1446862810676	0	0	0
BMS	PropertySynchronizer	1446862810746	0	0	0
BMS	AlarmSynchronizer	1446862810767	0	0	0
BMS	ConnectorSynchronizer (import)	1446863110531	0	0	0
BMS	MeasurementSynchronizer	1446863110564	0	0	36
BMS	WorkOrderSynchronizer	1446863110631	0	0	0
BMS	TagSynchronizer	1446863110694	0	0	0
BMS	PropertySynchronizer	1446863110766	0	0	0
BMS	AlarmSynchronizer	1446863110787	0	0	0
BMS	ConnectorSynchronizer (import)	1446863410733	0	0	0
BMS	MeasurementSynchronizer	1446863410766	0	0	36
BMS	WorkOrderSynchronizer	1446863410833	0	0	0
BMS	TagSynchronizer	1446863410897	0	0	0
BMS	PropertySynchronizer	1446863410971	0	0	0
BMS	AlarmSynchronizer	1446863410994	0	0	0
BMS	ConnectorSynchronizer (import)	1446863710542	0	0	0
BMS	MeasurementSynchronizer	1446863710575	0	0	36
BMS	WorkOrderSynchronizer	1446863710638	0	0	0
BMS	TagSynchronizer	1446863710701	0	0	0
BMS	PropertySynchronizer	1446863710770	0	0	0
BMS	AlarmSynchronizer	1446863710790	0	0	0
BMS	ConnectorSynchronizer (import)	1446864010552	0	0	0
BMS	MeasurementSynchronizer	1446864010585	0	0	36
BMS	WorkOrderSynchronizer	1446864010649	0	0	0
BMS	TagSynchronizer	1446864010717	0	0	0
BMS	PropertySynchronizer	1446864010788	0	0	0
BMS	AlarmSynchronizer	1446864010810	0	0	0
BMS	ConnectorSynchronizer (import)	1446864310513	0	0	0
BMS	MeasurementSynchronizer	1446864310559	0	0	36
BMS	WorkOrderSynchronizer	1446864310648	0	0	0
BMS	TagSynchronizer	1446864310711	0	0	0
BMS	PropertySynchronizer	1446864310768	0	0	0
BMS	AlarmSynchronizer	1446864310782	0	0	0
BMS	ConnectorSynchronizer (import)	1446864610525	0	0	0
BMS	MeasurementSynchronizer	1446864610556	0	0	36
BMS	WorkOrderSynchronizer	1446864610616	0	0	0
BMS	TagSynchronizer	1446864610675	0	0	0
BMS	PropertySynchronizer	1446864610741	0	0	0
BMS	AlarmSynchronizer	1446864610761	0	0	0
BMS	ConnectorSynchronizer (import)	1446864910513	0	0	0
BMS	MeasurementSynchronizer	1446864910547	0	0	36
BMS	WorkOrderSynchronizer	1446864910613	0	0	0
BMS	TagSynchronizer	1446864910676	0	0	0
BMS	PropertySynchronizer	1446864910748	0	0	0
BMS	AlarmSynchronizer	1446864910769	0	0	0
BMS	ConnectorSynchronizer (import)	1446865210542	0	0	0
BMS	MeasurementSynchronizer	1446865210577	0	0	36
BMS	WorkOrderSynchronizer	1446865210644	0	0	0
BMS	TagSynchronizer	1446865210705	0	0	0
BMS	PropertySynchronizer	1446865210776	0	0	0
BMS	AlarmSynchronizer	1446865210798	0	0	0
BMS	ConnectorSynchronizer (import)	1446865510532	0	0	0
BMS	MeasurementSynchronizer	1446865510565	0	0	36
BMS	WorkOrderSynchronizer	1446865510631	0	0	0
BMS	TagSynchronizer	1446865510692	0	0	0
BMS	PropertySynchronizer	1446865510764	0	0	0
BMS	AlarmSynchronizer	1446865510785	0	0	0
BMS	ConnectorSynchronizer (import)	1446865810526	0	0	0
BMS	MeasurementSynchronizer	1446865810560	0	0	36
BMS	WorkOrderSynchronizer	1446865810624	0	0	0
BMS	TagSynchronizer	1446865810688	0	0	0
BMS	PropertySynchronizer	1446865810757	0	0	0
BMS	AlarmSynchronizer	1446865810778	0	0	0
BMS	ConnectorSynchronizer (import)	1446866110530	0	0	0
BMS	MeasurementSynchronizer	1446866110562	0	0	36
BMS	WorkOrderSynchronizer	1446866110626	0	0	0
BMS	TagSynchronizer	1446866110689	0	0	0
BMS	PropertySynchronizer	1446866110761	0	0	0
BMS	AlarmSynchronizer	1446866110782	0	0	0
BMS	ConnectorSynchronizer (import)	1446866410538	0	0	0
BMS	MeasurementSynchronizer	1446866410570	0	0	36
BMS	WorkOrderSynchronizer	1446866410635	0	0	0
BMS	TagSynchronizer	1446866410697	0	0	0
BMS	PropertySynchronizer	1446866410769	0	0	0
BMS	AlarmSynchronizer	1446866410789	0	0	0
BMS	ConnectorSynchronizer (import)	1446866710570	0	0	0
BMS	MeasurementSynchronizer	1446866710602	0	0	36
BMS	WorkOrderSynchronizer	1446866710669	0	0	0
BMS	TagSynchronizer	1446866710730	0	0	0
BMS	PropertySynchronizer	1446866710802	0	0	0
BMS	AlarmSynchronizer	1446866710824	0	0	0
BMS	ConnectorSynchronizer (import)	1446867010522	0	0	0
BMS	MeasurementSynchronizer	1446867010558	0	0	36
BMS	WorkOrderSynchronizer	1446867010621	0	0	0
BMS	TagSynchronizer	1446867010684	0	0	0
BMS	PropertySynchronizer	1446867010755	0	0	0
BMS	AlarmSynchronizer	1446867010775	0	0	0
BMS	ConnectorSynchronizer (import)	1446867310535	0	0	0
BMS	MeasurementSynchronizer	1446867310567	0	0	36
BMS	WorkOrderSynchronizer	1446867310630	0	0	0
BMS	TagSynchronizer	1446867310693	0	0	0
BMS	PropertySynchronizer	1446867310767	0	0	0
BMS	AlarmSynchronizer	1446867310790	0	0	0
BMS	ConnectorSynchronizer (import)	1446867610540	0	0	0
BMS	MeasurementSynchronizer	1446867610572	0	0	36
BMS	WorkOrderSynchronizer	1446867610632	0	0	0
BMS	TagSynchronizer	1446867610690	0	0	0
BMS	PropertySynchronizer	1446867610754	0	0	0
BMS	AlarmSynchronizer	1446867610771	0	0	0
BMS	ConnectorSynchronizer (import)	1446867910519	0	0	0
BMS	MeasurementSynchronizer	1446867910552	0	0	36
BMS	WorkOrderSynchronizer	1446867910616	0	0	0
BMS	TagSynchronizer	1446867910678	0	0	0
BMS	PropertySynchronizer	1446867910749	0	0	0
BMS	AlarmSynchronizer	1446867910772	0	0	0
BMS	ConnectorSynchronizer (import)	1446868210524	0	0	0
BMS	MeasurementSynchronizer	1446868210557	0	0	36
BMS	WorkOrderSynchronizer	1446868210621	0	0	0
BMS	TagSynchronizer	1446868210682	0	0	0
BMS	PropertySynchronizer	1446868210754	0	0	0
BMS	AlarmSynchronizer	1446868210774	0	0	0
BMS	ConnectorSynchronizer (import)	1446868510532	0	0	0
BMS	MeasurementSynchronizer	1446868510565	0	0	36
BMS	WorkOrderSynchronizer	1446868510628	0	0	0
BMS	TagSynchronizer	1446868510690	0	0	0
BMS	PropertySynchronizer	1446868510759	0	0	0
BMS	AlarmSynchronizer	1446868510780	0	0	0
BMS	ConnectorSynchronizer (import)	1446868810530	0	0	0
BMS	MeasurementSynchronizer	1446868810562	0	0	36
BMS	WorkOrderSynchronizer	1446868810626	0	0	0
BMS	TagSynchronizer	1446868810687	0	0	0
BMS	PropertySynchronizer	1446868810758	0	0	0
BMS	AlarmSynchronizer	1446868810778	0	0	0
BMS	ConnectorSynchronizer (import)	1446869110530	0	0	0
BMS	MeasurementSynchronizer	1446869110562	0	0	36
BMS	WorkOrderSynchronizer	1446869110624	0	0	0
BMS	TagSynchronizer	1446869110682	0	0	0
BMS	PropertySynchronizer	1446869110749	0	0	0
BMS	AlarmSynchronizer	1446869110769	0	0	0
BMS	ConnectorSynchronizer (import)	1446869410532	0	0	0
BMS	MeasurementSynchronizer	1446869410562	0	0	36
BMS	WorkOrderSynchronizer	1446869410614	0	0	0
BMS	TagSynchronizer	1446869410671	0	0	0
BMS	PropertySynchronizer	1446869410739	0	0	0
BMS	AlarmSynchronizer	1446869410761	0	0	0
BMS	ConnectorSynchronizer (import)	1446869710542	0	0	0
BMS	MeasurementSynchronizer	1446869710575	0	0	36
BMS	WorkOrderSynchronizer	1446869710638	0	0	0
BMS	TagSynchronizer	1446869710700	0	0	0
BMS	PropertySynchronizer	1446869710770	0	0	0
BMS	AlarmSynchronizer	1446869710791	0	0	0
BMS	ConnectorSynchronizer (import)	1446870010518	0	0	0
BMS	MeasurementSynchronizer	1446870010550	0	0	36
BMS	WorkOrderSynchronizer	1446870010616	0	0	0
BMS	TagSynchronizer	1446870010676	0	0	0
BMS	PropertySynchronizer	1446870010747	0	0	0
BMS	AlarmSynchronizer	1446870010767	0	0	0
BMS	ConnectorSynchronizer (import)	1446870310524	0	0	0
BMS	MeasurementSynchronizer	1446870310557	0	0	36
BMS	WorkOrderSynchronizer	1446870310620	0	0	0
BMS	TagSynchronizer	1446870310681	0	0	0
BMS	PropertySynchronizer	1446870310751	0	0	0
BMS	AlarmSynchronizer	1446870310773	0	0	0
BMS	ConnectorSynchronizer (import)	1446870610520	0	0	0
BMS	MeasurementSynchronizer	1446870610554	0	0	36
BMS	WorkOrderSynchronizer	1446870610619	0	0	0
BMS	TagSynchronizer	1446870610681	0	0	0
BMS	PropertySynchronizer	1446870610755	0	0	0
BMS	AlarmSynchronizer	1446870610779	0	0	0
BMS	ConnectorSynchronizer (import)	1446870910528	0	0	0
BMS	MeasurementSynchronizer	1446870910560	0	0	36
BMS	WorkOrderSynchronizer	1446870910624	0	0	0
BMS	TagSynchronizer	1446870910686	0	0	0
BMS	PropertySynchronizer	1446870910757	0	0	0
BMS	AlarmSynchronizer	1446870910779	0	0	0
BMS	ConnectorSynchronizer (import)	1446871210530	0	0	0
BMS	MeasurementSynchronizer	1446871210563	0	0	36
BMS	WorkOrderSynchronizer	1446871210627	0	0	0
BMS	TagSynchronizer	1446871210689	0	0	0
BMS	PropertySynchronizer	1446871210758	0	0	0
BMS	AlarmSynchronizer	1446871210779	0	0	0
BMS	ConnectorSynchronizer (import)	1446871510559	0	0	0
BMS	MeasurementSynchronizer	1446871510592	0	0	36
BMS	WorkOrderSynchronizer	1446871510661	0	0	0
BMS	TagSynchronizer	1446871510723	0	0	0
BMS	PropertySynchronizer	1446871510794	0	0	0
BMS	AlarmSynchronizer	1446871510814	0	0	0
BMS	ConnectorSynchronizer (import)	1446871810518	0	0	0
BMS	MeasurementSynchronizer	1446871810551	0	0	36
BMS	WorkOrderSynchronizer	1446871810621	0	0	0
BMS	TagSynchronizer	1446871810683	0	0	0
BMS	PropertySynchronizer	1446871810754	0	0	0
BMS	AlarmSynchronizer	1446871810775	0	0	0
BMS	ConnectorSynchronizer (import)	1446872110547	0	0	0
BMS	MeasurementSynchronizer	1446872110580	0	0	36
BMS	WorkOrderSynchronizer	1446872110645	0	0	0
BMS	TagSynchronizer	1446872110707	0	0	0
BMS	PropertySynchronizer	1446872110777	0	0	0
BMS	AlarmSynchronizer	1446872110798	0	0	0
BMS	ConnectorSynchronizer (import)	1446872410521	0	0	0
BMS	MeasurementSynchronizer	1446872410553	0	0	36
BMS	WorkOrderSynchronizer	1446872410617	0	0	0
BMS	TagSynchronizer	1446872410678	0	0	0
BMS	PropertySynchronizer	1446872410749	0	0	0
BMS	AlarmSynchronizer	1446872410770	0	0	0
BMS	ConnectorSynchronizer (import)	1446872710529	0	0	0
BMS	MeasurementSynchronizer	1446872710562	0	0	36
BMS	WorkOrderSynchronizer	1446872710626	0	0	0
BMS	TagSynchronizer	1446872710688	0	0	0
BMS	PropertySynchronizer	1446872710760	0	0	0
BMS	AlarmSynchronizer	1446872710782	0	0	0
BMS	ConnectorSynchronizer (import)	1446873010529	0	0	0
BMS	MeasurementSynchronizer	1446873010561	0	0	36
BMS	WorkOrderSynchronizer	1446873010626	0	0	0
BMS	TagSynchronizer	1446873010688	0	0	0
BMS	PropertySynchronizer	1446873010760	0	0	0
BMS	AlarmSynchronizer	1446873010782	0	0	0
BMS	ConnectorSynchronizer (import)	1446873310523	0	0	0
BMS	MeasurementSynchronizer	1446873310556	0	0	36
BMS	WorkOrderSynchronizer	1446873310619	0	0	0
BMS	TagSynchronizer	1446873310682	0	0	0
BMS	PropertySynchronizer	1446873310752	0	0	0
BMS	AlarmSynchronizer	1446873310773	0	0	0
BMS	ConnectorSynchronizer (import)	1446873610544	0	0	0
BMS	MeasurementSynchronizer	1446873610577	0	0	36
BMS	WorkOrderSynchronizer	1446873610641	0	0	0
BMS	TagSynchronizer	1446873610704	0	0	0
BMS	PropertySynchronizer	1446873610775	0	0	0
BMS	AlarmSynchronizer	1446873610797	0	0	0
BMS	ConnectorSynchronizer (import)	1446873910517	0	0	0
BMS	MeasurementSynchronizer	1446873910550	0	0	36
BMS	WorkOrderSynchronizer	1446873910614	0	0	0
BMS	TagSynchronizer	1446873910675	0	0	0
BMS	PropertySynchronizer	1446873910746	0	0	0
BMS	AlarmSynchronizer	1446873910768	0	0	0
BMS	ConnectorSynchronizer (import)	1446874210546	0	0	0
BMS	MeasurementSynchronizer	1446874210579	0	0	36
BMS	WorkOrderSynchronizer	1446874210643	0	0	0
BMS	TagSynchronizer	1446874210705	0	0	0
BMS	PropertySynchronizer	1446874210779	0	0	0
BMS	AlarmSynchronizer	1446874210803	0	0	0
BMS	ConnectorSynchronizer (import)	1446874510528	0	0	0
BMS	MeasurementSynchronizer	1446874510560	0	0	36
BMS	WorkOrderSynchronizer	1446874510629	0	0	0
BMS	TagSynchronizer	1446874510697	0	0	0
BMS	PropertySynchronizer	1446874510771	0	0	0
BMS	AlarmSynchronizer	1446874510794	0	0	0
BMS	ConnectorSynchronizer (import)	1446874810507	0	0	0
BMS	MeasurementSynchronizer	1446874810541	0	0	36
BMS	WorkOrderSynchronizer	1446874810606	0	0	0
BMS	TagSynchronizer	1446874810668	0	0	0
BMS	PropertySynchronizer	1446874810738	0	0	0
BMS	AlarmSynchronizer	1446874810759	0	0	0
BMS	ConnectorSynchronizer (import)	1446875110518	0	0	0
BMS	MeasurementSynchronizer	1446875110551	0	0	36
BMS	WorkOrderSynchronizer	1446875110619	0	0	0
BMS	TagSynchronizer	1446875110681	0	0	0
BMS	PropertySynchronizer	1446875110749	0	0	0
BMS	AlarmSynchronizer	1446875110769	0	0	0
BMS	ConnectorSynchronizer (import)	1446875410513	0	0	0
BMS	MeasurementSynchronizer	1446875410547	0	0	36
BMS	WorkOrderSynchronizer	1446875410611	0	0	0
BMS	TagSynchronizer	1446875410674	0	0	0
BMS	PropertySynchronizer	1446875410742	0	0	0
BMS	AlarmSynchronizer	1446875410762	0	0	0
BMS	ConnectorSynchronizer (import)	1446875710540	0	0	0
BMS	MeasurementSynchronizer	1446875710571	0	0	36
BMS	WorkOrderSynchronizer	1446875710636	0	0	0
BMS	TagSynchronizer	1446875710694	0	0	0
BMS	PropertySynchronizer	1446875710760	0	0	0
BMS	AlarmSynchronizer	1446875710780	0	0	0
BMS	ConnectorSynchronizer (import)	1446876010525	0	0	0
BMS	MeasurementSynchronizer	1446876010559	0	0	36
BMS	WorkOrderSynchronizer	1446876010625	0	0	0
BMS	TagSynchronizer	1446876010687	0	0	0
BMS	PropertySynchronizer	1446876010759	0	0	0
BMS	AlarmSynchronizer	1446876010779	0	0	0
BMS	ConnectorSynchronizer (import)	1446876310515	0	0	0
BMS	MeasurementSynchronizer	1446876310548	0	0	36
BMS	WorkOrderSynchronizer	1446876310613	0	0	0
BMS	TagSynchronizer	1446876310675	0	0	0
BMS	PropertySynchronizer	1446876310748	0	0	0
BMS	AlarmSynchronizer	1446876310770	0	0	0
BMS	ConnectorSynchronizer (import)	1446876610520	0	0	0
BMS	MeasurementSynchronizer	1446876610553	0	0	36
BMS	WorkOrderSynchronizer	1446876610618	0	0	0
BMS	TagSynchronizer	1446876610681	0	0	0
BMS	PropertySynchronizer	1446876610751	0	0	0
BMS	AlarmSynchronizer	1446876610772	0	0	0
BMS	ConnectorSynchronizer (import)	1446876910520	0	0	0
BMS	MeasurementSynchronizer	1446876910552	0	0	36
BMS	WorkOrderSynchronizer	1446876910619	0	0	0
BMS	TagSynchronizer	1446876910680	0	0	0
BMS	PropertySynchronizer	1446876910752	0	0	0
BMS	AlarmSynchronizer	1446876910773	0	0	0
BMS	ConnectorSynchronizer (import)	1446877210581	0	0	0
BMS	MeasurementSynchronizer	1446877210614	0	0	36
BMS	WorkOrderSynchronizer	1446877210678	0	0	0
BMS	TagSynchronizer	1446877210744	0	0	0
BMS	PropertySynchronizer	1446877210816	0	0	0
BMS	AlarmSynchronizer	1446877210839	0	0	0
BMS	ConnectorSynchronizer (import)	1446877510521	0	0	0
BMS	MeasurementSynchronizer	1446877510554	0	0	36
BMS	WorkOrderSynchronizer	1446877510618	0	0	0
BMS	TagSynchronizer	1446877510679	0	0	0
BMS	PropertySynchronizer	1446877510750	0	0	0
BMS	AlarmSynchronizer	1446877510770	0	0	0
BMS	ConnectorSynchronizer (import)	1446877810781	0	0	0
BMS	MeasurementSynchronizer	1446877810814	0	0	36
BMS	WorkOrderSynchronizer	1446877810878	0	0	0
BMS	TagSynchronizer	1446877810940	0	0	0
BMS	PropertySynchronizer	1446877811012	0	0	0
BMS	AlarmSynchronizer	1446877811033	0	0	0
BMS	ConnectorSynchronizer (import)	1446878110533	0	0	0
BMS	MeasurementSynchronizer	1446878110566	0	0	36
BMS	WorkOrderSynchronizer	1446878110632	0	0	0
BMS	TagSynchronizer	1446878110696	0	0	0
BMS	PropertySynchronizer	1446878110767	0	0	0
BMS	AlarmSynchronizer	1446878110789	0	0	0
BMS	ConnectorSynchronizer (import)	1446878410532	0	0	0
BMS	MeasurementSynchronizer	1446878410565	0	0	36
BMS	WorkOrderSynchronizer	1446878410629	0	0	0
BMS	TagSynchronizer	1446878410691	0	0	0
BMS	PropertySynchronizer	1446878410762	0	0	0
BMS	AlarmSynchronizer	1446878410783	0	0	0
BMS	ConnectorSynchronizer (import)	1446878710541	0	0	0
BMS	MeasurementSynchronizer	1446878710574	0	0	36
BMS	WorkOrderSynchronizer	1446878710639	0	0	0
BMS	TagSynchronizer	1446878710701	0	0	0
BMS	PropertySynchronizer	1446878710773	0	0	0
BMS	AlarmSynchronizer	1446878710794	0	0	0
BMS	ConnectorSynchronizer (import)	1446879010533	0	0	0
BMS	MeasurementSynchronizer	1446879010566	0	0	36
BMS	WorkOrderSynchronizer	1446879010633	0	0	0
BMS	TagSynchronizer	1446879010697	0	0	0
BMS	PropertySynchronizer	1446879010770	0	0	0
BMS	AlarmSynchronizer	1446879010792	0	0	0
BMS	ConnectorSynchronizer (import)	1446879310531	0	0	0
BMS	MeasurementSynchronizer	1446879310564	0	0	36
BMS	WorkOrderSynchronizer	1446879310627	0	0	0
BMS	TagSynchronizer	1446879310689	0	0	0
BMS	PropertySynchronizer	1446879310758	0	0	0
BMS	AlarmSynchronizer	1446879310778	0	0	0
BMS	ConnectorSynchronizer (import)	1446879610520	0	0	0
BMS	MeasurementSynchronizer	1446879610554	0	0	36
BMS	WorkOrderSynchronizer	1446879610620	0	0	0
BMS	TagSynchronizer	1446879610683	0	0	0
BMS	PropertySynchronizer	1446879610754	0	0	0
BMS	AlarmSynchronizer	1446879610775	0	0	0
BMS	ConnectorSynchronizer (import)	1446879910552	0	0	0
BMS	MeasurementSynchronizer	1446879910585	0	0	36
BMS	WorkOrderSynchronizer	1446879910649	0	0	0
BMS	TagSynchronizer	1446879910710	0	0	0
BMS	PropertySynchronizer	1446879910781	0	0	0
BMS	AlarmSynchronizer	1446879910802	0	0	0
BMS	ConnectorSynchronizer (import)	1446880210599	0	0	0
BMS	MeasurementSynchronizer	1446880210630	0	0	36
BMS	WorkOrderSynchronizer	1446880210692	0	0	0
BMS	TagSynchronizer	1446880210737	0	0	0
BMS	PropertySynchronizer	1446880210790	0	0	0
BMS	AlarmSynchronizer	1446880210810	0	0	0
BMS	ConnectorSynchronizer (import)	1446880510533	0	0	0
BMS	MeasurementSynchronizer	1446880510566	0	0	36
BMS	WorkOrderSynchronizer	1446880510630	0	0	0
BMS	TagSynchronizer	1446880510692	0	0	0
BMS	PropertySynchronizer	1446880510764	0	0	0
BMS	AlarmSynchronizer	1446880510786	0	0	0
BMS	ConnectorSynchronizer (import)	1446880810535	0	0	0
BMS	MeasurementSynchronizer	1446880810569	0	0	36
BMS	WorkOrderSynchronizer	1446880810634	0	0	0
BMS	TagSynchronizer	1446880810697	0	0	0
BMS	PropertySynchronizer	1446880810769	0	0	0
BMS	AlarmSynchronizer	1446880810791	0	0	0
BMS	ConnectorSynchronizer (import)	1446881110547	0	0	0
BMS	MeasurementSynchronizer	1446881110582	0	0	36
BMS	WorkOrderSynchronizer	1446881110649	0	0	0
BMS	TagSynchronizer	1446881110713	0	0	0
BMS	PropertySynchronizer	1446881110784	0	0	0
BMS	AlarmSynchronizer	1446881110808	0	0	0
BMS	ConnectorSynchronizer (import)	1446881410529	0	0	0
BMS	MeasurementSynchronizer	1446881410561	0	0	36
BMS	WorkOrderSynchronizer	1446881410625	0	0	0
BMS	TagSynchronizer	1446881410687	0	0	0
BMS	PropertySynchronizer	1446881410759	0	0	0
BMS	AlarmSynchronizer	1446881410779	0	0	0
BMS	ConnectorSynchronizer (import)	1446881710528	0	0	0
BMS	MeasurementSynchronizer	1446881710560	0	0	36
BMS	WorkOrderSynchronizer	1446881710623	0	0	0
BMS	TagSynchronizer	1446881710685	0	0	0
BMS	PropertySynchronizer	1446881710756	0	0	0
BMS	AlarmSynchronizer	1446881710776	0	0	0
BMS	ConnectorSynchronizer (import)	1446882010549	0	0	0
BMS	MeasurementSynchronizer	1446882010582	0	0	36
BMS	WorkOrderSynchronizer	1446882010645	0	0	0
BMS	TagSynchronizer	1446882010709	0	0	0
BMS	PropertySynchronizer	1446882010784	0	0	0
BMS	AlarmSynchronizer	1446882010806	0	0	0
BMS	ConnectorSynchronizer (import)	1446882310533	0	0	0
BMS	MeasurementSynchronizer	1446882310567	0	0	36
BMS	WorkOrderSynchronizer	1446882310639	0	0	0
BMS	TagSynchronizer	1446882310705	0	0	0
BMS	PropertySynchronizer	1446882310779	0	0	0
BMS	AlarmSynchronizer	1446882310801	0	0	0
BMS	ConnectorSynchronizer (import)	1446882610549	0	0	0
BMS	MeasurementSynchronizer	1446882610584	0	0	36
BMS	WorkOrderSynchronizer	1446882610649	0	0	0
BMS	TagSynchronizer	1446882610712	0	0	0
BMS	PropertySynchronizer	1446882610783	0	0	0
BMS	AlarmSynchronizer	1446882610803	0	0	0
BMS	ConnectorSynchronizer (import)	1446882910514	0	0	0
BMS	MeasurementSynchronizer	1446882910548	0	0	36
BMS	WorkOrderSynchronizer	1446882910613	0	0	0
BMS	TagSynchronizer	1446882910674	0	0	0
BMS	PropertySynchronizer	1446882910742	0	0	0
BMS	AlarmSynchronizer	1446882910772	0	0	0
BMS	ConnectorSynchronizer (import)	1446883210571	0	0	0
BMS	MeasurementSynchronizer	1446883210603	0	0	36
BMS	WorkOrderSynchronizer	1446883210664	0	0	0
BMS	TagSynchronizer	1446883210721	0	0	0
BMS	PropertySynchronizer	1446883210788	0	0	0
BMS	AlarmSynchronizer	1446883210807	0	0	0
BMS	ConnectorSynchronizer (import)	1446883510573	0	0	0
BMS	MeasurementSynchronizer	1446883510605	0	0	36
BMS	WorkOrderSynchronizer	1446883510663	0	0	0
BMS	TagSynchronizer	1446883510721	0	0	0
BMS	PropertySynchronizer	1446883510785	0	0	0
BMS	AlarmSynchronizer	1446883510804	0	0	0
BMS	ConnectorSynchronizer (import)	1446883810544	0	0	0
BMS	MeasurementSynchronizer	1446883810575	0	0	36
BMS	WorkOrderSynchronizer	1446883810637	0	0	0
BMS	TagSynchronizer	1446883810694	0	0	0
BMS	PropertySynchronizer	1446883810759	0	0	0
BMS	AlarmSynchronizer	1446883810779	0	0	0
BMS	ConnectorSynchronizer (import)	1446884110569	0	0	0
BMS	MeasurementSynchronizer	1446884110601	0	0	36
BMS	WorkOrderSynchronizer	1446884110662	0	0	0
BMS	TagSynchronizer	1446884110720	0	0	0
BMS	PropertySynchronizer	1446884110786	0	0	0
BMS	AlarmSynchronizer	1446884110806	0	0	0
BMS	ConnectorSynchronizer (import)	1446884410533	0	0	0
BMS	MeasurementSynchronizer	1446884410560	0	0	36
BMS	WorkOrderSynchronizer	1446884410620	0	0	0
BMS	TagSynchronizer	1446884410682	0	0	0
BMS	PropertySynchronizer	1446884410752	0	0	0
BMS	AlarmSynchronizer	1446884410773	0	0	0
BMS	ConnectorSynchronizer (import)	1446884710528	0	0	0
BMS	MeasurementSynchronizer	1446884710564	0	0	36
BMS	WorkOrderSynchronizer	1446884710630	0	0	0
BMS	TagSynchronizer	1446884710692	0	0	0
BMS	PropertySynchronizer	1446884710767	0	0	0
BMS	AlarmSynchronizer	1446884710789	0	0	0
BMS	ConnectorSynchronizer (import)	1446885010536	0	0	0
BMS	MeasurementSynchronizer	1446885010571	0	0	36
BMS	WorkOrderSynchronizer	1446885010637	0	0	0
BMS	TagSynchronizer	1446885010699	0	0	0
BMS	PropertySynchronizer	1446885010771	0	0	0
BMS	AlarmSynchronizer	1446885010792	0	0	0
BMS	ConnectorSynchronizer (import)	1446885310549	0	0	0
BMS	MeasurementSynchronizer	1446885310583	0	0	36
BMS	WorkOrderSynchronizer	1446885310650	0	0	0
BMS	TagSynchronizer	1446885310713	0	0	0
BMS	PropertySynchronizer	1446885310784	0	0	0
BMS	AlarmSynchronizer	1446885310805	0	0	0
BMS	ConnectorSynchronizer (import)	1446885610537	0	0	0
BMS	MeasurementSynchronizer	1446885610572	0	0	36
BMS	WorkOrderSynchronizer	1446885610638	0	0	0
BMS	TagSynchronizer	1446885610702	0	0	0
BMS	PropertySynchronizer	1446885610774	0	0	0
BMS	AlarmSynchronizer	1446885610796	0	0	0
BMS	ConnectorSynchronizer (import)	1446885910799	0	0	0
BMS	MeasurementSynchronizer	1446885910833	0	0	36
BMS	WorkOrderSynchronizer	1446885910898	0	0	0
BMS	TagSynchronizer	1446885910961	0	0	0
BMS	PropertySynchronizer	1446885911031	0	0	0
BMS	AlarmSynchronizer	1446885911052	0	0	0
BMS	ConnectorSynchronizer (import)	1446886210542	0	0	0
BMS	MeasurementSynchronizer	1446886210576	0	0	36
BMS	WorkOrderSynchronizer	1446886210642	0	0	0
BMS	TagSynchronizer	1446886210705	0	0	0
BMS	PropertySynchronizer	1446886210777	0	0	0
BMS	AlarmSynchronizer	1446886210797	0	0	0
BMS	ConnectorSynchronizer (import)	1446886510601	0	0	0
BMS	MeasurementSynchronizer	1446886510635	0	0	36
BMS	WorkOrderSynchronizer	1446886510701	0	0	0
BMS	TagSynchronizer	1446886510764	0	0	0
BMS	PropertySynchronizer	1446886510836	0	0	0
BMS	AlarmSynchronizer	1446886510858	0	0	0
BMS	ConnectorSynchronizer (import)	1446886810542	0	0	0
BMS	MeasurementSynchronizer	1446886810580	0	0	36
BMS	WorkOrderSynchronizer	1446886810652	0	0	0
BMS	TagSynchronizer	1446886810718	0	0	0
BMS	PropertySynchronizer	1446886810792	0	0	0
BMS	AlarmSynchronizer	1446886810815	0	0	0
BMS	ConnectorSynchronizer (import)	1446887110538	0	0	0
BMS	MeasurementSynchronizer	1446887110576	0	0	36
BMS	WorkOrderSynchronizer	1446887110648	0	0	0
BMS	TagSynchronizer	1446887110714	0	0	0
BMS	PropertySynchronizer	1446887110786	0	0	0
BMS	AlarmSynchronizer	1446887110808	0	0	0
BMS	ConnectorSynchronizer (import)	1446887410543	0	0	0
BMS	MeasurementSynchronizer	1446887410578	0	0	36
BMS	WorkOrderSynchronizer	1446887410653	0	0	0
BMS	TagSynchronizer	1446887410719	0	0	0
BMS	PropertySynchronizer	1446887410793	0	0	0
BMS	AlarmSynchronizer	1446887410816	0	0	0
BMS	ConnectorSynchronizer (import)	1446887710535	0	0	0
BMS	MeasurementSynchronizer	1446887710573	0	0	36
BMS	WorkOrderSynchronizer	1446887710644	0	0	0
BMS	TagSynchronizer	1446887710714	0	0	0
BMS	PropertySynchronizer	1446887710787	0	0	0
BMS	AlarmSynchronizer	1446887710810	0	0	0
BMS	ConnectorSynchronizer (import)	1446888010545	0	0	0
BMS	MeasurementSynchronizer	1446888010581	0	0	36
BMS	WorkOrderSynchronizer	1446888010653	0	0	0
BMS	TagSynchronizer	1446888010720	0	0	0
BMS	PropertySynchronizer	1446888010793	0	0	0
BMS	AlarmSynchronizer	1446888010815	0	0	0
BMS	ConnectorSynchronizer (import)	1446888310542	0	0	0
BMS	MeasurementSynchronizer	1446888310581	0	0	36
BMS	WorkOrderSynchronizer	1446888310651	0	0	0
BMS	TagSynchronizer	1446888310720	0	0	0
BMS	PropertySynchronizer	1446888310795	0	0	0
BMS	AlarmSynchronizer	1446888310818	0	0	0
BMS	ConnectorSynchronizer (import)	1446888610535	0	0	0
BMS	MeasurementSynchronizer	1446888610569	0	0	36
BMS	WorkOrderSynchronizer	1446888610643	0	0	0
BMS	TagSynchronizer	1446888610710	0	0	0
BMS	PropertySynchronizer	1446888610785	0	0	0
BMS	AlarmSynchronizer	1446888610808	0	0	0
BMS	ConnectorSynchronizer (import)	1446888910527	0	0	0
BMS	MeasurementSynchronizer	1446888910563	0	0	36
BMS	WorkOrderSynchronizer	1446888910633	0	0	0
BMS	TagSynchronizer	1446888910700	0	0	0
BMS	PropertySynchronizer	1446888910778	0	0	0
BMS	AlarmSynchronizer	1446888910802	0	0	0
BMS	ConnectorSynchronizer (import)	1446889210525	0	0	0
BMS	MeasurementSynchronizer	1446889210561	0	0	36
BMS	WorkOrderSynchronizer	1446889210630	0	0	0
BMS	TagSynchronizer	1446889210695	0	0	0
BMS	PropertySynchronizer	1446889210772	0	0	0
BMS	AlarmSynchronizer	1446889210796	0	0	0
BMS	ConnectorSynchronizer (import)	1446889510537	0	0	0
BMS	MeasurementSynchronizer	1446889510572	0	0	36
BMS	WorkOrderSynchronizer	1446889510640	0	0	0
BMS	TagSynchronizer	1446889510705	0	0	0
BMS	PropertySynchronizer	1446889510781	0	0	0
BMS	AlarmSynchronizer	1446889510805	0	0	0
BMS	ConnectorSynchronizer (import)	1446889810571	0	0	0
BMS	MeasurementSynchronizer	1446889810607	0	0	36
BMS	WorkOrderSynchronizer	1446889810678	0	0	0
BMS	TagSynchronizer	1446889810747	0	0	0
BMS	PropertySynchronizer	1446889810827	0	0	0
BMS	AlarmSynchronizer	1446889810850	0	0	0
BMS	ConnectorSynchronizer (import)	1446890110524	0	0	0
BMS	MeasurementSynchronizer	1446890110558	0	0	36
BMS	WorkOrderSynchronizer	1446890110620	0	0	0
BMS	TagSynchronizer	1446890110681	0	0	0
BMS	PropertySynchronizer	1446890110748	0	0	0
BMS	AlarmSynchronizer	1446890110767	0	0	0
BMS	ConnectorSynchronizer (import)	1446890410531	0	0	0
BMS	MeasurementSynchronizer	1446890410562	0	0	36
BMS	WorkOrderSynchronizer	1446890410619	0	0	0
BMS	TagSynchronizer	1446890410670	0	0	0
BMS	PropertySynchronizer	1446890410750	0	0	0
BMS	AlarmSynchronizer	1446890410774	0	0	0
BMS	ConnectorSynchronizer (import)	1446890710532	0	0	0
BMS	MeasurementSynchronizer	1446890710566	0	0	36
BMS	WorkOrderSynchronizer	1446890710636	0	0	0
BMS	TagSynchronizer	1446890710701	0	0	0
BMS	PropertySynchronizer	1446890710775	0	0	0
BMS	AlarmSynchronizer	1446890710799	0	0	0
BMS	ConnectorSynchronizer (import)	1446891010554	0	0	0
BMS	MeasurementSynchronizer	1446891010588	0	0	36
BMS	WorkOrderSynchronizer	1446891010659	0	0	0
BMS	TagSynchronizer	1446891010724	0	0	0
BMS	PropertySynchronizer	1446891010797	0	0	0
BMS	AlarmSynchronizer	1446891010822	0	0	0
BMS	ConnectorSynchronizer (import)	1446891310522	0	0	0
BMS	MeasurementSynchronizer	1446891310556	0	0	36
BMS	WorkOrderSynchronizer	1446891310630	0	0	0
BMS	TagSynchronizer	1446891310697	0	0	0
BMS	PropertySynchronizer	1446891310770	0	0	0
BMS	AlarmSynchronizer	1446891310793	0	0	0
BMS	ConnectorSynchronizer (import)	1446891610544	0	0	0
BMS	MeasurementSynchronizer	1446891610582	0	0	36
BMS	WorkOrderSynchronizer	1446891610660	0	0	0
BMS	TagSynchronizer	1446891610725	0	0	0
BMS	PropertySynchronizer	1446891610801	0	0	0
BMS	AlarmSynchronizer	1446891610824	0	0	0
BMS	ConnectorSynchronizer (import)	1446891910547	0	0	0
BMS	MeasurementSynchronizer	1446891910579	0	0	36
BMS	WorkOrderSynchronizer	1446891910652	0	0	0
BMS	TagSynchronizer	1446891910718	0	0	0
BMS	PropertySynchronizer	1446891910794	0	0	0
BMS	AlarmSynchronizer	1446891910818	0	0	0
BMS	ConnectorSynchronizer (import)	1446892210517	0	0	0
BMS	MeasurementSynchronizer	1446892210550	0	0	36
BMS	WorkOrderSynchronizer	1446892210614	0	0	0
BMS	TagSynchronizer	1446892210681	0	0	0
BMS	PropertySynchronizer	1446892210756	0	0	0
BMS	AlarmSynchronizer	1446892210779	0	0	0
BMS	ConnectorSynchronizer (import)	1446892510531	0	0	0
BMS	MeasurementSynchronizer	1446892510567	0	0	36
BMS	WorkOrderSynchronizer	1446892510632	0	0	0
BMS	TagSynchronizer	1446892510701	0	0	0
BMS	PropertySynchronizer	1446892510773	0	0	0
BMS	AlarmSynchronizer	1446892510794	0	0	0
BMS	ConnectorSynchronizer (import)	1446892810523	0	0	0
BMS	MeasurementSynchronizer	1446892810554	0	0	36
BMS	WorkOrderSynchronizer	1446892810613	0	0	0
BMS	TagSynchronizer	1446892810671	0	0	0
BMS	PropertySynchronizer	1446892810741	0	0	0
BMS	AlarmSynchronizer	1446892810761	0	0	0
BMS	ConnectorSynchronizer (import)	1446893110518	0	0	0
BMS	MeasurementSynchronizer	1446893110551	0	0	36
BMS	WorkOrderSynchronizer	1446893110614	0	0	0
BMS	TagSynchronizer	1446893110679	0	0	0
BMS	PropertySynchronizer	1446893110752	0	0	0
BMS	AlarmSynchronizer	1446893110775	0	0	0
BMS	ConnectorSynchronizer (import)	1446893410526	0	0	0
BMS	MeasurementSynchronizer	1446893410559	0	0	36
BMS	WorkOrderSynchronizer	1446893410626	0	0	0
BMS	TagSynchronizer	1446893410688	0	0	0
BMS	PropertySynchronizer	1446893410767	0	0	0
BMS	AlarmSynchronizer	1446893410791	0	0	0
BMS	ConnectorSynchronizer (import)	1446893710535	0	0	0
BMS	MeasurementSynchronizer	1446893710569	0	0	36
BMS	WorkOrderSynchronizer	1446893710634	0	0	0
BMS	TagSynchronizer	1446893710699	0	0	0
BMS	PropertySynchronizer	1446893710776	0	0	0
BMS	AlarmSynchronizer	1446893710799	0	0	0
BMS	ConnectorSynchronizer (import)	1446894010522	0	0	0
BMS	MeasurementSynchronizer	1446894010556	0	0	36
BMS	WorkOrderSynchronizer	1446894010628	0	0	0
BMS	TagSynchronizer	1446894010692	0	0	0
BMS	PropertySynchronizer	1446894010766	0	0	0
BMS	AlarmSynchronizer	1446894010788	0	0	0
BMS	ConnectorSynchronizer (import)	1446894310522	0	0	0
BMS	MeasurementSynchronizer	1446894310554	0	0	36
BMS	WorkOrderSynchronizer	1446894310619	0	0	0
BMS	TagSynchronizer	1446894310681	0	0	0
BMS	PropertySynchronizer	1446894310750	0	0	0
BMS	AlarmSynchronizer	1446894310779	0	0	0
BMS	ConnectorSynchronizer (import)	1446894610542	0	0	0
BMS	MeasurementSynchronizer	1446894610575	0	0	36
BMS	WorkOrderSynchronizer	1446894610640	0	0	0
BMS	TagSynchronizer	1446894610702	0	0	0
BMS	PropertySynchronizer	1446894610772	0	0	0
BMS	AlarmSynchronizer	1446894610796	0	0	0
BMS	ConnectorSynchronizer (import)	1446894910534	0	0	0
BMS	MeasurementSynchronizer	1446894910568	0	0	36
BMS	WorkOrderSynchronizer	1446894910636	0	0	0
BMS	TagSynchronizer	1446894910694	0	0	0
BMS	PropertySynchronizer	1446894910764	0	0	0
BMS	AlarmSynchronizer	1446894910787	0	0	0
BMS	ConnectorSynchronizer (import)	1446895210545	0	0	0
BMS	MeasurementSynchronizer	1446895210575	0	0	36
BMS	WorkOrderSynchronizer	1446895210633	0	0	0
BMS	TagSynchronizer	1446895210690	0	0	0
BMS	PropertySynchronizer	1446895210756	0	0	0
BMS	AlarmSynchronizer	1446895210775	0	0	0
BMS	ConnectorSynchronizer (import)	1446895510526	0	0	0
BMS	MeasurementSynchronizer	1446895510559	0	0	36
BMS	WorkOrderSynchronizer	1446895510624	0	0	0
BMS	TagSynchronizer	1446895510685	0	0	0
BMS	PropertySynchronizer	1446895510759	0	0	0
BMS	AlarmSynchronizer	1446895510780	0	0	0
BMS	ConnectorSynchronizer (import)	1446895810535	0	0	0
BMS	MeasurementSynchronizer	1446895810569	0	0	36
BMS	WorkOrderSynchronizer	1446895810635	0	0	0
BMS	TagSynchronizer	1446895810699	0	0	0
BMS	PropertySynchronizer	1446895810772	0	0	0
BMS	AlarmSynchronizer	1446895810794	0	0	0
BMS	ConnectorSynchronizer (import)	1446896110549	0	0	0
BMS	MeasurementSynchronizer	1446896110584	0	0	36
BMS	WorkOrderSynchronizer	1446896110652	0	0	0
BMS	TagSynchronizer	1446896110717	0	0	0
BMS	PropertySynchronizer	1446896110791	0	0	0
BMS	AlarmSynchronizer	1446896110815	0	0	0
BMS	ConnectorSynchronizer (import)	1446896410525	0	0	0
BMS	MeasurementSynchronizer	1446896410558	0	0	36
BMS	WorkOrderSynchronizer	1446896410622	0	0	0
BMS	TagSynchronizer	1446896410685	0	0	0
BMS	PropertySynchronizer	1446896410757	0	0	0
BMS	AlarmSynchronizer	1446896410779	0	0	0
BMS	ConnectorSynchronizer (import)	1446896710533	0	0	0
BMS	MeasurementSynchronizer	1446896710566	0	0	36
BMS	WorkOrderSynchronizer	1446896710629	0	0	0
BMS	TagSynchronizer	1446896710690	0	0	0
BMS	PropertySynchronizer	1446896710762	0	0	0
BMS	AlarmSynchronizer	1446896710782	0	0	0
BMS	ConnectorSynchronizer (import)	1446897010527	0	0	0
BMS	MeasurementSynchronizer	1446897010561	0	0	36
BMS	WorkOrderSynchronizer	1446897010629	0	0	0
BMS	TagSynchronizer	1446897010695	0	0	0
BMS	PropertySynchronizer	1446897010767	0	0	0
BMS	AlarmSynchronizer	1446897010790	0	0	0
BMS	ConnectorSynchronizer (import)	1446897310521	0	0	0
BMS	MeasurementSynchronizer	1446897310553	0	0	36
BMS	WorkOrderSynchronizer	1446897310606	0	0	0
BMS	TagSynchronizer	1446897310664	0	0	0
BMS	PropertySynchronizer	1446897310731	0	0	0
BMS	AlarmSynchronizer	1446897310753	0	0	0
BMS	ConnectorSynchronizer (import)	1446897610525	0	0	0
BMS	MeasurementSynchronizer	1446897610558	0	0	36
BMS	WorkOrderSynchronizer	1446897610622	0	0	0
BMS	TagSynchronizer	1446897610684	0	0	0
BMS	PropertySynchronizer	1446897610755	0	0	0
BMS	AlarmSynchronizer	1446897610777	0	0	0
BMS	ConnectorSynchronizer (import)	1446897910527	0	0	0
BMS	MeasurementSynchronizer	1446897910561	0	0	36
BMS	WorkOrderSynchronizer	1446897910627	0	0	0
BMS	TagSynchronizer	1446897910690	0	0	0
BMS	PropertySynchronizer	1446897910762	0	0	0
BMS	AlarmSynchronizer	1446897910784	0	0	0
BMS	ConnectorSynchronizer (import)	1446898210533	0	0	0
BMS	MeasurementSynchronizer	1446898210566	0	0	36
BMS	WorkOrderSynchronizer	1446898210629	0	0	0
BMS	TagSynchronizer	1446898210691	0	0	0
BMS	PropertySynchronizer	1446898210761	0	0	0
BMS	AlarmSynchronizer	1446898210781	0	0	0
BMS	ConnectorSynchronizer (import)	1446898510555	0	0	0
BMS	MeasurementSynchronizer	1446898510590	0	0	36
BMS	WorkOrderSynchronizer	1446898510659	0	0	0
BMS	TagSynchronizer	1446898510722	0	0	0
BMS	PropertySynchronizer	1446898510794	0	0	0
BMS	AlarmSynchronizer	1446898510815	0	0	0
BMS	ConnectorSynchronizer (import)	1446898810505	0	0	0
BMS	MeasurementSynchronizer	1446898810536	0	0	36
BMS	WorkOrderSynchronizer	1446898810600	0	0	0
BMS	TagSynchronizer	1446898810661	0	0	0
BMS	PropertySynchronizer	1446898810731	0	0	0
BMS	AlarmSynchronizer	1446898810751	0	0	0
BMS	ConnectorSynchronizer (import)	1446899110564	0	0	0
BMS	MeasurementSynchronizer	1446899110597	0	0	36
BMS	WorkOrderSynchronizer	1446899110661	0	0	0
BMS	TagSynchronizer	1446899110724	0	0	0
BMS	PropertySynchronizer	1446899110794	0	0	0
BMS	AlarmSynchronizer	1446899110815	0	0	0
BMS	ConnectorSynchronizer (import)	1446899410523	0	0	0
BMS	MeasurementSynchronizer	1446899410556	0	0	36
BMS	WorkOrderSynchronizer	1446899410619	0	0	0
BMS	TagSynchronizer	1446899410681	0	0	0
BMS	PropertySynchronizer	1446899410755	0	0	0
BMS	AlarmSynchronizer	1446899410776	0	0	0
BMS	ConnectorSynchronizer (import)	1446899710528	0	0	0
BMS	MeasurementSynchronizer	1446899710563	0	0	36
BMS	WorkOrderSynchronizer	1446899710628	0	0	0
BMS	TagSynchronizer	1446899710690	0	0	0
BMS	PropertySynchronizer	1446899710761	0	0	0
BMS	AlarmSynchronizer	1446899710782	0	0	0
BMS	ConnectorSynchronizer (import)	1446900010537	0	0	0
BMS	MeasurementSynchronizer	1446900010569	0	0	36
BMS	WorkOrderSynchronizer	1446900010638	0	0	0
BMS	TagSynchronizer	1446900010707	0	0	0
BMS	PropertySynchronizer	1446900010786	0	0	0
BMS	AlarmSynchronizer	1446900010809	0	0	0
BMS	ConnectorSynchronizer (import)	1446900310513	0	0	0
BMS	MeasurementSynchronizer	1446900310539	0	0	36
BMS	WorkOrderSynchronizer	1446900310601	0	0	0
BMS	TagSynchronizer	1446900310660	0	0	0
BMS	PropertySynchronizer	1446900310730	0	0	0
BMS	AlarmSynchronizer	1446900310753	0	0	0
BMS	ConnectorSynchronizer (import)	1446900610521	0	0	0
BMS	MeasurementSynchronizer	1446900610554	0	0	36
BMS	WorkOrderSynchronizer	1446900610618	0	0	0
BMS	TagSynchronizer	1446900610680	0	0	0
BMS	PropertySynchronizer	1446900610751	0	0	0
BMS	AlarmSynchronizer	1446900610772	0	0	0
BMS	ConnectorSynchronizer (import)	1446900910525	0	0	0
BMS	MeasurementSynchronizer	1446900910558	0	0	36
BMS	WorkOrderSynchronizer	1446900910622	0	0	0
BMS	TagSynchronizer	1446900910683	0	0	0
BMS	PropertySynchronizer	1446900910754	0	0	0
BMS	AlarmSynchronizer	1446900910775	0	0	0
BMS	ConnectorSynchronizer (import)	1446901210578	0	0	0
BMS	MeasurementSynchronizer	1446901210612	0	0	36
BMS	WorkOrderSynchronizer	1446901210678	0	0	0
BMS	TagSynchronizer	1446901210740	0	0	0
BMS	PropertySynchronizer	1446901210809	0	0	0
BMS	AlarmSynchronizer	1446901210830	0	0	0
BMS	ConnectorSynchronizer (import)	1446901510530	0	0	0
BMS	MeasurementSynchronizer	1446901510565	0	0	36
BMS	WorkOrderSynchronizer	1446901510638	0	0	0
BMS	TagSynchronizer	1446901510705	0	0	0
BMS	PropertySynchronizer	1446901510779	0	0	0
BMS	AlarmSynchronizer	1446901510802	0	0	0
BMS	ConnectorSynchronizer (import)	1446901810519	0	0	0
BMS	MeasurementSynchronizer	1446901810552	0	0	36
BMS	WorkOrderSynchronizer	1446901810614	0	0	0
BMS	TagSynchronizer	1446901810674	0	0	0
BMS	PropertySynchronizer	1446901810741	0	0	0
BMS	AlarmSynchronizer	1446901810761	0	0	0
BMS	ConnectorSynchronizer (import)	1446902110527	0	0	0
BMS	MeasurementSynchronizer	1446902110880	0	0	36
BMS	WorkOrderSynchronizer	1446902110936	0	0	0
BMS	TagSynchronizer	1446902110997	0	0	0
BMS	PropertySynchronizer	1446902111068	0	0	0
BMS	AlarmSynchronizer	1446902111089	0	0	0
BMS	ConnectorSynchronizer (import)	1446902410518	0	0	0
BMS	MeasurementSynchronizer	1446902410551	0	0	36
BMS	WorkOrderSynchronizer	1446902410615	0	0	0
BMS	TagSynchronizer	1446902410676	0	0	0
BMS	PropertySynchronizer	1446902410747	0	0	0
BMS	AlarmSynchronizer	1446902410768	0	0	0
BMS	ConnectorSynchronizer (import)	1446902710546	0	0	0
BMS	MeasurementSynchronizer	1446902710579	0	0	36
BMS	WorkOrderSynchronizer	1446902710643	0	0	0
BMS	TagSynchronizer	1446902710704	0	0	0
BMS	PropertySynchronizer	1446902710774	0	0	0
BMS	AlarmSynchronizer	1446902710794	0	0	0
BMS	ConnectorSynchronizer (import)	1446903010546	0	0	0
BMS	MeasurementSynchronizer	1446903010579	0	0	36
BMS	WorkOrderSynchronizer	1446903010642	0	0	0
BMS	TagSynchronizer	1446903010704	0	0	0
BMS	PropertySynchronizer	1446903010775	0	0	0
BMS	AlarmSynchronizer	1446903010796	0	0	0
BMS	ConnectorSynchronizer (import)	1446903310523	0	0	0
BMS	MeasurementSynchronizer	1446903310556	0	0	36
BMS	WorkOrderSynchronizer	1446903310620	0	0	0
BMS	TagSynchronizer	1446903310682	0	0	0
BMS	PropertySynchronizer	1446903310749	0	0	0
BMS	AlarmSynchronizer	1446903310768	0	0	0
BMS	ConnectorSynchronizer (import)	1446903610505	0	0	0
BMS	MeasurementSynchronizer	1446903610538	0	0	36
BMS	WorkOrderSynchronizer	1446903610602	0	0	0
BMS	TagSynchronizer	1446903610664	0	0	0
BMS	PropertySynchronizer	1446903610735	0	0	0
BMS	AlarmSynchronizer	1446903610757	0	0	0
BMS	ConnectorSynchronizer (import)	1446903910536	0	0	0
BMS	MeasurementSynchronizer	1446903910569	0	0	36
BMS	WorkOrderSynchronizer	1446903910635	0	0	0
BMS	TagSynchronizer	1446903910696	0	0	0
BMS	PropertySynchronizer	1446903910769	0	0	0
BMS	AlarmSynchronizer	1446903910790	0	0	0
BMS	ConnectorSynchronizer (import)	1446904210523	0	0	0
BMS	MeasurementSynchronizer	1446904210556	0	0	36
BMS	WorkOrderSynchronizer	1446904210624	0	0	0
BMS	TagSynchronizer	1446904210686	0	0	0
BMS	PropertySynchronizer	1446904210758	0	0	0
BMS	AlarmSynchronizer	1446904210779	0	0	0
BMS	ConnectorSynchronizer (import)	1446904510522	0	0	0
BMS	MeasurementSynchronizer	1446904510555	0	0	36
BMS	WorkOrderSynchronizer	1446904510620	0	0	0
BMS	TagSynchronizer	1446904510681	0	0	0
BMS	PropertySynchronizer	1446904510754	0	0	0
BMS	AlarmSynchronizer	1446904510775	0	0	0
BMS	ConnectorSynchronizer (import)	1446904810533	0	0	0
BMS	MeasurementSynchronizer	1446904810566	0	0	36
BMS	WorkOrderSynchronizer	1446904810629	0	0	0
BMS	TagSynchronizer	1446904810691	0	0	0
BMS	PropertySynchronizer	1446904810764	0	0	0
BMS	AlarmSynchronizer	1446904810785	0	0	0
BMS	ConnectorSynchronizer (import)	1446905110552	0	0	0
BMS	MeasurementSynchronizer	1446905110586	0	0	36
BMS	WorkOrderSynchronizer	1446905110650	0	0	0
BMS	TagSynchronizer	1446905110711	0	0	0
BMS	PropertySynchronizer	1446905110780	0	0	0
BMS	AlarmSynchronizer	1446905110801	0	0	0
BMS	ConnectorSynchronizer (import)	1446905410531	0	0	0
BMS	MeasurementSynchronizer	1446905410563	0	0	36
BMS	WorkOrderSynchronizer	1446905410629	0	0	0
BMS	TagSynchronizer	1446905410694	0	0	0
BMS	PropertySynchronizer	1446905410765	0	0	0
BMS	AlarmSynchronizer	1446905410787	0	0	0
BMS	ConnectorSynchronizer (import)	1446905710510	0	0	0
BMS	MeasurementSynchronizer	1446905710539	0	0	36
BMS	WorkOrderSynchronizer	1446905710596	0	0	0
BMS	TagSynchronizer	1446905710653	0	0	0
BMS	PropertySynchronizer	1446905710721	0	0	0
BMS	AlarmSynchronizer	1446905710742	0	0	0
BMS	ConnectorSynchronizer (import)	1446906010522	0	0	0
BMS	MeasurementSynchronizer	1446906010556	0	0	36
BMS	WorkOrderSynchronizer	1446906010621	0	0	0
BMS	TagSynchronizer	1446906010685	0	0	0
BMS	PropertySynchronizer	1446906010755	0	0	0
BMS	AlarmSynchronizer	1446906010775	0	0	0
BMS	ConnectorSynchronizer (import)	1446906310552	0	0	0
BMS	MeasurementSynchronizer	1446906310584	0	0	36
BMS	WorkOrderSynchronizer	1446906310649	0	0	0
BMS	TagSynchronizer	1446906310710	0	0	0
BMS	PropertySynchronizer	1446906310781	0	0	0
BMS	AlarmSynchronizer	1446906310802	0	0	0
BMS	ConnectorSynchronizer (import)	1446906610521	0	0	0
BMS	MeasurementSynchronizer	1446906610553	0	0	36
BMS	WorkOrderSynchronizer	1446906610616	0	0	0
BMS	TagSynchronizer	1446906610678	0	0	0
BMS	PropertySynchronizer	1446906610751	0	0	0
BMS	AlarmSynchronizer	1446906610772	0	0	0
BMS	ConnectorSynchronizer (import)	1446906910563	0	0	0
BMS	MeasurementSynchronizer	1446906910596	0	0	36
BMS	WorkOrderSynchronizer	1446906910668	0	0	0
BMS	TagSynchronizer	1446906910735	0	0	0
BMS	PropertySynchronizer	1446906910810	0	0	0
BMS	AlarmSynchronizer	1446906910833	0	0	0
BMS	ConnectorSynchronizer (import)	1446907210541	0	0	0
BMS	MeasurementSynchronizer	1446907210577	0	0	36
BMS	WorkOrderSynchronizer	1446907210635	0	0	0
BMS	TagSynchronizer	1446907210694	0	0	0
BMS	PropertySynchronizer	1446907210767	0	0	0
BMS	AlarmSynchronizer	1446907210792	0	0	0
BMS	ConnectorSynchronizer (import)	1446907510534	0	0	0
BMS	MeasurementSynchronizer	1446907510567	0	0	36
BMS	WorkOrderSynchronizer	1446907510630	0	0	0
BMS	TagSynchronizer	1446907510691	0	0	0
BMS	PropertySynchronizer	1446907510761	0	0	0
BMS	AlarmSynchronizer	1446907510782	0	0	0
BMS	ConnectorSynchronizer (import)	1446907810530	0	0	0
BMS	MeasurementSynchronizer	1446907810563	0	0	36
BMS	WorkOrderSynchronizer	1446907810627	0	0	0
BMS	TagSynchronizer	1446907810688	0	0	0
BMS	PropertySynchronizer	1446907810759	0	0	0
BMS	AlarmSynchronizer	1446907810779	0	0	0
BMS	ConnectorSynchronizer (import)	1446908110543	0	0	0
BMS	MeasurementSynchronizer	1446908110577	0	0	36
BMS	WorkOrderSynchronizer	1446908110640	0	0	0
BMS	TagSynchronizer	1446908110701	0	0	0
BMS	PropertySynchronizer	1446908110771	0	0	0
BMS	AlarmSynchronizer	1446908110791	0	0	0
BMS	ConnectorSynchronizer (import)	1446908410515	0	0	0
BMS	MeasurementSynchronizer	1446908410548	0	0	36
BMS	WorkOrderSynchronizer	1446908410612	0	0	0
BMS	TagSynchronizer	1446908410675	0	0	0
BMS	PropertySynchronizer	1446908410748	0	0	0
BMS	AlarmSynchronizer	1446908410769	0	0	0
BMS	ConnectorSynchronizer (import)	1446908710522	0	0	0
BMS	MeasurementSynchronizer	1446908710554	0	0	36
BMS	WorkOrderSynchronizer	1446908710619	0	0	0
BMS	TagSynchronizer	1446908710682	0	0	0
BMS	PropertySynchronizer	1446908710757	0	0	0
BMS	AlarmSynchronizer	1446908710778	0	0	0
BMS	ConnectorSynchronizer (import)	1446909010532	0	0	0
BMS	MeasurementSynchronizer	1446909010565	0	0	36
BMS	WorkOrderSynchronizer	1446909010631	0	0	0
BMS	TagSynchronizer	1446909010692	0	0	0
BMS	PropertySynchronizer	1446909010763	0	0	0
BMS	AlarmSynchronizer	1446909010784	0	0	0
BMS	ConnectorSynchronizer (import)	1446909310550	0	0	0
BMS	MeasurementSynchronizer	1446909310584	0	0	36
BMS	WorkOrderSynchronizer	1446909310649	0	0	0
BMS	TagSynchronizer	1446909310711	0	0	0
BMS	PropertySynchronizer	1446909310782	0	0	0
BMS	AlarmSynchronizer	1446909310804	0	0	0
BMS	ConnectorSynchronizer (import)	1446909610560	0	0	0
BMS	MeasurementSynchronizer	1446909610593	0	0	36
BMS	WorkOrderSynchronizer	1446909610657	0	0	0
BMS	TagSynchronizer	1446909610720	0	0	0
BMS	PropertySynchronizer	1446909610789	0	0	0
BMS	AlarmSynchronizer	1446909610811	0	0	0
BMS	ConnectorSynchronizer (import)	1446909910550	0	0	0
BMS	MeasurementSynchronizer	1446909910582	0	0	36
BMS	WorkOrderSynchronizer	1446909910648	0	0	0
BMS	TagSynchronizer	1446909910709	0	0	0
BMS	PropertySynchronizer	1446909910780	0	0	0
BMS	AlarmSynchronizer	1446909910801	0	0	0
BMS	ConnectorSynchronizer (import)	1446910210537	0	0	0
BMS	MeasurementSynchronizer	1446910210571	0	0	36
BMS	WorkOrderSynchronizer	1446910210636	0	0	0
BMS	TagSynchronizer	1446910210712	0	0	0
BMS	PropertySynchronizer	1446910210785	0	0	0
BMS	AlarmSynchronizer	1446910210808	0	0	0
BMS	ConnectorSynchronizer (import)	1446910510572	0	0	0
BMS	MeasurementSynchronizer	1446910510607	0	0	36
BMS	WorkOrderSynchronizer	1446910510677	0	0	0
BMS	TagSynchronizer	1446910510744	0	0	0
BMS	PropertySynchronizer	1446910510819	0	0	0
BMS	AlarmSynchronizer	1446910510842	0	0	0
BMS	ConnectorSynchronizer (import)	1446910810543	0	0	0
BMS	MeasurementSynchronizer	1446910810576	0	0	36
BMS	WorkOrderSynchronizer	1446910810642	0	0	0
BMS	TagSynchronizer	1446910810704	0	0	0
BMS	PropertySynchronizer	1446910810775	0	0	0
BMS	AlarmSynchronizer	1446910810795	0	0	0
BMS	ConnectorSynchronizer (import)	1446911110525	0	0	0
BMS	MeasurementSynchronizer	1446911110556	0	0	36
BMS	WorkOrderSynchronizer	1446911110614	0	0	0
BMS	TagSynchronizer	1446911110672	0	0	0
BMS	PropertySynchronizer	1446911110738	0	0	0
BMS	AlarmSynchronizer	1446911110757	0	0	0
BMS	ConnectorSynchronizer (import)	1446911410523	0	0	0
BMS	MeasurementSynchronizer	1446911410554	0	0	36
BMS	WorkOrderSynchronizer	1446911410609	0	0	0
BMS	TagSynchronizer	1446911410665	0	0	0
BMS	PropertySynchronizer	1446911410728	0	0	0
BMS	AlarmSynchronizer	1446911410749	0	0	0
BMS	ConnectorSynchronizer (import)	1446911710527	0	0	0
BMS	MeasurementSynchronizer	1446911710560	0	0	36
BMS	WorkOrderSynchronizer	1446911710626	0	0	0
BMS	TagSynchronizer	1446911710689	0	0	0
BMS	PropertySynchronizer	1446911710760	0	0	0
BMS	AlarmSynchronizer	1446911710781	0	0	0
BMS	ConnectorSynchronizer (import)	1446912010523	0	0	0
BMS	MeasurementSynchronizer	1446912010559	0	0	36
BMS	WorkOrderSynchronizer	1446912010625	0	0	0
BMS	TagSynchronizer	1446912010689	0	0	0
BMS	PropertySynchronizer	1446912010761	0	0	0
BMS	AlarmSynchronizer	1446912010782	0	0	0
BMS	ConnectorSynchronizer (import)	1446912310529	0	0	0
BMS	MeasurementSynchronizer	1446912310564	0	0	36
BMS	WorkOrderSynchronizer	1446912310631	0	0	0
BMS	TagSynchronizer	1446912310694	0	0	0
BMS	PropertySynchronizer	1446912310766	0	0	0
BMS	AlarmSynchronizer	1446912310788	0	0	0
BMS	ConnectorSynchronizer (import)	1446912610563	0	0	0
BMS	MeasurementSynchronizer	1446912610596	0	0	36
BMS	WorkOrderSynchronizer	1446912610661	0	0	0
BMS	TagSynchronizer	1446912610722	0	0	0
BMS	PropertySynchronizer	1446912610793	0	0	0
BMS	AlarmSynchronizer	1446912610815	0	0	0
BMS	ConnectorSynchronizer (import)	1446912910538	0	0	0
BMS	MeasurementSynchronizer	1446912910570	0	0	36
BMS	WorkOrderSynchronizer	1446912910636	0	0	0
BMS	TagSynchronizer	1446912910698	0	0	0
BMS	PropertySynchronizer	1446912910770	0	0	0
BMS	AlarmSynchronizer	1446912910794	0	0	0
BMS	ConnectorSynchronizer (import)	1446913210538	0	0	0
BMS	MeasurementSynchronizer	1446913210573	0	0	36
BMS	WorkOrderSynchronizer	1446913210640	0	0	0
BMS	TagSynchronizer	1446913210705	0	0	0
BMS	PropertySynchronizer	1446913210778	0	0	0
BMS	AlarmSynchronizer	1446913210801	0	0	0
BMS	ConnectorSynchronizer (import)	1446913510557	0	0	0
BMS	MeasurementSynchronizer	1446913510592	0	0	36
BMS	WorkOrderSynchronizer	1446913510659	0	0	0
BMS	TagSynchronizer	1446913510721	0	0	0
BMS	PropertySynchronizer	1446913510791	0	0	0
BMS	AlarmSynchronizer	1446913510811	0	0	0
BMS	ConnectorSynchronizer (import)	1446913810529	0	0	0
BMS	MeasurementSynchronizer	1446913810562	0	0	36
BMS	WorkOrderSynchronizer	1446913810627	0	0	0
BMS	TagSynchronizer	1446913810689	0	0	0
BMS	PropertySynchronizer	1446913810759	0	0	0
BMS	AlarmSynchronizer	1446913810780	0	0	0
BMS	ConnectorSynchronizer (import)	1446914110533	0	0	0
BMS	MeasurementSynchronizer	1446914110565	0	0	36
BMS	WorkOrderSynchronizer	1446914110629	0	0	0
BMS	TagSynchronizer	1446914110690	0	0	0
BMS	PropertySynchronizer	1446914110762	0	0	0
BMS	AlarmSynchronizer	1446914110783	0	0	0
BMS	ConnectorSynchronizer (import)	1446914410515	0	0	0
BMS	MeasurementSynchronizer	1446914410548	0	0	36
BMS	WorkOrderSynchronizer	1446914410612	0	0	0
BMS	TagSynchronizer	1446914410674	0	0	0
BMS	PropertySynchronizer	1446914410745	0	0	0
BMS	AlarmSynchronizer	1446914410765	0	0	0
BMS	ConnectorSynchronizer (import)	1446914710522	0	0	0
BMS	MeasurementSynchronizer	1446914710555	0	0	36
BMS	WorkOrderSynchronizer	1446914710619	0	0	0
BMS	TagSynchronizer	1446914710680	0	0	0
BMS	PropertySynchronizer	1446914710751	0	0	0
BMS	AlarmSynchronizer	1446914710774	0	0	0
BMS	ConnectorSynchronizer (import)	1446915010528	0	0	0
BMS	MeasurementSynchronizer	1446915010561	0	0	36
BMS	WorkOrderSynchronizer	1446915010624	0	0	0
BMS	TagSynchronizer	1446915010686	0	0	0
BMS	PropertySynchronizer	1446915010757	0	0	0
BMS	AlarmSynchronizer	1446915010777	0	0	0
BMS	ConnectorSynchronizer (import)	1446915310534	0	0	0
BMS	MeasurementSynchronizer	1446915310566	0	0	36
BMS	WorkOrderSynchronizer	1446915310631	0	0	0
BMS	TagSynchronizer	1446915310693	0	0	0
BMS	PropertySynchronizer	1446915310764	0	0	0
BMS	AlarmSynchronizer	1446915310784	0	0	0
BMS	ConnectorSynchronizer (import)	1446915610532	0	0	0
BMS	MeasurementSynchronizer	1446915610562	0	0	36
BMS	WorkOrderSynchronizer	1446915610622	0	0	0
BMS	TagSynchronizer	1446915610679	0	0	0
BMS	PropertySynchronizer	1446915610735	0	0	0
BMS	AlarmSynchronizer	1446915610753	0	0	0
BMS	ConnectorSynchronizer (import)	1446915910544	0	0	0
BMS	MeasurementSynchronizer	1446915910578	0	0	36
BMS	WorkOrderSynchronizer	1446915910645	0	0	0
BMS	TagSynchronizer	1446915910706	0	0	0
BMS	PropertySynchronizer	1446915910779	0	0	0
BMS	AlarmSynchronizer	1446915910800	0	0	0
BMS	ConnectorSynchronizer (import)	1446916210521	0	0	0
BMS	MeasurementSynchronizer	1446916210553	0	0	36
BMS	WorkOrderSynchronizer	1446916210617	0	0	0
BMS	TagSynchronizer	1446916210678	0	0	0
BMS	PropertySynchronizer	1446916210749	0	0	0
BMS	AlarmSynchronizer	1446916210770	0	0	0
BMS	ConnectorSynchronizer (import)	1446916510534	0	0	0
BMS	MeasurementSynchronizer	1446916510568	0	0	36
BMS	WorkOrderSynchronizer	1446916510633	0	0	0
BMS	TagSynchronizer	1446916510694	0	0	0
BMS	PropertySynchronizer	1446916510764	0	0	0
BMS	AlarmSynchronizer	1446916510785	0	0	0
BMS	ConnectorSynchronizer (import)	1446916810545	0	0	0
BMS	MeasurementSynchronizer	1446916810578	0	0	36
BMS	WorkOrderSynchronizer	1446916810642	0	0	0
BMS	TagSynchronizer	1446916810704	0	0	0
BMS	PropertySynchronizer	1446916810775	0	0	0
BMS	AlarmSynchronizer	1446916810795	0	0	0
BMS	ConnectorSynchronizer (import)	1446917110562	0	0	0
BMS	MeasurementSynchronizer	1446917110596	0	0	36
BMS	WorkOrderSynchronizer	1446917110661	0	0	0
BMS	TagSynchronizer	1446917110726	0	0	0
BMS	PropertySynchronizer	1446917110797	0	0	0
BMS	AlarmSynchronizer	1446917110818	0	0	0
BMS	ConnectorSynchronizer (import)	1446917410533	0	0	0
BMS	MeasurementSynchronizer	1446917410564	0	0	36
BMS	WorkOrderSynchronizer	1446917410622	0	0	0
BMS	TagSynchronizer	1446917410679	0	0	0
BMS	PropertySynchronizer	1446917410743	0	0	0
BMS	AlarmSynchronizer	1446917410762	0	0	0
BMS	ConnectorSynchronizer (import)	1446917710524	0	0	0
BMS	MeasurementSynchronizer	1446917710555	0	0	36
BMS	WorkOrderSynchronizer	1446917710613	0	0	0
BMS	TagSynchronizer	1446917710677	0	0	0
BMS	PropertySynchronizer	1446917710744	0	0	0
BMS	AlarmSynchronizer	1446917710764	0	0	0
BMS	ConnectorSynchronizer (import)	1446918010518	0	0	0
BMS	MeasurementSynchronizer	1446918010551	0	0	36
BMS	WorkOrderSynchronizer	1446918010616	0	0	0
BMS	TagSynchronizer	1446918010679	0	0	0
BMS	PropertySynchronizer	1446918010751	0	0	0
BMS	AlarmSynchronizer	1446918010772	0	0	0
BMS	ConnectorSynchronizer (import)	1446918310537	0	0	0
BMS	MeasurementSynchronizer	1446918310569	0	0	36
BMS	WorkOrderSynchronizer	1446918310633	0	0	0
BMS	TagSynchronizer	1446918310695	0	0	0
BMS	PropertySynchronizer	1446918310765	0	0	0
BMS	AlarmSynchronizer	1446918310786	0	0	0
BMS	ConnectorSynchronizer (import)	1446918610536	0	0	0
BMS	MeasurementSynchronizer	1446918610570	0	0	36
BMS	WorkOrderSynchronizer	1446918610638	0	0	0
BMS	TagSynchronizer	1446918610702	0	0	0
BMS	PropertySynchronizer	1446918610773	0	0	0
BMS	AlarmSynchronizer	1446918610794	0	0	0
BMS	ConnectorSynchronizer (import)	1446918910556	0	0	0
BMS	MeasurementSynchronizer	1446918910589	0	0	36
BMS	WorkOrderSynchronizer	1446918910654	0	0	0
BMS	TagSynchronizer	1446918910717	0	0	0
BMS	PropertySynchronizer	1446918910790	0	0	0
BMS	AlarmSynchronizer	1446918910812	0	0	0
BMS	ConnectorSynchronizer (import)	1446919210547	0	0	0
BMS	MeasurementSynchronizer	1446919210580	0	0	36
BMS	WorkOrderSynchronizer	1446919210644	0	0	0
BMS	TagSynchronizer	1446919210706	0	0	0
BMS	PropertySynchronizer	1446919210776	0	0	0
BMS	AlarmSynchronizer	1446919210796	0	0	0
BMS	ConnectorSynchronizer (import)	1446919510523	0	0	0
BMS	MeasurementSynchronizer	1446919510554	0	0	36
BMS	WorkOrderSynchronizer	1446919510613	0	0	0
BMS	TagSynchronizer	1446919510671	0	0	0
BMS	PropertySynchronizer	1446919510736	0	0	0
BMS	AlarmSynchronizer	1446919510753	0	0	0
BMS	ConnectorSynchronizer (import)	1446919810523	0	0	0
BMS	MeasurementSynchronizer	1446919810558	0	0	36
BMS	WorkOrderSynchronizer	1446919810626	0	0	0
BMS	TagSynchronizer	1446919810689	0	0	0
BMS	PropertySynchronizer	1446919810762	0	0	0
BMS	AlarmSynchronizer	1446919810783	0	0	0
BMS	ConnectorSynchronizer (import)	1446920110539	0	0	0
BMS	MeasurementSynchronizer	1446920110572	0	0	36
BMS	WorkOrderSynchronizer	1446920110636	0	0	0
BMS	TagSynchronizer	1446920110697	0	0	0
BMS	PropertySynchronizer	1446920110767	0	0	0
BMS	AlarmSynchronizer	1446920110788	0	0	0
BMS	ConnectorSynchronizer (import)	1446920410538	0	0	0
BMS	MeasurementSynchronizer	1446920410572	0	0	36
BMS	WorkOrderSynchronizer	1446920410640	0	0	0
BMS	TagSynchronizer	1446920410701	0	0	0
BMS	PropertySynchronizer	1446920410774	0	0	0
BMS	AlarmSynchronizer	1446920410796	0	0	0
BMS	ConnectorSynchronizer (import)	1446920710530	0	0	0
BMS	MeasurementSynchronizer	1446920710562	0	0	36
BMS	WorkOrderSynchronizer	1446920710628	0	0	0
BMS	TagSynchronizer	1446920710689	0	0	0
BMS	PropertySynchronizer	1446920710760	0	0	0
BMS	AlarmSynchronizer	1446920710781	0	0	0
BMS	ConnectorSynchronizer (import)	1446921010539	0	0	0
BMS	MeasurementSynchronizer	1446921010573	0	0	36
BMS	WorkOrderSynchronizer	1446921010641	0	0	0
BMS	TagSynchronizer	1446921010705	0	0	0
BMS	PropertySynchronizer	1446921010776	0	0	0
BMS	AlarmSynchronizer	1446921010797	0	0	0
BMS	ConnectorSynchronizer (import)	1446921310545	0	0	0
BMS	MeasurementSynchronizer	1446921310572	0	0	36
BMS	WorkOrderSynchronizer	1446921310621	0	0	0
BMS	TagSynchronizer	1446921310673	0	0	0
BMS	PropertySynchronizer	1446921310736	0	0	0
BMS	AlarmSynchronizer	1446921310754	0	0	0
BMS	ConnectorSynchronizer (import)	1446921610529	0	0	0
BMS	MeasurementSynchronizer	1446921610562	0	0	36
BMS	WorkOrderSynchronizer	1446921610625	0	0	0
BMS	TagSynchronizer	1446921610687	0	0	0
BMS	PropertySynchronizer	1446921610756	0	0	0
BMS	AlarmSynchronizer	1446921610777	0	0	0
BMS	ConnectorSynchronizer (import)	1446921910533	0	0	0
BMS	MeasurementSynchronizer	1446921910568	0	0	36
BMS	WorkOrderSynchronizer	1446921910634	0	0	0
BMS	TagSynchronizer	1446921910696	0	0	0
BMS	PropertySynchronizer	1446921910767	0	0	0
BMS	AlarmSynchronizer	1446921910788	0	0	0
BMS	ConnectorSynchronizer (import)	1446922210534	0	0	0
BMS	MeasurementSynchronizer	1446922210567	0	0	36
BMS	WorkOrderSynchronizer	1446922210631	0	0	0
BMS	TagSynchronizer	1446922210693	0	0	0
BMS	PropertySynchronizer	1446922210764	0	0	0
BMS	AlarmSynchronizer	1446922210785	0	0	0
BMS	ConnectorSynchronizer (import)	1446922510556	0	0	0
BMS	MeasurementSynchronizer	1446922510591	0	0	36
BMS	WorkOrderSynchronizer	1446922510662	0	0	0
BMS	TagSynchronizer	1446922510726	0	0	0
BMS	PropertySynchronizer	1446922510800	0	0	0
BMS	AlarmSynchronizer	1446922510821	0	0	0
BMS	ConnectorSynchronizer (import)	1446922810544	0	0	0
BMS	MeasurementSynchronizer	1446922810578	0	0	36
BMS	WorkOrderSynchronizer	1446922810645	0	0	0
BMS	TagSynchronizer	1446922810708	0	0	0
BMS	PropertySynchronizer	1446922810780	0	0	0
BMS	AlarmSynchronizer	1446922810802	0	0	0
BMS	ConnectorSynchronizer (import)	1446923110544	0	0	0
BMS	MeasurementSynchronizer	1446923110574	0	0	36
BMS	WorkOrderSynchronizer	1446923110634	0	0	0
BMS	TagSynchronizer	1446923110692	0	0	0
BMS	PropertySynchronizer	1446923110757	0	0	0
BMS	AlarmSynchronizer	1446923110777	0	0	0
BMS	ConnectorSynchronizer (import)	1446923410537	0	0	0
BMS	MeasurementSynchronizer	1446923410571	0	0	36
BMS	WorkOrderSynchronizer	1446923410639	0	0	0
BMS	TagSynchronizer	1446923410703	0	0	0
BMS	PropertySynchronizer	1446923410774	0	0	0
BMS	AlarmSynchronizer	1446923410795	0	0	0
BMS	ConnectorSynchronizer (import)	1446923710521	0	0	0
BMS	MeasurementSynchronizer	1446923710553	0	0	36
BMS	WorkOrderSynchronizer	1446923710616	0	0	0
BMS	TagSynchronizer	1446923710679	0	0	0
BMS	PropertySynchronizer	1446923710750	0	0	0
BMS	AlarmSynchronizer	1446923710771	0	0	0
BMS	ConnectorSynchronizer (import)	1446924010540	0	0	0
BMS	MeasurementSynchronizer	1446924010573	0	0	36
BMS	WorkOrderSynchronizer	1446924010636	0	0	0
BMS	TagSynchronizer	1446924010698	0	0	0
BMS	PropertySynchronizer	1446924010771	0	0	0
BMS	AlarmSynchronizer	1446924010791	0	0	0
BMS	ConnectorSynchronizer (import)	1446924310539	0	0	0
BMS	MeasurementSynchronizer	1446924310572	0	0	36
BMS	WorkOrderSynchronizer	1446924310634	0	0	0
BMS	TagSynchronizer	1446924310695	0	0	0
BMS	PropertySynchronizer	1446924310763	0	0	0
BMS	AlarmSynchronizer	1446924310783	0	0	0
BMS	ConnectorSynchronizer (import)	1446924610519	0	0	0
BMS	MeasurementSynchronizer	1446924610550	0	0	36
BMS	WorkOrderSynchronizer	1446924610609	0	0	0
BMS	TagSynchronizer	1446924610667	0	0	0
BMS	PropertySynchronizer	1446924610731	0	0	0
BMS	AlarmSynchronizer	1446924610749	0	0	0
BMS	ConnectorSynchronizer (import)	1446924910534	0	0	0
BMS	MeasurementSynchronizer	1446924910567	0	0	36
BMS	WorkOrderSynchronizer	1446924910632	0	0	0
BMS	TagSynchronizer	1446924910694	0	0	0
BMS	PropertySynchronizer	1446924910765	0	0	0
BMS	AlarmSynchronizer	1446924910788	0	0	0
BMS	ConnectorSynchronizer (import)	1446925210532	0	0	0
BMS	MeasurementSynchronizer	1446925210567	0	0	36
BMS	WorkOrderSynchronizer	1446925210631	0	0	0
BMS	TagSynchronizer	1446925210702	0	0	0
BMS	PropertySynchronizer	1446925210775	0	0	0
BMS	AlarmSynchronizer	1446925210796	0	0	0
BMS	ConnectorSynchronizer (import)	1446925510531	0	0	0
BMS	MeasurementSynchronizer	1446925510565	0	0	36
BMS	WorkOrderSynchronizer	1446925510632	0	0	0
BMS	TagSynchronizer	1446925510697	0	0	0
BMS	PropertySynchronizer	1446925510769	0	0	0
BMS	AlarmSynchronizer	1446925510791	0	0	0
BMS	ConnectorSynchronizer (import)	1446925810529	0	0	0
BMS	MeasurementSynchronizer	1446925810562	0	0	36
BMS	WorkOrderSynchronizer	1446925810627	0	0	0
BMS	TagSynchronizer	1446925810688	0	0	0
BMS	PropertySynchronizer	1446925810759	0	0	0
BMS	AlarmSynchronizer	1446925810779	0	0	0
BMS	ConnectorSynchronizer (import)	1446926110513	0	0	0
BMS	MeasurementSynchronizer	1446926110547	0	0	36
BMS	WorkOrderSynchronizer	1446926110611	0	0	0
BMS	TagSynchronizer	1446926110672	0	0	0
BMS	PropertySynchronizer	1446926110744	0	0	0
BMS	AlarmSynchronizer	1446926110764	0	0	0
BMS	ConnectorSynchronizer (import)	1446926410560	0	0	0
BMS	MeasurementSynchronizer	1446926410595	0	0	36
BMS	WorkOrderSynchronizer	1446926410661	0	0	0
BMS	TagSynchronizer	1446926410725	0	0	0
BMS	PropertySynchronizer	1446926410798	0	0	0
BMS	AlarmSynchronizer	1446926410820	0	0	0
BMS	ConnectorSynchronizer (import)	1446926710523	0	0	0
BMS	MeasurementSynchronizer	1446926710554	0	0	36
BMS	WorkOrderSynchronizer	1446926710610	0	0	0
BMS	TagSynchronizer	1446926710664	0	0	0
BMS	PropertySynchronizer	1446926710729	0	0	0
BMS	AlarmSynchronizer	1446926710750	0	0	0
BMS	ConnectorSynchronizer (import)	1446927010545	0	0	0
BMS	MeasurementSynchronizer	1446927010578	0	0	36
BMS	WorkOrderSynchronizer	1446927010642	0	0	0
BMS	TagSynchronizer	1446927010704	0	0	0
BMS	PropertySynchronizer	1446927010775	0	0	0
BMS	AlarmSynchronizer	1446927010797	0	0	0
BMS	ConnectorSynchronizer (import)	1446927310546	0	0	0
BMS	MeasurementSynchronizer	1446927310578	0	0	36
BMS	WorkOrderSynchronizer	1446927310641	0	0	0
BMS	TagSynchronizer	1446927310704	0	0	0
BMS	PropertySynchronizer	1446927310775	0	0	0
BMS	AlarmSynchronizer	1446927310797	0	0	0
BMS	ConnectorSynchronizer (import)	1446927610529	0	0	0
BMS	MeasurementSynchronizer	1446927610562	0	0	36
BMS	WorkOrderSynchronizer	1446927610626	0	0	0
BMS	TagSynchronizer	1446927610688	0	0	0
BMS	PropertySynchronizer	1446927610762	0	0	0
BMS	AlarmSynchronizer	1446927610782	0	0	0
BMS	ConnectorSynchronizer (import)	1446927910589	0	0	0
BMS	MeasurementSynchronizer	1446927910622	0	0	36
BMS	WorkOrderSynchronizer	1446927910685	0	0	0
BMS	TagSynchronizer	1446927910747	0	0	0
BMS	PropertySynchronizer	1446927910818	0	0	0
BMS	AlarmSynchronizer	1446927910839	0	0	0
BMS	ConnectorSynchronizer (import)	1446928210519	0	0	0
BMS	MeasurementSynchronizer	1446928210552	0	0	36
BMS	WorkOrderSynchronizer	1446928210617	0	0	0
BMS	TagSynchronizer	1446928210680	0	0	0
BMS	PropertySynchronizer	1446928210752	0	0	0
BMS	AlarmSynchronizer	1446928210773	0	0	0
BMS	ConnectorSynchronizer (import)	1446928510497	0	0	0
BMS	MeasurementSynchronizer	1446928510529	0	0	36
BMS	WorkOrderSynchronizer	1446928510590	0	0	0
BMS	TagSynchronizer	1446928510648	0	0	0
BMS	PropertySynchronizer	1446928510715	0	0	0
BMS	AlarmSynchronizer	1446928510735	0	0	0
BMS	ConnectorSynchronizer (import)	1446928810552	0	0	0
BMS	MeasurementSynchronizer	1446928810587	0	0	36
BMS	WorkOrderSynchronizer	1446928810652	0	0	0
BMS	TagSynchronizer	1446928810715	0	0	0
BMS	PropertySynchronizer	1446928810786	0	0	0
BMS	AlarmSynchronizer	1446928810807	0	0	0
BMS	ConnectorSynchronizer (import)	1446929110513	0	0	0
BMS	MeasurementSynchronizer	1446929110547	0	0	36
BMS	WorkOrderSynchronizer	1446929110614	0	0	0
BMS	TagSynchronizer	1446929110678	0	0	0
BMS	PropertySynchronizer	1446929110751	0	0	0
BMS	AlarmSynchronizer	1446929110772	0	0	0
BMS	ConnectorSynchronizer (import)	1446929410499	0	0	0
BMS	MeasurementSynchronizer	1446929410531	0	0	36
BMS	WorkOrderSynchronizer	1446929410594	0	0	0
BMS	TagSynchronizer	1446929410655	0	0	0
BMS	PropertySynchronizer	1446929410726	0	0	0
BMS	AlarmSynchronizer	1446929410748	0	0	0
BMS	ConnectorSynchronizer (import)	1446929710510	0	0	0
BMS	MeasurementSynchronizer	1446929710543	0	0	36
BMS	WorkOrderSynchronizer	1446929710606	0	0	0
BMS	TagSynchronizer	1446929710668	0	0	0
BMS	PropertySynchronizer	1446929710737	0	0	0
BMS	AlarmSynchronizer	1446929710757	0	0	0
BMS	ConnectorSynchronizer (import)	1446930010521	0	0	0
BMS	MeasurementSynchronizer	1446930010555	0	0	36
BMS	WorkOrderSynchronizer	1446930010623	0	0	0
BMS	TagSynchronizer	1446930010687	0	0	0
BMS	PropertySynchronizer	1446930010759	0	0	0
BMS	AlarmSynchronizer	1446930010780	0	0	0
BMS	ConnectorSynchronizer (import)	1446930310560	0	0	0
BMS	MeasurementSynchronizer	1446930310593	0	0	36
BMS	WorkOrderSynchronizer	1446930310657	0	0	0
BMS	TagSynchronizer	1446930310718	0	0	0
BMS	PropertySynchronizer	1446930310789	0	0	0
BMS	AlarmSynchronizer	1446930310809	0	0	0
BMS	ConnectorSynchronizer (import)	1446930610566	0	0	0
BMS	MeasurementSynchronizer	1446930610597	0	0	36
BMS	WorkOrderSynchronizer	1446930610661	0	0	0
BMS	TagSynchronizer	1446930610723	0	0	0
BMS	PropertySynchronizer	1446930610795	0	0	0
BMS	AlarmSynchronizer	1446930610818	0	0	0
BMS	ConnectorSynchronizer (import)	1446930910498	0	0	0
BMS	MeasurementSynchronizer	1446930910528	0	0	36
BMS	WorkOrderSynchronizer	1446930910591	0	0	0
BMS	TagSynchronizer	1446930910654	0	0	0
BMS	PropertySynchronizer	1446930910726	0	0	0
BMS	AlarmSynchronizer	1446930910758	0	0	0
BMS	ConnectorSynchronizer (import)	1446931210552	0	0	0
BMS	MeasurementSynchronizer	1446931210585	0	0	36
BMS	WorkOrderSynchronizer	1446931210650	0	0	0
BMS	TagSynchronizer	1446931210713	0	0	0
BMS	PropertySynchronizer	1446931210784	0	0	0
BMS	AlarmSynchronizer	1446931210804	0	0	0
BMS	ConnectorSynchronizer (import)	1446931510516	0	0	0
BMS	MeasurementSynchronizer	1446931510548	0	0	36
BMS	WorkOrderSynchronizer	1446931510612	0	0	0
BMS	TagSynchronizer	1446931510673	0	0	0
BMS	PropertySynchronizer	1446931510747	0	0	0
BMS	AlarmSynchronizer	1446931510768	0	0	0
BMS	ConnectorSynchronizer (import)	1446931810519	0	0	0
BMS	MeasurementSynchronizer	1446931810552	0	0	36
BMS	WorkOrderSynchronizer	1446931810618	0	0	0
BMS	TagSynchronizer	1446931810679	0	0	0
BMS	PropertySynchronizer	1446931810750	0	0	0
BMS	AlarmSynchronizer	1446931810770	0	0	0
BMS	ConnectorSynchronizer (import)	1446932110504	0	0	0
BMS	MeasurementSynchronizer	1446932110537	0	0	36
BMS	WorkOrderSynchronizer	1446932110601	0	0	0
BMS	TagSynchronizer	1446932110663	0	0	0
BMS	PropertySynchronizer	1446932110733	0	0	0
BMS	AlarmSynchronizer	1446932110754	0	0	0
BMS	ConnectorSynchronizer (import)	1446932410514	0	0	0
BMS	MeasurementSynchronizer	1446932410548	0	0	36
BMS	WorkOrderSynchronizer	1446932410612	0	0	0
BMS	TagSynchronizer	1446932410674	0	0	0
BMS	PropertySynchronizer	1446932410744	0	0	0
BMS	AlarmSynchronizer	1446932410768	0	0	0
BMS	ConnectorSynchronizer (import)	1446932710526	0	0	0
BMS	MeasurementSynchronizer	1446932710560	0	0	36
BMS	WorkOrderSynchronizer	1446932710626	0	0	0
BMS	TagSynchronizer	1446932710690	0	0	0
BMS	PropertySynchronizer	1446932710765	0	0	0
BMS	AlarmSynchronizer	1446932710790	0	0	0
BMS	ConnectorSynchronizer (import)	1446933010500	0	0	0
BMS	MeasurementSynchronizer	1446933010530	0	0	36
BMS	WorkOrderSynchronizer	1446933010598	0	0	0
BMS	TagSynchronizer	1446933010660	0	0	0
BMS	PropertySynchronizer	1446933010733	0	0	0
BMS	AlarmSynchronizer	1446933010755	0	0	0
BMS	ConnectorSynchronizer (import)	1446933310531	0	0	0
BMS	MeasurementSynchronizer	1446933310564	0	0	36
BMS	WorkOrderSynchronizer	1446933310628	0	0	0
BMS	TagSynchronizer	1446933310690	0	0	0
BMS	PropertySynchronizer	1446933310762	0	0	0
BMS	AlarmSynchronizer	1446933310786	0	0	0
BMS	ConnectorSynchronizer (import)	1446933610500	0	0	0
BMS	MeasurementSynchronizer	1446933610533	0	0	36
BMS	WorkOrderSynchronizer	1446933610599	0	0	0
BMS	TagSynchronizer	1446933610661	0	0	0
BMS	PropertySynchronizer	1446933610731	0	0	0
BMS	AlarmSynchronizer	1446933610751	0	0	0
BMS	ConnectorSynchronizer (import)	1446933910523	0	0	0
BMS	MeasurementSynchronizer	1446933910557	0	0	36
BMS	WorkOrderSynchronizer	1446933910625	0	0	0
BMS	TagSynchronizer	1446933910689	0	0	0
BMS	PropertySynchronizer	1446933910767	0	0	0
BMS	AlarmSynchronizer	1446933910790	0	0	0
BMS	ConnectorSynchronizer (import)	1446934210505	0	0	0
BMS	MeasurementSynchronizer	1446934210537	0	0	36
BMS	WorkOrderSynchronizer	1446934210600	0	0	0
BMS	TagSynchronizer	1446934210662	0	0	0
BMS	PropertySynchronizer	1446934210732	0	0	0
BMS	AlarmSynchronizer	1446934210752	0	0	0
BMS	ConnectorSynchronizer (import)	1446934510531	0	0	0
BMS	MeasurementSynchronizer	1446934510563	0	0	36
BMS	WorkOrderSynchronizer	1446934510629	0	0	0
BMS	TagSynchronizer	1446934510691	0	0	0
BMS	PropertySynchronizer	1446934510762	0	0	0
BMS	AlarmSynchronizer	1446934510783	0	0	0
BMS	ConnectorSynchronizer (import)	1446934810547	0	0	0
BMS	MeasurementSynchronizer	1446934810580	0	0	36
BMS	WorkOrderSynchronizer	1446934810644	0	0	0
BMS	TagSynchronizer	1446934810707	0	0	0
BMS	PropertySynchronizer	1446934810778	0	0	0
BMS	AlarmSynchronizer	1446934810798	0	0	0
BMS	ConnectorSynchronizer (import)	1446935110496	0	0	0
BMS	MeasurementSynchronizer	1446935110526	0	0	36
BMS	WorkOrderSynchronizer	1446935110585	0	0	0
BMS	TagSynchronizer	1446935110641	0	0	0
BMS	PropertySynchronizer	1446935110699	0	0	0
BMS	AlarmSynchronizer	1446935110726	0	0	0
BMS	ConnectorSynchronizer (import)	1446935410510	0	0	0
BMS	MeasurementSynchronizer	1446935410542	0	0	36
BMS	WorkOrderSynchronizer	1446935410607	0	0	0
BMS	TagSynchronizer	1446935410668	0	0	0
BMS	PropertySynchronizer	1446935410739	0	0	0
BMS	AlarmSynchronizer	1446935410760	0	0	0
BMS	ConnectorSynchronizer (import)	1446935710513	0	0	0
BMS	MeasurementSynchronizer	1446935710546	0	0	36
BMS	WorkOrderSynchronizer	1446935710609	0	0	0
BMS	TagSynchronizer	1446935710671	0	0	0
BMS	PropertySynchronizer	1446935710742	0	0	0
BMS	AlarmSynchronizer	1446935710764	0	0	0
BMS	ConnectorSynchronizer (import)	1446936010512	0	0	0
BMS	MeasurementSynchronizer	1446936010545	0	0	36
BMS	WorkOrderSynchronizer	1446936010610	0	0	0
BMS	TagSynchronizer	1446936010671	0	0	0
BMS	PropertySynchronizer	1446936010742	0	0	0
BMS	AlarmSynchronizer	1446936010762	0	0	0
BMS	ConnectorSynchronizer (import)	1446936310515	0	0	0
BMS	MeasurementSynchronizer	1446936310547	0	0	36
BMS	WorkOrderSynchronizer	1446936310610	0	0	0
BMS	TagSynchronizer	1446936310681	0	0	0
BMS	PropertySynchronizer	1446936310755	0	0	0
BMS	AlarmSynchronizer	1446936310776	0	0	0
BMS	ConnectorSynchronizer (import)	1446936610517	0	0	0
BMS	MeasurementSynchronizer	1446936610549	0	0	36
BMS	WorkOrderSynchronizer	1446936610609	0	0	0
BMS	TagSynchronizer	1446936610668	0	0	0
BMS	PropertySynchronizer	1446936610735	0	0	0
BMS	AlarmSynchronizer	1446936610755	0	0	0
BMS	ConnectorSynchronizer (import)	1446936910511	0	0	0
BMS	MeasurementSynchronizer	1446936910543	0	0	36
BMS	WorkOrderSynchronizer	1446936910608	0	0	0
BMS	TagSynchronizer	1446936910670	0	0	0
BMS	PropertySynchronizer	1446936910741	0	0	0
BMS	AlarmSynchronizer	1446936910761	0	0	0
BMS	ConnectorSynchronizer (import)	1446937210520	0	0	0
BMS	MeasurementSynchronizer	1446937210554	0	0	36
BMS	WorkOrderSynchronizer	1446937210622	0	0	0
BMS	TagSynchronizer	1446937210683	0	0	0
BMS	PropertySynchronizer	1446937210754	0	0	0
BMS	AlarmSynchronizer	1446937210775	0	0	0
BMS	ConnectorSynchronizer (import)	1446937510518	0	0	0
BMS	MeasurementSynchronizer	1446937510551	0	0	36
BMS	WorkOrderSynchronizer	1446937510622	0	0	0
BMS	TagSynchronizer	1446937510686	0	0	0
BMS	PropertySynchronizer	1446937510757	0	0	0
BMS	AlarmSynchronizer	1446937510779	0	0	0
BMS	ConnectorSynchronizer (import)	1446937810525	0	0	0
BMS	MeasurementSynchronizer	1446937810559	0	0	36
BMS	WorkOrderSynchronizer	1446937810626	0	0	0
BMS	TagSynchronizer	1446937810690	0	0	0
BMS	PropertySynchronizer	1446937810760	0	0	0
BMS	AlarmSynchronizer	1446937810781	0	0	0
BMS	ConnectorSynchronizer (import)	1446938110504	0	0	0
BMS	MeasurementSynchronizer	1446938110538	0	0	36
BMS	WorkOrderSynchronizer	1446938110602	0	0	0
BMS	TagSynchronizer	1446938110664	0	0	0
BMS	PropertySynchronizer	1446938110734	0	0	0
BMS	AlarmSynchronizer	1446938110755	0	0	0
BMS	ConnectorSynchronizer (import)	1446938410589	0	0	0
BMS	MeasurementSynchronizer	1446938410623	0	0	36
BMS	WorkOrderSynchronizer	1446938410690	0	0	0
BMS	TagSynchronizer	1446938410753	0	0	0
BMS	PropertySynchronizer	1446938410827	0	0	0
BMS	AlarmSynchronizer	1446938410850	0	0	0
BMS	ConnectorSynchronizer (import)	1446938710511	0	0	0
BMS	MeasurementSynchronizer	1446938710546	0	0	36
BMS	WorkOrderSynchronizer	1446938710604	0	0	0
BMS	TagSynchronizer	1446938710662	0	0	0
BMS	PropertySynchronizer	1446938710727	0	0	0
BMS	AlarmSynchronizer	1446938710749	0	0	0
BMS	ConnectorSynchronizer (import)	1446939010507	0	0	0
BMS	MeasurementSynchronizer	1446939010541	0	0	36
BMS	WorkOrderSynchronizer	1446939010608	0	0	0
BMS	TagSynchronizer	1446939010672	0	0	0
BMS	PropertySynchronizer	1446939010745	0	0	0
BMS	AlarmSynchronizer	1446939010767	0	0	0
BMS	ConnectorSynchronizer (import)	1446939310509	0	0	0
BMS	MeasurementSynchronizer	1446939310544	0	0	36
BMS	WorkOrderSynchronizer	1446939310613	0	0	0
BMS	TagSynchronizer	1446939310674	0	0	0
BMS	PropertySynchronizer	1446939310745	0	0	0
BMS	AlarmSynchronizer	1446939310766	0	0	0
BMS	ConnectorSynchronizer (import)	1446939610521	0	0	0
BMS	MeasurementSynchronizer	1446939610554	0	0	36
BMS	WorkOrderSynchronizer	1446939610625	0	0	0
BMS	TagSynchronizer	1446939610686	0	0	0
BMS	PropertySynchronizer	1446939610757	0	0	0
BMS	AlarmSynchronizer	1446939610777	0	0	0
BMS	ConnectorSynchronizer (import)	1446939910540	0	0	0
BMS	MeasurementSynchronizer	1446939910574	0	0	36
BMS	WorkOrderSynchronizer	1446939910642	0	0	0
BMS	TagSynchronizer	1446939910705	0	0	0
BMS	PropertySynchronizer	1446939910777	0	0	0
BMS	AlarmSynchronizer	1446939910799	0	0	0
BMS	ConnectorSynchronizer (import)	1446940210516	0	0	0
BMS	MeasurementSynchronizer	1446940210549	0	0	36
BMS	WorkOrderSynchronizer	1446940210612	0	0	0
BMS	TagSynchronizer	1446940210674	0	0	0
BMS	PropertySynchronizer	1446940210744	0	0	0
BMS	AlarmSynchronizer	1446940210765	0	0	0
BMS	ConnectorSynchronizer (import)	1446940510531	0	0	0
BMS	MeasurementSynchronizer	1446940510565	0	0	36
BMS	WorkOrderSynchronizer	1446940510630	0	0	0
BMS	TagSynchronizer	1446940510695	0	0	0
BMS	PropertySynchronizer	1446940510764	0	0	0
BMS	AlarmSynchronizer	1446940510784	0	0	0
BMS	ConnectorSynchronizer (import)	1446940810513	0	0	0
BMS	MeasurementSynchronizer	1446940810543	0	0	36
BMS	WorkOrderSynchronizer	1446940810603	0	0	0
BMS	TagSynchronizer	1446940810660	0	0	0
BMS	PropertySynchronizer	1446940810725	0	0	0
BMS	AlarmSynchronizer	1446940810742	0	0	0
BMS	ConnectorSynchronizer (import)	1446941110539	0	0	0
BMS	MeasurementSynchronizer	1446941110572	0	0	36
BMS	WorkOrderSynchronizer	1446941110635	0	0	0
BMS	TagSynchronizer	1446941110697	0	0	0
BMS	PropertySynchronizer	1446941110768	0	0	0
BMS	AlarmSynchronizer	1446941110789	0	0	0
BMS	ConnectorSynchronizer (import)	1446941410510	0	0	0
BMS	MeasurementSynchronizer	1446941410543	0	0	36
BMS	WorkOrderSynchronizer	1446941410606	0	0	0
BMS	TagSynchronizer	1446941410668	0	0	0
BMS	PropertySynchronizer	1446941410739	0	0	0
BMS	AlarmSynchronizer	1446941410759	0	0	0
BMS	ConnectorSynchronizer (import)	1446941710524	0	0	0
BMS	MeasurementSynchronizer	1446941710556	0	0	36
BMS	WorkOrderSynchronizer	1446941710620	0	0	0
BMS	TagSynchronizer	1446941710681	0	0	0
BMS	PropertySynchronizer	1446941710751	0	0	0
BMS	AlarmSynchronizer	1446941710773	0	0	0
BMS	ConnectorSynchronizer (import)	1446942010525	0	0	0
BMS	MeasurementSynchronizer	1446942010558	0	0	36
BMS	WorkOrderSynchronizer	1446942010622	0	0	0
BMS	TagSynchronizer	1446942010683	0	0	0
BMS	PropertySynchronizer	1446942010754	0	0	0
BMS	AlarmSynchronizer	1446942010775	0	0	0
BMS	ConnectorSynchronizer (import)	1446942310532	0	0	0
BMS	MeasurementSynchronizer	1446942310565	0	0	36
BMS	WorkOrderSynchronizer	1446942310632	0	0	0
BMS	TagSynchronizer	1446942310695	0	0	0
BMS	PropertySynchronizer	1446942310765	0	0	0
BMS	AlarmSynchronizer	1446942310785	0	0	0
BMS	ConnectorSynchronizer (import)	1446942610547	0	0	0
BMS	MeasurementSynchronizer	1446942610581	0	0	36
BMS	WorkOrderSynchronizer	1446942610648	0	0	0
BMS	TagSynchronizer	1446942610710	0	0	0
BMS	PropertySynchronizer	1446942610782	0	0	0
BMS	AlarmSynchronizer	1446942610803	0	0	0
BMS	ConnectorSynchronizer (import)	1446942910544	0	0	0
BMS	MeasurementSynchronizer	1446942910578	0	0	36
BMS	WorkOrderSynchronizer	1446942910643	0	0	0
BMS	TagSynchronizer	1446942910704	0	0	0
BMS	PropertySynchronizer	1446942910771	0	0	0
BMS	AlarmSynchronizer	1446942910790	0	0	0
BMS	ConnectorSynchronizer (import)	1446943210516	0	0	0
BMS	MeasurementSynchronizer	1446943210548	0	0	36
BMS	WorkOrderSynchronizer	1446943210613	0	0	0
BMS	TagSynchronizer	1446943210675	0	0	0
BMS	PropertySynchronizer	1446943210746	0	0	0
BMS	AlarmSynchronizer	1446943210768	0	0	0
BMS	ConnectorSynchronizer (import)	1446943510584	0	0	0
BMS	MeasurementSynchronizer	1446943510617	0	0	36
BMS	WorkOrderSynchronizer	1446943510681	0	0	0
BMS	TagSynchronizer	1446943510743	0	0	0
BMS	PropertySynchronizer	1446943510813	0	0	0
BMS	AlarmSynchronizer	1446943510833	0	0	0
BMS	ConnectorSynchronizer (import)	1446943810515	0	0	0
BMS	MeasurementSynchronizer	1446943810548	0	0	36
BMS	WorkOrderSynchronizer	1446943810611	0	0	0
BMS	TagSynchronizer	1446943810672	0	0	0
BMS	PropertySynchronizer	1446943810741	0	0	0
BMS	AlarmSynchronizer	1446943810761	0	0	0
BMS	ConnectorSynchronizer (import)	1446944110561	0	0	0
BMS	MeasurementSynchronizer	1446944110595	0	0	36
BMS	WorkOrderSynchronizer	1446944110664	0	0	0
BMS	TagSynchronizer	1446944110727	0	0	0
BMS	PropertySynchronizer	1446944110800	0	0	0
BMS	AlarmSynchronizer	1446944110821	0	0	0
BMS	ConnectorSynchronizer (import)	1446944410526	0	0	0
BMS	MeasurementSynchronizer	1446944410559	0	0	36
BMS	WorkOrderSynchronizer	1446944410623	0	0	0
BMS	TagSynchronizer	1446944410684	0	0	0
BMS	PropertySynchronizer	1446944410754	0	0	0
BMS	AlarmSynchronizer	1446944410774	0	0	0
BMS	ConnectorSynchronizer (import)	1446944710508	0	0	0
BMS	MeasurementSynchronizer	1446944710538	0	0	36
BMS	WorkOrderSynchronizer	1446944710600	0	0	0
BMS	TagSynchronizer	1446944710657	0	0	0
BMS	PropertySynchronizer	1446944710723	0	0	0
BMS	AlarmSynchronizer	1446944710742	0	0	0
BMS	ConnectorSynchronizer (import)	1446945010513	0	0	0
BMS	MeasurementSynchronizer	1446945010545	0	0	36
BMS	WorkOrderSynchronizer	1446945010606	0	0	0
BMS	TagSynchronizer	1446945010665	0	0	0
BMS	PropertySynchronizer	1446945010729	0	0	0
BMS	AlarmSynchronizer	1446945010748	0	0	0
BMS	ConnectorSynchronizer (import)	1446945310514	0	0	0
BMS	MeasurementSynchronizer	1446945310547	0	0	36
BMS	WorkOrderSynchronizer	1446945310611	0	0	0
BMS	TagSynchronizer	1446945310673	0	0	0
BMS	PropertySynchronizer	1446945310744	0	0	0
BMS	AlarmSynchronizer	1446945310764	0	0	0
BMS	ConnectorSynchronizer (import)	1446945610512	0	0	0
BMS	MeasurementSynchronizer	1446945610546	0	0	36
BMS	WorkOrderSynchronizer	1446945610609	0	0	0
BMS	TagSynchronizer	1446945610672	0	0	0
BMS	PropertySynchronizer	1446945610743	0	0	0
BMS	AlarmSynchronizer	1446945610765	0	0	0
BMS	ConnectorSynchronizer (import)	1446945910519	0	0	0
BMS	MeasurementSynchronizer	1446945910553	0	0	36
BMS	WorkOrderSynchronizer	1446945910620	0	0	0
BMS	TagSynchronizer	1446945910682	0	0	0
BMS	PropertySynchronizer	1446945910755	0	0	0
BMS	AlarmSynchronizer	1446945910777	0	0	0
BMS	ConnectorSynchronizer (import)	1446946210508	0	0	0
BMS	MeasurementSynchronizer	1446946210540	0	0	36
BMS	WorkOrderSynchronizer	1446946210604	0	0	0
BMS	TagSynchronizer	1446946210665	0	0	0
BMS	PropertySynchronizer	1446946210739	0	0	0
BMS	AlarmSynchronizer	1446946210760	0	0	0
BMS	ConnectorSynchronizer (import)	1446946510531	0	0	0
BMS	MeasurementSynchronizer	1446946510563	0	0	36
BMS	WorkOrderSynchronizer	1446946510628	0	0	0
BMS	TagSynchronizer	1446946510691	0	0	0
BMS	PropertySynchronizer	1446946510763	0	0	0
BMS	AlarmSynchronizer	1446946510784	0	0	0
BMS	ConnectorSynchronizer (import)	1446946810520	0	0	0
BMS	MeasurementSynchronizer	1446946810551	0	0	36
BMS	WorkOrderSynchronizer	1446946810611	0	0	0
BMS	TagSynchronizer	1446946810669	0	0	0
BMS	PropertySynchronizer	1446946810735	0	0	0
BMS	AlarmSynchronizer	1446946810755	0	0	0
BMS	ConnectorSynchronizer (import)	1446947110510	0	0	0
BMS	MeasurementSynchronizer	1446947110544	0	0	36
BMS	WorkOrderSynchronizer	1446947110612	0	0	0
BMS	TagSynchronizer	1446947110674	0	0	0
BMS	PropertySynchronizer	1446947110747	0	0	0
BMS	AlarmSynchronizer	1446947110768	0	0	0
BMS	ConnectorSynchronizer (import)	1446947410515	0	0	0
BMS	MeasurementSynchronizer	1446947410548	0	0	36
BMS	WorkOrderSynchronizer	1446947410611	0	0	0
BMS	TagSynchronizer	1446947410677	0	0	0
BMS	PropertySynchronizer	1446947410747	0	0	0
BMS	AlarmSynchronizer	1446947410767	0	0	0
BMS	ConnectorSynchronizer (import)	1446947710535	0	0	0
BMS	MeasurementSynchronizer	1446947710568	0	0	36
BMS	WorkOrderSynchronizer	1446947710632	0	0	0
BMS	TagSynchronizer	1446947710694	0	0	0
BMS	PropertySynchronizer	1446947710766	0	0	0
BMS	AlarmSynchronizer	1446947710786	0	0	0
BMS	ConnectorSynchronizer (import)	1446948010560	0	0	0
BMS	MeasurementSynchronizer	1446948010594	0	0	36
BMS	WorkOrderSynchronizer	1446948010662	0	0	0
BMS	TagSynchronizer	1446948010726	0	0	0
BMS	PropertySynchronizer	1446948010797	0	0	0
BMS	AlarmSynchronizer	1446948010820	0	0	0
BMS	ConnectorSynchronizer (import)	1446948310521	0	0	0
BMS	MeasurementSynchronizer	1446948310552	0	0	36
BMS	WorkOrderSynchronizer	1446948310610	0	0	0
BMS	TagSynchronizer	1446948310669	0	0	0
BMS	PropertySynchronizer	1446948310734	0	0	0
BMS	AlarmSynchronizer	1446948310753	0	0	0
BMS	ConnectorSynchronizer (import)	1446948610532	0	0	0
BMS	MeasurementSynchronizer	1446948610564	0	0	36
BMS	WorkOrderSynchronizer	1446948610628	0	0	0
BMS	TagSynchronizer	1446948610689	0	0	0
BMS	PropertySynchronizer	1446948610764	0	0	0
BMS	AlarmSynchronizer	1446948610785	0	0	0
BMS	ConnectorSynchronizer (import)	1446948910503	0	0	0
BMS	MeasurementSynchronizer	1446948910536	0	0	36
BMS	WorkOrderSynchronizer	1446948910599	0	0	0
BMS	TagSynchronizer	1446948910661	0	0	0
BMS	PropertySynchronizer	1446948910731	0	0	0
BMS	AlarmSynchronizer	1446948910751	0	0	0
BMS	ConnectorSynchronizer (import)	1446949210504	0	0	0
BMS	MeasurementSynchronizer	1446949210536	0	0	36
BMS	WorkOrderSynchronizer	1446949210600	0	0	0
BMS	TagSynchronizer	1446949210661	0	0	0
BMS	PropertySynchronizer	1446949210730	0	0	0
BMS	AlarmSynchronizer	1446949210751	0	0	0
BMS	ConnectorSynchronizer (import)	1446949510516	0	0	0
BMS	MeasurementSynchronizer	1446949510549	0	0	36
BMS	WorkOrderSynchronizer	1446949510615	0	0	0
BMS	TagSynchronizer	1446949510681	0	0	0
BMS	PropertySynchronizer	1446949510752	0	0	0
BMS	AlarmSynchronizer	1446949510774	0	0	0
BMS	ConnectorSynchronizer (import)	1446949810570	0	0	0
BMS	MeasurementSynchronizer	1446949810599	0	0	36
BMS	WorkOrderSynchronizer	1446949810660	0	0	0
BMS	TagSynchronizer	1446949810717	0	0	0
BMS	PropertySynchronizer	1446949810782	0	0	0
BMS	AlarmSynchronizer	1446949810795	0	0	0
BMS	ConnectorSynchronizer (import)	1446950110519	0	0	0
BMS	MeasurementSynchronizer	1446950110551	0	0	36
BMS	WorkOrderSynchronizer	1446950110616	0	0	0
BMS	TagSynchronizer	1446950110677	0	0	0
BMS	PropertySynchronizer	1446950110748	0	0	0
BMS	AlarmSynchronizer	1446950110769	0	0	0
BMS	ConnectorSynchronizer (import)	1446950410512	0	0	0
BMS	MeasurementSynchronizer	1446950410545	0	0	36
BMS	WorkOrderSynchronizer	1446950410609	0	0	0
BMS	TagSynchronizer	1446950410674	0	0	0
BMS	PropertySynchronizer	1446950410743	0	0	0
BMS	AlarmSynchronizer	1446950410764	0	0	0
BMS	ConnectorSynchronizer (import)	1446950710521	0	0	0
BMS	MeasurementSynchronizer	1446950710556	0	0	36
BMS	WorkOrderSynchronizer	1446950710623	0	0	0
BMS	TagSynchronizer	1446950710686	0	0	0
BMS	PropertySynchronizer	1446950710758	0	0	0
BMS	AlarmSynchronizer	1446950710779	0	0	0
BMS	ConnectorSynchronizer (import)	1446951010514	0	0	0
BMS	MeasurementSynchronizer	1446951010548	0	0	36
BMS	WorkOrderSynchronizer	1446951010614	0	0	0
BMS	TagSynchronizer	1446951010688	0	0	0
BMS	PropertySynchronizer	1446951010760	0	0	0
BMS	AlarmSynchronizer	1446951010782	0	0	0
BMS	ConnectorSynchronizer (import)	1446951310515	0	0	0
BMS	MeasurementSynchronizer	1446951310548	0	0	36
BMS	WorkOrderSynchronizer	1446951310612	0	0	0
BMS	TagSynchronizer	1446951310674	0	0	0
BMS	PropertySynchronizer	1446951310745	0	0	0
BMS	AlarmSynchronizer	1446951310766	0	0	0
BMS	ConnectorSynchronizer (import)	1446951610522	0	0	0
BMS	MeasurementSynchronizer	1446951610555	0	0	36
BMS	WorkOrderSynchronizer	1446951610618	0	0	0
BMS	TagSynchronizer	1446951610679	0	0	0
BMS	PropertySynchronizer	1446951610748	0	0	0
BMS	AlarmSynchronizer	1446951610769	0	0	0
BMS	ConnectorSynchronizer (import)	1446951910533	0	0	0
BMS	MeasurementSynchronizer	1446951910566	0	0	36
BMS	WorkOrderSynchronizer	1446951910636	0	0	0
BMS	TagSynchronizer	1446951910699	0	0	0
BMS	PropertySynchronizer	1446951910769	0	0	0
BMS	AlarmSynchronizer	1446951910790	0	0	0
BMS	ConnectorSynchronizer (import)	1446952210518	0	0	0
BMS	MeasurementSynchronizer	1446952210548	0	0	36
BMS	WorkOrderSynchronizer	1446952210614	0	0	0
BMS	TagSynchronizer	1446952210672	0	0	0
BMS	PropertySynchronizer	1446952210736	0	0	0
BMS	AlarmSynchronizer	1446952210756	0	0	0
BMS	ConnectorSynchronizer (import)	1446952510513	0	0	0
BMS	MeasurementSynchronizer	1446952510546	0	0	36
BMS	WorkOrderSynchronizer	1446952510611	0	0	0
BMS	TagSynchronizer	1446952510673	0	0	0
BMS	PropertySynchronizer	1446952510742	0	0	0
BMS	AlarmSynchronizer	1446952510763	0	0	0
BMS	ConnectorSynchronizer (import)	1446952810509	0	0	0
BMS	MeasurementSynchronizer	1446952810543	0	0	36
BMS	WorkOrderSynchronizer	1446952810608	0	0	0
BMS	TagSynchronizer	1446952810672	0	0	0
BMS	PropertySynchronizer	1446952810742	0	0	0
BMS	AlarmSynchronizer	1446952810764	0	0	0
BMS	ConnectorSynchronizer (import)	1446953110517	0	0	0
BMS	MeasurementSynchronizer	1446953110551	0	0	36
BMS	WorkOrderSynchronizer	1446953110618	0	0	0
BMS	TagSynchronizer	1446953110682	0	0	0
BMS	PropertySynchronizer	1446953110752	0	0	0
BMS	AlarmSynchronizer	1446953110773	0	0	0
BMS	ConnectorSynchronizer (import)	1446953410546	0	0	0
BMS	MeasurementSynchronizer	1446953410579	0	0	36
BMS	WorkOrderSynchronizer	1446953410651	0	0	0
BMS	TagSynchronizer	1446953410714	0	0	0
BMS	PropertySynchronizer	1446953410785	0	0	0
BMS	AlarmSynchronizer	1446953410807	0	0	0
BMS	ConnectorSynchronizer (import)	1446953710558	0	0	0
BMS	MeasurementSynchronizer	1446953710591	0	0	36
BMS	WorkOrderSynchronizer	1446953710656	0	0	0
BMS	TagSynchronizer	1446953710718	0	0	0
BMS	PropertySynchronizer	1446953710787	0	0	0
BMS	AlarmSynchronizer	1446953710807	0	0	0
BMS	ConnectorSynchronizer (import)	1446954010533	0	0	0
BMS	MeasurementSynchronizer	1446954010567	0	0	36
BMS	WorkOrderSynchronizer	1446954010631	0	0	0
BMS	TagSynchronizer	1446954010693	0	0	0
BMS	PropertySynchronizer	1446954010762	0	0	0
BMS	AlarmSynchronizer	1446954010783	0	0	0
BMS	ConnectorSynchronizer (import)	1446954310511	0	0	0
BMS	MeasurementSynchronizer	1446954310544	0	0	36
BMS	WorkOrderSynchronizer	1446954310609	0	0	0
BMS	TagSynchronizer	1446954310671	0	0	0
BMS	PropertySynchronizer	1446954310741	0	0	0
BMS	AlarmSynchronizer	1446954310762	0	0	0
BMS	ConnectorSynchronizer (import)	1446954610528	0	0	0
BMS	MeasurementSynchronizer	1446954610562	0	0	36
BMS	WorkOrderSynchronizer	1446954610632	0	0	0
BMS	TagSynchronizer	1446954610694	0	0	0
BMS	PropertySynchronizer	1446954610762	0	0	0
BMS	AlarmSynchronizer	1446954610782	0	0	0
BMS	ConnectorSynchronizer (import)	1446954910523	0	0	0
BMS	MeasurementSynchronizer	1446954910553	0	0	36
BMS	WorkOrderSynchronizer	1446954910616	0	0	0
BMS	TagSynchronizer	1446954910679	0	0	0
BMS	PropertySynchronizer	1446954910750	0	0	0
BMS	AlarmSynchronizer	1446954910770	0	0	0
BMS	ConnectorSynchronizer (import)	1446955210525	0	0	0
BMS	MeasurementSynchronizer	1446955210557	0	0	36
BMS	WorkOrderSynchronizer	1446955210622	0	0	0
BMS	TagSynchronizer	1446955210683	0	0	0
BMS	PropertySynchronizer	1446955210754	0	0	0
BMS	AlarmSynchronizer	1446955210774	0	0	0
BMS	ConnectorSynchronizer (import)	1446955510525	0	0	0
BMS	MeasurementSynchronizer	1446955510558	0	0	36
BMS	WorkOrderSynchronizer	1446955510622	0	0	0
BMS	TagSynchronizer	1446955510684	0	0	0
BMS	PropertySynchronizer	1446955510756	0	0	0
BMS	AlarmSynchronizer	1446955510776	0	0	0
BMS	ConnectorSynchronizer (import)	1446955810531	0	0	0
BMS	MeasurementSynchronizer	1446955810564	0	0	36
BMS	WorkOrderSynchronizer	1446955810629	0	0	0
BMS	TagSynchronizer	1446955810690	0	0	0
BMS	PropertySynchronizer	1446955810760	0	0	0
BMS	AlarmSynchronizer	1446955810781	0	0	0
BMS	ConnectorSynchronizer (import)	1446956110521	0	0	0
BMS	MeasurementSynchronizer	1446956110553	0	0	36
BMS	WorkOrderSynchronizer	1446956110617	0	0	0
BMS	TagSynchronizer	1446956110679	0	0	0
BMS	PropertySynchronizer	1446956110747	0	0	0
BMS	AlarmSynchronizer	1446956110768	0	0	0
BMS	ConnectorSynchronizer (import)	1446956410511	0	0	0
BMS	MeasurementSynchronizer	1446956410543	0	0	36
BMS	WorkOrderSynchronizer	1446956410606	0	0	0
BMS	TagSynchronizer	1446956410668	0	0	0
BMS	PropertySynchronizer	1446956410736	0	0	0
BMS	AlarmSynchronizer	1446956410757	0	0	0
BMS	ConnectorSynchronizer (import)	1446956710528	0	0	0
BMS	MeasurementSynchronizer	1446956710560	0	0	36
BMS	WorkOrderSynchronizer	1446956710623	0	0	0
BMS	TagSynchronizer	1446956710685	0	0	0
BMS	PropertySynchronizer	1446956710755	0	0	0
BMS	AlarmSynchronizer	1446956710779	0	0	0
BMS	ConnectorSynchronizer (import)	1446957010540	0	0	0
BMS	MeasurementSynchronizer	1446957010573	0	0	36
BMS	WorkOrderSynchronizer	1446957010639	0	0	0
BMS	TagSynchronizer	1446957010700	0	0	0
BMS	PropertySynchronizer	1446957010767	0	0	0
BMS	AlarmSynchronizer	1446957010786	0	0	0
BMS	ConnectorSynchronizer (import)	1446957310520	0	0	0
BMS	MeasurementSynchronizer	1446957310550	0	0	36
BMS	WorkOrderSynchronizer	1446957310608	0	0	0
BMS	TagSynchronizer	1446957310665	0	0	0
BMS	PropertySynchronizer	1446957310731	0	0	0
BMS	AlarmSynchronizer	1446957310750	0	0	0
BMS	ConnectorSynchronizer (import)	1446957610520	0	0	0
BMS	MeasurementSynchronizer	1446957610556	0	0	36
BMS	WorkOrderSynchronizer	1446957610622	0	0	0
BMS	TagSynchronizer	1446957610683	0	0	0
BMS	PropertySynchronizer	1446957610753	0	0	0
BMS	AlarmSynchronizer	1446957610774	0	0	0
BMS	ConnectorSynchronizer (import)	1446957910504	0	0	0
BMS	MeasurementSynchronizer	1446957910536	0	0	36
BMS	WorkOrderSynchronizer	1446957910599	0	0	0
BMS	TagSynchronizer	1446957910660	0	0	0
BMS	PropertySynchronizer	1446957910731	0	0	0
BMS	AlarmSynchronizer	1446957910753	0	0	0
BMS	ConnectorSynchronizer (import)	1446958210561	0	0	0
BMS	MeasurementSynchronizer	1446958210593	0	0	36
BMS	WorkOrderSynchronizer	1446958210657	0	0	0
BMS	TagSynchronizer	1446958210719	0	0	0
BMS	PropertySynchronizer	1446958210788	0	0	0
BMS	AlarmSynchronizer	1446958210808	0	0	0
BMS	ConnectorSynchronizer (import)	1446958510526	0	0	0
BMS	MeasurementSynchronizer	1446958510559	0	0	36
BMS	WorkOrderSynchronizer	1446958510624	0	0	0
BMS	TagSynchronizer	1446958510686	0	0	0
BMS	PropertySynchronizer	1446958510756	0	0	0
BMS	AlarmSynchronizer	1446958510777	0	0	0
BMS	ConnectorSynchronizer (import)	1446958810553	0	0	0
BMS	MeasurementSynchronizer	1446958810589	0	0	36
BMS	WorkOrderSynchronizer	1446958810659	0	0	0
BMS	TagSynchronizer	1446958810725	0	0	0
BMS	PropertySynchronizer	1446958810797	0	0	0
BMS	AlarmSynchronizer	1446958810819	0	0	0
BMS	ConnectorSynchronizer (import)	1446959110542	0	0	0
BMS	MeasurementSynchronizer	1446959110576	0	0	36
BMS	WorkOrderSynchronizer	1446959110644	0	0	0
BMS	TagSynchronizer	1446959110707	0	0	0
BMS	PropertySynchronizer	1446959110780	0	0	0
BMS	AlarmSynchronizer	1446959110802	0	0	0
BMS	ConnectorSynchronizer (import)	1446959410501	0	0	0
BMS	MeasurementSynchronizer	1446959410534	0	0	36
BMS	WorkOrderSynchronizer	1446959410597	0	0	0
BMS	TagSynchronizer	1446959410660	0	0	0
BMS	PropertySynchronizer	1446959410730	0	0	0
BMS	AlarmSynchronizer	1446959410750	0	0	0
BMS	ConnectorSynchronizer (import)	1446959710521	0	0	0
BMS	MeasurementSynchronizer	1446959710554	0	0	36
BMS	WorkOrderSynchronizer	1446959710618	0	0	0
BMS	TagSynchronizer	1446959710679	0	0	0
BMS	PropertySynchronizer	1446959710749	0	0	0
BMS	AlarmSynchronizer	1446959710770	0	0	0
BMS	ConnectorSynchronizer (import)	1446960010511	0	0	0
BMS	MeasurementSynchronizer	1446960010544	0	0	36
BMS	WorkOrderSynchronizer	1446960010608	0	0	0
BMS	TagSynchronizer	1446960010670	0	0	0
BMS	PropertySynchronizer	1446960010740	0	0	0
BMS	AlarmSynchronizer	1446960010762	0	0	0
BMS	ConnectorSynchronizer (import)	1446960310518	0	0	0
BMS	MeasurementSynchronizer	1446960310552	0	0	36
BMS	WorkOrderSynchronizer	1446960310618	0	0	0
BMS	TagSynchronizer	1446960310679	0	0	0
BMS	PropertySynchronizer	1446960310749	0	0	0
BMS	AlarmSynchronizer	1446960310770	0	0	0
BMS	ConnectorSynchronizer (import)	1446960610518	0	0	0
BMS	MeasurementSynchronizer	1446960610553	0	0	36
BMS	WorkOrderSynchronizer	1446960610620	0	0	0
BMS	TagSynchronizer	1446960610683	0	0	0
BMS	PropertySynchronizer	1446960610755	0	0	0
BMS	AlarmSynchronizer	1446960610777	0	0	0
BMS	ConnectorSynchronizer (import)	1446960910507	0	0	0
BMS	MeasurementSynchronizer	1446960910537	0	0	36
BMS	WorkOrderSynchronizer	1446960910595	0	0	0
BMS	TagSynchronizer	1446960910652	0	0	0
BMS	PropertySynchronizer	1446960910716	0	0	0
BMS	AlarmSynchronizer	1446960910737	0	0	0
BMS	ConnectorSynchronizer (import)	1446961210535	0	0	0
BMS	MeasurementSynchronizer	1446961210567	0	0	36
BMS	WorkOrderSynchronizer	1446961210631	0	0	0
BMS	TagSynchronizer	1446961210693	0	0	0
BMS	PropertySynchronizer	1446961210762	0	0	0
BMS	AlarmSynchronizer	1446961210782	0	0	0
BMS	ConnectorSynchronizer (import)	1446961510517	0	0	0
BMS	MeasurementSynchronizer	1446961510550	0	0	36
BMS	WorkOrderSynchronizer	1446961510615	0	0	0
BMS	TagSynchronizer	1446961510677	0	0	0
BMS	PropertySynchronizer	1446961510746	0	0	0
BMS	AlarmSynchronizer	1446961510767	0	0	0
BMS	ConnectorSynchronizer (import)	1446961810523	0	0	0
BMS	MeasurementSynchronizer	1446961810556	0	0	36
BMS	WorkOrderSynchronizer	1446961810620	0	0	0
BMS	TagSynchronizer	1446961810683	0	0	0
BMS	PropertySynchronizer	1446961810753	0	0	0
BMS	AlarmSynchronizer	1446961810774	0	0	0
BMS	ConnectorSynchronizer (import)	1446962110524	0	0	0
BMS	MeasurementSynchronizer	1446962110558	0	0	36
BMS	WorkOrderSynchronizer	1446962110622	0	0	0
BMS	TagSynchronizer	1446962110684	0	0	0
BMS	PropertySynchronizer	1446962110755	0	0	0
BMS	AlarmSynchronizer	1446962110776	0	0	0
BMS	ConnectorSynchronizer (import)	1446962410541	0	0	0
BMS	MeasurementSynchronizer	1446962410573	0	0	36
BMS	WorkOrderSynchronizer	1446962410637	0	0	0
BMS	TagSynchronizer	1446962410699	0	0	0
BMS	PropertySynchronizer	1446962410770	0	0	0
BMS	AlarmSynchronizer	1446962410791	0	0	0
BMS	ConnectorSynchronizer (import)	1446962710553	0	0	0
BMS	MeasurementSynchronizer	1446962710587	0	0	36
BMS	WorkOrderSynchronizer	1446962710653	0	0	0
BMS	TagSynchronizer	1446962710715	0	0	0
BMS	PropertySynchronizer	1446962710785	0	0	0
BMS	AlarmSynchronizer	1446962710807	0	0	0
BMS	ConnectorSynchronizer (import)	1446963010514	0	0	0
BMS	MeasurementSynchronizer	1446963010548	0	0	36
BMS	WorkOrderSynchronizer	1446963010614	0	0	0
BMS	TagSynchronizer	1446963010676	0	0	0
BMS	PropertySynchronizer	1446963010747	0	0	0
BMS	AlarmSynchronizer	1446963010769	0	0	0
BMS	ConnectorSynchronizer (import)	1446963310520	0	0	0
BMS	MeasurementSynchronizer	1446963310553	0	0	36
BMS	WorkOrderSynchronizer	1446963310618	0	0	0
BMS	TagSynchronizer	1446963310680	0	0	0
BMS	PropertySynchronizer	1446963310748	0	0	0
BMS	AlarmSynchronizer	1446963310768	0	0	0
BMS	ConnectorSynchronizer (import)	1446963610525	0	0	0
BMS	MeasurementSynchronizer	1446963610556	0	0	36
BMS	WorkOrderSynchronizer	1446963610615	0	0	0
BMS	TagSynchronizer	1446963610674	0	0	0
BMS	PropertySynchronizer	1446963610740	0	0	0
BMS	AlarmSynchronizer	1446963610758	0	0	0
BMS	ConnectorSynchronizer (import)	1446963910527	0	0	0
BMS	MeasurementSynchronizer	1446963910561	0	0	36
BMS	WorkOrderSynchronizer	1446963910630	0	0	0
BMS	TagSynchronizer	1446963910692	0	0	0
BMS	PropertySynchronizer	1446963910761	0	0	0
BMS	AlarmSynchronizer	1446963910782	0	0	0
BMS	ConnectorSynchronizer (import)	1446964210523	0	0	0
BMS	MeasurementSynchronizer	1446964210556	0	0	36
BMS	WorkOrderSynchronizer	1446964210621	0	0	0
BMS	TagSynchronizer	1446964210682	0	0	0
BMS	PropertySynchronizer	1446964210752	0	0	0
BMS	AlarmSynchronizer	1446964210773	0	0	0
BMS	ConnectorSynchronizer (import)	1446964510537	0	0	0
BMS	MeasurementSynchronizer	1446964510570	0	0	36
BMS	WorkOrderSynchronizer	1446964510634	0	0	0
BMS	TagSynchronizer	1446964510696	0	0	0
BMS	PropertySynchronizer	1446964510766	0	0	0
BMS	AlarmSynchronizer	1446964510787	0	0	0
BMS	ConnectorSynchronizer (import)	1446964810564	0	0	0
BMS	MeasurementSynchronizer	1446964810598	0	0	36
BMS	WorkOrderSynchronizer	1446964810664	0	0	0
BMS	TagSynchronizer	1446964810728	0	0	0
BMS	PropertySynchronizer	1446964810798	0	0	0
BMS	AlarmSynchronizer	1446964810819	0	0	0
BMS	ConnectorSynchronizer (import)	1446965110526	0	0	0
BMS	MeasurementSynchronizer	1446965110546	0	0	36
BMS	WorkOrderSynchronizer	1446965110598	0	0	0
BMS	TagSynchronizer	1446965110656	0	0	0
BMS	PropertySynchronizer	1446965110716	0	0	0
BMS	AlarmSynchronizer	1446965110738	0	0	0
BMS	ConnectorSynchronizer (import)	1446965410532	0	0	0
BMS	MeasurementSynchronizer	1446965410571	0	0	36
BMS	WorkOrderSynchronizer	1446965410641	0	0	0
BMS	TagSynchronizer	1446965410707	0	0	0
BMS	PropertySynchronizer	1446965410779	0	0	0
BMS	AlarmSynchronizer	1446965410802	0	0	0
BMS	ConnectorSynchronizer (import)	1446965710502	0	0	0
BMS	MeasurementSynchronizer	1446965710531	0	0	36
BMS	WorkOrderSynchronizer	1446965710594	0	0	0
BMS	TagSynchronizer	1446965710658	0	0	0
BMS	PropertySynchronizer	1446965710731	0	0	0
BMS	AlarmSynchronizer	1446965710753	0	0	0
BMS	ConnectorSynchronizer (import)	1446966010540	0	0	0
BMS	MeasurementSynchronizer	1446966010572	0	0	36
BMS	WorkOrderSynchronizer	1446966010636	0	0	0
BMS	TagSynchronizer	1446966010698	0	0	0
BMS	PropertySynchronizer	1446966010768	0	0	0
BMS	AlarmSynchronizer	1446966010789	0	0	0
BMS	ConnectorSynchronizer (import)	1446966310524	0	0	0
BMS	MeasurementSynchronizer	1446966310557	0	0	36
BMS	WorkOrderSynchronizer	1446966310621	0	0	0
BMS	TagSynchronizer	1446966310684	0	0	0
BMS	PropertySynchronizer	1446966310755	0	0	0
BMS	AlarmSynchronizer	1446966310776	0	0	0
BMS	ConnectorSynchronizer (import)	1446966610553	0	0	0
BMS	MeasurementSynchronizer	1446966610585	0	0	36
BMS	WorkOrderSynchronizer	1446966610651	0	0	0
BMS	TagSynchronizer	1446966610713	0	0	0
BMS	PropertySynchronizer	1446966610782	0	0	0
BMS	AlarmSynchronizer	1446966610803	0	0	0
BMS	ConnectorSynchronizer (import)	1446966910835	0	0	0
BMS	MeasurementSynchronizer	1446966910866	0	0	36
BMS	WorkOrderSynchronizer	1446966910925	0	0	0
BMS	TagSynchronizer	1446966910982	0	0	0
BMS	PropertySynchronizer	1446966911046	0	0	0
BMS	AlarmSynchronizer	1446966911065	0	0	0
BMS	ConnectorSynchronizer (import)	1446967210536	0	0	0
BMS	MeasurementSynchronizer	1446967210567	0	0	36
BMS	WorkOrderSynchronizer	1446967210625	0	0	0
BMS	TagSynchronizer	1446967210682	0	0	0
BMS	PropertySynchronizer	1446967210743	0	0	0
BMS	AlarmSynchronizer	1446967210760	0	0	0
BMS	ConnectorSynchronizer (import)	1446967510530	0	0	0
BMS	MeasurementSynchronizer	1446967510565	0	0	36
BMS	WorkOrderSynchronizer	1446967510633	0	0	0
BMS	TagSynchronizer	1446967510695	0	0	0
BMS	PropertySynchronizer	1446967510765	0	0	0
BMS	AlarmSynchronizer	1446967510785	0	0	0
BMS	ConnectorSynchronizer (import)	1446967810511	0	0	0
BMS	MeasurementSynchronizer	1446967810544	0	0	36
BMS	WorkOrderSynchronizer	1446967810607	0	0	0
BMS	TagSynchronizer	1446967810669	0	0	0
BMS	PropertySynchronizer	1446967810739	0	0	0
BMS	AlarmSynchronizer	1446967810759	0	0	0
BMS	ConnectorSynchronizer (import)	1446968110525	0	0	0
BMS	MeasurementSynchronizer	1446968110558	0	0	36
BMS	WorkOrderSynchronizer	1446968110635	0	0	0
BMS	TagSynchronizer	1446968110698	0	0	0
BMS	PropertySynchronizer	1446968110768	0	0	0
BMS	AlarmSynchronizer	1446968110788	0	0	0
BMS	ConnectorSynchronizer (import)	1446968410511	0	0	0
BMS	MeasurementSynchronizer	1446968410545	0	0	36
BMS	WorkOrderSynchronizer	1446968410609	0	0	0
BMS	TagSynchronizer	1446968410672	0	0	0
BMS	PropertySynchronizer	1446968410744	0	0	0
BMS	AlarmSynchronizer	1446968410765	0	0	0
BMS	ConnectorSynchronizer (import)	1446968710535	0	0	0
BMS	MeasurementSynchronizer	1446968710569	0	0	36
BMS	WorkOrderSynchronizer	1446968710635	0	0	0
BMS	TagSynchronizer	1446968710697	0	0	0
BMS	PropertySynchronizer	1446968710763	0	0	0
BMS	AlarmSynchronizer	1446968710782	0	0	0
BMS	ConnectorSynchronizer (import)	1446969010512	0	0	0
BMS	MeasurementSynchronizer	1446969010541	0	0	36
BMS	WorkOrderSynchronizer	1446969010602	0	0	0
BMS	TagSynchronizer	1446969010664	0	0	0
BMS	PropertySynchronizer	1446969010734	0	0	0
BMS	AlarmSynchronizer	1446969010755	0	0	0
BMS	ConnectorSynchronizer (import)	1446969310553	0	0	0
BMS	MeasurementSynchronizer	1446969310586	0	0	36
BMS	WorkOrderSynchronizer	1446969310652	0	0	0
BMS	TagSynchronizer	1446969310716	0	0	0
BMS	PropertySynchronizer	1446969310785	0	0	0
BMS	AlarmSynchronizer	1446969310806	0	0	0
BMS	ConnectorSynchronizer (import)	1446969610515	0	0	0
BMS	MeasurementSynchronizer	1446969610547	0	0	36
BMS	WorkOrderSynchronizer	1446969610611	0	0	0
BMS	TagSynchronizer	1446969610673	0	0	0
BMS	PropertySynchronizer	1446969610741	0	0	0
BMS	AlarmSynchronizer	1446969610762	0	0	0
BMS	ConnectorSynchronizer (import)	1446969910522	0	0	0
BMS	MeasurementSynchronizer	1446969910554	0	0	36
BMS	WorkOrderSynchronizer	1446969910619	0	0	0
BMS	TagSynchronizer	1446969910681	0	0	0
BMS	PropertySynchronizer	1446969910750	0	0	0
BMS	AlarmSynchronizer	1446969910771	0	0	0
BMS	ConnectorSynchronizer (import)	1446970210556	0	0	0
BMS	MeasurementSynchronizer	1446970210590	0	0	36
BMS	WorkOrderSynchronizer	1446970210657	0	0	0
BMS	TagSynchronizer	1446970210720	0	0	0
BMS	PropertySynchronizer	1446970210790	0	0	0
BMS	AlarmSynchronizer	1446970210812	0	0	0
BMS	ConnectorSynchronizer (import)	1446970510530	0	0	0
BMS	MeasurementSynchronizer	1446970510562	0	0	36
BMS	WorkOrderSynchronizer	1446970510622	0	0	0
BMS	TagSynchronizer	1446970510680	0	0	0
BMS	PropertySynchronizer	1446970510745	0	0	0
BMS	AlarmSynchronizer	1446970510762	0	0	0
BMS	ConnectorSynchronizer (import)	1446970810525	0	0	0
BMS	MeasurementSynchronizer	1446970810558	0	0	36
BMS	WorkOrderSynchronizer	1446970810622	0	0	0
BMS	TagSynchronizer	1446970810686	0	0	0
BMS	PropertySynchronizer	1446970810757	0	0	0
BMS	AlarmSynchronizer	1446970810778	0	0	0
BMS	ConnectorSynchronizer (import)	1446971110512	0	0	0
BMS	MeasurementSynchronizer	1446971110544	0	0	36
BMS	WorkOrderSynchronizer	1446971110607	0	0	0
BMS	TagSynchronizer	1446971110672	0	0	0
BMS	PropertySynchronizer	1446971110742	0	0	0
BMS	AlarmSynchronizer	1446971110763	0	0	0
BMS	ConnectorSynchronizer (import)	1446971410521	0	0	0
BMS	MeasurementSynchronizer	1446971410554	0	0	36
BMS	WorkOrderSynchronizer	1446971410618	0	0	0
BMS	TagSynchronizer	1446971410680	0	0	0
BMS	PropertySynchronizer	1446971410750	0	0	0
BMS	AlarmSynchronizer	1446971410770	0	0	0
BMS	ConnectorSynchronizer (import)	1446971710522	0	0	0
BMS	MeasurementSynchronizer	1446971710555	0	0	36
BMS	WorkOrderSynchronizer	1446971710620	0	0	0
BMS	TagSynchronizer	1446971710681	0	0	0
BMS	PropertySynchronizer	1446971710751	0	0	0
BMS	AlarmSynchronizer	1446971710771	0	0	0
BMS	ConnectorSynchronizer (import)	1446972010555	0	0	0
BMS	MeasurementSynchronizer	1446972010587	0	0	36
BMS	WorkOrderSynchronizer	1446972010652	0	0	0
BMS	TagSynchronizer	1446972010715	0	0	0
BMS	PropertySynchronizer	1446972010786	0	0	0
BMS	AlarmSynchronizer	1446972010807	0	0	0
BMS	ConnectorSynchronizer (import)	1446972310516	0	0	0
BMS	MeasurementSynchronizer	1446972310548	0	0	36
BMS	WorkOrderSynchronizer	1446972310599	0	0	0
BMS	TagSynchronizer	1446972310648	0	0	0
BMS	PropertySynchronizer	1446972310702	0	0	0
BMS	AlarmSynchronizer	1446972310721	0	0	0
BMS	ConnectorSynchronizer (import)	1446972610539	0	0	0
BMS	MeasurementSynchronizer	1446972610571	0	0	36
BMS	WorkOrderSynchronizer	1446972610635	0	0	0
BMS	TagSynchronizer	1446972610697	0	0	0
BMS	PropertySynchronizer	1446972610768	0	0	0
BMS	AlarmSynchronizer	1446972610790	0	0	0
BMS	ConnectorSynchronizer (import)	1446972910539	0	0	0
BMS	MeasurementSynchronizer	1446972910572	0	0	36
BMS	WorkOrderSynchronizer	1446972910637	0	0	0
BMS	TagSynchronizer	1446972910699	0	0	0
BMS	PropertySynchronizer	1446972910769	0	0	0
BMS	AlarmSynchronizer	1446972910790	0	0	0
BMS	ConnectorSynchronizer (import)	1446973210524	0	0	0
BMS	MeasurementSynchronizer	1446973210557	0	0	36
BMS	WorkOrderSynchronizer	1446973210621	0	0	0
BMS	TagSynchronizer	1446973210684	0	0	0
BMS	PropertySynchronizer	1446973210756	0	0	0
BMS	AlarmSynchronizer	1446973210777	0	0	0
BMS	ConnectorSynchronizer (import)	1446973510537	0	0	0
BMS	MeasurementSynchronizer	1446973510571	0	0	36
BMS	WorkOrderSynchronizer	1446973510638	0	0	0
BMS	TagSynchronizer	1446973510701	0	0	0
BMS	PropertySynchronizer	1446973510772	0	0	0
BMS	AlarmSynchronizer	1446973510794	0	0	0
BMS	ConnectorSynchronizer (import)	1446973810530	0	0	0
BMS	MeasurementSynchronizer	1446973810564	0	0	36
BMS	WorkOrderSynchronizer	1446973810632	0	0	0
BMS	TagSynchronizer	1446973810697	0	0	0
BMS	PropertySynchronizer	1446973810769	0	0	0
BMS	AlarmSynchronizer	1446973810790	0	0	0
BMS	ConnectorSynchronizer (import)	1446974110564	0	0	0
BMS	MeasurementSynchronizer	1446974110599	0	0	36
BMS	WorkOrderSynchronizer	1446974110665	0	0	0
BMS	TagSynchronizer	1446974110729	0	0	0
BMS	PropertySynchronizer	1446974110800	0	0	0
BMS	AlarmSynchronizer	1446974110822	0	0	0
BMS	ConnectorSynchronizer (import)	1446974410524	0	0	0
BMS	MeasurementSynchronizer	1446974410557	0	0	36
BMS	WorkOrderSynchronizer	1446974410622	0	0	0
BMS	TagSynchronizer	1446974410684	0	0	0
BMS	PropertySynchronizer	1446974410754	0	0	0
BMS	AlarmSynchronizer	1446974410779	0	0	0
BMS	ConnectorSynchronizer (import)	1446974710522	0	0	0
BMS	MeasurementSynchronizer	1446974710555	0	0	36
BMS	WorkOrderSynchronizer	1446974710619	0	0	0
BMS	TagSynchronizer	1446974710681	0	0	0
BMS	PropertySynchronizer	1446974710751	0	0	0
BMS	AlarmSynchronizer	1446974710773	0	0	0
BMS	ConnectorSynchronizer (import)	1446975010527	0	0	0
BMS	MeasurementSynchronizer	1446975010561	0	0	36
BMS	WorkOrderSynchronizer	1446975010946	0	0	0
BMS	TagSynchronizer	1446975010997	0	0	0
BMS	PropertySynchronizer	1446975011060	0	0	0
BMS	AlarmSynchronizer	1446975011081	0	0	0
BMS	ConnectorSynchronizer (import)	1446975310536	0	0	0
BMS	MeasurementSynchronizer	1446975310569	0	0	36
BMS	WorkOrderSynchronizer	1446975310632	0	0	0
BMS	TagSynchronizer	1446975310694	0	0	0
BMS	PropertySynchronizer	1446975310763	0	0	0
BMS	AlarmSynchronizer	1446975310784	0	0	0
BMS	ConnectorSynchronizer (import)	1446975610517	0	0	0
BMS	MeasurementSynchronizer	1446975610550	0	0	36
BMS	WorkOrderSynchronizer	1446975610616	0	0	0
BMS	TagSynchronizer	1446975610678	0	0	0
BMS	PropertySynchronizer	1446975610747	0	0	0
BMS	AlarmSynchronizer	1446975610769	0	0	0
BMS	ConnectorSynchronizer (import)	1446975910538	0	0	0
BMS	MeasurementSynchronizer	1446975910571	0	0	36
BMS	WorkOrderSynchronizer	1446975910636	0	0	0
BMS	TagSynchronizer	1446975910699	0	0	0
BMS	PropertySynchronizer	1446975910769	0	0	0
BMS	AlarmSynchronizer	1446975910790	0	0	0
BMS	ConnectorSynchronizer (import)	1446976210540	0	0	0
BMS	MeasurementSynchronizer	1446976210576	0	0	36
BMS	WorkOrderSynchronizer	1446976210643	0	0	0
BMS	TagSynchronizer	1446976210706	0	0	0
BMS	PropertySynchronizer	1446976210778	0	0	0
BMS	AlarmSynchronizer	1446976210799	0	0	0
BMS	ConnectorSynchronizer (import)	1446976510529	0	0	0
BMS	MeasurementSynchronizer	1446976510560	0	0	36
BMS	WorkOrderSynchronizer	1446976510619	0	0	0
BMS	TagSynchronizer	1446976510677	0	0	0
BMS	PropertySynchronizer	1446976510737	0	0	0
BMS	AlarmSynchronizer	1446976510757	0	0	0
BMS	ConnectorSynchronizer (import)	1446976810557	0	0	0
BMS	MeasurementSynchronizer	1446976810593	0	0	36
BMS	WorkOrderSynchronizer	1446976810657	0	0	0
BMS	TagSynchronizer	1446976810726	0	0	0
BMS	PropertySynchronizer	1446976810799	0	0	0
BMS	AlarmSynchronizer	1446976810821	0	0	0
BMS	ConnectorSynchronizer (import)	1446977110532	0	0	0
BMS	MeasurementSynchronizer	1446977110566	0	0	36
BMS	WorkOrderSynchronizer	1446977110631	0	0	0
BMS	TagSynchronizer	1446977110693	0	0	0
BMS	PropertySynchronizer	1446977110765	0	0	0
BMS	AlarmSynchronizer	1446977110791	0	0	0
BMS	ConnectorSynchronizer (import)	1446977410549	0	0	0
BMS	MeasurementSynchronizer	1446977410582	0	0	36
BMS	WorkOrderSynchronizer	1446977410646	0	0	0
BMS	TagSynchronizer	1446977410707	0	0	0
BMS	PropertySynchronizer	1446977410778	0	0	0
BMS	AlarmSynchronizer	1446977410799	0	0	0
BMS	ConnectorSynchronizer (import)	1446977710517	0	0	0
BMS	MeasurementSynchronizer	1446977710552	0	0	36
BMS	WorkOrderSynchronizer	1446977710617	0	0	0
BMS	TagSynchronizer	1446977710679	0	0	0
BMS	PropertySynchronizer	1446977710748	0	0	0
BMS	AlarmSynchronizer	1446977710769	0	0	0
BMS	ConnectorSynchronizer (import)	1446978010534	0	0	0
BMS	MeasurementSynchronizer	1446978010568	0	0	36
BMS	WorkOrderSynchronizer	1446978010709	0	0	0
BMS	TagSynchronizer	1446978010788	0	0	0
BMS	PropertySynchronizer	1446978010861	0	0	0
BMS	AlarmSynchronizer	1446978010883	0	0	0
BMS	ConnectorSynchronizer (import)	1446978310530	0	0	0
BMS	MeasurementSynchronizer	1446978310575	0	0	36
BMS	WorkOrderSynchronizer	1446978310647	0	0	0
BMS	TagSynchronizer	1446978310713	0	0	0
BMS	PropertySynchronizer	1446978310785	0	0	0
BMS	AlarmSynchronizer	1446978310807	0	0	0
BMS	ConnectorSynchronizer (import)	1446978610528	0	0	0
BMS	MeasurementSynchronizer	1446978610568	0	0	36
BMS	WorkOrderSynchronizer	1446978610638	0	0	0
BMS	TagSynchronizer	1446978610708	0	0	0
BMS	PropertySynchronizer	1446978610779	0	0	0
BMS	AlarmSynchronizer	1446978610803	0	0	0
BMS	ConnectorSynchronizer (import)	1446978910532	0	0	0
BMS	MeasurementSynchronizer	1446978910565	0	0	36
BMS	WorkOrderSynchronizer	1446978910630	0	0	0
BMS	TagSynchronizer	1446978910698	0	0	0
BMS	PropertySynchronizer	1446978910773	0	0	0
BMS	AlarmSynchronizer	1446978910795	0	0	0
BMS	ConnectorSynchronizer (import)	1446979210554	0	0	0
BMS	MeasurementSynchronizer	1446979210589	0	0	36
BMS	WorkOrderSynchronizer	1446979210658	0	0	0
BMS	TagSynchronizer	1446979210736	0	0	0
BMS	PropertySynchronizer	1446979210815	0	0	0
BMS	AlarmSynchronizer	1446979210835	0	0	0
BMS	ConnectorSynchronizer (import)	1446979510524	0	0	0
BMS	MeasurementSynchronizer	1446979510557	0	0	36
BMS	WorkOrderSynchronizer	1446979510620	0	0	0
BMS	TagSynchronizer	1446979510681	0	0	0
BMS	PropertySynchronizer	1446979510751	0	0	0
BMS	AlarmSynchronizer	1446979510772	0	0	0
BMS	ConnectorSynchronizer (import)	1446979810528	0	0	0
BMS	MeasurementSynchronizer	1446979810562	0	0	36
BMS	WorkOrderSynchronizer	1446979810628	0	0	0
BMS	TagSynchronizer	1446979810691	0	0	0
BMS	PropertySynchronizer	1446979810762	0	0	0
BMS	AlarmSynchronizer	1446979810783	0	0	0
BMS	ConnectorSynchronizer (import)	1446980110588	0	0	0
BMS	MeasurementSynchronizer	1446980110621	0	0	36
BMS	WorkOrderSynchronizer	1446980110690	0	0	0
BMS	TagSynchronizer	1446980110752	0	0	0
BMS	PropertySynchronizer	1446980110823	0	0	0
BMS	AlarmSynchronizer	1446980110844	0	0	0
BMS	ConnectorSynchronizer (import)	1446980410533	0	0	0
BMS	MeasurementSynchronizer	1446980410566	0	0	36
BMS	WorkOrderSynchronizer	1446980410639	0	0	0
BMS	TagSynchronizer	1446980410702	0	0	0
BMS	PropertySynchronizer	1446980410773	0	0	0
BMS	AlarmSynchronizer	1446980410794	0	0	0
BMS	ConnectorSynchronizer (import)	1446980710521	0	0	0
BMS	MeasurementSynchronizer	1446980710554	0	0	36
BMS	WorkOrderSynchronizer	1446980710621	0	0	0
BMS	TagSynchronizer	1446980710683	0	0	0
BMS	PropertySynchronizer	1446980710753	0	0	0
BMS	AlarmSynchronizer	1446980710774	0	0	0
BMS	ConnectorSynchronizer (import)	1446981010539	0	0	0
BMS	MeasurementSynchronizer	1446981010572	0	0	36
BMS	WorkOrderSynchronizer	1446981010637	0	0	0
BMS	TagSynchronizer	1446981010698	0	0	0
BMS	PropertySynchronizer	1446981010770	0	0	0
BMS	AlarmSynchronizer	1446981010791	0	0	0
BMS	ConnectorSynchronizer (import)	1446981310521	0	0	0
BMS	MeasurementSynchronizer	1446981310553	0	0	36
BMS	WorkOrderSynchronizer	1446981310618	0	0	0
BMS	TagSynchronizer	1446981310681	0	0	0
BMS	PropertySynchronizer	1446981310753	0	0	0
BMS	AlarmSynchronizer	1446981310774	0	0	0
BMS	ConnectorSynchronizer (import)	1446981610549	0	0	0
BMS	MeasurementSynchronizer	1446981610582	0	0	36
BMS	WorkOrderSynchronizer	1446981610646	0	0	0
BMS	TagSynchronizer	1446981610707	0	0	0
BMS	PropertySynchronizer	1446981610778	0	0	0
BMS	AlarmSynchronizer	1446981610801	0	0	0
BMS	ConnectorSynchronizer (import)	1446981910534	0	0	0
BMS	MeasurementSynchronizer	1446981910568	0	0	36
BMS	WorkOrderSynchronizer	1446981910632	0	0	0
BMS	TagSynchronizer	1446981910696	0	0	0
BMS	PropertySynchronizer	1446981910767	0	0	0
BMS	AlarmSynchronizer	1446981910788	0	0	0
BMS	ConnectorSynchronizer (import)	1446982210514	0	0	0
BMS	MeasurementSynchronizer	1446982210549	0	0	36
BMS	WorkOrderSynchronizer	1446982210617	0	0	0
BMS	TagSynchronizer	1446982210683	0	0	0
BMS	PropertySynchronizer	1446982210757	0	0	0
BMS	AlarmSynchronizer	1446982210781	0	0	0
BMS	ConnectorSynchronizer (import)	1446982510533	0	0	0
BMS	MeasurementSynchronizer	1446982510566	0	0	36
BMS	WorkOrderSynchronizer	1446982510632	0	0	0
BMS	TagSynchronizer	1446982510695	0	0	0
BMS	PropertySynchronizer	1446982510767	0	0	0
BMS	AlarmSynchronizer	1446982510789	0	0	0
BMS	ConnectorSynchronizer (import)	1446982810580	0	0	0
BMS	MeasurementSynchronizer	1446982810613	0	0	36
BMS	WorkOrderSynchronizer	1446982810677	0	0	0
BMS	TagSynchronizer	1446982810740	0	0	0
BMS	PropertySynchronizer	1446982810810	0	0	0
BMS	AlarmSynchronizer	1446982810831	0	0	0
BMS	ConnectorSynchronizer (import)	1446983110589	0	0	0
BMS	MeasurementSynchronizer	1446983110623	0	0	36
BMS	WorkOrderSynchronizer	1446983111014	0	0	0
BMS	TagSynchronizer	1446983111067	0	0	0
BMS	PropertySynchronizer	1446983111130	0	0	0
BMS	AlarmSynchronizer	1446983111151	0	0	0
BMS	ConnectorSynchronizer (import)	1446983410545	0	0	0
BMS	MeasurementSynchronizer	1446983410578	0	0	36
BMS	WorkOrderSynchronizer	1446983410642	0	0	0
BMS	TagSynchronizer	1446983410705	0	0	0
BMS	PropertySynchronizer	1446983410775	0	0	0
BMS	AlarmSynchronizer	1446983410795	0	0	0
BMS	ConnectorSynchronizer (import)	1446983710527	0	0	0
BMS	MeasurementSynchronizer	1446983710559	0	0	36
BMS	WorkOrderSynchronizer	1446983710624	0	0	0
BMS	TagSynchronizer	1446983710685	0	0	0
BMS	PropertySynchronizer	1446983710755	0	0	0
BMS	AlarmSynchronizer	1446983710776	0	0	0
BMS	ConnectorSynchronizer (import)	1446984010528	0	0	0
BMS	MeasurementSynchronizer	1446984010561	0	0	36
BMS	WorkOrderSynchronizer	1446984010625	0	0	0
BMS	TagSynchronizer	1446984010687	0	0	0
BMS	PropertySynchronizer	1446984010758	0	0	0
BMS	AlarmSynchronizer	1446984010779	0	0	0
BMS	ConnectorSynchronizer (import)	1446984310548	0	0	0
BMS	MeasurementSynchronizer	1446984310582	0	0	36
BMS	WorkOrderSynchronizer	1446984310650	0	0	0
BMS	TagSynchronizer	1446984310716	0	0	0
BMS	PropertySynchronizer	1446984310789	0	0	0
BMS	AlarmSynchronizer	1446984310811	0	0	0
BMS	ConnectorSynchronizer (import)	1446984610535	0	0	0
BMS	MeasurementSynchronizer	1446984610569	0	0	36
BMS	WorkOrderSynchronizer	1446984610634	0	0	0
BMS	TagSynchronizer	1446984610695	0	0	0
BMS	PropertySynchronizer	1446984610762	0	0	0
BMS	AlarmSynchronizer	1446984610782	0	0	0
BMS	ConnectorSynchronizer (import)	1446984910546	0	0	0
BMS	MeasurementSynchronizer	1446984910580	0	0	36
BMS	WorkOrderSynchronizer	1446984910643	0	0	0
BMS	TagSynchronizer	1446984910703	0	0	0
BMS	PropertySynchronizer	1446984910771	0	0	0
BMS	AlarmSynchronizer	1446984910791	0	0	0
BMS	ConnectorSynchronizer (import)	1446985210521	0	0	0
BMS	MeasurementSynchronizer	1446985210551	0	0	36
BMS	WorkOrderSynchronizer	1446985210609	0	0	0
BMS	TagSynchronizer	1446985210667	0	0	0
BMS	PropertySynchronizer	1446985210733	0	0	0
BMS	AlarmSynchronizer	1446985210753	0	0	0
BMS	ConnectorSynchronizer (import)	1446985510522	0	0	0
BMS	MeasurementSynchronizer	1446985510555	0	0	36
BMS	WorkOrderSynchronizer	1446985510621	0	0	0
BMS	TagSynchronizer	1446985510682	0	0	0
BMS	PropertySynchronizer	1446985510753	0	0	0
BMS	AlarmSynchronizer	1446985510774	0	0	0
BMS	ConnectorSynchronizer (import)	1446985810524	0	0	0
BMS	MeasurementSynchronizer	1446985810557	0	0	36
BMS	WorkOrderSynchronizer	1446985810624	0	0	0
BMS	TagSynchronizer	1446985810690	0	0	0
BMS	PropertySynchronizer	1446985810763	0	0	0
BMS	AlarmSynchronizer	1446985810784	0	0	0
BMS	ConnectorSynchronizer (import)	1446986110545	0	0	0
BMS	MeasurementSynchronizer	1446986110579	0	0	36
BMS	WorkOrderSynchronizer	1446986110646	0	0	0
BMS	TagSynchronizer	1446986110711	0	0	0
BMS	PropertySynchronizer	1446986110783	0	0	0
BMS	AlarmSynchronizer	1446986110805	0	0	0
BMS	ConnectorSynchronizer (import)	1446986410544	0	0	0
BMS	MeasurementSynchronizer	1446986410576	0	0	36
BMS	WorkOrderSynchronizer	1446986410636	0	0	0
BMS	TagSynchronizer	1446986410694	0	0	0
BMS	PropertySynchronizer	1446986410760	0	0	0
BMS	AlarmSynchronizer	1446986410779	0	0	0
BMS	ConnectorSynchronizer (import)	1446986710515	0	0	0
BMS	MeasurementSynchronizer	1446986710548	0	0	36
BMS	WorkOrderSynchronizer	1446986710613	0	0	0
BMS	TagSynchronizer	1446986710676	0	0	0
BMS	PropertySynchronizer	1446986710748	0	0	0
BMS	AlarmSynchronizer	1446986710768	0	0	0
BMS	ConnectorSynchronizer (import)	1446987010516	0	0	0
BMS	MeasurementSynchronizer	1446987010550	0	0	36
BMS	WorkOrderSynchronizer	1446987010614	0	0	0
BMS	TagSynchronizer	1446987010676	0	0	0
BMS	PropertySynchronizer	1446987010748	0	0	0
BMS	AlarmSynchronizer	1446987010769	0	0	0
BMS	ConnectorSynchronizer (import)	1446987310520	0	0	0
BMS	MeasurementSynchronizer	1446987310553	0	0	36
BMS	WorkOrderSynchronizer	1446987310617	0	0	0
BMS	TagSynchronizer	1446987310679	0	0	0
BMS	PropertySynchronizer	1446987310749	0	0	0
BMS	AlarmSynchronizer	1446987310771	0	0	0
BMS	ConnectorSynchronizer (import)	1446987610521	0	0	0
BMS	MeasurementSynchronizer	1446987610554	0	0	36
BMS	WorkOrderSynchronizer	1446987610619	0	0	0
BMS	TagSynchronizer	1446987610680	0	0	0
BMS	PropertySynchronizer	1446987610752	0	0	0
BMS	AlarmSynchronizer	1446987610773	0	0	0
BMS	ConnectorSynchronizer (import)	1446987910520	0	0	0
BMS	MeasurementSynchronizer	1446987910555	0	0	36
BMS	WorkOrderSynchronizer	1446987910630	0	0	0
BMS	TagSynchronizer	1446987910695	0	0	0
BMS	PropertySynchronizer	1446987910766	0	0	0
BMS	AlarmSynchronizer	1446987910788	0	0	0
BMS	ConnectorSynchronizer (import)	1446988210517	0	0	0
BMS	MeasurementSynchronizer	1446988210550	0	0	36
BMS	WorkOrderSynchronizer	1446988210617	0	0	0
BMS	TagSynchronizer	1446988210680	0	0	0
BMS	PropertySynchronizer	1446988210752	0	0	0
BMS	AlarmSynchronizer	1446988210773	0	0	0
BMS	ConnectorSynchronizer (import)	1446988510539	0	0	0
BMS	MeasurementSynchronizer	1446988510571	0	0	36
BMS	WorkOrderSynchronizer	1446988510634	0	0	0
BMS	TagSynchronizer	1446988510695	0	0	0
BMS	PropertySynchronizer	1446988510766	0	0	0
BMS	AlarmSynchronizer	1446988510786	0	0	0
BMS	ConnectorSynchronizer (import)	1446988810522	0	0	0
BMS	MeasurementSynchronizer	1446988810559	0	0	36
BMS	WorkOrderSynchronizer	1446988810626	0	0	0
BMS	TagSynchronizer	1446988810690	0	0	0
BMS	PropertySynchronizer	1446988810762	0	0	0
BMS	AlarmSynchronizer	1446988810784	0	0	0
BMS	ConnectorSynchronizer (import)	1446989110549	0	0	0
BMS	MeasurementSynchronizer	1446989110580	0	0	36
BMS	WorkOrderSynchronizer	1446989110643	0	0	0
BMS	TagSynchronizer	1446989110705	0	0	0
BMS	PropertySynchronizer	1446989110775	0	0	0
BMS	AlarmSynchronizer	1446989110796	0	0	0
BMS	ConnectorSynchronizer (import)	1446989410515	0	0	0
BMS	MeasurementSynchronizer	1446989410548	0	0	36
BMS	WorkOrderSynchronizer	1446989410612	0	0	0
BMS	TagSynchronizer	1446989410676	0	0	0
BMS	PropertySynchronizer	1446989410747	0	0	0
BMS	AlarmSynchronizer	1446989410769	0	0	0
BMS	ConnectorSynchronizer (import)	1446989710542	0	0	0
BMS	MeasurementSynchronizer	1446989710576	0	0	36
BMS	WorkOrderSynchronizer	1446989710646	0	0	0
BMS	TagSynchronizer	1446989710709	0	0	0
BMS	PropertySynchronizer	1446989710780	0	0	0
BMS	AlarmSynchronizer	1446989710801	0	0	0
BMS	ConnectorSynchronizer (import)	1446990010505	0	0	0
BMS	MeasurementSynchronizer	1446990010536	0	0	36
BMS	WorkOrderSynchronizer	1446990010594	0	0	0
BMS	TagSynchronizer	1446990010651	0	0	0
BMS	PropertySynchronizer	1446990010717	0	0	0
BMS	AlarmSynchronizer	1446990010736	0	0	0
BMS	ConnectorSynchronizer (import)	1446990310548	0	0	0
BMS	MeasurementSynchronizer	1446990310581	0	0	36
BMS	WorkOrderSynchronizer	1446990310645	0	0	0
BMS	TagSynchronizer	1446990310706	0	0	0
BMS	PropertySynchronizer	1446990310778	0	0	0
BMS	AlarmSynchronizer	1446990310799	0	0	0
BMS	ConnectorSynchronizer (import)	1446990610541	0	0	0
BMS	MeasurementSynchronizer	1446990610576	0	0	36
BMS	WorkOrderSynchronizer	1446990610642	0	0	0
BMS	TagSynchronizer	1446990610706	0	0	0
BMS	PropertySynchronizer	1446990610777	0	0	0
BMS	AlarmSynchronizer	1446990610798	0	0	0
BMS	ConnectorSynchronizer (import)	1446990910530	0	0	0
BMS	MeasurementSynchronizer	1446990910563	0	0	36
BMS	WorkOrderSynchronizer	1446990910625	0	0	0
BMS	TagSynchronizer	1446990910686	0	0	0
BMS	PropertySynchronizer	1446990910757	0	0	0
BMS	AlarmSynchronizer	1446990910778	0	0	0
BMS	ConnectorSynchronizer (import)	1446991210530	0	0	0
BMS	MeasurementSynchronizer	1446991210563	0	0	36
BMS	WorkOrderSynchronizer	1446991210626	0	0	0
BMS	TagSynchronizer	1446991210688	0	0	0
BMS	PropertySynchronizer	1446991210759	0	0	0
BMS	AlarmSynchronizer	1446991210780	0	0	0
BMS	ConnectorSynchronizer (import)	1446991510551	0	0	0
BMS	MeasurementSynchronizer	1446991510588	0	0	36
BMS	WorkOrderSynchronizer	1446991510661	0	0	0
BMS	TagSynchronizer	1446991510726	0	0	0
BMS	PropertySynchronizer	1446991510799	0	0	0
BMS	AlarmSynchronizer	1446991510820	0	0	0
BMS	ConnectorSynchronizer (import)	1446991810504	0	0	0
BMS	MeasurementSynchronizer	1446991810534	0	0	36
BMS	WorkOrderSynchronizer	1446991810593	0	0	0
BMS	TagSynchronizer	1446991810651	0	0	0
BMS	PropertySynchronizer	1446991810721	0	0	0
BMS	AlarmSynchronizer	1446991810742	0	0	0
BMS	ConnectorSynchronizer (import)	1446992110519	0	0	0
BMS	MeasurementSynchronizer	1446992110551	0	0	36
BMS	WorkOrderSynchronizer	1446992110614	0	0	0
BMS	TagSynchronizer	1446992110677	0	0	0
BMS	PropertySynchronizer	1446992110748	0	0	0
BMS	AlarmSynchronizer	1446992110768	0	0	0
BMS	ConnectorSynchronizer (import)	1446992410526	0	0	0
BMS	MeasurementSynchronizer	1446992410559	0	0	36
BMS	WorkOrderSynchronizer	1446992410621	0	0	0
BMS	TagSynchronizer	1446992410684	0	0	0
BMS	PropertySynchronizer	1446992410756	0	0	0
BMS	AlarmSynchronizer	1446992410778	0	0	0
BMS	ConnectorSynchronizer (import)	1446992710547	0	0	0
BMS	MeasurementSynchronizer	1446992710580	0	0	36
BMS	WorkOrderSynchronizer	1446992710647	0	0	0
BMS	TagSynchronizer	1446992710712	0	0	0
BMS	PropertySynchronizer	1446992710783	0	0	0
BMS	AlarmSynchronizer	1446992710804	0	0	0
BMS	ConnectorSynchronizer (import)	1446993010524	0	0	0
BMS	MeasurementSynchronizer	1446993010557	0	0	36
BMS	WorkOrderSynchronizer	1446993010623	0	0	0
BMS	TagSynchronizer	1446993010685	0	0	0
BMS	PropertySynchronizer	1446993010756	0	0	0
BMS	AlarmSynchronizer	1446993010777	0	0	0
BMS	ConnectorSynchronizer (import)	1446993310546	0	0	0
BMS	MeasurementSynchronizer	1446993310578	0	0	36
BMS	WorkOrderSynchronizer	1446993310642	0	0	0
BMS	TagSynchronizer	1446993310704	0	0	0
BMS	PropertySynchronizer	1446993310773	0	0	0
BMS	AlarmSynchronizer	1446993310794	0	0	0
BMS	ConnectorSynchronizer (import)	1446993610521	0	0	0
BMS	MeasurementSynchronizer	1446993610557	0	0	36
BMS	WorkOrderSynchronizer	1446993610622	0	0	0
BMS	TagSynchronizer	1446993610684	0	0	0
BMS	PropertySynchronizer	1446993610751	0	0	0
BMS	AlarmSynchronizer	1446993610770	0	0	0
BMS	ConnectorSynchronizer (import)	1446993910541	0	0	0
BMS	MeasurementSynchronizer	1446993910574	0	0	36
BMS	WorkOrderSynchronizer	1446993910641	0	0	0
BMS	TagSynchronizer	1446993910703	0	0	0
BMS	PropertySynchronizer	1446993910776	0	0	0
BMS	AlarmSynchronizer	1446993910797	0	0	0
BMS	ConnectorSynchronizer (import)	1446994210528	0	0	0
BMS	MeasurementSynchronizer	1446994210560	0	0	36
BMS	WorkOrderSynchronizer	1446994210623	0	0	0
BMS	TagSynchronizer	1446994210685	0	0	0
BMS	PropertySynchronizer	1446994210755	0	0	0
BMS	AlarmSynchronizer	1446994210776	0	0	0
BMS	ConnectorSynchronizer (import)	1446994510540	0	0	0
BMS	MeasurementSynchronizer	1446994510574	0	0	36
BMS	WorkOrderSynchronizer	1446994510638	0	0	0
BMS	TagSynchronizer	1446994510699	0	0	0
BMS	PropertySynchronizer	1446994510770	0	0	0
BMS	AlarmSynchronizer	1446994510791	0	0	0
BMS	ConnectorSynchronizer (import)	1446994810514	0	0	0
BMS	MeasurementSynchronizer	1446994810550	0	0	36
BMS	WorkOrderSynchronizer	1446994810613	0	0	0
BMS	TagSynchronizer	1446994810675	0	0	0
BMS	PropertySynchronizer	1446994810745	0	0	0
BMS	AlarmSynchronizer	1446994810766	0	0	0
BMS	ConnectorSynchronizer (import)	1446995110516	0	0	0
BMS	MeasurementSynchronizer	1446995110551	0	0	36
BMS	WorkOrderSynchronizer	1446995110615	0	0	0
BMS	TagSynchronizer	1446995110677	0	0	0
BMS	PropertySynchronizer	1446995110749	0	0	0
BMS	AlarmSynchronizer	1446995110769	0	0	0
BMS	ConnectorSynchronizer (import)	1446995410555	0	0	0
BMS	MeasurementSynchronizer	1446995410591	0	0	36
BMS	WorkOrderSynchronizer	1446995410658	0	0	0
BMS	TagSynchronizer	1446995410722	0	0	0
BMS	PropertySynchronizer	1446995410795	0	0	0
BMS	AlarmSynchronizer	1446995410817	0	0	0
BMS	ConnectorSynchronizer (import)	1446995710537	0	0	0
BMS	MeasurementSynchronizer	1446995710571	0	0	36
BMS	WorkOrderSynchronizer	1446995710637	0	0	0
BMS	TagSynchronizer	1446995710698	0	0	0
BMS	PropertySynchronizer	1446995710769	0	0	0
BMS	AlarmSynchronizer	1446995710789	0	0	0
BMS	ConnectorSynchronizer (import)	1446996010559	0	0	0
BMS	MeasurementSynchronizer	1446996010592	0	0	36
BMS	WorkOrderSynchronizer	1446996010659	0	0	0
BMS	TagSynchronizer	1446996010722	0	0	0
BMS	PropertySynchronizer	1446996010794	0	0	0
BMS	AlarmSynchronizer	1446996010816	0	0	0
BMS	ConnectorSynchronizer (import)	1446996310540	0	0	0
BMS	MeasurementSynchronizer	1446996310573	0	0	36
BMS	WorkOrderSynchronizer	1446996310639	0	0	0
BMS	TagSynchronizer	1446996310702	0	0	0
BMS	PropertySynchronizer	1446996310775	0	0	0
BMS	AlarmSynchronizer	1446996310796	0	0	0
BMS	ConnectorSynchronizer (import)	1446996610535	0	0	0
BMS	MeasurementSynchronizer	1446996610567	0	0	36
BMS	WorkOrderSynchronizer	1446996610632	0	0	0
BMS	TagSynchronizer	1446996610694	0	0	0
BMS	PropertySynchronizer	1446996610772	0	0	0
BMS	AlarmSynchronizer	1446996610794	0	0	0
BMS	ConnectorSynchronizer (import)	1446996910528	0	0	0
BMS	MeasurementSynchronizer	1446996910560	0	0	36
BMS	WorkOrderSynchronizer	1446996910625	0	0	0
BMS	TagSynchronizer	1446996910687	0	0	0
BMS	PropertySynchronizer	1446996910756	0	0	0
BMS	AlarmSynchronizer	1446996910777	0	0	0
BMS	ConnectorSynchronizer (import)	1446997210528	0	0	0
BMS	MeasurementSynchronizer	1446997210560	0	0	36
BMS	WorkOrderSynchronizer	1446997210628	0	0	0
BMS	TagSynchronizer	1446997210690	0	0	0
BMS	PropertySynchronizer	1446997210761	0	0	0
BMS	AlarmSynchronizer	1446997210782	0	0	0
BMS	ConnectorSynchronizer (import)	1446997510528	0	0	0
BMS	MeasurementSynchronizer	1446997510561	0	0	36
BMS	WorkOrderSynchronizer	1446997510626	0	0	0
BMS	TagSynchronizer	1446997510691	0	0	0
BMS	PropertySynchronizer	1446997510763	0	0	0
BMS	AlarmSynchronizer	1446997510785	0	0	0
BMS	ConnectorSynchronizer (import)	1446997810545	0	0	0
BMS	MeasurementSynchronizer	1446997810579	0	0	36
BMS	WorkOrderSynchronizer	1446997810643	0	0	0
BMS	TagSynchronizer	1446997810705	0	0	0
BMS	PropertySynchronizer	1446997810776	0	0	0
BMS	AlarmSynchronizer	1446997810796	0	0	0
BMS	ConnectorSynchronizer (import)	1446998110529	0	0	0
BMS	MeasurementSynchronizer	1446998110564	0	0	36
BMS	WorkOrderSynchronizer	1446998110627	0	0	0
BMS	TagSynchronizer	1446998110686	0	0	0
BMS	PropertySynchronizer	1446998110752	0	0	0
BMS	AlarmSynchronizer	1446998110771	0	0	0
BMS	ConnectorSynchronizer (import)	1446998410520	0	0	0
BMS	MeasurementSynchronizer	1446998410553	0	0	36
BMS	WorkOrderSynchronizer	1446998410617	0	0	0
BMS	TagSynchronizer	1446998410678	0	0	0
BMS	PropertySynchronizer	1446998410747	0	0	0
BMS	AlarmSynchronizer	1446998410767	0	0	0
BMS	ConnectorSynchronizer (import)	1446998710534	0	0	0
BMS	MeasurementSynchronizer	1446998710567	0	0	36
BMS	WorkOrderSynchronizer	1446998710634	0	0	0
BMS	TagSynchronizer	1446998710696	0	0	0
BMS	PropertySynchronizer	1446998710766	0	0	0
BMS	AlarmSynchronizer	1446998710787	0	0	0
BMS	ConnectorSynchronizer (import)	1446999010529	0	0	0
BMS	MeasurementSynchronizer	1446999010563	0	0	36
BMS	WorkOrderSynchronizer	1446999010627	0	0	0
BMS	TagSynchronizer	1446999010689	0	0	0
BMS	PropertySynchronizer	1446999010755	0	0	0
BMS	AlarmSynchronizer	1446999010774	0	0	0
BMS	ConnectorSynchronizer (import)	1446999310531	0	0	0
BMS	MeasurementSynchronizer	1446999310564	0	0	36
BMS	WorkOrderSynchronizer	1446999310628	0	0	0
BMS	TagSynchronizer	1446999310690	0	0	0
BMS	PropertySynchronizer	1446999310761	0	0	0
BMS	AlarmSynchronizer	1446999310782	0	0	0
BMS	ConnectorSynchronizer (import)	1446999610528	0	0	0
BMS	MeasurementSynchronizer	1446999610561	0	0	36
BMS	WorkOrderSynchronizer	1446999610629	0	0	0
BMS	TagSynchronizer	1446999610695	0	0	0
BMS	PropertySynchronizer	1446999610768	0	0	0
BMS	AlarmSynchronizer	1446999610788	0	0	0
BMS	ConnectorSynchronizer (import)	1446999910517	0	0	0
BMS	MeasurementSynchronizer	1446999910550	0	0	36
BMS	WorkOrderSynchronizer	1446999910614	0	0	0
BMS	TagSynchronizer	1446999910676	0	0	0
BMS	PropertySynchronizer	1446999910748	0	0	0
BMS	AlarmSynchronizer	1446999910768	0	0	0
BMS	ConnectorSynchronizer (import)	1447000210582	0	0	0
BMS	MeasurementSynchronizer	1447000210615	0	0	36
BMS	WorkOrderSynchronizer	1447000210678	0	0	0
BMS	TagSynchronizer	1447000210739	0	0	0
BMS	PropertySynchronizer	1447000210809	0	0	0
BMS	AlarmSynchronizer	1447000210829	0	0	0
BMS	ConnectorSynchronizer (import)	1447000510538	0	0	0
BMS	MeasurementSynchronizer	1447000510572	0	0	36
BMS	WorkOrderSynchronizer	1447000510640	0	0	0
BMS	TagSynchronizer	1447000510703	0	0	0
BMS	PropertySynchronizer	1447000510777	0	0	0
BMS	AlarmSynchronizer	1447000510798	0	0	0
BMS	ConnectorSynchronizer (import)	1447000810530	0	0	0
BMS	MeasurementSynchronizer	1447000810563	0	0	36
BMS	WorkOrderSynchronizer	1447000810627	0	0	0
BMS	TagSynchronizer	1447000810691	0	0	0
BMS	PropertySynchronizer	1447000810762	0	0	0
BMS	AlarmSynchronizer	1447000810783	0	0	0
BMS	ConnectorSynchronizer (import)	1447001110530	0	0	0
BMS	MeasurementSynchronizer	1447001110563	0	0	36
BMS	WorkOrderSynchronizer	1447001110628	0	0	0
BMS	TagSynchronizer	1447001110690	0	0	0
BMS	PropertySynchronizer	1447001110761	0	0	0
BMS	AlarmSynchronizer	1447001110782	0	0	0
BMS	ConnectorSynchronizer (import)	1447001410549	0	0	0
BMS	MeasurementSynchronizer	1447001410581	0	0	36
BMS	WorkOrderSynchronizer	1447001410643	0	0	0
BMS	TagSynchronizer	1447001410702	0	0	0
BMS	PropertySynchronizer	1447001410774	0	0	0
BMS	AlarmSynchronizer	1447001410795	0	0	0
BMS	ConnectorSynchronizer (import)	1447001710553	0	0	0
BMS	MeasurementSynchronizer	1447001710585	0	0	36
BMS	WorkOrderSynchronizer	1447001710649	0	0	0
BMS	TagSynchronizer	1447001710710	0	0	0
BMS	PropertySynchronizer	1447001710782	0	0	0
BMS	AlarmSynchronizer	1447001710803	0	0	0
BMS	ConnectorSynchronizer (import)	1447002010538	0	0	0
BMS	MeasurementSynchronizer	1447002010572	0	0	36
BMS	WorkOrderSynchronizer	1447002010639	0	0	0
BMS	TagSynchronizer	1447002010703	0	0	0
BMS	PropertySynchronizer	1447002010776	0	0	0
BMS	AlarmSynchronizer	1447002010797	0	0	0
BMS	ConnectorSynchronizer (import)	1447002310553	0	0	0
BMS	MeasurementSynchronizer	1447002310585	0	0	36
BMS	WorkOrderSynchronizer	1447002310645	0	0	0
BMS	TagSynchronizer	1447002310704	0	0	0
BMS	PropertySynchronizer	1447002310770	0	0	0
BMS	AlarmSynchronizer	1447002310790	0	0	0
BMS	ConnectorSynchronizer (import)	1447002610520	0	0	0
BMS	MeasurementSynchronizer	1447002610549	0	0	36
BMS	WorkOrderSynchronizer	1447002610615	0	0	0
BMS	TagSynchronizer	1447002610677	0	0	0
BMS	PropertySynchronizer	1447002610748	0	0	0
BMS	AlarmSynchronizer	1447002610769	0	0	0
BMS	ConnectorSynchronizer (import)	1447002910521	0	0	0
BMS	MeasurementSynchronizer	1447002910558	0	0	36
BMS	WorkOrderSynchronizer	1447002910622	0	0	0
BMS	TagSynchronizer	1447002910686	0	0	0
BMS	PropertySynchronizer	1447002910757	0	0	0
BMS	AlarmSynchronizer	1447002910778	0	0	0
BMS	ConnectorSynchronizer (import)	1447003210527	0	0	0
BMS	MeasurementSynchronizer	1447003210561	0	0	36
BMS	WorkOrderSynchronizer	1447003210627	0	0	0
BMS	TagSynchronizer	1447003210691	0	0	0
BMS	PropertySynchronizer	1447003210762	0	0	0
BMS	AlarmSynchronizer	1447003210783	0	0	0
BMS	ConnectorSynchronizer (import)	1447003510525	0	0	0
BMS	MeasurementSynchronizer	1447003510559	0	0	36
BMS	WorkOrderSynchronizer	1447003510623	0	0	0
BMS	TagSynchronizer	1447003510685	0	0	0
BMS	PropertySynchronizer	1447003510757	0	0	0
BMS	AlarmSynchronizer	1447003510779	0	0	0
BMS	ConnectorSynchronizer (import)	1447003810513	0	0	0
BMS	MeasurementSynchronizer	1447003810546	0	0	36
BMS	WorkOrderSynchronizer	1447003810609	0	0	0
BMS	TagSynchronizer	1447003810670	0	0	0
BMS	PropertySynchronizer	1447003810740	0	0	0
BMS	AlarmSynchronizer	1447003810761	0	0	0
BMS	ConnectorSynchronizer (import)	1447004110527	0	0	0
BMS	MeasurementSynchronizer	1447004110564	0	0	36
BMS	WorkOrderSynchronizer	1447004110628	0	0	0
BMS	TagSynchronizer	1447004110690	0	0	0
BMS	PropertySynchronizer	1447004110777	0	0	0
BMS	AlarmSynchronizer	1447004110800	0	0	0
BMS	ConnectorSynchronizer (import)	1447004410535	0	0	0
BMS	MeasurementSynchronizer	1447004410569	0	0	36
BMS	WorkOrderSynchronizer	1447004410640	0	0	0
BMS	TagSynchronizer	1447004410705	0	0	0
BMS	PropertySynchronizer	1447004410778	0	0	0
BMS	AlarmSynchronizer	1447004410800	0	0	0
BMS	ConnectorSynchronizer (import)	1447004710517	0	0	0
BMS	MeasurementSynchronizer	1447004710548	0	0	36
BMS	WorkOrderSynchronizer	1447004710609	0	0	0
BMS	TagSynchronizer	1447004710671	0	0	0
BMS	PropertySynchronizer	1447004710741	0	0	0
BMS	AlarmSynchronizer	1447004710761	0	0	0
BMS	ConnectorSynchronizer (import)	1447005010549	0	0	0
BMS	MeasurementSynchronizer	1447005010581	0	0	36
BMS	WorkOrderSynchronizer	1447005010645	0	0	0
BMS	TagSynchronizer	1447005010709	0	0	0
BMS	PropertySynchronizer	1447005010778	0	0	0
BMS	AlarmSynchronizer	1447005010799	0	0	0
BMS	ConnectorSynchronizer (import)	1447005310535	0	0	0
BMS	MeasurementSynchronizer	1447005310579	0	0	36
BMS	WorkOrderSynchronizer	1447005310647	0	0	0
BMS	TagSynchronizer	1447005310710	0	0	0
BMS	PropertySynchronizer	1447005310781	0	0	0
BMS	AlarmSynchronizer	1447005310801	0	0	0
BMS	ConnectorSynchronizer (import)	1447005610520	0	0	0
BMS	MeasurementSynchronizer	1447005610553	0	0	36
BMS	WorkOrderSynchronizer	1447005610619	0	0	0
BMS	TagSynchronizer	1447005610683	0	0	0
BMS	PropertySynchronizer	1447005610755	0	0	0
BMS	AlarmSynchronizer	1447005610776	0	0	0
BMS	ConnectorSynchronizer (import)	1447005910539	0	0	0
BMS	MeasurementSynchronizer	1447005910571	0	0	36
BMS	WorkOrderSynchronizer	1447005910635	0	0	0
BMS	TagSynchronizer	1447005910697	0	0	0
BMS	PropertySynchronizer	1447005910768	0	0	0
BMS	AlarmSynchronizer	1447005910789	0	0	0
BMS	ConnectorSynchronizer (import)	1447006210529	0	0	0
BMS	MeasurementSynchronizer	1447006210562	0	0	36
BMS	WorkOrderSynchronizer	1447006210625	0	0	0
BMS	TagSynchronizer	1447006210689	0	0	0
BMS	PropertySynchronizer	1447006210766	0	0	0
BMS	AlarmSynchronizer	1447006210788	0	0	0
BMS	ConnectorSynchronizer (import)	1447006510524	0	0	0
BMS	MeasurementSynchronizer	1447006510556	0	0	36
BMS	WorkOrderSynchronizer	1447006510615	0	0	0
BMS	TagSynchronizer	1447006510672	0	0	0
BMS	PropertySynchronizer	1447006510728	0	0	0
BMS	AlarmSynchronizer	1447006510744	0	0	0
BMS	ConnectorSynchronizer (import)	1447006810534	0	0	0
BMS	MeasurementSynchronizer	1447006810566	0	0	36
BMS	WorkOrderSynchronizer	1447006810630	0	0	0
BMS	TagSynchronizer	1447006810691	0	0	0
BMS	PropertySynchronizer	1447006810763	0	0	0
BMS	AlarmSynchronizer	1447006810784	0	0	0
BMS	ConnectorSynchronizer (import)	1447007110540	0	0	0
BMS	MeasurementSynchronizer	1447007110573	0	0	36
BMS	WorkOrderSynchronizer	1447007110636	0	0	0
BMS	TagSynchronizer	1447007110698	0	0	0
BMS	PropertySynchronizer	1447007110767	0	0	0
BMS	AlarmSynchronizer	1447007110788	0	0	0
BMS	ConnectorSynchronizer (import)	1447007410531	0	0	0
BMS	MeasurementSynchronizer	1447007410564	0	0	36
BMS	WorkOrderSynchronizer	1447007410627	0	0	0
BMS	TagSynchronizer	1447007410688	0	0	0
BMS	PropertySynchronizer	1447007410758	0	0	0
BMS	AlarmSynchronizer	1447007410779	0	0	0
BMS	ConnectorSynchronizer (import)	1447007710554	0	0	0
BMS	MeasurementSynchronizer	1447007710588	0	0	36
BMS	WorkOrderSynchronizer	1447007710652	0	0	0
BMS	TagSynchronizer	1447007710713	0	0	0
BMS	PropertySynchronizer	1447007710785	0	0	0
BMS	AlarmSynchronizer	1447007710805	0	0	0
BMS	ConnectorSynchronizer (import)	1447008010536	0	0	0
BMS	MeasurementSynchronizer	1447008010568	0	0	36
BMS	WorkOrderSynchronizer	1447008010632	0	0	0
BMS	TagSynchronizer	1447008010694	0	0	0
BMS	PropertySynchronizer	1447008010764	0	0	0
BMS	AlarmSynchronizer	1447008010785	0	0	0
BMS	ConnectorSynchronizer (import)	1447008310534	0	0	0
BMS	MeasurementSynchronizer	1447008310566	0	0	36
BMS	WorkOrderSynchronizer	1447008310630	0	0	0
BMS	TagSynchronizer	1447008310691	0	0	0
BMS	PropertySynchronizer	1447008310763	0	0	0
BMS	AlarmSynchronizer	1447008310784	0	0	0
BMS	ConnectorSynchronizer (import)	1447008610523	0	0	0
BMS	MeasurementSynchronizer	1447008610555	0	0	36
BMS	WorkOrderSynchronizer	1447008610620	0	0	0
BMS	TagSynchronizer	1447008610682	0	0	0
BMS	PropertySynchronizer	1447008610753	0	0	0
BMS	AlarmSynchronizer	1447008610775	0	0	0
BMS	ConnectorSynchronizer (import)	1447008910544	0	0	0
BMS	MeasurementSynchronizer	1447008910577	0	0	36
BMS	WorkOrderSynchronizer	1447008910641	0	0	0
BMS	TagSynchronizer	1447008910708	0	0	0
BMS	PropertySynchronizer	1447008910778	0	0	0
BMS	AlarmSynchronizer	1447008910799	0	0	0
BMS	ConnectorSynchronizer (import)	1447009210524	0	0	0
BMS	MeasurementSynchronizer	1447009210558	0	0	36
BMS	WorkOrderSynchronizer	1447009210623	0	0	0
BMS	TagSynchronizer	1447009210685	0	0	0
BMS	PropertySynchronizer	1447009210756	0	0	0
BMS	AlarmSynchronizer	1447009210777	0	0	0
BMS	ConnectorSynchronizer (import)	1447009510535	0	0	0
BMS	MeasurementSynchronizer	1447009510568	0	0	36
BMS	WorkOrderSynchronizer	1447009510634	0	0	0
BMS	TagSynchronizer	1447009510696	0	0	0
BMS	PropertySynchronizer	1447009510765	0	0	0
BMS	AlarmSynchronizer	1447009510786	0	0	0
BMS	ConnectorSynchronizer (import)	1447009810527	0	0	0
BMS	MeasurementSynchronizer	1447009810561	0	0	36
BMS	WorkOrderSynchronizer	1447009810625	0	0	0
BMS	TagSynchronizer	1447009810688	0	0	0
BMS	PropertySynchronizer	1447009810759	0	0	0
BMS	AlarmSynchronizer	1447009810779	0	0	0
BMS	ConnectorSynchronizer (import)	1447010110524	0	0	0
BMS	MeasurementSynchronizer	1447010110558	0	0	36
BMS	WorkOrderSynchronizer	1447010110624	0	0	0
BMS	TagSynchronizer	1447010110686	0	0	0
BMS	PropertySynchronizer	1447010110757	0	0	0
BMS	AlarmSynchronizer	1447010110778	0	0	0
BMS	ConnectorSynchronizer (import)	1447010410553	0	0	0
BMS	MeasurementSynchronizer	1447010410586	0	0	36
BMS	WorkOrderSynchronizer	1447010410650	0	0	0
BMS	TagSynchronizer	1447010410711	0	0	0
BMS	PropertySynchronizer	1447010410783	0	0	0
BMS	AlarmSynchronizer	1447010410804	0	0	0
BMS	ConnectorSynchronizer (import)	1447010710532	0	0	0
BMS	MeasurementSynchronizer	1447010710565	0	0	36
BMS	WorkOrderSynchronizer	1447010710629	0	0	0
BMS	TagSynchronizer	1447010710690	0	0	0
BMS	PropertySynchronizer	1447010710761	0	0	0
BMS	AlarmSynchronizer	1447010710781	0	0	0
BMS	ConnectorSynchronizer (import)	1447011010529	0	0	0
BMS	MeasurementSynchronizer	1447011010563	0	0	36
BMS	WorkOrderSynchronizer	1447011010629	0	0	0
BMS	TagSynchronizer	1447011010688	0	0	0
BMS	PropertySynchronizer	1447011010754	0	0	0
BMS	AlarmSynchronizer	1447011010775	0	0	0
BMS	ConnectorSynchronizer (import)	1447011310532	0	0	0
BMS	MeasurementSynchronizer	1447011310567	0	0	36
BMS	WorkOrderSynchronizer	1447011310633	0	0	0
BMS	TagSynchronizer	1447011310696	0	0	0
BMS	PropertySynchronizer	1447011310768	0	0	0
BMS	AlarmSynchronizer	1447011310789	0	0	0
BMS	ConnectorSynchronizer (import)	1447011610530	0	0	0
BMS	MeasurementSynchronizer	1447011610563	0	0	36
BMS	WorkOrderSynchronizer	1447011610628	0	0	0
BMS	TagSynchronizer	1447011610704	0	0	0
BMS	PropertySynchronizer	1447011610776	0	0	0
BMS	AlarmSynchronizer	1447011610799	0	0	0
BMS	ConnectorSynchronizer (import)	1447011910528	0	0	0
BMS	MeasurementSynchronizer	1447011910561	0	0	36
BMS	WorkOrderSynchronizer	1447011910625	0	0	0
BMS	TagSynchronizer	1447011910688	0	0	0
BMS	PropertySynchronizer	1447011910759	0	0	0
BMS	AlarmSynchronizer	1447011910780	0	0	0
BMS	ConnectorSynchronizer (import)	1447012210539	0	0	0
BMS	MeasurementSynchronizer	1447012210573	0	0	36
BMS	WorkOrderSynchronizer	1447012210641	0	0	0
BMS	TagSynchronizer	1447012210704	0	0	0
BMS	PropertySynchronizer	1447012210775	0	0	0
BMS	AlarmSynchronizer	1447012210797	0	0	0
BMS	ConnectorSynchronizer (import)	1447012510562	0	0	0
BMS	MeasurementSynchronizer	1447012510594	0	0	36
BMS	WorkOrderSynchronizer	1447012510661	0	0	0
BMS	TagSynchronizer	1447012510731	0	0	0
BMS	PropertySynchronizer	1447012510803	0	0	0
BMS	AlarmSynchronizer	1447012510825	0	0	0
BMS	ConnectorSynchronizer (import)	1447012810521	0	0	0
BMS	MeasurementSynchronizer	1447012810553	0	0	36
BMS	WorkOrderSynchronizer	1447012810614	0	0	0
BMS	TagSynchronizer	1447012810672	0	0	0
BMS	PropertySynchronizer	1447012810738	0	0	0
BMS	AlarmSynchronizer	1447012810759	0	0	0
BMS	ConnectorSynchronizer (import)	1447013110542	0	0	0
BMS	MeasurementSynchronizer	1447013110573	0	0	36
BMS	WorkOrderSynchronizer	1447013110633	0	0	0
BMS	TagSynchronizer	1447013110691	0	0	0
BMS	PropertySynchronizer	1447013110756	0	0	0
BMS	AlarmSynchronizer	1447013110777	0	0	0
BMS	ConnectorSynchronizer (import)	1447013410541	0	0	0
BMS	MeasurementSynchronizer	1447013410575	0	0	36
BMS	WorkOrderSynchronizer	1447013410642	0	0	0
BMS	TagSynchronizer	1447013410701	0	0	0
BMS	PropertySynchronizer	1447013410769	0	0	0
BMS	AlarmSynchronizer	1447013410789	0	0	0
BMS	ConnectorSynchronizer (import)	1447013710508	0	0	0
BMS	MeasurementSynchronizer	1447013710540	0	0	36
BMS	WorkOrderSynchronizer	1447013710603	0	0	0
BMS	TagSynchronizer	1447013710665	0	0	0
BMS	PropertySynchronizer	1447013710734	0	0	0
BMS	AlarmSynchronizer	1447013710755	0	0	0
BMS	ConnectorSynchronizer (import)	1447014010546	0	0	0
BMS	MeasurementSynchronizer	1447014010580	0	0	36
BMS	WorkOrderSynchronizer	1447014010650	0	0	0
BMS	TagSynchronizer	1447014010713	0	0	0
BMS	PropertySynchronizer	1447014010784	0	0	0
BMS	AlarmSynchronizer	1447014010807	0	0	0
BMS	ConnectorSynchronizer (import)	1447014310523	0	0	0
BMS	MeasurementSynchronizer	1447014310555	0	0	36
BMS	WorkOrderSynchronizer	1447014310620	0	0	0
BMS	TagSynchronizer	1447014310681	0	0	0
BMS	PropertySynchronizer	1447014310752	0	0	0
BMS	AlarmSynchronizer	1447014310772	0	0	0
BMS	ConnectorSynchronizer (import)	1447014610542	0	0	0
BMS	MeasurementSynchronizer	1447014610575	0	0	36
BMS	WorkOrderSynchronizer	1447014610641	0	0	0
BMS	TagSynchronizer	1447014610703	0	0	0
BMS	PropertySynchronizer	1447014610773	0	0	0
BMS	AlarmSynchronizer	1447014610794	0	0	0
BMS	ConnectorSynchronizer (import)	1447014910537	0	0	0
BMS	MeasurementSynchronizer	1447014910567	0	0	36
BMS	WorkOrderSynchronizer	1447014910622	0	0	0
BMS	TagSynchronizer	1447014910683	0	0	0
BMS	PropertySynchronizer	1447014910755	0	0	0
BMS	AlarmSynchronizer	1447014910777	0	0	0
BMS	ConnectorSynchronizer (import)	1447015210577	0	0	0
BMS	MeasurementSynchronizer	1447015210610	0	0	36
BMS	WorkOrderSynchronizer	1447015210674	0	0	0
BMS	TagSynchronizer	1447015210736	0	0	0
BMS	PropertySynchronizer	1447015210807	0	0	0
BMS	AlarmSynchronizer	1447015210827	0	0	0
BMS	ConnectorSynchronizer (import)	1447015510513	0	0	0
BMS	MeasurementSynchronizer	1447015510550	0	0	36
BMS	WorkOrderSynchronizer	1447015510617	0	0	0
BMS	TagSynchronizer	1447015510679	0	0	0
BMS	PropertySynchronizer	1447015510751	0	0	0
BMS	AlarmSynchronizer	1447015510773	0	0	0
BMS	ConnectorSynchronizer (import)	1447015810535	0	0	0
BMS	MeasurementSynchronizer	1447015810567	0	0	36
BMS	WorkOrderSynchronizer	1447015810631	0	0	0
BMS	TagSynchronizer	1447015810692	0	0	0
BMS	PropertySynchronizer	1447015810764	0	0	0
BMS	AlarmSynchronizer	1447015810784	0	0	0
BMS	ConnectorSynchronizer (import)	1447016110553	0	0	0
BMS	MeasurementSynchronizer	1447016110585	0	0	36
BMS	WorkOrderSynchronizer	1447016110982	0	0	0
BMS	TagSynchronizer	1447016111033	0	0	0
BMS	PropertySynchronizer	1447016111096	0	0	0
BMS	AlarmSynchronizer	1447016111117	0	0	0
BMS	ConnectorSynchronizer (import)	1447016410556	0	0	0
BMS	MeasurementSynchronizer	1447016410591	0	0	36
BMS	WorkOrderSynchronizer	1447016410657	0	0	0
BMS	TagSynchronizer	1447016410720	0	0	0
BMS	PropertySynchronizer	1447016410790	0	0	0
BMS	AlarmSynchronizer	1447016410812	0	0	0
BMS	ConnectorSynchronizer (import)	1447016710527	0	0	0
BMS	MeasurementSynchronizer	1447016710560	0	0	36
BMS	WorkOrderSynchronizer	1447016710627	0	0	0
BMS	TagSynchronizer	1447016710688	0	0	0
BMS	PropertySynchronizer	1447016710759	0	0	0
BMS	AlarmSynchronizer	1447016710781	0	0	0
BMS	ConnectorSynchronizer (import)	1447017010527	0	0	0
BMS	MeasurementSynchronizer	1447017010560	0	0	36
BMS	WorkOrderSynchronizer	1447017010626	0	0	0
BMS	TagSynchronizer	1447017010688	0	0	0
BMS	PropertySynchronizer	1447017010759	0	0	0
BMS	AlarmSynchronizer	1447017010780	0	0	0
BMS	ConnectorSynchronizer (import)	1447017310537	0	0	0
BMS	MeasurementSynchronizer	1447017310569	0	0	36
BMS	WorkOrderSynchronizer	1447017310633	0	0	0
BMS	TagSynchronizer	1447017310695	0	0	0
BMS	PropertySynchronizer	1447017310766	0	0	0
BMS	AlarmSynchronizer	1447017310788	0	0	0
BMS	ConnectorSynchronizer (import)	1447017610522	0	0	0
BMS	MeasurementSynchronizer	1447017610555	0	0	36
BMS	WorkOrderSynchronizer	1447017610621	0	0	0
BMS	TagSynchronizer	1447017610683	0	0	0
BMS	PropertySynchronizer	1447017610755	0	0	0
BMS	AlarmSynchronizer	1447017610776	0	0	0
BMS	ConnectorSynchronizer (import)	1447017910538	0	0	0
BMS	MeasurementSynchronizer	1447017910571	0	0	36
BMS	WorkOrderSynchronizer	1447017910636	0	0	0
BMS	TagSynchronizer	1447017910697	0	0	0
BMS	PropertySynchronizer	1447017910768	0	0	0
BMS	AlarmSynchronizer	1447017910789	0	0	0
BMS	ConnectorSynchronizer (import)	1447018210530	0	0	0
BMS	MeasurementSynchronizer	1447018210560	0	0	36
BMS	WorkOrderSynchronizer	1447018210620	0	0	0
BMS	TagSynchronizer	1447018210678	0	0	0
BMS	PropertySynchronizer	1447018210744	0	0	0
BMS	AlarmSynchronizer	1447018210764	0	0	0
BMS	ConnectorSynchronizer (import)	1447018510534	0	0	0
BMS	MeasurementSynchronizer	1447018510568	0	0	36
BMS	WorkOrderSynchronizer	1447018510635	0	0	0
BMS	TagSynchronizer	1447018510698	0	0	0
BMS	PropertySynchronizer	1447018510772	0	0	0
BMS	AlarmSynchronizer	1447018510792	0	0	0
BMS	ConnectorSynchronizer (import)	1447018810516	0	0	0
BMS	MeasurementSynchronizer	1447018810548	0	0	36
BMS	WorkOrderSynchronizer	1447018810613	0	0	0
BMS	TagSynchronizer	1447018810677	0	0	0
BMS	PropertySynchronizer	1447018810749	0	0	0
BMS	AlarmSynchronizer	1447018810769	0	0	0
BMS	ConnectorSynchronizer (import)	1447019110521	0	0	0
BMS	MeasurementSynchronizer	1447019110556	0	0	36
BMS	WorkOrderSynchronizer	1447019110623	0	0	0
BMS	TagSynchronizer	1447019110687	0	0	0
BMS	PropertySynchronizer	1447019110760	0	0	0
BMS	AlarmSynchronizer	1447019110782	0	0	0
BMS	ConnectorSynchronizer (import)	1447019410527	0	0	0
BMS	MeasurementSynchronizer	1447019410562	0	0	36
BMS	WorkOrderSynchronizer	1447019410629	0	0	0
BMS	TagSynchronizer	1447019410692	0	0	0
BMS	PropertySynchronizer	1447019410760	0	0	0
BMS	AlarmSynchronizer	1447019410781	0	0	0
BMS	ConnectorSynchronizer (import)	1447019710516	0	0	0
BMS	MeasurementSynchronizer	1447019710548	0	0	36
BMS	WorkOrderSynchronizer	1447019710606	0	0	0
BMS	TagSynchronizer	1447019710662	0	0	0
BMS	PropertySynchronizer	1447019710734	0	0	0
BMS	AlarmSynchronizer	1447019710757	0	0	0
BMS	ConnectorSynchronizer (import)	1447020010527	0	0	0
BMS	MeasurementSynchronizer	1447020010560	0	0	36
BMS	WorkOrderSynchronizer	1447020010626	0	0	0
BMS	TagSynchronizer	1447020010688	0	0	0
BMS	PropertySynchronizer	1447020010760	0	0	0
BMS	AlarmSynchronizer	1447020010782	0	0	0
BMS	ConnectorSynchronizer (import)	1447020310522	0	0	0
BMS	MeasurementSynchronizer	1447020310555	0	0	36
BMS	WorkOrderSynchronizer	1447020310619	0	0	0
BMS	TagSynchronizer	1447020310680	0	0	0
BMS	PropertySynchronizer	1447020310762	0	0	0
BMS	AlarmSynchronizer	1447020310783	0	0	0
BMS	ConnectorSynchronizer (import)	1447020610530	0	0	0
BMS	MeasurementSynchronizer	1447020610564	0	0	36
BMS	WorkOrderSynchronizer	1447020610629	0	0	0
BMS	TagSynchronizer	1447020610690	0	0	0
BMS	PropertySynchronizer	1447020610762	0	0	0
BMS	AlarmSynchronizer	1447020610783	0	0	0
BMS	ConnectorSynchronizer (import)	1447020910518	0	0	0
BMS	MeasurementSynchronizer	1447020910555	0	0	36
BMS	WorkOrderSynchronizer	1447020910619	0	0	0
BMS	TagSynchronizer	1447020910683	0	0	0
BMS	PropertySynchronizer	1447020910754	0	0	0
BMS	AlarmSynchronizer	1447020910775	0	0	0
BMS	ConnectorSynchronizer (import)	1447021210520	0	0	0
BMS	MeasurementSynchronizer	1447021210554	0	0	36
BMS	WorkOrderSynchronizer	1447021210621	0	0	0
BMS	TagSynchronizer	1447021210684	0	0	0
BMS	PropertySynchronizer	1447021210756	0	0	0
BMS	AlarmSynchronizer	1447021210778	0	0	0
BMS	ConnectorSynchronizer (import)	1447021510583	0	0	0
BMS	MeasurementSynchronizer	1447021510615	0	0	36
BMS	WorkOrderSynchronizer	1447021510680	0	0	0
BMS	TagSynchronizer	1447021510740	0	0	0
BMS	PropertySynchronizer	1447021510806	0	0	0
BMS	AlarmSynchronizer	1447021510825	0	0	0
BMS	ConnectorSynchronizer (import)	1447021810532	0	0	0
BMS	MeasurementSynchronizer	1447021810566	0	0	36
BMS	WorkOrderSynchronizer	1447021810632	0	0	0
BMS	TagSynchronizer	1447021810695	0	0	0
BMS	PropertySynchronizer	1447021810766	0	0	0
BMS	AlarmSynchronizer	1447021810787	0	0	0
BMS	ConnectorSynchronizer (import)	1447022110547	0	0	0
BMS	MeasurementSynchronizer	1447022110581	0	0	36
BMS	WorkOrderSynchronizer	1447022110646	0	0	0
BMS	TagSynchronizer	1447022110709	0	0	0
BMS	PropertySynchronizer	1447022110783	0	0	0
BMS	AlarmSynchronizer	1447022110804	0	0	0
BMS	ConnectorSynchronizer (import)	1447022410521	0	0	0
BMS	MeasurementSynchronizer	1447022410554	0	0	36
BMS	WorkOrderSynchronizer	1447022410618	0	0	0
BMS	TagSynchronizer	1447022410680	0	0	0
BMS	PropertySynchronizer	1447022410751	0	0	0
BMS	AlarmSynchronizer	1447022410772	0	0	0
BMS	ConnectorSynchronizer (import)	1447022710552	0	0	0
BMS	MeasurementSynchronizer	1447022710585	0	0	36
BMS	WorkOrderSynchronizer	1447022710651	0	0	0
BMS	TagSynchronizer	1447022710716	0	0	0
BMS	PropertySynchronizer	1447022710790	0	0	0
BMS	AlarmSynchronizer	1447022710811	0	0	0
BMS	ConnectorSynchronizer (import)	1447023010526	0	0	0
BMS	MeasurementSynchronizer	1447023010558	0	0	36
BMS	WorkOrderSynchronizer	1447023010623	0	0	0
BMS	TagSynchronizer	1447023010685	0	0	0
BMS	PropertySynchronizer	1447023010758	0	0	0
BMS	AlarmSynchronizer	1447023010781	0	0	0
BMS	ConnectorSynchronizer (import)	1447023310531	0	0	0
BMS	MeasurementSynchronizer	1447023310565	0	0	36
BMS	WorkOrderSynchronizer	1447023310630	0	0	0
BMS	TagSynchronizer	1447023310693	0	0	0
BMS	PropertySynchronizer	1447023310762	0	0	0
BMS	AlarmSynchronizer	1447023310783	0	0	0
BMS	ConnectorSynchronizer (import)	1447023610528	0	0	0
BMS	MeasurementSynchronizer	1447023610561	0	0	36
BMS	WorkOrderSynchronizer	1447023610626	0	0	0
BMS	TagSynchronizer	1447023610688	0	0	0
BMS	PropertySynchronizer	1447023610760	0	0	0
BMS	AlarmSynchronizer	1447023610781	0	0	0
BMS	ConnectorSynchronizer (import)	1447023910561	0	0	0
BMS	MeasurementSynchronizer	1447023910594	0	0	36
BMS	WorkOrderSynchronizer	1447023910662	0	0	0
BMS	TagSynchronizer	1447023910726	0	0	0
BMS	PropertySynchronizer	1447023910798	0	0	0
BMS	AlarmSynchronizer	1447023910820	0	0	0
BMS	ConnectorSynchronizer (import)	1447024210517	0	0	0
BMS	MeasurementSynchronizer	1447024210550	0	0	36
BMS	WorkOrderSynchronizer	1447024210614	0	0	0
BMS	TagSynchronizer	1447024211017	0	0	0
BMS	PropertySynchronizer	1447024211080	0	0	0
BMS	AlarmSynchronizer	1447024211098	0	0	0
BMS	ConnectorSynchronizer (import)	1447024510535	0	0	0
BMS	MeasurementSynchronizer	1447024510568	0	0	36
BMS	WorkOrderSynchronizer	1447024510631	0	0	0
BMS	TagSynchronizer	1447024510692	0	0	0
BMS	PropertySynchronizer	1447024510763	0	0	0
BMS	AlarmSynchronizer	1447024510784	0	0	0
BMS	ConnectorSynchronizer (import)	1447024810536	0	0	0
BMS	MeasurementSynchronizer	1447024810570	0	0	36
BMS	WorkOrderSynchronizer	1447024810634	0	0	0
BMS	TagSynchronizer	1447024810697	0	0	0
BMS	PropertySynchronizer	1447024810769	0	0	0
BMS	AlarmSynchronizer	1447024810790	0	0	0
BMS	ConnectorSynchronizer (import)	1447025110530	0	0	0
BMS	MeasurementSynchronizer	1447025110563	0	0	36
BMS	WorkOrderSynchronizer	1447025110626	0	0	0
BMS	TagSynchronizer	1447025110687	0	0	0
BMS	PropertySynchronizer	1447025110757	0	0	0
BMS	AlarmSynchronizer	1447025110778	0	0	0
BMS	ConnectorSynchronizer (import)	1447025410533	0	0	0
BMS	MeasurementSynchronizer	1447025410565	0	0	36
BMS	WorkOrderSynchronizer	1447025410626	0	0	0
BMS	TagSynchronizer	1447025410685	0	0	0
BMS	PropertySynchronizer	1447025410752	0	0	0
BMS	AlarmSynchronizer	1447025410771	0	0	0
BMS	ConnectorSynchronizer (import)	1447025710531	0	0	0
BMS	MeasurementSynchronizer	1447025710563	0	0	36
BMS	WorkOrderSynchronizer	1447025710626	0	0	0
BMS	TagSynchronizer	1447025710688	0	0	0
BMS	PropertySynchronizer	1447025710758	0	0	0
BMS	AlarmSynchronizer	1447025710779	0	0	0
BMS	ConnectorSynchronizer (import)	1447026010544	0	0	0
BMS	MeasurementSynchronizer	1447026010577	0	0	36
BMS	WorkOrderSynchronizer	1447026010642	0	0	0
BMS	TagSynchronizer	1447026010704	0	0	0
BMS	PropertySynchronizer	1447026010774	0	0	0
BMS	AlarmSynchronizer	1447026010796	0	0	0
BMS	ConnectorSynchronizer (import)	1447026310540	0	0	0
BMS	MeasurementSynchronizer	1447026310574	0	0	36
BMS	WorkOrderSynchronizer	1447026310640	0	0	0
BMS	TagSynchronizer	1447026310702	0	0	0
BMS	PropertySynchronizer	1447026310774	0	0	0
BMS	AlarmSynchronizer	1447026310795	0	0	0
BMS	ConnectorSynchronizer (import)	1447026610530	0	0	0
BMS	MeasurementSynchronizer	1447026610563	0	0	36
BMS	WorkOrderSynchronizer	1447026610626	0	0	0
BMS	TagSynchronizer	1447026610689	0	0	0
BMS	PropertySynchronizer	1447026610761	0	0	0
BMS	AlarmSynchronizer	1447026610782	0	0	0
BMS	ConnectorSynchronizer (import)	1447026910545	0	0	0
BMS	MeasurementSynchronizer	1447026910579	0	0	36
BMS	WorkOrderSynchronizer	1447026910643	0	0	0
BMS	TagSynchronizer	1447026910704	0	0	0
BMS	PropertySynchronizer	1447026910774	0	0	0
BMS	AlarmSynchronizer	1447026910795	0	0	0
BMS	ConnectorSynchronizer (import)	1447027210536	0	0	0
BMS	MeasurementSynchronizer	1447027210566	0	0	36
BMS	WorkOrderSynchronizer	1447027210625	0	0	0
BMS	TagSynchronizer	1447027210682	0	0	0
BMS	PropertySynchronizer	1447027210746	0	0	0
BMS	AlarmSynchronizer	1447027210764	0	0	0
BMS	ConnectorSynchronizer (import)	1447027510497	0	0	0
BMS	MeasurementSynchronizer	1447027510528	0	0	36
BMS	WorkOrderSynchronizer	1447027510590	0	0	0
BMS	TagSynchronizer	1447027510653	0	0	0
BMS	PropertySynchronizer	1447027510724	0	0	0
BMS	AlarmSynchronizer	1447027510744	0	0	0
BMS	ConnectorSynchronizer (import)	1447027810519	0	0	0
BMS	MeasurementSynchronizer	1447027810552	0	0	36
BMS	WorkOrderSynchronizer	1447027810614	0	0	0
BMS	TagSynchronizer	1447027810676	0	0	0
BMS	PropertySynchronizer	1447027810747	0	0	0
BMS	AlarmSynchronizer	1447027810768	0	0	0
BMS	ConnectorSynchronizer (import)	1447028110521	0	0	0
BMS	MeasurementSynchronizer	1447028110555	0	0	36
BMS	WorkOrderSynchronizer	1447028110618	0	0	0
BMS	TagSynchronizer	1447028110680	0	0	0
BMS	PropertySynchronizer	1447028110750	0	0	0
BMS	AlarmSynchronizer	1447028110770	0	0	0
BMS	ConnectorSynchronizer (import)	1447028410537	0	0	0
BMS	MeasurementSynchronizer	1447028410571	0	0	36
BMS	WorkOrderSynchronizer	1447028410637	0	0	0
BMS	TagSynchronizer	1447028410699	0	0	0
BMS	PropertySynchronizer	1447028410768	0	0	0
BMS	AlarmSynchronizer	1447028410789	0	0	0
BMS	ConnectorSynchronizer (import)	1447028710526	0	0	0
BMS	MeasurementSynchronizer	1447028710561	0	0	36
BMS	WorkOrderSynchronizer	1447028710627	0	0	0
BMS	TagSynchronizer	1447028710690	0	0	0
BMS	PropertySynchronizer	1447028710762	0	0	0
BMS	AlarmSynchronizer	1447028710784	0	0	0
BMS	ConnectorSynchronizer (import)	1447029010515	0	0	0
BMS	MeasurementSynchronizer	1447029010545	0	0	36
BMS	WorkOrderSynchronizer	1447029010604	0	0	0
BMS	TagSynchronizer	1447029010657	0	0	0
BMS	PropertySynchronizer	1447029010719	0	0	0
BMS	AlarmSynchronizer	1447029010740	0	0	0
BMS	ConnectorSynchronizer (import)	1447029310530	0	0	0
BMS	MeasurementSynchronizer	1447029310564	0	0	36
BMS	WorkOrderSynchronizer	1447029310628	0	0	0
BMS	TagSynchronizer	1447029310689	0	0	0
BMS	PropertySynchronizer	1447029310760	0	0	0
BMS	AlarmSynchronizer	1447029310780	0	0	0
BMS	ConnectorSynchronizer (import)	1447029610529	0	0	0
BMS	MeasurementSynchronizer	1447029610562	0	0	36
BMS	WorkOrderSynchronizer	1447029610627	0	0	0
BMS	TagSynchronizer	1447029610688	0	0	0
BMS	PropertySynchronizer	1447029610759	0	0	0
BMS	AlarmSynchronizer	1447029610779	0	0	0
BMS	ConnectorSynchronizer (import)	1447029910526	0	0	0
BMS	MeasurementSynchronizer	1447029910559	0	0	36
BMS	WorkOrderSynchronizer	1447029910623	0	0	0
BMS	TagSynchronizer	1447029910685	0	0	0
BMS	PropertySynchronizer	1447029910756	0	0	0
BMS	AlarmSynchronizer	1447029910777	0	0	0
BMS	ConnectorSynchronizer (import)	1447030210527	0	0	0
BMS	MeasurementSynchronizer	1447030210560	0	0	36
BMS	WorkOrderSynchronizer	1447030210624	0	0	0
BMS	TagSynchronizer	1447030210702	0	0	0
BMS	PropertySynchronizer	1447030210773	0	0	0
BMS	AlarmSynchronizer	1447030210795	0	0	0
BMS	ConnectorSynchronizer (import)	1447030510567	0	0	0
BMS	MeasurementSynchronizer	1447030510601	0	0	36
BMS	WorkOrderSynchronizer	1447030510668	0	0	0
BMS	TagSynchronizer	1447030510733	0	0	0
BMS	PropertySynchronizer	1447030510808	0	0	0
BMS	AlarmSynchronizer	1447030510830	0	0	0
BMS	ConnectorSynchronizer (import)	1447030810523	0	0	0
BMS	MeasurementSynchronizer	1447030810555	0	0	36
BMS	WorkOrderSynchronizer	1447030810621	0	0	0
BMS	TagSynchronizer	1447030810683	0	0	0
BMS	PropertySynchronizer	1447030810754	0	0	0
BMS	AlarmSynchronizer	1447030810775	0	0	0
BMS	ConnectorSynchronizer (import)	1447031110537	0	0	0
BMS	MeasurementSynchronizer	1447031110570	0	0	36
BMS	WorkOrderSynchronizer	1447031110636	0	0	0
BMS	TagSynchronizer	1447031110701	0	0	0
BMS	PropertySynchronizer	1447031110772	0	0	0
BMS	AlarmSynchronizer	1447031110794	0	0	0
BMS	ConnectorSynchronizer (import)	1447031410565	0	0	0
BMS	MeasurementSynchronizer	1447031410599	0	0	36
BMS	WorkOrderSynchronizer	1447031410667	0	0	0
BMS	TagSynchronizer	1447031410732	0	0	0
BMS	PropertySynchronizer	1447031410805	0	0	0
BMS	AlarmSynchronizer	1447031410827	0	0	0
BMS	ConnectorSynchronizer (import)	1447031710531	0	0	0
BMS	MeasurementSynchronizer	1447031710566	0	0	36
BMS	WorkOrderSynchronizer	1447031710633	0	0	0
BMS	TagSynchronizer	1447031710695	0	0	0
BMS	PropertySynchronizer	1447031710768	0	0	0
BMS	AlarmSynchronizer	1447031710790	0	0	0
BMS	ConnectorSynchronizer (import)	1447032010543	0	0	0
BMS	MeasurementSynchronizer	1447032010582	0	0	36
BMS	WorkOrderSynchronizer	1447032010657	0	0	0
BMS	TagSynchronizer	1447032010720	0	0	0
BMS	PropertySynchronizer	1447032010790	0	0	0
BMS	AlarmSynchronizer	1447032010810	0	0	0
BMS	ConnectorSynchronizer (import)	1447032310839	0	0	0
BMS	MeasurementSynchronizer	1447032310871	0	0	36
BMS	WorkOrderSynchronizer	1447032310931	0	0	0
BMS	TagSynchronizer	1447032310992	0	0	0
BMS	PropertySynchronizer	1447032311058	0	0	0
BMS	AlarmSynchronizer	1447032311077	0	0	0
BMS	ConnectorSynchronizer (import)	1447032610573	0	0	0
BMS	MeasurementSynchronizer	1447032610605	0	0	36
BMS	WorkOrderSynchronizer	1447032610663	0	0	0
BMS	TagSynchronizer	1447032610721	0	0	0
BMS	PropertySynchronizer	1447032610786	0	0	0
BMS	AlarmSynchronizer	1447032610805	0	0	0
BMS	ConnectorSynchronizer (import)	1447032910540	0	0	0
BMS	MeasurementSynchronizer	1447032910571	0	0	36
BMS	WorkOrderSynchronizer	1447032910628	0	0	0
BMS	TagSynchronizer	1447032910687	0	0	0
BMS	PropertySynchronizer	1447032910753	0	0	0
BMS	AlarmSynchronizer	1447032910774	0	0	0
BMS	ConnectorSynchronizer (import)	1447033210534	0	0	0
BMS	MeasurementSynchronizer	1447033210566	0	0	36
BMS	WorkOrderSynchronizer	1447033210629	0	0	0
BMS	TagSynchronizer	1447033210692	0	0	0
BMS	PropertySynchronizer	1447033210763	0	0	0
BMS	AlarmSynchronizer	1447033210784	0	0	0
BMS	ConnectorSynchronizer (import)	1447033510548	0	0	0
BMS	MeasurementSynchronizer	1447033510580	0	0	36
BMS	WorkOrderSynchronizer	1447033510645	0	0	0
BMS	TagSynchronizer	1447033510706	0	0	0
BMS	PropertySynchronizer	1447033510777	0	0	0
BMS	AlarmSynchronizer	1447033510797	0	0	0
BMS	ConnectorSynchronizer (import)	1447033810533	0	0	0
BMS	MeasurementSynchronizer	1447033810566	0	0	36
BMS	WorkOrderSynchronizer	1447033810630	0	0	0
BMS	TagSynchronizer	1447033810691	0	0	0
BMS	PropertySynchronizer	1447033810761	0	0	0
BMS	AlarmSynchronizer	1447033810782	0	0	0
BMS	ConnectorSynchronizer (import)	1447034110525	0	0	0
BMS	MeasurementSynchronizer	1447034110558	0	0	36
BMS	WorkOrderSynchronizer	1447034110625	0	0	0
BMS	TagSynchronizer	1447034110687	0	0	0
BMS	PropertySynchronizer	1447034110760	0	0	0
BMS	AlarmSynchronizer	1447034110782	0	0	0
BMS	ConnectorSynchronizer (import)	1447034410545	0	0	0
BMS	MeasurementSynchronizer	1447034410578	0	0	36
BMS	WorkOrderSynchronizer	1447034410647	0	0	0
BMS	TagSynchronizer	1447034410711	0	0	0
BMS	PropertySynchronizer	1447034410784	0	0	0
BMS	AlarmSynchronizer	1447034410805	0	0	0
BMS	ConnectorSynchronizer (import)	1447034710529	0	0	0
BMS	MeasurementSynchronizer	1447034710560	0	0	36
BMS	WorkOrderSynchronizer	1447034710618	0	0	0
BMS	TagSynchronizer	1447034710680	0	0	0
BMS	PropertySynchronizer	1447034710749	0	0	0
BMS	AlarmSynchronizer	1447034710768	0	0	0
BMS	ConnectorSynchronizer (import)	1447035010535	0	0	0
BMS	MeasurementSynchronizer	1447035010568	0	0	36
BMS	WorkOrderSynchronizer	1447035010632	0	0	0
BMS	TagSynchronizer	1447035010694	0	0	0
BMS	PropertySynchronizer	1447035010763	0	0	0
BMS	AlarmSynchronizer	1447035010785	0	0	0
BMS	ConnectorSynchronizer (import)	1447035310536	0	0	0
BMS	MeasurementSynchronizer	1447035310570	0	0	36
BMS	WorkOrderSynchronizer	1447035310637	0	0	0
BMS	TagSynchronizer	1447035310701	0	0	0
BMS	PropertySynchronizer	1447035310773	0	0	0
BMS	AlarmSynchronizer	1447035310794	0	0	0
BMS	ConnectorSynchronizer (import)	1447035610524	0	0	0
BMS	MeasurementSynchronizer	1447035610557	0	0	36
BMS	WorkOrderSynchronizer	1447035610619	0	0	0
BMS	TagSynchronizer	1447035610681	0	0	0
BMS	PropertySynchronizer	1447035610751	0	0	0
BMS	AlarmSynchronizer	1447035610772	0	0	0
BMS	ConnectorSynchronizer (import)	1447035910521	0	0	0
BMS	MeasurementSynchronizer	1447035910555	0	0	36
BMS	WorkOrderSynchronizer	1447035910622	0	0	0
BMS	TagSynchronizer	1447035910683	0	0	0
BMS	PropertySynchronizer	1447035910756	0	0	0
BMS	AlarmSynchronizer	1447035910777	0	0	0
BMS	ConnectorSynchronizer (import)	1447036210567	0	0	0
BMS	MeasurementSynchronizer	1447036210602	0	0	36
BMS	WorkOrderSynchronizer	1447036210675	0	0	0
BMS	TagSynchronizer	1447036210739	0	0	0
BMS	PropertySynchronizer	1447036210812	0	0	0
BMS	AlarmSynchronizer	1447036210835	0	0	0
BMS	ConnectorSynchronizer (import)	1447036510524	0	0	0
BMS	MeasurementSynchronizer	1447036510556	0	0	36
BMS	WorkOrderSynchronizer	1447036510614	0	0	0
BMS	TagSynchronizer	1447036510670	0	0	0
BMS	PropertySynchronizer	1447036510735	0	0	0
BMS	AlarmSynchronizer	1447036510755	0	0	0
BMS	ConnectorSynchronizer (import)	1447036810521	0	0	0
BMS	MeasurementSynchronizer	1447036810554	0	0	36
BMS	WorkOrderSynchronizer	1447036810617	0	0	0
BMS	TagSynchronizer	1447036810679	0	0	0
BMS	PropertySynchronizer	1447036810750	0	0	0
BMS	AlarmSynchronizer	1447036810770	0	0	0
BMS	ConnectorSynchronizer (import)	1447037110521	0	0	0
BMS	MeasurementSynchronizer	1447037110554	0	0	36
BMS	WorkOrderSynchronizer	1447037110618	0	0	0
BMS	TagSynchronizer	1447037110680	0	0	0
BMS	PropertySynchronizer	1447037110751	0	0	0
BMS	AlarmSynchronizer	1447037110772	0	0	0
BMS	ConnectorSynchronizer (import)	1447037410557	0	0	0
BMS	MeasurementSynchronizer	1447037410591	0	0	36
BMS	WorkOrderSynchronizer	1447037410655	0	0	0
BMS	TagSynchronizer	1447037410717	0	0	0
BMS	PropertySynchronizer	1447037410789	0	0	0
BMS	AlarmSynchronizer	1447037410811	0	0	0
BMS	ConnectorSynchronizer (import)	1447037710545	0	0	0
BMS	MeasurementSynchronizer	1447037710579	0	0	36
BMS	WorkOrderSynchronizer	1447037710646	0	0	0
BMS	TagSynchronizer	1447037710709	0	0	0
BMS	PropertySynchronizer	1447037710780	0	0	0
BMS	AlarmSynchronizer	1447037710803	0	0	0
BMS	ConnectorSynchronizer (import)	1447038010522	0	0	0
BMS	MeasurementSynchronizer	1447038010553	0	0	36
BMS	WorkOrderSynchronizer	1447038010611	0	0	0
BMS	TagSynchronizer	1447038010668	0	0	0
BMS	PropertySynchronizer	1447038010734	0	0	0
BMS	AlarmSynchronizer	1447038010753	0	0	0
BMS	ConnectorSynchronizer (import)	1447038310519	0	0	0
BMS	MeasurementSynchronizer	1447038310552	0	0	36
BMS	WorkOrderSynchronizer	1447038310615	0	0	0
BMS	TagSynchronizer	1447038310677	0	0	0
BMS	PropertySynchronizer	1447038310747	0	0	0
BMS	AlarmSynchronizer	1447038310768	0	0	0
BMS	ConnectorSynchronizer (import)	1447038610528	0	0	0
BMS	MeasurementSynchronizer	1447038610561	0	0	36
BMS	WorkOrderSynchronizer	1447038610626	0	0	0
BMS	TagSynchronizer	1447038610687	0	0	0
BMS	PropertySynchronizer	1447038610758	0	0	0
BMS	AlarmSynchronizer	1447038610779	0	0	0
BMS	ConnectorSynchronizer (import)	1447038910538	0	0	0
BMS	MeasurementSynchronizer	1447038910571	0	0	36
BMS	WorkOrderSynchronizer	1447038910636	0	0	0
BMS	TagSynchronizer	1447038910698	0	0	0
BMS	PropertySynchronizer	1447038910770	0	0	0
BMS	AlarmSynchronizer	1447038910791	0	0	0
BMS	ConnectorSynchronizer (import)	1447039210531	0	0	0
BMS	MeasurementSynchronizer	1447039210564	0	0	36
BMS	WorkOrderSynchronizer	1447039210628	0	0	0
BMS	TagSynchronizer	1447039210690	0	0	0
BMS	PropertySynchronizer	1447039210764	0	0	0
BMS	AlarmSynchronizer	1447039210784	0	0	0
BMS	ConnectorSynchronizer (import)	1447039510546	0	0	0
BMS	MeasurementSynchronizer	1447039510579	0	0	36
BMS	WorkOrderSynchronizer	1447039510643	0	0	0
BMS	TagSynchronizer	1447039510705	0	0	0
BMS	PropertySynchronizer	1447039510775	0	0	0
BMS	AlarmSynchronizer	1447039510796	0	0	0
BMS	ConnectorSynchronizer (import)	1447039810528	0	0	0
BMS	MeasurementSynchronizer	1447039810561	0	0	36
BMS	WorkOrderSynchronizer	1447039810624	0	0	0
BMS	TagSynchronizer	1447039810684	0	0	0
BMS	PropertySynchronizer	1447039810749	0	0	0
BMS	AlarmSynchronizer	1447039810768	0	0	0
BMS	ConnectorSynchronizer (import)	1447040110517	0	0	0
BMS	MeasurementSynchronizer	1447040110547	0	0	36
BMS	WorkOrderSynchronizer	1447040110608	0	0	0
BMS	TagSynchronizer	1447040110663	0	0	0
BMS	PropertySynchronizer	1447040110740	0	0	0
BMS	AlarmSynchronizer	1447040110761	0	0	0
BMS	ConnectorSynchronizer (import)	1447040410849	0	0	0
BMS	MeasurementSynchronizer	1447040410882	0	0	36
BMS	WorkOrderSynchronizer	1447040410948	0	0	0
BMS	TagSynchronizer	1447040411009	0	0	0
BMS	PropertySynchronizer	1447040411080	0	0	0
BMS	AlarmSynchronizer	1447040411100	0	0	0
BMS	ConnectorSynchronizer (import)	1447040710523	0	0	0
BMS	MeasurementSynchronizer	1447040710556	0	0	36
BMS	WorkOrderSynchronizer	1447040710621	0	0	0
BMS	TagSynchronizer	1447040710683	0	0	0
BMS	PropertySynchronizer	1447040710754	0	0	0
BMS	AlarmSynchronizer	1447040710775	0	0	0
BMS	ConnectorSynchronizer (import)	1447041010523	0	0	0
BMS	MeasurementSynchronizer	1447041010556	0	0	36
BMS	WorkOrderSynchronizer	1447041010623	0	0	0
BMS	TagSynchronizer	1447041010688	0	0	0
BMS	PropertySynchronizer	1447041010761	0	0	0
BMS	AlarmSynchronizer	1447041010783	0	0	0
BMS	ConnectorSynchronizer (import)	1447041310548	0	0	0
BMS	MeasurementSynchronizer	1447041310583	0	0	36
BMS	WorkOrderSynchronizer	1447041310652	0	0	0
BMS	TagSynchronizer	1447041310716	0	0	0
BMS	PropertySynchronizer	1447041310790	0	0	0
BMS	AlarmSynchronizer	1447041310812	0	0	0
BMS	ConnectorSynchronizer (import)	1447041610525	0	0	0
BMS	MeasurementSynchronizer	1447041610558	0	0	36
BMS	WorkOrderSynchronizer	1447041610622	0	0	0
BMS	TagSynchronizer	1447041610682	0	0	0
BMS	PropertySynchronizer	1447041610753	0	0	0
BMS	AlarmSynchronizer	1447041610773	0	0	0
BMS	ConnectorSynchronizer (import)	1447041910553	0	0	0
BMS	MeasurementSynchronizer	1447041910584	0	0	36
BMS	WorkOrderSynchronizer	1447041910642	0	0	0
BMS	TagSynchronizer	1447041910700	0	0	0
BMS	PropertySynchronizer	1447041910763	0	0	0
BMS	AlarmSynchronizer	1447041910782	0	0	0
BMS	ConnectorSynchronizer (import)	1447042210528	0	0	0
BMS	MeasurementSynchronizer	1447042210562	0	0	36
BMS	WorkOrderSynchronizer	1447042210629	0	0	0
BMS	TagSynchronizer	1447042210691	0	0	0
BMS	PropertySynchronizer	1447042210762	0	0	0
BMS	AlarmSynchronizer	1447042210783	0	0	0
BMS	ConnectorSynchronizer (import)	1447042510529	0	0	0
BMS	MeasurementSynchronizer	1447042510563	0	0	36
BMS	WorkOrderSynchronizer	1447042510627	0	0	0
BMS	TagSynchronizer	1447042510691	0	0	0
BMS	PropertySynchronizer	1447042510761	0	0	0
BMS	AlarmSynchronizer	1447042510783	0	0	0
BMS	ConnectorSynchronizer (import)	1447042810539	0	0	0
BMS	MeasurementSynchronizer	1447042810572	0	0	36
BMS	WorkOrderSynchronizer	1447042810636	0	0	0
BMS	TagSynchronizer	1447042810698	0	0	0
BMS	PropertySynchronizer	1447042810771	0	0	0
BMS	AlarmSynchronizer	1447042810792	0	0	0
BMS	ConnectorSynchronizer (import)	1447043110518	0	0	0
BMS	MeasurementSynchronizer	1447043110550	0	0	36
BMS	WorkOrderSynchronizer	1447043110614	0	0	0
BMS	TagSynchronizer	1447043110676	0	0	0
BMS	PropertySynchronizer	1447043110749	0	0	0
BMS	AlarmSynchronizer	1447043110770	0	0	0
BMS	ConnectorSynchronizer (import)	1447043410538	0	0	0
BMS	MeasurementSynchronizer	1447043410571	0	0	36
BMS	WorkOrderSynchronizer	1447043410636	0	0	0
BMS	TagSynchronizer	1447043410698	0	0	0
BMS	PropertySynchronizer	1447043410768	0	0	0
BMS	AlarmSynchronizer	1447043410789	0	0	0
BMS	ConnectorSynchronizer (import)	1447043710532	0	0	0
BMS	MeasurementSynchronizer	1447043710564	0	0	36
BMS	WorkOrderSynchronizer	1447043710628	0	0	0
BMS	TagSynchronizer	1447043710689	0	0	0
BMS	PropertySynchronizer	1447043710759	0	0	0
BMS	AlarmSynchronizer	1447043710779	0	0	0
BMS	ConnectorSynchronizer (import)	1447044010555	0	0	0
BMS	MeasurementSynchronizer	1447044010591	0	0	36
BMS	WorkOrderSynchronizer	1447044010660	0	0	0
BMS	TagSynchronizer	1447044010723	0	0	0
BMS	PropertySynchronizer	1447044010796	0	0	0
BMS	AlarmSynchronizer	1447044010817	0	0	0
BMS	ConnectorSynchronizer (import)	1447044310518	0	0	0
BMS	MeasurementSynchronizer	1447044310549	0	0	36
BMS	WorkOrderSynchronizer	1447044310608	0	0	0
BMS	TagSynchronizer	1447044310665	0	0	0
BMS	PropertySynchronizer	1447044310728	0	0	0
BMS	AlarmSynchronizer	1447044310747	0	0	0
BMS	ConnectorSynchronizer (import)	1447044610526	0	0	0
BMS	MeasurementSynchronizer	1447044610560	0	0	36
BMS	WorkOrderSynchronizer	1447044610631	0	0	0
BMS	TagSynchronizer	1447044610696	0	0	0
BMS	PropertySynchronizer	1447044610769	0	0	0
BMS	AlarmSynchronizer	1447044610791	0	0	0
BMS	ConnectorSynchronizer (import)	1447044910533	0	0	0
BMS	MeasurementSynchronizer	1447044910566	0	0	36
BMS	WorkOrderSynchronizer	1447044910631	0	0	0
BMS	TagSynchronizer	1447044910693	0	0	0
BMS	PropertySynchronizer	1447044910764	0	0	0
BMS	AlarmSynchronizer	1447044910785	0	0	0
BMS	ConnectorSynchronizer (import)	1447045210544	0	0	0
BMS	MeasurementSynchronizer	1447045210577	0	0	36
BMS	WorkOrderSynchronizer	1447045210640	0	0	0
BMS	TagSynchronizer	1447045210701	0	0	0
BMS	PropertySynchronizer	1447045210772	0	0	0
BMS	AlarmSynchronizer	1447045210794	0	0	0
BMS	ConnectorSynchronizer (import)	1447045510556	0	0	0
BMS	MeasurementSynchronizer	1447045510588	0	0	36
BMS	WorkOrderSynchronizer	1447045510652	0	0	0
BMS	TagSynchronizer	1447045510713	0	0	0
BMS	PropertySynchronizer	1447045510784	0	0	0
BMS	AlarmSynchronizer	1447045510805	0	0	0
BMS	ConnectorSynchronizer (import)	1447045810561	0	0	0
BMS	MeasurementSynchronizer	1447045810595	0	0	36
BMS	WorkOrderSynchronizer	1447045810662	0	0	0
BMS	TagSynchronizer	1447045810725	0	0	0
BMS	PropertySynchronizer	1447045810796	0	0	0
BMS	AlarmSynchronizer	1447045810818	0	0	0
BMS	ConnectorSynchronizer (import)	1447046110538	0	0	0
BMS	MeasurementSynchronizer	1447046110569	0	0	36
BMS	WorkOrderSynchronizer	1447046110631	0	0	0
BMS	TagSynchronizer	1447046110690	0	0	0
BMS	PropertySynchronizer	1447046110756	0	0	0
BMS	AlarmSynchronizer	1447046110776	0	0	0
BMS	ConnectorSynchronizer (import)	1447046410514	0	0	0
BMS	MeasurementSynchronizer	1447046410545	0	0	36
BMS	WorkOrderSynchronizer	1447046410601	0	0	0
BMS	TagSynchronizer	1447046410659	0	0	0
BMS	PropertySynchronizer	1447046410727	0	0	0
BMS	AlarmSynchronizer	1447046410749	0	0	0
BMS	ConnectorSynchronizer (import)	1447046710520	0	0	0
BMS	MeasurementSynchronizer	1447046710553	0	0	36
BMS	WorkOrderSynchronizer	1447046710617	0	0	0
BMS	TagSynchronizer	1447046710680	0	0	0
BMS	PropertySynchronizer	1447046710750	0	0	0
BMS	AlarmSynchronizer	1447046710771	0	0	0
BMS	ConnectorSynchronizer (import)	1447047010526	0	0	0
BMS	MeasurementSynchronizer	1447047010558	0	0	36
BMS	WorkOrderSynchronizer	1447047010623	0	0	0
BMS	TagSynchronizer	1447047010687	0	0	0
BMS	PropertySynchronizer	1447047010758	0	0	0
BMS	AlarmSynchronizer	1447047010778	0	0	0
BMS	ConnectorSynchronizer (import)	1447047310547	0	0	0
BMS	MeasurementSynchronizer	1447047310580	0	0	36
BMS	WorkOrderSynchronizer	1447047310648	0	0	0
BMS	TagSynchronizer	1447047310710	0	0	0
BMS	PropertySynchronizer	1447047310780	0	0	0
BMS	AlarmSynchronizer	1447047310800	0	0	0
BMS	ConnectorSynchronizer (import)	1447047610521	0	0	0
BMS	MeasurementSynchronizer	1447047610554	0	0	36
BMS	WorkOrderSynchronizer	1447047610618	0	0	0
BMS	TagSynchronizer	1447047610680	0	0	0
BMS	PropertySynchronizer	1447047610754	0	0	0
BMS	AlarmSynchronizer	1447047610776	0	0	0
BMS	ConnectorSynchronizer (import)	1447047910521	0	0	0
BMS	MeasurementSynchronizer	1447047910554	0	0	36
BMS	WorkOrderSynchronizer	1447047910617	0	0	0
BMS	TagSynchronizer	1447047910678	0	0	0
BMS	PropertySynchronizer	1447047910751	0	0	0
BMS	AlarmSynchronizer	1447047910772	0	0	0
BMS	ConnectorSynchronizer (import)	1447048210548	0	0	0
BMS	MeasurementSynchronizer	1447048210587	0	0	36
BMS	WorkOrderSynchronizer	1447048210657	0	0	0
BMS	TagSynchronizer	1447048210721	0	0	0
BMS	PropertySynchronizer	1447048210793	0	0	0
BMS	AlarmSynchronizer	1447048210814	0	0	0
BMS	ConnectorSynchronizer (import)	1447048510859	0	0	0
BMS	MeasurementSynchronizer	1447048510892	0	0	36
BMS	WorkOrderSynchronizer	1447048510955	0	0	0
BMS	TagSynchronizer	1447048511017	0	0	0
BMS	PropertySynchronizer	1447048511087	0	0	0
BMS	AlarmSynchronizer	1447048511107	0	0	0
BMS	ConnectorSynchronizer (import)	1447048810571	0	0	0
BMS	MeasurementSynchronizer	1447048810603	0	0	36
BMS	WorkOrderSynchronizer	1447048810667	0	0	0
BMS	TagSynchronizer	1447048810730	0	0	0
BMS	PropertySynchronizer	1447048810801	0	0	0
BMS	AlarmSynchronizer	1447048810823	0	0	0
BMS	ConnectorSynchronizer (import)	1447049110520	0	0	0
BMS	MeasurementSynchronizer	1447049110553	0	0	36
BMS	WorkOrderSynchronizer	1447049110616	0	0	0
BMS	TagSynchronizer	1447049110678	0	0	0
BMS	PropertySynchronizer	1447049110749	0	0	0
BMS	AlarmSynchronizer	1447049110770	0	0	0
BMS	ConnectorSynchronizer (import)	1447049410554	0	0	0
BMS	MeasurementSynchronizer	1447049410587	0	0	36
BMS	WorkOrderSynchronizer	1447049410650	0	0	0
BMS	TagSynchronizer	1447049410712	0	0	0
BMS	PropertySynchronizer	1447049410785	0	0	0
BMS	AlarmSynchronizer	1447049410809	0	0	0
BMS	ConnectorSynchronizer (import)	1447049710580	0	0	0
BMS	MeasurementSynchronizer	1447049710613	0	0	36
BMS	WorkOrderSynchronizer	1447049710678	0	0	0
BMS	TagSynchronizer	1447049710739	0	0	0
BMS	PropertySynchronizer	1447049710810	0	0	0
BMS	AlarmSynchronizer	1447049710833	0	0	0
BMS	ConnectorSynchronizer (import)	1447050010532	0	0	0
BMS	MeasurementSynchronizer	1447050010555	0	0	36
BMS	WorkOrderSynchronizer	1447050010595	0	0	0
BMS	TagSynchronizer	1447050010629	0	0	0
BMS	PropertySynchronizer	1447050010670	0	0	0
BMS	AlarmSynchronizer	1447050010684	0	0	0
BMS	ConnectorSynchronizer (import)	1447050310526	0	0	0
BMS	MeasurementSynchronizer	1447050310559	0	0	36
BMS	WorkOrderSynchronizer	1447050310626	0	0	0
BMS	TagSynchronizer	1447050310691	0	0	0
BMS	PropertySynchronizer	1447050310763	0	0	0
BMS	AlarmSynchronizer	1447050310786	0	0	0
BMS	ConnectorSynchronizer (import)	1447050610522	0	0	0
BMS	MeasurementSynchronizer	1447050610555	0	0	36
BMS	WorkOrderSynchronizer	1447050610621	0	0	0
BMS	TagSynchronizer	1447050610683	0	0	0
BMS	PropertySynchronizer	1447050610755	0	0	0
BMS	AlarmSynchronizer	1447050610776	0	0	0
BMS	ConnectorSynchronizer (import)	1447050910534	0	0	0
BMS	MeasurementSynchronizer	1447050910569	0	0	36
BMS	WorkOrderSynchronizer	1447050910635	0	0	0
BMS	TagSynchronizer	1447050910697	0	0	0
BMS	PropertySynchronizer	1447050910770	0	0	0
BMS	AlarmSynchronizer	1447050910793	0	0	0
BMS	ConnectorSynchronizer (import)	1447051210531	0	0	0
BMS	MeasurementSynchronizer	1447051210565	0	0	36
BMS	WorkOrderSynchronizer	1447051210629	0	0	0
BMS	TagSynchronizer	1447051210691	0	0	0
BMS	PropertySynchronizer	1447051210776	0	0	0
BMS	AlarmSynchronizer	1447051210798	0	0	0
BMS	ConnectorSynchronizer (import)	1447051510529	0	0	0
BMS	MeasurementSynchronizer	1447051510562	0	0	36
BMS	WorkOrderSynchronizer	1447051510630	0	0	0
BMS	TagSynchronizer	1447051510692	0	0	0
BMS	PropertySynchronizer	1447051510764	0	0	0
BMS	AlarmSynchronizer	1447051510785	0	0	0
BMS	ConnectorSynchronizer (import)	1447051810526	0	0	0
BMS	MeasurementSynchronizer	1447051810562	0	0	36
BMS	WorkOrderSynchronizer	1447051810625	0	0	0
BMS	TagSynchronizer	1447051810687	0	0	0
BMS	PropertySynchronizer	1447051810758	0	0	0
BMS	AlarmSynchronizer	1447051810779	0	0	0
BMS	ConnectorSynchronizer (import)	1447052110526	0	0	0
BMS	MeasurementSynchronizer	1447052110556	0	0	36
BMS	WorkOrderSynchronizer	1447052110615	0	0	0
BMS	TagSynchronizer	1447052110672	0	0	0
BMS	PropertySynchronizer	1447052110742	0	0	0
BMS	AlarmSynchronizer	1447052110762	0	0	0
BMS	ConnectorSynchronizer (import)	1447052410516	0	0	0
BMS	MeasurementSynchronizer	1447052410548	0	0	36
BMS	WorkOrderSynchronizer	1447052410628	0	0	0
BMS	TagSynchronizer	1447052410691	0	0	0
BMS	PropertySynchronizer	1447052410763	0	0	0
BMS	AlarmSynchronizer	1447052410785	0	0	0
BMS	ConnectorSynchronizer (import)	1447052710530	0	0	0
BMS	MeasurementSynchronizer	1447052710563	0	0	36
BMS	WorkOrderSynchronizer	1447052710630	0	0	0
BMS	TagSynchronizer	1447052710693	0	0	0
BMS	PropertySynchronizer	1447052710766	0	0	0
BMS	AlarmSynchronizer	1447052710787	0	0	0
BMS	ConnectorSynchronizer (import)	1447053010516	0	0	0
BMS	MeasurementSynchronizer	1447053010548	0	0	36
BMS	WorkOrderSynchronizer	1447053010614	0	0	0
BMS	TagSynchronizer	1447053010675	0	0	0
BMS	PropertySynchronizer	1447053010747	0	0	0
BMS	AlarmSynchronizer	1447053010768	0	0	0
BMS	ConnectorSynchronizer (import)	1447053310559	0	0	0
BMS	MeasurementSynchronizer	1447053310593	0	0	36
BMS	WorkOrderSynchronizer	1447053310660	0	0	0
BMS	TagSynchronizer	1447053310723	0	0	0
BMS	PropertySynchronizer	1447053310795	0	0	0
BMS	AlarmSynchronizer	1447053310817	0	0	0
BMS	ConnectorSynchronizer (import)	1447053610556	0	0	0
BMS	MeasurementSynchronizer	1447053610588	0	0	36
BMS	WorkOrderSynchronizer	1447053610647	0	0	0
BMS	TagSynchronizer	1447053610705	0	0	0
BMS	PropertySynchronizer	1447053610770	0	0	0
BMS	AlarmSynchronizer	1447053610790	0	0	0
BMS	ConnectorSynchronizer (import)	1447053910521	0	0	0
BMS	MeasurementSynchronizer	1447053910554	0	0	36
BMS	WorkOrderSynchronizer	1447053910617	0	0	0
BMS	TagSynchronizer	1447053910679	0	0	0
BMS	PropertySynchronizer	1447053910750	0	0	0
BMS	AlarmSynchronizer	1447053910771	0	0	0
BMS	ConnectorSynchronizer (import)	1447054210530	0	0	0
BMS	MeasurementSynchronizer	1447054210562	0	0	36
BMS	WorkOrderSynchronizer	1447054210627	0	0	0
BMS	TagSynchronizer	1447054210688	0	0	0
BMS	PropertySynchronizer	1447054210759	0	0	0
BMS	AlarmSynchronizer	1447054210780	0	0	0
BMS	ConnectorSynchronizer (import)	1447054510529	0	0	0
BMS	MeasurementSynchronizer	1447054510562	0	0	36
BMS	WorkOrderSynchronizer	1447054510626	0	0	0
BMS	TagSynchronizer	1447054510688	0	0	0
BMS	PropertySynchronizer	1447054510760	0	0	0
BMS	AlarmSynchronizer	1447054510781	0	0	0
BMS	ConnectorSynchronizer (import)	1447054810539	0	0	0
BMS	MeasurementSynchronizer	1447054810573	0	0	36
BMS	WorkOrderSynchronizer	1447054810636	0	0	0
BMS	TagSynchronizer	1447054810697	0	0	0
BMS	PropertySynchronizer	1447054810768	0	0	0
BMS	AlarmSynchronizer	1447054810789	0	0	0
BMS	ConnectorSynchronizer (import)	1447055110557	0	0	0
BMS	MeasurementSynchronizer	1447055110590	0	0	36
BMS	WorkOrderSynchronizer	1447055110656	0	0	0
BMS	TagSynchronizer	1447055110718	0	0	0
BMS	PropertySynchronizer	1447055110790	0	0	0
BMS	AlarmSynchronizer	1447055110811	0	0	0
BMS	ConnectorSynchronizer (import)	1447055410521	0	0	0
BMS	MeasurementSynchronizer	1447055410555	0	0	36
BMS	WorkOrderSynchronizer	1447055410620	0	0	0
BMS	TagSynchronizer	1447055410681	0	0	0
BMS	PropertySynchronizer	1447055410745	0	0	0
BMS	AlarmSynchronizer	1447055410764	0	0	0
BMS	ConnectorSynchronizer (import)	1447055710520	0	0	0
BMS	MeasurementSynchronizer	1447055710554	0	0	36
BMS	WorkOrderSynchronizer	1447055710618	0	0	0
BMS	TagSynchronizer	1447055710681	0	0	0
BMS	PropertySynchronizer	1447055710752	0	0	0
BMS	AlarmSynchronizer	1447055710773	0	0	0
BMS	ConnectorSynchronizer (import)	1447056010537	0	0	0
BMS	MeasurementSynchronizer	1447056010571	0	0	36
BMS	WorkOrderSynchronizer	1447056010636	0	0	0
BMS	TagSynchronizer	1447056010699	0	0	0
BMS	PropertySynchronizer	1447056010770	0	0	0
BMS	AlarmSynchronizer	1447056010791	0	0	0
BMS	ConnectorSynchronizer (import)	1447056310530	0	0	0
BMS	MeasurementSynchronizer	1447056310563	0	0	36
BMS	WorkOrderSynchronizer	1447056310627	0	0	0
BMS	TagSynchronizer	1447056310689	0	0	0
BMS	PropertySynchronizer	1447056310759	0	0	0
BMS	AlarmSynchronizer	1447056310780	0	0	0
BMS	ConnectorSynchronizer (import)	1447056610874	0	0	0
BMS	MeasurementSynchronizer	1447056610907	0	0	36
BMS	WorkOrderSynchronizer	1447056610972	0	0	0
BMS	TagSynchronizer	1447056611034	0	0	0
BMS	PropertySynchronizer	1447056611106	0	0	0
BMS	AlarmSynchronizer	1447056611127	0	0	0
BMS	ConnectorSynchronizer (import)	1447056910548	0	0	0
BMS	MeasurementSynchronizer	1447056910580	0	0	36
BMS	WorkOrderSynchronizer	1447056910644	0	0	0
BMS	TagSynchronizer	1447056910710	0	0	0
BMS	PropertySynchronizer	1447056910781	0	0	0
BMS	AlarmSynchronizer	1447056910801	0	0	0
BMS	ConnectorSynchronizer (import)	1447057210531	0	0	0
BMS	MeasurementSynchronizer	1447057210566	0	0	36
BMS	WorkOrderSynchronizer	1447057210634	0	0	0
BMS	TagSynchronizer	1447057210696	0	0	0
BMS	PropertySynchronizer	1447057210766	0	0	0
BMS	AlarmSynchronizer	1447057210786	0	0	0
BMS	ConnectorSynchronizer (import)	1447057510526	0	0	0
BMS	MeasurementSynchronizer	1447057510558	0	0	36
BMS	WorkOrderSynchronizer	1447057510621	0	0	0
BMS	TagSynchronizer	1447057510684	0	0	0
BMS	PropertySynchronizer	1447057510763	0	0	0
BMS	AlarmSynchronizer	1447057510785	0	0	0
BMS	ConnectorSynchronizer (import)	1447057810510	0	0	0
BMS	MeasurementSynchronizer	1447057810543	0	0	36
BMS	WorkOrderSynchronizer	1447057810607	0	0	0
BMS	TagSynchronizer	1447057810669	0	0	0
BMS	PropertySynchronizer	1447057810740	0	0	0
BMS	AlarmSynchronizer	1447057810760	0	0	0
BMS	ConnectorSynchronizer (import)	1447058110518	0	0	0
BMS	MeasurementSynchronizer	1447058110551	0	0	36
BMS	WorkOrderSynchronizer	1447058110615	0	0	0
BMS	TagSynchronizer	1447058110679	0	0	0
BMS	PropertySynchronizer	1447058110751	0	0	0
BMS	AlarmSynchronizer	1447058110771	0	0	0
BMS	ConnectorSynchronizer (import)	1447058410520	0	0	0
BMS	MeasurementSynchronizer	1447058410553	0	0	36
BMS	WorkOrderSynchronizer	1447058410618	0	0	0
BMS	TagSynchronizer	1447058410680	0	0	0
BMS	PropertySynchronizer	1447058410752	0	0	0
BMS	AlarmSynchronizer	1447058410773	0	0	0
BMS	ConnectorSynchronizer (import)	1447058710528	0	0	0
BMS	MeasurementSynchronizer	1447058710560	0	0	36
BMS	WorkOrderSynchronizer	1447058710624	0	0	0
BMS	TagSynchronizer	1447058710685	0	0	0
BMS	PropertySynchronizer	1447058710756	0	0	0
BMS	AlarmSynchronizer	1447058710776	0	0	0
BMS	ConnectorSynchronizer (import)	1447059010557	0	0	0
BMS	MeasurementSynchronizer	1447059010590	0	0	36
BMS	WorkOrderSynchronizer	1447059010660	0	0	0
BMS	TagSynchronizer	1447059010727	0	0	0
BMS	PropertySynchronizer	1447059010801	0	0	0
BMS	AlarmSynchronizer	1447059010824	0	0	0
BMS	ConnectorSynchronizer (import)	1447059310517	0	0	0
BMS	MeasurementSynchronizer	1447059310548	0	0	36
BMS	WorkOrderSynchronizer	1447059310607	0	0	0
BMS	TagSynchronizer	1447059310665	0	0	0
BMS	PropertySynchronizer	1447059310729	0	0	0
BMS	AlarmSynchronizer	1447059310747	0	0	0
BMS	ConnectorSynchronizer (import)	1447059610545	0	0	0
BMS	MeasurementSynchronizer	1447059610579	0	0	36
BMS	WorkOrderSynchronizer	1447059610646	0	0	0
BMS	TagSynchronizer	1447059610712	0	0	0
BMS	PropertySynchronizer	1447059610785	0	0	0
BMS	AlarmSynchronizer	1447059610806	0	0	0
BMS	ConnectorSynchronizer (import)	1447059910539	0	0	0
BMS	MeasurementSynchronizer	1447059910572	0	0	36
BMS	WorkOrderSynchronizer	1447059910641	0	0	0
BMS	TagSynchronizer	1447059910704	0	0	0
BMS	PropertySynchronizer	1447059910778	0	0	0
BMS	AlarmSynchronizer	1447059910799	0	0	0
BMS	ConnectorSynchronizer (import)	1447060210552	0	0	0
BMS	MeasurementSynchronizer	1447060210585	0	0	36
BMS	WorkOrderSynchronizer	1447060210648	0	0	0
BMS	TagSynchronizer	1447060210711	0	0	0
BMS	PropertySynchronizer	1447060210781	0	0	0
BMS	AlarmSynchronizer	1447060210803	0	0	0
BMS	ConnectorSynchronizer (import)	1447060510512	0	0	0
BMS	MeasurementSynchronizer	1447060510545	0	0	36
BMS	WorkOrderSynchronizer	1447060510610	0	0	0
BMS	TagSynchronizer	1447060510673	0	0	0
BMS	PropertySynchronizer	1447060510744	0	0	0
BMS	AlarmSynchronizer	1447060510765	0	0	0
BMS	ConnectorSynchronizer (import)	1447060810538	0	0	0
BMS	MeasurementSynchronizer	1447060810572	0	0	36
BMS	WorkOrderSynchronizer	1447060810637	0	0	0
BMS	TagSynchronizer	1447060810701	0	0	0
BMS	PropertySynchronizer	1447060810776	0	0	0
BMS	AlarmSynchronizer	1447060810798	0	0	0
BMS	ConnectorSynchronizer (import)	1447061110519	0	0	0
BMS	MeasurementSynchronizer	1447061110550	0	0	36
BMS	WorkOrderSynchronizer	1447061110611	0	0	0
BMS	TagSynchronizer	1447061110670	0	0	0
BMS	PropertySynchronizer	1447061110737	0	0	0
BMS	AlarmSynchronizer	1447061110757	0	0	0
BMS	ConnectorSynchronizer (import)	1447061410546	0	0	0
BMS	MeasurementSynchronizer	1447061410579	0	0	36
BMS	WorkOrderSynchronizer	1447061410646	0	0	0
BMS	TagSynchronizer	1447061410709	0	0	0
BMS	PropertySynchronizer	1447061410782	0	0	0
BMS	AlarmSynchronizer	1447061410804	0	0	0
BMS	ConnectorSynchronizer (import)	1447061710536	0	0	0
BMS	MeasurementSynchronizer	1447061710569	0	0	36
BMS	WorkOrderSynchronizer	1447061710636	0	0	0
BMS	TagSynchronizer	1447061710699	0	0	0
BMS	PropertySynchronizer	1447061710772	0	0	0
BMS	AlarmSynchronizer	1447061710793	0	0	0
BMS	ConnectorSynchronizer (import)	1447062010517	0	0	0
BMS	MeasurementSynchronizer	1447062010549	0	0	36
BMS	WorkOrderSynchronizer	1447062010612	0	0	0
BMS	TagSynchronizer	1447062010673	0	0	0
BMS	PropertySynchronizer	1447062010743	0	0	0
BMS	AlarmSynchronizer	1447062010765	0	0	0
BMS	ConnectorSynchronizer (import)	1447062310529	0	0	0
BMS	MeasurementSynchronizer	1447062310562	0	0	36
BMS	WorkOrderSynchronizer	1447062310627	0	0	0
BMS	TagSynchronizer	1447062310695	0	0	0
BMS	PropertySynchronizer	1447062310785	0	0	0
BMS	AlarmSynchronizer	1447062310808	0	0	0
BMS	ConnectorSynchronizer (import)	1447062610533	0	0	0
BMS	MeasurementSynchronizer	1447062610566	0	0	36
BMS	WorkOrderSynchronizer	1447062610630	0	0	0
BMS	TagSynchronizer	1447062610694	0	0	0
BMS	PropertySynchronizer	1447062610766	0	0	0
BMS	AlarmSynchronizer	1447062610787	0	0	0
BMS	ConnectorSynchronizer (import)	1447062910525	0	0	0
BMS	MeasurementSynchronizer	1447062910558	0	0	36
BMS	WorkOrderSynchronizer	1447062910626	0	0	0
BMS	TagSynchronizer	1447062910691	0	0	0
BMS	PropertySynchronizer	1447062910765	0	0	0
BMS	AlarmSynchronizer	1447062910786	0	0	0
BMS	ConnectorSynchronizer (import)	1447063210517	0	0	0
BMS	MeasurementSynchronizer	1447063210549	0	0	36
BMS	WorkOrderSynchronizer	1447063210612	0	0	0
BMS	TagSynchronizer	1447063210673	0	0	0
BMS	PropertySynchronizer	1447063210743	0	0	0
BMS	AlarmSynchronizer	1447063210764	0	0	0
BMS	ConnectorSynchronizer (import)	1447063510523	0	0	0
BMS	MeasurementSynchronizer	1447063510558	0	0	36
BMS	WorkOrderSynchronizer	1447063510628	0	0	0
BMS	TagSynchronizer	1447063510691	0	0	0
BMS	PropertySynchronizer	1447063510760	0	0	0
BMS	AlarmSynchronizer	1447063510781	0	0	0
BMS	ConnectorSynchronizer (import)	1447063810526	0	0	0
BMS	MeasurementSynchronizer	1447063810558	0	0	36
BMS	WorkOrderSynchronizer	1447063810624	0	0	0
BMS	TagSynchronizer	1447063810685	0	0	0
BMS	PropertySynchronizer	1447063810756	0	0	0
BMS	AlarmSynchronizer	1447063810777	0	0	0
BMS	ConnectorSynchronizer (import)	1447064110518	0	0	0
BMS	MeasurementSynchronizer	1447064110551	0	0	36
BMS	WorkOrderSynchronizer	1447064110614	0	0	0
BMS	TagSynchronizer	1447064110676	0	0	0
BMS	PropertySynchronizer	1447064110746	0	0	0
BMS	AlarmSynchronizer	1447064110769	0	0	0
BMS	ConnectorSynchronizer (import)	1447064410539	0	0	0
BMS	MeasurementSynchronizer	1447064410570	0	0	36
BMS	WorkOrderSynchronizer	1447064410630	0	0	0
BMS	TagSynchronizer	1447064410689	0	0	0
BMS	PropertySynchronizer	1447064410756	0	0	0
BMS	AlarmSynchronizer	1447064410776	0	0	0
BMS	ConnectorSynchronizer (import)	1447064710590	0	0	0
BMS	MeasurementSynchronizer	1447064710624	0	0	36
BMS	WorkOrderSynchronizer	1447064710690	0	0	0
BMS	TagSynchronizer	1447064710756	0	0	0
BMS	PropertySynchronizer	1447064710827	0	0	0
BMS	AlarmSynchronizer	1447064710848	0	0	0
BMS	ConnectorSynchronizer (import)	1447065010517	0	0	0
BMS	MeasurementSynchronizer	1447065010550	0	0	36
BMS	WorkOrderSynchronizer	1447065010615	0	0	0
BMS	TagSynchronizer	1447065010677	0	0	0
BMS	PropertySynchronizer	1447065010747	0	0	0
BMS	AlarmSynchronizer	1447065010768	0	0	0
BMS	ConnectorSynchronizer (import)	1447065310513	0	0	0
BMS	MeasurementSynchronizer	1447065310545	0	0	36
BMS	WorkOrderSynchronizer	1447065310611	0	0	0
BMS	TagSynchronizer	1447065310673	0	0	0
BMS	PropertySynchronizer	1447065310744	0	0	0
BMS	AlarmSynchronizer	1447065310765	0	0	0
BMS	ConnectorSynchronizer (import)	1447065610524	0	0	0
BMS	MeasurementSynchronizer	1447065610557	0	0	36
BMS	WorkOrderSynchronizer	1447065610621	0	0	0
BMS	TagSynchronizer	1447065610683	0	0	0
BMS	PropertySynchronizer	1447065610754	0	0	0
BMS	AlarmSynchronizer	1447065610774	0	0	0
BMS	ConnectorSynchronizer (import)	1447065910540	0	0	0
BMS	MeasurementSynchronizer	1447065910573	0	0	36
BMS	WorkOrderSynchronizer	1447065910638	0	0	0
BMS	TagSynchronizer	1447065910705	0	0	0
BMS	PropertySynchronizer	1447065910779	0	0	0
BMS	AlarmSynchronizer	1447065910802	0	0	0
BMS	ConnectorSynchronizer (import)	1447066210517	0	0	0
BMS	MeasurementSynchronizer	1447066210548	0	0	36
BMS	WorkOrderSynchronizer	1447066210606	0	0	0
BMS	TagSynchronizer	1447066210663	0	0	0
BMS	PropertySynchronizer	1447066210728	0	0	0
BMS	AlarmSynchronizer	1447066210748	0	0	0
BMS	ConnectorSynchronizer (import)	1447066510526	0	0	0
BMS	MeasurementSynchronizer	1447066510560	0	0	36
BMS	WorkOrderSynchronizer	1447066510625	0	0	0
BMS	TagSynchronizer	1447066510688	0	0	0
BMS	PropertySynchronizer	1447066510762	0	0	0
BMS	AlarmSynchronizer	1447066510784	0	0	0
BMS	ConnectorSynchronizer (import)	1447066810531	0	0	0
BMS	MeasurementSynchronizer	1447066810563	0	0	36
BMS	WorkOrderSynchronizer	1447066810627	0	0	0
BMS	TagSynchronizer	1447066810689	0	0	0
BMS	PropertySynchronizer	1447066810761	0	0	0
BMS	AlarmSynchronizer	1447066810782	0	0	0
BMS	ConnectorSynchronizer (import)	1447067110529	0	0	0
BMS	MeasurementSynchronizer	1447067110562	0	0	36
BMS	WorkOrderSynchronizer	1447067110625	0	0	0
BMS	TagSynchronizer	1447067110690	0	0	0
BMS	PropertySynchronizer	1447067110763	0	0	0
BMS	AlarmSynchronizer	1447067110784	0	0	0
BMS	ConnectorSynchronizer (import)	1447067410546	0	0	0
BMS	MeasurementSynchronizer	1447067410579	0	0	36
BMS	WorkOrderSynchronizer	1447067410643	0	0	0
BMS	TagSynchronizer	1447067410704	0	0	0
BMS	PropertySynchronizer	1447067410773	0	0	0
BMS	AlarmSynchronizer	1447067410794	0	0	0
BMS	ConnectorSynchronizer (import)	1447067710544	0	0	0
BMS	MeasurementSynchronizer	1447067710580	0	0	36
BMS	WorkOrderSynchronizer	1447067710648	0	0	0
BMS	TagSynchronizer	1447067710711	0	0	0
BMS	PropertySynchronizer	1447067710780	0	0	0
BMS	AlarmSynchronizer	1447067710800	0	0	0
BMS	ConnectorSynchronizer (import)	1447068010547	0	0	0
BMS	MeasurementSynchronizer	1447068010581	0	0	36
BMS	WorkOrderSynchronizer	1447068010649	0	0	0
BMS	TagSynchronizer	1447068010713	0	0	0
BMS	PropertySynchronizer	1447068010788	0	0	0
BMS	AlarmSynchronizer	1447068010810	0	0	0
BMS	ConnectorSynchronizer (import)	1447068310579	0	0	0
BMS	MeasurementSynchronizer	1447068310609	0	0	36
BMS	WorkOrderSynchronizer	1447068310668	0	0	0
BMS	TagSynchronizer	1447068310725	0	0	0
BMS	PropertySynchronizer	1447068310789	0	0	0
BMS	AlarmSynchronizer	1447068310808	0	0	0
BMS	ConnectorSynchronizer (import)	1447068610519	0	0	0
BMS	MeasurementSynchronizer	1447068610551	0	0	36
BMS	WorkOrderSynchronizer	1447068610615	0	0	0
BMS	TagSynchronizer	1447068610677	0	0	0
BMS	PropertySynchronizer	1447068610749	0	0	0
BMS	AlarmSynchronizer	1447068610770	0	0	0
BMS	ConnectorSynchronizer (import)	1447068910520	0	0	0
BMS	MeasurementSynchronizer	1447068910552	0	0	36
BMS	WorkOrderSynchronizer	1447068910623	0	0	0
BMS	TagSynchronizer	1447068910685	0	0	0
BMS	PropertySynchronizer	1447068910758	0	0	0
BMS	AlarmSynchronizer	1447068910778	0	0	0
BMS	ConnectorSynchronizer (import)	1447069210550	0	0	0
BMS	MeasurementSynchronizer	1447069210583	0	0	36
BMS	WorkOrderSynchronizer	1447069210648	0	0	0
BMS	TagSynchronizer	1447069210709	0	0	0
BMS	PropertySynchronizer	1447069210780	0	0	0
BMS	AlarmSynchronizer	1447069210802	0	0	0
BMS	ConnectorSynchronizer (import)	1447069510553	0	0	0
BMS	MeasurementSynchronizer	1447069510586	0	0	36
BMS	WorkOrderSynchronizer	1447069510651	0	0	0
BMS	TagSynchronizer	1447069510714	0	0	0
BMS	PropertySynchronizer	1447069510788	0	0	0
BMS	AlarmSynchronizer	1447069510810	0	0	0
BMS	ConnectorSynchronizer (import)	1447069810553	0	0	0
BMS	MeasurementSynchronizer	1447069810587	0	0	36
BMS	WorkOrderSynchronizer	1447069810651	0	0	0
BMS	TagSynchronizer	1447069810715	0	0	0
BMS	PropertySynchronizer	1447069810788	0	0	0
BMS	AlarmSynchronizer	1447069810812	0	0	0
BMS	ConnectorSynchronizer (import)	1447070110522	0	0	0
BMS	MeasurementSynchronizer	1447070110553	0	0	36
BMS	WorkOrderSynchronizer	1447070110611	0	0	0
BMS	TagSynchronizer	1447070110668	0	0	0
BMS	PropertySynchronizer	1447070110733	0	0	0
BMS	AlarmSynchronizer	1447070110752	0	0	0
BMS	ConnectorSynchronizer (import)	1447070410520	0	0	0
BMS	MeasurementSynchronizer	1447070410553	0	0	36
BMS	WorkOrderSynchronizer	1447070410618	0	0	0
BMS	TagSynchronizer	1447070410680	0	0	0
BMS	PropertySynchronizer	1447070410753	0	0	0
BMS	AlarmSynchronizer	1447070410775	0	0	0
BMS	ConnectorSynchronizer (import)	1447070710523	0	0	0
BMS	MeasurementSynchronizer	1447070710555	0	0	36
BMS	WorkOrderSynchronizer	1447070710620	0	0	0
BMS	TagSynchronizer	1447070710682	0	0	0
BMS	PropertySynchronizer	1447070710753	0	0	0
BMS	AlarmSynchronizer	1447070710775	0	0	0
BMS	ConnectorSynchronizer (import)	1447071010531	0	0	0
BMS	MeasurementSynchronizer	1447071010564	0	0	36
BMS	WorkOrderSynchronizer	1447071010629	0	0	0
BMS	TagSynchronizer	1447071010691	0	0	0
BMS	PropertySynchronizer	1447071010762	0	0	0
BMS	AlarmSynchronizer	1447071010783	0	0	0
BMS	ConnectorSynchronizer (import)	1447071310525	0	0	0
BMS	MeasurementSynchronizer	1447071310558	0	0	36
BMS	WorkOrderSynchronizer	1447071310625	0	0	0
BMS	TagSynchronizer	1447071310689	0	0	0
BMS	PropertySynchronizer	1447071310762	0	0	0
BMS	AlarmSynchronizer	1447071310784	0	0	0
BMS	ConnectorSynchronizer (import)	1447071610536	0	0	0
BMS	MeasurementSynchronizer	1447071610570	0	0	36
BMS	WorkOrderSynchronizer	1447071610639	0	0	0
BMS	TagSynchronizer	1447071610702	0	0	0
BMS	PropertySynchronizer	1447071610775	0	0	0
BMS	AlarmSynchronizer	1447071610797	0	0	0
BMS	ConnectorSynchronizer (import)	1447071910547	0	0	0
BMS	MeasurementSynchronizer	1447071910581	0	0	36
BMS	WorkOrderSynchronizer	1447071910648	0	0	0
BMS	TagSynchronizer	1447071910714	0	0	0
BMS	PropertySynchronizer	1447071910787	0	0	0
BMS	AlarmSynchronizer	1447071910808	0	0	0
BMS	ConnectorSynchronizer (import)	1447072210537	0	0	0
BMS	MeasurementSynchronizer	1447072210571	0	0	36
BMS	WorkOrderSynchronizer	1447072210636	0	0	0
BMS	TagSynchronizer	1447072210698	0	0	0
BMS	PropertySynchronizer	1447072210770	0	0	0
BMS	AlarmSynchronizer	1447072210792	0	0	0
BMS	ConnectorSynchronizer (import)	1447072510526	0	0	0
BMS	MeasurementSynchronizer	1447072510558	0	0	36
BMS	WorkOrderSynchronizer	1447072510622	0	0	0
BMS	TagSynchronizer	1447072510684	0	0	0
BMS	PropertySynchronizer	1447072510755	0	0	0
BMS	AlarmSynchronizer	1447072510776	0	0	0
BMS	ConnectorSynchronizer (import)	1447072810795	0	0	0
BMS	MeasurementSynchronizer	1447072810827	0	0	36
BMS	WorkOrderSynchronizer	1447072810888	0	0	0
BMS	TagSynchronizer	1447072810949	0	0	0
BMS	PropertySynchronizer	1447072811019	0	0	0
BMS	AlarmSynchronizer	1447072811040	0	0	0
BMS	ConnectorSynchronizer (import)	1447073110541	0	0	0
BMS	MeasurementSynchronizer	1447073110574	0	0	36
BMS	WorkOrderSynchronizer	1447073110645	0	0	0
BMS	TagSynchronizer	1447073110716	0	0	0
BMS	PropertySynchronizer	1447073110791	0	0	0
BMS	AlarmSynchronizer	1447073110813	0	0	0
BMS	ConnectorSynchronizer (import)	1447073410519	0	0	0
BMS	MeasurementSynchronizer	1447073410550	0	0	36
BMS	WorkOrderSynchronizer	1447073410605	0	0	0
BMS	TagSynchronizer	1447073410660	0	0	0
BMS	PropertySynchronizer	1447073410721	0	0	0
BMS	AlarmSynchronizer	1447073410751	0	0	0
BMS	ConnectorSynchronizer (import)	1447073710525	0	0	0
BMS	MeasurementSynchronizer	1447073710559	0	0	36
BMS	WorkOrderSynchronizer	1447073710627	0	0	0
BMS	TagSynchronizer	1447073710690	0	0	0
BMS	PropertySynchronizer	1447073710762	0	0	0
BMS	AlarmSynchronizer	1447073710783	0	0	0
BMS	ConnectorSynchronizer (import)	1447074010546	0	0	0
BMS	MeasurementSynchronizer	1447074010580	0	0	36
BMS	WorkOrderSynchronizer	1447074010646	0	0	0
BMS	TagSynchronizer	1447074010709	0	0	0
BMS	PropertySynchronizer	1447074010781	0	0	0
BMS	AlarmSynchronizer	1447074010803	0	0	0
BMS	ConnectorSynchronizer (import)	1447074310542	0	0	0
BMS	MeasurementSynchronizer	1447074310575	0	0	36
BMS	WorkOrderSynchronizer	1447074310639	0	0	0
BMS	TagSynchronizer	1447074310701	0	0	0
BMS	PropertySynchronizer	1447074310772	0	0	0
BMS	AlarmSynchronizer	1447074310792	0	0	0
BMS	ConnectorSynchronizer (import)	1447074610527	0	0	0
BMS	MeasurementSynchronizer	1447074610563	0	0	36
BMS	WorkOrderSynchronizer	1447074610636	0	0	0
BMS	TagSynchronizer	1447074610698	0	0	0
BMS	PropertySynchronizer	1447074610764	0	0	0
BMS	AlarmSynchronizer	1447074610783	0	0	0
BMS	ConnectorSynchronizer (import)	1447074910525	0	0	0
BMS	MeasurementSynchronizer	1447074910558	0	0	36
BMS	WorkOrderSynchronizer	1447074910622	0	0	0
BMS	TagSynchronizer	1447074910684	0	0	0
BMS	PropertySynchronizer	1447074910755	0	0	0
BMS	AlarmSynchronizer	1447074910775	0	0	0
BMS	ConnectorSynchronizer (import)	1447075210538	0	0	0
BMS	MeasurementSynchronizer	1447075210572	0	0	36
BMS	WorkOrderSynchronizer	1447075210639	0	0	0
BMS	TagSynchronizer	1447075210703	0	0	0
BMS	PropertySynchronizer	1447075210779	0	0	0
BMS	AlarmSynchronizer	1447075210801	0	0	0
BMS	ConnectorSynchronizer (import)	1447075510522	0	0	0
BMS	MeasurementSynchronizer	1447075510554	0	0	36
BMS	WorkOrderSynchronizer	1447075510621	0	0	0
BMS	TagSynchronizer	1447075510683	0	0	0
BMS	PropertySynchronizer	1447075510755	0	0	0
BMS	AlarmSynchronizer	1447075510776	0	0	0
BMS	ConnectorSynchronizer (import)	1447075810539	0	0	0
BMS	MeasurementSynchronizer	1447075810580	0	0	36
BMS	WorkOrderSynchronizer	1447075810643	0	0	0
BMS	TagSynchronizer	1447075810702	0	0	0
BMS	PropertySynchronizer	1447075810769	0	0	0
BMS	AlarmSynchronizer	1447075810789	0	0	0
BMS	ConnectorSynchronizer (import)	1447076110517	0	0	0
BMS	MeasurementSynchronizer	1447076110550	0	0	36
BMS	WorkOrderSynchronizer	1447076110617	0	0	0
BMS	TagSynchronizer	1447076110680	0	0	0
BMS	PropertySynchronizer	1447076110753	0	0	0
BMS	AlarmSynchronizer	1447076110775	0	0	0
BMS	ConnectorSynchronizer (import)	1447076410543	0	0	0
BMS	MeasurementSynchronizer	1447076410576	0	0	36
BMS	WorkOrderSynchronizer	1447076410645	0	0	0
BMS	TagSynchronizer	1447076410708	0	0	0
BMS	PropertySynchronizer	1447076410780	0	0	0
BMS	AlarmSynchronizer	1447076410801	0	0	0
BMS	ConnectorSynchronizer (import)	1447076710530	0	0	0
BMS	MeasurementSynchronizer	1447076710563	0	0	36
BMS	WorkOrderSynchronizer	1447076710629	0	0	0
BMS	TagSynchronizer	1447076710692	0	0	0
BMS	PropertySynchronizer	1447076710765	0	0	0
BMS	AlarmSynchronizer	1447076710787	0	0	0
BMS	ConnectorSynchronizer (import)	1447077010537	0	0	0
BMS	MeasurementSynchronizer	1447077010570	0	0	36
BMS	WorkOrderSynchronizer	1447077010635	0	0	0
BMS	TagSynchronizer	1447077010697	0	0	0
BMS	PropertySynchronizer	1447077010769	0	0	0
BMS	AlarmSynchronizer	1447077010790	0	0	0
BMS	ConnectorSynchronizer (import)	1447077310529	0	0	0
BMS	MeasurementSynchronizer	1447077310562	0	0	36
BMS	WorkOrderSynchronizer	1447077310630	0	0	0
BMS	TagSynchronizer	1447077310692	0	0	0
BMS	PropertySynchronizer	1447077310763	0	0	0
BMS	AlarmSynchronizer	1447077310785	0	0	0
BMS	ConnectorSynchronizer (import)	1447077610551	0	0	0
BMS	MeasurementSynchronizer	1447077610586	0	0	36
BMS	WorkOrderSynchronizer	1447077610651	0	0	0
BMS	TagSynchronizer	1447077610712	0	0	0
BMS	PropertySynchronizer	1447077610777	0	0	0
BMS	AlarmSynchronizer	1447077610797	0	0	0
BMS	ConnectorSynchronizer (import)	1447077910526	0	0	0
BMS	MeasurementSynchronizer	1447077910559	0	0	36
BMS	WorkOrderSynchronizer	1447077910624	0	0	0
BMS	TagSynchronizer	1447077910687	0	0	0
BMS	PropertySynchronizer	1447077910758	0	0	0
BMS	AlarmSynchronizer	1447077910780	0	0	0
BMS	ConnectorSynchronizer (import)	1447078210551	0	0	0
BMS	MeasurementSynchronizer	1447078210584	0	0	36
BMS	WorkOrderSynchronizer	1447078210650	0	0	0
BMS	TagSynchronizer	1447078210713	0	0	0
BMS	PropertySynchronizer	1447078210783	0	0	0
BMS	AlarmSynchronizer	1447078210804	0	0	0
BMS	ConnectorSynchronizer (import)	1447078510541	0	0	0
BMS	MeasurementSynchronizer	1447078510574	0	0	36
BMS	WorkOrderSynchronizer	1447078510640	0	0	0
BMS	TagSynchronizer	1447078510702	0	0	0
BMS	PropertySynchronizer	1447078510772	0	0	0
BMS	AlarmSynchronizer	1447078510793	0	0	0
BMS	ConnectorSynchronizer (import)	1447078810548	0	0	0
BMS	MeasurementSynchronizer	1447078810582	0	0	36
BMS	WorkOrderSynchronizer	1447078810647	0	0	0
BMS	TagSynchronizer	1447078810710	0	0	0
BMS	PropertySynchronizer	1447078810782	0	0	0
BMS	AlarmSynchronizer	1447078810802	0	0	0
BMS	ConnectorSynchronizer (import)	1447079110526	0	0	0
BMS	MeasurementSynchronizer	1447079110559	0	0	36
BMS	WorkOrderSynchronizer	1447079110623	0	0	0
BMS	TagSynchronizer	1447079110684	0	0	0
BMS	PropertySynchronizer	1447079110757	0	0	0
BMS	AlarmSynchronizer	1447079110780	0	0	0
BMS	ConnectorSynchronizer (import)	1447079410539	0	0	0
BMS	MeasurementSynchronizer	1447079410572	0	0	36
BMS	WorkOrderSynchronizer	1447079410638	0	0	0
BMS	TagSynchronizer	1447079410700	0	0	0
BMS	PropertySynchronizer	1447079410773	0	0	0
BMS	AlarmSynchronizer	1447079410796	0	0	0
BMS	ConnectorSynchronizer (import)	1447079710528	0	0	0
BMS	MeasurementSynchronizer	1447079710559	0	0	36
BMS	WorkOrderSynchronizer	1447079710617	0	0	0
BMS	TagSynchronizer	1447079710674	0	0	0
BMS	PropertySynchronizer	1447079710736	0	0	0
BMS	AlarmSynchronizer	1447079710756	0	0	0
BMS	ConnectorSynchronizer (import)	1447080010531	0	0	0
BMS	MeasurementSynchronizer	1447080010564	0	0	36
BMS	WorkOrderSynchronizer	1447080010628	0	0	0
BMS	TagSynchronizer	1447080010691	0	0	0
BMS	PropertySynchronizer	1447080010762	0	0	0
BMS	AlarmSynchronizer	1447080010783	0	0	0
BMS	ConnectorSynchronizer (import)	1447080310510	0	0	0
BMS	MeasurementSynchronizer	1447080310542	0	0	36
BMS	WorkOrderSynchronizer	1447080310606	0	0	0
BMS	TagSynchronizer	1447080310668	0	0	0
BMS	PropertySynchronizer	1447080310740	0	0	0
BMS	AlarmSynchronizer	1447080310761	0	0	0
BMS	ConnectorSynchronizer (import)	1447080610549	0	0	0
BMS	MeasurementSynchronizer	1447080610582	0	0	36
BMS	WorkOrderSynchronizer	1447080610649	0	0	0
BMS	TagSynchronizer	1447080610713	0	0	0
BMS	PropertySynchronizer	1447080610785	0	0	0
BMS	AlarmSynchronizer	1447080610807	0	0	0
BMS	ConnectorSynchronizer (import)	1447080910527	0	0	0
BMS	MeasurementSynchronizer	1447080910559	0	0	36
BMS	WorkOrderSynchronizer	1447080910629	0	0	0
BMS	TagSynchronizer	1447080910691	0	0	0
BMS	PropertySynchronizer	1447080910763	0	0	0
BMS	AlarmSynchronizer	1447080910785	0	0	0
BMS	ConnectorSynchronizer (import)	1447081210549	0	0	0
BMS	MeasurementSynchronizer	1447081210584	0	0	36
BMS	WorkOrderSynchronizer	1447081210651	0	0	0
BMS	TagSynchronizer	1447081210715	0	0	0
BMS	PropertySynchronizer	1447081210786	0	0	0
BMS	AlarmSynchronizer	1447081210807	0	0	0
BMS	ConnectorSynchronizer (import)	1447081510520	0	0	0
BMS	MeasurementSynchronizer	1447081510550	0	0	36
BMS	WorkOrderSynchronizer	1447081510606	0	0	0
BMS	TagSynchronizer	1447081510662	0	0	0
BMS	PropertySynchronizer	1447081510716	0	0	0
BMS	AlarmSynchronizer	1447081510734	0	0	0
BMS	ConnectorSynchronizer (import)	1447081810523	0	0	0
BMS	MeasurementSynchronizer	1447081810557	0	0	36
BMS	WorkOrderSynchronizer	1447081810621	0	0	0
BMS	TagSynchronizer	1447081810686	0	0	0
BMS	PropertySynchronizer	1447081810756	0	0	0
BMS	AlarmSynchronizer	1447081810777	0	0	0
BMS	ConnectorSynchronizer (import)	1447082110533	0	0	0
BMS	MeasurementSynchronizer	1447082110566	0	0	36
BMS	WorkOrderSynchronizer	1447082110631	0	0	0
BMS	TagSynchronizer	1447082110693	0	0	0
BMS	PropertySynchronizer	1447082110764	0	0	0
BMS	AlarmSynchronizer	1447082110785	0	0	0
BMS	ConnectorSynchronizer (import)	1447082410536	0	0	0
BMS	MeasurementSynchronizer	1447082410570	0	0	36
BMS	WorkOrderSynchronizer	1447082410633	0	0	0
BMS	TagSynchronizer	1447082410694	0	0	0
BMS	PropertySynchronizer	1447082410766	0	0	0
BMS	AlarmSynchronizer	1447082410788	0	0	0
BMS	ConnectorSynchronizer (import)	1447082710535	0	0	0
BMS	MeasurementSynchronizer	1447082710567	0	0	36
BMS	WorkOrderSynchronizer	1447082710635	0	0	0
BMS	TagSynchronizer	1447082710698	0	0	0
BMS	PropertySynchronizer	1447082710770	0	0	0
BMS	AlarmSynchronizer	1447082710791	0	0	0
BMS	ConnectorSynchronizer (import)	1447083010550	0	0	0
BMS	MeasurementSynchronizer	1447083010583	0	0	36
BMS	WorkOrderSynchronizer	1447083010646	0	0	0
BMS	TagSynchronizer	1447083010707	0	0	0
BMS	PropertySynchronizer	1447083010779	0	0	0
BMS	AlarmSynchronizer	1447083010801	0	0	0
BMS	ConnectorSynchronizer (import)	1447083310505	0	0	0
BMS	MeasurementSynchronizer	1447083310536	0	0	36
BMS	WorkOrderSynchronizer	1447083310595	0	0	0
BMS	TagSynchronizer	1447083310651	0	0	0
BMS	PropertySynchronizer	1447083310716	0	0	0
BMS	AlarmSynchronizer	1447083310736	0	0	0
BMS	ConnectorSynchronizer (import)	1447083610526	0	0	0
BMS	MeasurementSynchronizer	1447083610559	0	0	36
BMS	WorkOrderSynchronizer	1447083610623	0	0	0
BMS	TagSynchronizer	1447083610685	0	0	0
BMS	PropertySynchronizer	1447083610754	0	0	0
BMS	AlarmSynchronizer	1447083610775	0	0	0
BMS	ConnectorSynchronizer (import)	1447083910528	0	0	0
BMS	MeasurementSynchronizer	1447083910561	0	0	36
BMS	WorkOrderSynchronizer	1447083910628	0	0	0
BMS	TagSynchronizer	1447083910691	0	0	0
BMS	PropertySynchronizer	1447083910763	0	0	0
BMS	AlarmSynchronizer	1447083910785	0	0	0
BMS	ConnectorSynchronizer (import)	1447084210533	0	0	0
BMS	MeasurementSynchronizer	1447084210568	0	0	36
BMS	WorkOrderSynchronizer	1447084210635	0	0	0
BMS	TagSynchronizer	1447084210698	0	0	0
BMS	PropertySynchronizer	1447084210770	0	0	0
BMS	AlarmSynchronizer	1447084210792	0	0	0
BMS	ConnectorSynchronizer (import)	1447084510540	0	0	0
BMS	MeasurementSynchronizer	1447084510572	0	0	36
BMS	WorkOrderSynchronizer	1447084510636	0	0	0
BMS	TagSynchronizer	1447084510711	0	0	0
BMS	PropertySynchronizer	1447084510784	0	0	0
BMS	AlarmSynchronizer	1447084510806	0	0	0
BMS	ConnectorSynchronizer (import)	1447084810535	0	0	0
BMS	MeasurementSynchronizer	1447084810568	0	0	36
BMS	WorkOrderSynchronizer	1447084810633	0	0	0
BMS	TagSynchronizer	1447084810695	0	0	0
BMS	PropertySynchronizer	1447084810766	0	0	0
BMS	AlarmSynchronizer	1447084810787	0	0	0
BMS	ConnectorSynchronizer (import)	1447085110588	0	0	0
BMS	MeasurementSynchronizer	1447085110623	0	0	36
BMS	WorkOrderSynchronizer	1447085110686	0	0	0
BMS	TagSynchronizer	1447085110745	0	0	0
BMS	PropertySynchronizer	1447085110810	0	0	0
BMS	AlarmSynchronizer	1447085110829	0	0	0
BMS	ConnectorSynchronizer (import)	1447085410540	0	0	0
BMS	MeasurementSynchronizer	1447085410571	0	0	36
BMS	WorkOrderSynchronizer	1447085410634	0	0	0
BMS	TagSynchronizer	1447085410690	0	0	0
BMS	PropertySynchronizer	1447085410756	0	0	0
BMS	AlarmSynchronizer	1447085410775	0	0	0
BMS	ConnectorSynchronizer (import)	1447085710545	0	0	0
BMS	MeasurementSynchronizer	1447085710571	0	0	36
BMS	WorkOrderSynchronizer	1447085710631	0	0	0
BMS	TagSynchronizer	1447085710690	0	0	0
BMS	PropertySynchronizer	1447085710764	0	0	0
BMS	AlarmSynchronizer	1447085710786	0	0	0
BMS	ConnectorSynchronizer (import)	1447086010515	0	0	0
BMS	MeasurementSynchronizer	1447086010547	0	0	36
BMS	WorkOrderSynchronizer	1447086010616	0	0	0
BMS	TagSynchronizer	1447086010679	0	0	0
BMS	PropertySynchronizer	1447086010752	0	0	0
BMS	AlarmSynchronizer	1447086010773	0	0	0
BMS	ConnectorSynchronizer (import)	1447086310539	0	0	0
BMS	MeasurementSynchronizer	1447086310574	0	0	36
BMS	WorkOrderSynchronizer	1447086310638	0	0	0
BMS	TagSynchronizer	1447086310702	0	0	0
BMS	PropertySynchronizer	1447086310775	0	0	0
BMS	AlarmSynchronizer	1447086310797	0	0	0
BMS	ConnectorSynchronizer (import)	1447086610513	0	0	0
BMS	MeasurementSynchronizer	1447086610547	0	0	36
BMS	WorkOrderSynchronizer	1447086610613	0	0	0
BMS	TagSynchronizer	1447086610677	0	0	0
BMS	PropertySynchronizer	1447086610753	0	0	0
BMS	AlarmSynchronizer	1447086610775	0	0	0
BMS	ConnectorSynchronizer (import)	1447086910526	0	0	0
BMS	MeasurementSynchronizer	1447086910559	0	0	36
BMS	WorkOrderSynchronizer	1447086910624	0	0	0
BMS	TagSynchronizer	1447086910687	0	0	0
BMS	PropertySynchronizer	1447086910760	0	0	0
BMS	AlarmSynchronizer	1447086910781	0	0	0
BMS	ConnectorSynchronizer (import)	1447087210536	0	0	0
BMS	MeasurementSynchronizer	1447087210570	0	0	36
BMS	WorkOrderSynchronizer	1447087210638	0	0	0
BMS	TagSynchronizer	1447087210702	0	0	0
BMS	PropertySynchronizer	1447087210777	0	0	0
BMS	AlarmSynchronizer	1447087210801	0	0	0
BMS	ConnectorSynchronizer (import)	1447087510532	0	0	0
BMS	MeasurementSynchronizer	1447087510566	0	0	36
BMS	WorkOrderSynchronizer	1447087510631	0	0	0
BMS	TagSynchronizer	1447087510693	0	0	0
BMS	PropertySynchronizer	1447087510764	0	0	0
BMS	AlarmSynchronizer	1447087510785	0	0	0
BMS	ConnectorSynchronizer (import)	1447087810523	0	0	0
BMS	MeasurementSynchronizer	1447087810556	0	0	36
BMS	WorkOrderSynchronizer	1447087810625	0	0	0
BMS	TagSynchronizer	1447087810687	0	0	0
BMS	PropertySynchronizer	1447087810757	0	0	0
BMS	AlarmSynchronizer	1447087810778	0	0	0
BMS	ConnectorSynchronizer (import)	1447088110550	0	0	0
BMS	MeasurementSynchronizer	1447088110584	0	0	36
BMS	WorkOrderSynchronizer	1447088110648	0	0	0
BMS	TagSynchronizer	1447088110710	0	0	0
BMS	PropertySynchronizer	1447088110780	0	0	0
BMS	AlarmSynchronizer	1447088110800	0	0	0
BMS	ConnectorSynchronizer (import)	1447088410539	0	0	0
BMS	MeasurementSynchronizer	1447088410572	0	0	36
BMS	WorkOrderSynchronizer	1447088410640	0	0	0
BMS	TagSynchronizer	1447088410701	0	0	0
BMS	PropertySynchronizer	1447088410772	0	0	0
BMS	AlarmSynchronizer	1447088410793	0	0	0
BMS	ConnectorSynchronizer (import)	1447088710544	0	0	0
BMS	MeasurementSynchronizer	1447088710576	0	0	36
BMS	WorkOrderSynchronizer	1447088710640	0	0	0
BMS	TagSynchronizer	1447088710703	0	0	0
BMS	PropertySynchronizer	1447088710773	0	0	0
BMS	AlarmSynchronizer	1447088710794	0	0	0
BMS	ConnectorSynchronizer (import)	1447089010576	0	0	0
BMS	MeasurementSynchronizer	1447089010608	0	0	36
BMS	WorkOrderSynchronizer	1447089010673	0	0	0
BMS	TagSynchronizer	1447089010736	0	0	0
BMS	PropertySynchronizer	1447089010808	0	0	0
BMS	AlarmSynchronizer	1447089010828	0	0	0
BMS	ConnectorSynchronizer (import)	1447089310535	0	0	0
BMS	MeasurementSynchronizer	1447089310568	0	0	36
BMS	WorkOrderSynchronizer	1447089310633	0	0	0
BMS	TagSynchronizer	1447089310696	0	0	0
BMS	PropertySynchronizer	1447089310768	0	0	0
BMS	AlarmSynchronizer	1447089310790	0	0	0
BMS	ConnectorSynchronizer (import)	1447089610562	0	0	0
BMS	MeasurementSynchronizer	1447089610597	0	0	36
BMS	WorkOrderSynchronizer	1447089610662	0	0	0
BMS	TagSynchronizer	1447089610726	0	0	0
BMS	PropertySynchronizer	1447089610804	0	0	0
BMS	AlarmSynchronizer	1447089610826	0	0	0
BMS	ConnectorSynchronizer (import)	1447089910543	0	0	0
BMS	MeasurementSynchronizer	1447089910576	0	0	36
BMS	WorkOrderSynchronizer	1447089910641	0	0	0
BMS	TagSynchronizer	1447089910703	0	0	0
BMS	PropertySynchronizer	1447089910774	0	0	0
BMS	AlarmSynchronizer	1447089910795	0	0	0
BMS	ConnectorSynchronizer (import)	1447090210529	0	0	0
BMS	MeasurementSynchronizer	1447090210561	0	0	36
BMS	WorkOrderSynchronizer	1447090210625	0	0	0
BMS	TagSynchronizer	1447090210687	0	0	0
BMS	PropertySynchronizer	1447090210760	0	0	0
BMS	AlarmSynchronizer	1447090210783	0	0	0
BMS	ConnectorSynchronizer (import)	1447090510562	0	0	0
BMS	MeasurementSynchronizer	1447090510595	0	0	36
BMS	WorkOrderSynchronizer	1447090510661	0	0	0
BMS	TagSynchronizer	1447090510727	0	0	0
BMS	PropertySynchronizer	1447090510801	0	0	0
BMS	AlarmSynchronizer	1447090510826	0	0	0
BMS	ConnectorSynchronizer (import)	1447090810560	0	0	0
BMS	MeasurementSynchronizer	1447090810592	0	0	36
BMS	WorkOrderSynchronizer	1447090810660	0	0	0
BMS	TagSynchronizer	1447090810725	0	0	0
BMS	PropertySynchronizer	1447090810798	0	0	0
BMS	AlarmSynchronizer	1447090810821	0	0	0
BMS	ConnectorSynchronizer (import)	1447091110533	0	0	0
BMS	MeasurementSynchronizer	1447091110569	0	0	36
BMS	WorkOrderSynchronizer	1447091110638	0	0	0
BMS	TagSynchronizer	1447091110703	0	0	0
BMS	PropertySynchronizer	1447091110775	0	0	0
BMS	AlarmSynchronizer	1447091110798	0	0	0
BMS	ConnectorSynchronizer (import)	1447091410544	0	0	0
BMS	MeasurementSynchronizer	1447091410579	0	0	36
BMS	WorkOrderSynchronizer	1447091410648	0	0	0
BMS	TagSynchronizer	1447091410711	0	0	0
BMS	PropertySynchronizer	1447091410778	0	0	0
BMS	AlarmSynchronizer	1447091410799	0	0	0
BMS	ConnectorSynchronizer (import)	1447091710595	0	0	0
BMS	MeasurementSynchronizer	1447091710627	0	0	36
BMS	WorkOrderSynchronizer	1447091710685	0	0	0
BMS	TagSynchronizer	1447091710742	0	0	0
BMS	PropertySynchronizer	1447091710807	0	0	0
BMS	AlarmSynchronizer	1447091710827	0	0	0
BMS	ConnectorSynchronizer (import)	1447092010527	0	0	0
BMS	MeasurementSynchronizer	1447092010557	0	0	36
BMS	WorkOrderSynchronizer	1447092010616	0	0	0
BMS	TagSynchronizer	1447092010674	0	0	0
BMS	PropertySynchronizer	1447092010742	0	0	0
BMS	AlarmSynchronizer	1447092010762	0	0	0
BMS	ConnectorSynchronizer (import)	1447092310542	0	0	0
BMS	MeasurementSynchronizer	1447092310575	0	0	36
BMS	WorkOrderSynchronizer	1447092310636	0	0	0
BMS	TagSynchronizer	1447092310695	0	0	0
BMS	PropertySynchronizer	1447092310761	0	0	0
BMS	AlarmSynchronizer	1447092310781	0	0	0
BMS	ConnectorSynchronizer (import)	1447092610522	0	0	0
BMS	MeasurementSynchronizer	1447092610553	0	0	36
BMS	WorkOrderSynchronizer	1447092610612	0	0	0
BMS	TagSynchronizer	1447092610670	0	0	0
BMS	PropertySynchronizer	1447092610736	0	0	0
BMS	AlarmSynchronizer	1447092610755	0	0	0
BMS	ConnectorSynchronizer (import)	1447092910526	0	0	0
BMS	MeasurementSynchronizer	1447092910556	0	0	36
BMS	WorkOrderSynchronizer	1447092910616	0	0	0
BMS	TagSynchronizer	1447092910674	0	0	0
BMS	PropertySynchronizer	1447092910733	0	0	0
BMS	AlarmSynchronizer	1447092910752	0	0	0
BMS	ConnectorSynchronizer (import)	1447093210544	0	0	0
BMS	MeasurementSynchronizer	1447093210576	0	0	36
BMS	WorkOrderSynchronizer	1447093210651	0	0	0
BMS	TagSynchronizer	1447093210704	0	0	0
BMS	PropertySynchronizer	1447093210771	0	0	0
BMS	AlarmSynchronizer	1447093210792	0	0	0
BMS	ConnectorSynchronizer (import)	1447093510517	0	0	0
BMS	MeasurementSynchronizer	1447093510548	0	0	36
BMS	WorkOrderSynchronizer	1447093510607	0	0	0
BMS	TagSynchronizer	1447093510659	0	0	0
BMS	PropertySynchronizer	1447093510709	0	0	0
BMS	AlarmSynchronizer	1447093510730	0	0	0
BMS	ConnectorSynchronizer (import)	1447093810502	0	0	0
BMS	MeasurementSynchronizer	1447093810530	0	0	36
BMS	WorkOrderSynchronizer	1447093810591	0	0	0
BMS	TagSynchronizer	1447093810651	0	0	0
BMS	PropertySynchronizer	1447093810721	0	0	0
BMS	AlarmSynchronizer	1447093810742	0	0	0
BMS	ConnectorSynchronizer (import)	1447094110535	0	0	0
BMS	MeasurementSynchronizer	1447094110570	0	0	36
BMS	WorkOrderSynchronizer	1447094110637	0	0	0
BMS	TagSynchronizer	1447094110699	0	0	0
BMS	PropertySynchronizer	1447094110771	0	0	0
BMS	AlarmSynchronizer	1447094110793	0	0	0
BMS	ConnectorSynchronizer (import)	1447094410539	0	0	0
BMS	MeasurementSynchronizer	1447094410572	0	0	36
BMS	WorkOrderSynchronizer	1447094410637	0	0	0
BMS	TagSynchronizer	1447094410700	0	0	0
BMS	PropertySynchronizer	1447094410771	0	0	0
BMS	AlarmSynchronizer	1447094410792	0	0	0
BMS	ConnectorSynchronizer (import)	1447094710522	0	0	0
BMS	MeasurementSynchronizer	1447094710555	0	0	36
BMS	WorkOrderSynchronizer	1447094710978	0	0	0
BMS	TagSynchronizer	1447094711033	0	0	0
BMS	PropertySynchronizer	1447094711097	0	0	0
BMS	AlarmSynchronizer	1447094711118	0	0	0
BMS	ConnectorSynchronizer (import)	1447095010529	0	0	0
BMS	MeasurementSynchronizer	1447095010561	0	0	36
BMS	WorkOrderSynchronizer	1447095010625	0	0	0
BMS	TagSynchronizer	1447095010687	0	0	0
BMS	PropertySynchronizer	1447095010758	0	0	0
BMS	AlarmSynchronizer	1447095010778	0	0	0
BMS	ConnectorSynchronizer (import)	1447095310536	0	0	0
BMS	MeasurementSynchronizer	1447095310569	0	0	36
BMS	WorkOrderSynchronizer	1447095310634	0	0	0
BMS	TagSynchronizer	1447095310696	0	0	0
BMS	PropertySynchronizer	1447095310766	0	0	0
BMS	AlarmSynchronizer	1447095310786	0	0	0
BMS	ConnectorSynchronizer (import)	1447095610544	0	0	0
BMS	MeasurementSynchronizer	1447095610580	0	0	36
BMS	WorkOrderSynchronizer	1447095610651	0	0	0
BMS	TagSynchronizer	1447095610718	0	0	0
BMS	PropertySynchronizer	1447095610796	0	0	0
BMS	AlarmSynchronizer	1447095610819	0	0	0
BMS	ConnectorSynchronizer (import)	1447095910544	0	0	0
BMS	MeasurementSynchronizer	1447095910575	0	0	36
BMS	WorkOrderSynchronizer	1447095910634	0	0	0
BMS	TagSynchronizer	1447095910691	0	0	0
BMS	PropertySynchronizer	1447095910755	0	0	0
BMS	AlarmSynchronizer	1447095910774	0	0	0
BMS	ConnectorSynchronizer (import)	1447096210511	0	0	0
BMS	MeasurementSynchronizer	1447096210541	0	0	36
BMS	WorkOrderSynchronizer	1447096210600	0	0	0
BMS	TagSynchronizer	1447096210657	0	0	0
BMS	PropertySynchronizer	1447096210722	0	0	0
BMS	AlarmSynchronizer	1447096210742	0	0	0
BMS	ConnectorSynchronizer (import)	1447096510532	0	0	0
BMS	MeasurementSynchronizer	1447096510565	0	0	36
BMS	WorkOrderSynchronizer	1447096510628	0	0	0
BMS	TagSynchronizer	1447096510689	0	0	0
BMS	PropertySynchronizer	1447096510760	0	0	0
BMS	AlarmSynchronizer	1447096510781	0	0	0
BMS	ConnectorSynchronizer (import)	1447096810550	0	0	0
BMS	MeasurementSynchronizer	1447096810583	0	0	36
BMS	WorkOrderSynchronizer	1447096810648	0	0	0
BMS	TagSynchronizer	1447096810709	0	0	0
BMS	PropertySynchronizer	1447096810780	0	0	0
BMS	AlarmSynchronizer	1447096810800	0	0	0
BMS	ConnectorSynchronizer (import)	1447097110538	0	0	0
BMS	MeasurementSynchronizer	1447097110572	0	0	36
BMS	WorkOrderSynchronizer	1447097110638	0	0	0
BMS	TagSynchronizer	1447097110701	0	0	0
BMS	PropertySynchronizer	1447097110773	0	0	0
BMS	AlarmSynchronizer	1447097110796	0	0	0
BMS	ConnectorSynchronizer (import)	1447097410538	0	0	0
BMS	MeasurementSynchronizer	1447097410571	0	0	36
BMS	WorkOrderSynchronizer	1447097410635	0	0	0
BMS	TagSynchronizer	1447097410698	0	0	0
BMS	PropertySynchronizer	1447097410769	0	0	0
BMS	AlarmSynchronizer	1447097410790	0	0	0
BMS	ConnectorSynchronizer (import)	1447097710528	0	0	0
BMS	MeasurementSynchronizer	1447097710560	0	0	36
BMS	WorkOrderSynchronizer	1447097710624	0	0	0
BMS	TagSynchronizer	1447097710686	0	0	0
BMS	PropertySynchronizer	1447097710758	0	0	0
BMS	AlarmSynchronizer	1447097710779	0	0	0
BMS	ConnectorSynchronizer (import)	1447098010565	0	0	0
BMS	MeasurementSynchronizer	1447098010598	0	0	36
BMS	WorkOrderSynchronizer	1447098010663	0	0	0
BMS	TagSynchronizer	1447098010725	0	0	0
BMS	PropertySynchronizer	1447098010795	0	0	0
BMS	AlarmSynchronizer	1447098010817	0	0	0
BMS	ConnectorSynchronizer (import)	1447098310520	0	0	0
BMS	MeasurementSynchronizer	1447098310551	0	0	36
BMS	WorkOrderSynchronizer	1447098310612	0	0	0
BMS	TagSynchronizer	1447098310663	0	0	0
BMS	PropertySynchronizer	1447098310729	0	0	0
BMS	AlarmSynchronizer	1447098310749	0	0	0
BMS	ConnectorSynchronizer (import)	1447098610542	0	0	0
BMS	MeasurementSynchronizer	1447098610574	0	0	36
BMS	WorkOrderSynchronizer	1447098610638	0	0	0
BMS	TagSynchronizer	1447098610703	0	0	0
BMS	PropertySynchronizer	1447098610774	0	0	0
BMS	AlarmSynchronizer	1447098610794	0	0	0
BMS	ConnectorSynchronizer (import)	1447098910529	0	0	0
BMS	MeasurementSynchronizer	1447098910563	0	0	36
BMS	WorkOrderSynchronizer	1447098910630	0	0	0
BMS	TagSynchronizer	1447098910692	0	0	0
BMS	PropertySynchronizer	1447098910766	0	0	0
BMS	AlarmSynchronizer	1447098910788	0	0	0
BMS	ConnectorSynchronizer (import)	1447099210521	0	0	0
BMS	MeasurementSynchronizer	1447099210554	0	0	36
BMS	WorkOrderSynchronizer	1447099210619	0	0	0
BMS	TagSynchronizer	1447099210681	0	0	0
BMS	PropertySynchronizer	1447099210753	0	0	0
BMS	AlarmSynchronizer	1447099210774	0	0	0
BMS	ConnectorSynchronizer (import)	1447099510532	0	0	0
BMS	MeasurementSynchronizer	1447099510566	0	0	36
BMS	WorkOrderSynchronizer	1447099510633	0	0	0
BMS	TagSynchronizer	1447099510697	0	0	0
BMS	PropertySynchronizer	1447099510769	0	0	0
BMS	AlarmSynchronizer	1447099510792	0	0	0
BMS	ConnectorSynchronizer (import)	1447099810562	0	0	0
BMS	MeasurementSynchronizer	1447099810598	0	0	36
BMS	WorkOrderSynchronizer	1447099810668	0	0	0
BMS	TagSynchronizer	1447099810732	0	0	0
BMS	PropertySynchronizer	1447099810805	0	0	0
BMS	AlarmSynchronizer	1447099810827	0	0	0
BMS	ConnectorSynchronizer (import)	1447100110534	0	0	0
BMS	MeasurementSynchronizer	1447100110567	0	0	36
BMS	WorkOrderSynchronizer	1447100110631	0	0	0
BMS	TagSynchronizer	1447100110694	0	0	0
BMS	PropertySynchronizer	1447100110765	0	0	0
BMS	AlarmSynchronizer	1447100110786	0	0	0
BMS	ConnectorSynchronizer (import)	1447100410556	0	0	0
BMS	MeasurementSynchronizer	1447100410587	0	0	36
BMS	WorkOrderSynchronizer	1447100410648	0	0	0
BMS	TagSynchronizer	1447100410706	0	0	0
BMS	PropertySynchronizer	1447100410774	0	0	0
BMS	AlarmSynchronizer	1447100410794	0	0	0
BMS	ConnectorSynchronizer (import)	1447100710539	0	0	0
BMS	MeasurementSynchronizer	1447100710571	0	0	36
BMS	WorkOrderSynchronizer	1447100710635	0	0	0
BMS	TagSynchronizer	1447100710696	0	0	0
BMS	PropertySynchronizer	1447100710767	0	0	0
BMS	AlarmSynchronizer	1447100710789	0	0	0
BMS	ConnectorSynchronizer (import)	1447101010557	0	0	0
BMS	MeasurementSynchronizer	1447101010589	0	0	36
BMS	WorkOrderSynchronizer	1447101010653	0	0	0
BMS	TagSynchronizer	1447101010715	0	0	0
BMS	PropertySynchronizer	1447101010786	0	0	0
BMS	AlarmSynchronizer	1447101010807	0	0	0
BMS	ConnectorSynchronizer (import)	1447101310548	0	0	0
BMS	MeasurementSynchronizer	1447101310582	0	0	36
BMS	WorkOrderSynchronizer	1447101310649	0	0	0
BMS	TagSynchronizer	1447101310710	0	0	0
BMS	PropertySynchronizer	1447101310781	0	0	0
BMS	AlarmSynchronizer	1447101310802	0	0	0
BMS	ConnectorSynchronizer (import)	1447101610528	0	0	0
BMS	MeasurementSynchronizer	1447101610564	0	0	36
BMS	WorkOrderSynchronizer	1447101610636	0	0	0
BMS	TagSynchronizer	1447101610701	0	0	0
BMS	PropertySynchronizer	1447101610776	0	0	0
BMS	AlarmSynchronizer	1447101610800	0	0	0
BMS	ConnectorSynchronizer (import)	1447101910564	0	0	0
BMS	MeasurementSynchronizer	1447101910597	0	0	36
BMS	WorkOrderSynchronizer	1447101910663	0	0	0
BMS	TagSynchronizer	1447101910727	0	0	0
BMS	PropertySynchronizer	1447101910800	0	0	0
BMS	AlarmSynchronizer	1447101910822	0	0	0
BMS	ConnectorSynchronizer (import)	1447102210532	0	0	0
BMS	MeasurementSynchronizer	1447102210563	0	0	36
BMS	WorkOrderSynchronizer	1447102210621	0	0	0
BMS	TagSynchronizer	1447102210678	0	0	0
BMS	PropertySynchronizer	1447102210744	0	0	0
BMS	AlarmSynchronizer	1447102210763	0	0	0
BMS	ConnectorSynchronizer (import)	1447102510529	0	0	0
BMS	MeasurementSynchronizer	1447102510563	0	0	36
BMS	WorkOrderSynchronizer	1447102510628	0	0	0
BMS	TagSynchronizer	1447102510692	0	0	0
BMS	PropertySynchronizer	1447102510764	0	0	0
BMS	AlarmSynchronizer	1447102510786	0	0	0
BMS	ConnectorSynchronizer (import)	1447102810862	0	0	0
BMS	MeasurementSynchronizer	1447102810895	0	0	36
BMS	WorkOrderSynchronizer	1447102810958	0	0	0
BMS	TagSynchronizer	1447102811020	0	0	0
BMS	PropertySynchronizer	1447102811090	0	0	0
BMS	AlarmSynchronizer	1447102811111	0	0	0
BMS	ConnectorSynchronizer (import)	1447103110537	0	0	0
BMS	MeasurementSynchronizer	1447103110569	0	0	36
BMS	WorkOrderSynchronizer	1447103110636	0	0	0
BMS	TagSynchronizer	1447103110700	0	0	0
BMS	PropertySynchronizer	1447103110786	0	0	0
BMS	AlarmSynchronizer	1447103110808	0	0	0
BMS	ConnectorSynchronizer (import)	1447103410561	0	0	0
BMS	MeasurementSynchronizer	1447103410593	0	0	36
BMS	WorkOrderSynchronizer	1447103410656	0	0	0
BMS	TagSynchronizer	1447103410717	0	0	0
BMS	PropertySynchronizer	1447103410787	0	0	0
BMS	AlarmSynchronizer	1447103410807	0	0	0
BMS	ConnectorSynchronizer (import)	1447103710535	0	0	0
BMS	MeasurementSynchronizer	1447103710567	0	0	36
BMS	WorkOrderSynchronizer	1447103710633	0	0	0
BMS	TagSynchronizer	1447103710697	0	0	0
BMS	PropertySynchronizer	1447103710768	0	0	0
BMS	AlarmSynchronizer	1447103710789	0	0	0
BMS	ConnectorSynchronizer (import)	1447104010536	0	0	0
BMS	MeasurementSynchronizer	1447104010569	0	0	36
BMS	WorkOrderSynchronizer	1447104010636	0	0	0
BMS	TagSynchronizer	1447104010696	0	0	0
BMS	PropertySynchronizer	1447104010765	0	0	0
BMS	AlarmSynchronizer	1447104010786	0	0	0
BMS	ConnectorSynchronizer (import)	1447104310569	0	0	0
BMS	MeasurementSynchronizer	1447104310600	0	0	36
BMS	WorkOrderSynchronizer	1447104310676	0	0	0
BMS	TagSynchronizer	1447104310735	0	0	0
BMS	PropertySynchronizer	1447104310800	0	0	0
BMS	AlarmSynchronizer	1447104310821	0	0	0
BMS	ConnectorSynchronizer (import)	1447104610537	0	0	0
BMS	MeasurementSynchronizer	1447104610569	0	0	36
BMS	WorkOrderSynchronizer	1447104610633	0	0	0
BMS	TagSynchronizer	1447104610696	0	0	0
BMS	PropertySynchronizer	1447104610766	0	0	0
BMS	AlarmSynchronizer	1447104610786	0	0	0
BMS	ConnectorSynchronizer (import)	1447104910531	0	0	0
BMS	MeasurementSynchronizer	1447104910564	0	0	36
BMS	WorkOrderSynchronizer	1447104910627	0	0	0
BMS	TagSynchronizer	1447104910691	0	0	0
BMS	PropertySynchronizer	1447104910763	0	0	0
BMS	AlarmSynchronizer	1447104910785	0	0	0
BMS	ConnectorSynchronizer (import)	1447105210522	0	0	0
BMS	MeasurementSynchronizer	1447105210556	0	0	36
BMS	WorkOrderSynchronizer	1447105210621	0	0	0
BMS	TagSynchronizer	1447105210685	0	0	0
BMS	PropertySynchronizer	1447105210756	0	0	0
BMS	AlarmSynchronizer	1447105210776	0	0	0
BMS	ConnectorSynchronizer (import)	1447105510563	0	0	0
BMS	MeasurementSynchronizer	1447105510596	0	0	36
BMS	WorkOrderSynchronizer	1447105510661	0	0	0
BMS	TagSynchronizer	1447105510725	0	0	0
BMS	PropertySynchronizer	1447105510797	0	0	0
BMS	AlarmSynchronizer	1447105510820	0	0	0
BMS	ConnectorSynchronizer (import)	1447105810540	0	0	0
BMS	MeasurementSynchronizer	1447105810575	0	0	36
BMS	WorkOrderSynchronizer	1447105810642	0	0	0
BMS	TagSynchronizer	1447105810707	0	0	0
BMS	PropertySynchronizer	1447105810779	0	0	0
BMS	AlarmSynchronizer	1447105810801	0	0	0
BMS	ConnectorSynchronizer (import)	1447106110522	0	0	0
BMS	MeasurementSynchronizer	1447106110556	0	0	36
BMS	WorkOrderSynchronizer	1447106110620	0	0	0
BMS	TagSynchronizer	1447106110681	0	0	0
BMS	PropertySynchronizer	1447106110752	0	0	0
BMS	AlarmSynchronizer	1447106110772	0	0	0
BMS	ConnectorSynchronizer (import)	1447106410542	0	0	0
BMS	MeasurementSynchronizer	1447106410574	0	0	36
BMS	WorkOrderSynchronizer	1447106410638	0	0	0
BMS	TagSynchronizer	1447106410699	0	0	0
BMS	PropertySynchronizer	1447106410769	0	0	0
BMS	AlarmSynchronizer	1447106410790	0	0	0
BMS	ConnectorSynchronizer (import)	1447106710536	0	0	0
BMS	MeasurementSynchronizer	1447106710569	0	0	36
BMS	WorkOrderSynchronizer	1447106710635	0	0	0
BMS	TagSynchronizer	1447106710696	0	0	0
BMS	PropertySynchronizer	1447106710766	0	0	0
BMS	AlarmSynchronizer	1447106710786	0	0	0
BMS	ConnectorSynchronizer (import)	1447107010529	0	0	0
BMS	MeasurementSynchronizer	1447107010563	0	0	36
BMS	WorkOrderSynchronizer	1447107010635	0	0	0
BMS	TagSynchronizer	1447107010698	0	0	0
BMS	PropertySynchronizer	1447107010770	0	0	0
BMS	AlarmSynchronizer	1447107010792	0	0	0
BMS	ConnectorSynchronizer (import)	1447107310532	0	0	0
BMS	MeasurementSynchronizer	1447107310565	0	0	36
BMS	WorkOrderSynchronizer	1447107310632	0	0	0
BMS	TagSynchronizer	1447107310697	0	0	0
BMS	PropertySynchronizer	1447107310771	0	0	0
BMS	AlarmSynchronizer	1447107310793	0	0	0
BMS	ConnectorSynchronizer (import)	1447107610543	0	0	0
BMS	MeasurementSynchronizer	1447107610576	0	0	36
BMS	WorkOrderSynchronizer	1447107610641	0	0	0
BMS	TagSynchronizer	1447107610703	0	0	0
BMS	PropertySynchronizer	1447107610775	0	0	0
BMS	AlarmSynchronizer	1447107610796	0	0	0
BMS	ConnectorSynchronizer (import)	1447107910569	0	0	0
BMS	MeasurementSynchronizer	1447107910603	0	0	36
BMS	WorkOrderSynchronizer	1447107910669	0	0	0
BMS	TagSynchronizer	1447107910736	0	0	0
BMS	PropertySynchronizer	1447107910807	0	0	0
BMS	AlarmSynchronizer	1447107910831	0	0	0
BMS	ConnectorSynchronizer (import)	1447108210516	0	0	0
BMS	MeasurementSynchronizer	1447108210547	0	0	36
BMS	WorkOrderSynchronizer	1447108210606	0	0	0
BMS	TagSynchronizer	1447108210665	0	0	0
BMS	PropertySynchronizer	1447108210730	0	0	0
BMS	AlarmSynchronizer	1447108210749	0	0	0
BMS	ConnectorSynchronizer (import)	1447108510528	0	0	0
BMS	MeasurementSynchronizer	1447108510562	0	0	36
BMS	WorkOrderSynchronizer	1447108510630	0	0	0
BMS	TagSynchronizer	1447108510693	0	0	0
BMS	PropertySynchronizer	1447108510765	0	0	0
BMS	AlarmSynchronizer	1447108510787	0	0	0
BMS	ConnectorSynchronizer (import)	1447108810521	0	0	0
BMS	MeasurementSynchronizer	1447108810554	0	0	36
BMS	WorkOrderSynchronizer	1447108810619	0	0	0
BMS	TagSynchronizer	1447108810681	0	0	0
BMS	PropertySynchronizer	1447108810751	0	0	0
BMS	AlarmSynchronizer	1447108810772	0	0	0
BMS	ConnectorSynchronizer (import)	1447109110530	0	0	0
BMS	MeasurementSynchronizer	1447109110564	0	0	36
BMS	WorkOrderSynchronizer	1447109110630	0	0	0
BMS	TagSynchronizer	1447109110692	0	0	0
BMS	PropertySynchronizer	1447109110762	0	0	0
BMS	AlarmSynchronizer	1447109110783	0	0	0
BMS	ConnectorSynchronizer (import)	1447109410539	0	0	0
BMS	MeasurementSynchronizer	1447109410573	0	0	36
BMS	WorkOrderSynchronizer	1447109410638	0	0	0
BMS	TagSynchronizer	1447109410700	0	0	0
BMS	PropertySynchronizer	1447109410771	0	0	0
BMS	AlarmSynchronizer	1447109410791	0	0	0
BMS	ConnectorSynchronizer (import)	1447109710550	0	0	0
BMS	MeasurementSynchronizer	1447109710586	0	0	36
BMS	WorkOrderSynchronizer	1447109710654	0	0	0
BMS	TagSynchronizer	1447109710717	0	0	0
BMS	PropertySynchronizer	1447109710789	0	0	0
BMS	AlarmSynchronizer	1447109710813	0	0	0
BMS	ConnectorSynchronizer (import)	1447110010534	0	0	0
BMS	MeasurementSynchronizer	1447110010562	0	0	36
BMS	WorkOrderSynchronizer	1447110010619	0	0	0
BMS	TagSynchronizer	1447110010681	0	0	0
BMS	PropertySynchronizer	1447110010754	0	0	0
BMS	AlarmSynchronizer	1447110010776	0	0	0
BMS	ConnectorSynchronizer (import)	1447110310530	0	0	0
BMS	MeasurementSynchronizer	1447110310562	0	0	36
BMS	WorkOrderSynchronizer	1447110310626	0	0	0
BMS	TagSynchronizer	1447110310690	0	0	0
BMS	PropertySynchronizer	1447110310763	0	0	0
BMS	AlarmSynchronizer	1447110310786	0	0	0
BMS	ConnectorSynchronizer (import)	1447110610526	0	0	0
BMS	MeasurementSynchronizer	1447110610558	0	0	36
BMS	WorkOrderSynchronizer	1447110610623	0	0	0
BMS	TagSynchronizer	1447110610685	0	0	0
BMS	PropertySynchronizer	1447110610756	0	0	0
BMS	AlarmSynchronizer	1447110610776	0	0	0
BMS	ConnectorSynchronizer (import)	1447110910855	0	0	0
BMS	MeasurementSynchronizer	1447110910888	0	0	36
BMS	WorkOrderSynchronizer	1447110910953	0	0	0
BMS	TagSynchronizer	1447110911015	0	0	0
BMS	PropertySynchronizer	1447110911086	0	0	0
BMS	AlarmSynchronizer	1447110911107	0	0	0
BMS	ConnectorSynchronizer (import)	1447111210560	0	0	0
BMS	MeasurementSynchronizer	1447111210594	0	0	36
BMS	WorkOrderSynchronizer	1447111210661	0	0	0
BMS	TagSynchronizer	1447111210724	0	0	0
BMS	PropertySynchronizer	1447111210797	0	0	0
BMS	AlarmSynchronizer	1447111210818	0	0	0
BMS	ConnectorSynchronizer (import)	1447111510534	0	0	0
BMS	MeasurementSynchronizer	1447111510568	0	0	36
BMS	WorkOrderSynchronizer	1447111510636	0	0	0
BMS	TagSynchronizer	1447111510699	0	0	0
BMS	PropertySynchronizer	1447111510771	0	0	0
BMS	AlarmSynchronizer	1447111510794	0	0	0
BMS	ConnectorSynchronizer (import)	1447111810517	0	0	0
BMS	MeasurementSynchronizer	1447111810547	0	0	36
BMS	WorkOrderSynchronizer	1447111810606	0	0	0
BMS	TagSynchronizer	1447111810664	0	0	0
BMS	PropertySynchronizer	1447111810727	0	0	0
BMS	AlarmSynchronizer	1447111810746	0	0	0
BMS	ConnectorSynchronizer (import)	1447112110518	0	0	0
BMS	MeasurementSynchronizer	1447112110551	0	0	36
BMS	WorkOrderSynchronizer	1447112110617	0	0	0
BMS	TagSynchronizer	1447112110680	0	0	0
BMS	PropertySynchronizer	1447112110751	0	0	0
BMS	AlarmSynchronizer	1447112110773	0	0	0
BMS	ConnectorSynchronizer (import)	1447112410518	0	0	0
BMS	MeasurementSynchronizer	1447112410552	0	0	36
BMS	WorkOrderSynchronizer	1447112410616	0	0	0
BMS	TagSynchronizer	1447112410678	0	0	0
BMS	PropertySynchronizer	1447112410750	0	0	0
BMS	AlarmSynchronizer	1447112410771	0	0	0
BMS	ConnectorSynchronizer (import)	1447112710555	0	0	0
BMS	MeasurementSynchronizer	1447112710589	0	0	36
BMS	WorkOrderSynchronizer	1447112710655	0	0	0
BMS	TagSynchronizer	1447112710717	0	0	0
BMS	PropertySynchronizer	1447112710788	0	0	0
BMS	AlarmSynchronizer	1447112710809	0	0	0
BMS	ConnectorSynchronizer (import)	1447113010534	0	0	0
BMS	MeasurementSynchronizer	1447113010567	0	0	36
BMS	WorkOrderSynchronizer	1447113010634	0	0	0
BMS	TagSynchronizer	1447113010698	0	0	0
BMS	PropertySynchronizer	1447113010771	0	0	0
BMS	AlarmSynchronizer	1447113010792	0	0	0
BMS	ConnectorSynchronizer (import)	1447113310547	0	0	0
BMS	MeasurementSynchronizer	1447113310580	0	0	36
BMS	WorkOrderSynchronizer	1447113310645	0	0	0
BMS	TagSynchronizer	1447113310708	0	0	0
BMS	PropertySynchronizer	1447113310782	0	0	0
BMS	AlarmSynchronizer	1447113310806	0	0	0
BMS	ConnectorSynchronizer (import)	1447113610538	0	0	0
BMS	MeasurementSynchronizer	1447113610570	0	0	36
BMS	WorkOrderSynchronizer	1447113610631	0	0	0
BMS	TagSynchronizer	1447113610690	0	0	0
BMS	PropertySynchronizer	1447113610757	0	0	0
BMS	AlarmSynchronizer	1447113610776	0	0	0
BMS	ConnectorSynchronizer (import)	1447113910529	0	0	0
BMS	MeasurementSynchronizer	1447113910562	0	0	36
BMS	WorkOrderSynchronizer	1447113910626	0	0	0
BMS	TagSynchronizer	1447113910687	0	0	0
BMS	PropertySynchronizer	1447113910758	0	0	0
BMS	AlarmSynchronizer	1447113910778	0	0	0
BMS	ConnectorSynchronizer (import)	1447114210539	0	0	0
BMS	MeasurementSynchronizer	1447114210573	0	0	36
BMS	WorkOrderSynchronizer	1447114210642	0	0	0
BMS	TagSynchronizer	1447114210705	0	0	0
BMS	PropertySynchronizer	1447114210776	0	0	0
BMS	AlarmSynchronizer	1447114210798	0	0	0
BMS	ConnectorSynchronizer (import)	1447114510536	0	0	0
BMS	MeasurementSynchronizer	1447114510569	0	0	36
BMS	WorkOrderSynchronizer	1447114510633	0	0	0
BMS	TagSynchronizer	1447114510695	0	0	0
BMS	PropertySynchronizer	1447114510766	0	0	0
BMS	AlarmSynchronizer	1447114510787	0	0	0
BMS	ConnectorSynchronizer (import)	1447114810534	0	0	0
BMS	MeasurementSynchronizer	1447114810567	0	0	36
BMS	WorkOrderSynchronizer	1447114810631	0	0	0
BMS	TagSynchronizer	1447114810692	0	0	0
BMS	PropertySynchronizer	1447114810764	0	0	0
BMS	AlarmSynchronizer	1447114810786	0	0	0
BMS	ConnectorSynchronizer (import)	1447115110552	0	0	0
BMS	MeasurementSynchronizer	1447115110585	0	0	36
BMS	WorkOrderSynchronizer	1447115110650	0	0	0
BMS	TagSynchronizer	1447115110714	0	0	0
BMS	PropertySynchronizer	1447115110787	0	0	0
BMS	AlarmSynchronizer	1447115110809	0	0	0
BMS	ConnectorSynchronizer (import)	1447115410532	0	0	0
BMS	MeasurementSynchronizer	1447115410566	0	0	36
BMS	WorkOrderSynchronizer	1447115410631	0	0	0
BMS	TagSynchronizer	1447115410694	0	0	0
BMS	PropertySynchronizer	1447115410779	0	0	0
BMS	AlarmSynchronizer	1447115410800	0	0	0
BMS	ConnectorSynchronizer (import)	1447115710534	0	0	0
BMS	MeasurementSynchronizer	1447115710566	0	0	36
BMS	WorkOrderSynchronizer	1447115710627	0	0	0
BMS	TagSynchronizer	1447115710685	0	0	0
BMS	PropertySynchronizer	1447115710750	0	0	0
BMS	AlarmSynchronizer	1447115710770	0	0	0
BMS	ConnectorSynchronizer (import)	1447116010565	0	0	0
BMS	MeasurementSynchronizer	1447116010598	0	0	36
BMS	WorkOrderSynchronizer	1447116010662	0	0	0
BMS	TagSynchronizer	1447116010724	0	0	0
BMS	PropertySynchronizer	1447116010795	0	0	0
BMS	AlarmSynchronizer	1447116010816	0	0	0
BMS	ConnectorSynchronizer (import)	1447116310520	0	0	0
BMS	MeasurementSynchronizer	1447116310553	0	0	36
BMS	WorkOrderSynchronizer	1447116310618	0	0	0
BMS	TagSynchronizer	1447116310679	0	0	0
BMS	PropertySynchronizer	1447116310751	0	0	0
BMS	AlarmSynchronizer	1447116310772	0	0	0
BMS	ConnectorSynchronizer (import)	1447116610529	0	0	0
BMS	MeasurementSynchronizer	1447116610562	0	0	36
BMS	WorkOrderSynchronizer	1447116610638	0	0	0
BMS	TagSynchronizer	1447116610705	0	0	0
BMS	PropertySynchronizer	1447116610777	0	0	0
BMS	AlarmSynchronizer	1447116610798	0	0	0
BMS	ConnectorSynchronizer (import)	1447116910518	0	0	0
BMS	MeasurementSynchronizer	1447116910551	0	0	36
BMS	WorkOrderSynchronizer	1447116910615	0	0	0
BMS	TagSynchronizer	1447116910676	0	0	0
BMS	PropertySynchronizer	1447116910748	0	0	0
BMS	AlarmSynchronizer	1447116910769	0	0	0
BMS	ConnectorSynchronizer (import)	1447117210539	0	0	0
BMS	MeasurementSynchronizer	1447117210571	0	0	36
BMS	WorkOrderSynchronizer	1447117210635	0	0	0
BMS	TagSynchronizer	1447117210695	0	0	0
BMS	PropertySynchronizer	1447117210765	0	0	0
BMS	AlarmSynchronizer	1447117210788	0	0	0
BMS	ConnectorSynchronizer (import)	1447117510538	0	0	0
BMS	MeasurementSynchronizer	1447117510568	0	0	36
BMS	WorkOrderSynchronizer	1447117510626	0	0	0
BMS	TagSynchronizer	1447117510683	0	0	0
BMS	PropertySynchronizer	1447117510748	0	0	0
BMS	AlarmSynchronizer	1447117510768	0	0	0
BMS	ConnectorSynchronizer (import)	1447117810547	0	0	0
BMS	MeasurementSynchronizer	1447117810581	0	0	36
BMS	WorkOrderSynchronizer	1447117810649	0	0	0
BMS	TagSynchronizer	1447117810713	0	0	0
BMS	PropertySynchronizer	1447117810786	0	0	0
BMS	AlarmSynchronizer	1447117810808	0	0	0
BMS	ConnectorSynchronizer (import)	1447118110528	0	0	0
BMS	MeasurementSynchronizer	1447118110560	0	0	36
BMS	WorkOrderSynchronizer	1447118110625	0	0	0
BMS	TagSynchronizer	1447118110686	0	0	0
BMS	PropertySynchronizer	1447118110757	0	0	0
BMS	AlarmSynchronizer	1447118110778	0	0	0
BMS	ConnectorSynchronizer (import)	1447118410529	0	0	0
BMS	MeasurementSynchronizer	1447118410562	0	0	36
BMS	WorkOrderSynchronizer	1447118410626	0	0	0
BMS	TagSynchronizer	1447118410688	0	0	0
BMS	PropertySynchronizer	1447118410759	0	0	0
BMS	AlarmSynchronizer	1447118410780	0	0	0
BMS	ConnectorSynchronizer (import)	1447118710538	0	0	0
BMS	MeasurementSynchronizer	1447118710570	0	0	36
BMS	WorkOrderSynchronizer	1447118710629	0	0	0
BMS	TagSynchronizer	1447118710687	0	0	0
BMS	PropertySynchronizer	1447118710738	0	0	0
BMS	AlarmSynchronizer	1447118710751	0	0	0
BMS	ConnectorSynchronizer (import)	1447119010553	0	0	0
BMS	MeasurementSynchronizer	1447119010586	0	0	36
BMS	WorkOrderSynchronizer	1447119010649	0	0	0
BMS	TagSynchronizer	1447119010712	0	0	0
BMS	PropertySynchronizer	1447119010783	0	0	0
BMS	AlarmSynchronizer	1447119010804	0	0	0
BMS	ConnectorSynchronizer (import)	1447119310550	0	0	0
BMS	MeasurementSynchronizer	1447119310582	0	0	36
BMS	WorkOrderSynchronizer	1447119310646	0	0	0
BMS	TagSynchronizer	1447119310709	0	0	0
BMS	PropertySynchronizer	1447119310781	0	0	0
BMS	AlarmSynchronizer	1447119310802	0	0	0
BMS	ConnectorSynchronizer (import)	1447119610521	0	0	0
BMS	MeasurementSynchronizer	1447119610554	0	0	36
BMS	WorkOrderSynchronizer	1447119610618	0	0	0
BMS	TagSynchronizer	1447119610680	0	0	0
BMS	PropertySynchronizer	1447119610751	0	0	0
BMS	AlarmSynchronizer	1447119610772	0	0	0
BMS	ConnectorSynchronizer (import)	1447119910520	0	0	0
BMS	MeasurementSynchronizer	1447119910552	0	0	36
BMS	WorkOrderSynchronizer	1447119910616	0	0	0
BMS	TagSynchronizer	1447119910679	0	0	0
BMS	PropertySynchronizer	1447119910751	0	0	0
BMS	AlarmSynchronizer	1447119910772	0	0	0
BMS	ConnectorSynchronizer (import)	1447120210518	0	0	0
BMS	MeasurementSynchronizer	1447120210554	0	0	36
BMS	WorkOrderSynchronizer	1447120210622	0	0	0
BMS	TagSynchronizer	1447120210685	0	0	0
BMS	PropertySynchronizer	1447120210757	0	0	0
BMS	AlarmSynchronizer	1447120210778	0	0	0
BMS	ConnectorSynchronizer (import)	1447120510529	0	0	0
BMS	MeasurementSynchronizer	1447120510564	0	0	36
BMS	WorkOrderSynchronizer	1447120510628	0	0	0
BMS	TagSynchronizer	1447120510690	0	0	0
BMS	PropertySynchronizer	1447120510760	0	0	0
BMS	AlarmSynchronizer	1447120510781	0	0	0
BMS	ConnectorSynchronizer (import)	1447120810558	0	0	0
BMS	MeasurementSynchronizer	1447120810593	0	0	36
BMS	WorkOrderSynchronizer	1447120810661	0	0	0
BMS	TagSynchronizer	1447120810725	0	0	0
BMS	PropertySynchronizer	1447120810797	0	0	0
BMS	AlarmSynchronizer	1447120810819	0	0	0
BMS	ConnectorSynchronizer (import)	1447121110526	0	0	0
BMS	MeasurementSynchronizer	1447121110560	0	0	36
BMS	WorkOrderSynchronizer	1447121110622	0	0	0
BMS	TagSynchronizer	1447121110684	0	0	0
BMS	PropertySynchronizer	1447121110755	0	0	0
BMS	AlarmSynchronizer	1447121110775	0	0	0
BMS	ConnectorSynchronizer (import)	1447121410541	0	0	0
BMS	MeasurementSynchronizer	1447121410574	0	0	36
BMS	WorkOrderSynchronizer	1447121410642	0	0	0
BMS	TagSynchronizer	1447121410707	0	0	0
BMS	PropertySynchronizer	1447121410777	0	0	0
BMS	AlarmSynchronizer	1447121410799	0	0	0
BMS	ConnectorSynchronizer (import)	1447121710530	0	0	0
BMS	MeasurementSynchronizer	1447121710561	0	0	36
BMS	WorkOrderSynchronizer	1447121710620	0	0	0
BMS	TagSynchronizer	1447121710677	0	0	0
BMS	PropertySynchronizer	1447121710741	0	0	0
BMS	AlarmSynchronizer	1447121710760	0	0	0
BMS	ConnectorSynchronizer (import)	1447122010516	0	0	0
BMS	MeasurementSynchronizer	1447122010548	0	0	36
BMS	WorkOrderSynchronizer	1447122010613	0	0	0
BMS	TagSynchronizer	1447122010675	0	0	0
BMS	PropertySynchronizer	1447122010744	0	0	0
BMS	AlarmSynchronizer	1447122010766	0	0	0
BMS	ConnectorSynchronizer (import)	1447122310531	0	0	0
BMS	MeasurementSynchronizer	1447122310565	0	0	36
BMS	WorkOrderSynchronizer	1447122310630	0	0	0
BMS	TagSynchronizer	1447122310691	0	0	0
BMS	PropertySynchronizer	1447122310761	0	0	0
BMS	AlarmSynchronizer	1447122310782	0	0	0
BMS	ConnectorSynchronizer (import)	1447122610540	0	0	0
BMS	MeasurementSynchronizer	1447122610569	0	0	36
BMS	WorkOrderSynchronizer	1447122610631	0	0	0
BMS	TagSynchronizer	1447122610694	0	0	0
BMS	PropertySynchronizer	1447122610765	0	0	0
BMS	AlarmSynchronizer	1447122610788	0	0	0
BMS	ConnectorSynchronizer (import)	1447122910529	0	0	0
BMS	MeasurementSynchronizer	1447122910562	0	0	36
BMS	WorkOrderSynchronizer	1447122910626	0	0	0
BMS	TagSynchronizer	1447122910686	0	0	0
BMS	PropertySynchronizer	1447122910756	0	0	0
BMS	AlarmSynchronizer	1447122910777	0	0	0
BMS	ConnectorSynchronizer (import)	1447123210538	0	0	0
BMS	MeasurementSynchronizer	1447123210573	0	0	36
BMS	WorkOrderSynchronizer	1447123210640	0	0	0
BMS	TagSynchronizer	1447123210705	0	0	0
BMS	PropertySynchronizer	1447123210778	0	0	0
BMS	AlarmSynchronizer	1447123210800	0	0	0
BMS	ConnectorSynchronizer (import)	1447123510534	0	0	0
BMS	MeasurementSynchronizer	1447123510568	0	0	36
BMS	WorkOrderSynchronizer	1447123510630	0	0	0
BMS	TagSynchronizer	1447123510690	0	0	0
BMS	PropertySynchronizer	1447123510756	0	0	0
BMS	AlarmSynchronizer	1447123510774	0	0	0
BMS	ConnectorSynchronizer (import)	1447123810523	0	0	0
BMS	MeasurementSynchronizer	1447123810558	0	0	36
BMS	WorkOrderSynchronizer	1447123810626	0	0	0
BMS	TagSynchronizer	1447123810689	0	0	0
BMS	PropertySynchronizer	1447123810760	0	0	0
BMS	AlarmSynchronizer	1447123810782	0	0	0
BMS	ConnectorSynchronizer (import)	1447124110567	0	0	0
BMS	MeasurementSynchronizer	1447124110600	0	0	36
BMS	WorkOrderSynchronizer	1447124110666	0	0	0
BMS	TagSynchronizer	1447124110728	0	0	0
BMS	PropertySynchronizer	1447124110799	0	0	0
BMS	AlarmSynchronizer	1447124110820	0	0	0
BMS	ConnectorSynchronizer (import)	1447124410519	0	0	0
BMS	MeasurementSynchronizer	1447124410552	0	0	36
BMS	WorkOrderSynchronizer	1447124410615	0	0	0
BMS	TagSynchronizer	1447124410678	0	0	0
BMS	PropertySynchronizer	1447124410748	0	0	0
BMS	AlarmSynchronizer	1447124410769	0	0	0
BMS	ConnectorSynchronizer (import)	1447124710536	0	0	0
BMS	MeasurementSynchronizer	1447124710569	0	0	36
BMS	WorkOrderSynchronizer	1447124710634	0	0	0
BMS	TagSynchronizer	1447124710695	0	0	0
BMS	PropertySynchronizer	1447124710766	0	0	0
BMS	AlarmSynchronizer	1447124710786	0	0	0
BMS	ConnectorSynchronizer (import)	1447125010568	0	0	0
BMS	MeasurementSynchronizer	1447125010601	0	0	36
BMS	WorkOrderSynchronizer	1447125010665	0	0	0
BMS	TagSynchronizer	1447125010728	0	0	0
BMS	PropertySynchronizer	1447125010800	0	0	0
BMS	AlarmSynchronizer	1447125010823	0	0	0
BMS	ConnectorSynchronizer (import)	1447125310534	0	0	0
BMS	MeasurementSynchronizer	1447125310567	0	0	36
BMS	WorkOrderSynchronizer	1447125310632	0	0	0
BMS	TagSynchronizer	1447125310694	0	0	0
BMS	PropertySynchronizer	1447125310764	0	0	0
BMS	AlarmSynchronizer	1447125310786	0	0	0
BMS	ConnectorSynchronizer (import)	1447125610536	0	0	0
BMS	MeasurementSynchronizer	1447125610566	0	0	36
BMS	WorkOrderSynchronizer	1447125610625	0	0	0
BMS	TagSynchronizer	1447125610682	0	0	0
BMS	PropertySynchronizer	1447125610747	0	0	0
BMS	AlarmSynchronizer	1447125610767	0	0	0
BMS	ConnectorSynchronizer (import)	1447125910528	0	0	0
BMS	MeasurementSynchronizer	1447125910561	0	0	36
BMS	WorkOrderSynchronizer	1447125910626	0	0	0
BMS	TagSynchronizer	1447125910688	0	0	0
BMS	PropertySynchronizer	1447125910757	0	0	0
BMS	AlarmSynchronizer	1447125910778	0	0	0
BMS	ConnectorSynchronizer (import)	1447126210515	0	0	0
BMS	MeasurementSynchronizer	1447126210548	0	0	36
BMS	WorkOrderSynchronizer	1447126210612	0	0	0
BMS	TagSynchronizer	1447126210674	0	0	0
BMS	PropertySynchronizer	1447126210748	0	0	0
BMS	AlarmSynchronizer	1447126210768	0	0	0
BMS	ConnectorSynchronizer (import)	1447126510519	0	0	0
BMS	MeasurementSynchronizer	1447126510561	0	0	36
BMS	WorkOrderSynchronizer	1447126510628	0	0	0
BMS	TagSynchronizer	1447126510691	0	0	0
BMS	PropertySynchronizer	1447126510761	0	0	0
BMS	AlarmSynchronizer	1447126510783	0	0	0
BMS	ConnectorSynchronizer (import)	1447126810549	0	0	0
BMS	MeasurementSynchronizer	1447126810582	0	0	36
BMS	WorkOrderSynchronizer	1447126810646	0	0	0
BMS	TagSynchronizer	1447126810708	0	0	0
BMS	PropertySynchronizer	1447126810777	0	0	0
BMS	AlarmSynchronizer	1447126810798	0	0	0
BMS	ConnectorSynchronizer (import)	1447127110839	0	0	0
BMS	MeasurementSynchronizer	1447127110870	0	0	36
BMS	WorkOrderSynchronizer	1447127110935	0	0	0
BMS	TagSynchronizer	1447127110998	0	0	0
BMS	PropertySynchronizer	1447127111067	0	0	0
BMS	AlarmSynchronizer	1447127111087	0	0	0
BMS	ConnectorSynchronizer (import)	1447127410521	0	0	0
BMS	MeasurementSynchronizer	1447127410554	0	0	36
BMS	WorkOrderSynchronizer	1447127410619	0	0	0
BMS	TagSynchronizer	1447127410682	0	0	0
BMS	PropertySynchronizer	1447127410754	0	0	0
BMS	AlarmSynchronizer	1447127410776	0	0	0
BMS	ConnectorSynchronizer (import)	1447127710546	0	0	0
BMS	MeasurementSynchronizer	1447127710580	0	0	36
BMS	WorkOrderSynchronizer	1447127710645	0	0	0
BMS	TagSynchronizer	1447127710708	0	0	0
BMS	PropertySynchronizer	1447127710777	0	0	0
BMS	AlarmSynchronizer	1447127710798	0	0	0
BMS	ConnectorSynchronizer (import)	1447128010521	0	0	0
BMS	MeasurementSynchronizer	1447128010552	0	0	36
BMS	WorkOrderSynchronizer	1447128010610	0	0	0
BMS	TagSynchronizer	1447128010668	0	0	0
BMS	PropertySynchronizer	1447128010731	0	0	0
BMS	AlarmSynchronizer	1447128010751	0	0	0
BMS	ConnectorSynchronizer (import)	1447128310530	0	0	0
BMS	MeasurementSynchronizer	1447128310564	0	0	36
BMS	WorkOrderSynchronizer	1447128310628	0	0	0
BMS	TagSynchronizer	1447128310689	0	0	0
BMS	PropertySynchronizer	1447128310758	0	0	0
BMS	AlarmSynchronizer	1447128310779	0	0	0
BMS	ConnectorSynchronizer (import)	1447128610536	0	0	0
BMS	MeasurementSynchronizer	1447128610568	0	0	36
BMS	WorkOrderSynchronizer	1447128610633	0	0	0
BMS	TagSynchronizer	1447128610694	0	0	0
BMS	PropertySynchronizer	1447128610764	0	0	0
BMS	AlarmSynchronizer	1447128610785	0	0	0
BMS	ConnectorSynchronizer (import)	1447128910526	0	0	0
BMS	MeasurementSynchronizer	1447128910558	0	0	36
BMS	WorkOrderSynchronizer	1447128910624	0	0	0
BMS	TagSynchronizer	1447128910687	0	0	0
BMS	PropertySynchronizer	1447128910756	0	0	0
BMS	AlarmSynchronizer	1447128910777	0	0	0
BMS	ConnectorSynchronizer (import)	1447129210517	0	0	0
BMS	MeasurementSynchronizer	1447129210550	0	0	36
BMS	WorkOrderSynchronizer	1447129210615	0	0	0
BMS	TagSynchronizer	1447129210677	0	0	0
BMS	PropertySynchronizer	1447129210746	0	0	0
BMS	AlarmSynchronizer	1447129210767	0	0	0
BMS	ConnectorSynchronizer (import)	1447129510533	0	0	0
BMS	MeasurementSynchronizer	1447129510566	0	0	36
BMS	WorkOrderSynchronizer	1447129510630	0	0	0
BMS	TagSynchronizer	1447129510693	0	0	0
BMS	PropertySynchronizer	1447129510764	0	0	0
BMS	AlarmSynchronizer	1447129510787	0	0	0
BMS	ConnectorSynchronizer (import)	1447129810528	0	0	0
BMS	MeasurementSynchronizer	1447129810561	0	0	36
BMS	WorkOrderSynchronizer	1447129810628	0	0	0
BMS	TagSynchronizer	1447129810695	0	0	0
BMS	PropertySynchronizer	1447129810769	0	0	0
BMS	AlarmSynchronizer	1447129810790	0	0	0
BMS	ConnectorSynchronizer (import)	1447130110592	0	0	0
BMS	MeasurementSynchronizer	1447130110627	0	0	36
BMS	WorkOrderSynchronizer	1447130110695	0	0	0
BMS	TagSynchronizer	1447130110760	0	0	0
BMS	PropertySynchronizer	1447130110830	0	0	0
BMS	AlarmSynchronizer	1447130110851	0	0	0
BMS	ConnectorSynchronizer (import)	1447130410516	0	0	0
BMS	MeasurementSynchronizer	1447130410547	0	0	36
BMS	WorkOrderSynchronizer	1447130410607	0	0	0
BMS	TagSynchronizer	1447130410662	0	0	0
BMS	PropertySynchronizer	1447130410729	0	0	0
BMS	AlarmSynchronizer	1447130410750	0	0	0
BMS	ConnectorSynchronizer (import)	1447130710525	0	0	0
BMS	MeasurementSynchronizer	1447130710558	0	0	36
BMS	WorkOrderSynchronizer	1447130710623	0	0	0
BMS	TagSynchronizer	1447130710684	0	0	0
BMS	PropertySynchronizer	1447130710753	0	0	0
BMS	AlarmSynchronizer	1447130710774	0	0	0
BMS	ConnectorSynchronizer (import)	1447131010534	0	0	0
BMS	MeasurementSynchronizer	1447131010566	0	0	36
BMS	WorkOrderSynchronizer	1447131010632	0	0	0
BMS	TagSynchronizer	1447131010694	0	0	0
BMS	PropertySynchronizer	1447131010762	0	0	0
BMS	AlarmSynchronizer	1447131010784	0	0	0
BMS	ConnectorSynchronizer (import)	1447131310548	0	0	0
BMS	MeasurementSynchronizer	1447131310583	0	0	36
BMS	WorkOrderSynchronizer	1447131310648	0	0	0
BMS	TagSynchronizer	1447131310711	0	0	0
BMS	PropertySynchronizer	1447131310782	0	0	0
BMS	AlarmSynchronizer	1447131310803	0	0	0
BMS	ConnectorSynchronizer (import)	1447131610523	0	0	0
BMS	MeasurementSynchronizer	1447131610556	0	0	36
BMS	WorkOrderSynchronizer	1447131610620	0	0	0
BMS	TagSynchronizer	1447131610682	0	0	0
BMS	PropertySynchronizer	1447131610752	0	0	0
BMS	AlarmSynchronizer	1447131610772	0	0	0
BMS	ConnectorSynchronizer (import)	1447131910532	0	0	0
BMS	MeasurementSynchronizer	1447131910564	0	0	36
BMS	WorkOrderSynchronizer	1447131910631	0	0	0
BMS	TagSynchronizer	1447131910692	0	0	0
BMS	PropertySynchronizer	1447131910761	0	0	0
BMS	AlarmSynchronizer	1447131910782	0	0	0
BMS	ConnectorSynchronizer (import)	1447132210565	0	0	0
BMS	MeasurementSynchronizer	1447132210599	0	0	36
BMS	WorkOrderSynchronizer	1447132210662	0	0	0
BMS	TagSynchronizer	1447132210725	0	0	0
BMS	PropertySynchronizer	1447132210796	0	0	0
BMS	AlarmSynchronizer	1447132210817	0	0	0
BMS	ConnectorSynchronizer (import)	1447132510540	0	0	0
BMS	MeasurementSynchronizer	1447132510574	0	0	36
BMS	WorkOrderSynchronizer	1447132510642	0	0	0
BMS	TagSynchronizer	1447132510707	0	0	0
BMS	PropertySynchronizer	1447132510780	0	0	0
BMS	AlarmSynchronizer	1447132510802	0	0	0
BMS	ConnectorSynchronizer (import)	1447132810518	0	0	0
BMS	MeasurementSynchronizer	1447132810551	0	0	36
BMS	WorkOrderSynchronizer	1447132810615	0	0	0
BMS	TagSynchronizer	1447132810677	0	0	0
BMS	PropertySynchronizer	1447132810747	0	0	0
BMS	AlarmSynchronizer	1447132810768	0	0	0
BMS	ConnectorSynchronizer (import)	1447133110537	0	0	0
BMS	MeasurementSynchronizer	1447133110573	0	0	36
BMS	WorkOrderSynchronizer	1447133110636	0	0	0
BMS	TagSynchronizer	1447133110698	0	0	0
BMS	PropertySynchronizer	1447133110768	0	0	0
BMS	AlarmSynchronizer	1447133110790	0	0	0
BMS	ConnectorSynchronizer (import)	1447133410518	0	0	0
BMS	MeasurementSynchronizer	1447133410551	0	0	36
BMS	WorkOrderSynchronizer	1447133410616	0	0	0
BMS	TagSynchronizer	1447133410679	0	0	0
BMS	PropertySynchronizer	1447133410749	0	0	0
BMS	AlarmSynchronizer	1447133410771	0	0	0
BMS	ConnectorSynchronizer (import)	1447133710534	0	0	0
BMS	MeasurementSynchronizer	1447133710569	0	0	36
BMS	WorkOrderSynchronizer	1447133710635	0	0	0
BMS	TagSynchronizer	1447133710697	0	0	0
BMS	PropertySynchronizer	1447133710767	0	0	0
BMS	AlarmSynchronizer	1447133710788	0	0	0
BMS	ConnectorSynchronizer (import)	1447134010526	0	0	0
BMS	MeasurementSynchronizer	1447134010560	0	0	36
BMS	WorkOrderSynchronizer	1447134010624	0	0	0
BMS	TagSynchronizer	1447134010686	0	0	0
BMS	PropertySynchronizer	1447134010755	0	0	0
BMS	AlarmSynchronizer	1447134010776	0	0	0
BMS	ConnectorSynchronizer (import)	1447134310523	0	0	0
BMS	MeasurementSynchronizer	1447134310557	0	0	36
BMS	WorkOrderSynchronizer	1447134310624	0	0	0
BMS	TagSynchronizer	1447134310687	0	0	0
BMS	PropertySynchronizer	1447134310758	0	0	0
BMS	AlarmSynchronizer	1447134310780	0	0	0
BMS	ConnectorSynchronizer (import)	1447134610566	0	0	0
BMS	MeasurementSynchronizer	1447134610600	0	0	36
BMS	WorkOrderSynchronizer	1447134610666	0	0	0
BMS	TagSynchronizer	1447134610730	0	0	0
BMS	PropertySynchronizer	1447134610802	0	0	0
BMS	AlarmSynchronizer	1447134610823	0	0	0
BMS	ConnectorSynchronizer (import)	1447134910545	0	0	0
BMS	MeasurementSynchronizer	1447134910579	0	0	36
BMS	WorkOrderSynchronizer	1447134910644	0	0	0
BMS	TagSynchronizer	1447134910708	0	0	0
BMS	PropertySynchronizer	1447134910779	0	0	0
BMS	AlarmSynchronizer	1447134910801	0	0	0
BMS	ConnectorSynchronizer (import)	1447135210791	0	0	0
BMS	MeasurementSynchronizer	1447135210825	0	0	36
BMS	WorkOrderSynchronizer	1447135210891	0	0	0
BMS	TagSynchronizer	1447135210950	0	0	0
BMS	PropertySynchronizer	1447135211008	0	0	0
BMS	AlarmSynchronizer	1447135211024	0	0	0
BMS	ConnectorSynchronizer (import)	1447135510541	0	0	0
BMS	MeasurementSynchronizer	1447135510574	0	0	36
BMS	WorkOrderSynchronizer	1447135510639	0	0	0
BMS	TagSynchronizer	1447135510700	0	0	0
BMS	PropertySynchronizer	1447135510769	0	0	0
BMS	AlarmSynchronizer	1447135510790	0	0	0
BMS	ConnectorSynchronizer (import)	1447135810527	0	0	0
BMS	MeasurementSynchronizer	1447135810559	0	0	36
BMS	WorkOrderSynchronizer	1447135810623	0	0	0
BMS	TagSynchronizer	1447135810684	0	0	0
BMS	PropertySynchronizer	1447135810755	0	0	0
BMS	AlarmSynchronizer	1447135810776	0	0	0
BMS	ConnectorSynchronizer (import)	1447136110534	0	0	0
BMS	MeasurementSynchronizer	1447136110566	0	0	36
BMS	WorkOrderSynchronizer	1447136110628	0	0	0
BMS	TagSynchronizer	1447136110686	0	0	0
BMS	PropertySynchronizer	1447136110752	0	0	0
BMS	AlarmSynchronizer	1447136110774	0	0	0
BMS	ConnectorSynchronizer (import)	1447136410543	0	0	0
BMS	MeasurementSynchronizer	1447136410576	0	0	36
BMS	WorkOrderSynchronizer	1447136410641	0	0	0
BMS	TagSynchronizer	1447136410709	0	0	0
BMS	PropertySynchronizer	1447136410781	0	0	0
BMS	AlarmSynchronizer	1447136410803	0	0	0
BMS	ConnectorSynchronizer (import)	1447136710538	0	0	0
BMS	MeasurementSynchronizer	1447136710571	0	0	36
BMS	WorkOrderSynchronizer	1447136710635	0	0	0
BMS	TagSynchronizer	1447136710697	0	0	0
BMS	PropertySynchronizer	1447136710766	0	0	0
BMS	AlarmSynchronizer	1447136710787	0	0	0
BMS	ConnectorSynchronizer (import)	1447137010555	0	0	0
BMS	MeasurementSynchronizer	1447137010587	0	0	36
BMS	WorkOrderSynchronizer	1447137010651	0	0	0
BMS	TagSynchronizer	1447137010713	0	0	0
BMS	PropertySynchronizer	1447137010782	0	0	0
BMS	AlarmSynchronizer	1447137010802	0	0	0
BMS	ConnectorSynchronizer (import)	1447137310543	0	0	0
BMS	MeasurementSynchronizer	1447137310577	0	0	36
BMS	WorkOrderSynchronizer	1447137310642	0	0	0
BMS	TagSynchronizer	1447137310705	0	0	0
BMS	PropertySynchronizer	1447137310776	0	0	0
BMS	AlarmSynchronizer	1447137310798	0	0	0
BMS	ConnectorSynchronizer (import)	1447137610549	0	0	0
BMS	MeasurementSynchronizer	1447137610581	0	0	36
BMS	WorkOrderSynchronizer	1447137610646	0	0	0
BMS	TagSynchronizer	1447137610709	0	0	0
BMS	PropertySynchronizer	1447137610778	0	0	0
BMS	AlarmSynchronizer	1447137610799	0	0	0
BMS	ConnectorSynchronizer (import)	1447137910545	0	0	0
BMS	MeasurementSynchronizer	1447137910578	0	0	36
BMS	WorkOrderSynchronizer	1447137910643	0	0	0
BMS	TagSynchronizer	1447137910705	0	0	0
BMS	PropertySynchronizer	1447137910775	0	0	0
BMS	AlarmSynchronizer	1447137910797	0	0	0
BMS	ConnectorSynchronizer (import)	1447138210544	0	0	0
BMS	MeasurementSynchronizer	1447138210580	0	0	36
BMS	WorkOrderSynchronizer	1447138210646	0	0	0
BMS	TagSynchronizer	1447138210707	0	0	0
BMS	PropertySynchronizer	1447138210776	0	0	0
BMS	AlarmSynchronizer	1447138210797	0	0	0
BMS	ConnectorSynchronizer (import)	1447138510548	0	0	0
BMS	MeasurementSynchronizer	1447138510580	0	0	36
BMS	WorkOrderSynchronizer	1447138510645	0	0	0
BMS	TagSynchronizer	1447138510707	0	0	0
BMS	PropertySynchronizer	1447138510777	0	0	0
BMS	AlarmSynchronizer	1447138510798	0	0	0
BMS	ConnectorSynchronizer (import)	1447138810538	0	0	0
BMS	MeasurementSynchronizer	1447138810572	0	0	36
BMS	WorkOrderSynchronizer	1447138810637	0	0	0
BMS	TagSynchronizer	1447138810698	0	0	0
BMS	PropertySynchronizer	1447138810770	0	0	0
BMS	AlarmSynchronizer	1447138810792	0	0	0
BMS	ConnectorSynchronizer (import)	1447139110540	0	0	0
BMS	MeasurementSynchronizer	1447139110574	0	0	36
BMS	WorkOrderSynchronizer	1447139110645	0	0	0
BMS	TagSynchronizer	1447139110710	0	0	0
BMS	PropertySynchronizer	1447139110784	0	0	0
BMS	AlarmSynchronizer	1447139110807	0	0	0
BMS	ConnectorSynchronizer (import)	1447139410542	0	0	0
BMS	MeasurementSynchronizer	1447139410576	0	0	36
BMS	WorkOrderSynchronizer	1447139410646	0	0	0
BMS	TagSynchronizer	1447139410711	0	0	0
BMS	PropertySynchronizer	1447139410787	0	0	0
BMS	AlarmSynchronizer	1447139410811	0	0	0
BMS	ConnectorSynchronizer (import)	1447139710553	0	0	0
BMS	MeasurementSynchronizer	1447139710590	0	0	36
BMS	WorkOrderSynchronizer	1447139710661	0	0	0
BMS	TagSynchronizer	1447139710726	0	0	0
BMS	PropertySynchronizer	1447139710797	0	0	0
BMS	AlarmSynchronizer	1447139710820	0	0	0
BMS	ConnectorSynchronizer (import)	1447140010550	0	0	0
BMS	MeasurementSynchronizer	1447140010584	0	0	36
BMS	WorkOrderSynchronizer	1447140010648	0	0	0
BMS	TagSynchronizer	1447140010707	0	0	0
BMS	PropertySynchronizer	1447140010773	0	0	0
BMS	AlarmSynchronizer	1447140010792	0	0	0
BMS	ConnectorSynchronizer (import)	1447140310564	0	0	0
BMS	MeasurementSynchronizer	1447140310594	0	0	36
BMS	WorkOrderSynchronizer	1447140310653	0	0	0
BMS	TagSynchronizer	1447140310712	0	0	0
BMS	PropertySynchronizer	1447140310776	0	0	0
BMS	AlarmSynchronizer	1447140310795	0	0	0
BMS	ConnectorSynchronizer (import)	1447140610558	0	0	0
BMS	MeasurementSynchronizer	1447140610590	0	0	36
BMS	WorkOrderSynchronizer	1447140610652	0	0	0
BMS	TagSynchronizer	1447140610711	0	0	0
BMS	PropertySynchronizer	1447140610776	0	0	0
BMS	AlarmSynchronizer	1447140610796	0	0	0
BMS	ConnectorSynchronizer (import)	1447140910496	0	0	0
BMS	MeasurementSynchronizer	1447140910526	0	0	36
BMS	WorkOrderSynchronizer	1447140910585	0	0	0
BMS	TagSynchronizer	1447140910644	0	0	0
BMS	PropertySynchronizer	1447140910705	0	0	0
BMS	AlarmSynchronizer	1447140910722	0	0	0
BMS	ConnectorSynchronizer (import)	1447141210509	0	0	0
BMS	MeasurementSynchronizer	1447141210541	0	0	36
BMS	WorkOrderSynchronizer	1447141210602	0	0	0
BMS	TagSynchronizer	1447141210661	0	0	0
BMS	PropertySynchronizer	1447141210718	0	0	0
BMS	AlarmSynchronizer	1447141210737	0	0	0
BMS	ConnectorSynchronizer (import)	1447141510499	0	0	0
BMS	MeasurementSynchronizer	1447141510529	0	0	36
BMS	WorkOrderSynchronizer	1447141510587	0	0	0
BMS	TagSynchronizer	1447141510652	0	0	0
BMS	PropertySynchronizer	1447141510725	0	0	0
BMS	AlarmSynchronizer	1447141510746	0	0	0
BMS	ConnectorSynchronizer (import)	1447141810503	0	0	0
BMS	MeasurementSynchronizer	1447141810537	0	0	36
BMS	WorkOrderSynchronizer	1447141810605	0	0	0
BMS	TagSynchronizer	1447141810668	0	0	0
BMS	PropertySynchronizer	1447141810740	0	0	0
BMS	AlarmSynchronizer	1447141810761	0	0	0
BMS	ConnectorSynchronizer (import)	1447142110506	0	0	0
BMS	MeasurementSynchronizer	1447142110540	0	0	36
BMS	WorkOrderSynchronizer	1447142110608	0	0	0
BMS	TagSynchronizer	1447142110671	0	0	0
BMS	PropertySynchronizer	1447142110742	0	0	0
BMS	AlarmSynchronizer	1447142110765	0	0	0
BMS	ConnectorSynchronizer (import)	1447142410506	0	0	0
BMS	MeasurementSynchronizer	1447142410541	0	0	36
BMS	WorkOrderSynchronizer	1447142410609	0	0	0
BMS	TagSynchronizer	1447142410672	0	0	0
BMS	PropertySynchronizer	1447142410743	0	0	0
BMS	AlarmSynchronizer	1447142410765	0	0	0
BMS	ConnectorSynchronizer (import)	1447142710527	0	0	0
BMS	MeasurementSynchronizer	1447142710559	0	0	36
BMS	WorkOrderSynchronizer	1447142710628	0	0	0
BMS	TagSynchronizer	1447142710696	0	0	0
BMS	PropertySynchronizer	1447142710769	0	0	0
BMS	AlarmSynchronizer	1447142710792	0	0	0
BMS	ConnectorSynchronizer (import)	1447143010509	0	0	0
BMS	MeasurementSynchronizer	1447143010542	0	0	36
BMS	WorkOrderSynchronizer	1447143010606	0	0	0
BMS	TagSynchronizer	1447143010667	0	0	0
BMS	PropertySynchronizer	1447143010737	0	0	0
BMS	AlarmSynchronizer	1447143010758	0	0	0
BMS	ConnectorSynchronizer (import)	1447143310506	0	0	0
BMS	MeasurementSynchronizer	1447143310543	0	0	36
BMS	WorkOrderSynchronizer	1447143310611	0	0	0
BMS	TagSynchronizer	1447143310675	0	0	0
BMS	PropertySynchronizer	1447143310747	0	0	0
BMS	AlarmSynchronizer	1447143310769	0	0	0
BMS	ConnectorSynchronizer (import)	1447143610499	0	0	0
BMS	MeasurementSynchronizer	1447143610532	0	0	36
BMS	WorkOrderSynchronizer	1447143610598	0	0	0
BMS	TagSynchronizer	1447143610659	0	0	0
BMS	PropertySynchronizer	1447143610729	0	0	0
BMS	AlarmSynchronizer	1447143610749	0	0	0
BMS	ConnectorSynchronizer (import)	1447143910524	0	0	0
BMS	MeasurementSynchronizer	1447143910558	0	0	36
BMS	WorkOrderSynchronizer	1447143910623	0	0	0
BMS	TagSynchronizer	1447143910685	0	0	0
BMS	PropertySynchronizer	1447143910756	0	0	0
BMS	AlarmSynchronizer	1447143910778	0	0	0
BMS	ConnectorSynchronizer (import)	1447144210522	0	0	0
BMS	MeasurementSynchronizer	1447144210556	0	0	36
BMS	WorkOrderSynchronizer	1447144210622	0	0	0
BMS	TagSynchronizer	1447144210685	0	0	0
BMS	PropertySynchronizer	1447144210757	0	0	0
BMS	AlarmSynchronizer	1447144210779	0	0	0
BMS	ConnectorSynchronizer (import)	1447144510668	0	0	0
BMS	MeasurementSynchronizer	1447144510707	0	0	36
BMS	WorkOrderSynchronizer	1447144510795	0	0	0
BMS	TagSynchronizer	1447144510866	0	0	0
BMS	PropertySynchronizer	1447144510954	0	0	0
BMS	AlarmSynchronizer	1447144510977	0	0	0
BMS	ConnectorSynchronizer (import)	1447144810505	0	0	0
BMS	MeasurementSynchronizer	1447144810539	0	0	36
BMS	WorkOrderSynchronizer	1447144810606	0	0	0
BMS	TagSynchronizer	1447144810668	0	0	0
BMS	PropertySynchronizer	1447144810738	0	0	0
BMS	AlarmSynchronizer	1447144810758	0	0	0
BMS	ConnectorSynchronizer (import)	1447145110517	0	0	0
BMS	MeasurementSynchronizer	1447145110550	0	0	36
BMS	WorkOrderSynchronizer	1447145110615	0	0	0
BMS	TagSynchronizer	1447145110677	0	0	0
BMS	PropertySynchronizer	1447145110747	0	0	0
BMS	AlarmSynchronizer	1447145110769	0	0	0
BMS	ConnectorSynchronizer (import)	1447145410851	0	0	0
BMS	MeasurementSynchronizer	1447145410882	0	0	36
BMS	WorkOrderSynchronizer	1447145410941	0	0	0
BMS	TagSynchronizer	1447145410998	0	0	0
BMS	PropertySynchronizer	1447145411063	0	0	0
BMS	AlarmSynchronizer	1447145411082	0	0	0
BMS	ConnectorSynchronizer (import)	1447145710510	0	0	0
BMS	MeasurementSynchronizer	1447145710544	0	0	36
BMS	WorkOrderSynchronizer	1447145710609	0	0	0
BMS	TagSynchronizer	1447145710670	0	0	0
BMS	PropertySynchronizer	1447145710738	0	0	0
BMS	AlarmSynchronizer	1447145710757	0	0	0
BMS	ConnectorSynchronizer (import)	1447146010523	0	0	0
BMS	MeasurementSynchronizer	1447146010555	0	0	36
BMS	WorkOrderSynchronizer	1447146010615	0	0	0
BMS	TagSynchronizer	1447146010672	0	0	0
BMS	PropertySynchronizer	1447146010736	0	0	0
BMS	AlarmSynchronizer	1447146010755	0	0	0
BMS	ConnectorSynchronizer (import)	1447146310515	0	0	0
BMS	MeasurementSynchronizer	1447146310547	0	0	36
BMS	WorkOrderSynchronizer	1447146310607	0	0	0
BMS	TagSynchronizer	1447146310664	0	0	0
BMS	PropertySynchronizer	1447146310728	0	0	0
BMS	AlarmSynchronizer	1447146310747	0	0	0
BMS	ConnectorSynchronizer (import)	1447146610517	0	0	0
BMS	MeasurementSynchronizer	1447146610549	0	0	36
BMS	WorkOrderSynchronizer	1447146610611	0	0	0
BMS	TagSynchronizer	1447146610670	0	0	0
BMS	PropertySynchronizer	1447146610736	0	0	0
BMS	AlarmSynchronizer	1447146610755	0	0	0
BMS	ConnectorSynchronizer (import)	1447146910513	0	0	0
BMS	MeasurementSynchronizer	1447146910543	0	0	36
BMS	WorkOrderSynchronizer	1447146910604	0	0	0
BMS	TagSynchronizer	1447146910661	0	0	0
BMS	PropertySynchronizer	1447146910725	0	0	0
BMS	AlarmSynchronizer	1447146910745	0	0	0
BMS	ConnectorSynchronizer (import)	1447147210515	0	0	0
BMS	MeasurementSynchronizer	1447147210546	0	0	36
BMS	WorkOrderSynchronizer	1447147210605	0	0	0
BMS	TagSynchronizer	1447147210663	0	0	0
BMS	PropertySynchronizer	1447147210728	0	0	0
BMS	AlarmSynchronizer	1447147210748	0	0	0
BMS	ConnectorSynchronizer (import)	1447147510500	0	0	0
BMS	MeasurementSynchronizer	1447147510531	0	0	36
BMS	WorkOrderSynchronizer	1447147510591	0	0	0
BMS	TagSynchronizer	1447147510649	0	0	0
BMS	PropertySynchronizer	1447147510724	0	0	0
BMS	AlarmSynchronizer	1447147510744	0	0	0
BMS	ConnectorSynchronizer (import)	1447147810508	0	0	0
BMS	MeasurementSynchronizer	1447147810541	0	0	36
BMS	WorkOrderSynchronizer	1447147810605	0	0	0
BMS	TagSynchronizer	1447147810668	0	0	0
BMS	PropertySynchronizer	1447147810738	0	0	0
BMS	AlarmSynchronizer	1447147810759	0	0	0
BMS	ConnectorSynchronizer (import)	1447148110543	0	0	0
BMS	MeasurementSynchronizer	1447148110576	0	0	36
BMS	WorkOrderSynchronizer	1447148110646	0	0	0
BMS	TagSynchronizer	1447148110709	0	0	0
BMS	PropertySynchronizer	1447148110778	0	0	0
BMS	AlarmSynchronizer	1447148110799	0	0	0
BMS	ConnectorSynchronizer (import)	1447148410497	0	0	0
BMS	MeasurementSynchronizer	1447148410531	0	0	36
BMS	WorkOrderSynchronizer	1447148410598	0	0	0
BMS	TagSynchronizer	1447148410663	0	0	0
BMS	PropertySynchronizer	1447148410735	0	0	0
BMS	AlarmSynchronizer	1447148410754	0	0	0
BMS	ConnectorSynchronizer (import)	1447148710529	0	0	0
BMS	MeasurementSynchronizer	1447148710563	0	0	36
BMS	WorkOrderSynchronizer	1447148710629	0	0	0
BMS	TagSynchronizer	1447148710691	0	0	0
BMS	PropertySynchronizer	1447148710762	0	0	0
BMS	AlarmSynchronizer	1447148710783	0	0	0
BMS	ConnectorSynchronizer (import)	1447149010520	0	0	0
BMS	MeasurementSynchronizer	1447149010553	0	0	36
BMS	WorkOrderSynchronizer	1447149010617	0	0	0
BMS	TagSynchronizer	1447149010678	0	0	0
BMS	PropertySynchronizer	1447149010749	0	0	0
BMS	AlarmSynchronizer	1447149010770	0	0	0
BMS	ConnectorSynchronizer (import)	1447149310494	0	0	0
BMS	MeasurementSynchronizer	1447149310527	0	0	36
BMS	WorkOrderSynchronizer	1447149310592	0	0	0
BMS	TagSynchronizer	1447149310654	0	0	0
BMS	PropertySynchronizer	1447149310725	0	0	0
BMS	AlarmSynchronizer	1447149310746	0	0	0
BMS	ConnectorSynchronizer (import)	1447149610508	0	0	0
BMS	MeasurementSynchronizer	1447149610541	0	0	36
BMS	WorkOrderSynchronizer	1447149610605	0	0	0
BMS	TagSynchronizer	1447149610667	0	0	0
BMS	PropertySynchronizer	1447149610737	0	0	0
BMS	AlarmSynchronizer	1447149610758	0	0	0
BMS	ConnectorSynchronizer (import)	1447149910512	0	0	0
BMS	MeasurementSynchronizer	1447149910545	0	0	36
BMS	WorkOrderSynchronizer	1447149910609	0	0	0
BMS	TagSynchronizer	1447149910671	0	0	0
BMS	PropertySynchronizer	1447149910743	0	0	0
BMS	AlarmSynchronizer	1447149910765	0	0	0
BMS	ConnectorSynchronizer (import)	1447150210510	0	0	0
BMS	MeasurementSynchronizer	1447150210544	0	0	36
BMS	WorkOrderSynchronizer	1447150210608	0	0	0
BMS	TagSynchronizer	1447150210670	0	0	0
BMS	PropertySynchronizer	1447150210739	0	0	0
BMS	AlarmSynchronizer	1447150210760	0	0	0
BMS	ConnectorSynchronizer (import)	1447150510546	0	0	0
BMS	MeasurementSynchronizer	1447150510580	0	0	36
BMS	WorkOrderSynchronizer	1447150510648	0	0	0
BMS	TagSynchronizer	1447150510711	0	0	0
BMS	PropertySynchronizer	1447150510782	0	0	0
BMS	AlarmSynchronizer	1447150510804	0	0	0
BMS	ConnectorSynchronizer (import)	1447150810503	0	0	0
BMS	MeasurementSynchronizer	1447150810531	0	0	36
BMS	WorkOrderSynchronizer	1447150810587	0	0	0
BMS	TagSynchronizer	1447150810645	0	0	0
BMS	PropertySynchronizer	1447150810713	0	0	0
BMS	AlarmSynchronizer	1447150810739	0	0	0
BMS	ConnectorSynchronizer (import)	1447151110546	0	0	0
BMS	MeasurementSynchronizer	1447151110592	0	0	36
BMS	WorkOrderSynchronizer	1447151110665	0	0	0
BMS	TagSynchronizer	1447151110728	0	0	0
BMS	PropertySynchronizer	1447151110801	0	0	0
BMS	AlarmSynchronizer	1447151110823	0	0	0
BMS	ConnectorSynchronizer (import)	1447151410526	0	0	0
BMS	MeasurementSynchronizer	1447151410565	0	0	36
BMS	WorkOrderSynchronizer	1447151410636	0	0	0
BMS	TagSynchronizer	1447151410700	0	0	0
BMS	PropertySynchronizer	1447151410770	0	0	0
BMS	AlarmSynchronizer	1447151410791	0	0	0
BMS	ConnectorSynchronizer (import)	1447151710509	0	0	0
BMS	MeasurementSynchronizer	1447151710542	0	0	36
BMS	WorkOrderSynchronizer	1447151710614	0	0	0
BMS	TagSynchronizer	1447151710678	0	0	0
BMS	PropertySynchronizer	1447151710751	0	0	0
BMS	AlarmSynchronizer	1447151710777	0	0	0
BMS	ConnectorSynchronizer (import)	1447152010597	0	0	0
BMS	MeasurementSynchronizer	1447152010627	0	0	36
BMS	WorkOrderSynchronizer	1447152010688	0	0	0
BMS	TagSynchronizer	1447152010749	0	0	0
BMS	PropertySynchronizer	1447152010824	0	0	0
BMS	AlarmSynchronizer	1447152010846	0	0	0
BMS	ConnectorSynchronizer (import)	1447152310546	0	0	0
BMS	MeasurementSynchronizer	1447152310580	0	0	36
BMS	WorkOrderSynchronizer	1447152310647	0	0	0
BMS	TagSynchronizer	1447152310710	0	0	0
BMS	PropertySynchronizer	1447152310781	0	0	0
BMS	AlarmSynchronizer	1447152310802	0	0	0
BMS	ConnectorSynchronizer (import)	1447152610579	0	0	0
BMS	MeasurementSynchronizer	1447152610612	0	0	36
BMS	WorkOrderSynchronizer	1447152610677	0	0	0
BMS	TagSynchronizer	1447152610739	0	0	0
BMS	PropertySynchronizer	1447152610809	0	0	0
BMS	AlarmSynchronizer	1447152610830	0	0	0
BMS	ConnectorSynchronizer (import)	1447152910514	0	0	0
BMS	MeasurementSynchronizer	1447152910548	0	0	36
BMS	WorkOrderSynchronizer	1447152910613	0	0	0
BMS	TagSynchronizer	1447152910675	0	0	0
BMS	PropertySynchronizer	1447152910749	0	0	0
BMS	AlarmSynchronizer	1447152910771	0	0	0
BMS	ConnectorSynchronizer (import)	1447153210509	0	0	0
BMS	MeasurementSynchronizer	1447153210542	0	0	36
BMS	WorkOrderSynchronizer	1447153210608	0	0	0
BMS	TagSynchronizer	1447153210671	0	0	0
BMS	PropertySynchronizer	1447153210747	0	0	0
BMS	AlarmSynchronizer	1447153210770	0	0	0
BMS	ConnectorSynchronizer (import)	1447153510501	0	0	0
BMS	MeasurementSynchronizer	1447153510532	0	0	36
BMS	WorkOrderSynchronizer	1447153510591	0	0	0
BMS	TagSynchronizer	1447153510648	0	0	0
BMS	PropertySynchronizer	1447153510714	0	0	0
BMS	AlarmSynchronizer	1447153510733	0	0	0
BMS	ConnectorSynchronizer (import)	1447153810501	0	0	0
BMS	MeasurementSynchronizer	1447153810534	0	0	36
BMS	WorkOrderSynchronizer	1447153810598	0	0	0
BMS	TagSynchronizer	1447153810662	0	0	0
BMS	PropertySynchronizer	1447153810734	0	0	0
BMS	AlarmSynchronizer	1447153810756	0	0	0
BMS	ConnectorSynchronizer (import)	1447154110514	0	0	0
BMS	MeasurementSynchronizer	1447154110547	0	0	36
BMS	WorkOrderSynchronizer	1447154110613	0	0	0
BMS	TagSynchronizer	1447154110677	0	0	0
BMS	PropertySynchronizer	1447154110749	0	0	0
BMS	AlarmSynchronizer	1447154110772	0	0	0
BMS	ConnectorSynchronizer (import)	1447154410505	0	0	0
BMS	MeasurementSynchronizer	1447154410538	0	0	36
BMS	WorkOrderSynchronizer	1447154410605	0	0	0
BMS	TagSynchronizer	1447154410668	0	0	0
BMS	PropertySynchronizer	1447154410737	0	0	0
BMS	AlarmSynchronizer	1447154410758	0	0	0
BMS	ConnectorSynchronizer (import)	1447154710508	0	0	0
BMS	MeasurementSynchronizer	1447154710540	0	0	36
BMS	WorkOrderSynchronizer	1447154710605	0	0	0
BMS	TagSynchronizer	1447154710668	0	0	0
BMS	PropertySynchronizer	1447154710737	0	0	0
BMS	AlarmSynchronizer	1447154710758	0	0	0
BMS	ConnectorSynchronizer (import)	1447155010524	0	0	0
BMS	MeasurementSynchronizer	1447155010557	0	0	36
BMS	WorkOrderSynchronizer	1447155010625	0	0	0
BMS	TagSynchronizer	1447155010688	0	0	0
BMS	PropertySynchronizer	1447155010757	0	0	0
BMS	AlarmSynchronizer	1447155010778	0	0	0
BMS	ConnectorSynchronizer (import)	1447155310499	0	0	0
BMS	MeasurementSynchronizer	1447155310534	0	0	36
BMS	WorkOrderSynchronizer	1447155310599	0	0	0
BMS	TagSynchronizer	1447155310662	0	0	0
BMS	PropertySynchronizer	1447155310734	0	0	0
BMS	AlarmSynchronizer	1447155310754	0	0	0
BMS	ConnectorSynchronizer (import)	1447155610500	0	0	0
BMS	MeasurementSynchronizer	1447155610534	0	0	36
BMS	WorkOrderSynchronizer	1447155610601	0	0	0
BMS	TagSynchronizer	1447155610663	0	0	0
BMS	PropertySynchronizer	1447155610734	0	0	0
BMS	AlarmSynchronizer	1447155610754	0	0	0
BMS	ConnectorSynchronizer (import)	1447155910492	0	0	0
BMS	MeasurementSynchronizer	1447155910525	0	0	36
BMS	WorkOrderSynchronizer	1447155910590	0	0	0
BMS	TagSynchronizer	1447155910652	0	0	0
BMS	PropertySynchronizer	1447155910723	0	0	0
BMS	AlarmSynchronizer	1447155910744	0	0	0
BMS	ConnectorSynchronizer (import)	1447156210529	0	0	0
BMS	MeasurementSynchronizer	1447156210562	0	0	36
BMS	WorkOrderSynchronizer	1447156210626	0	0	0
BMS	TagSynchronizer	1447156210688	0	0	0
BMS	PropertySynchronizer	1447156210774	0	0	0
BMS	AlarmSynchronizer	1447156210797	0	0	0
BMS	ConnectorSynchronizer (import)	1447156510541	0	0	0
BMS	MeasurementSynchronizer	1447156510574	0	0	36
BMS	WorkOrderSynchronizer	1447156510637	0	0	0
BMS	TagSynchronizer	1447156510699	0	0	0
BMS	PropertySynchronizer	1447156510772	0	0	0
BMS	AlarmSynchronizer	1447156510793	0	0	0
BMS	ConnectorSynchronizer (import)	1447156810514	0	0	0
BMS	MeasurementSynchronizer	1447156810546	0	0	36
BMS	WorkOrderSynchronizer	1447156810612	0	0	0
BMS	TagSynchronizer	1447156810675	0	0	0
BMS	PropertySynchronizer	1447156810746	0	0	0
BMS	AlarmSynchronizer	1447156810767	0	0	0
BMS	ConnectorSynchronizer (import)	1447157110515	0	0	0
BMS	MeasurementSynchronizer	1447157110548	0	0	36
BMS	WorkOrderSynchronizer	1447157110612	0	0	0
BMS	TagSynchronizer	1447157110674	0	0	0
BMS	PropertySynchronizer	1447157110745	0	0	0
BMS	AlarmSynchronizer	1447157110766	0	0	0
BMS	ConnectorSynchronizer (import)	1447157410617	0	0	0
BMS	MeasurementSynchronizer	1447157410651	0	0	36
BMS	WorkOrderSynchronizer	1447157410729	0	0	0
BMS	TagSynchronizer	1447157410805	0	0	0
BMS	PropertySynchronizer	1447157410889	0	0	0
BMS	AlarmSynchronizer	1447157410919	0	0	0
BMS	ConnectorSynchronizer (import)	1447157710537	0	0	0
BMS	MeasurementSynchronizer	1447157710571	0	0	36
BMS	WorkOrderSynchronizer	1447157710639	0	0	0
BMS	TagSynchronizer	1447157710701	0	0	0
BMS	PropertySynchronizer	1447157710773	0	0	0
BMS	AlarmSynchronizer	1447157710794	0	0	0
BMS	ConnectorSynchronizer (import)	1447158010722	0	0	0
BMS	MeasurementSynchronizer	1447158010757	0	0	36
BMS	WorkOrderSynchronizer	1447158010824	0	0	0
BMS	TagSynchronizer	1447158010888	0	0	0
BMS	PropertySynchronizer	1447158010960	0	0	0
BMS	AlarmSynchronizer	1447158010982	0	0	0
BMS	ConnectorSynchronizer (import)	1447158310496	0	0	0
BMS	MeasurementSynchronizer	1447158310530	0	0	36
BMS	WorkOrderSynchronizer	1447158310593	0	0	0
BMS	TagSynchronizer	1447158310655	0	0	0
BMS	PropertySynchronizer	1447158310727	0	0	0
BMS	AlarmSynchronizer	1447158310748	0	0	0
BMS	ConnectorSynchronizer (import)	1447158610517	0	0	0
BMS	MeasurementSynchronizer	1447158610550	0	0	36
BMS	WorkOrderSynchronizer	1447158610613	0	0	0
BMS	TagSynchronizer	1447158610675	0	0	0
BMS	PropertySynchronizer	1447158610746	0	0	0
BMS	AlarmSynchronizer	1447158610767	0	0	0
BMS	ConnectorSynchronizer (import)	1447158910518	0	0	0
BMS	MeasurementSynchronizer	1447158910552	0	0	36
BMS	WorkOrderSynchronizer	1447158910622	0	0	0
BMS	TagSynchronizer	1447158910686	0	0	0
BMS	PropertySynchronizer	1447158910760	0	0	0
BMS	AlarmSynchronizer	1447158910782	0	0	0
BMS	ConnectorSynchronizer (import)	1447159210491	0	0	0
BMS	MeasurementSynchronizer	1447159210517	0	0	36
BMS	WorkOrderSynchronizer	1447159210566	0	0	0
BMS	TagSynchronizer	1447159210615	0	0	0
BMS	PropertySynchronizer	1447159210680	0	0	0
BMS	AlarmSynchronizer	1447159210700	0	0	0
BMS	ConnectorSynchronizer (import)	1447159510510	0	0	0
BMS	MeasurementSynchronizer	1447159510543	0	0	36
BMS	WorkOrderSynchronizer	1447159510608	0	0	0
BMS	TagSynchronizer	1447159510670	0	0	0
BMS	PropertySynchronizer	1447159510741	0	0	0
BMS	AlarmSynchronizer	1447159510763	0	0	0
BMS	ConnectorSynchronizer (import)	1447159810542	0	0	0
BMS	MeasurementSynchronizer	1447159810575	0	0	36
BMS	WorkOrderSynchronizer	1447159810639	0	0	0
BMS	TagSynchronizer	1447159810700	0	0	0
BMS	PropertySynchronizer	1447159810771	0	0	0
BMS	AlarmSynchronizer	1447159810792	0	0	0
BMS	ConnectorSynchronizer (import)	1447160110501	0	0	0
BMS	MeasurementSynchronizer	1447160110535	0	0	36
BMS	WorkOrderSynchronizer	1447160110599	0	0	0
BMS	TagSynchronizer	1447160110660	0	0	0
BMS	PropertySynchronizer	1447160110731	0	0	0
BMS	AlarmSynchronizer	1447160110751	0	0	0
BMS	ConnectorSynchronizer (import)	1447160410507	0	0	0
BMS	MeasurementSynchronizer	1447160410540	0	0	36
BMS	WorkOrderSynchronizer	1447160410599	0	0	0
BMS	TagSynchronizer	1447160410656	0	0	0
BMS	PropertySynchronizer	1447160410720	0	0	0
BMS	AlarmSynchronizer	1447160410740	0	0	0
BMS	ConnectorSynchronizer (import)	1447160710525	0	0	0
BMS	MeasurementSynchronizer	1447160710558	0	0	36
BMS	WorkOrderSynchronizer	1447160710623	0	0	0
BMS	TagSynchronizer	1447160710687	0	0	0
BMS	PropertySynchronizer	1447160710757	0	0	0
BMS	AlarmSynchronizer	1447160710779	0	0	0
BMS	ConnectorSynchronizer (import)	1447161010507	0	0	0
BMS	MeasurementSynchronizer	1447161010541	0	0	36
BMS	WorkOrderSynchronizer	1447161010606	0	0	0
BMS	TagSynchronizer	1447161010669	0	0	0
BMS	PropertySynchronizer	1447161010741	0	0	0
BMS	AlarmSynchronizer	1447161010762	0	0	0
BMS	ConnectorSynchronizer (import)	1447161310501	0	0	0
BMS	MeasurementSynchronizer	1447161310534	0	0	36
BMS	WorkOrderSynchronizer	1447161310598	0	0	0
BMS	TagSynchronizer	1447161310660	0	0	0
BMS	PropertySynchronizer	1447161310731	0	0	0
BMS	AlarmSynchronizer	1447161310753	0	0	0
BMS	ConnectorSynchronizer (import)	1447161610529	0	0	0
BMS	MeasurementSynchronizer	1447161610562	0	0	36
BMS	WorkOrderSynchronizer	1447161610628	0	0	0
BMS	TagSynchronizer	1447161610694	0	0	0
BMS	PropertySynchronizer	1447161610770	0	0	0
BMS	AlarmSynchronizer	1447161610792	0	0	0
BMS	ConnectorSynchronizer (import)	1447161910524	0	0	0
BMS	MeasurementSynchronizer	1447161910557	0	0	36
BMS	WorkOrderSynchronizer	1447161910624	0	0	0
BMS	TagSynchronizer	1447161910687	0	0	0
BMS	PropertySynchronizer	1447161910760	0	0	0
BMS	AlarmSynchronizer	1447161910781	0	0	0
BMS	ConnectorSynchronizer (import)	1447162210511	0	0	0
BMS	MeasurementSynchronizer	1447162210546	0	0	36
BMS	WorkOrderSynchronizer	1447162210609	0	0	0
BMS	TagSynchronizer	1447162210670	0	0	0
BMS	PropertySynchronizer	1447162210743	0	0	0
BMS	AlarmSynchronizer	1447162210767	0	0	0
BMS	ConnectorSynchronizer (import)	1447162510499	0	0	0
BMS	MeasurementSynchronizer	1447162510530	0	0	36
BMS	WorkOrderSynchronizer	1447162510589	0	0	0
BMS	TagSynchronizer	1447162510646	0	0	0
BMS	PropertySynchronizer	1447162510712	0	0	0
BMS	AlarmSynchronizer	1447162510731	0	0	0
BMS	ConnectorSynchronizer (import)	1447162810511	0	0	0
BMS	MeasurementSynchronizer	1447162810544	0	0	36
BMS	WorkOrderSynchronizer	1447162810609	0	0	0
BMS	TagSynchronizer	1447162810671	0	0	0
BMS	PropertySynchronizer	1447162810742	0	0	0
BMS	AlarmSynchronizer	1447162810763	0	0	0
BMS	ConnectorSynchronizer (import)	1447163110505	0	0	0
BMS	MeasurementSynchronizer	1447163110537	0	0	36
BMS	WorkOrderSynchronizer	1447163110603	0	0	0
BMS	TagSynchronizer	1447163110665	0	0	0
BMS	PropertySynchronizer	1447163110737	0	0	0
BMS	AlarmSynchronizer	1447163110758	0	0	0
BMS	ConnectorSynchronizer (import)	1447163410506	0	0	0
BMS	MeasurementSynchronizer	1447163410540	0	0	36
BMS	WorkOrderSynchronizer	1447163410606	0	0	0
BMS	TagSynchronizer	1447163410670	0	0	0
BMS	PropertySynchronizer	1447163410740	0	0	0
BMS	AlarmSynchronizer	1447163410761	0	0	0
BMS	ConnectorSynchronizer (import)	1447163710511	0	0	0
BMS	MeasurementSynchronizer	1447163710544	0	0	36
BMS	WorkOrderSynchronizer	1447163710609	0	0	0
BMS	TagSynchronizer	1447163710673	0	0	0
BMS	PropertySynchronizer	1447163710744	0	0	0
BMS	AlarmSynchronizer	1447163710766	0	0	0
BMS	ConnectorSynchronizer (import)	1447164010504	0	0	0
BMS	MeasurementSynchronizer	1447164010538	0	0	36
BMS	WorkOrderSynchronizer	1447164010611	0	0	0
BMS	TagSynchronizer	1447164010681	0	0	0
BMS	PropertySynchronizer	1447164010755	0	0	0
BMS	AlarmSynchronizer	1447164010778	0	0	0
BMS	ConnectorSynchronizer (import)	1447164310514	0	0	0
BMS	MeasurementSynchronizer	1447164310546	0	0	36
BMS	WorkOrderSynchronizer	1447164310607	0	0	0
BMS	TagSynchronizer	1447164310666	0	0	0
BMS	PropertySynchronizer	1447164310731	0	0	0
BMS	AlarmSynchronizer	1447164310751	0	0	0
BMS	ConnectorSynchronizer (import)	1447164610505	0	0	0
BMS	MeasurementSynchronizer	1447164610539	0	0	36
BMS	WorkOrderSynchronizer	1447164610603	0	0	0
BMS	TagSynchronizer	1447164610665	0	0	0
BMS	PropertySynchronizer	1447164610737	0	0	0
BMS	AlarmSynchronizer	1447164610758	0	0	0
BMS	ConnectorSynchronizer (import)	1447164910514	0	0	0
BMS	MeasurementSynchronizer	1447164910548	0	0	36
BMS	WorkOrderSynchronizer	1447164910612	0	0	0
BMS	TagSynchronizer	1447164910673	0	0	0
BMS	PropertySynchronizer	1447164910752	0	0	0
BMS	AlarmSynchronizer	1447164910774	0	0	0
BMS	ConnectorSynchronizer (import)	1447165210516	0	0	0
BMS	MeasurementSynchronizer	1447165210549	0	0	36
BMS	WorkOrderSynchronizer	1447165210613	0	0	0
BMS	TagSynchronizer	1447165210674	0	0	0
BMS	PropertySynchronizer	1447165210746	0	0	0
BMS	AlarmSynchronizer	1447165210766	0	0	0
BMS	ConnectorSynchronizer (import)	1447165510507	0	0	0
BMS	MeasurementSynchronizer	1447165510540	0	0	36
BMS	WorkOrderSynchronizer	1447165510604	0	0	0
BMS	TagSynchronizer	1447165510666	0	0	0
BMS	PropertySynchronizer	1447165510737	0	0	0
BMS	AlarmSynchronizer	1447165510758	0	0	0
BMS	ConnectorSynchronizer (import)	1447165810515	0	0	0
BMS	MeasurementSynchronizer	1447165810549	0	0	36
BMS	WorkOrderSynchronizer	1447165810617	0	0	0
BMS	TagSynchronizer	1447165810679	0	0	0
BMS	PropertySynchronizer	1447165810751	0	0	0
BMS	AlarmSynchronizer	1447165810773	0	0	0
BMS	ConnectorSynchronizer (import)	1447166110503	0	0	0
BMS	MeasurementSynchronizer	1447166110536	0	0	36
BMS	WorkOrderSynchronizer	1447166110612	0	0	0
BMS	TagSynchronizer	1447166110674	0	0	0
BMS	PropertySynchronizer	1447166110746	0	0	0
BMS	AlarmSynchronizer	1447166110767	0	0	0
BMS	ConnectorSynchronizer (import)	1447166410506	0	0	0
BMS	MeasurementSynchronizer	1447166410533	0	0	36
BMS	WorkOrderSynchronizer	1447166410590	0	0	0
BMS	TagSynchronizer	1447166410646	0	0	0
BMS	PropertySynchronizer	1447166410716	0	0	0
BMS	AlarmSynchronizer	1447166410739	0	0	0
BMS	ConnectorSynchronizer (import)	1447166710516	0	0	0
BMS	MeasurementSynchronizer	1447166710548	0	0	36
BMS	WorkOrderSynchronizer	1447166710616	0	0	0
BMS	TagSynchronizer	1447166710679	0	0	0
BMS	PropertySynchronizer	1447166710752	0	0	0
BMS	AlarmSynchronizer	1447166710774	0	0	0
BMS	ConnectorSynchronizer (import)	1447167010516	0	0	0
BMS	MeasurementSynchronizer	1447167010548	0	0	36
BMS	WorkOrderSynchronizer	1447167010612	0	0	0
BMS	TagSynchronizer	1447167010674	0	0	0
BMS	PropertySynchronizer	1447167010745	0	0	0
BMS	AlarmSynchronizer	1447167010766	0	0	0
BMS	ConnectorSynchronizer (import)	1447167310521	0	0	0
BMS	MeasurementSynchronizer	1447167310554	0	0	36
BMS	WorkOrderSynchronizer	1447167310617	0	0	0
BMS	TagSynchronizer	1447167310680	0	0	0
BMS	PropertySynchronizer	1447167310751	0	0	0
BMS	AlarmSynchronizer	1447167310772	0	0	0
BMS	ConnectorSynchronizer (import)	1447167610591	0	0	0
BMS	MeasurementSynchronizer	1447167610626	0	0	36
BMS	WorkOrderSynchronizer	1447167610692	0	0	0
BMS	TagSynchronizer	1447167610753	0	0	0
BMS	PropertySynchronizer	1447167610825	0	0	0
BMS	AlarmSynchronizer	1447167610849	0	0	0
BMS	ConnectorSynchronizer (import)	1447167910519	0	0	0
BMS	MeasurementSynchronizer	1447167910550	0	0	36
BMS	WorkOrderSynchronizer	1447167910659	0	0	0
BMS	TagSynchronizer	1447167910711	0	0	0
BMS	PropertySynchronizer	1447167910767	0	0	0
BMS	AlarmSynchronizer	1447167910784	0	0	0
BMS	ConnectorSynchronizer (import)	1447168210532	0	0	0
BMS	MeasurementSynchronizer	1447168210567	0	0	36
BMS	WorkOrderSynchronizer	1447168210636	0	0	0
BMS	TagSynchronizer	1447168210702	0	0	0
BMS	PropertySynchronizer	1447168210776	0	0	0
BMS	AlarmSynchronizer	1447168210800	0	0	0
BMS	ConnectorSynchronizer (import)	1447168510506	0	0	0
BMS	MeasurementSynchronizer	1447168510539	0	0	36
BMS	WorkOrderSynchronizer	1447168510602	0	0	0
BMS	TagSynchronizer	1447168510664	0	0	0
BMS	PropertySynchronizer	1447168510734	0	0	0
BMS	AlarmSynchronizer	1447168510755	0	0	0
BMS	ConnectorSynchronizer (import)	1447168810508	0	0	0
BMS	MeasurementSynchronizer	1447168810541	0	0	36
BMS	WorkOrderSynchronizer	1447168810605	0	0	0
BMS	TagSynchronizer	1447168810668	0	0	0
BMS	PropertySynchronizer	1447168810737	0	0	0
BMS	AlarmSynchronizer	1447168810758	0	0	0
BMS	ConnectorSynchronizer (import)	1447169110524	0	0	0
BMS	MeasurementSynchronizer	1447169110556	0	0	36
BMS	WorkOrderSynchronizer	1447169110620	0	0	0
BMS	TagSynchronizer	1447169110681	0	0	0
BMS	PropertySynchronizer	1447169110752	0	0	0
BMS	AlarmSynchronizer	1447169110773	0	0	0
BMS	ConnectorSynchronizer (import)	1447169410510	0	0	0
BMS	MeasurementSynchronizer	1447169410543	0	0	36
BMS	WorkOrderSynchronizer	1447169410608	0	0	0
BMS	TagSynchronizer	1447169410670	0	0	0
BMS	PropertySynchronizer	1447169410742	0	0	0
BMS	AlarmSynchronizer	1447169410763	0	0	0
BMS	ConnectorSynchronizer (import)	1447169710515	0	0	0
BMS	MeasurementSynchronizer	1447169710551	0	0	36
BMS	WorkOrderSynchronizer	1447169710615	0	0	0
BMS	TagSynchronizer	1447169710676	0	0	0
BMS	PropertySynchronizer	1447169710748	0	0	0
BMS	AlarmSynchronizer	1447169710769	0	0	0
BMS	ConnectorSynchronizer (import)	1447170010598	0	0	0
BMS	MeasurementSynchronizer	1447170010629	0	0	36
BMS	WorkOrderSynchronizer	1447170010689	0	0	0
BMS	TagSynchronizer	1447170010746	0	0	0
BMS	PropertySynchronizer	1447170010812	0	0	0
BMS	AlarmSynchronizer	1447170010831	0	0	0
BMS	ConnectorSynchronizer (import)	1447170310499	0	0	0
BMS	MeasurementSynchronizer	1447170310529	0	0	36
BMS	WorkOrderSynchronizer	1447170310589	0	0	0
BMS	TagSynchronizer	1447170310645	0	0	0
BMS	PropertySynchronizer	1447170310712	0	0	0
BMS	AlarmSynchronizer	1447170310733	0	0	0
BMS	ConnectorSynchronizer (import)	1447170610525	0	0	0
BMS	MeasurementSynchronizer	1447170610561	0	0	36
BMS	WorkOrderSynchronizer	1447170610627	0	0	0
BMS	TagSynchronizer	1447170610690	0	0	0
BMS	PropertySynchronizer	1447170610762	0	0	0
BMS	AlarmSynchronizer	1447170610784	0	0	0
BMS	ConnectorSynchronizer (import)	1447170910510	0	0	0
BMS	MeasurementSynchronizer	1447170910542	0	0	36
BMS	WorkOrderSynchronizer	1447170910607	0	0	0
BMS	TagSynchronizer	1447170910669	0	0	0
BMS	PropertySynchronizer	1447170910739	0	0	0
BMS	AlarmSynchronizer	1447170910760	0	0	0
BMS	ConnectorSynchronizer (import)	1447171210510	0	0	0
BMS	MeasurementSynchronizer	1447171210542	0	0	36
BMS	WorkOrderSynchronizer	1447171210606	0	0	0
BMS	TagSynchronizer	1447171210668	0	0	0
BMS	PropertySynchronizer	1447171210741	0	0	0
BMS	AlarmSynchronizer	1447171210762	0	0	0
BMS	ConnectorSynchronizer (import)	1447171510526	0	0	0
BMS	MeasurementSynchronizer	1447171510562	0	0	36
BMS	WorkOrderSynchronizer	1447171510626	0	0	0
BMS	TagSynchronizer	1447171510688	0	0	0
BMS	PropertySynchronizer	1447171510758	0	0	0
BMS	AlarmSynchronizer	1447171510779	0	0	0
BMS	ConnectorSynchronizer (import)	1447171810524	0	0	0
BMS	MeasurementSynchronizer	1447171810555	0	0	36
BMS	WorkOrderSynchronizer	1447171810614	0	0	0
BMS	TagSynchronizer	1447171810671	0	0	0
BMS	PropertySynchronizer	1447171810740	0	0	0
BMS	AlarmSynchronizer	1447171810760	0	0	0
BMS	ConnectorSynchronizer (import)	1447172110510	0	0	0
BMS	MeasurementSynchronizer	1447172110542	0	0	36
BMS	WorkOrderSynchronizer	1447172110606	0	0	0
BMS	TagSynchronizer	1447172110668	0	0	0
BMS	PropertySynchronizer	1447172110738	0	0	0
BMS	AlarmSynchronizer	1447172110760	0	0	0
BMS	ConnectorSynchronizer (import)	1447172410533	0	0	0
BMS	MeasurementSynchronizer	1447172410567	0	0	36
BMS	WorkOrderSynchronizer	1447172410634	0	0	0
BMS	TagSynchronizer	1447172410695	0	0	0
BMS	PropertySynchronizer	1447172410764	0	0	0
BMS	AlarmSynchronizer	1447172410783	0	0	0
BMS	ConnectorSynchronizer (import)	1447172710528	0	0	0
BMS	MeasurementSynchronizer	1447172710561	0	0	36
BMS	WorkOrderSynchronizer	1447172710626	0	0	0
BMS	TagSynchronizer	1447172710688	0	0	0
BMS	PropertySynchronizer	1447172710759	0	0	0
BMS	AlarmSynchronizer	1447172710780	0	0	0
BMS	ConnectorSynchronizer (import)	1447173010529	0	0	0
BMS	MeasurementSynchronizer	1447173010561	0	0	36
BMS	WorkOrderSynchronizer	1447173010628	0	0	0
BMS	TagSynchronizer	1447173010690	0	0	0
BMS	PropertySynchronizer	1447173010759	0	0	0
BMS	AlarmSynchronizer	1447173010780	0	0	0
BMS	ConnectorSynchronizer (import)	1447173310515	0	0	0
BMS	MeasurementSynchronizer	1447173310547	0	0	36
BMS	WorkOrderSynchronizer	1447173310611	0	0	0
BMS	TagSynchronizer	1447173310673	0	0	0
BMS	PropertySynchronizer	1447173310745	0	0	0
BMS	AlarmSynchronizer	1447173310766	0	0	0
BMS	ConnectorSynchronizer (import)	1447173610589	0	0	0
BMS	MeasurementSynchronizer	1447173610636	0	0	36
BMS	WorkOrderSynchronizer	1447173610706	0	0	0
BMS	TagSynchronizer	1447173610770	0	0	0
BMS	PropertySynchronizer	1447173610841	0	0	0
BMS	AlarmSynchronizer	1447173610862	0	0	0
BMS	ConnectorSynchronizer (import)	1447173910516	0	0	0
BMS	MeasurementSynchronizer	1447173910550	0	0	36
BMS	WorkOrderSynchronizer	1447173910615	0	0	0
BMS	TagSynchronizer	1447173910673	0	0	0
BMS	PropertySynchronizer	1447173910740	0	0	0
BMS	AlarmSynchronizer	1447173910760	0	0	0
BMS	ConnectorSynchronizer (import)	1447174210527	0	0	0
BMS	MeasurementSynchronizer	1447174210558	0	0	36
BMS	WorkOrderSynchronizer	1447174210619	0	0	0
BMS	TagSynchronizer	1447174210678	0	0	0
BMS	PropertySynchronizer	1447174210745	0	0	0
BMS	AlarmSynchronizer	1447174210765	0	0	0
BMS	ConnectorSynchronizer (import)	1447174510503	0	0	0
BMS	MeasurementSynchronizer	1447174510535	0	0	36
BMS	WorkOrderSynchronizer	1447174510594	0	0	0
BMS	TagSynchronizer	1447174510652	0	0	0
BMS	PropertySynchronizer	1447174510717	0	0	0
BMS	AlarmSynchronizer	1447174510736	0	0	0
BMS	ConnectorSynchronizer (import)	1447174810524	0	0	0
BMS	MeasurementSynchronizer	1447174810557	0	0	36
BMS	WorkOrderSynchronizer	1447174810619	0	0	0
BMS	TagSynchronizer	1447174810672	0	0	0
BMS	PropertySynchronizer	1447174810733	0	0	0
BMS	AlarmSynchronizer	1447174810752	0	0	0
BMS	ConnectorSynchronizer (import)	1447175110527	0	0	0
BMS	MeasurementSynchronizer	1447175110561	0	0	36
BMS	WorkOrderSynchronizer	1447175110625	0	0	0
BMS	TagSynchronizer	1447175110689	0	0	0
BMS	PropertySynchronizer	1447175110760	0	0	0
BMS	AlarmSynchronizer	1447175110781	0	0	0
BMS	ConnectorSynchronizer (import)	1447175410537	0	0	0
BMS	MeasurementSynchronizer	1447175410570	0	0	36
BMS	WorkOrderSynchronizer	1447175410639	0	0	0
BMS	TagSynchronizer	1447175410702	0	0	0
BMS	PropertySynchronizer	1447175410773	0	0	0
BMS	AlarmSynchronizer	1447175410794	0	0	0
BMS	ConnectorSynchronizer (import)	1447175710504	0	0	0
BMS	MeasurementSynchronizer	1447175710537	0	0	36
BMS	WorkOrderSynchronizer	1447175710602	0	0	0
BMS	TagSynchronizer	1447175710664	0	0	0
BMS	PropertySynchronizer	1447175710734	0	0	0
BMS	AlarmSynchronizer	1447175710755	0	0	0
BMS	ConnectorSynchronizer (import)	1447176010527	0	0	0
BMS	MeasurementSynchronizer	1447176010561	0	0	36
BMS	WorkOrderSynchronizer	1447176010630	0	0	0
BMS	TagSynchronizer	1447176010695	0	0	0
BMS	PropertySynchronizer	1447176010769	0	0	0
BMS	AlarmSynchronizer	1447176010791	0	0	0
BMS	ConnectorSynchronizer (import)	1447176310510	0	0	0
BMS	MeasurementSynchronizer	1447176310543	0	0	36
BMS	WorkOrderSynchronizer	1447176310612	0	0	0
BMS	TagSynchronizer	1447176310677	0	0	0
BMS	PropertySynchronizer	1447176310750	0	0	0
BMS	AlarmSynchronizer	1447176310771	0	0	0
BMS	ConnectorSynchronizer (import)	1447176610511	0	0	0
BMS	MeasurementSynchronizer	1447176610544	0	0	36
BMS	WorkOrderSynchronizer	1447176610609	0	0	0
BMS	TagSynchronizer	1447176610671	0	0	0
BMS	PropertySynchronizer	1447176610742	0	0	0
BMS	AlarmSynchronizer	1447176610763	0	0	0
BMS	ConnectorSynchronizer (import)	1447176910515	0	0	0
BMS	MeasurementSynchronizer	1447176910547	0	0	36
BMS	WorkOrderSynchronizer	1447176910614	0	0	0
BMS	TagSynchronizer	1447176910677	0	0	0
BMS	PropertySynchronizer	1447176910750	0	0	0
BMS	AlarmSynchronizer	1447176910772	0	0	0
BMS	ConnectorSynchronizer (import)	1447177210529	0	0	0
BMS	MeasurementSynchronizer	1447177210563	0	0	36
BMS	WorkOrderSynchronizer	1447177210629	0	0	0
BMS	TagSynchronizer	1447177210693	0	0	0
BMS	PropertySynchronizer	1447177210762	0	0	0
BMS	AlarmSynchronizer	1447177210782	0	0	0
BMS	ConnectorSynchronizer (import)	1447177510514	0	0	0
BMS	MeasurementSynchronizer	1447177510546	0	0	36
BMS	WorkOrderSynchronizer	1447177510611	0	0	0
BMS	TagSynchronizer	1447177510674	0	0	0
BMS	PropertySynchronizer	1447177510745	0	0	0
BMS	AlarmSynchronizer	1447177510767	0	0	0
BMS	ConnectorSynchronizer (import)	1447177810538	0	0	0
BMS	MeasurementSynchronizer	1447177810570	0	0	36
BMS	WorkOrderSynchronizer	1447177810634	0	0	0
BMS	TagSynchronizer	1447177810695	0	0	0
BMS	PropertySynchronizer	1447177810766	0	0	0
BMS	AlarmSynchronizer	1447177810787	0	0	0
BMS	ConnectorSynchronizer (import)	1447178110518	0	0	0
BMS	MeasurementSynchronizer	1447178110551	0	0	36
BMS	WorkOrderSynchronizer	1447178110616	0	0	0
BMS	TagSynchronizer	1447178110678	0	0	0
BMS	PropertySynchronizer	1447178110745	0	0	0
BMS	AlarmSynchronizer	1447178110765	0	0	0
BMS	ConnectorSynchronizer (import)	1447178410512	0	0	0
BMS	MeasurementSynchronizer	1447178410544	0	0	36
BMS	WorkOrderSynchronizer	1447178410609	0	0	0
BMS	TagSynchronizer	1447178410670	0	0	0
BMS	PropertySynchronizer	1447178410741	0	0	0
BMS	AlarmSynchronizer	1447178410762	0	0	0
BMS	ConnectorSynchronizer (import)	1447178710511	0	0	0
BMS	MeasurementSynchronizer	1447178710543	0	0	36
BMS	WorkOrderSynchronizer	1447178710607	0	0	0
BMS	TagSynchronizer	1447178710671	0	0	0
BMS	PropertySynchronizer	1447178710742	0	0	0
BMS	AlarmSynchronizer	1447178710763	0	0	0
BMS	ConnectorSynchronizer (import)	1447179010510	0	0	0
BMS	MeasurementSynchronizer	1447179010542	0	0	36
BMS	WorkOrderSynchronizer	1447179010607	0	0	0
BMS	TagSynchronizer	1447179010669	0	0	0
BMS	PropertySynchronizer	1447179010739	0	0	0
BMS	AlarmSynchronizer	1447179010760	0	0	0
BMS	ConnectorSynchronizer (import)	1447179310526	0	0	0
BMS	MeasurementSynchronizer	1447179310559	0	0	36
BMS	WorkOrderSynchronizer	1447179310624	0	0	0
BMS	TagSynchronizer	1447179310686	0	0	0
BMS	PropertySynchronizer	1447179310757	0	0	0
BMS	AlarmSynchronizer	1447179310778	0	0	0
BMS	ConnectorSynchronizer (import)	1447179610505	0	0	0
BMS	MeasurementSynchronizer	1447179610539	0	0	36
BMS	WorkOrderSynchronizer	1447179610607	0	0	0
BMS	TagSynchronizer	1447179610671	0	0	0
BMS	PropertySynchronizer	1447179610744	0	0	0
BMS	AlarmSynchronizer	1447179610765	0	0	0
BMS	ConnectorSynchronizer (import)	1447179910523	0	0	0
BMS	MeasurementSynchronizer	1447179910555	0	0	36
BMS	WorkOrderSynchronizer	1447179910619	0	0	0
BMS	TagSynchronizer	1447179910681	0	0	0
BMS	PropertySynchronizer	1447179910752	0	0	0
BMS	AlarmSynchronizer	1447179910779	0	0	0
BMS	ConnectorSynchronizer (import)	1447180210544	0	0	0
BMS	MeasurementSynchronizer	1447180210577	0	0	36
BMS	WorkOrderSynchronizer	1447180210643	0	0	0
BMS	TagSynchronizer	1447180210704	0	0	0
BMS	PropertySynchronizer	1447180210776	0	0	0
BMS	AlarmSynchronizer	1447180210797	0	0	0
BMS	ConnectorSynchronizer (import)	1447180510529	0	0	0
BMS	MeasurementSynchronizer	1447180510561	0	0	36
BMS	WorkOrderSynchronizer	1447180510626	0	0	0
BMS	TagSynchronizer	1447180510687	0	0	0
BMS	PropertySynchronizer	1447180510760	0	0	0
BMS	AlarmSynchronizer	1447180510780	0	0	0
BMS	ConnectorSynchronizer (import)	1447180810611	0	0	0
BMS	MeasurementSynchronizer	1447180810645	0	0	36
BMS	WorkOrderSynchronizer	1447180810709	0	0	0
BMS	TagSynchronizer	1447180810779	0	0	0
BMS	PropertySynchronizer	1447180810851	0	0	0
BMS	AlarmSynchronizer	1447180810874	0	0	0
BMS	ConnectorSynchronizer (import)	1447181110557	0	0	0
BMS	MeasurementSynchronizer	1447181110591	0	0	36
BMS	WorkOrderSynchronizer	1447181110656	0	0	0
BMS	TagSynchronizer	1447181110718	0	0	0
BMS	PropertySynchronizer	1447181110789	0	0	0
BMS	AlarmSynchronizer	1447181110809	0	0	0
BMS	ConnectorSynchronizer (import)	1447181410534	0	0	0
BMS	MeasurementSynchronizer	1447181410569	0	0	36
BMS	WorkOrderSynchronizer	1447181410638	0	0	0
BMS	TagSynchronizer	1447181410701	0	0	0
BMS	PropertySynchronizer	1447181410774	0	0	0
BMS	AlarmSynchronizer	1447181410796	0	0	0
BMS	ConnectorSynchronizer (import)	1447181710509	0	0	0
BMS	MeasurementSynchronizer	1447181710543	0	0	36
BMS	WorkOrderSynchronizer	1447181710607	0	0	0
BMS	TagSynchronizer	1447181710669	0	0	0
BMS	PropertySynchronizer	1447181710740	0	0	0
BMS	AlarmSynchronizer	1447181710761	0	0	0
BMS	ConnectorSynchronizer (import)	1447182010530	0	0	0
BMS	MeasurementSynchronizer	1447182010564	0	0	36
BMS	WorkOrderSynchronizer	1447182010630	0	0	0
BMS	TagSynchronizer	1447182010692	0	0	0
BMS	PropertySynchronizer	1447182010763	0	0	0
BMS	AlarmSynchronizer	1447182010784	0	0	0
BMS	ConnectorSynchronizer (import)	1447182310524	0	0	0
BMS	MeasurementSynchronizer	1447182310557	0	0	36
BMS	WorkOrderSynchronizer	1447182310621	0	0	0
BMS	TagSynchronizer	1447182310686	0	0	0
BMS	PropertySynchronizer	1447182310757	0	0	0
BMS	AlarmSynchronizer	1447182310778	0	0	0
BMS	ConnectorSynchronizer (import)	1447182610526	0	0	0
BMS	MeasurementSynchronizer	1447182610559	0	0	36
BMS	WorkOrderSynchronizer	1447182610624	0	0	0
BMS	TagSynchronizer	1447182610690	0	0	0
BMS	PropertySynchronizer	1447182610760	0	0	0
BMS	AlarmSynchronizer	1447182610780	0	0	0
BMS	ConnectorSynchronizer (import)	1447182910525	0	0	0
BMS	MeasurementSynchronizer	1447182910557	0	0	36
BMS	WorkOrderSynchronizer	1447182910622	0	0	0
BMS	TagSynchronizer	1447182910684	0	0	0
BMS	PropertySynchronizer	1447182910754	0	0	0
BMS	AlarmSynchronizer	1447182910775	0	0	0
BMS	ConnectorSynchronizer (import)	1447183210543	0	0	0
BMS	MeasurementSynchronizer	1447183210576	0	0	36
BMS	WorkOrderSynchronizer	1447183210641	0	0	0
BMS	TagSynchronizer	1447183210705	0	0	0
BMS	PropertySynchronizer	1447183210779	0	0	0
BMS	AlarmSynchronizer	1447183210801	0	0	0
BMS	ConnectorSynchronizer (import)	1447183510590	0	0	0
BMS	MeasurementSynchronizer	1447183510624	0	0	36
BMS	WorkOrderSynchronizer	1447183510688	0	0	0
BMS	TagSynchronizer	1447183510752	0	0	0
BMS	PropertySynchronizer	1447183510824	0	0	0
BMS	AlarmSynchronizer	1447183510845	0	0	0
BMS	ConnectorSynchronizer (import)	1447183810902	0	0	0
BMS	MeasurementSynchronizer	1447183810935	0	0	36
BMS	WorkOrderSynchronizer	1447183810999	0	0	0
BMS	TagSynchronizer	1447183811064	0	0	0
BMS	PropertySynchronizer	1447183811140	0	0	0
BMS	AlarmSynchronizer	1447183811164	0	0	0
BMS	ConnectorSynchronizer (import)	1447184110549	0	0	0
BMS	MeasurementSynchronizer	1447184110583	0	0	36
BMS	WorkOrderSynchronizer	1447184110649	0	0	0
BMS	TagSynchronizer	1447184110710	0	0	0
BMS	PropertySynchronizer	1447184110771	0	0	0
BMS	AlarmSynchronizer	1447184110791	0	0	0
BMS	ConnectorSynchronizer (import)	1447184410530	0	0	0
BMS	MeasurementSynchronizer	1447184410564	0	0	36
BMS	WorkOrderSynchronizer	1447184410628	0	0	0
BMS	TagSynchronizer	1447184410690	0	0	0
BMS	PropertySynchronizer	1447184410762	0	0	0
BMS	AlarmSynchronizer	1447184410784	0	0	0
BMS	ConnectorSynchronizer (import)	1447184710520	0	0	0
BMS	MeasurementSynchronizer	1447184710552	0	0	36
BMS	WorkOrderSynchronizer	1447184710617	0	0	0
BMS	TagSynchronizer	1447184710679	0	0	0
BMS	PropertySynchronizer	1447184710750	0	0	0
BMS	AlarmSynchronizer	1447184710772	0	0	0
BMS	ConnectorSynchronizer (import)	1447185010542	0	0	0
BMS	MeasurementSynchronizer	1447185010576	0	0	36
BMS	WorkOrderSynchronizer	1447185010642	0	0	0
BMS	TagSynchronizer	1447185010706	0	0	0
BMS	PropertySynchronizer	1447185010781	0	0	0
BMS	AlarmSynchronizer	1447185010804	0	0	0
BMS	ConnectorSynchronizer (import)	1447185310515	0	0	0
BMS	MeasurementSynchronizer	1447185310548	0	0	36
BMS	WorkOrderSynchronizer	1447185310614	0	0	0
BMS	TagSynchronizer	1447185310678	0	0	0
BMS	PropertySynchronizer	1447185310753	0	0	0
BMS	AlarmSynchronizer	1447185310776	0	0	0
BMS	ConnectorSynchronizer (import)	1447185610512	0	0	0
BMS	MeasurementSynchronizer	1447185610545	0	0	36
BMS	WorkOrderSynchronizer	1447185610612	0	0	0
BMS	TagSynchronizer	1447185610676	0	0	0
BMS	PropertySynchronizer	1447185610750	0	0	0
BMS	AlarmSynchronizer	1447185610773	0	0	0
BMS	ConnectorSynchronizer (import)	1447185910523	0	0	0
BMS	MeasurementSynchronizer	1447185910557	0	0	36
BMS	WorkOrderSynchronizer	1447185910625	0	0	0
BMS	TagSynchronizer	1447185910692	0	0	0
BMS	PropertySynchronizer	1447185910767	0	0	0
BMS	AlarmSynchronizer	1447185910790	0	0	0
BMS	ConnectorSynchronizer (import)	1447186210524	0	0	0
BMS	MeasurementSynchronizer	1447186210557	0	0	36
BMS	WorkOrderSynchronizer	1447186210620	0	0	0
BMS	TagSynchronizer	1447186210681	0	0	0
BMS	PropertySynchronizer	1447186210746	0	0	0
BMS	AlarmSynchronizer	1447186210765	0	0	0
BMS	ConnectorSynchronizer (import)	1447186510526	0	0	0
BMS	MeasurementSynchronizer	1447186510557	0	0	36
BMS	WorkOrderSynchronizer	1447186510618	0	0	0
BMS	TagSynchronizer	1447186510676	0	0	0
BMS	PropertySynchronizer	1447186510744	0	0	0
BMS	AlarmSynchronizer	1447186510763	0	0	0
BMS	ConnectorSynchronizer (import)	1447186810511	0	0	0
BMS	MeasurementSynchronizer	1447186810544	0	0	36
BMS	WorkOrderSynchronizer	1447186810607	0	0	0
BMS	TagSynchronizer	1447186810668	0	0	0
BMS	PropertySynchronizer	1447186810738	0	0	0
BMS	AlarmSynchronizer	1447186810758	0	0	0
BMS	ConnectorSynchronizer (import)	1447187110515	0	0	0
BMS	MeasurementSynchronizer	1447187110549	0	0	36
BMS	WorkOrderSynchronizer	1447187110613	0	0	0
BMS	TagSynchronizer	1447187110675	0	0	0
BMS	PropertySynchronizer	1447187110746	0	0	0
BMS	AlarmSynchronizer	1447187110767	0	0	0
BMS	ConnectorSynchronizer (import)	1447187410501	0	0	0
BMS	MeasurementSynchronizer	1447187410534	0	0	36
BMS	WorkOrderSynchronizer	1447187410598	0	0	0
BMS	TagSynchronizer	1447187410661	0	0	0
BMS	PropertySynchronizer	1447187410731	0	0	0
BMS	AlarmSynchronizer	1447187410753	0	0	0
BMS	ConnectorSynchronizer (import)	1447187710519	0	0	0
BMS	MeasurementSynchronizer	1447187710552	0	0	36
BMS	WorkOrderSynchronizer	1447187710616	0	0	0
BMS	TagSynchronizer	1447187710678	0	0	0
BMS	PropertySynchronizer	1447187710748	0	0	0
BMS	AlarmSynchronizer	1447187710769	0	0	0
BMS	ConnectorSynchronizer (import)	1447188010521	0	0	0
BMS	MeasurementSynchronizer	1447188010556	0	0	36
BMS	WorkOrderSynchronizer	1447188010624	0	0	0
BMS	TagSynchronizer	1447188010687	0	0	0
BMS	PropertySynchronizer	1447188010760	0	0	0
BMS	AlarmSynchronizer	1447188010785	0	0	0
BMS	ConnectorSynchronizer (import)	1447188310522	0	0	0
BMS	MeasurementSynchronizer	1447188310554	0	0	36
BMS	WorkOrderSynchronizer	1447188310618	0	0	0
BMS	TagSynchronizer	1447188310680	0	0	0
BMS	PropertySynchronizer	1447188310754	0	0	0
BMS	AlarmSynchronizer	1447188310774	0	0	0
BMS	ConnectorSynchronizer (import)	1447188610503	0	0	0
BMS	MeasurementSynchronizer	1447188610534	0	0	36
BMS	WorkOrderSynchronizer	1447188610594	0	0	0
BMS	TagSynchronizer	1447188610652	0	0	0
BMS	PropertySynchronizer	1447188610708	0	0	0
BMS	AlarmSynchronizer	1447188610728	0	0	0
BMS	ConnectorSynchronizer (import)	1447188910576	0	0	0
BMS	MeasurementSynchronizer	1447188910609	0	0	36
BMS	WorkOrderSynchronizer	1447188910675	0	0	0
BMS	TagSynchronizer	1447188910736	0	0	0
BMS	PropertySynchronizer	1447188910807	0	0	0
BMS	AlarmSynchronizer	1447188910828	0	0	0
BMS	ConnectorSynchronizer (import)	1447189210519	0	0	0
BMS	MeasurementSynchronizer	1447189210552	0	0	36
BMS	WorkOrderSynchronizer	1447189210618	0	0	0
BMS	TagSynchronizer	1447189210680	0	0	0
BMS	PropertySynchronizer	1447189210752	0	0	0
BMS	AlarmSynchronizer	1447189210774	0	0	0
BMS	ConnectorSynchronizer (import)	1447189510511	0	0	0
BMS	MeasurementSynchronizer	1447189510544	0	0	36
BMS	WorkOrderSynchronizer	1447189510608	0	0	0
BMS	TagSynchronizer	1447189510670	0	0	0
BMS	PropertySynchronizer	1447189510741	0	0	0
BMS	AlarmSynchronizer	1447189510766	0	0	0
BMS	ConnectorSynchronizer (import)	1447189810534	0	0	0
BMS	MeasurementSynchronizer	1447189810568	0	0	36
BMS	WorkOrderSynchronizer	1447189810635	0	0	0
BMS	TagSynchronizer	1447189810697	0	0	0
BMS	PropertySynchronizer	1447189810771	0	0	0
BMS	AlarmSynchronizer	1447189810793	0	0	0
BMS	ConnectorSynchronizer (import)	1447190110529	0	0	0
BMS	MeasurementSynchronizer	1447190110562	0	0	36
BMS	WorkOrderSynchronizer	1447190110626	0	0	0
BMS	TagSynchronizer	1447190110687	0	0	0
BMS	PropertySynchronizer	1447190110758	0	0	0
BMS	AlarmSynchronizer	1447190110779	0	0	0
BMS	ConnectorSynchronizer (import)	1447190410529	0	0	0
BMS	MeasurementSynchronizer	1447190410565	0	0	36
BMS	WorkOrderSynchronizer	1447190410632	0	0	0
BMS	TagSynchronizer	1447190410696	0	0	0
BMS	PropertySynchronizer	1447190410767	0	0	0
BMS	AlarmSynchronizer	1447190410789	0	0	0
BMS	ConnectorSynchronizer (import)	1447190710514	0	0	0
BMS	MeasurementSynchronizer	1447190710546	0	0	36
BMS	WorkOrderSynchronizer	1447190710612	0	0	0
BMS	TagSynchronizer	1447190710675	0	0	0
BMS	PropertySynchronizer	1447190710746	0	0	0
BMS	AlarmSynchronizer	1447190710767	0	0	0
BMS	ConnectorSynchronizer (import)	1447191010509	0	0	0
BMS	MeasurementSynchronizer	1447191010542	0	0	36
BMS	WorkOrderSynchronizer	1447191010606	0	0	0
BMS	TagSynchronizer	1447191010668	0	0	0
BMS	PropertySynchronizer	1447191010739	0	0	0
BMS	AlarmSynchronizer	1447191010760	0	0	0
BMS	ConnectorSynchronizer (import)	1447191310511	0	0	0
BMS	MeasurementSynchronizer	1447191310544	0	0	36
BMS	WorkOrderSynchronizer	1447191310607	0	0	0
BMS	TagSynchronizer	1447191310669	0	0	0
BMS	PropertySynchronizer	1447191310743	0	0	0
BMS	AlarmSynchronizer	1447191310764	0	0	0
BMS	ConnectorSynchronizer (import)	1447191610524	0	0	0
BMS	MeasurementSynchronizer	1447191610557	0	0	36
BMS	WorkOrderSynchronizer	1447191610622	0	0	0
BMS	TagSynchronizer	1447191610684	0	0	0
BMS	PropertySynchronizer	1447191610754	0	0	0
BMS	AlarmSynchronizer	1447191610775	0	0	0
BMS	ConnectorSynchronizer (import)	1447191910515	0	0	0
BMS	MeasurementSynchronizer	1447191910548	0	0	36
BMS	WorkOrderSynchronizer	1447191910615	0	0	0
BMS	TagSynchronizer	1447191910677	0	0	0
BMS	PropertySynchronizer	1447191910748	0	0	0
BMS	AlarmSynchronizer	1447191910769	0	0	0
BMS	ConnectorSynchronizer (import)	1447192210566	0	0	0
BMS	MeasurementSynchronizer	1447192210601	0	0	36
BMS	WorkOrderSynchronizer	1447192210666	0	0	0
BMS	TagSynchronizer	1447192210729	0	0	0
BMS	PropertySynchronizer	1447192210803	0	0	0
BMS	AlarmSynchronizer	1447192210824	0	0	0
BMS	ConnectorSynchronizer (import)	1447192510527	0	0	0
BMS	MeasurementSynchronizer	1447192510562	0	0	36
BMS	WorkOrderSynchronizer	1447192510628	0	0	0
BMS	TagSynchronizer	1447192510692	0	0	0
BMS	PropertySynchronizer	1447192510762	0	0	0
BMS	AlarmSynchronizer	1447192510783	0	0	0
BMS	ConnectorSynchronizer (import)	1447192810514	0	0	0
BMS	MeasurementSynchronizer	1447192810545	0	0	36
BMS	WorkOrderSynchronizer	1447192810605	0	0	0
BMS	TagSynchronizer	1447192810664	0	0	0
BMS	PropertySynchronizer	1447192810727	0	0	0
BMS	AlarmSynchronizer	1447192810748	0	0	0
BMS	ConnectorSynchronizer (import)	1447193110511	0	0	0
BMS	MeasurementSynchronizer	1447193110544	0	0	36
BMS	WorkOrderSynchronizer	1447193110609	0	0	0
BMS	TagSynchronizer	1447193110670	0	0	0
BMS	PropertySynchronizer	1447193110740	0	0	0
BMS	AlarmSynchronizer	1447193110760	0	0	0
BMS	ConnectorSynchronizer (import)	1447193410538	0	0	0
BMS	MeasurementSynchronizer	1447193410572	0	0	36
BMS	WorkOrderSynchronizer	1447193410638	0	0	0
BMS	TagSynchronizer	1447193410700	0	0	0
BMS	PropertySynchronizer	1447193410770	0	0	0
BMS	AlarmSynchronizer	1447193410793	0	0	0
BMS	ConnectorSynchronizer (import)	1447193710526	0	0	0
BMS	MeasurementSynchronizer	1447193710560	0	0	36
BMS	WorkOrderSynchronizer	1447193710627	0	0	0
BMS	TagSynchronizer	1447193710691	0	0	0
BMS	PropertySynchronizer	1447193710763	0	0	0
BMS	AlarmSynchronizer	1447193710786	0	0	0
BMS	ConnectorSynchronizer (import)	1447194010507	0	0	0
BMS	MeasurementSynchronizer	1447194010541	0	0	36
BMS	WorkOrderSynchronizer	1447194010606	0	0	0
BMS	TagSynchronizer	1447194010669	0	0	0
BMS	PropertySynchronizer	1447194010741	0	0	0
BMS	AlarmSynchronizer	1447194010761	0	0	0
BMS	ConnectorSynchronizer (import)	1447194310580	0	0	0
BMS	MeasurementSynchronizer	1447194310615	0	0	36
BMS	WorkOrderSynchronizer	1447194310682	0	0	0
BMS	TagSynchronizer	1447194310746	0	0	0
BMS	PropertySynchronizer	1447194310818	0	0	0
BMS	AlarmSynchronizer	1447194310839	0	0	0
BMS	ConnectorSynchronizer (import)	1447194610539	0	0	0
BMS	MeasurementSynchronizer	1447194610573	0	0	36
BMS	WorkOrderSynchronizer	1447194610642	0	0	0
BMS	TagSynchronizer	1447194610705	0	0	0
BMS	PropertySynchronizer	1447194610777	0	0	0
BMS	AlarmSynchronizer	1447194610798	0	0	0
BMS	ConnectorSynchronizer (import)	1447194910534	0	0	0
BMS	MeasurementSynchronizer	1447194910569	0	0	36
BMS	WorkOrderSynchronizer	1447194910635	0	0	0
BMS	TagSynchronizer	1447194910696	0	0	0
BMS	PropertySynchronizer	1447194910762	0	0	0
BMS	AlarmSynchronizer	1447194910782	0	0	0
BMS	ConnectorSynchronizer (import)	1447195210508	0	0	0
BMS	MeasurementSynchronizer	1447195210538	0	0	36
BMS	WorkOrderSynchronizer	1447195210589	0	0	0
BMS	TagSynchronizer	1447195210635	0	0	0
BMS	PropertySynchronizer	1447195210690	0	0	0
BMS	AlarmSynchronizer	1447195210708	0	0	0
BMS	ConnectorSynchronizer (import)	1447195510505	0	0	0
BMS	MeasurementSynchronizer	1447195510539	0	0	36
BMS	WorkOrderSynchronizer	1447195510606	0	0	0
BMS	TagSynchronizer	1447195510667	0	0	0
BMS	PropertySynchronizer	1447195510737	0	0	0
BMS	AlarmSynchronizer	1447195510758	0	0	0
BMS	ConnectorSynchronizer (import)	1447195810527	0	0	0
BMS	MeasurementSynchronizer	1447195810561	0	0	36
BMS	WorkOrderSynchronizer	1447195810630	0	0	0
BMS	TagSynchronizer	1447195810696	0	0	0
BMS	PropertySynchronizer	1447195810768	0	0	0
BMS	AlarmSynchronizer	1447195810789	0	0	0
BMS	ConnectorSynchronizer (import)	1447196110513	0	0	0
BMS	MeasurementSynchronizer	1447196110546	0	0	36
BMS	WorkOrderSynchronizer	1447196110609	0	0	0
BMS	TagSynchronizer	1447196110671	0	0	0
BMS	PropertySynchronizer	1447196110742	0	0	0
BMS	AlarmSynchronizer	1447196110762	0	0	0
BMS	ConnectorSynchronizer (import)	1447196410529	0	0	0
BMS	MeasurementSynchronizer	1447196410562	0	0	36
BMS	WorkOrderSynchronizer	1447196410629	0	0	0
BMS	TagSynchronizer	1447196410694	0	0	0
BMS	PropertySynchronizer	1447196410767	0	0	0
BMS	AlarmSynchronizer	1447196410789	0	0	0
BMS	ConnectorSynchronizer (import)	1447196710524	0	0	0
BMS	MeasurementSynchronizer	1447196710559	0	0	36
BMS	WorkOrderSynchronizer	1447196710627	0	0	0
BMS	TagSynchronizer	1447196710693	0	0	0
BMS	PropertySynchronizer	1447196710768	0	0	0
BMS	AlarmSynchronizer	1447196710792	0	0	0
BMS	ConnectorSynchronizer (import)	1447197010515	0	0	0
BMS	MeasurementSynchronizer	1447197010548	0	0	36
BMS	WorkOrderSynchronizer	1447197010613	0	0	0
BMS	TagSynchronizer	1447197010674	0	0	0
BMS	PropertySynchronizer	1447197010746	0	0	0
BMS	AlarmSynchronizer	1447197010767	0	0	0
BMS	ConnectorSynchronizer (import)	1447197310525	0	0	0
BMS	MeasurementSynchronizer	1447197310558	0	0	36
BMS	WorkOrderSynchronizer	1447197310625	0	0	0
BMS	TagSynchronizer	1447197310692	0	0	0
BMS	PropertySynchronizer	1447197310771	0	0	0
BMS	AlarmSynchronizer	1447197310793	0	0	0
BMS	ConnectorSynchronizer (import)	1447197610536	0	0	0
BMS	MeasurementSynchronizer	1447197610569	0	0	36
BMS	WorkOrderSynchronizer	1447197610636	0	0	0
BMS	TagSynchronizer	1447197610698	0	0	0
BMS	PropertySynchronizer	1447197610769	0	0	0
BMS	AlarmSynchronizer	1447197610791	0	0	0
BMS	ConnectorSynchronizer (import)	1447197910520	0	0	0
BMS	MeasurementSynchronizer	1447197910553	0	0	36
BMS	WorkOrderSynchronizer	1447197910619	0	0	0
BMS	TagSynchronizer	1447197910683	0	0	0
BMS	PropertySynchronizer	1447197910755	0	0	0
BMS	AlarmSynchronizer	1447197910777	0	0	0
BMS	ConnectorSynchronizer (import)	1447198210521	0	0	0
BMS	MeasurementSynchronizer	1447198210553	0	0	36
BMS	WorkOrderSynchronizer	1447198210617	0	0	0
BMS	TagSynchronizer	1447198210679	0	0	0
BMS	PropertySynchronizer	1447198210749	0	0	0
BMS	AlarmSynchronizer	1447198210771	0	0	0
BMS	ConnectorSynchronizer (import)	1447198510585	0	0	0
BMS	MeasurementSynchronizer	1447198510619	0	0	36
BMS	WorkOrderSynchronizer	1447198510686	0	0	0
BMS	TagSynchronizer	1447198510748	0	0	0
BMS	PropertySynchronizer	1447198510820	0	0	0
BMS	AlarmSynchronizer	1447198510842	0	0	0
BMS	ConnectorSynchronizer (import)	1447198810526	0	0	0
BMS	MeasurementSynchronizer	1447198810561	0	0	36
BMS	WorkOrderSynchronizer	1447198810629	0	0	0
BMS	TagSynchronizer	1447198810695	0	0	0
BMS	PropertySynchronizer	1447198810770	0	0	0
BMS	AlarmSynchronizer	1447198810792	0	0	0
BMS	ConnectorSynchronizer (import)	1447199110514	0	0	0
BMS	MeasurementSynchronizer	1447199110546	0	0	36
BMS	WorkOrderSynchronizer	1447199110610	0	0	0
BMS	TagSynchronizer	1447199110673	0	0	0
BMS	PropertySynchronizer	1447199110744	0	0	0
BMS	AlarmSynchronizer	1447199110765	0	0	0
BMS	ConnectorSynchronizer (import)	1447199410516	0	0	0
BMS	MeasurementSynchronizer	1447199410549	0	0	36
BMS	WorkOrderSynchronizer	1447199410615	0	0	0
BMS	TagSynchronizer	1447199410677	0	0	0
BMS	PropertySynchronizer	1447199410749	0	0	0
BMS	AlarmSynchronizer	1447199410771	0	0	0
BMS	ConnectorSynchronizer (import)	1447199710553	0	0	0
BMS	MeasurementSynchronizer	1447199710588	0	0	36
BMS	WorkOrderSynchronizer	1447199710655	0	0	0
BMS	TagSynchronizer	1447199710719	0	0	0
BMS	PropertySynchronizer	1447199710790	0	0	0
BMS	AlarmSynchronizer	1447199710811	0	0	0
BMS	ConnectorSynchronizer (import)	1447200010524	0	0	0
BMS	MeasurementSynchronizer	1447200010557	0	0	36
BMS	WorkOrderSynchronizer	1447200010622	0	0	0
BMS	TagSynchronizer	1447200010684	0	0	0
BMS	PropertySynchronizer	1447200010756	0	0	0
BMS	AlarmSynchronizer	1447200010777	0	0	0
BMS	ConnectorSynchronizer (import)	1447200310511	0	0	0
BMS	MeasurementSynchronizer	1447200310544	0	0	36
BMS	WorkOrderSynchronizer	1447200310608	0	0	0
BMS	TagSynchronizer	1447200310670	0	0	0
BMS	PropertySynchronizer	1447200310742	0	0	0
BMS	AlarmSynchronizer	1447200310763	0	0	0
BMS	ConnectorSynchronizer (import)	1447200610535	0	0	0
BMS	MeasurementSynchronizer	1447200610569	0	0	36
BMS	WorkOrderSynchronizer	1447200610637	0	0	0
BMS	TagSynchronizer	1447200610702	0	0	0
BMS	PropertySynchronizer	1447200610773	0	0	0
BMS	AlarmSynchronizer	1447200610795	0	0	0
BMS	ConnectorSynchronizer (import)	1447200910607	0	0	0
BMS	MeasurementSynchronizer	1447200910638	0	0	36
BMS	WorkOrderSynchronizer	1447200910700	0	0	0
BMS	TagSynchronizer	1447200910757	0	0	0
BMS	PropertySynchronizer	1447200910822	0	0	0
BMS	AlarmSynchronizer	1447200910842	0	0	0
BMS	ConnectorSynchronizer (import)	1447201210550	0	0	0
BMS	MeasurementSynchronizer	1447201210585	0	0	36
BMS	WorkOrderSynchronizer	1447201210671	0	0	0
BMS	TagSynchronizer	1447201210737	0	0	0
BMS	PropertySynchronizer	1447201210811	0	0	0
BMS	AlarmSynchronizer	1447201210834	0	0	0
BMS	ConnectorSynchronizer (import)	1447201510522	0	0	0
BMS	MeasurementSynchronizer	1447201510554	0	0	36
BMS	WorkOrderSynchronizer	1447201510617	0	0	0
BMS	TagSynchronizer	1447201510679	0	0	0
BMS	PropertySynchronizer	1447201510750	0	0	0
BMS	AlarmSynchronizer	1447201510771	0	0	0
BMS	ConnectorSynchronizer (import)	1447201810525	0	0	0
BMS	MeasurementSynchronizer	1447201810559	0	0	36
BMS	WorkOrderSynchronizer	1447201810624	0	0	0
BMS	TagSynchronizer	1447201810686	0	0	0
BMS	PropertySynchronizer	1447201810759	0	0	0
BMS	AlarmSynchronizer	1447201810781	0	0	0
BMS	ConnectorSynchronizer (import)	1447202110830	0	0	0
BMS	MeasurementSynchronizer	1447202110859	0	0	36
BMS	WorkOrderSynchronizer	1447202110917	0	0	0
BMS	TagSynchronizer	1447202110974	0	0	0
BMS	PropertySynchronizer	1447202111046	0	0	0
BMS	AlarmSynchronizer	1447202111068	0	0	0
BMS	ConnectorSynchronizer (import)	1447202410567	0	0	0
BMS	MeasurementSynchronizer	1447202410601	0	0	36
BMS	WorkOrderSynchronizer	1447202410665	0	0	0
BMS	TagSynchronizer	1447202410728	0	0	0
BMS	PropertySynchronizer	1447202410800	0	0	0
BMS	AlarmSynchronizer	1447202410821	0	0	0
BMS	ConnectorSynchronizer (import)	1447202710531	0	0	0
BMS	MeasurementSynchronizer	1447202710565	0	0	36
BMS	WorkOrderSynchronizer	1447202710633	0	0	0
BMS	TagSynchronizer	1447202710698	0	0	0
BMS	PropertySynchronizer	1447202710770	0	0	0
BMS	AlarmSynchronizer	1447202710792	0	0	0
BMS	ConnectorSynchronizer (import)	1447203010492	0	0	0
BMS	MeasurementSynchronizer	1447203010523	0	0	36
BMS	WorkOrderSynchronizer	1447203010582	0	0	0
BMS	TagSynchronizer	1447203010639	0	0	0
BMS	PropertySynchronizer	1447203010700	0	0	0
BMS	AlarmSynchronizer	1447203010717	0	0	0
BMS	ConnectorSynchronizer (import)	1447203310555	0	0	0
BMS	MeasurementSynchronizer	1447203310589	0	0	36
BMS	WorkOrderSynchronizer	1447203310657	0	0	0
BMS	TagSynchronizer	1447203310721	0	0	0
BMS	PropertySynchronizer	1447203310797	0	0	0
BMS	AlarmSynchronizer	1447203310819	0	0	0
BMS	ConnectorSynchronizer (import)	1447203610542	0	0	0
BMS	MeasurementSynchronizer	1447203610575	0	0	36
BMS	WorkOrderSynchronizer	1447203610640	0	0	0
BMS	TagSynchronizer	1447203610701	0	0	0
BMS	PropertySynchronizer	1447203610773	0	0	0
BMS	AlarmSynchronizer	1447203610793	0	0	0
BMS	ConnectorSynchronizer (import)	1447203910518	0	0	0
BMS	MeasurementSynchronizer	1447203910550	0	0	36
BMS	WorkOrderSynchronizer	1447203910614	0	0	0
BMS	TagSynchronizer	1447203910676	0	0	0
BMS	PropertySynchronizer	1447203910746	0	0	0
BMS	AlarmSynchronizer	1447203910767	0	0	0
BMS	ConnectorSynchronizer (import)	1447204210530	0	0	0
BMS	MeasurementSynchronizer	1447204210565	0	0	36
BMS	WorkOrderSynchronizer	1447204210632	0	0	0
BMS	TagSynchronizer	1447204210699	0	0	0
BMS	PropertySynchronizer	1447204210770	0	0	0
BMS	AlarmSynchronizer	1447204210792	0	0	0
BMS	ConnectorSynchronizer (import)	1447204510522	0	0	0
BMS	MeasurementSynchronizer	1447204510552	0	0	36
BMS	WorkOrderSynchronizer	1447204510611	0	0	0
BMS	TagSynchronizer	1447204510669	0	0	0
BMS	PropertySynchronizer	1447204510734	0	0	0
BMS	AlarmSynchronizer	1447204510754	0	0	0
BMS	ConnectorSynchronizer (import)	1447204810524	0	0	0
BMS	MeasurementSynchronizer	1447204810558	0	0	36
BMS	WorkOrderSynchronizer	1447204810621	0	0	0
BMS	TagSynchronizer	1447204810682	0	0	0
BMS	PropertySynchronizer	1447204810752	0	0	0
BMS	AlarmSynchronizer	1447204810773	0	0	0
BMS	ConnectorSynchronizer (import)	1447205110521	0	0	0
BMS	MeasurementSynchronizer	1447205110555	0	0	36
BMS	WorkOrderSynchronizer	1447205110625	0	0	0
BMS	TagSynchronizer	1447205110688	0	0	0
BMS	PropertySynchronizer	1447205110760	0	0	0
BMS	AlarmSynchronizer	1447205110781	0	0	0
BMS	ConnectorSynchronizer (import)	1447205410513	0	0	0
BMS	MeasurementSynchronizer	1447205410546	0	0	36
BMS	WorkOrderSynchronizer	1447205410611	0	0	0
BMS	TagSynchronizer	1447205410674	0	0	0
BMS	PropertySynchronizer	1447205410747	0	0	0
BMS	AlarmSynchronizer	1447205410768	0	0	0
BMS	ConnectorSynchronizer (import)	1447205710511	0	0	0
BMS	MeasurementSynchronizer	1447205710544	0	0	36
BMS	WorkOrderSynchronizer	1447205710608	0	0	0
BMS	TagSynchronizer	1447205710670	0	0	0
BMS	PropertySynchronizer	1447205710741	0	0	0
BMS	AlarmSynchronizer	1447205710762	0	0	0
BMS	ConnectorSynchronizer (import)	1447206010519	0	0	0
BMS	MeasurementSynchronizer	1447206010552	0	0	36
BMS	WorkOrderSynchronizer	1447206010616	0	0	0
BMS	TagSynchronizer	1447206010678	0	0	0
BMS	PropertySynchronizer	1447206010752	0	0	0
BMS	AlarmSynchronizer	1447206010773	0	0	0
BMS	ConnectorSynchronizer (import)	1447206310543	0	0	0
BMS	MeasurementSynchronizer	1447206310576	0	0	36
BMS	WorkOrderSynchronizer	1447206310642	0	0	0
BMS	TagSynchronizer	1447206310704	0	0	0
BMS	PropertySynchronizer	1447206310776	0	0	0
BMS	AlarmSynchronizer	1447206310796	0	0	0
BMS	ConnectorSynchronizer (import)	1447206610538	0	0	0
BMS	MeasurementSynchronizer	1447206610571	0	0	36
BMS	WorkOrderSynchronizer	1447206610631	0	0	0
BMS	TagSynchronizer	1447206610687	0	0	0
BMS	PropertySynchronizer	1447206610751	0	0	0
BMS	AlarmSynchronizer	1447206610770	0	0	0
BMS	ConnectorSynchronizer (import)	1447206910535	0	0	0
BMS	MeasurementSynchronizer	1447206910569	0	0	36
BMS	WorkOrderSynchronizer	1447206910637	0	0	0
BMS	TagSynchronizer	1447206910702	0	0	0
BMS	PropertySynchronizer	1447206910773	0	0	0
BMS	AlarmSynchronizer	1447206910794	0	0	0
BMS	ConnectorSynchronizer (import)	1447207210537	0	0	0
BMS	MeasurementSynchronizer	1447207210570	0	0	36
BMS	WorkOrderSynchronizer	1447207210634	0	0	0
BMS	TagSynchronizer	1447207210696	0	0	0
BMS	PropertySynchronizer	1447207210767	0	0	0
BMS	AlarmSynchronizer	1447207210788	0	0	0
BMS	ConnectorSynchronizer (import)	1447207510512	0	0	0
BMS	MeasurementSynchronizer	1447207510545	0	0	36
BMS	WorkOrderSynchronizer	1447207510610	0	0	0
BMS	TagSynchronizer	1447207510672	0	0	0
BMS	PropertySynchronizer	1447207510743	0	0	0
BMS	AlarmSynchronizer	1447207510764	0	0	0
BMS	ConnectorSynchronizer (import)	1447207810519	0	0	0
BMS	MeasurementSynchronizer	1447207810553	0	0	36
BMS	WorkOrderSynchronizer	1447207810617	0	0	0
BMS	TagSynchronizer	1447207810679	0	0	0
BMS	PropertySynchronizer	1447207810748	0	0	0
BMS	AlarmSynchronizer	1447207810769	0	0	0
BMS	ConnectorSynchronizer (import)	1447208110526	0	0	0
BMS	MeasurementSynchronizer	1447208110558	0	0	36
BMS	WorkOrderSynchronizer	1447208110621	0	0	0
BMS	TagSynchronizer	1447208110683	0	0	0
BMS	PropertySynchronizer	1447208110753	0	0	0
BMS	AlarmSynchronizer	1447208110774	0	0	0
BMS	ConnectorSynchronizer (import)	1447208410526	0	0	0
BMS	MeasurementSynchronizer	1447208410560	0	0	36
BMS	WorkOrderSynchronizer	1447208410626	0	0	0
BMS	TagSynchronizer	1447208410686	0	0	0
BMS	PropertySynchronizer	1447208410752	0	0	0
BMS	AlarmSynchronizer	1447208410772	0	0	0
BMS	ConnectorSynchronizer (import)	1447208710534	0	0	0
BMS	MeasurementSynchronizer	1447208710567	0	0	36
BMS	WorkOrderSynchronizer	1447208710632	0	0	0
BMS	TagSynchronizer	1447208710694	0	0	0
BMS	PropertySynchronizer	1447208710766	0	0	0
BMS	AlarmSynchronizer	1447208710786	0	0	0
BMS	ConnectorSynchronizer (import)	1447209010546	0	0	0
BMS	MeasurementSynchronizer	1447209010575	0	0	36
BMS	WorkOrderSynchronizer	1447209010623	0	0	0
BMS	TagSynchronizer	1447209010681	0	0	0
BMS	PropertySynchronizer	1447209010749	0	0	0
BMS	AlarmSynchronizer	1447209010769	0	0	0
BMS	ConnectorSynchronizer (import)	1447209310547	0	0	0
BMS	MeasurementSynchronizer	1447209310581	0	0	36
BMS	WorkOrderSynchronizer	1447209310648	0	0	0
BMS	TagSynchronizer	1447209310710	0	0	0
BMS	PropertySynchronizer	1447209310781	0	0	0
BMS	AlarmSynchronizer	1447209310802	0	0	0
BMS	ConnectorSynchronizer (import)	1447209610531	0	0	0
BMS	MeasurementSynchronizer	1447209610565	0	0	36
BMS	WorkOrderSynchronizer	1447209610630	0	0	0
BMS	TagSynchronizer	1447209610693	0	0	0
BMS	PropertySynchronizer	1447209610763	0	0	0
BMS	AlarmSynchronizer	1447209610784	0	0	0
BMS	ConnectorSynchronizer (import)	1447209910537	0	0	0
BMS	MeasurementSynchronizer	1447209910570	0	0	36
BMS	WorkOrderSynchronizer	1447209910634	0	0	0
BMS	TagSynchronizer	1447209910696	0	0	0
BMS	PropertySynchronizer	1447209910767	0	0	0
BMS	AlarmSynchronizer	1447209910788	0	0	0
BMS	ConnectorSynchronizer (import)	1447210210528	0	0	0
BMS	MeasurementSynchronizer	1447210210563	0	0	36
BMS	WorkOrderSynchronizer	1447210210630	0	0	0
BMS	TagSynchronizer	1447210210692	0	0	0
BMS	PropertySynchronizer	1447210210763	0	0	0
BMS	AlarmSynchronizer	1447210210785	0	0	0
BMS	ConnectorSynchronizer (import)	1447210510525	0	0	0
BMS	MeasurementSynchronizer	1447210510558	0	0	36
BMS	WorkOrderSynchronizer	1447210510623	0	0	0
BMS	TagSynchronizer	1447210510687	0	0	0
BMS	PropertySynchronizer	1447210510757	0	0	0
BMS	AlarmSynchronizer	1447210510779	0	0	0
BMS	ConnectorSynchronizer (import)	1447210810523	0	0	0
BMS	MeasurementSynchronizer	1447210810557	0	0	36
BMS	WorkOrderSynchronizer	1447210810623	0	0	0
BMS	TagSynchronizer	1447210810686	0	0	0
BMS	PropertySynchronizer	1447210810776	0	0	0
BMS	AlarmSynchronizer	1447210810797	0	0	0
BMS	ConnectorSynchronizer (import)	1447211110502	0	0	0
BMS	MeasurementSynchronizer	1447211110534	0	0	36
BMS	WorkOrderSynchronizer	1447211110598	0	0	0
BMS	TagSynchronizer	1447211110660	0	0	0
BMS	PropertySynchronizer	1447211110731	0	0	0
BMS	AlarmSynchronizer	1447211110751	0	0	0
BMS	ConnectorSynchronizer (import)	1447211410515	0	0	0
BMS	MeasurementSynchronizer	1447211410549	0	0	36
BMS	WorkOrderSynchronizer	1447211410615	0	0	0
BMS	TagSynchronizer	1447211410677	0	0	0
BMS	PropertySynchronizer	1447211410749	0	0	0
BMS	AlarmSynchronizer	1447211410770	0	0	0
BMS	ConnectorSynchronizer (import)	1447211710517	0	0	0
BMS	MeasurementSynchronizer	1447211710550	0	0	36
BMS	WorkOrderSynchronizer	1447211710615	0	0	0
BMS	TagSynchronizer	1447211710677	0	0	0
BMS	PropertySynchronizer	1447211710749	0	0	0
BMS	AlarmSynchronizer	1447211710771	0	0	0
BMS	ConnectorSynchronizer (import)	1447212010529	0	0	0
BMS	MeasurementSynchronizer	1447212010563	0	0	36
BMS	WorkOrderSynchronizer	1447212010629	0	0	0
BMS	TagSynchronizer	1447212010694	0	0	0
BMS	PropertySynchronizer	1447212010767	0	0	0
BMS	AlarmSynchronizer	1447212010789	0	0	0
BMS	ConnectorSynchronizer (import)	1447212310525	0	0	0
BMS	MeasurementSynchronizer	1447212310560	0	0	36
BMS	WorkOrderSynchronizer	1447212310627	0	0	0
BMS	TagSynchronizer	1447212310691	0	0	0
BMS	PropertySynchronizer	1447212310761	0	0	0
BMS	AlarmSynchronizer	1447212310784	0	0	0
BMS	ConnectorSynchronizer (import)	1447212610523	0	0	0
BMS	MeasurementSynchronizer	1447212610555	0	0	36
BMS	WorkOrderSynchronizer	1447212610621	0	0	0
BMS	TagSynchronizer	1447212610685	0	0	0
BMS	PropertySynchronizer	1447212610760	0	0	0
BMS	AlarmSynchronizer	1447212610782	0	0	0
BMS	ConnectorSynchronizer (import)	1447212910522	0	0	0
BMS	MeasurementSynchronizer	1447212910555	0	0	36
BMS	WorkOrderSynchronizer	1447212910620	0	0	0
BMS	TagSynchronizer	1447212910682	0	0	0
BMS	PropertySynchronizer	1447212910754	0	0	0
BMS	AlarmSynchronizer	1447212910775	0	0	0
BMS	ConnectorSynchronizer (import)	1447213210550	0	0	0
BMS	MeasurementSynchronizer	1447213210584	0	0	36
BMS	WorkOrderSynchronizer	1447213210652	0	0	0
BMS	TagSynchronizer	1447213210716	0	0	0
BMS	PropertySynchronizer	1447213210787	0	0	0
BMS	AlarmSynchronizer	1447213210809	0	0	0
BMS	ConnectorSynchronizer (import)	1447213510514	0	0	0
BMS	MeasurementSynchronizer	1447213510545	0	0	36
BMS	WorkOrderSynchronizer	1447213510604	0	0	0
BMS	TagSynchronizer	1447213510661	0	0	0
BMS	PropertySynchronizer	1447213510727	0	0	0
BMS	AlarmSynchronizer	1447213510746	0	0	0
BMS	ConnectorSynchronizer (import)	1447213810508	0	0	0
BMS	MeasurementSynchronizer	1447213810541	0	0	36
BMS	WorkOrderSynchronizer	1447213810609	0	0	0
BMS	TagSynchronizer	1447213810674	0	0	0
BMS	PropertySynchronizer	1447213810748	0	0	0
BMS	AlarmSynchronizer	1447213810770	0	0	0
BMS	ConnectorSynchronizer (import)	1447214110517	0	0	0
BMS	MeasurementSynchronizer	1447214110551	0	0	36
BMS	WorkOrderSynchronizer	1447214110617	0	0	0
BMS	TagSynchronizer	1447214110684	0	0	0
BMS	PropertySynchronizer	1447214110757	0	0	0
BMS	AlarmSynchronizer	1447214110778	0	0	0
BMS	ConnectorSynchronizer (import)	1447214410512	0	0	0
BMS	MeasurementSynchronizer	1447214410545	0	0	36
BMS	WorkOrderSynchronizer	1447214410609	0	0	0
BMS	TagSynchronizer	1447214410671	0	0	0
BMS	PropertySynchronizer	1447214410743	0	0	0
BMS	AlarmSynchronizer	1447214410764	0	0	0
BMS	ConnectorSynchronizer (import)	1447214710522	0	0	0
BMS	MeasurementSynchronizer	1447214710555	0	0	36
BMS	WorkOrderSynchronizer	1447214710619	0	0	0
BMS	TagSynchronizer	1447214710682	0	0	0
BMS	PropertySynchronizer	1447214710753	0	0	0
BMS	AlarmSynchronizer	1447214710774	0	0	0
BMS	ConnectorSynchronizer (import)	1447215010633	0	0	0
BMS	MeasurementSynchronizer	1447215010666	0	0	36
BMS	WorkOrderSynchronizer	1447215010731	0	0	0
BMS	TagSynchronizer	1447215010793	0	0	0
BMS	PropertySynchronizer	1447215010864	0	0	0
BMS	AlarmSynchronizer	1447215010885	0	0	0
BMS	ConnectorSynchronizer (import)	1447215310610	0	0	0
BMS	MeasurementSynchronizer	1447215310646	0	0	36
BMS	WorkOrderSynchronizer	1447215310713	0	0	0
BMS	TagSynchronizer	1447215310775	0	0	0
BMS	PropertySynchronizer	1447215310845	0	0	0
BMS	AlarmSynchronizer	1447215310866	0	0	0
BMS	ConnectorSynchronizer (import)	1447215610491	0	0	0
BMS	MeasurementSynchronizer	1447215610523	0	0	36
BMS	WorkOrderSynchronizer	1447215610583	0	0	0
BMS	TagSynchronizer	1447215610644	0	0	0
BMS	PropertySynchronizer	1447215610716	0	0	0
BMS	AlarmSynchronizer	1447215610739	0	0	0
BMS	ConnectorSynchronizer (import)	1447215910518	0	0	0
BMS	MeasurementSynchronizer	1447215910550	0	0	36
BMS	WorkOrderSynchronizer	1447215910615	0	0	0
BMS	TagSynchronizer	1447215910677	0	0	0
BMS	PropertySynchronizer	1447215910747	0	0	0
BMS	AlarmSynchronizer	1447215910768	0	0	0
BMS	ConnectorSynchronizer (import)	1447216210522	0	0	0
BMS	MeasurementSynchronizer	1447216210556	0	0	36
BMS	WorkOrderSynchronizer	1447216210625	0	0	0
BMS	TagSynchronizer	1447216210688	0	0	0
BMS	PropertySynchronizer	1447216210761	0	0	0
BMS	AlarmSynchronizer	1447216210784	0	0	0
BMS	ConnectorSynchronizer (import)	1447216510508	0	0	0
BMS	MeasurementSynchronizer	1447216510542	0	0	36
BMS	WorkOrderSynchronizer	1447216510606	0	0	0
BMS	TagSynchronizer	1447216510670	0	0	0
BMS	PropertySynchronizer	1447216510744	0	0	0
BMS	AlarmSynchronizer	1447216510766	0	0	0
BMS	ConnectorSynchronizer (import)	1447216810532	0	0	0
BMS	MeasurementSynchronizer	1447216810566	0	0	36
BMS	WorkOrderSynchronizer	1447216810633	0	0	0
BMS	TagSynchronizer	1447216810695	0	0	0
BMS	PropertySynchronizer	1447216810766	0	0	0
BMS	AlarmSynchronizer	1447216810788	0	0	0
BMS	ConnectorSynchronizer (import)	1447217110527	0	0	0
BMS	MeasurementSynchronizer	1447217110559	0	0	36
BMS	WorkOrderSynchronizer	1447217110625	0	0	0
BMS	TagSynchronizer	1447217110690	0	0	0
BMS	PropertySynchronizer	1447217110769	0	0	0
BMS	AlarmSynchronizer	1447217110790	0	0	0
BMS	ConnectorSynchronizer (import)	1447217410544	0	0	0
BMS	MeasurementSynchronizer	1447217410578	0	0	36
BMS	WorkOrderSynchronizer	1447217410645	0	0	0
BMS	TagSynchronizer	1447217410708	0	0	0
BMS	PropertySynchronizer	1447217410782	0	0	0
BMS	AlarmSynchronizer	1447217410804	0	0	0
BMS	ConnectorSynchronizer (import)	1447217710571	0	0	0
BMS	MeasurementSynchronizer	1447217710603	0	0	36
BMS	WorkOrderSynchronizer	1447217710668	0	0	0
BMS	TagSynchronizer	1447217710729	0	0	0
BMS	PropertySynchronizer	1447217710801	0	0	0
BMS	AlarmSynchronizer	1447217710823	0	0	0
BMS	ConnectorSynchronizer (import)	1447218010527	0	0	0
BMS	MeasurementSynchronizer	1447218010562	0	0	36
BMS	WorkOrderSynchronizer	1447218010629	0	0	0
BMS	TagSynchronizer	1447218010692	0	0	0
BMS	PropertySynchronizer	1447218010763	0	0	0
BMS	AlarmSynchronizer	1447218010784	0	0	0
BMS	ConnectorSynchronizer (import)	1447218310519	0	0	0
BMS	MeasurementSynchronizer	1447218310552	0	0	36
BMS	WorkOrderSynchronizer	1447218310618	0	0	0
BMS	TagSynchronizer	1447218310677	0	0	0
BMS	PropertySynchronizer	1447218310749	0	0	0
BMS	AlarmSynchronizer	1447218310769	0	0	0
BMS	ConnectorSynchronizer (import)	1447218610536	0	0	0
BMS	MeasurementSynchronizer	1447218610569	0	0	36
BMS	WorkOrderSynchronizer	1447218610629	0	0	0
BMS	TagSynchronizer	1447218610688	0	0	0
BMS	PropertySynchronizer	1447218610754	0	0	0
BMS	AlarmSynchronizer	1447218610774	0	0	0
BMS	ConnectorSynchronizer (import)	1447218910521	0	0	0
BMS	MeasurementSynchronizer	1447218910554	0	0	36
BMS	WorkOrderSynchronizer	1447218910619	0	0	0
BMS	TagSynchronizer	1447218910682	0	0	0
BMS	PropertySynchronizer	1447218910753	0	0	0
BMS	AlarmSynchronizer	1447218910774	0	0	0
BMS	ConnectorSynchronizer (import)	1447219210520	0	0	0
BMS	MeasurementSynchronizer	1447219210553	0	0	36
BMS	WorkOrderSynchronizer	1447219210617	0	0	0
BMS	TagSynchronizer	1447219210679	0	0	0
BMS	PropertySynchronizer	1447219210749	0	0	0
BMS	AlarmSynchronizer	1447219210770	0	0	0
BMS	ConnectorSynchronizer (import)	1447219510526	0	0	0
BMS	MeasurementSynchronizer	1447219510560	0	0	36
BMS	WorkOrderSynchronizer	1447219510626	0	0	0
BMS	TagSynchronizer	1447219510688	0	0	0
BMS	PropertySynchronizer	1447219510759	0	0	0
BMS	AlarmSynchronizer	1447219510782	0	0	0
BMS	ConnectorSynchronizer (import)	1447219810536	0	0	0
BMS	MeasurementSynchronizer	1447219810569	0	0	36
BMS	WorkOrderSynchronizer	1447219810633	0	0	0
BMS	TagSynchronizer	1447219810695	0	0	0
BMS	PropertySynchronizer	1447219810767	0	0	0
BMS	AlarmSynchronizer	1447219810788	0	0	0
BMS	ConnectorSynchronizer (import)	1447220110515	0	0	0
BMS	MeasurementSynchronizer	1447220110548	0	0	36
BMS	WorkOrderSynchronizer	1447220110615	0	0	0
BMS	TagSynchronizer	1447220110677	0	0	0
BMS	PropertySynchronizer	1447220110748	0	0	0
BMS	AlarmSynchronizer	1447220110769	0	0	0
BMS	ConnectorSynchronizer (import)	1447220410547	0	0	0
BMS	MeasurementSynchronizer	1447220410580	0	0	36
BMS	WorkOrderSynchronizer	1447220410646	0	0	0
BMS	TagSynchronizer	1447220410708	0	0	0
BMS	PropertySynchronizer	1447220410780	0	0	0
BMS	AlarmSynchronizer	1447220410802	0	0	0
BMS	ConnectorSynchronizer (import)	1447220710524	0	0	0
BMS	MeasurementSynchronizer	1447220710557	0	0	36
BMS	WorkOrderSynchronizer	1447220710622	0	0	0
BMS	TagSynchronizer	1447220710684	0	0	0
BMS	PropertySynchronizer	1447220710755	0	0	0
BMS	AlarmSynchronizer	1447220710776	0	0	0
BMS	ConnectorSynchronizer (import)	1447221010536	0	0	0
BMS	MeasurementSynchronizer	1447221010569	0	0	36
BMS	WorkOrderSynchronizer	1447221010635	0	0	0
BMS	TagSynchronizer	1447221010697	0	0	0
BMS	PropertySynchronizer	1447221010769	0	0	0
BMS	AlarmSynchronizer	1447221010791	0	0	0
BMS	ConnectorSynchronizer (import)	1447221310544	0	0	0
BMS	MeasurementSynchronizer	1447221310577	0	0	36
BMS	WorkOrderSynchronizer	1447221310642	0	0	0
BMS	TagSynchronizer	1447221310706	0	0	0
BMS	PropertySynchronizer	1447221310777	0	0	0
BMS	AlarmSynchronizer	1447221310798	0	0	0
BMS	ConnectorSynchronizer (import)	1447221610538	0	0	0
BMS	MeasurementSynchronizer	1447221610572	0	0	36
BMS	WorkOrderSynchronizer	1447221610638	0	0	0
BMS	TagSynchronizer	1447221610700	0	0	0
BMS	PropertySynchronizer	1447221610767	0	0	0
BMS	AlarmSynchronizer	1447221610788	0	0	0
BMS	ConnectorSynchronizer (import)	1447221910521	0	0	0
BMS	MeasurementSynchronizer	1447221910552	0	0	36
BMS	WorkOrderSynchronizer	1447221910611	0	0	0
BMS	TagSynchronizer	1447221910669	0	0	0
BMS	PropertySynchronizer	1447221910725	0	0	0
BMS	AlarmSynchronizer	1447221910744	0	0	0
BMS	ConnectorSynchronizer (import)	1447222210521	0	0	0
BMS	MeasurementSynchronizer	1447222210554	0	0	36
BMS	WorkOrderSynchronizer	1447222210618	0	0	0
BMS	TagSynchronizer	1447222210680	0	0	0
BMS	PropertySynchronizer	1447222210751	0	0	0
BMS	AlarmSynchronizer	1447222210773	0	0	0
BMS	ConnectorSynchronizer (import)	1447222510523	0	0	0
BMS	MeasurementSynchronizer	1447222510557	0	0	36
BMS	WorkOrderSynchronizer	1447222510626	0	0	0
BMS	TagSynchronizer	1447222510688	0	0	0
BMS	PropertySynchronizer	1447222510760	0	0	0
BMS	AlarmSynchronizer	1447222510782	0	0	0
BMS	ConnectorSynchronizer (import)	1447222810531	0	0	0
BMS	MeasurementSynchronizer	1447222810563	0	0	36
BMS	WorkOrderSynchronizer	1447222810629	0	0	0
BMS	TagSynchronizer	1447222810692	0	0	0
BMS	PropertySynchronizer	1447222810765	0	0	0
BMS	AlarmSynchronizer	1447222810786	0	0	0
BMS	ConnectorSynchronizer (import)	1447223110526	0	0	0
BMS	MeasurementSynchronizer	1447223110559	0	0	36
BMS	WorkOrderSynchronizer	1447223110624	0	0	0
BMS	TagSynchronizer	1447223110686	0	0	0
BMS	PropertySynchronizer	1447223110757	0	0	0
BMS	AlarmSynchronizer	1447223110778	0	0	0
BMS	ConnectorSynchronizer (import)	1447223410543	0	0	0
BMS	MeasurementSynchronizer	1447223410577	0	0	36
BMS	WorkOrderSynchronizer	1447223410641	0	0	0
BMS	TagSynchronizer	1447223410703	0	0	0
BMS	PropertySynchronizer	1447223410775	0	0	0
BMS	AlarmSynchronizer	1447223410796	0	0	0
BMS	ConnectorSynchronizer (import)	1447223710530	0	0	0
BMS	MeasurementSynchronizer	1447223710564	0	0	36
BMS	WorkOrderSynchronizer	1447223710630	0	0	0
BMS	TagSynchronizer	1447223710692	0	0	0
BMS	PropertySynchronizer	1447223710760	0	0	0
BMS	AlarmSynchronizer	1447223710780	0	0	0
BMS	ConnectorSynchronizer (import)	1447224010501	0	0	0
BMS	MeasurementSynchronizer	1447224010532	0	0	36
BMS	WorkOrderSynchronizer	1447224010591	0	0	0
BMS	TagSynchronizer	1447224010646	0	0	0
BMS	PropertySynchronizer	1447224010714	0	0	0
BMS	AlarmSynchronizer	1447224010735	0	0	0
BMS	ConnectorSynchronizer (import)	1447224310526	0	0	0
BMS	MeasurementSynchronizer	1447224310559	0	0	36
BMS	WorkOrderSynchronizer	1447224310625	0	0	0
BMS	TagSynchronizer	1447224310688	0	0	0
BMS	PropertySynchronizer	1447224310760	0	0	0
BMS	AlarmSynchronizer	1447224310782	0	0	0
BMS	ConnectorSynchronizer (import)	1447224610514	0	0	0
BMS	MeasurementSynchronizer	1447224610548	0	0	36
BMS	WorkOrderSynchronizer	1447224610612	0	0	0
BMS	TagSynchronizer	1447224610674	0	0	0
BMS	PropertySynchronizer	1447224610744	0	0	0
BMS	AlarmSynchronizer	1447224610765	0	0	0
BMS	ConnectorSynchronizer (import)	1447224910550	0	0	0
BMS	MeasurementSynchronizer	1447224910586	0	0	36
BMS	WorkOrderSynchronizer	1447224910652	0	0	0
BMS	TagSynchronizer	1447224910714	0	0	0
BMS	PropertySynchronizer	1447224910786	0	0	0
BMS	AlarmSynchronizer	1447224910806	0	0	0
BMS	ConnectorSynchronizer (import)	1447225210514	0	0	0
BMS	MeasurementSynchronizer	1447225210547	0	0	36
BMS	WorkOrderSynchronizer	1447225210611	0	0	0
BMS	TagSynchronizer	1447225210675	0	0	0
BMS	PropertySynchronizer	1447225210746	0	0	0
BMS	AlarmSynchronizer	1447225210767	0	0	0
BMS	ConnectorSynchronizer (import)	1447225510586	0	0	0
BMS	MeasurementSynchronizer	1447225510619	0	0	36
BMS	WorkOrderSynchronizer	1447225510684	0	0	0
BMS	TagSynchronizer	1447225510747	0	0	0
BMS	PropertySynchronizer	1447225510821	0	0	0
BMS	AlarmSynchronizer	1447225510846	0	0	0
BMS	ConnectorSynchronizer (import)	1447225810527	0	0	0
BMS	MeasurementSynchronizer	1447225810562	0	0	36
BMS	WorkOrderSynchronizer	1447225810632	0	0	0
BMS	TagSynchronizer	1447225810698	0	0	0
BMS	PropertySynchronizer	1447225810771	0	0	0
BMS	AlarmSynchronizer	1447225810812	0	0	0
BMS	ConnectorSynchronizer (import)	1447226110500	0	0	0
BMS	MeasurementSynchronizer	1447226110536	0	0	36
BMS	WorkOrderSynchronizer	1447226110603	0	0	0
BMS	TagSynchronizer	1447226110666	0	0	0
BMS	PropertySynchronizer	1447226110738	0	0	0
BMS	AlarmSynchronizer	1447226110760	0	0	0
BMS	ConnectorSynchronizer (import)	1447226410521	0	0	0
BMS	MeasurementSynchronizer	1447226410554	0	0	36
BMS	WorkOrderSynchronizer	1447226410621	0	0	0
BMS	TagSynchronizer	1447226410683	0	0	0
BMS	PropertySynchronizer	1447226410754	0	0	0
BMS	AlarmSynchronizer	1447226410775	0	0	0
BMS	ConnectorSynchronizer (import)	1447226710509	0	0	0
BMS	MeasurementSynchronizer	1447226710543	0	0	36
BMS	WorkOrderSynchronizer	1447226710608	0	0	0
BMS	TagSynchronizer	1447226710670	0	0	0
BMS	PropertySynchronizer	1447226710741	0	0	0
BMS	AlarmSynchronizer	1447226710762	0	0	0
BMS	ConnectorSynchronizer (import)	1447227010558	0	0	0
BMS	MeasurementSynchronizer	1447227010590	0	0	36
BMS	WorkOrderSynchronizer	1447227010662	0	0	0
BMS	TagSynchronizer	1447227010726	0	0	0
BMS	PropertySynchronizer	1447227010797	0	0	0
BMS	AlarmSynchronizer	1447227010818	0	0	0
BMS	ConnectorSynchronizer (import)	1447227310524	0	0	0
BMS	MeasurementSynchronizer	1447227310557	0	0	36
BMS	WorkOrderSynchronizer	1447227310623	0	0	0
BMS	TagSynchronizer	1447227310685	0	0	0
BMS	PropertySynchronizer	1447227310760	0	0	0
BMS	AlarmSynchronizer	1447227310781	0	0	0
BMS	ConnectorSynchronizer (import)	1447227610529	0	0	0
BMS	MeasurementSynchronizer	1447227610561	0	0	36
BMS	WorkOrderSynchronizer	1447227610625	0	0	0
BMS	TagSynchronizer	1447227610686	0	0	0
BMS	PropertySynchronizer	1447227610758	0	0	0
BMS	AlarmSynchronizer	1447227610779	0	0	0
BMS	ConnectorSynchronizer (import)	1447227910510	0	0	0
BMS	MeasurementSynchronizer	1447227910540	0	0	36
BMS	WorkOrderSynchronizer	1447227910599	0	0	0
BMS	TagSynchronizer	1447227910656	0	0	0
BMS	PropertySynchronizer	1447227910721	0	0	0
BMS	AlarmSynchronizer	1447227910740	0	0	0
BMS	ConnectorSynchronizer (import)	1447228210505	0	0	0
BMS	MeasurementSynchronizer	1447228210539	0	0	36
BMS	WorkOrderSynchronizer	1447228210603	0	0	0
BMS	TagSynchronizer	1447228210668	0	0	0
BMS	PropertySynchronizer	1447228210740	0	0	0
BMS	AlarmSynchronizer	1447228210761	0	0	0
BMS	ConnectorSynchronizer (import)	1447228510518	0	0	0
BMS	MeasurementSynchronizer	1447228510551	0	0	36
BMS	WorkOrderSynchronizer	1447228510616	0	0	0
BMS	TagSynchronizer	1447228510678	0	0	0
BMS	PropertySynchronizer	1447228510751	0	0	0
BMS	AlarmSynchronizer	1447228510771	0	0	0
BMS	ConnectorSynchronizer (import)	1447228810529	0	0	0
BMS	MeasurementSynchronizer	1447228810562	0	0	36
BMS	WorkOrderSynchronizer	1447228810626	0	0	0
BMS	TagSynchronizer	1447228810688	0	0	0
BMS	PropertySynchronizer	1447228810762	0	0	0
BMS	AlarmSynchronizer	1447228810784	0	0	0
BMS	ConnectorSynchronizer (import)	1447229110546	0	0	0
BMS	MeasurementSynchronizer	1447229110577	0	0	36
BMS	WorkOrderSynchronizer	1447229110641	0	0	0
BMS	TagSynchronizer	1447229110705	0	0	0
BMS	PropertySynchronizer	1447229110779	0	0	0
BMS	AlarmSynchronizer	1447229110801	0	0	0
BMS	ConnectorSynchronizer (import)	1447229410567	0	0	0
BMS	MeasurementSynchronizer	1447229410600	0	0	36
BMS	WorkOrderSynchronizer	1447229410666	0	0	0
BMS	TagSynchronizer	1447229410728	0	0	0
BMS	PropertySynchronizer	1447229410800	0	0	0
BMS	AlarmSynchronizer	1447229410821	0	0	0
BMS	ConnectorSynchronizer (import)	1447229710542	0	0	0
BMS	MeasurementSynchronizer	1447229710574	0	0	36
BMS	WorkOrderSynchronizer	1447229710640	0	0	0
BMS	TagSynchronizer	1447229710702	0	0	0
BMS	PropertySynchronizer	1447229710776	0	0	0
BMS	AlarmSynchronizer	1447229710800	0	0	0
BMS	ConnectorSynchronizer (import)	1447230010507	0	0	0
BMS	MeasurementSynchronizer	1447230010540	0	0	36
BMS	WorkOrderSynchronizer	1447230010605	0	0	0
BMS	TagSynchronizer	1447230010665	0	0	0
BMS	PropertySynchronizer	1447230010732	0	0	0
BMS	AlarmSynchronizer	1447230010751	0	0	0
BMS	ConnectorSynchronizer (import)	1447230310504	0	0	0
BMS	MeasurementSynchronizer	1447230310534	0	0	36
BMS	WorkOrderSynchronizer	1447230310590	0	0	0
BMS	TagSynchronizer	1447230310647	0	0	0
BMS	PropertySynchronizer	1447230310718	0	0	0
BMS	AlarmSynchronizer	1447230310740	0	0	0
BMS	ConnectorSynchronizer (import)	1447230610594	0	0	0
BMS	MeasurementSynchronizer	1447230610629	0	0	36
BMS	WorkOrderSynchronizer	1447230610695	0	0	0
BMS	TagSynchronizer	1447230610758	0	0	0
BMS	PropertySynchronizer	1447230610830	0	0	0
BMS	AlarmSynchronizer	1447230610852	0	0	0
BMS	ConnectorSynchronizer (import)	1447230910525	0	0	0
BMS	MeasurementSynchronizer	1447230910559	0	0	36
BMS	WorkOrderSynchronizer	1447230910627	0	0	0
BMS	TagSynchronizer	1447230910691	0	0	0
BMS	PropertySynchronizer	1447230910764	0	0	0
BMS	AlarmSynchronizer	1447230910786	0	0	0
BMS	ConnectorSynchronizer (import)	1447231210522	0	0	0
BMS	MeasurementSynchronizer	1447231210558	0	0	36
BMS	WorkOrderSynchronizer	1447231210624	0	0	0
BMS	TagSynchronizer	1447231210688	0	0	0
BMS	PropertySynchronizer	1447231210760	0	0	0
BMS	AlarmSynchronizer	1447231210781	0	0	0
BMS	ConnectorSynchronizer (import)	1447231510519	0	0	0
BMS	MeasurementSynchronizer	1447231510553	0	0	36
BMS	WorkOrderSynchronizer	1447231510618	0	0	0
BMS	TagSynchronizer	1447231510679	0	0	0
BMS	PropertySynchronizer	1447231510751	0	0	0
BMS	AlarmSynchronizer	1447231510772	0	0	0
BMS	ConnectorSynchronizer (import)	1447231810517	0	0	0
BMS	MeasurementSynchronizer	1447231810550	0	0	36
BMS	WorkOrderSynchronizer	1447231810615	0	0	0
BMS	TagSynchronizer	1447231810678	0	0	0
BMS	PropertySynchronizer	1447231810748	0	0	0
BMS	AlarmSynchronizer	1447231810769	0	0	0
BMS	ConnectorSynchronizer (import)	1447232110533	0	0	0
BMS	MeasurementSynchronizer	1447232110568	0	0	36
BMS	WorkOrderSynchronizer	1447232110633	0	0	0
BMS	TagSynchronizer	1447232110696	0	0	0
BMS	PropertySynchronizer	1447232110769	0	0	0
BMS	AlarmSynchronizer	1447232110789	0	0	0
BMS	ConnectorSynchronizer (import)	1447232410503	0	0	0
BMS	MeasurementSynchronizer	1447232410531	0	0	36
BMS	WorkOrderSynchronizer	1447232410589	0	0	0
BMS	TagSynchronizer	1447232410647	0	0	0
BMS	PropertySynchronizer	1447232410716	0	0	0
BMS	AlarmSynchronizer	1447232410738	0	0	0
BMS	ConnectorSynchronizer (import)	1447232710525	0	0	0
BMS	MeasurementSynchronizer	1447232710559	0	0	36
BMS	WorkOrderSynchronizer	1447232710623	0	0	0
BMS	TagSynchronizer	1447232710686	0	0	0
BMS	PropertySynchronizer	1447232710757	0	0	0
BMS	AlarmSynchronizer	1447232710778	0	0	0
BMS	ConnectorSynchronizer (import)	1447233010523	0	0	0
BMS	MeasurementSynchronizer	1447233010556	0	0	36
BMS	WorkOrderSynchronizer	1447233010621	0	0	0
BMS	TagSynchronizer	1447233010684	0	0	0
BMS	PropertySynchronizer	1447233010755	0	0	0
BMS	AlarmSynchronizer	1447233010777	0	0	0
BMS	ConnectorSynchronizer (import)	1447233310521	0	0	0
BMS	MeasurementSynchronizer	1447233310553	0	0	36
BMS	WorkOrderSynchronizer	1447233310618	0	0	0
BMS	TagSynchronizer	1447233310680	0	0	0
BMS	PropertySynchronizer	1447233310752	0	0	0
BMS	AlarmSynchronizer	1447233310774	0	0	0
BMS	ConnectorSynchronizer (import)	1447233610517	0	0	0
BMS	MeasurementSynchronizer	1447233610551	0	0	36
BMS	WorkOrderSynchronizer	1447233610620	0	0	0
BMS	TagSynchronizer	1447233610685	0	0	0
BMS	PropertySynchronizer	1447233610758	0	0	0
BMS	AlarmSynchronizer	1447233610780	0	0	0
BMS	ConnectorSynchronizer (import)	1447233910527	0	0	0
BMS	MeasurementSynchronizer	1447233910560	0	0	36
BMS	WorkOrderSynchronizer	1447233910629	0	0	0
BMS	TagSynchronizer	1447233910691	0	0	0
BMS	PropertySynchronizer	1447233910763	0	0	0
BMS	AlarmSynchronizer	1447233910787	0	0	0
BMS	ConnectorSynchronizer (import)	1447234210508	0	0	0
BMS	MeasurementSynchronizer	1447234210539	0	0	36
BMS	WorkOrderSynchronizer	1447234210600	0	0	0
BMS	TagSynchronizer	1447234210659	0	0	0
BMS	PropertySynchronizer	1447234210726	0	0	0
BMS	AlarmSynchronizer	1447234210746	0	0	0
BMS	ConnectorSynchronizer (import)	1447234510508	0	0	0
BMS	MeasurementSynchronizer	1447234510541	0	0	36
BMS	WorkOrderSynchronizer	1447234510606	0	0	0
BMS	TagSynchronizer	1447234510668	0	0	0
BMS	PropertySynchronizer	1447234510739	0	0	0
BMS	AlarmSynchronizer	1447234510760	0	0	0
BMS	ConnectorSynchronizer (import)	1447234810605	0	0	0
BMS	MeasurementSynchronizer	1447234810639	0	0	36
BMS	WorkOrderSynchronizer	1447234810703	0	0	0
BMS	TagSynchronizer	1447234810767	0	0	0
BMS	PropertySynchronizer	1447234810838	0	0	0
BMS	AlarmSynchronizer	1447234810860	0	0	0
BMS	ConnectorSynchronizer (import)	1447235110496	0	0	0
BMS	MeasurementSynchronizer	1447235110526	0	0	36
BMS	WorkOrderSynchronizer	1447235110592	0	0	0
BMS	TagSynchronizer	1447235110656	0	0	0
BMS	PropertySynchronizer	1447235110729	0	0	0
BMS	AlarmSynchronizer	1447235110752	0	0	0
BMS	ConnectorSynchronizer (import)	1447235410526	0	0	0
BMS	MeasurementSynchronizer	1447235410560	0	0	36
BMS	WorkOrderSynchronizer	1447235410625	0	0	0
BMS	TagSynchronizer	1447235410688	0	0	0
BMS	PropertySynchronizer	1447235410758	0	0	0
BMS	AlarmSynchronizer	1447235410779	0	0	0
BMS	ConnectorSynchronizer (import)	1447235710530	0	0	0
BMS	MeasurementSynchronizer	1447235710562	0	0	36
BMS	WorkOrderSynchronizer	1447235710628	0	0	0
BMS	TagSynchronizer	1447235710689	0	0	0
BMS	PropertySynchronizer	1447235710762	0	0	0
BMS	AlarmSynchronizer	1447235710791	0	0	0
BMS	ConnectorSynchronizer (import)	1447236010516	0	0	0
BMS	MeasurementSynchronizer	1447236010548	0	0	36
BMS	WorkOrderSynchronizer	1447236010613	0	0	0
BMS	TagSynchronizer	1447236010677	0	0	0
BMS	PropertySynchronizer	1447236010749	0	0	0
BMS	AlarmSynchronizer	1447236010771	0	0	0
BMS	ConnectorSynchronizer (import)	1447236310540	0	0	0
BMS	MeasurementSynchronizer	1447236310574	0	0	36
BMS	WorkOrderSynchronizer	1447236310638	0	0	0
BMS	TagSynchronizer	1447236310699	0	0	0
BMS	PropertySynchronizer	1447236310771	0	0	0
BMS	AlarmSynchronizer	1447236310791	0	0	0
BMS	ConnectorSynchronizer (import)	1447236610527	0	0	0
BMS	MeasurementSynchronizer	1447236610559	0	0	36
BMS	WorkOrderSynchronizer	1447236610624	0	0	0
BMS	TagSynchronizer	1447236610685	0	0	0
BMS	PropertySynchronizer	1447236610757	0	0	0
BMS	AlarmSynchronizer	1447236610778	0	0	0
BMS	ConnectorSynchronizer (import)	1447236910521	0	0	0
BMS	MeasurementSynchronizer	1447236910552	0	0	36
BMS	WorkOrderSynchronizer	1447236910611	0	0	0
BMS	TagSynchronizer	1447236910687	0	0	0
BMS	PropertySynchronizer	1447236910753	0	0	0
BMS	AlarmSynchronizer	1447236910773	0	0	0
BMS	ConnectorSynchronizer (import)	1447237210503	0	0	0
BMS	MeasurementSynchronizer	1447237210536	0	0	36
BMS	WorkOrderSynchronizer	1447237210603	0	0	0
BMS	TagSynchronizer	1447237210667	0	0	0
BMS	PropertySynchronizer	1447237210739	0	0	0
BMS	AlarmSynchronizer	1447237210760	0	0	0
BMS	ConnectorSynchronizer (import)	1447237510509	0	0	0
BMS	MeasurementSynchronizer	1447237510543	0	0	36
BMS	WorkOrderSynchronizer	1447237510613	0	0	0
BMS	TagSynchronizer	1447237510676	0	0	0
BMS	PropertySynchronizer	1447237510746	0	0	0
BMS	AlarmSynchronizer	1447237510767	0	0	0
BMS	ConnectorSynchronizer (import)	1447237810517	0	0	0
BMS	MeasurementSynchronizer	1447237810551	0	0	36
BMS	WorkOrderSynchronizer	1447237810617	0	0	0
BMS	TagSynchronizer	1447237810680	0	0	0
BMS	PropertySynchronizer	1447237810750	0	0	0
BMS	AlarmSynchronizer	1447237810772	0	0	0
BMS	ConnectorSynchronizer (import)	1447238110553	0	0	0
BMS	MeasurementSynchronizer	1447238110587	0	0	36
BMS	WorkOrderSynchronizer	1447238110652	0	0	0
BMS	TagSynchronizer	1447238110713	0	0	0
BMS	PropertySynchronizer	1447238110784	0	0	0
BMS	AlarmSynchronizer	1447238110804	0	0	0
BMS	ConnectorSynchronizer (import)	1447238410509	0	0	0
BMS	MeasurementSynchronizer	1447238410542	0	0	36
BMS	WorkOrderSynchronizer	1447238410606	0	0	0
BMS	TagSynchronizer	1447238410669	0	0	0
BMS	PropertySynchronizer	1447238410739	0	0	0
BMS	AlarmSynchronizer	1447238410760	0	0	0
BMS	ConnectorSynchronizer (import)	1447238710536	0	0	0
BMS	MeasurementSynchronizer	1447238710569	0	0	36
BMS	WorkOrderSynchronizer	1447238710634	0	0	0
BMS	TagSynchronizer	1447238711023	0	0	0
BMS	PropertySynchronizer	1447238711084	0	0	0
BMS	AlarmSynchronizer	1447238711103	0	0	0
BMS	ConnectorSynchronizer (import)	1447239010502	0	0	0
BMS	MeasurementSynchronizer	1447239010533	0	0	36
BMS	WorkOrderSynchronizer	1447239010592	0	0	0
BMS	TagSynchronizer	1447239010648	0	0	0
BMS	PropertySynchronizer	1447239010713	0	0	0
BMS	AlarmSynchronizer	1447239010733	0	0	0
BMS	ConnectorSynchronizer (import)	1447239310531	0	0	0
BMS	MeasurementSynchronizer	1447239310566	0	0	36
BMS	WorkOrderSynchronizer	1447239310632	0	0	0
BMS	TagSynchronizer	1447239310693	0	0	0
BMS	PropertySynchronizer	1447239310765	0	0	0
BMS	AlarmSynchronizer	1447239310786	0	0	0
BMS	ConnectorSynchronizer (import)	1447239610505	0	0	0
BMS	MeasurementSynchronizer	1447239610538	0	0	36
BMS	WorkOrderSynchronizer	1447239610606	0	0	0
BMS	TagSynchronizer	1447239610667	0	0	0
BMS	PropertySynchronizer	1447239610737	0	0	0
BMS	AlarmSynchronizer	1447239610758	0	0	0
BMS	ConnectorSynchronizer (import)	1447239910534	0	0	0
BMS	MeasurementSynchronizer	1447239910568	0	0	36
BMS	WorkOrderSynchronizer	1447239910636	0	0	0
BMS	TagSynchronizer	1447239910697	0	0	0
BMS	PropertySynchronizer	1447239910768	0	0	0
BMS	AlarmSynchronizer	1447239910789	0	0	0
BMS	ConnectorSynchronizer (import)	1447240210535	0	0	0
BMS	MeasurementSynchronizer	1447240210571	0	0	36
BMS	WorkOrderSynchronizer	1447240210635	0	0	0
BMS	TagSynchronizer	1447240210697	0	0	0
BMS	PropertySynchronizer	1447240210767	0	0	0
BMS	AlarmSynchronizer	1447240210789	0	0	0
BMS	ConnectorSynchronizer (import)	1447240510537	0	0	0
BMS	MeasurementSynchronizer	1447240510570	0	0	36
BMS	WorkOrderSynchronizer	1447240510638	0	0	0
BMS	TagSynchronizer	1447240510704	0	0	0
BMS	PropertySynchronizer	1447240510777	0	0	0
BMS	AlarmSynchronizer	1447240510798	0	0	0
BMS	ConnectorSynchronizer (import)	1447240810530	0	0	0
BMS	MeasurementSynchronizer	1447240810565	0	0	36
BMS	WorkOrderSynchronizer	1447240810631	0	0	0
BMS	TagSynchronizer	1447240810691	0	0	0
BMS	PropertySynchronizer	1447240810757	0	0	0
BMS	AlarmSynchronizer	1447240810777	0	0	0
BMS	ConnectorSynchronizer (import)	1447241110511	0	0	0
BMS	MeasurementSynchronizer	1447241110542	0	0	36
BMS	WorkOrderSynchronizer	1447241110596	0	0	0
BMS	TagSynchronizer	1447241110650	0	0	0
BMS	PropertySynchronizer	1447241110716	0	0	0
BMS	AlarmSynchronizer	1447241110736	0	0	0
BMS	ConnectorSynchronizer (import)	1447241410519	0	0	0
BMS	MeasurementSynchronizer	1447241410555	0	0	36
BMS	WorkOrderSynchronizer	1447241410625	0	0	0
BMS	TagSynchronizer	1447241410688	0	0	0
BMS	PropertySynchronizer	1447241410761	0	0	0
BMS	AlarmSynchronizer	1447241410782	0	0	0
BMS	ConnectorSynchronizer (import)	1447241710533	0	0	0
BMS	MeasurementSynchronizer	1447241710567	0	0	36
BMS	WorkOrderSynchronizer	1447241710631	0	0	0
BMS	TagSynchronizer	1447241710693	0	0	0
BMS	PropertySynchronizer	1447241710764	0	0	0
BMS	AlarmSynchronizer	1447241710785	0	0	0
BMS	ConnectorSynchronizer (import)	1447242010518	0	0	0
BMS	MeasurementSynchronizer	1447242010552	0	0	36
BMS	WorkOrderSynchronizer	1447242010617	0	0	0
BMS	TagSynchronizer	1447242010679	0	0	0
BMS	PropertySynchronizer	1447242010750	0	0	0
BMS	AlarmSynchronizer	1447242010771	0	0	0
BMS	ConnectorSynchronizer (import)	1447242310506	0	0	0
BMS	MeasurementSynchronizer	1447242310538	0	0	36
BMS	WorkOrderSynchronizer	1447242310604	0	0	0
BMS	TagSynchronizer	1447242310669	0	0	0
BMS	PropertySynchronizer	1447242310741	0	0	0
BMS	AlarmSynchronizer	1447242310762	0	0	0
BMS	ConnectorSynchronizer (import)	1447242610521	0	0	0
BMS	MeasurementSynchronizer	1447242610554	0	0	36
BMS	WorkOrderSynchronizer	1447242610619	0	0	0
BMS	TagSynchronizer	1447242610683	0	0	0
BMS	PropertySynchronizer	1447242610755	0	0	0
BMS	AlarmSynchronizer	1447242610777	0	0	0
BMS	ConnectorSynchronizer (import)	1447242910529	0	0	0
BMS	MeasurementSynchronizer	1447242910561	0	0	36
BMS	WorkOrderSynchronizer	1447242910629	0	0	0
BMS	TagSynchronizer	1447242910692	0	0	0
BMS	PropertySynchronizer	1447242910764	0	0	0
BMS	AlarmSynchronizer	1447242910786	0	0	0
BMS	ConnectorSynchronizer (import)	1447243210515	0	0	0
BMS	MeasurementSynchronizer	1447243210548	0	0	36
BMS	WorkOrderSynchronizer	1447243210611	0	0	0
BMS	TagSynchronizer	1447243210673	0	0	0
BMS	PropertySynchronizer	1447243210743	0	0	0
BMS	AlarmSynchronizer	1447243210764	0	0	0
BMS	ConnectorSynchronizer (import)	1447243510552	0	0	0
BMS	MeasurementSynchronizer	1447243510588	0	0	36
BMS	WorkOrderSynchronizer	1447243510655	0	0	0
BMS	TagSynchronizer	1447243510718	0	0	0
BMS	PropertySynchronizer	1447243510789	0	0	0
BMS	AlarmSynchronizer	1447243510812	0	0	0
BMS	ConnectorSynchronizer (import)	1447243810508	0	0	0
BMS	MeasurementSynchronizer	1447243810538	0	0	36
BMS	WorkOrderSynchronizer	1447243810597	0	0	0
BMS	TagSynchronizer	1447243810654	0	0	0
BMS	PropertySynchronizer	1447243810720	0	0	0
BMS	AlarmSynchronizer	1447243810739	0	0	0
BMS	ConnectorSynchronizer (import)	1447244110501	0	0	0
BMS	MeasurementSynchronizer	1447244110535	0	0	36
BMS	WorkOrderSynchronizer	1447244110605	0	0	0
BMS	TagSynchronizer	1447244110669	0	0	0
BMS	PropertySynchronizer	1447244110742	0	0	0
BMS	AlarmSynchronizer	1447244110764	0	0	0
BMS	ConnectorSynchronizer (import)	1447244410528	0	0	0
BMS	MeasurementSynchronizer	1447244410561	0	0	36
BMS	WorkOrderSynchronizer	1447244410627	0	0	0
BMS	TagSynchronizer	1447244410689	0	0	0
BMS	PropertySynchronizer	1447244410761	0	0	0
BMS	AlarmSynchronizer	1447244410782	0	0	0
BMS	ConnectorSynchronizer (import)	1447244710570	0	0	0
BMS	MeasurementSynchronizer	1447244710605	0	0	36
BMS	WorkOrderSynchronizer	1447244710675	0	0	0
BMS	TagSynchronizer	1447244710739	0	0	0
BMS	PropertySynchronizer	1447244710812	0	0	0
BMS	AlarmSynchronizer	1447244710835	0	0	0
BMS	ConnectorSynchronizer (import)	1447245010514	0	0	0
BMS	MeasurementSynchronizer	1447245010547	0	0	36
BMS	WorkOrderSynchronizer	1447245010612	0	0	0
BMS	TagSynchronizer	1447245010677	0	0	0
BMS	PropertySynchronizer	1447245010752	0	0	0
BMS	AlarmSynchronizer	1447245010775	0	0	0
BMS	ConnectorSynchronizer (import)	1447245310514	0	0	0
BMS	MeasurementSynchronizer	1447245310547	0	0	36
BMS	WorkOrderSynchronizer	1447245310611	0	0	0
BMS	TagSynchronizer	1447245310673	0	0	0
BMS	PropertySynchronizer	1447245310743	0	0	0
BMS	AlarmSynchronizer	1447245310764	0	0	0
BMS	ConnectorSynchronizer (import)	1447245610530	0	0	0
BMS	MeasurementSynchronizer	1447245610564	0	0	36
BMS	WorkOrderSynchronizer	1447245610632	0	0	0
BMS	TagSynchronizer	1447245610695	0	0	0
BMS	PropertySynchronizer	1447245610767	0	0	0
BMS	AlarmSynchronizer	1447245610790	0	0	0
BMS	ConnectorSynchronizer (import)	1447245910521	0	0	0
BMS	MeasurementSynchronizer	1447245910554	0	0	36
BMS	WorkOrderSynchronizer	1447245910620	0	0	0
BMS	TagSynchronizer	1447245910684	0	0	0
BMS	PropertySynchronizer	1447245910756	0	0	0
BMS	AlarmSynchronizer	1447245910778	0	0	0
BMS	ConnectorSynchronizer (import)	1447246210547	0	0	0
BMS	MeasurementSynchronizer	1447246210581	0	0	36
BMS	WorkOrderSynchronizer	1447246210648	0	0	0
BMS	TagSynchronizer	1447246210710	0	0	0
BMS	PropertySynchronizer	1447246210782	0	0	0
BMS	AlarmSynchronizer	1447246210804	0	0	0
BMS	ConnectorSynchronizer (import)	1447246510513	0	0	0
BMS	MeasurementSynchronizer	1447246510544	0	0	36
BMS	WorkOrderSynchronizer	1447246510604	0	0	0
BMS	TagSynchronizer	1447246510661	0	0	0
BMS	PropertySynchronizer	1447246510727	0	0	0
BMS	AlarmSynchronizer	1447246510746	0	0	0
BMS	ConnectorSynchronizer (import)	1447246810527	0	0	0
BMS	MeasurementSynchronizer	1447246810561	0	0	36
BMS	WorkOrderSynchronizer	1447246810625	0	0	0
BMS	TagSynchronizer	1447246810687	0	0	0
BMS	PropertySynchronizer	1447246810759	0	0	0
BMS	AlarmSynchronizer	1447246810781	0	0	0
BMS	ConnectorSynchronizer (import)	1447247110535	0	0	0
BMS	MeasurementSynchronizer	1447247110568	0	0	36
BMS	WorkOrderSynchronizer	1447247110632	0	0	0
BMS	TagSynchronizer	1447247110693	0	0	0
BMS	PropertySynchronizer	1447247110763	0	0	0
BMS	AlarmSynchronizer	1447247110784	0	0	0
BMS	ConnectorSynchronizer (import)	1447247410533	0	0	0
BMS	MeasurementSynchronizer	1447247410566	0	0	36
BMS	WorkOrderSynchronizer	1447247410631	0	0	0
BMS	TagSynchronizer	1447247410692	0	0	0
BMS	PropertySynchronizer	1447247410762	0	0	0
BMS	AlarmSynchronizer	1447247410786	0	0	0
BMS	ConnectorSynchronizer (import)	1447247710523	0	0	0
BMS	MeasurementSynchronizer	1447247710556	0	0	36
BMS	WorkOrderSynchronizer	1447247710620	0	0	0
BMS	TagSynchronizer	1447247710682	0	0	0
BMS	PropertySynchronizer	1447247710757	0	0	0
BMS	AlarmSynchronizer	1447247710781	0	0	0
BMS	ConnectorSynchronizer (import)	1447248010521	0	0	0
BMS	MeasurementSynchronizer	1447248010553	0	0	36
BMS	WorkOrderSynchronizer	1447248010616	0	0	0
BMS	TagSynchronizer	1447248010678	0	0	0
BMS	PropertySynchronizer	1447248010759	0	0	0
BMS	AlarmSynchronizer	1447248010782	0	0	0
BMS	ConnectorSynchronizer (import)	1447248310514	0	0	0
BMS	MeasurementSynchronizer	1447248310546	0	0	36
BMS	WorkOrderSynchronizer	1447248310611	0	0	0
BMS	TagSynchronizer	1447248310673	0	0	0
BMS	PropertySynchronizer	1447248310746	0	0	0
BMS	AlarmSynchronizer	1447248310767	0	0	0
BMS	ConnectorSynchronizer (import)	1447248610506	0	0	0
BMS	MeasurementSynchronizer	1447248610540	0	0	36
BMS	WorkOrderSynchronizer	1447248610604	0	0	0
BMS	TagSynchronizer	1447248610667	0	0	0
BMS	PropertySynchronizer	1447248610737	0	0	0
BMS	AlarmSynchronizer	1447248610758	0	0	0
BMS	ConnectorSynchronizer (import)	1447248910503	0	0	0
BMS	MeasurementSynchronizer	1447248910536	0	0	36
BMS	WorkOrderSynchronizer	1447248910600	0	0	0
BMS	TagSynchronizer	1447248910662	0	0	0
BMS	PropertySynchronizer	1447248910732	0	0	0
BMS	AlarmSynchronizer	1447248910753	0	0	0
BMS	ConnectorSynchronizer (import)	1447249210526	0	0	0
BMS	MeasurementSynchronizer	1447249210560	0	0	36
BMS	WorkOrderSynchronizer	1447249210623	0	0	0
BMS	TagSynchronizer	1447249210686	0	0	0
BMS	PropertySynchronizer	1447249210763	0	0	0
BMS	AlarmSynchronizer	1447249210785	0	0	0
BMS	ConnectorSynchronizer (import)	1447249510515	0	0	0
BMS	MeasurementSynchronizer	1447249510546	0	0	36
BMS	WorkOrderSynchronizer	1447249510605	0	0	0
BMS	TagSynchronizer	1447249510662	0	0	0
BMS	PropertySynchronizer	1447249510728	0	0	0
BMS	AlarmSynchronizer	1447249510747	0	0	0
BMS	ConnectorSynchronizer (import)	1447249810514	0	0	0
BMS	MeasurementSynchronizer	1447249810547	0	0	36
BMS	WorkOrderSynchronizer	1447249810611	0	0	0
BMS	TagSynchronizer	1447249810674	0	0	0
BMS	PropertySynchronizer	1447249810745	0	0	0
BMS	AlarmSynchronizer	1447249810766	0	0	0
BMS	ConnectorSynchronizer (import)	1447250110537	0	0	0
BMS	MeasurementSynchronizer	1447250110570	0	0	36
BMS	WorkOrderSynchronizer	1447250110635	0	0	0
BMS	TagSynchronizer	1447250110699	0	0	0
BMS	PropertySynchronizer	1447250110770	0	0	0
BMS	AlarmSynchronizer	1447250110791	0	0	0
BMS	ConnectorSynchronizer (import)	1447250410560	0	0	0
BMS	MeasurementSynchronizer	1447250410593	0	0	36
BMS	WorkOrderSynchronizer	1447250410670	0	0	0
BMS	TagSynchronizer	1447250410734	0	0	0
BMS	PropertySynchronizer	1447250410806	0	0	0
BMS	AlarmSynchronizer	1447250410828	0	0	0
BMS	ConnectorSynchronizer (import)	1447250710522	0	0	0
BMS	MeasurementSynchronizer	1447250710556	0	0	36
BMS	WorkOrderSynchronizer	1447250710622	0	0	0
BMS	TagSynchronizer	1447250710685	0	0	0
BMS	PropertySynchronizer	1447250710758	0	0	0
BMS	AlarmSynchronizer	1447250710780	0	0	0
BMS	ConnectorSynchronizer (import)	1447251010507	0	0	0
BMS	MeasurementSynchronizer	1447251010541	0	0	36
BMS	WorkOrderSynchronizer	1447251010607	0	0	0
BMS	TagSynchronizer	1447251010669	0	0	0
BMS	PropertySynchronizer	1447251010740	0	0	0
BMS	AlarmSynchronizer	1447251010762	0	0	0
BMS	ConnectorSynchronizer (import)	1447251310508	0	0	0
BMS	MeasurementSynchronizer	1447251310541	0	0	36
BMS	WorkOrderSynchronizer	1447251310606	0	0	0
BMS	TagSynchronizer	1447251310669	0	0	0
BMS	PropertySynchronizer	1447251310741	0	0	0
BMS	AlarmSynchronizer	1447251310762	0	0	0
BMS	ConnectorSynchronizer (import)	1447251610554	0	0	0
BMS	MeasurementSynchronizer	1447251610587	0	0	36
BMS	WorkOrderSynchronizer	1447251610651	0	0	0
BMS	TagSynchronizer	1447251610715	0	0	0
BMS	PropertySynchronizer	1447251610786	0	0	0
BMS	AlarmSynchronizer	1447251610807	0	0	0
BMS	ConnectorSynchronizer (import)	1447251910538	0	0	0
BMS	MeasurementSynchronizer	1447251910949	0	0	36
BMS	WorkOrderSynchronizer	1447251911021	0	0	0
BMS	TagSynchronizer	1447251911083	0	0	0
BMS	PropertySynchronizer	1447251911155	0	0	0
BMS	AlarmSynchronizer	1447251911176	0	0	0
BMS	ConnectorSynchronizer (import)	1447252210530	0	0	0
BMS	MeasurementSynchronizer	1447252210565	0	0	36
BMS	WorkOrderSynchronizer	1447252210634	0	0	0
BMS	TagSynchronizer	1447252210699	0	0	0
BMS	PropertySynchronizer	1447252210771	0	0	0
BMS	AlarmSynchronizer	1447252210793	0	0	0
BMS	ConnectorSynchronizer (import)	1447252510516	0	0	0
BMS	MeasurementSynchronizer	1447252510549	0	0	36
BMS	WorkOrderSynchronizer	1447252510617	0	0	0
BMS	TagSynchronizer	1447252510681	0	0	0
BMS	PropertySynchronizer	1447252510752	0	0	0
BMS	AlarmSynchronizer	1447252510773	0	0	0
BMS	ConnectorSynchronizer (import)	1447252810527	0	0	0
BMS	MeasurementSynchronizer	1447252810559	0	0	36
BMS	WorkOrderSynchronizer	1447252810624	0	0	0
BMS	TagSynchronizer	1447252810686	0	0	0
BMS	PropertySynchronizer	1447252810756	0	0	0
BMS	AlarmSynchronizer	1447252810777	0	0	0
BMS	ConnectorSynchronizer (import)	1447253110528	0	0	0
BMS	MeasurementSynchronizer	1447253110561	0	0	36
BMS	WorkOrderSynchronizer	1447253110626	0	0	0
BMS	TagSynchronizer	1447253110688	0	0	0
BMS	PropertySynchronizer	1447253110759	0	0	0
BMS	AlarmSynchronizer	1447253110779	0	0	0
BMS	ConnectorSynchronizer (import)	1447253410514	0	0	0
BMS	MeasurementSynchronizer	1447253410547	0	0	36
BMS	WorkOrderSynchronizer	1447253410612	0	0	0
BMS	TagSynchronizer	1447253410674	0	0	0
BMS	PropertySynchronizer	1447253410746	0	0	0
BMS	AlarmSynchronizer	1447253410767	0	0	0
BMS	ConnectorSynchronizer (import)	1447253710549	0	0	0
BMS	MeasurementSynchronizer	1447253710583	0	0	36
BMS	WorkOrderSynchronizer	1447253710650	0	0	0
BMS	TagSynchronizer	1447253710713	0	0	0
BMS	PropertySynchronizer	1447253710786	0	0	0
BMS	AlarmSynchronizer	1447253710810	0	0	0
BMS	ConnectorSynchronizer (import)	1447254010596	0	0	0
BMS	MeasurementSynchronizer	1447254010627	0	0	36
BMS	WorkOrderSynchronizer	1447254010685	0	0	0
BMS	TagSynchronizer	1447254010742	0	0	0
BMS	PropertySynchronizer	1447254010807	0	0	0
BMS	AlarmSynchronizer	1447254010827	0	0	0
BMS	ConnectorSynchronizer (import)	1447254310510	0	0	0
BMS	MeasurementSynchronizer	1447254310543	0	0	36
BMS	WorkOrderSynchronizer	1447254310607	0	0	0
BMS	TagSynchronizer	1447254310669	0	0	0
BMS	PropertySynchronizer	1447254310742	0	0	0
BMS	AlarmSynchronizer	1447254310764	0	0	0
BMS	ConnectorSynchronizer (import)	1447254610511	0	0	0
BMS	MeasurementSynchronizer	1447254610544	0	0	36
BMS	WorkOrderSynchronizer	1447254610609	0	0	0
BMS	TagSynchronizer	1447254610671	0	0	0
BMS	PropertySynchronizer	1447254610742	0	0	0
BMS	AlarmSynchronizer	1447254610764	0	0	0
BMS	ConnectorSynchronizer (import)	1447254910524	0	0	0
BMS	MeasurementSynchronizer	1447254910557	0	0	36
BMS	WorkOrderSynchronizer	1447254910622	0	0	0
BMS	TagSynchronizer	1447254910684	0	0	0
BMS	PropertySynchronizer	1447254910756	0	0	0
BMS	AlarmSynchronizer	1447254910777	0	0	0
BMS	ConnectorSynchronizer (import)	1447255210548	0	0	0
BMS	MeasurementSynchronizer	1447255210583	0	0	36
BMS	WorkOrderSynchronizer	1447255210650	0	0	0
BMS	TagSynchronizer	1447255210713	0	0	0
BMS	PropertySynchronizer	1447255210785	0	0	0
BMS	AlarmSynchronizer	1447255210807	0	0	0
BMS	ConnectorSynchronizer (import)	1447255510533	0	0	0
BMS	MeasurementSynchronizer	1447255510569	0	0	36
BMS	WorkOrderSynchronizer	1447255510637	0	0	0
BMS	TagSynchronizer	1447255510700	0	0	0
BMS	PropertySynchronizer	1447255510772	0	0	0
BMS	AlarmSynchronizer	1447255510793	0	0	0
BMS	ConnectorSynchronizer (import)	1447255810503	0	0	0
BMS	MeasurementSynchronizer	1447255810534	0	0	36
BMS	WorkOrderSynchronizer	1447255810593	0	0	0
BMS	TagSynchronizer	1447255810650	0	0	0
BMS	PropertySynchronizer	1447255810717	0	0	0
BMS	AlarmSynchronizer	1447255810736	0	0	0
BMS	ConnectorSynchronizer (import)	1447256110498	0	0	0
BMS	MeasurementSynchronizer	1447256110525	0	0	36
BMS	WorkOrderSynchronizer	1447256110585	0	0	0
BMS	TagSynchronizer	1447256110644	0	0	0
BMS	PropertySynchronizer	1447256110717	0	0	0
BMS	AlarmSynchronizer	1447256110740	0	0	0
BMS	ConnectorSynchronizer (import)	1447256410557	0	0	0
BMS	MeasurementSynchronizer	1447256410592	0	0	36
BMS	WorkOrderSynchronizer	1447256410659	0	0	0
BMS	TagSynchronizer	1447256410721	0	0	0
BMS	PropertySynchronizer	1447256410796	0	0	0
BMS	AlarmSynchronizer	1447256410818	0	0	0
BMS	ConnectorSynchronizer (import)	1447256710577	0	0	0
BMS	MeasurementSynchronizer	1447256710609	0	0	36
BMS	WorkOrderSynchronizer	1447256710674	0	0	0
BMS	TagSynchronizer	1447256710735	0	0	0
BMS	PropertySynchronizer	1447256710806	0	0	0
BMS	AlarmSynchronizer	1447256710827	0	0	0
BMS	ConnectorSynchronizer (import)	1447257010528	0	0	0
BMS	MeasurementSynchronizer	1447257010561	0	0	36
BMS	WorkOrderSynchronizer	1447257010627	0	0	0
BMS	TagSynchronizer	1447257010690	0	0	0
BMS	PropertySynchronizer	1447257010764	0	0	0
BMS	AlarmSynchronizer	1447257010788	0	0	0
BMS	ConnectorSynchronizer (import)	1447257310535	0	0	0
BMS	MeasurementSynchronizer	1447257310568	0	0	36
BMS	WorkOrderSynchronizer	1447257310635	0	0	0
BMS	TagSynchronizer	1447257310698	0	0	0
BMS	PropertySynchronizer	1447257310772	0	0	0
BMS	AlarmSynchronizer	1447257310794	0	0	0
BMS	ConnectorSynchronizer (import)	1447257610528	0	0	0
BMS	MeasurementSynchronizer	1447257610562	0	0	36
BMS	WorkOrderSynchronizer	1447257610627	0	0	0
BMS	TagSynchronizer	1447257610689	0	0	0
BMS	PropertySynchronizer	1447257610761	0	0	0
BMS	AlarmSynchronizer	1447257610782	0	0	0
BMS	ConnectorSynchronizer (import)	1447257910537	0	0	0
BMS	MeasurementSynchronizer	1447257910572	0	0	36
BMS	WorkOrderSynchronizer	1447257910639	0	0	0
BMS	TagSynchronizer	1447257910705	0	0	0
BMS	PropertySynchronizer	1447257910776	0	0	0
BMS	AlarmSynchronizer	1447257910799	0	0	0
BMS	ConnectorSynchronizer (import)	1447258210504	0	0	0
BMS	MeasurementSynchronizer	1447258210534	0	0	36
BMS	WorkOrderSynchronizer	1447258210599	0	0	0
BMS	TagSynchronizer	1447258210658	0	0	0
BMS	PropertySynchronizer	1447258210723	0	0	0
BMS	AlarmSynchronizer	1447258210742	0	0	0
BMS	ConnectorSynchronizer (import)	1447258510510	0	0	0
BMS	MeasurementSynchronizer	1447258510539	0	0	36
BMS	WorkOrderSynchronizer	1447258510606	0	0	0
BMS	TagSynchronizer	1447258510669	0	0	0
BMS	PropertySynchronizer	1447258510742	0	0	0
BMS	AlarmSynchronizer	1447258510764	0	0	0
BMS	ConnectorSynchronizer (import)	1447258810507	0	0	0
BMS	MeasurementSynchronizer	1447258810540	0	0	36
BMS	WorkOrderSynchronizer	1447258810604	0	0	0
BMS	TagSynchronizer	1447258810665	0	0	0
BMS	PropertySynchronizer	1447258810735	0	0	0
BMS	AlarmSynchronizer	1447258810756	0	0	0
BMS	ConnectorSynchronizer (import)	1447259110528	0	0	0
BMS	MeasurementSynchronizer	1447259110563	0	0	36
BMS	WorkOrderSynchronizer	1447259110635	0	0	0
BMS	TagSynchronizer	1447259110697	0	0	0
BMS	PropertySynchronizer	1447259110768	0	0	0
BMS	AlarmSynchronizer	1447259110789	0	0	0
BMS	ConnectorSynchronizer (import)	1447259410516	0	0	0
BMS	MeasurementSynchronizer	1447259410549	0	0	36
BMS	WorkOrderSynchronizer	1447259410613	0	0	0
BMS	TagSynchronizer	1447259410677	0	0	0
BMS	PropertySynchronizer	1447259410749	0	0	0
BMS	AlarmSynchronizer	1447259410770	0	0	0
BMS	ConnectorSynchronizer (import)	1447259711568	0	0	0
BMS	MeasurementSynchronizer	1447259711602	0	0	36
BMS	WorkOrderSynchronizer	1447259711684	0	0	0
BMS	TagSynchronizer	1447259711746	0	0	0
BMS	PropertySynchronizer	1447259711817	0	0	0
BMS	AlarmSynchronizer	1447259711838	0	0	0
BMS	ConnectorSynchronizer (import)	1447260010572	0	0	0
BMS	MeasurementSynchronizer	1447260010605	0	0	36
BMS	WorkOrderSynchronizer	1447260010669	0	0	0
BMS	TagSynchronizer	1447260010731	0	0	0
BMS	PropertySynchronizer	1447260010803	0	0	0
BMS	AlarmSynchronizer	1447260010824	0	0	0
BMS	ConnectorSynchronizer (import)	1447260310506	0	0	0
BMS	MeasurementSynchronizer	1447260310536	0	0	36
BMS	WorkOrderSynchronizer	1447260310595	0	0	0
BMS	TagSynchronizer	1447260310652	0	0	0
BMS	PropertySynchronizer	1447260310717	0	0	0
BMS	AlarmSynchronizer	1447260310737	0	0	0
BMS	ConnectorSynchronizer (import)	1447260610525	0	0	0
BMS	MeasurementSynchronizer	1447260610558	0	0	36
BMS	WorkOrderSynchronizer	1447260610623	0	0	0
BMS	TagSynchronizer	1447260610685	0	0	0
BMS	PropertySynchronizer	1447260610757	0	0	0
BMS	AlarmSynchronizer	1447260610779	0	0	0
BMS	ConnectorSynchronizer (import)	1447260910506	0	0	0
BMS	MeasurementSynchronizer	1447260910539	0	0	36
BMS	WorkOrderSynchronizer	1447260910603	0	0	0
BMS	TagSynchronizer	1447260910665	0	0	0
BMS	PropertySynchronizer	1447260910736	0	0	0
BMS	AlarmSynchronizer	1447260910757	0	0	0
BMS	ConnectorSynchronizer (import)	1447261210536	0	0	0
BMS	MeasurementSynchronizer	1447261210570	0	0	36
BMS	WorkOrderSynchronizer	1447261210640	0	0	0
BMS	TagSynchronizer	1447261210704	0	0	0
BMS	PropertySynchronizer	1447261210778	0	0	0
BMS	AlarmSynchronizer	1447261210799	0	0	0
BMS	ConnectorSynchronizer (import)	1447261510558	0	0	0
BMS	MeasurementSynchronizer	1447261510591	0	0	36
BMS	WorkOrderSynchronizer	1447261510659	0	0	0
BMS	TagSynchronizer	1447261510721	0	0	0
BMS	PropertySynchronizer	1447261510794	0	0	0
BMS	AlarmSynchronizer	1447261510828	0	0	0
BMS	ConnectorSynchronizer (import)	1447261810525	0	0	0
BMS	MeasurementSynchronizer	1447261810557	0	0	36
BMS	WorkOrderSynchronizer	1447261810622	0	0	0
BMS	TagSynchronizer	1447261810682	0	0	0
BMS	PropertySynchronizer	1447261810753	0	0	0
BMS	AlarmSynchronizer	1447261810775	0	0	0
BMS	ConnectorSynchronizer (import)	1447262110533	0	0	0
BMS	MeasurementSynchronizer	1447262110566	0	0	36
BMS	WorkOrderSynchronizer	1447262110635	0	0	0
BMS	TagSynchronizer	1447262110698	0	0	0
BMS	PropertySynchronizer	1447262110768	0	0	0
BMS	AlarmSynchronizer	1447262110789	0	0	0
BMS	ConnectorSynchronizer (import)	1447262410539	0	0	0
BMS	MeasurementSynchronizer	1447262410573	0	0	36
BMS	WorkOrderSynchronizer	1447262410640	0	0	0
BMS	TagSynchronizer	1447262410702	0	0	0
BMS	PropertySynchronizer	1447262410772	0	0	0
BMS	AlarmSynchronizer	1447262410793	0	0	0
BMS	ConnectorSynchronizer (import)	1447262710512	0	0	0
BMS	MeasurementSynchronizer	1447262710545	0	0	36
BMS	WorkOrderSynchronizer	1447262710610	0	0	0
BMS	TagSynchronizer	1447262710680	0	0	0
BMS	PropertySynchronizer	1447262710753	0	0	0
BMS	AlarmSynchronizer	1447262710774	0	0	0
BMS	ConnectorSynchronizer (import)	1447263010520	0	0	0
BMS	MeasurementSynchronizer	1447263010553	0	0	36
BMS	WorkOrderSynchronizer	1447263010618	0	0	0
BMS	TagSynchronizer	1447263010679	0	0	0
BMS	PropertySynchronizer	1447263010754	0	0	0
BMS	AlarmSynchronizer	1447263010775	0	0	0
BMS	ConnectorSynchronizer (import)	1447263310520	0	0	0
BMS	MeasurementSynchronizer	1447263310554	0	0	36
BMS	WorkOrderSynchronizer	1447263310621	0	0	0
BMS	TagSynchronizer	1447263310684	0	0	0
BMS	PropertySynchronizer	1447263310755	0	0	0
BMS	AlarmSynchronizer	1447263310776	0	0	0
BMS	ConnectorSynchronizer (import)	1447263610518	0	0	0
BMS	MeasurementSynchronizer	1447263610551	0	0	36
BMS	WorkOrderSynchronizer	1447263610616	0	0	0
BMS	TagSynchronizer	1447263610678	0	0	0
BMS	PropertySynchronizer	1447263610750	0	0	0
BMS	AlarmSynchronizer	1447263610772	0	0	0
BMS	ConnectorSynchronizer (import)	1447263910526	0	0	0
BMS	MeasurementSynchronizer	1447263910559	0	0	36
BMS	WorkOrderSynchronizer	1447263910625	0	0	0
BMS	TagSynchronizer	1447263910687	0	0	0
BMS	PropertySynchronizer	1447263910760	0	0	0
BMS	AlarmSynchronizer	1447263910782	0	0	0
BMS	ConnectorSynchronizer (import)	1447264210526	0	0	0
BMS	MeasurementSynchronizer	1447264210559	0	0	36
BMS	WorkOrderSynchronizer	1447264210623	0	0	0
BMS	TagSynchronizer	1447264210684	0	0	0
BMS	PropertySynchronizer	1447264210756	0	0	0
BMS	AlarmSynchronizer	1447264210777	0	0	0
BMS	ConnectorSynchronizer (import)	1447264510535	0	0	0
BMS	MeasurementSynchronizer	1447264510569	0	0	36
BMS	WorkOrderSynchronizer	1447264510634	0	0	0
BMS	TagSynchronizer	1447264510694	0	0	0
BMS	PropertySynchronizer	1447264510759	0	0	0
BMS	AlarmSynchronizer	1447264510779	0	0	0
BMS	ConnectorSynchronizer (import)	1447264810507	0	0	0
BMS	MeasurementSynchronizer	1447264810538	0	0	36
BMS	WorkOrderSynchronizer	1447264810597	0	0	0
BMS	TagSynchronizer	1447264810657	0	0	0
BMS	PropertySynchronizer	1447264810727	0	0	0
BMS	AlarmSynchronizer	1447264810748	0	0	0
BMS	ConnectorSynchronizer (import)	1447265110528	0	0	0
BMS	MeasurementSynchronizer	1447265110561	0	0	36
BMS	WorkOrderSynchronizer	1447265110626	0	0	0
BMS	TagSynchronizer	1447265110688	0	0	0
BMS	PropertySynchronizer	1447265110760	0	0	0
BMS	AlarmSynchronizer	1447265110781	0	0	0
BMS	ConnectorSynchronizer (import)	1447265410509	0	0	0
BMS	MeasurementSynchronizer	1447265410545	0	0	36
BMS	WorkOrderSynchronizer	1447265410610	0	0	0
BMS	TagSynchronizer	1447265410672	0	0	0
BMS	PropertySynchronizer	1447265410742	0	0	0
BMS	AlarmSynchronizer	1447265410763	0	0	0
BMS	ConnectorSynchronizer (import)	1447265710534	0	0	0
BMS	MeasurementSynchronizer	1447265710568	0	0	36
BMS	WorkOrderSynchronizer	1447265710632	0	0	0
BMS	TagSynchronizer	1447265710696	0	0	0
BMS	PropertySynchronizer	1447265710768	0	0	0
BMS	AlarmSynchronizer	1447265710789	0	0	0
BMS	ConnectorSynchronizer (import)	1447266010518	0	0	0
BMS	MeasurementSynchronizer	1447266010551	0	0	36
BMS	WorkOrderSynchronizer	1447266010617	0	0	0
BMS	TagSynchronizer	1447266010679	0	0	0
BMS	PropertySynchronizer	1447266010751	0	0	0
BMS	AlarmSynchronizer	1447266010772	0	0	0
BMS	ConnectorSynchronizer (import)	1447266310544	0	0	0
BMS	MeasurementSynchronizer	1447266310576	0	0	36
BMS	WorkOrderSynchronizer	1447266310642	0	0	0
BMS	TagSynchronizer	1447266310704	0	0	0
BMS	PropertySynchronizer	1447266310773	0	0	0
BMS	AlarmSynchronizer	1447266310794	0	0	0
BMS	ConnectorSynchronizer (import)	1447266610516	0	0	0
BMS	MeasurementSynchronizer	1447266610546	0	0	36
BMS	WorkOrderSynchronizer	1447266610605	0	0	0
BMS	TagSynchronizer	1447266610663	0	0	0
BMS	PropertySynchronizer	1447266610728	0	0	0
BMS	AlarmSynchronizer	1447266610748	0	0	0
BMS	ConnectorSynchronizer (import)	1447266910497	0	0	0
BMS	MeasurementSynchronizer	1447266910530	0	0	36
BMS	WorkOrderSynchronizer	1447266910594	0	0	0
BMS	TagSynchronizer	1447266910657	0	0	0
BMS	PropertySynchronizer	1447266910730	0	0	0
BMS	AlarmSynchronizer	1447266910751	0	0	0
BMS	ConnectorSynchronizer (import)	1447267210526	0	0	0
BMS	MeasurementSynchronizer	1447267210560	0	0	36
BMS	WorkOrderSynchronizer	1447267210627	0	0	0
BMS	TagSynchronizer	1447267210688	0	0	0
BMS	PropertySynchronizer	1447267210761	0	0	0
BMS	AlarmSynchronizer	1447267210782	0	0	0
BMS	ConnectorSynchronizer (import)	1447267510510	0	0	0
BMS	MeasurementSynchronizer	1447267510543	0	0	36
BMS	WorkOrderSynchronizer	1447267510607	0	0	0
BMS	TagSynchronizer	1447267510669	0	0	0
BMS	PropertySynchronizer	1447267510741	0	0	0
BMS	AlarmSynchronizer	1447267510762	0	0	0
BMS	ConnectorSynchronizer (import)	1447267810893	0	0	0
BMS	MeasurementSynchronizer	1447267810926	0	0	36
BMS	WorkOrderSynchronizer	1447267810991	0	0	0
BMS	TagSynchronizer	1447267811053	0	0	0
BMS	PropertySynchronizer	1447267811129	0	0	0
BMS	AlarmSynchronizer	1447267811151	0	0	0
BMS	ConnectorSynchronizer (import)	1447268110548	0	0	0
BMS	MeasurementSynchronizer	1447268110583	0	0	36
BMS	WorkOrderSynchronizer	1447268110650	0	0	0
BMS	TagSynchronizer	1447268110713	0	0	0
BMS	PropertySynchronizer	1447268110785	0	0	0
BMS	AlarmSynchronizer	1447268110806	0	0	0
BMS	ConnectorSynchronizer (import)	1447268410535	0	0	0
BMS	MeasurementSynchronizer	1447268410568	0	0	36
BMS	WorkOrderSynchronizer	1447268410634	0	0	0
BMS	TagSynchronizer	1447268410699	0	0	0
BMS	PropertySynchronizer	1447268410767	0	0	0
BMS	AlarmSynchronizer	1447268410786	0	0	0
BMS	ConnectorSynchronizer (import)	1447268710545	0	0	0
BMS	MeasurementSynchronizer	1447268710576	0	0	36
BMS	WorkOrderSynchronizer	1447268710634	0	0	0
BMS	TagSynchronizer	1447268710692	0	0	0
BMS	PropertySynchronizer	1447268710757	0	0	0
BMS	AlarmSynchronizer	1447268710776	0	0	0
BMS	ConnectorSynchronizer (import)	1447269010545	0	0	0
BMS	MeasurementSynchronizer	1447269010572	0	0	36
BMS	WorkOrderSynchronizer	1447269010617	0	0	0
BMS	TagSynchronizer	1447269010678	0	0	0
BMS	PropertySynchronizer	1447269010721	0	0	0
BMS	AlarmSynchronizer	1447269010742	0	0	0
BMS	ConnectorSynchronizer (import)	1447269310514	0	0	0
BMS	MeasurementSynchronizer	1447269310545	0	0	36
BMS	WorkOrderSynchronizer	1447269310613	0	0	0
BMS	TagSynchronizer	1447269310675	0	0	0
BMS	PropertySynchronizer	1447269310744	0	0	0
BMS	AlarmSynchronizer	1447269310765	0	0	0
BMS	ConnectorSynchronizer (import)	1447269610516	0	0	0
BMS	MeasurementSynchronizer	1447269610549	0	0	36
BMS	WorkOrderSynchronizer	1447269610618	0	0	0
BMS	TagSynchronizer	1447269610681	0	0	0
BMS	PropertySynchronizer	1447269610753	0	0	0
BMS	AlarmSynchronizer	1447269610773	0	0	0
BMS	ConnectorSynchronizer (import)	1447269910513	0	0	0
BMS	MeasurementSynchronizer	1447269910547	0	0	36
BMS	WorkOrderSynchronizer	1447269910612	0	0	0
BMS	TagSynchronizer	1447269910674	0	0	0
BMS	PropertySynchronizer	1447269910746	0	0	0
BMS	AlarmSynchronizer	1447269910767	0	0	0
BMS	ConnectorSynchronizer (import)	1447270210529	0	0	0
BMS	MeasurementSynchronizer	1447270210562	0	0	36
BMS	WorkOrderSynchronizer	1447270210629	0	0	0
BMS	TagSynchronizer	1447270210702	0	0	0
BMS	PropertySynchronizer	1447270210775	0	0	0
BMS	AlarmSynchronizer	1447270210796	0	0	0
BMS	ConnectorSynchronizer (import)	1447270510535	0	0	0
BMS	MeasurementSynchronizer	1447270510571	0	0	36
BMS	WorkOrderSynchronizer	1447270510638	0	0	0
BMS	TagSynchronizer	1447270510700	0	0	0
BMS	PropertySynchronizer	1447270510772	0	0	0
BMS	AlarmSynchronizer	1447270510795	0	0	0
BMS	ConnectorSynchronizer (import)	1447270810523	0	0	0
BMS	MeasurementSynchronizer	1447270810556	0	0	36
BMS	WorkOrderSynchronizer	1447270810620	0	0	0
BMS	TagSynchronizer	1447270810683	0	0	0
BMS	PropertySynchronizer	1447270810754	0	0	0
BMS	AlarmSynchronizer	1447270810776	0	0	0
BMS	ConnectorSynchronizer (import)	1447271110532	0	0	0
BMS	MeasurementSynchronizer	1447271110567	0	0	36
BMS	WorkOrderSynchronizer	1447271110634	0	0	0
BMS	TagSynchronizer	1447271110699	0	0	0
BMS	PropertySynchronizer	1447271110771	0	0	0
BMS	AlarmSynchronizer	1447271110792	0	0	0
BMS	ConnectorSynchronizer (import)	1447271410528	0	0	0
BMS	MeasurementSynchronizer	1447271410558	0	0	36
BMS	WorkOrderSynchronizer	1447271410617	0	0	0
BMS	TagSynchronizer	1447271410674	0	0	0
BMS	PropertySynchronizer	1447271410740	0	0	0
BMS	AlarmSynchronizer	1447271410759	0	0	0
BMS	ConnectorSynchronizer (import)	1447271710520	0	0	0
BMS	MeasurementSynchronizer	1447271710553	0	0	36
BMS	WorkOrderSynchronizer	1447271710617	0	0	0
BMS	TagSynchronizer	1447271710678	0	0	0
BMS	PropertySynchronizer	1447271710748	0	0	0
BMS	AlarmSynchronizer	1447271710769	0	0	0
BMS	ConnectorSynchronizer (import)	1447272010551	0	0	0
BMS	MeasurementSynchronizer	1447272010585	0	0	36
BMS	WorkOrderSynchronizer	1447272010653	0	0	0
BMS	TagSynchronizer	1447272010715	0	0	0
BMS	PropertySynchronizer	1447272010790	0	0	0
BMS	AlarmSynchronizer	1447272010811	0	0	0
BMS	ConnectorSynchronizer (import)	1447272310518	0	0	0
BMS	MeasurementSynchronizer	1447272310556	0	0	36
BMS	WorkOrderSynchronizer	1447272310622	0	0	0
BMS	TagSynchronizer	1447272310684	0	0	0
BMS	PropertySynchronizer	1447272310756	0	0	0
BMS	AlarmSynchronizer	1447272310777	0	0	0
BMS	ConnectorSynchronizer (import)	1447272610554	0	0	0
BMS	MeasurementSynchronizer	1447272610588	0	0	36
BMS	WorkOrderSynchronizer	1447272610655	0	0	0
BMS	TagSynchronizer	1447272610719	0	0	0
BMS	PropertySynchronizer	1447272610792	0	0	0
BMS	AlarmSynchronizer	1447272610815	0	0	0
BMS	ConnectorSynchronizer (import)	1447272910529	0	0	0
BMS	MeasurementSynchronizer	1447272910563	0	0	36
BMS	WorkOrderSynchronizer	1447272910633	0	0	0
BMS	TagSynchronizer	1447272910697	0	0	0
BMS	PropertySynchronizer	1447272910770	0	0	0
BMS	AlarmSynchronizer	1447272910791	0	0	0
BMS	ConnectorSynchronizer (import)	1447273210547	0	0	0
BMS	MeasurementSynchronizer	1447273210580	0	0	36
BMS	WorkOrderSynchronizer	1447273210646	0	0	0
BMS	TagSynchronizer	1447273210710	0	0	0
BMS	PropertySynchronizer	1447273210780	0	0	0
BMS	AlarmSynchronizer	1447273210801	0	0	0
BMS	ConnectorSynchronizer (import)	1447273510531	0	0	0
BMS	MeasurementSynchronizer	1447273510564	0	0	36
BMS	WorkOrderSynchronizer	1447273510628	0	0	0
BMS	TagSynchronizer	1447273510691	0	0	0
BMS	PropertySynchronizer	1447273510761	0	0	0
BMS	AlarmSynchronizer	1447273510783	0	0	0
BMS	ConnectorSynchronizer (import)	1447273810591	0	0	0
BMS	MeasurementSynchronizer	1447273810626	0	0	36
BMS	WorkOrderSynchronizer	1447273810690	0	0	0
BMS	TagSynchronizer	1447273810753	0	0	0
BMS	PropertySynchronizer	1447273810824	0	0	0
BMS	AlarmSynchronizer	1447273810844	0	0	0
BMS	ConnectorSynchronizer (import)	1447274110516	0	0	0
BMS	MeasurementSynchronizer	1447274110547	0	0	36
BMS	WorkOrderSynchronizer	1447274110605	0	0	0
BMS	TagSynchronizer	1447274110662	0	0	0
BMS	PropertySynchronizer	1447274110727	0	0	0
BMS	AlarmSynchronizer	1447274110747	0	0	0
BMS	ConnectorSynchronizer (import)	1447274410516	0	0	0
BMS	MeasurementSynchronizer	1447274410549	0	0	36
BMS	WorkOrderSynchronizer	1447274410614	0	0	0
BMS	TagSynchronizer	1447274410677	0	0	0
BMS	PropertySynchronizer	1447274410748	0	0	0
BMS	AlarmSynchronizer	1447274410770	0	0	0
BMS	ConnectorSynchronizer (import)	1447274710513	0	0	0
BMS	MeasurementSynchronizer	1447274710548	0	0	36
BMS	WorkOrderSynchronizer	1447274710615	0	0	0
BMS	TagSynchronizer	1447274710678	0	0	0
BMS	PropertySynchronizer	1447274710750	0	0	0
BMS	AlarmSynchronizer	1447274710771	0	0	0
BMS	ConnectorSynchronizer (import)	1447275010525	0	0	0
BMS	MeasurementSynchronizer	1447275010561	0	0	36
BMS	WorkOrderSynchronizer	1447275010626	0	0	0
BMS	TagSynchronizer	1447275010689	0	0	0
BMS	PropertySynchronizer	1447275010761	0	0	0
BMS	AlarmSynchronizer	1447275010783	0	0	0
BMS	ConnectorSynchronizer (import)	1447275310568	0	0	0
BMS	MeasurementSynchronizer	1447275310601	0	0	36
BMS	WorkOrderSynchronizer	1447275310667	0	0	0
BMS	TagSynchronizer	1447275310729	0	0	0
BMS	PropertySynchronizer	1447275310809	0	0	0
BMS	AlarmSynchronizer	1447275310830	0	0	0
BMS	ConnectorSynchronizer (import)	1447275610533	0	0	0
BMS	MeasurementSynchronizer	1447275610565	0	0	36
BMS	WorkOrderSynchronizer	1447275610629	0	0	0
BMS	TagSynchronizer	1447275610689	0	0	0
BMS	PropertySynchronizer	1447275610761	0	0	0
BMS	AlarmSynchronizer	1447275610782	0	0	0
BMS	ConnectorSynchronizer (import)	1447275910847	0	0	0
BMS	MeasurementSynchronizer	1447275910866	0	0	36
BMS	WorkOrderSynchronizer	1447275910906	0	0	0
BMS	TagSynchronizer	1447275910941	0	0	0
BMS	PropertySynchronizer	1447275910998	0	0	0
BMS	AlarmSynchronizer	1447275911018	0	0	0
BMS	ConnectorSynchronizer (import)	1447276210508	0	0	0
BMS	MeasurementSynchronizer	1447276210542	0	0	36
BMS	WorkOrderSynchronizer	1447276210609	0	0	0
BMS	TagSynchronizer	1447276210671	0	0	0
BMS	PropertySynchronizer	1447276210741	0	0	0
BMS	AlarmSynchronizer	1447276210762	0	0	0
BMS	ConnectorSynchronizer (import)	1447276510513	0	0	0
BMS	MeasurementSynchronizer	1447276510546	0	0	36
BMS	WorkOrderSynchronizer	1447276510613	0	0	0
BMS	TagSynchronizer	1447276510676	0	0	0
BMS	PropertySynchronizer	1447276510760	0	0	0
BMS	AlarmSynchronizer	1447276510782	0	0	0
BMS	ConnectorSynchronizer (import)	1447276810532	0	0	0
BMS	MeasurementSynchronizer	1447276810566	0	0	36
BMS	WorkOrderSynchronizer	1447276810630	0	0	0
BMS	TagSynchronizer	1447276810692	0	0	0
BMS	PropertySynchronizer	1447276810763	0	0	0
BMS	AlarmSynchronizer	1447276810784	0	0	0
BMS	ConnectorSynchronizer (import)	1447277110518	0	0	0
BMS	MeasurementSynchronizer	1447277110552	0	0	36
BMS	WorkOrderSynchronizer	1447277110620	0	0	0
BMS	TagSynchronizer	1447277110684	0	0	0
BMS	PropertySynchronizer	1447277110757	0	0	0
BMS	AlarmSynchronizer	1447277110779	0	0	0
BMS	ConnectorSynchronizer (import)	1447277410521	0	0	0
BMS	MeasurementSynchronizer	1447277410556	0	0	36
BMS	WorkOrderSynchronizer	1447277410621	0	0	0
BMS	TagSynchronizer	1447277410683	0	0	0
BMS	PropertySynchronizer	1447277410753	0	0	0
BMS	AlarmSynchronizer	1447277410774	0	0	0
BMS	ConnectorSynchronizer (import)	1447277710522	0	0	0
BMS	MeasurementSynchronizer	1447277710555	0	0	36
BMS	WorkOrderSynchronizer	1447277710620	0	0	0
BMS	TagSynchronizer	1447277710685	0	0	0
BMS	PropertySynchronizer	1447277710756	0	0	0
BMS	AlarmSynchronizer	1447277710777	0	0	0
BMS	ConnectorSynchronizer (import)	1447278010523	0	0	0
BMS	MeasurementSynchronizer	1447278010556	0	0	36
BMS	WorkOrderSynchronizer	1447278010621	0	0	0
BMS	TagSynchronizer	1447278010682	0	0	0
BMS	PropertySynchronizer	1447278010754	0	0	0
BMS	AlarmSynchronizer	1447278010775	0	0	0
BMS	ConnectorSynchronizer (import)	1447278310534	0	0	0
BMS	MeasurementSynchronizer	1447278310567	0	0	36
BMS	WorkOrderSynchronizer	1447278310631	0	0	0
BMS	TagSynchronizer	1447278310696	0	0	0
BMS	PropertySynchronizer	1447278310767	0	0	0
BMS	AlarmSynchronizer	1447278310788	0	0	0
BMS	ConnectorSynchronizer (import)	1447278610563	0	0	0
BMS	MeasurementSynchronizer	1447278610597	0	0	36
BMS	WorkOrderSynchronizer	1447278610663	0	0	0
BMS	TagSynchronizer	1447278610726	0	0	0
BMS	PropertySynchronizer	1447278610797	0	0	0
BMS	AlarmSynchronizer	1447278610818	0	0	0
BMS	ConnectorSynchronizer (import)	1447278910538	0	0	0
BMS	MeasurementSynchronizer	1447278910572	0	0	36
BMS	WorkOrderSynchronizer	1447278910638	0	0	0
BMS	TagSynchronizer	1447278910700	0	0	0
BMS	PropertySynchronizer	1447278910772	0	0	0
BMS	AlarmSynchronizer	1447278910792	0	0	0
BMS	ConnectorSynchronizer (import)	1447279210538	0	0	0
BMS	MeasurementSynchronizer	1447279210573	0	0	36
BMS	WorkOrderSynchronizer	1447279210634	0	0	0
BMS	TagSynchronizer	1447279210690	0	0	0
BMS	PropertySynchronizer	1447279210756	0	0	0
BMS	AlarmSynchronizer	1447279210777	0	0	0
BMS	ConnectorSynchronizer (import)	1447279510511	0	0	0
BMS	MeasurementSynchronizer	1447279510539	0	0	36
BMS	WorkOrderSynchronizer	1447279510601	0	0	0
BMS	TagSynchronizer	1447279510658	0	0	0
BMS	PropertySynchronizer	1447279510730	0	0	0
BMS	AlarmSynchronizer	1447279510752	0	0	0
BMS	ConnectorSynchronizer (import)	1447279810508	0	0	0
BMS	MeasurementSynchronizer	1447279810542	0	0	36
BMS	WorkOrderSynchronizer	1447279810607	0	0	0
BMS	TagSynchronizer	1447279810669	0	0	0
BMS	PropertySynchronizer	1447279810740	0	0	0
BMS	AlarmSynchronizer	1447279810761	0	0	0
BMS	ConnectorSynchronizer (import)	1447280110536	0	0	0
BMS	MeasurementSynchronizer	1447280110569	0	0	36
BMS	WorkOrderSynchronizer	1447280110638	0	0	0
BMS	TagSynchronizer	1447280110702	0	0	0
BMS	PropertySynchronizer	1447280110776	0	0	0
BMS	AlarmSynchronizer	1447280110799	0	0	0
BMS	ConnectorSynchronizer (import)	1447280410527	0	0	0
BMS	MeasurementSynchronizer	1447280410560	0	0	36
BMS	WorkOrderSynchronizer	1447280410624	0	0	0
BMS	TagSynchronizer	1447280410686	0	0	0
BMS	PropertySynchronizer	1447280410756	0	0	0
BMS	AlarmSynchronizer	1447280410777	0	0	0
BMS	ConnectorSynchronizer (import)	1447280710519	0	0	0
BMS	MeasurementSynchronizer	1447280710553	0	0	36
BMS	WorkOrderSynchronizer	1447280710618	0	0	0
BMS	TagSynchronizer	1447280710680	0	0	0
BMS	PropertySynchronizer	1447280710752	0	0	0
BMS	AlarmSynchronizer	1447280710773	0	0	0
BMS	ConnectorSynchronizer (import)	1447281010547	0	0	0
BMS	MeasurementSynchronizer	1447281010579	0	0	36
BMS	WorkOrderSynchronizer	1447281010642	0	0	0
BMS	TagSynchronizer	1447281010704	0	0	0
BMS	PropertySynchronizer	1447281010774	0	0	0
BMS	AlarmSynchronizer	1447281010795	0	0	0
BMS	ConnectorSynchronizer (import)	1447281310501	0	0	0
BMS	MeasurementSynchronizer	1447281310534	0	0	36
BMS	WorkOrderSynchronizer	1447281310599	0	0	0
BMS	TagSynchronizer	1447281310662	0	0	0
BMS	PropertySynchronizer	1447281310733	0	0	0
BMS	AlarmSynchronizer	1447281310754	0	0	0
BMS	ConnectorSynchronizer (import)	1447281610540	0	0	0
BMS	MeasurementSynchronizer	1447281610573	0	0	36
BMS	WorkOrderSynchronizer	1447281610638	0	0	0
BMS	TagSynchronizer	1447281610702	0	0	0
BMS	PropertySynchronizer	1447281610775	0	0	0
BMS	AlarmSynchronizer	1447281610796	0	0	0
BMS	ConnectorSynchronizer (import)	1447281910526	0	0	0
BMS	MeasurementSynchronizer	1447281910561	0	0	36
BMS	WorkOrderSynchronizer	1447281910629	0	0	0
BMS	TagSynchronizer	1447281910692	0	0	0
BMS	PropertySynchronizer	1447281910764	0	0	0
BMS	AlarmSynchronizer	1447281910786	0	0	0
BMS	ConnectorSynchronizer (import)	1447282210518	0	0	0
BMS	MeasurementSynchronizer	1447282210552	0	0	36
BMS	WorkOrderSynchronizer	1447282210616	0	0	0
BMS	TagSynchronizer	1447282210680	0	0	0
BMS	PropertySynchronizer	1447282210756	0	0	0
BMS	AlarmSynchronizer	1447282210780	0	0	0
BMS	ConnectorSynchronizer (import)	1447282510516	0	0	0
BMS	MeasurementSynchronizer	1447282510544	0	0	36
BMS	WorkOrderSynchronizer	1447282510602	0	0	0
BMS	TagSynchronizer	1447282510656	0	0	0
BMS	PropertySynchronizer	1447282510718	0	0	0
BMS	AlarmSynchronizer	1447282510739	0	0	0
BMS	ConnectorSynchronizer (import)	1447282810528	0	0	0
BMS	MeasurementSynchronizer	1447282810562	0	0	36
BMS	WorkOrderSynchronizer	1447282810631	0	0	0
BMS	TagSynchronizer	1447282810694	0	0	0
BMS	PropertySynchronizer	1447282810767	0	0	0
BMS	AlarmSynchronizer	1447282810789	0	0	0
BMS	ConnectorSynchronizer (import)	1447283110522	0	0	0
BMS	MeasurementSynchronizer	1447283110555	0	0	36
BMS	WorkOrderSynchronizer	1447283110623	0	0	0
BMS	TagSynchronizer	1447283110685	0	0	0
BMS	PropertySynchronizer	1447283110758	0	0	0
BMS	AlarmSynchronizer	1447283110780	0	0	0
BMS	ConnectorSynchronizer (import)	1447283410534	0	0	0
BMS	MeasurementSynchronizer	1447283410569	0	0	36
BMS	WorkOrderSynchronizer	1447283410637	0	0	0
BMS	TagSynchronizer	1447283410699	0	0	0
BMS	PropertySynchronizer	1447283410772	0	0	0
BMS	AlarmSynchronizer	1447283410794	0	0	0
BMS	ConnectorSynchronizer (import)	1447283710517	0	0	0
BMS	MeasurementSynchronizer	1447283710550	0	0	36
BMS	WorkOrderSynchronizer	1447283710615	0	0	0
BMS	TagSynchronizer	1447283710677	0	0	0
BMS	PropertySynchronizer	1447283710748	0	0	0
BMS	AlarmSynchronizer	1447283710770	0	0	0
BMS	ConnectorSynchronizer (import)	1447284010545	0	0	0
BMS	MeasurementSynchronizer	1447284010580	0	0	36
BMS	WorkOrderSynchronizer	1447284010647	0	0	0
BMS	TagSynchronizer	1447284010710	0	0	0
BMS	PropertySynchronizer	1447284010783	0	0	0
BMS	AlarmSynchronizer	1447284010806	0	0	0
BMS	ConnectorSynchronizer (import)	1447284310535	0	0	0
BMS	MeasurementSynchronizer	1447284310568	0	0	36
BMS	WorkOrderSynchronizer	1447284310634	0	0	0
BMS	TagSynchronizer	1447284310698	0	0	0
BMS	PropertySynchronizer	1447284310773	0	0	0
BMS	AlarmSynchronizer	1447284310796	0	0	0
BMS	ConnectorSynchronizer (import)	1447284610543	0	0	0
BMS	MeasurementSynchronizer	1447284610577	0	0	36
BMS	WorkOrderSynchronizer	1447284610649	0	0	0
BMS	TagSynchronizer	1447284610715	0	0	0
BMS	PropertySynchronizer	1447284610790	0	0	0
BMS	AlarmSynchronizer	1447284610813	0	0	0
BMS	ConnectorSynchronizer (import)	1447284910525	0	0	0
BMS	MeasurementSynchronizer	1447284910560	0	0	36
BMS	WorkOrderSynchronizer	1447284910626	0	0	0
BMS	TagSynchronizer	1447284910689	0	0	0
BMS	PropertySynchronizer	1447284910758	0	0	0
BMS	AlarmSynchronizer	1447284910779	0	0	0
BMS	ConnectorSynchronizer (import)	1447285210532	0	0	0
BMS	MeasurementSynchronizer	1447285210564	0	0	36
BMS	WorkOrderSynchronizer	1447285210625	0	0	0
BMS	TagSynchronizer	1447285210683	0	0	0
BMS	PropertySynchronizer	1447285210749	0	0	0
BMS	AlarmSynchronizer	1447285210768	0	0	0
BMS	ConnectorSynchronizer (import)	1447285510576	0	0	0
BMS	MeasurementSynchronizer	1447285510607	0	0	36
BMS	WorkOrderSynchronizer	1447285510665	0	0	0
BMS	TagSynchronizer	1447285510722	0	0	0
BMS	PropertySynchronizer	1447285510787	0	0	0
BMS	AlarmSynchronizer	1447285510809	0	0	0
BMS	ConnectorSynchronizer (import)	1447285810516	0	0	0
BMS	MeasurementSynchronizer	1447285810544	0	0	36
BMS	WorkOrderSynchronizer	1447285810602	0	0	0
BMS	TagSynchronizer	1447285810656	0	0	0
BMS	PropertySynchronizer	1447285810724	0	0	0
BMS	AlarmSynchronizer	1447285810748	0	0	0
BMS	ConnectorSynchronizer (import)	1447286110537	0	0	0
BMS	MeasurementSynchronizer	1447286110569	0	0	36
BMS	WorkOrderSynchronizer	1447286110626	0	0	0
BMS	TagSynchronizer	1447286110674	0	0	0
BMS	PropertySynchronizer	1447286110742	0	0	0
BMS	AlarmSynchronizer	1447286110763	0	0	0
BMS	ConnectorSynchronizer (import)	1447286410537	0	0	0
BMS	MeasurementSynchronizer	1447286410570	0	0	36
BMS	WorkOrderSynchronizer	1447286410635	0	0	0
BMS	TagSynchronizer	1447286410697	0	0	0
BMS	PropertySynchronizer	1447286410769	0	0	0
BMS	AlarmSynchronizer	1447286410790	0	0	0
BMS	ConnectorSynchronizer (import)	1447286710510	0	0	0
BMS	MeasurementSynchronizer	1447286710544	0	0	36
BMS	WorkOrderSynchronizer	1447286710608	0	0	0
BMS	TagSynchronizer	1447286710673	0	0	0
BMS	PropertySynchronizer	1447286710746	0	0	0
BMS	AlarmSynchronizer	1447286710769	0	0	0
BMS	ConnectorSynchronizer (import)	1447287010586	0	0	0
BMS	MeasurementSynchronizer	1447287010619	0	0	36
BMS	WorkOrderSynchronizer	1447287010684	0	0	0
BMS	TagSynchronizer	1447287010746	0	0	0
BMS	PropertySynchronizer	1447287010816	0	0	0
BMS	AlarmSynchronizer	1447287010837	0	0	0
BMS	ConnectorSynchronizer (import)	1447287310502	0	0	0
BMS	MeasurementSynchronizer	1447287310535	0	0	36
BMS	WorkOrderSynchronizer	1447287310599	0	0	0
BMS	TagSynchronizer	1447287310660	0	0	0
BMS	PropertySynchronizer	1447287310731	0	0	0
BMS	AlarmSynchronizer	1447287310752	0	0	0
BMS	ConnectorSynchronizer (import)	1447287610541	0	0	0
BMS	MeasurementSynchronizer	1447287610575	0	0	36
BMS	WorkOrderSynchronizer	1447287610645	0	0	0
BMS	TagSynchronizer	1447287610714	0	0	0
BMS	PropertySynchronizer	1447287610787	0	0	0
BMS	AlarmSynchronizer	1447287610809	0	0	0
BMS	ConnectorSynchronizer (import)	1447287910519	0	0	0
BMS	MeasurementSynchronizer	1447287910550	0	0	36
BMS	WorkOrderSynchronizer	1447287910611	0	0	0
BMS	TagSynchronizer	1447287910669	0	0	0
BMS	PropertySynchronizer	1447287910732	0	0	0
BMS	AlarmSynchronizer	1447287910749	0	0	0
BMS	ConnectorSynchronizer (import)	1447288210510	0	0	0
BMS	MeasurementSynchronizer	1447288210543	0	0	36
BMS	WorkOrderSynchronizer	1447288210608	0	0	0
BMS	TagSynchronizer	1447288210669	0	0	0
BMS	PropertySynchronizer	1447288210739	0	0	0
BMS	AlarmSynchronizer	1447288210760	0	0	0
BMS	ConnectorSynchronizer (import)	1447288510524	0	0	0
BMS	MeasurementSynchronizer	1447288510557	0	0	36
BMS	WorkOrderSynchronizer	1447288510627	0	0	0
BMS	TagSynchronizer	1447288510696	0	0	0
BMS	PropertySynchronizer	1447288510769	0	0	0
BMS	AlarmSynchronizer	1447288510791	0	0	0
BMS	ConnectorSynchronizer (import)	1447288810506	0	0	0
BMS	MeasurementSynchronizer	1447288810541	0	0	36
BMS	WorkOrderSynchronizer	1447288810606	0	0	0
BMS	TagSynchronizer	1447288810667	0	0	0
BMS	PropertySynchronizer	1447288810737	0	0	0
BMS	AlarmSynchronizer	1447288810758	0	0	0
BMS	ConnectorSynchronizer (import)	1447289110540	0	0	0
BMS	MeasurementSynchronizer	1447289110573	0	0	36
BMS	WorkOrderSynchronizer	1447289110636	0	0	0
BMS	TagSynchronizer	1447289110698	0	0	0
BMS	PropertySynchronizer	1447289110769	0	0	0
BMS	AlarmSynchronizer	1447289110791	0	0	0
BMS	ConnectorSynchronizer (import)	1447289410511	0	0	0
BMS	MeasurementSynchronizer	1447289410544	0	0	36
BMS	WorkOrderSynchronizer	1447289410609	0	0	0
BMS	TagSynchronizer	1447289410671	0	0	0
BMS	PropertySynchronizer	1447289410742	0	0	0
BMS	AlarmSynchronizer	1447289410763	0	0	0
BMS	ConnectorSynchronizer (import)	1447289710525	0	0	0
BMS	MeasurementSynchronizer	1447289710559	0	0	36
BMS	WorkOrderSynchronizer	1447289710624	0	0	0
BMS	TagSynchronizer	1447289710686	0	0	0
BMS	PropertySynchronizer	1447289710758	0	0	0
BMS	AlarmSynchronizer	1447289710783	0	0	0
BMS	ConnectorSynchronizer (import)	1447290010507	0	0	0
BMS	MeasurementSynchronizer	1447290010539	0	0	36
BMS	WorkOrderSynchronizer	1447290010600	0	0	0
BMS	TagSynchronizer	1447290010658	0	0	0
BMS	PropertySynchronizer	1447290010724	0	0	0
BMS	AlarmSynchronizer	1447290010744	0	0	0
BMS	ConnectorSynchronizer (import)	1447290310507	0	0	0
BMS	MeasurementSynchronizer	1447290310540	0	0	36
BMS	WorkOrderSynchronizer	1447290310604	0	0	0
BMS	TagSynchronizer	1447290310665	0	0	0
BMS	PropertySynchronizer	1447290310735	0	0	0
BMS	AlarmSynchronizer	1447290310756	0	0	0
BMS	ConnectorSynchronizer (import)	1447290610521	0	0	0
BMS	MeasurementSynchronizer	1447290610555	0	0	36
BMS	WorkOrderSynchronizer	1447290610620	0	0	0
BMS	TagSynchronizer	1447290610681	0	0	0
BMS	PropertySynchronizer	1447290610751	0	0	0
BMS	AlarmSynchronizer	1447290610772	0	0	0
BMS	ConnectorSynchronizer (import)	1447290910517	0	0	0
BMS	MeasurementSynchronizer	1447290910552	0	0	36
BMS	WorkOrderSynchronizer	1447290910620	0	0	0
BMS	TagSynchronizer	1447290910685	0	0	0
BMS	PropertySynchronizer	1447290910757	0	0	0
BMS	AlarmSynchronizer	1447290910780	0	0	0
BMS	ConnectorSynchronizer (import)	1447291210505	0	0	0
BMS	MeasurementSynchronizer	1447291210538	0	0	36
BMS	WorkOrderSynchronizer	1447291210603	0	0	0
BMS	TagSynchronizer	1447291210665	0	0	0
BMS	PropertySynchronizer	1447291210736	0	0	0
BMS	AlarmSynchronizer	1447291210757	0	0	0
BMS	ConnectorSynchronizer (import)	1447291510526	0	0	0
BMS	MeasurementSynchronizer	1447291510560	0	0	36
BMS	WorkOrderSynchronizer	1447291510624	0	0	0
BMS	TagSynchronizer	1447291510694	0	0	0
BMS	PropertySynchronizer	1447291510768	0	0	0
BMS	AlarmSynchronizer	1447291510792	0	0	0
BMS	ConnectorSynchronizer (import)	1447291810521	0	0	0
BMS	MeasurementSynchronizer	1447291810554	0	0	36
BMS	WorkOrderSynchronizer	1447291810614	0	0	0
BMS	TagSynchronizer	1447291810673	0	0	0
BMS	PropertySynchronizer	1447291810742	0	0	0
BMS	AlarmSynchronizer	1447291810765	0	0	0
BMS	ConnectorSynchronizer (import)	1447292110503	0	0	0
BMS	MeasurementSynchronizer	1447292110536	0	0	36
BMS	WorkOrderSynchronizer	1447292110602	0	0	0
BMS	TagSynchronizer	1447292110664	0	0	0
BMS	PropertySynchronizer	1447292110735	0	0	0
BMS	AlarmSynchronizer	1447292110756	0	0	0
BMS	ConnectorSynchronizer (import)	1447292410513	0	0	0
BMS	MeasurementSynchronizer	1447292410546	0	0	36
BMS	WorkOrderSynchronizer	1447292410611	0	0	0
BMS	TagSynchronizer	1447292410672	0	0	0
BMS	PropertySynchronizer	1447292410740	0	0	0
BMS	AlarmSynchronizer	1447292410762	0	0	0
BMS	ConnectorSynchronizer (import)	1447292710505	0	0	0
BMS	MeasurementSynchronizer	1447292710538	0	0	36
BMS	WorkOrderSynchronizer	1447292710610	0	0	0
BMS	TagSynchronizer	1447292710674	0	0	0
BMS	PropertySynchronizer	1447292710746	0	0	0
BMS	AlarmSynchronizer	1447292710767	0	0	0
BMS	ConnectorSynchronizer (import)	1447293010521	0	0	0
BMS	MeasurementSynchronizer	1447293010555	0	0	36
BMS	WorkOrderSynchronizer	1447293010622	0	0	0
BMS	TagSynchronizer	1447293010686	0	0	0
BMS	PropertySynchronizer	1447293010757	0	0	0
BMS	AlarmSynchronizer	1447293010778	0	0	0
BMS	ConnectorSynchronizer (import)	1447293310529	0	0	0
BMS	MeasurementSynchronizer	1447293310562	0	0	36
BMS	WorkOrderSynchronizer	1447293310628	0	0	0
BMS	TagSynchronizer	1447293310692	0	0	0
BMS	PropertySynchronizer	1447293310764	0	0	0
BMS	AlarmSynchronizer	1447293310785	0	0	0
BMS	ConnectorSynchronizer (import)	1447293610539	0	0	0
BMS	MeasurementSynchronizer	1447293610575	0	0	36
BMS	WorkOrderSynchronizer	1447293610647	0	0	0
BMS	TagSynchronizer	1447293610712	0	0	0
BMS	PropertySynchronizer	1447293610784	0	0	0
BMS	AlarmSynchronizer	1447293610806	0	0	0
BMS	ConnectorSynchronizer (import)	1447293910495	0	0	0
BMS	MeasurementSynchronizer	1447293910527	0	0	36
BMS	WorkOrderSynchronizer	1447293910594	0	0	0
BMS	TagSynchronizer	1447293910656	0	0	0
BMS	PropertySynchronizer	1447293910727	0	0	0
BMS	AlarmSynchronizer	1447293910748	0	0	0
BMS	ConnectorSynchronizer (import)	1447294210516	0	0	0
BMS	MeasurementSynchronizer	1447294210549	0	0	36
BMS	WorkOrderSynchronizer	1447294210616	0	0	0
BMS	TagSynchronizer	1447294210680	0	0	0
BMS	PropertySynchronizer	1447294210751	0	0	0
BMS	AlarmSynchronizer	1447294210772	0	0	0
BMS	ConnectorSynchronizer (import)	1447294510511	0	0	0
BMS	MeasurementSynchronizer	1447294510546	0	0	36
BMS	WorkOrderSynchronizer	1447294510616	0	0	0
BMS	TagSynchronizer	1447294510682	0	0	0
BMS	PropertySynchronizer	1447294510752	0	0	0
BMS	AlarmSynchronizer	1447294510773	0	0	0
BMS	ConnectorSynchronizer (import)	1447294810537	0	0	0
BMS	MeasurementSynchronizer	1447294810570	0	0	36
BMS	WorkOrderSynchronizer	1447294810634	0	0	0
BMS	TagSynchronizer	1447294810695	0	0	0
BMS	PropertySynchronizer	1447294810765	0	0	0
BMS	AlarmSynchronizer	1447294810786	0	0	0
BMS	ConnectorSynchronizer (import)	1447295110518	0	0	0
BMS	MeasurementSynchronizer	1447295110551	0	0	36
BMS	WorkOrderSynchronizer	1447295110616	0	0	0
BMS	TagSynchronizer	1447295110678	0	0	0
BMS	PropertySynchronizer	1447295110749	0	0	0
BMS	AlarmSynchronizer	1447295110770	0	0	0
BMS	ConnectorSynchronizer (import)	1447295410574	0	0	0
BMS	MeasurementSynchronizer	1447295410607	0	0	36
BMS	WorkOrderSynchronizer	1447295410674	0	0	0
BMS	TagSynchronizer	1447295410736	0	0	0
BMS	PropertySynchronizer	1447295410802	0	0	0
BMS	AlarmSynchronizer	1447295410821	0	0	0
BMS	ConnectorSynchronizer (import)	1447295710542	0	0	0
BMS	MeasurementSynchronizer	1447295710576	0	0	36
BMS	WorkOrderSynchronizer	1447295710642	0	0	0
BMS	TagSynchronizer	1447295710705	0	0	0
BMS	PropertySynchronizer	1447295710772	0	0	0
BMS	AlarmSynchronizer	1447295710792	0	0	0
BMS	ConnectorSynchronizer (import)	1447296010508	0	0	0
BMS	MeasurementSynchronizer	1447296010541	0	0	36
BMS	WorkOrderSynchronizer	1447296010601	0	0	0
BMS	TagSynchronizer	1447296010651	0	0	0
BMS	PropertySynchronizer	1447296010710	0	0	0
BMS	AlarmSynchronizer	1447296010730	0	0	0
BMS	ConnectorSynchronizer (import)	1447296310514	0	0	0
BMS	MeasurementSynchronizer	1447296310546	0	0	36
BMS	WorkOrderSynchronizer	1447296310611	0	0	0
BMS	TagSynchronizer	1447296310673	0	0	0
BMS	PropertySynchronizer	1447296310743	0	0	0
BMS	AlarmSynchronizer	1447296310765	0	0	0
BMS	ConnectorSynchronizer (import)	1447296610525	0	0	0
BMS	MeasurementSynchronizer	1447296610559	0	0	36
BMS	WorkOrderSynchronizer	1447296610627	0	0	0
BMS	TagSynchronizer	1447296610691	0	0	0
BMS	PropertySynchronizer	1447296610762	0	0	0
BMS	AlarmSynchronizer	1447296610783	0	0	0
BMS	ConnectorSynchronizer (import)	1447296910527	0	0	0
BMS	MeasurementSynchronizer	1447296910560	0	0	36
BMS	WorkOrderSynchronizer	1447296910626	0	0	0
BMS	TagSynchronizer	1447296910687	0	0	0
BMS	PropertySynchronizer	1447296910761	0	0	0
BMS	AlarmSynchronizer	1447296910782	0	0	0
BMS	ConnectorSynchronizer (import)	1447297210525	0	0	0
BMS	MeasurementSynchronizer	1447297210557	0	0	36
BMS	WorkOrderSynchronizer	1447297210624	0	0	0
BMS	TagSynchronizer	1447297210686	0	0	0
BMS	PropertySynchronizer	1447297210756	0	0	0
BMS	AlarmSynchronizer	1447297210776	0	0	0
BMS	ConnectorSynchronizer (import)	1447297510500	0	0	0
BMS	MeasurementSynchronizer	1447297510534	0	0	36
BMS	WorkOrderSynchronizer	1447297510602	0	0	0
BMS	TagSynchronizer	1447297510662	0	0	0
BMS	PropertySynchronizer	1447297510727	0	0	0
BMS	AlarmSynchronizer	1447297510746	0	0	0
BMS	ConnectorSynchronizer (import)	1447297810506	0	0	0
BMS	MeasurementSynchronizer	1447297810538	0	0	36
BMS	WorkOrderSynchronizer	1447297810602	0	0	0
BMS	TagSynchronizer	1447297810669	0	0	0
BMS	PropertySynchronizer	1447297810739	0	0	0
BMS	AlarmSynchronizer	1447297810761	0	0	0
BMS	ConnectorSynchronizer (import)	1447298110525	0	0	0
BMS	MeasurementSynchronizer	1447298110559	0	0	36
BMS	WorkOrderSynchronizer	1447298110628	0	0	0
BMS	TagSynchronizer	1447298110689	0	0	0
BMS	PropertySynchronizer	1447298110759	0	0	0
BMS	AlarmSynchronizer	1447298110780	0	0	0
BMS	ConnectorSynchronizer (import)	1447298410506	0	0	0
BMS	MeasurementSynchronizer	1447298410539	0	0	36
BMS	WorkOrderSynchronizer	1447298410604	0	0	0
BMS	TagSynchronizer	1447298410671	0	0	0
BMS	PropertySynchronizer	1447298410740	0	0	0
BMS	AlarmSynchronizer	1447298410761	0	0	0
BMS	ConnectorSynchronizer (import)	1447298710526	0	0	0
BMS	MeasurementSynchronizer	1447298710560	0	0	36
BMS	WorkOrderSynchronizer	1447298710627	0	0	0
BMS	TagSynchronizer	1447298710693	0	0	0
BMS	PropertySynchronizer	1447298710764	0	0	0
BMS	AlarmSynchronizer	1447298710786	0	0	0
BMS	ConnectorSynchronizer (import)	1447299010507	0	0	0
BMS	MeasurementSynchronizer	1447299010540	0	0	36
BMS	WorkOrderSynchronizer	1447299010605	0	0	0
BMS	TagSynchronizer	1447299010668	0	0	0
BMS	PropertySynchronizer	1447299010740	0	0	0
BMS	AlarmSynchronizer	1447299010762	0	0	0
BMS	ConnectorSynchronizer (import)	1447299310833	0	0	0
BMS	MeasurementSynchronizer	1447299310866	0	0	36
BMS	WorkOrderSynchronizer	1447299310933	0	0	0
BMS	TagSynchronizer	1447299310997	0	0	0
BMS	PropertySynchronizer	1447299311068	0	0	0
BMS	AlarmSynchronizer	1447299311089	0	0	0
BMS	ConnectorSynchronizer (import)	1447299610542	0	0	0
BMS	MeasurementSynchronizer	1447299610575	0	0	36
BMS	WorkOrderSynchronizer	1447299610640	0	0	0
BMS	TagSynchronizer	1447299610702	0	0	0
BMS	PropertySynchronizer	1447299610776	0	0	0
BMS	AlarmSynchronizer	1447299610797	0	0	0
BMS	ConnectorSynchronizer (import)	1447299910516	0	0	0
BMS	MeasurementSynchronizer	1447299910547	0	0	36
BMS	WorkOrderSynchronizer	1447299910606	0	0	0
BMS	TagSynchronizer	1447299910664	0	0	0
BMS	PropertySynchronizer	1447299910728	0	0	0
BMS	AlarmSynchronizer	1447299910749	0	0	0
BMS	ConnectorSynchronizer (import)	1447300210522	0	0	0
BMS	MeasurementSynchronizer	1447300210555	0	0	36
BMS	WorkOrderSynchronizer	1447300210619	0	0	0
BMS	TagSynchronizer	1447300210682	0	0	0
BMS	PropertySynchronizer	1447300210752	0	0	0
BMS	AlarmSynchronizer	1447300210782	0	0	0
BMS	ConnectorSynchronizer (import)	1447300510523	0	0	0
BMS	MeasurementSynchronizer	1447300510556	0	0	36
BMS	WorkOrderSynchronizer	1447300510620	0	0	0
BMS	TagSynchronizer	1447300510682	0	0	0
BMS	PropertySynchronizer	1447300510752	0	0	0
BMS	AlarmSynchronizer	1447300510773	0	0	0
BMS	ConnectorSynchronizer (import)	1447300810530	0	0	0
BMS	MeasurementSynchronizer	1447300810563	0	0	36
BMS	WorkOrderSynchronizer	1447300810627	0	0	0
BMS	TagSynchronizer	1447300810689	0	0	0
BMS	PropertySynchronizer	1447300810759	0	0	0
BMS	AlarmSynchronizer	1447300810780	0	0	0
BMS	ConnectorSynchronizer (import)	1447301110528	0	0	0
BMS	MeasurementSynchronizer	1447301110562	0	0	36
BMS	WorkOrderSynchronizer	1447301110629	0	0	0
BMS	TagSynchronizer	1447301110694	0	0	0
BMS	PropertySynchronizer	1447301110764	0	0	0
BMS	AlarmSynchronizer	1447301110785	0	0	0
BMS	ConnectorSynchronizer (import)	1447301410529	0	0	0
BMS	MeasurementSynchronizer	1447301410566	0	0	36
BMS	WorkOrderSynchronizer	1447301410634	0	0	0
BMS	TagSynchronizer	1447301410697	0	0	0
BMS	PropertySynchronizer	1447301410769	0	0	0
BMS	AlarmSynchronizer	1447301410791	0	0	0
BMS	ConnectorSynchronizer (import)	1447301710534	0	0	0
BMS	MeasurementSynchronizer	1447301710568	0	0	36
BMS	WorkOrderSynchronizer	1447301710635	0	0	0
BMS	TagSynchronizer	1447301710699	0	0	0
BMS	PropertySynchronizer	1447301710769	0	0	0
BMS	AlarmSynchronizer	1447301710790	0	0	0
BMS	ConnectorSynchronizer (import)	1447302010519	0	0	0
BMS	MeasurementSynchronizer	1447302010554	0	0	36
BMS	WorkOrderSynchronizer	1447302010623	0	0	0
BMS	TagSynchronizer	1447302010687	0	0	0
BMS	PropertySynchronizer	1447302010756	0	0	0
BMS	AlarmSynchronizer	1447302010776	0	0	0
BMS	ConnectorSynchronizer (import)	1447302310523	0	0	0
BMS	MeasurementSynchronizer	1447302310553	0	0	36
BMS	WorkOrderSynchronizer	1447302310612	0	0	0
BMS	TagSynchronizer	1447302310670	0	0	0
BMS	PropertySynchronizer	1447302310734	0	0	0
BMS	AlarmSynchronizer	1447302310750	0	0	0
BMS	ConnectorSynchronizer (import)	1447302610534	0	0	0
BMS	MeasurementSynchronizer	1447302610566	0	0	36
BMS	WorkOrderSynchronizer	1447302610630	0	0	0
BMS	TagSynchronizer	1447302610691	0	0	0
BMS	PropertySynchronizer	1447302610765	0	0	0
BMS	AlarmSynchronizer	1447302610786	0	0	0
BMS	ConnectorSynchronizer (import)	1447302910520	0	0	0
BMS	MeasurementSynchronizer	1447302910552	0	0	36
BMS	WorkOrderSynchronizer	1447302910618	0	0	0
BMS	TagSynchronizer	1447302910681	0	0	0
BMS	PropertySynchronizer	1447302910752	0	0	0
BMS	AlarmSynchronizer	1447302910775	0	0	0
BMS	ConnectorSynchronizer (import)	1447303210518	0	0	0
BMS	MeasurementSynchronizer	1447303210550	0	0	36
BMS	WorkOrderSynchronizer	1447303210614	0	0	0
BMS	TagSynchronizer	1447303210676	0	0	0
BMS	PropertySynchronizer	1447303210746	0	0	0
BMS	AlarmSynchronizer	1447303210768	0	0	0
BMS	ConnectorSynchronizer (import)	1447303510526	0	0	0
BMS	MeasurementSynchronizer	1447303510559	0	0	36
BMS	WorkOrderSynchronizer	1447303510624	0	0	0
BMS	TagSynchronizer	1447303510686	0	0	0
BMS	PropertySynchronizer	1447303510757	0	0	0
BMS	AlarmSynchronizer	1447303510778	0	0	0
BMS	ConnectorSynchronizer (import)	1447303810547	0	0	0
BMS	MeasurementSynchronizer	1447303810580	0	0	36
BMS	WorkOrderSynchronizer	1447303810645	0	0	0
BMS	TagSynchronizer	1447303810707	0	0	0
BMS	PropertySynchronizer	1447303810777	0	0	0
BMS	AlarmSynchronizer	1447303810798	0	0	0
BMS	ConnectorSynchronizer (import)	1447304110540	0	0	0
BMS	MeasurementSynchronizer	1447304110575	0	0	36
BMS	WorkOrderSynchronizer	1447304110641	0	0	0
BMS	TagSynchronizer	1447304110703	0	0	0
BMS	PropertySynchronizer	1447304110772	0	0	0
BMS	AlarmSynchronizer	1447304110792	0	0	0
BMS	ConnectorSynchronizer (import)	1447304410520	0	0	0
BMS	MeasurementSynchronizer	1447304410550	0	0	36
BMS	WorkOrderSynchronizer	1447304410612	0	0	0
BMS	TagSynchronizer	1447304410673	0	0	0
BMS	PropertySynchronizer	1447304410742	0	0	0
BMS	AlarmSynchronizer	1447304410763	0	0	0
BMS	ConnectorSynchronizer (import)	1447304710532	0	0	0
BMS	MeasurementSynchronizer	1447304710566	0	0	36
BMS	WorkOrderSynchronizer	1447304710631	0	0	0
BMS	TagSynchronizer	1447304710693	0	0	0
BMS	PropertySynchronizer	1447304710764	0	0	0
BMS	AlarmSynchronizer	1447304710786	0	0	0
BMS	ConnectorSynchronizer (import)	1447305010527	0	0	0
BMS	MeasurementSynchronizer	1447305010560	0	0	36
BMS	WorkOrderSynchronizer	1447305010626	0	0	0
BMS	TagSynchronizer	1447305010687	0	0	0
BMS	PropertySynchronizer	1447305010757	0	0	0
BMS	AlarmSynchronizer	1447305010778	0	0	0
BMS	ConnectorSynchronizer (import)	1447305310520	0	0	0
BMS	MeasurementSynchronizer	1447305310554	0	0	36
BMS	WorkOrderSynchronizer	1447305310619	0	0	0
BMS	TagSynchronizer	1447305310682	0	0	0
BMS	PropertySynchronizer	1447305310752	0	0	0
BMS	AlarmSynchronizer	1447305310774	0	0	0
BMS	ConnectorSynchronizer (import)	1447305610526	0	0	0
BMS	MeasurementSynchronizer	1447305610560	0	0	36
BMS	WorkOrderSynchronizer	1447305610625	0	0	0
BMS	TagSynchronizer	1447305610687	0	0	0
BMS	PropertySynchronizer	1447305610757	0	0	0
BMS	AlarmSynchronizer	1447305610779	0	0	0
BMS	ConnectorSynchronizer (import)	1447305910548	0	0	0
BMS	MeasurementSynchronizer	1447305910582	0	0	36
BMS	WorkOrderSynchronizer	1447305910647	0	0	0
BMS	TagSynchronizer	1447305910709	0	0	0
BMS	PropertySynchronizer	1447305910779	0	0	0
BMS	AlarmSynchronizer	1447305910801	0	0	0
BMS	ConnectorSynchronizer (import)	1447306210508	0	0	0
BMS	MeasurementSynchronizer	1447306210541	0	0	36
BMS	WorkOrderSynchronizer	1447306210605	0	0	0
BMS	TagSynchronizer	1447306210668	0	0	0
BMS	PropertySynchronizer	1447306210738	0	0	0
BMS	AlarmSynchronizer	1447306210759	0	0	0
BMS	ConnectorSynchronizer (import)	1447306510512	0	0	0
BMS	MeasurementSynchronizer	1447306510546	0	0	36
BMS	WorkOrderSynchronizer	1447306510613	0	0	0
BMS	TagSynchronizer	1447306510677	0	0	0
BMS	PropertySynchronizer	1447306510749	0	0	0
BMS	AlarmSynchronizer	1447306510770	0	0	0
BMS	ConnectorSynchronizer (import)	1447306810545	0	0	0
BMS	MeasurementSynchronizer	1447306810579	0	0	36
BMS	WorkOrderSynchronizer	1447306810644	0	0	0
BMS	TagSynchronizer	1447306810706	0	0	0
BMS	PropertySynchronizer	1447306810780	0	0	0
BMS	AlarmSynchronizer	1447306810801	0	0	0
BMS	ConnectorSynchronizer (import)	1447307110531	0	0	0
BMS	MeasurementSynchronizer	1447307110563	0	0	36
BMS	WorkOrderSynchronizer	1447307110624	0	0	0
BMS	TagSynchronizer	1447307110681	0	0	0
BMS	PropertySynchronizer	1447307110745	0	0	0
BMS	AlarmSynchronizer	1447307110766	0	0	0
BMS	ConnectorSynchronizer (import)	1447307410508	0	0	0
BMS	MeasurementSynchronizer	1447307410541	0	0	36
BMS	WorkOrderSynchronizer	1447307410609	0	0	0
BMS	TagSynchronizer	1447307410670	0	0	0
BMS	PropertySynchronizer	1447307410740	0	0	0
BMS	AlarmSynchronizer	1447307410760	0	0	0
BMS	ConnectorSynchronizer (import)	1447307710536	0	0	0
BMS	MeasurementSynchronizer	1447307710569	0	0	36
BMS	WorkOrderSynchronizer	1447307710635	0	0	0
BMS	TagSynchronizer	1447307710699	0	0	0
BMS	PropertySynchronizer	1447307710770	0	0	0
BMS	AlarmSynchronizer	1447307710792	0	0	0
BMS	ConnectorSynchronizer (import)	1447308010523	0	0	0
BMS	MeasurementSynchronizer	1447308010556	0	0	36
BMS	WorkOrderSynchronizer	1447308010621	0	0	0
BMS	TagSynchronizer	1447308010683	0	0	0
BMS	PropertySynchronizer	1447308010753	0	0	0
BMS	AlarmSynchronizer	1447308010775	0	0	0
BMS	ConnectorSynchronizer (import)	1447308310549	0	0	0
BMS	MeasurementSynchronizer	1447308310582	0	0	36
BMS	WorkOrderSynchronizer	1447308310649	0	0	0
BMS	TagSynchronizer	1447308310712	0	0	0
BMS	PropertySynchronizer	1447308310782	0	0	0
BMS	AlarmSynchronizer	1447308310803	0	0	0
BMS	ConnectorSynchronizer (import)	1447308610512	0	0	0
BMS	MeasurementSynchronizer	1447308610545	0	0	36
BMS	WorkOrderSynchronizer	1447308610610	0	0	0
BMS	TagSynchronizer	1447308610672	0	0	0
BMS	PropertySynchronizer	1447308610742	0	0	0
BMS	AlarmSynchronizer	1447308610764	0	0	0
BMS	ConnectorSynchronizer (import)	1447308910544	0	0	0
BMS	MeasurementSynchronizer	1447308910577	0	0	36
BMS	WorkOrderSynchronizer	1447308910644	0	0	0
BMS	TagSynchronizer	1447308910708	0	0	0
BMS	PropertySynchronizer	1447308910809	0	0	0
BMS	AlarmSynchronizer	1447308910834	0	0	0
BMS	ConnectorSynchronizer (import)	1447309210534	0	0	0
BMS	MeasurementSynchronizer	1447309210565	0	0	36
BMS	WorkOrderSynchronizer	1447309210625	0	0	0
BMS	TagSynchronizer	1447309210681	0	0	0
BMS	PropertySynchronizer	1447309210738	0	0	0
BMS	AlarmSynchronizer	1447309210758	0	0	0
BMS	ConnectorSynchronizer (import)	1447309510589	0	0	0
BMS	MeasurementSynchronizer	1447309510622	0	0	36
BMS	WorkOrderSynchronizer	1447309510687	0	0	0
BMS	TagSynchronizer	1447309510749	0	0	0
BMS	PropertySynchronizer	1447309510818	0	0	0
BMS	AlarmSynchronizer	1447309510840	0	0	0
BMS	ConnectorSynchronizer (import)	1447309810528	0	0	0
BMS	MeasurementSynchronizer	1447309810561	0	0	36
BMS	WorkOrderSynchronizer	1447309810626	0	0	0
BMS	TagSynchronizer	1447309810687	0	0	0
BMS	PropertySynchronizer	1447309810757	0	0	0
BMS	AlarmSynchronizer	1447309810778	0	0	0
BMS	ConnectorSynchronizer (import)	1447310110522	0	0	0
BMS	MeasurementSynchronizer	1447310110555	0	0	36
BMS	WorkOrderSynchronizer	1447310110619	0	0	0
BMS	TagSynchronizer	1447310110683	0	0	0
BMS	PropertySynchronizer	1447310110752	0	0	0
BMS	AlarmSynchronizer	1447310110774	0	0	0
BMS	ConnectorSynchronizer (import)	1447310410526	0	0	0
BMS	MeasurementSynchronizer	1447310410559	0	0	36
BMS	WorkOrderSynchronizer	1447310410624	0	0	0
BMS	TagSynchronizer	1447310410686	0	0	0
BMS	PropertySynchronizer	1447310410757	0	0	0
BMS	AlarmSynchronizer	1447310410778	0	0	0
BMS	ConnectorSynchronizer (import)	1447310710560	0	0	0
BMS	MeasurementSynchronizer	1447310710597	0	0	36
BMS	WorkOrderSynchronizer	1447310710668	0	0	0
BMS	TagSynchronizer	1447310710732	0	0	0
BMS	PropertySynchronizer	1447310710803	0	0	0
BMS	AlarmSynchronizer	1447310710824	0	0	0
BMS	ConnectorSynchronizer (import)	1447311010510	0	0	0
BMS	MeasurementSynchronizer	1447311010540	0	0	36
BMS	WorkOrderSynchronizer	1447311010600	0	0	0
BMS	TagSynchronizer	1447311010657	0	0	0
BMS	PropertySynchronizer	1447311010711	0	0	0
BMS	AlarmSynchronizer	1447311010730	0	0	0
BMS	ConnectorSynchronizer (import)	1447311310497	0	0	0
BMS	MeasurementSynchronizer	1447311310527	0	0	36
BMS	WorkOrderSynchronizer	1447311310581	0	0	0
BMS	TagSynchronizer	1447311310641	0	0	0
BMS	PropertySynchronizer	1447311310713	0	0	0
BMS	AlarmSynchronizer	1447311310733	0	0	0
BMS	ConnectorSynchronizer (import)	1447311610516	0	0	0
BMS	MeasurementSynchronizer	1447311610550	0	0	36
BMS	WorkOrderSynchronizer	1447311610616	0	0	0
BMS	TagSynchronizer	1447311610678	0	0	0
BMS	PropertySynchronizer	1447311610749	0	0	0
BMS	AlarmSynchronizer	1447311610770	0	0	0
BMS	ConnectorSynchronizer (import)	1447311910528	0	0	0
BMS	MeasurementSynchronizer	1447311910561	0	0	36
BMS	WorkOrderSynchronizer	1447311910629	0	0	0
BMS	TagSynchronizer	1447311910692	0	0	0
BMS	PropertySynchronizer	1447311910761	0	0	0
BMS	AlarmSynchronizer	1447311910782	0	0	0
BMS	ConnectorSynchronizer (import)	1447312210542	0	0	0
BMS	MeasurementSynchronizer	1447312210574	0	0	36
BMS	WorkOrderSynchronizer	1447312210639	0	0	0
BMS	TagSynchronizer	1447312210702	0	0	0
BMS	PropertySynchronizer	1447312210772	0	0	0
BMS	AlarmSynchronizer	1447312210793	0	0	0
BMS	ConnectorSynchronizer (import)	1447312510551	0	0	0
BMS	MeasurementSynchronizer	1447312510584	0	0	36
BMS	WorkOrderSynchronizer	1447312510649	0	0	0
BMS	TagSynchronizer	1447312510710	0	0	0
BMS	PropertySynchronizer	1447312510780	0	0	0
BMS	AlarmSynchronizer	1447312511145	0	0	0
BMS	ConnectorSynchronizer (import)	1447312810540	0	0	0
BMS	MeasurementSynchronizer	1447312810574	0	0	36
BMS	WorkOrderSynchronizer	1447312810640	0	0	0
BMS	TagSynchronizer	1447312810705	0	0	0
BMS	PropertySynchronizer	1447312810780	0	0	0
BMS	AlarmSynchronizer	1447312810804	0	0	0
BMS	ConnectorSynchronizer (import)	1447313110517	0	0	0
BMS	MeasurementSynchronizer	1447313110548	0	0	36
BMS	WorkOrderSynchronizer	1447313110606	0	0	0
BMS	TagSynchronizer	1447313110664	0	0	0
BMS	PropertySynchronizer	1447313110728	0	0	0
BMS	AlarmSynchronizer	1447313110748	0	0	0
BMS	ConnectorSynchronizer (import)	1447313410508	0	0	0
BMS	MeasurementSynchronizer	1447313410541	0	0	36
BMS	WorkOrderSynchronizer	1447313410606	0	0	0
BMS	TagSynchronizer	1447313410668	0	0	0
BMS	PropertySynchronizer	1447313410739	0	0	0
BMS	AlarmSynchronizer	1447313410761	0	0	0
BMS	ConnectorSynchronizer (import)	1447313710529	0	0	0
BMS	MeasurementSynchronizer	1447313710563	0	0	36
BMS	WorkOrderSynchronizer	1447313710630	0	0	0
BMS	TagSynchronizer	1447313710694	0	0	0
BMS	PropertySynchronizer	1447313710763	0	0	0
BMS	AlarmSynchronizer	1447313710784	0	0	0
BMS	ConnectorSynchronizer (import)	1447314010515	0	0	0
BMS	MeasurementSynchronizer	1447314010548	0	0	36
BMS	WorkOrderSynchronizer	1447314010614	0	0	0
BMS	TagSynchronizer	1447314010675	0	0	0
BMS	PropertySynchronizer	1447314010745	0	0	0
BMS	AlarmSynchronizer	1447314010766	0	0	0
BMS	ConnectorSynchronizer (import)	1447314310529	0	0	0
BMS	MeasurementSynchronizer	1447314310563	0	0	36
BMS	WorkOrderSynchronizer	1447314310627	0	0	0
BMS	TagSynchronizer	1447314310690	0	0	0
BMS	PropertySynchronizer	1447314310760	0	0	0
BMS	AlarmSynchronizer	1447314310781	0	0	0
BMS	ConnectorSynchronizer (import)	1447314610565	0	0	0
BMS	MeasurementSynchronizer	1447314610598	0	0	36
BMS	WorkOrderSynchronizer	1447314610662	0	0	0
BMS	TagSynchronizer	1447314610725	0	0	0
BMS	PropertySynchronizer	1447314610795	0	0	0
BMS	AlarmSynchronizer	1447314610816	0	0	0
BMS	ConnectorSynchronizer (import)	1447314910525	0	0	0
BMS	MeasurementSynchronizer	1447314910560	0	0	36
BMS	WorkOrderSynchronizer	1447314910628	0	0	0
BMS	TagSynchronizer	1447314910691	0	0	0
BMS	PropertySynchronizer	1447314910758	0	0	0
BMS	AlarmSynchronizer	1447314910779	0	0	0
BMS	ConnectorSynchronizer (import)	1447315210517	0	0	0
BMS	MeasurementSynchronizer	1447315210549	0	0	36
BMS	WorkOrderSynchronizer	1447315210608	0	0	0
BMS	TagSynchronizer	1447315210666	0	0	0
BMS	PropertySynchronizer	1447315210731	0	0	0
BMS	AlarmSynchronizer	1447315210751	0	0	0
BMS	ConnectorSynchronizer (import)	1447315510530	0	0	0
BMS	MeasurementSynchronizer	1447315510563	0	0	36
BMS	WorkOrderSynchronizer	1447315510629	0	0	0
BMS	TagSynchronizer	1447315510691	0	0	0
BMS	PropertySynchronizer	1447315510763	0	0	0
BMS	AlarmSynchronizer	1447315510783	0	0	0
BMS	ConnectorSynchronizer (import)	1447315810517	0	0	0
BMS	MeasurementSynchronizer	1447315810551	0	0	36
BMS	WorkOrderSynchronizer	1447315810618	0	0	0
BMS	TagSynchronizer	1447315810680	0	0	0
BMS	PropertySynchronizer	1447315810751	0	0	0
BMS	AlarmSynchronizer	1447315810775	0	0	0
BMS	ConnectorSynchronizer (import)	1447316110513	0	0	0
BMS	MeasurementSynchronizer	1447316110546	0	0	36
BMS	WorkOrderSynchronizer	1447316110612	0	0	0
BMS	TagSynchronizer	1447316110674	0	0	0
BMS	PropertySynchronizer	1447316110745	0	0	0
BMS	AlarmSynchronizer	1447316110766	0	0	0
BMS	ConnectorSynchronizer (import)	1447316410525	0	0	0
BMS	MeasurementSynchronizer	1447316410558	0	0	36
BMS	WorkOrderSynchronizer	1447316410625	0	0	0
BMS	TagSynchronizer	1447316410688	0	0	0
BMS	PropertySynchronizer	1447316410759	0	0	0
BMS	AlarmSynchronizer	1447316410780	0	0	0
BMS	ConnectorSynchronizer (import)	1447316710537	0	0	0
BMS	MeasurementSynchronizer	1447316710570	0	0	36
BMS	WorkOrderSynchronizer	1447316710634	0	0	0
BMS	TagSynchronizer	1447316710696	0	0	0
BMS	PropertySynchronizer	1447316710766	0	0	0
BMS	AlarmSynchronizer	1447316710787	0	0	0
BMS	ConnectorSynchronizer (import)	1447317010533	0	0	0
BMS	MeasurementSynchronizer	1447317010565	0	0	36
BMS	WorkOrderSynchronizer	1447317010627	0	0	0
BMS	TagSynchronizer	1447317010686	0	0	0
BMS	PropertySynchronizer	1447317010753	0	0	0
BMS	AlarmSynchronizer	1447317010775	0	0	0
BMS	ConnectorSynchronizer (import)	1447317310532	0	0	0
BMS	MeasurementSynchronizer	1447317310566	0	0	36
BMS	WorkOrderSynchronizer	1447317310630	0	0	0
BMS	TagSynchronizer	1447317310691	0	0	0
BMS	PropertySynchronizer	1447317310763	0	0	0
BMS	AlarmSynchronizer	1447317310784	0	0	0
BMS	ConnectorSynchronizer (import)	1447317610841	0	0	0
BMS	MeasurementSynchronizer	1447317610874	0	0	36
BMS	WorkOrderSynchronizer	1447317610939	0	0	0
BMS	TagSynchronizer	1447317611001	0	0	0
BMS	PropertySynchronizer	1447317611071	0	0	0
BMS	AlarmSynchronizer	1447317611092	0	0	0
BMS	ConnectorSynchronizer (import)	1447317910528	0	0	0
BMS	MeasurementSynchronizer	1447317910561	0	0	36
BMS	WorkOrderSynchronizer	1447317910628	0	0	0
BMS	TagSynchronizer	1447317910692	0	0	0
BMS	PropertySynchronizer	1447317910762	0	0	0
BMS	AlarmSynchronizer	1447317910783	0	0	0
BMS	ConnectorSynchronizer (import)	1447318210528	0	0	0
BMS	MeasurementSynchronizer	1447318210563	0	0	36
BMS	WorkOrderSynchronizer	1447318210631	0	0	0
BMS	TagSynchronizer	1447318210696	0	0	0
BMS	PropertySynchronizer	1447318210769	0	0	0
BMS	AlarmSynchronizer	1447318210791	0	0	0
BMS	ConnectorSynchronizer (import)	1447318510510	0	0	0
BMS	MeasurementSynchronizer	1447318510545	0	0	36
BMS	WorkOrderSynchronizer	1447318510614	0	0	0
BMS	TagSynchronizer	1447318510681	0	0	0
BMS	PropertySynchronizer	1447318510750	0	0	0
BMS	AlarmSynchronizer	1447318510771	0	0	0
BMS	ConnectorSynchronizer (import)	1447318810514	0	0	0
BMS	MeasurementSynchronizer	1447318810548	0	0	36
BMS	WorkOrderSynchronizer	1447318810613	0	0	0
BMS	TagSynchronizer	1447318810677	0	0	0
BMS	PropertySynchronizer	1447318810747	0	0	0
BMS	AlarmSynchronizer	1447318810769	0	0	0
BMS	ConnectorSynchronizer (import)	1447319110515	0	0	0
BMS	MeasurementSynchronizer	1447319110550	0	0	36
BMS	WorkOrderSynchronizer	1447319110618	0	0	0
BMS	TagSynchronizer	1447319110681	0	0	0
BMS	PropertySynchronizer	1447319110753	0	0	0
BMS	AlarmSynchronizer	1447319110774	0	0	0
BMS	ConnectorSynchronizer (import)	1447319410531	0	0	0
BMS	MeasurementSynchronizer	1447319410567	0	0	36
BMS	WorkOrderSynchronizer	1447319410634	0	0	0
BMS	TagSynchronizer	1447319410700	0	0	0
BMS	PropertySynchronizer	1447319410770	0	0	0
BMS	AlarmSynchronizer	1447319410791	0	0	0
BMS	ConnectorSynchronizer (import)	1447319710514	0	0	0
BMS	MeasurementSynchronizer	1447319710549	0	0	36
BMS	WorkOrderSynchronizer	1447319710617	0	0	0
BMS	TagSynchronizer	1447319710680	0	0	0
BMS	PropertySynchronizer	1447319710746	0	0	0
BMS	AlarmSynchronizer	1447319710766	0	0	0
BMS	ConnectorSynchronizer (import)	1447320010533	0	0	0
BMS	MeasurementSynchronizer	1447320010566	0	0	36
BMS	WorkOrderSynchronizer	1447320010634	0	0	0
BMS	TagSynchronizer	1447320010696	0	0	0
BMS	PropertySynchronizer	1447320010765	0	0	0
BMS	AlarmSynchronizer	1447320010788	0	0	0
BMS	ConnectorSynchronizer (import)	1447320310507	0	0	0
BMS	MeasurementSynchronizer	1447320310540	0	0	36
BMS	WorkOrderSynchronizer	1447320310604	0	0	0
BMS	TagSynchronizer	1447320310666	0	0	0
BMS	PropertySynchronizer	1447320310736	0	0	0
BMS	AlarmSynchronizer	1447320310757	0	0	0
BMS	ConnectorSynchronizer (import)	1447320610512	0	0	0
BMS	MeasurementSynchronizer	1447320610546	0	0	36
BMS	WorkOrderSynchronizer	1447320610613	0	0	0
BMS	TagSynchronizer	1447320610677	0	0	0
BMS	PropertySynchronizer	1447320610753	0	0	0
BMS	AlarmSynchronizer	1447320610776	0	0	0
BMS	ConnectorSynchronizer (import)	1447320910521	0	0	0
BMS	MeasurementSynchronizer	1447320910554	0	0	36
BMS	WorkOrderSynchronizer	1447320910621	0	0	0
BMS	TagSynchronizer	1447320910682	0	0	0
BMS	PropertySynchronizer	1447320910753	0	0	0
BMS	AlarmSynchronizer	1447320910776	0	0	0
BMS	ConnectorSynchronizer (import)	1447321210527	0	0	0
BMS	MeasurementSynchronizer	1447321210562	0	0	36
BMS	WorkOrderSynchronizer	1447321210628	0	0	0
BMS	TagSynchronizer	1447321210705	0	0	0
BMS	PropertySynchronizer	1447321210778	0	0	0
BMS	AlarmSynchronizer	1447321210800	0	0	0
BMS	ConnectorSynchronizer (import)	1447321510521	0	0	0
BMS	MeasurementSynchronizer	1447321510555	0	0	36
BMS	WorkOrderSynchronizer	1447321510625	0	0	0
BMS	TagSynchronizer	1447321510688	0	0	0
BMS	PropertySynchronizer	1447321510759	0	0	0
BMS	AlarmSynchronizer	1447321510781	0	0	0
BMS	ConnectorSynchronizer (import)	1447321810530	0	0	0
BMS	MeasurementSynchronizer	1447321810563	0	0	36
BMS	WorkOrderSynchronizer	1447321810629	0	0	0
BMS	TagSynchronizer	1447321810692	0	0	0
BMS	PropertySynchronizer	1447321810762	0	0	0
BMS	AlarmSynchronizer	1447321810784	0	0	0
BMS	ConnectorSynchronizer (import)	1447322110526	0	0	0
BMS	MeasurementSynchronizer	1447322110560	0	0	36
BMS	WorkOrderSynchronizer	1447322110626	0	0	0
BMS	TagSynchronizer	1447322110688	0	0	0
BMS	PropertySynchronizer	1447322110759	0	0	0
BMS	AlarmSynchronizer	1447322110781	0	0	0
BMS	ConnectorSynchronizer (import)	1447322410531	0	0	0
BMS	MeasurementSynchronizer	1447322410565	0	0	36
BMS	WorkOrderSynchronizer	1447322410630	0	0	0
BMS	TagSynchronizer	1447322410693	0	0	0
BMS	PropertySynchronizer	1447322410765	0	0	0
BMS	AlarmSynchronizer	1447322410786	0	0	0
BMS	ConnectorSynchronizer (import)	1447322710848	0	0	0
BMS	MeasurementSynchronizer	1447322710881	0	0	36
BMS	WorkOrderSynchronizer	1447322710951	0	0	0
BMS	TagSynchronizer	1447322711014	0	0	0
BMS	PropertySynchronizer	1447322711083	0	0	0
BMS	AlarmSynchronizer	1447322711104	0	0	0
BMS	ConnectorSynchronizer (import)	1447323010554	0	0	0
BMS	MeasurementSynchronizer	1447323010587	0	0	36
BMS	WorkOrderSynchronizer	1447323010653	0	0	0
BMS	TagSynchronizer	1447323010716	0	0	0
BMS	PropertySynchronizer	1447323010787	0	0	0
BMS	AlarmSynchronizer	1447323010809	0	0	0
BMS	ConnectorSynchronizer (import)	1447323310517	0	0	0
BMS	MeasurementSynchronizer	1447323310547	0	0	36
BMS	WorkOrderSynchronizer	1447323310606	0	0	0
BMS	TagSynchronizer	1447323310662	0	0	0
BMS	PropertySynchronizer	1447323310726	0	0	0
BMS	AlarmSynchronizer	1447323310745	0	0	0
BMS	ConnectorSynchronizer (import)	1447323610532	0	0	0
BMS	MeasurementSynchronizer	1447323610569	0	0	36
BMS	WorkOrderSynchronizer	1447323610635	0	0	0
BMS	TagSynchronizer	1447323610696	0	0	0
BMS	PropertySynchronizer	1447323610765	0	0	0
BMS	AlarmSynchronizer	1447323610786	0	0	0
BMS	ConnectorSynchronizer (import)	1447323910544	0	0	0
BMS	MeasurementSynchronizer	1447323910577	0	0	36
BMS	WorkOrderSynchronizer	1447323910646	0	0	0
BMS	TagSynchronizer	1447323910709	0	0	0
BMS	PropertySynchronizer	1447323910782	0	0	0
BMS	AlarmSynchronizer	1447323910804	0	0	0
BMS	ConnectorSynchronizer (import)	1447324210520	0	0	0
BMS	MeasurementSynchronizer	1447324210553	0	0	36
BMS	WorkOrderSynchronizer	1447324210618	0	0	0
BMS	TagSynchronizer	1447324210680	0	0	0
BMS	PropertySynchronizer	1447324210749	0	0	0
BMS	AlarmSynchronizer	1447324210770	0	0	0
BMS	ConnectorSynchronizer (import)	1447324510527	0	0	0
BMS	MeasurementSynchronizer	1447324510561	0	0	36
BMS	WorkOrderSynchronizer	1447324510626	0	0	0
BMS	TagSynchronizer	1447324510687	0	0	0
BMS	PropertySynchronizer	1447324510760	0	0	0
BMS	AlarmSynchronizer	1447324510781	0	0	0
BMS	ConnectorSynchronizer (import)	1447324810547	0	0	0
BMS	MeasurementSynchronizer	1447324810584	0	0	36
BMS	WorkOrderSynchronizer	1447324810650	0	0	0
BMS	TagSynchronizer	1447324810712	0	0	0
BMS	PropertySynchronizer	1447324810784	0	0	0
BMS	AlarmSynchronizer	1447324810808	0	0	0
BMS	ConnectorSynchronizer (import)	1447325110535	0	0	0
BMS	MeasurementSynchronizer	1447325110570	0	0	36
BMS	WorkOrderSynchronizer	1447325110640	0	0	0
BMS	TagSynchronizer	1447325110702	0	0	0
BMS	PropertySynchronizer	1447325110774	0	0	0
BMS	AlarmSynchronizer	1447325110796	0	0	0
BMS	ConnectorSynchronizer (import)	1447325410540	0	0	0
BMS	MeasurementSynchronizer	1447325410576	0	0	36
BMS	WorkOrderSynchronizer	1447325410645	0	0	0
BMS	TagSynchronizer	1447325410715	0	0	0
BMS	PropertySynchronizer	1447325410829	0	0	0
BMS	AlarmSynchronizer	1447325410852	0	0	0
BMS	ConnectorSynchronizer (import)	1447325710518	0	0	0
BMS	MeasurementSynchronizer	1447325710545	0	0	36
BMS	WorkOrderSynchronizer	1447325710608	0	0	0
BMS	TagSynchronizer	1447325710669	0	0	0
BMS	PropertySynchronizer	1447325710739	0	0	0
BMS	AlarmSynchronizer	1447325710762	0	0	0
BMS	ConnectorSynchronizer (import)	1447326010546	0	0	0
BMS	MeasurementSynchronizer	1447326010580	0	0	36
BMS	WorkOrderSynchronizer	1447326010647	0	0	0
BMS	TagSynchronizer	1447326010720	0	0	0
BMS	PropertySynchronizer	1447326010809	0	0	0
BMS	AlarmSynchronizer	1447326010832	0	0	0
BMS	ConnectorSynchronizer (import)	1447326310518	0	0	0
BMS	MeasurementSynchronizer	1447326310552	0	0	36
BMS	WorkOrderSynchronizer	1447326310618	0	0	0
BMS	TagSynchronizer	1447326310680	0	0	0
BMS	PropertySynchronizer	1447326310750	0	0	0
BMS	AlarmSynchronizer	1447326310772	0	0	0
BMS	ConnectorSynchronizer (import)	1447326610544	0	0	0
BMS	MeasurementSynchronizer	1447326610577	0	0	36
BMS	WorkOrderSynchronizer	1447326610643	0	0	0
BMS	TagSynchronizer	1447326610704	0	0	0
BMS	PropertySynchronizer	1447326610777	0	0	0
BMS	AlarmSynchronizer	1447326610798	0	0	0
BMS	ConnectorSynchronizer (import)	1447326910507	0	0	0
BMS	MeasurementSynchronizer	1447326910541	0	0	36
BMS	WorkOrderSynchronizer	1447326910605	0	0	0
BMS	TagSynchronizer	1447326910667	0	0	0
BMS	PropertySynchronizer	1447326910736	0	0	0
BMS	AlarmSynchronizer	1447326910758	0	0	0
BMS	ConnectorSynchronizer (import)	1447327210559	0	0	0
BMS	MeasurementSynchronizer	1447327210592	0	0	36
BMS	WorkOrderSynchronizer	1447327210661	0	0	0
BMS	TagSynchronizer	1447327210723	0	0	0
BMS	PropertySynchronizer	1447327210800	0	0	0
BMS	AlarmSynchronizer	1447327210821	0	0	0
BMS	ConnectorSynchronizer (import)	1447327510515	0	0	0
BMS	MeasurementSynchronizer	1447327510548	0	0	36
BMS	WorkOrderSynchronizer	1447327510614	0	0	0
BMS	TagSynchronizer	1447327510675	0	0	0
BMS	PropertySynchronizer	1447327510745	0	0	0
BMS	AlarmSynchronizer	1447327510766	0	0	0
BMS	ConnectorSynchronizer (import)	1447327810535	0	0	0
BMS	MeasurementSynchronizer	1447327810570	0	0	36
BMS	WorkOrderSynchronizer	1447327810635	0	0	0
BMS	TagSynchronizer	1447327810699	0	0	0
BMS	PropertySynchronizer	1447327810771	0	0	0
BMS	AlarmSynchronizer	1447327810793	0	0	0
BMS	ConnectorSynchronizer (import)	1447328110538	0	0	0
BMS	MeasurementSynchronizer	1447328110573	0	0	36
BMS	WorkOrderSynchronizer	1447328110636	0	0	0
BMS	TagSynchronizer	1447328110694	0	0	0
BMS	PropertySynchronizer	1447328110759	0	0	0
BMS	AlarmSynchronizer	1447328110778	0	0	0
BMS	ConnectorSynchronizer (import)	1447328410516	0	0	0
BMS	MeasurementSynchronizer	1447328410548	0	0	36
BMS	WorkOrderSynchronizer	1447328410606	0	0	0
BMS	TagSynchronizer	1447328410662	0	0	0
BMS	PropertySynchronizer	1447328410728	0	0	0
BMS	AlarmSynchronizer	1447328410747	0	0	0
BMS	ConnectorSynchronizer (import)	1447328710514	0	0	0
BMS	MeasurementSynchronizer	1447328710549	0	0	36
BMS	WorkOrderSynchronizer	1447328710619	0	0	0
BMS	TagSynchronizer	1447328710680	0	0	0
BMS	PropertySynchronizer	1447328710748	0	0	0
BMS	AlarmSynchronizer	1447328710770	0	0	0
BMS	ConnectorSynchronizer (import)	1447329010532	0	0	0
BMS	MeasurementSynchronizer	1447329010565	0	0	36
BMS	WorkOrderSynchronizer	1447329010631	0	0	0
BMS	TagSynchronizer	1447329010691	0	0	0
BMS	PropertySynchronizer	1447329010762	0	0	0
BMS	AlarmSynchronizer	1447329010784	0	0	0
BMS	ConnectorSynchronizer (import)	1447329310523	0	0	0
BMS	MeasurementSynchronizer	1447329310557	0	0	36
BMS	WorkOrderSynchronizer	1447329310627	0	0	0
BMS	TagSynchronizer	1447329310689	0	0	0
BMS	PropertySynchronizer	1447329310761	0	0	0
BMS	AlarmSynchronizer	1447329310784	0	0	0
BMS	ConnectorSynchronizer (import)	1447329610513	0	0	0
BMS	MeasurementSynchronizer	1447329610545	0	0	36
BMS	WorkOrderSynchronizer	1447329610610	0	0	0
BMS	TagSynchronizer	1447329610670	0	0	0
BMS	PropertySynchronizer	1447329610739	0	0	0
BMS	AlarmSynchronizer	1447329610760	0	0	0
BMS	ConnectorSynchronizer (import)	1447329910534	0	0	0
BMS	MeasurementSynchronizer	1447329910567	0	0	36
BMS	WorkOrderSynchronizer	1447329910631	0	0	0
BMS	TagSynchronizer	1447329910693	0	0	0
BMS	PropertySynchronizer	1447329910771	0	0	0
BMS	AlarmSynchronizer	1447329910795	0	0	0
BMS	ConnectorSynchronizer (import)	1447330210526	0	0	0
BMS	MeasurementSynchronizer	1447330210561	0	0	36
BMS	WorkOrderSynchronizer	1447330210629	0	0	0
BMS	TagSynchronizer	1447330210690	0	0	0
BMS	PropertySynchronizer	1447330210758	0	0	0
BMS	AlarmSynchronizer	1447330210778	0	0	0
BMS	ConnectorSynchronizer (import)	1447330510514	0	0	0
BMS	MeasurementSynchronizer	1447330510550	0	0	36
BMS	WorkOrderSynchronizer	1447330510618	0	0	0
BMS	TagSynchronizer	1447330510680	0	0	0
BMS	PropertySynchronizer	1447330510752	0	0	0
BMS	AlarmSynchronizer	1447330510773	0	0	0
BMS	ConnectorSynchronizer (import)	1447330810514	0	0	0
BMS	MeasurementSynchronizer	1447330810549	0	0	36
BMS	WorkOrderSynchronizer	1447330810617	0	0	0
BMS	TagSynchronizer	1447330810681	0	0	0
BMS	PropertySynchronizer	1447330810751	0	0	0
BMS	AlarmSynchronizer	1447330810772	0	0	0
BMS	ConnectorSynchronizer (import)	1447331110520	0	0	0
BMS	MeasurementSynchronizer	1447331110554	0	0	36
BMS	WorkOrderSynchronizer	1447331110626	0	0	0
BMS	TagSynchronizer	1447331110690	0	0	0
BMS	PropertySynchronizer	1447331110761	0	0	0
BMS	AlarmSynchronizer	1447331110783	0	0	0
BMS	ConnectorSynchronizer (import)	1447331410511	0	0	0
BMS	MeasurementSynchronizer	1447331410543	0	0	36
BMS	WorkOrderSynchronizer	1447331410608	0	0	0
BMS	TagSynchronizer	1447331410667	0	0	0
BMS	PropertySynchronizer	1447331410736	0	0	0
BMS	AlarmSynchronizer	1447331410757	0	0	0
BMS	ConnectorSynchronizer (import)	1447331710531	0	0	0
BMS	MeasurementSynchronizer	1447331710566	0	0	36
BMS	WorkOrderSynchronizer	1447331710635	0	0	0
BMS	TagSynchronizer	1447331710698	0	0	0
BMS	PropertySynchronizer	1447331710769	0	0	0
BMS	AlarmSynchronizer	1447331710791	0	0	0
BMS	ConnectorSynchronizer (import)	1447332010538	0	0	0
BMS	MeasurementSynchronizer	1447332010569	0	0	36
BMS	WorkOrderSynchronizer	1447332010628	0	0	0
BMS	TagSynchronizer	1447332010684	0	0	0
BMS	PropertySynchronizer	1447332010750	0	0	0
BMS	AlarmSynchronizer	1447332010770	0	0	0
BMS	ConnectorSynchronizer (import)	1447332310520	0	0	0
BMS	MeasurementSynchronizer	1447332310556	0	0	36
BMS	WorkOrderSynchronizer	1447332310620	0	0	0
BMS	TagSynchronizer	1447332310680	0	0	0
BMS	PropertySynchronizer	1447332310751	0	0	0
BMS	AlarmSynchronizer	1447332310772	0	0	0
BMS	ConnectorSynchronizer (import)	1447332610600	0	0	0
BMS	MeasurementSynchronizer	1447332610633	0	0	36
BMS	WorkOrderSynchronizer	1447332610700	0	0	0
BMS	TagSynchronizer	1447332610762	0	0	0
BMS	PropertySynchronizer	1447332610833	0	0	0
BMS	AlarmSynchronizer	1447332610854	0	0	0
BMS	ConnectorSynchronizer (import)	1447332910511	0	0	0
BMS	MeasurementSynchronizer	1447332910546	0	0	36
BMS	WorkOrderSynchronizer	1447332910613	0	0	0
BMS	TagSynchronizer	1447332910674	0	0	0
BMS	PropertySynchronizer	1447332910746	0	0	0
BMS	AlarmSynchronizer	1447332910768	0	0	0
BMS	ConnectorSynchronizer (import)	1447333210522	0	0	0
BMS	MeasurementSynchronizer	1447333210556	0	0	36
BMS	WorkOrderSynchronizer	1447333210624	0	0	0
BMS	TagSynchronizer	1447333210686	0	0	0
BMS	PropertySynchronizer	1447333210758	0	0	0
BMS	AlarmSynchronizer	1447333210780	0	0	0
BMS	ConnectorSynchronizer (import)	1447333510547	0	0	0
BMS	MeasurementSynchronizer	1447333510583	0	0	36
BMS	WorkOrderSynchronizer	1447333510649	0	0	0
BMS	TagSynchronizer	1447333510716	0	0	0
BMS	PropertySynchronizer	1447333510788	0	0	0
BMS	AlarmSynchronizer	1447333510809	0	0	0
BMS	ConnectorSynchronizer (import)	1447333810553	0	0	0
BMS	MeasurementSynchronizer	1447333810588	0	0	36
BMS	WorkOrderSynchronizer	1447333810657	0	0	0
BMS	TagSynchronizer	1447333810718	0	0	0
BMS	PropertySynchronizer	1447333810790	0	0	0
BMS	AlarmSynchronizer	1447333810811	0	0	0
BMS	ConnectorSynchronizer (import)	1447334110528	0	0	0
BMS	MeasurementSynchronizer	1447334110561	0	0	36
BMS	WorkOrderSynchronizer	1447334110630	0	0	0
BMS	TagSynchronizer	1447334110693	0	0	0
BMS	PropertySynchronizer	1447334110766	0	0	0
BMS	AlarmSynchronizer	1447334110788	0	0	0
BMS	ConnectorSynchronizer (import)	1447334227581	0	0	0
BMS	MeasurementSynchronizer	1447334227615	0	0	36
BMS	WorkOrderSynchronizer	1447334227683	0	0	0
BMS	TagSynchronizer	1447334227746	0	0	0
BMS	PropertySynchronizer	1447334227817	0	0	0
BMS	AlarmSynchronizer	1447334227838	0	0	0
BMS	ConnectorSynchronizer (import)	1447334257575	0	0	0
BMS	MeasurementSynchronizer	1447334257608	0	0	36
BMS	WorkOrderSynchronizer	1447334257673	0	0	0
BMS	TagSynchronizer	1447334257731	0	0	0
BMS	PropertySynchronizer	1447334257800	0	0	0
BMS	AlarmSynchronizer	1447334257822	0	0	0
BMS	ConnectorSynchronizer (import)	1447334268522	0	0	0
BMS	MeasurementSynchronizer	1447334268554	0	0	36
BMS	WorkOrderSynchronizer	1447334268618	0	0	0
BMS	TagSynchronizer	1447334268676	0	0	0
BMS	PropertySynchronizer	1447334268745	0	0	0
BMS	AlarmSynchronizer	1447334268767	0	0	0
BMS	ConnectorSynchronizer (import)	1447334410535	0	0	0
BMS	MeasurementSynchronizer	1447334410569	0	0	36
BMS	WorkOrderSynchronizer	1447334410637	0	0	0
BMS	TagSynchronizer	1447334410699	0	0	0
BMS	PropertySynchronizer	1447334410771	0	0	0
BMS	AlarmSynchronizer	1447334410793	0	0	0
BMS	ConnectorSynchronizer (import)	1447334699504	0	0	0
BMS	MeasurementSynchronizer	1447334699535	0	0	36
BMS	WorkOrderSynchronizer	1447334699595	0	0	0
BMS	TagSynchronizer	1447334699652	0	0	0
BMS	PropertySynchronizer	1447334699719	0	0	0
BMS	AlarmSynchronizer	1447334699739	0	0	0
BMS	ConnectorSynchronizer (import)	1447334710507	0	0	0
BMS	MeasurementSynchronizer	1447334710542	0	0	36
BMS	WorkOrderSynchronizer	1447334710609	0	0	0
BMS	TagSynchronizer	1447334710669	0	0	0
BMS	PropertySynchronizer	1447334710739	0	0	0
BMS	AlarmSynchronizer	1447334710760	0	0	0
BMS	ConnectorSynchronizer (import)	1447335010522	0	0	0
BMS	MeasurementSynchronizer	1447335010555	0	0	36
BMS	WorkOrderSynchronizer	1447335010615	0	0	0
BMS	TagSynchronizer	1447335010672	0	0	0
BMS	PropertySynchronizer	1447335010738	0	0	0
BMS	AlarmSynchronizer	1447335010758	0	0	0
BMS	ConnectorSynchronizer (import)	1447335310499	0	0	0
BMS	MeasurementSynchronizer	1447335310531	0	0	36
BMS	WorkOrderSynchronizer	1447335310597	0	0	0
BMS	TagSynchronizer	1447335310657	0	0	0
BMS	PropertySynchronizer	1447335310727	0	0	0
BMS	AlarmSynchronizer	1447335310748	0	0	0
BMS	ConnectorSynchronizer (import)	1447335610528	0	0	0
BMS	MeasurementSynchronizer	1447335610563	0	0	36
BMS	WorkOrderSynchronizer	1447335610631	0	0	0
BMS	TagSynchronizer	1447335610693	0	0	0
BMS	PropertySynchronizer	1447335610764	0	0	0
BMS	AlarmSynchronizer	1447335610787	0	0	0
BMS	ConnectorSynchronizer (import)	1447335857516	0	0	0
BMS	MeasurementSynchronizer	1447335857549	0	0	36
BMS	WorkOrderSynchronizer	1447335857613	0	0	0
BMS	TagSynchronizer	1447335857673	0	0	0
BMS	PropertySynchronizer	1447335857742	0	0	0
BMS	AlarmSynchronizer	1447335857764	0	0	0
BMS	ConnectorSynchronizer (import)	1447335903522	0	0	0
BMS	MeasurementSynchronizer	1447335903555	0	0	36
BMS	WorkOrderSynchronizer	1447335903623	0	0	0
BMS	TagSynchronizer	1447335903688	0	0	0
BMS	PropertySynchronizer	1447335903762	0	0	0
BMS	AlarmSynchronizer	1447335903786	0	0	0
BMS	ConnectorSynchronizer (import)	1447335914567	0	0	0
BMS	MeasurementSynchronizer	1447335914597	0	0	36
BMS	WorkOrderSynchronizer	1447335914654	0	0	0
BMS	TagSynchronizer	1447335914712	0	0	0
BMS	PropertySynchronizer	1447335914783	0	0	0
BMS	AlarmSynchronizer	1447335914804	0	0	0
BMS	ConnectorSynchronizer (import)	1447335925599	0	0	0
BMS	MeasurementSynchronizer	1447335925633	0	0	36
BMS	WorkOrderSynchronizer	1447335925700	0	0	0
BMS	TagSynchronizer	1447335925761	0	0	0
BMS	PropertySynchronizer	1447335925829	0	0	0
BMS	AlarmSynchronizer	1447335925852	0	0	0
BMS	ConnectorSynchronizer (import)	1447336210509	0	0	0
BMS	MeasurementSynchronizer	1447336210540	0	0	36
BMS	WorkOrderSynchronizer	1447336210602	0	0	0
BMS	TagSynchronizer	1447336210659	0	0	0
BMS	PropertySynchronizer	1447336210724	0	0	0
BMS	AlarmSynchronizer	1447336210747	0	0	0
BMS	ConnectorSynchronizer (import)	1447336510517	0	0	0
BMS	MeasurementSynchronizer	1447336510551	0	0	36
BMS	WorkOrderSynchronizer	1447336510616	0	0	0
BMS	TagSynchronizer	1447336510676	0	0	0
BMS	PropertySynchronizer	1447336510745	0	0	0
BMS	AlarmSynchronizer	1447336510766	0	0	0
BMS	ConnectorSynchronizer (import)	1447336810593	0	0	0
BMS	MeasurementSynchronizer	1447336810627	0	0	36
BMS	WorkOrderSynchronizer	1447336810696	0	0	0
BMS	TagSynchronizer	1447336810758	0	0	0
BMS	PropertySynchronizer	1447336810828	0	0	0
BMS	AlarmSynchronizer	1447336810851	0	0	0
BMS	ConnectorSynchronizer (import)	1447337110519	0	0	0
BMS	MeasurementSynchronizer	1447337110555	0	0	36
BMS	WorkOrderSynchronizer	1447337110623	0	0	0
BMS	TagSynchronizer	1447337110685	0	0	0
BMS	PropertySynchronizer	1447337110754	0	0	0
BMS	AlarmSynchronizer	1447337110776	0	0	0
BMS	ConnectorSynchronizer (import)	1447337410509	0	0	0
BMS	MeasurementSynchronizer	1447337410537	0	0	36
BMS	WorkOrderSynchronizer	1447337410600	0	0	0
BMS	TagSynchronizer	1447337410655	0	0	0
BMS	PropertySynchronizer	1447337410720	0	0	0
BMS	AlarmSynchronizer	1447337410742	0	0	0
BMS	ConnectorSynchronizer (import)	1447337710524	0	0	0
BMS	MeasurementSynchronizer	1447337710559	0	0	36
BMS	WorkOrderSynchronizer	1447337710626	0	0	0
BMS	TagSynchronizer	1447337710686	0	0	0
BMS	PropertySynchronizer	1447337710755	0	0	0
BMS	AlarmSynchronizer	1447337710776	0	0	0
BMS	ConnectorSynchronizer (import)	1447338010524	0	0	0
BMS	MeasurementSynchronizer	1447338010557	0	0	36
BMS	WorkOrderSynchronizer	1447338010623	0	0	0
BMS	TagSynchronizer	1447338010684	0	0	0
BMS	PropertySynchronizer	1447338010755	0	0	0
BMS	AlarmSynchronizer	1447338010777	0	0	0
BMS	ConnectorSynchronizer (import)	1447338310526	0	0	0
BMS	MeasurementSynchronizer	1447338310558	0	0	36
BMS	WorkOrderSynchronizer	1447338310624	0	0	0
BMS	TagSynchronizer	1447338310684	0	0	0
BMS	PropertySynchronizer	1447338310754	0	0	0
BMS	AlarmSynchronizer	1447338310776	0	0	0
BMS	ConnectorSynchronizer (import)	1447338610506	0	0	0
BMS	MeasurementSynchronizer	1447338610545	0	0	36
BMS	WorkOrderSynchronizer	1447338610610	0	0	0
BMS	TagSynchronizer	1447338610669	0	0	0
BMS	PropertySynchronizer	1447338610740	0	0	0
BMS	AlarmSynchronizer	1447338610762	0	0	0
BMS	ConnectorSynchronizer (import)	1447338910609	0	0	0
BMS	MeasurementSynchronizer	1447338910643	0	0	36
BMS	WorkOrderSynchronizer	1447338910708	0	0	0
BMS	TagSynchronizer	1447338910769	0	0	0
BMS	PropertySynchronizer	1447338910840	0	0	0
BMS	AlarmSynchronizer	1447338910861	0	0	0
BMS	ConnectorSynchronizer (import)	1447339210520	0	0	0
BMS	MeasurementSynchronizer	1447339210554	0	0	36
BMS	WorkOrderSynchronizer	1447339210621	0	0	0
BMS	TagSynchronizer	1447339210680	0	0	0
BMS	PropertySynchronizer	1447339210746	0	0	0
BMS	AlarmSynchronizer	1447339210766	0	0	0
BMS	ConnectorSynchronizer (import)	1447339510554	0	0	0
BMS	MeasurementSynchronizer	1447339510585	0	0	36
BMS	WorkOrderSynchronizer	1447339510643	0	0	0
BMS	TagSynchronizer	1447339510700	0	0	0
BMS	PropertySynchronizer	1447339510767	0	0	0
BMS	AlarmSynchronizer	1447339510789	0	0	0
BMS	ConnectorSynchronizer (import)	1447339810542	0	0	0
BMS	MeasurementSynchronizer	1447339810575	0	0	36
BMS	WorkOrderSynchronizer	1447339810638	0	0	0
BMS	TagSynchronizer	1447339810698	0	0	0
BMS	PropertySynchronizer	1447339810769	0	0	0
BMS	AlarmSynchronizer	1447339810789	0	0	0
BMS	ConnectorSynchronizer (import)	1447340110511	0	0	0
BMS	MeasurementSynchronizer	1447340110545	0	0	36
BMS	WorkOrderSynchronizer	1447340110614	0	0	0
BMS	TagSynchronizer	1447340110676	0	0	0
BMS	PropertySynchronizer	1447340110747	0	0	0
BMS	AlarmSynchronizer	1447340110768	0	0	0
BMS	ConnectorSynchronizer (import)	1447340410513	0	0	0
BMS	MeasurementSynchronizer	1447340410545	0	0	36
BMS	WorkOrderSynchronizer	1447340410610	0	0	0
BMS	TagSynchronizer	1447340410670	0	0	0
BMS	PropertySynchronizer	1447340410739	0	0	0
BMS	AlarmSynchronizer	1447340410760	0	0	0
BMS	ConnectorSynchronizer (import)	1447340710527	0	0	0
BMS	MeasurementSynchronizer	1447340710562	0	0	36
BMS	WorkOrderSynchronizer	1447340710629	0	0	0
BMS	TagSynchronizer	1447340710692	0	0	0
BMS	PropertySynchronizer	1447340710763	0	0	0
BMS	AlarmSynchronizer	1447340710785	0	0	0
BMS	ConnectorSynchronizer (import)	1447341010518	0	0	0
BMS	MeasurementSynchronizer	1447341010554	0	0	36
BMS	WorkOrderSynchronizer	1447341010622	0	0	0
BMS	TagSynchronizer	1447341010685	0	0	0
BMS	PropertySynchronizer	1447341010755	0	0	0
BMS	AlarmSynchronizer	1447341010777	0	0	0
BMS	ConnectorSynchronizer (import)	1447341310512	0	0	0
BMS	MeasurementSynchronizer	1447341310546	0	0	36
BMS	WorkOrderSynchronizer	1447341310610	0	0	0
BMS	TagSynchronizer	1447341310670	0	0	0
BMS	PropertySynchronizer	1447341310740	0	0	0
BMS	AlarmSynchronizer	1447341310762	0	0	0
BMS	ConnectorSynchronizer (import)	1447341610542	0	0	0
BMS	MeasurementSynchronizer	1447341610575	0	0	36
BMS	WorkOrderSynchronizer	1447341610642	0	0	0
BMS	TagSynchronizer	1447341610701	0	0	0
BMS	PropertySynchronizer	1447341610772	0	0	0
BMS	AlarmSynchronizer	1447341610794	0	0	0
BMS	ConnectorSynchronizer (import)	1447341910506	0	0	0
BMS	MeasurementSynchronizer	1447341910539	0	0	36
BMS	WorkOrderSynchronizer	1447341910607	0	0	0
BMS	TagSynchronizer	1447341910668	0	0	0
BMS	PropertySynchronizer	1447341910737	0	0	0
BMS	AlarmSynchronizer	1447341910759	0	0	0
BMS	ConnectorSynchronizer (import)	1447342210506	0	0	0
BMS	MeasurementSynchronizer	1447342210539	0	0	36
BMS	WorkOrderSynchronizer	1447342210604	0	0	0
BMS	TagSynchronizer	1447342210665	0	0	0
BMS	PropertySynchronizer	1447342210735	0	0	0
BMS	AlarmSynchronizer	1447342210756	0	0	0
BMS	ConnectorSynchronizer (import)	1447342510541	0	0	0
BMS	MeasurementSynchronizer	1447342510574	0	0	36
BMS	WorkOrderSynchronizer	1447342510639	0	0	0
BMS	TagSynchronizer	1447342510699	0	0	0
BMS	PropertySynchronizer	1447342510770	0	0	0
BMS	AlarmSynchronizer	1447342510792	0	0	0
BMS	ConnectorSynchronizer (import)	1447342810529	0	0	0
BMS	MeasurementSynchronizer	1447342810563	0	0	36
BMS	WorkOrderSynchronizer	1447342810629	0	0	0
BMS	TagSynchronizer	1447342810689	0	0	0
BMS	PropertySynchronizer	1447342810755	0	0	0
BMS	AlarmSynchronizer	1447342810775	0	0	0
BMS	ConnectorSynchronizer (import)	1447343110515	0	0	0
BMS	MeasurementSynchronizer	1447343110545	0	0	36
BMS	WorkOrderSynchronizer	1447343110602	0	0	0
BMS	TagSynchronizer	1447343110660	0	0	0
BMS	PropertySynchronizer	1447343110725	0	0	0
BMS	AlarmSynchronizer	1447343110745	0	0	0
BMS	ConnectorSynchronizer (import)	1447343410515	0	0	0
BMS	MeasurementSynchronizer	1447343410548	0	0	36
BMS	WorkOrderSynchronizer	1447343410615	0	0	0
BMS	TagSynchronizer	1447343410676	0	0	0
BMS	PropertySynchronizer	1447343410747	0	0	0
BMS	AlarmSynchronizer	1447343410768	0	0	0
BMS	ConnectorSynchronizer (import)	1447343710530	0	0	0
BMS	MeasurementSynchronizer	1447343710564	0	0	36
BMS	WorkOrderSynchronizer	1447343710630	0	0	0
BMS	TagSynchronizer	1447343710689	0	0	0
BMS	PropertySynchronizer	1447343710764	0	0	0
BMS	AlarmSynchronizer	1447343710785	0	0	0
BMS	ConnectorSynchronizer (import)	1447344010530	0	0	0
BMS	MeasurementSynchronizer	1447344010564	0	0	36
BMS	WorkOrderSynchronizer	1447344010627	0	0	0
BMS	TagSynchronizer	1447344010687	0	0	0
BMS	PropertySynchronizer	1447344010757	0	0	0
BMS	AlarmSynchronizer	1447344010778	0	0	0
BMS	ConnectorSynchronizer (import)	1447344310524	0	0	0
BMS	MeasurementSynchronizer	1447344310558	0	0	36
BMS	WorkOrderSynchronizer	1447344310621	0	0	0
BMS	TagSynchronizer	1447344310681	0	0	0
BMS	PropertySynchronizer	1447344310754	0	0	0
BMS	AlarmSynchronizer	1447344310775	0	0	0
BMS	ConnectorSynchronizer (import)	1447344610595	0	0	0
BMS	MeasurementSynchronizer	1447344610635	0	0	36
BMS	WorkOrderSynchronizer	1447344610702	0	0	0
BMS	TagSynchronizer	1447344610763	0	0	0
BMS	PropertySynchronizer	1447344610833	0	0	0
BMS	AlarmSynchronizer	1447344610855	0	0	0
BMS	ConnectorSynchronizer (import)	1447344910520	0	0	0
BMS	MeasurementSynchronizer	1447344910553	0	0	36
BMS	WorkOrderSynchronizer	1447344910615	0	0	0
BMS	TagSynchronizer	1447344910671	0	0	0
BMS	PropertySynchronizer	1447344910735	0	0	0
BMS	AlarmSynchronizer	1447344910755	0	0	0
BMS	ConnectorSynchronizer (import)	1447345210512	0	0	0
BMS	MeasurementSynchronizer	1447345210543	0	0	36
BMS	WorkOrderSynchronizer	1447345210603	0	0	0
BMS	TagSynchronizer	1447345210660	0	0	0
BMS	PropertySynchronizer	1447345210724	0	0	0
BMS	AlarmSynchronizer	1447345210742	0	0	0
BMS	ConnectorSynchronizer (import)	1447345510501	0	0	0
BMS	MeasurementSynchronizer	1447345510534	0	0	36
BMS	WorkOrderSynchronizer	1447345510599	0	0	0
BMS	TagSynchronizer	1447345510660	0	0	0
BMS	PropertySynchronizer	1447345510731	0	0	0
BMS	AlarmSynchronizer	1447345510753	0	0	0
BMS	ConnectorSynchronizer (import)	1447345810571	0	0	0
BMS	MeasurementSynchronizer	1447345810606	0	0	36
BMS	WorkOrderSynchronizer	1447345810674	0	0	0
BMS	TagSynchronizer	1447345810735	0	0	0
BMS	PropertySynchronizer	1447345810805	0	0	0
BMS	AlarmSynchronizer	1447345810826	0	0	0
BMS	ConnectorSynchronizer (import)	1447346110505	0	0	0
BMS	MeasurementSynchronizer	1447346110538	0	0	36
BMS	WorkOrderSynchronizer	1447346110603	0	0	0
BMS	TagSynchronizer	1447346110662	0	0	0
BMS	PropertySynchronizer	1447346110732	0	0	0
BMS	AlarmSynchronizer	1447346110754	0	0	0
BMS	ConnectorSynchronizer (import)	1447346410505	0	0	0
BMS	MeasurementSynchronizer	1447346410538	0	0	36
BMS	WorkOrderSynchronizer	1447346410603	0	0	0
BMS	TagSynchronizer	1447346410663	0	0	0
BMS	PropertySynchronizer	1447346410733	0	0	0
BMS	AlarmSynchronizer	1447346410755	0	0	0
BMS	ConnectorSynchronizer (import)	1447346710508	0	0	0
BMS	MeasurementSynchronizer	1447346710541	0	0	36
BMS	WorkOrderSynchronizer	1447346710606	0	0	0
BMS	TagSynchronizer	1447346710666	0	0	0
BMS	PropertySynchronizer	1447346710737	0	0	0
BMS	AlarmSynchronizer	1447346710759	0	0	0
BMS	ConnectorSynchronizer (import)	1447347010597	0	0	0
BMS	MeasurementSynchronizer	1447347010631	0	0	36
BMS	WorkOrderSynchronizer	1447347010696	0	0	0
BMS	TagSynchronizer	1447347010755	0	0	0
BMS	PropertySynchronizer	1447347010824	0	0	0
BMS	AlarmSynchronizer	1447347010845	0	0	0
BMS	ConnectorSynchronizer (import)	1447347310558	0	0	0
BMS	MeasurementSynchronizer	1447347310592	0	0	36
BMS	WorkOrderSynchronizer	1447347310653	0	0	0
BMS	TagSynchronizer	1447347310710	0	0	0
BMS	PropertySynchronizer	1447347310776	0	0	0
BMS	AlarmSynchronizer	1447347310797	0	0	0
BMS	ConnectorSynchronizer (import)	1447347610507	0	0	0
BMS	MeasurementSynchronizer	1447347610540	0	0	36
BMS	WorkOrderSynchronizer	1447347610605	0	0	0
BMS	TagSynchronizer	1447347610665	0	0	0
BMS	PropertySynchronizer	1447347610735	0	0	0
BMS	AlarmSynchronizer	1447347610756	0	0	0
BMS	ConnectorSynchronizer (import)	1447347910495	0	0	0
BMS	MeasurementSynchronizer	1447347910528	0	0	36
BMS	WorkOrderSynchronizer	1447347910592	0	0	0
BMS	TagSynchronizer	1447347910652	0	0	0
BMS	PropertySynchronizer	1447347910722	0	0	0
BMS	AlarmSynchronizer	1447347910743	0	0	0
BMS	ConnectorSynchronizer (import)	1447348210509	0	0	0
BMS	MeasurementSynchronizer	1447348210543	0	0	36
BMS	WorkOrderSynchronizer	1447348210612	0	0	0
BMS	TagSynchronizer	1447348210673	0	0	0
BMS	PropertySynchronizer	1447348210745	0	0	0
BMS	AlarmSynchronizer	1447348210766	0	0	0
BMS	ConnectorSynchronizer (import)	1447348510507	0	0	0
BMS	MeasurementSynchronizer	1447348510541	0	0	36
BMS	WorkOrderSynchronizer	1447348510605	0	0	0
BMS	TagSynchronizer	1447348510665	0	0	0
BMS	PropertySynchronizer	1447348510736	0	0	0
BMS	AlarmSynchronizer	1447348510757	0	0	0
BMS	ConnectorSynchronizer (import)	1447348810516	0	0	0
BMS	MeasurementSynchronizer	1447348810550	0	0	36
BMS	WorkOrderSynchronizer	1447348810617	0	0	0
BMS	TagSynchronizer	1447348810677	0	0	0
BMS	PropertySynchronizer	1447348810749	0	0	0
BMS	AlarmSynchronizer	1447348810770	0	0	0
BMS	ConnectorSynchronizer (import)	1447349110528	0	0	0
BMS	MeasurementSynchronizer	1447349110559	0	0	36
BMS	WorkOrderSynchronizer	1447349110618	0	0	0
BMS	TagSynchronizer	1447349110673	0	0	0
BMS	PropertySynchronizer	1447349110737	0	0	0
BMS	AlarmSynchronizer	1447349110757	0	0	0
BMS	ConnectorSynchronizer (import)	1447349410545	0	0	0
BMS	MeasurementSynchronizer	1447349410578	0	0	36
BMS	WorkOrderSynchronizer	1447349410642	0	0	0
BMS	TagSynchronizer	1447349410702	0	0	0
BMS	PropertySynchronizer	1447349410772	0	0	0
BMS	AlarmSynchronizer	1447349410793	0	0	0
BMS	ConnectorSynchronizer (import)	1447349710504	0	0	0
BMS	MeasurementSynchronizer	1447349710537	0	0	36
BMS	WorkOrderSynchronizer	1447349710601	0	0	0
BMS	TagSynchronizer	1447349710661	0	0	0
BMS	PropertySynchronizer	1447349710731	0	0	0
BMS	AlarmSynchronizer	1447349710752	0	0	0
BMS	ConnectorSynchronizer (import)	1447350010505	0	0	0
BMS	MeasurementSynchronizer	1447350010537	0	0	36
BMS	WorkOrderSynchronizer	1447350010600	0	0	0
BMS	TagSynchronizer	1447350010660	0	0	0
BMS	PropertySynchronizer	1447350010729	0	0	0
BMS	AlarmSynchronizer	1447350010751	0	0	0
BMS	ConnectorSynchronizer (import)	1447350310512	0	0	0
BMS	MeasurementSynchronizer	1447350310547	0	0	36
BMS	WorkOrderSynchronizer	1447350310614	0	0	0
BMS	TagSynchronizer	1447350310676	0	0	0
BMS	PropertySynchronizer	1447350310749	0	0	0
BMS	AlarmSynchronizer	1447350310771	0	0	0
BMS	ConnectorSynchronizer (import)	1447350610517	0	0	0
BMS	MeasurementSynchronizer	1447350610551	0	0	36
BMS	WorkOrderSynchronizer	1447350610616	0	0	0
BMS	TagSynchronizer	1447350610675	0	0	0
BMS	PropertySynchronizer	1447350610745	0	0	0
BMS	AlarmSynchronizer	1447350610766	0	0	0
BMS	ConnectorSynchronizer (import)	1447350910515	0	0	0
BMS	MeasurementSynchronizer	1447350910551	0	0	36
BMS	WorkOrderSynchronizer	1447350910619	0	0	0
BMS	TagSynchronizer	1447350910681	0	0	0
BMS	PropertySynchronizer	1447350910752	0	0	0
BMS	AlarmSynchronizer	1447350910774	0	0	0
BMS	ConnectorSynchronizer (import)	1447351210515	0	0	0
BMS	MeasurementSynchronizer	1447351210546	0	0	36
BMS	WorkOrderSynchronizer	1447351210605	0	0	0
BMS	TagSynchronizer	1447351210661	0	0	0
BMS	PropertySynchronizer	1447351210726	0	0	0
BMS	AlarmSynchronizer	1447351210745	0	0	0
BMS	ConnectorSynchronizer (import)	1447351510506	0	0	0
BMS	MeasurementSynchronizer	1447351510539	0	0	36
BMS	WorkOrderSynchronizer	1447351510604	0	0	0
BMS	TagSynchronizer	1447351510663	0	0	0
BMS	PropertySynchronizer	1447351510734	0	0	0
BMS	AlarmSynchronizer	1447351510755	0	0	0
BMS	ConnectorSynchronizer (import)	1447351810525	0	0	0
BMS	MeasurementSynchronizer	1447351810558	0	0	36
BMS	WorkOrderSynchronizer	1447351810623	0	0	0
BMS	TagSynchronizer	1447351810684	0	0	0
BMS	PropertySynchronizer	1447351810755	0	0	0
BMS	AlarmSynchronizer	1447351810777	0	0	0
BMS	ConnectorSynchronizer (import)	1447352110881	0	0	0
BMS	MeasurementSynchronizer	1447352110911	0	0	36
BMS	WorkOrderSynchronizer	1447352110969	0	0	0
BMS	TagSynchronizer	1447352111024	0	0	0
BMS	PropertySynchronizer	1447352111112	0	0	0
BMS	AlarmSynchronizer	1447352111138	0	0	0
BMS	ConnectorSynchronizer (import)	1447352410522	0	0	0
BMS	MeasurementSynchronizer	1447352410554	0	0	36
BMS	WorkOrderSynchronizer	1447352410619	0	0	0
BMS	TagSynchronizer	1447352410679	0	0	0
BMS	PropertySynchronizer	1447352410750	0	0	0
BMS	AlarmSynchronizer	1447352410771	0	0	0
BMS	ConnectorSynchronizer (import)	1447352710545	0	0	0
BMS	MeasurementSynchronizer	1447352710578	0	0	36
BMS	WorkOrderSynchronizer	1447352710646	0	0	0
BMS	TagSynchronizer	1447352710707	0	0	0
BMS	PropertySynchronizer	1447352710778	0	0	0
BMS	AlarmSynchronizer	1447352710799	0	0	0
BMS	ConnectorSynchronizer (import)	1447353010537	0	0	0
BMS	MeasurementSynchronizer	1447353010570	0	0	36
BMS	WorkOrderSynchronizer	1447353010632	0	0	0
BMS	TagSynchronizer	1447353010688	0	0	0
BMS	PropertySynchronizer	1447353010759	0	0	0
BMS	AlarmSynchronizer	1447353010783	0	0	0
BMS	ConnectorSynchronizer (import)	1447353310510	0	0	0
BMS	MeasurementSynchronizer	1447353310543	0	0	36
BMS	WorkOrderSynchronizer	1447353310609	0	0	0
BMS	TagSynchronizer	1447353310665	0	0	0
BMS	PropertySynchronizer	1447353310733	0	0	0
BMS	AlarmSynchronizer	1447353310751	0	0	0
BMS	ConnectorSynchronizer (import)	1447353610528	0	0	0
BMS	MeasurementSynchronizer	1447353610561	0	0	36
BMS	WorkOrderSynchronizer	1447353610627	0	0	0
BMS	TagSynchronizer	1447353610688	0	0	0
BMS	PropertySynchronizer	1447353610758	0	0	0
BMS	AlarmSynchronizer	1447353610778	0	0	0
BMS	ConnectorSynchronizer (import)	1447353910511	0	0	0
BMS	MeasurementSynchronizer	1447353910545	0	0	36
BMS	WorkOrderSynchronizer	1447353910609	0	0	0
BMS	TagSynchronizer	1447353910671	0	0	0
BMS	PropertySynchronizer	1447353910742	0	0	0
BMS	AlarmSynchronizer	1447353910765	0	0	0
BMS	ConnectorSynchronizer (import)	1447354210580	0	0	0
BMS	MeasurementSynchronizer	1447354210613	0	0	36
BMS	WorkOrderSynchronizer	1447354210677	0	0	0
BMS	TagSynchronizer	1447354210736	0	0	0
BMS	PropertySynchronizer	1447354210806	0	0	0
BMS	AlarmSynchronizer	1447354210826	0	0	0
BMS	ConnectorSynchronizer (import)	1447354510501	0	0	0
BMS	MeasurementSynchronizer	1447354510534	0	0	36
BMS	WorkOrderSynchronizer	1447354510598	0	0	0
BMS	TagSynchronizer	1447354510659	0	0	0
BMS	PropertySynchronizer	1447354510740	0	0	0
BMS	AlarmSynchronizer	1447354510765	0	0	0
BMS	ConnectorSynchronizer (import)	1447354810508	0	0	0
BMS	MeasurementSynchronizer	1447354810540	0	0	36
BMS	WorkOrderSynchronizer	1447354810600	0	0	0
BMS	TagSynchronizer	1447354810656	0	0	0
BMS	PropertySynchronizer	1447354810722	0	0	0
BMS	AlarmSynchronizer	1447354810742	0	0	0
BMS	ConnectorSynchronizer (import)	1447355110503	0	0	0
BMS	MeasurementSynchronizer	1447355110534	0	0	36
BMS	WorkOrderSynchronizer	1447355110597	0	0	0
BMS	TagSynchronizer	1447355110653	0	0	0
BMS	PropertySynchronizer	1447355110714	0	0	0
BMS	AlarmSynchronizer	1447355110735	0	0	0
BMS	ConnectorSynchronizer (import)	1447355410599	0	0	0
BMS	MeasurementSynchronizer	1447355410632	0	0	36
BMS	WorkOrderSynchronizer	1447355410697	0	0	0
BMS	TagSynchronizer	1447355410758	0	0	0
BMS	PropertySynchronizer	1447355410830	0	0	0
BMS	AlarmSynchronizer	1447355410853	0	0	0
BMS	ConnectorSynchronizer (import)	1447355710524	0	0	0
BMS	MeasurementSynchronizer	1447355710558	0	0	36
BMS	WorkOrderSynchronizer	1447355710624	0	0	0
BMS	TagSynchronizer	1447355710685	0	0	0
BMS	PropertySynchronizer	1447355710756	0	0	0
BMS	AlarmSynchronizer	1447355710777	0	0	0
BMS	ConnectorSynchronizer (import)	1447356010510	0	0	0
BMS	MeasurementSynchronizer	1447356010543	0	0	36
BMS	WorkOrderSynchronizer	1447356010608	0	0	0
BMS	TagSynchronizer	1447356010668	0	0	0
BMS	PropertySynchronizer	1447356010738	0	0	0
BMS	AlarmSynchronizer	1447356010759	0	0	0
BMS	ConnectorSynchronizer (import)	1447356310510	0	0	0
BMS	MeasurementSynchronizer	1447356310547	0	0	36
BMS	WorkOrderSynchronizer	1447356310614	0	0	0
BMS	TagSynchronizer	1447356310674	0	0	0
BMS	PropertySynchronizer	1447356310746	0	0	0
BMS	AlarmSynchronizer	1447356310767	0	0	0
BMS	ConnectorSynchronizer (import)	1447356610523	0	0	0
BMS	MeasurementSynchronizer	1447356610557	0	0	36
BMS	WorkOrderSynchronizer	1447356610625	0	0	0
BMS	TagSynchronizer	1447356610687	0	0	0
BMS	PropertySynchronizer	1447356610758	0	0	0
BMS	AlarmSynchronizer	1447356610781	0	0	0
BMS	ConnectorSynchronizer (import)	1447356910537	0	0	0
BMS	MeasurementSynchronizer	1447356910570	0	0	36
BMS	WorkOrderSynchronizer	1447356910635	0	0	0
BMS	TagSynchronizer	1447356910694	0	0	0
BMS	PropertySynchronizer	1447356910765	0	0	0
BMS	AlarmSynchronizer	1447356910786	0	0	0
BMS	ConnectorSynchronizer (import)	1447357210534	0	0	0
BMS	MeasurementSynchronizer	1447357210567	0	0	36
BMS	WorkOrderSynchronizer	1447357210632	0	0	0
BMS	TagSynchronizer	1447357210692	0	0	0
BMS	PropertySynchronizer	1447357210764	0	0	0
BMS	AlarmSynchronizer	1447357210786	0	0	0
BMS	ConnectorSynchronizer (import)	1447357510501	0	0	0
BMS	MeasurementSynchronizer	1447357510534	0	0	36
BMS	WorkOrderSynchronizer	1447357510599	0	0	0
BMS	TagSynchronizer	1447357510660	0	0	0
BMS	PropertySynchronizer	1447357510731	0	0	0
BMS	AlarmSynchronizer	1447357510752	0	0	0
BMS	ConnectorSynchronizer (import)	1447357810519	0	0	0
BMS	MeasurementSynchronizer	1447357810551	0	0	36
BMS	WorkOrderSynchronizer	1447357810617	0	0	0
BMS	TagSynchronizer	1447357810676	0	0	0
BMS	PropertySynchronizer	1447357810747	0	0	0
BMS	AlarmSynchronizer	1447357810768	0	0	0
BMS	ConnectorSynchronizer (import)	1447358110539	0	0	0
BMS	MeasurementSynchronizer	1447358110574	0	0	36
BMS	WorkOrderSynchronizer	1447358110643	0	0	0
BMS	TagSynchronizer	1447358110705	0	0	0
BMS	PropertySynchronizer	1447358110776	0	0	0
BMS	AlarmSynchronizer	1447358110799	0	0	0
BMS	ConnectorSynchronizer (import)	1447358410500	0	0	0
BMS	MeasurementSynchronizer	1447358410536	0	0	36
BMS	WorkOrderSynchronizer	1447358410608	0	0	0
BMS	TagSynchronizer	1447358410671	0	0	0
BMS	PropertySynchronizer	1447358410744	0	0	0
BMS	AlarmSynchronizer	1447358410767	0	0	0
BMS	ConnectorSynchronizer (import)	1447358710509	0	0	0
BMS	MeasurementSynchronizer	1447358710542	0	0	36
BMS	WorkOrderSynchronizer	1447358710608	0	0	0
BMS	TagSynchronizer	1447358710667	0	0	0
BMS	PropertySynchronizer	1447358710740	0	0	0
BMS	AlarmSynchronizer	1447358710762	0	0	0
BMS	ConnectorSynchronizer (import)	1447359010527	0	0	0
BMS	MeasurementSynchronizer	1447359010560	0	0	36
BMS	WorkOrderSynchronizer	1447359010625	0	0	0
BMS	TagSynchronizer	1447359010685	0	0	0
BMS	PropertySynchronizer	1447359010758	0	0	0
BMS	AlarmSynchronizer	1447359010779	0	0	0
BMS	ConnectorSynchronizer (import)	1447359310586	0	0	0
BMS	MeasurementSynchronizer	1447359310620	0	0	36
BMS	WorkOrderSynchronizer	1447359310685	0	0	0
BMS	TagSynchronizer	1447359310745	0	0	0
BMS	PropertySynchronizer	1447359310816	0	0	0
BMS	AlarmSynchronizer	1447359310838	0	0	0
BMS	ConnectorSynchronizer (import)	1447359610531	0	0	0
BMS	MeasurementSynchronizer	1447359610564	0	0	36
BMS	WorkOrderSynchronizer	1447359610631	0	0	0
BMS	TagSynchronizer	1447359610693	0	0	0
BMS	PropertySynchronizer	1447359610766	0	0	0
BMS	AlarmSynchronizer	1447359610788	0	0	0
BMS	ConnectorSynchronizer (import)	1447359910530	0	0	0
BMS	MeasurementSynchronizer	1447359910564	0	0	36
BMS	WorkOrderSynchronizer	1447359910629	0	0	0
BMS	TagSynchronizer	1447359910689	0	0	0
BMS	PropertySynchronizer	1447359910759	0	0	0
BMS	AlarmSynchronizer	1447359910780	0	0	0
BMS	ConnectorSynchronizer (import)	1447360210543	0	0	0
BMS	MeasurementSynchronizer	1447360210574	0	0	36
BMS	WorkOrderSynchronizer	1447360210633	0	0	0
BMS	TagSynchronizer	1447360210689	0	0	0
BMS	PropertySynchronizer	1447360210753	0	0	0
BMS	AlarmSynchronizer	1447360210773	0	0	0
BMS	ConnectorSynchronizer (import)	1447360510587	0	0	0
BMS	MeasurementSynchronizer	1447360510621	0	0	36
BMS	WorkOrderSynchronizer	1447360510689	0	0	0
BMS	TagSynchronizer	1447360510754	0	0	0
BMS	PropertySynchronizer	1447360510824	0	0	0
BMS	AlarmSynchronizer	1447360510845	0	0	0
BMS	ConnectorSynchronizer (import)	1447360810508	0	0	0
BMS	MeasurementSynchronizer	1447360810541	0	0	36
BMS	WorkOrderSynchronizer	1447360810605	0	0	0
BMS	TagSynchronizer	1447360810666	0	0	0
BMS	PropertySynchronizer	1447360810737	0	0	0
BMS	AlarmSynchronizer	1447360810759	0	0	0
BMS	ConnectorSynchronizer (import)	1447361110510	0	0	0
BMS	MeasurementSynchronizer	1447361110543	0	0	36
BMS	WorkOrderSynchronizer	1447361110611	0	0	0
BMS	TagSynchronizer	1447361110672	0	0	0
BMS	PropertySynchronizer	1447361110743	0	0	0
BMS	AlarmSynchronizer	1447361110766	0	0	0
BMS	ConnectorSynchronizer (import)	1447361410523	0	0	0
BMS	MeasurementSynchronizer	1447361410556	0	0	36
BMS	WorkOrderSynchronizer	1447361410623	0	0	0
BMS	TagSynchronizer	1447361410688	0	0	0
BMS	PropertySynchronizer	1447361410759	0	0	0
BMS	AlarmSynchronizer	1447361410782	0	0	0
BMS	ConnectorSynchronizer (import)	1447361710516	0	0	0
BMS	MeasurementSynchronizer	1447361710553	0	0	36
BMS	WorkOrderSynchronizer	1447361710618	0	0	0
BMS	TagSynchronizer	1447361710677	0	0	0
BMS	PropertySynchronizer	1447361710748	0	0	0
BMS	AlarmSynchronizer	1447361710770	0	0	0
BMS	ConnectorSynchronizer (import)	1447362010536	0	0	0
BMS	MeasurementSynchronizer	1447362010571	0	0	36
BMS	WorkOrderSynchronizer	1447362010638	0	0	0
BMS	TagSynchronizer	1447362010698	0	0	0
BMS	PropertySynchronizer	1447362010764	0	0	0
BMS	AlarmSynchronizer	1447362010792	0	0	0
BMS	ConnectorSynchronizer (import)	1447362310518	0	0	0
BMS	MeasurementSynchronizer	1447362310549	0	0	36
BMS	WorkOrderSynchronizer	1447362310599	0	0	0
BMS	TagSynchronizer	1447362310644	0	0	0
BMS	PropertySynchronizer	1447362310694	0	0	0
BMS	AlarmSynchronizer	1447362310713	0	0	0
BMS	ConnectorSynchronizer (import)	1447362610508	0	0	0
BMS	MeasurementSynchronizer	1447362610543	0	0	36
BMS	WorkOrderSynchronizer	1447362610616	0	0	0
BMS	TagSynchronizer	1447362610677	0	0	0
BMS	PropertySynchronizer	1447362610751	0	0	0
BMS	AlarmSynchronizer	1447362610773	0	0	0
BMS	ConnectorSynchronizer (import)	1447362910506	0	0	0
BMS	MeasurementSynchronizer	1447362910538	0	0	36
BMS	WorkOrderSynchronizer	1447362910602	0	0	0
BMS	TagSynchronizer	1447362910662	0	0	0
BMS	PropertySynchronizer	1447362910732	0	0	0
BMS	AlarmSynchronizer	1447362910753	0	0	0
BMS	ConnectorSynchronizer (import)	1447363210529	0	0	0
BMS	MeasurementSynchronizer	1447363210564	0	0	36
BMS	WorkOrderSynchronizer	1447363210632	0	0	0
BMS	TagSynchronizer	1447363210695	0	0	0
BMS	PropertySynchronizer	1447363210767	0	0	0
BMS	AlarmSynchronizer	1447363210790	0	0	0
BMS	ConnectorSynchronizer (import)	1447363510515	0	0	0
BMS	MeasurementSynchronizer	1447363510548	0	0	36
BMS	WorkOrderSynchronizer	1447363510612	0	0	0
BMS	TagSynchronizer	1447363510672	0	0	0
BMS	PropertySynchronizer	1447363510742	0	0	0
BMS	AlarmSynchronizer	1447363510765	0	0	0
BMS	ConnectorSynchronizer (import)	1447363810545	0	0	0
BMS	MeasurementSynchronizer	1447363810577	0	0	36
BMS	WorkOrderSynchronizer	1447363810637	0	0	0
BMS	TagSynchronizer	1447363810692	0	0	0
BMS	PropertySynchronizer	1447363810758	0	0	0
BMS	AlarmSynchronizer	1447363810777	0	0	0
BMS	ConnectorSynchronizer (import)	1447364110514	0	0	0
BMS	MeasurementSynchronizer	1447364110545	0	0	36
BMS	WorkOrderSynchronizer	1447364110605	0	0	0
BMS	TagSynchronizer	1447364110661	0	0	0
BMS	PropertySynchronizer	1447364110724	0	0	0
BMS	AlarmSynchronizer	1447364110742	0	0	0
BMS	ConnectorSynchronizer (import)	1447364410860	0	0	0
BMS	MeasurementSynchronizer	1447364410890	0	0	36
BMS	WorkOrderSynchronizer	1447364410945	0	0	0
BMS	TagSynchronizer	1447364411002	0	0	0
BMS	PropertySynchronizer	1447364411072	0	0	0
BMS	AlarmSynchronizer	1447364411092	0	0	0
BMS	ConnectorSynchronizer (import)	1447364710504	0	0	0
BMS	MeasurementSynchronizer	1447364710537	0	0	36
BMS	WorkOrderSynchronizer	1447364710602	0	0	0
BMS	TagSynchronizer	1447364710661	0	0	0
BMS	PropertySynchronizer	1447364710732	0	0	0
BMS	AlarmSynchronizer	1447364710754	0	0	0
BMS	ConnectorSynchronizer (import)	1447365010517	0	0	0
BMS	MeasurementSynchronizer	1447365010551	0	0	36
BMS	WorkOrderSynchronizer	1447365010617	0	0	0
BMS	TagSynchronizer	1447365010677	0	0	0
BMS	PropertySynchronizer	1447365010749	0	0	0
BMS	AlarmSynchronizer	1447365010771	0	0	0
BMS	ConnectorSynchronizer (import)	1447365310543	0	0	0
BMS	MeasurementSynchronizer	1447365310578	0	0	36
BMS	WorkOrderSynchronizer	1447365310646	0	0	0
BMS	TagSynchronizer	1447365310708	0	0	0
BMS	PropertySynchronizer	1447365310780	0	0	0
BMS	AlarmSynchronizer	1447365310802	0	0	0
BMS	ConnectorSynchronizer (import)	1447365610551	0	0	0
BMS	MeasurementSynchronizer	1447365610585	0	0	36
BMS	WorkOrderSynchronizer	1447365610653	0	0	0
BMS	TagSynchronizer	1447365610715	0	0	0
BMS	PropertySynchronizer	1447365610781	0	0	0
BMS	AlarmSynchronizer	1447365610801	0	0	0
BMS	ConnectorSynchronizer (import)	1447365910509	0	0	0
BMS	MeasurementSynchronizer	1447365910545	0	0	36
BMS	WorkOrderSynchronizer	1447365910609	0	0	0
BMS	TagSynchronizer	1447365910668	0	0	0
BMS	PropertySynchronizer	1447365910737	0	0	0
BMS	AlarmSynchronizer	1447365910758	0	0	0
BMS	ConnectorSynchronizer (import)	1447366210514	0	0	0
BMS	MeasurementSynchronizer	1447366210546	0	0	36
BMS	WorkOrderSynchronizer	1447366210606	0	0	0
BMS	TagSynchronizer	1447366210664	0	0	0
BMS	PropertySynchronizer	1447366210734	0	0	0
BMS	AlarmSynchronizer	1447366210755	0	0	0
BMS	ConnectorSynchronizer (import)	1447366510522	0	0	0
BMS	MeasurementSynchronizer	1447366510555	0	0	36
BMS	WorkOrderSynchronizer	1447366510620	0	0	0
BMS	TagSynchronizer	1447366510682	0	0	0
BMS	PropertySynchronizer	1447366510752	0	0	0
BMS	AlarmSynchronizer	1447366510774	0	0	0
BMS	ConnectorSynchronizer (import)	1447366810528	0	0	0
BMS	MeasurementSynchronizer	1447366810562	0	0	36
BMS	WorkOrderSynchronizer	1447366810631	0	0	0
BMS	TagSynchronizer	1447366810699	0	0	0
BMS	PropertySynchronizer	1447366810772	0	0	0
BMS	AlarmSynchronizer	1447366810796	0	0	0
BMS	ConnectorSynchronizer (import)	1447367110504	0	0	0
BMS	MeasurementSynchronizer	1447367110534	0	0	36
BMS	WorkOrderSynchronizer	1447367110593	0	0	0
BMS	TagSynchronizer	1447367110649	0	0	0
BMS	PropertySynchronizer	1447367110714	0	0	0
BMS	AlarmSynchronizer	1447367110733	0	0	0
BMS	ConnectorSynchronizer (import)	1447367410521	0	0	0
BMS	MeasurementSynchronizer	1447367410554	0	0	36
BMS	WorkOrderSynchronizer	1447367410623	0	0	0
BMS	TagSynchronizer	1447367410683	0	0	0
BMS	PropertySynchronizer	1447367410753	0	0	0
BMS	AlarmSynchronizer	1447367410775	0	0	0
BMS	ConnectorSynchronizer (import)	1447367710518	0	0	0
BMS	MeasurementSynchronizer	1447367710552	0	0	36
BMS	WorkOrderSynchronizer	1447367710616	0	0	0
BMS	TagSynchronizer	1447367710677	0	0	0
BMS	PropertySynchronizer	1447367710752	0	0	0
BMS	AlarmSynchronizer	1447367710773	0	0	0
BMS	ConnectorSynchronizer (import)	1447368010518	0	0	0
BMS	MeasurementSynchronizer	1447368010551	0	0	36
BMS	WorkOrderSynchronizer	1447368010618	0	0	0
BMS	TagSynchronizer	1447368010678	0	0	0
BMS	PropertySynchronizer	1447368010749	0	0	0
BMS	AlarmSynchronizer	1447368010771	0	0	0
BMS	ConnectorSynchronizer (import)	1447368310507	0	0	0
BMS	MeasurementSynchronizer	1447368310541	0	0	36
BMS	WorkOrderSynchronizer	1447368310609	0	0	0
BMS	TagSynchronizer	1447368310671	0	0	0
BMS	PropertySynchronizer	1447368310741	0	0	0
BMS	AlarmSynchronizer	1447368310764	0	0	0
BMS	ConnectorSynchronizer (import)	1447368610540	0	0	0
BMS	MeasurementSynchronizer	1447368610576	0	0	36
BMS	WorkOrderSynchronizer	1447368610644	0	0	0
BMS	TagSynchronizer	1447368610706	0	0	0
BMS	PropertySynchronizer	1447368610777	0	0	0
BMS	AlarmSynchronizer	1447368610799	0	0	0
BMS	ConnectorSynchronizer (import)	1447368910508	0	0	0
BMS	MeasurementSynchronizer	1447368910539	0	0	36
BMS	WorkOrderSynchronizer	1447368910599	0	0	0
BMS	TagSynchronizer	1447368910655	0	0	0
BMS	PropertySynchronizer	1447368910719	0	0	0
BMS	AlarmSynchronizer	1447368910737	0	0	0
BMS	ConnectorSynchronizer (import)	1447369210497	0	0	0
BMS	MeasurementSynchronizer	1447369210530	0	0	36
BMS	WorkOrderSynchronizer	1447369210596	0	0	0
BMS	TagSynchronizer	1447369210656	0	0	0
BMS	PropertySynchronizer	1447369210726	0	0	0
BMS	AlarmSynchronizer	1447369210747	0	0	0
BMS	ConnectorSynchronizer (import)	1447369510539	0	0	0
BMS	MeasurementSynchronizer	1447369510572	0	0	36
BMS	WorkOrderSynchronizer	1447369510640	0	0	0
BMS	TagSynchronizer	1447369510699	0	0	0
BMS	PropertySynchronizer	1447369510778	0	0	0
BMS	AlarmSynchronizer	1447369510800	0	0	0
BMS	ConnectorSynchronizer (import)	1447369810527	0	0	0
BMS	MeasurementSynchronizer	1447369810560	0	0	36
BMS	WorkOrderSynchronizer	1447369810624	0	0	0
BMS	TagSynchronizer	1447369810683	0	0	0
BMS	PropertySynchronizer	1447369810753	0	0	0
BMS	AlarmSynchronizer	1447369810774	0	0	0
BMS	ConnectorSynchronizer (import)	1447370110546	0	0	0
BMS	MeasurementSynchronizer	1447370110581	0	0	36
BMS	WorkOrderSynchronizer	1447370110649	0	0	0
BMS	TagSynchronizer	1447370110711	0	0	0
BMS	PropertySynchronizer	1447370110782	0	0	0
BMS	AlarmSynchronizer	1447370110805	0	0	0
BMS	ConnectorSynchronizer (import)	1447370410546	0	0	0
BMS	MeasurementSynchronizer	1447370410579	0	0	36
BMS	WorkOrderSynchronizer	1447370410644	0	0	0
BMS	TagSynchronizer	1447370410704	0	0	0
BMS	PropertySynchronizer	1447370410774	0	0	0
BMS	AlarmSynchronizer	1447370410796	0	0	0
BMS	ConnectorSynchronizer (import)	1447370710508	0	0	0
BMS	MeasurementSynchronizer	1447370710539	0	0	36
BMS	WorkOrderSynchronizer	1447370710598	0	0	0
BMS	TagSynchronizer	1447370710655	0	0	0
BMS	PropertySynchronizer	1447370710719	0	0	0
BMS	AlarmSynchronizer	1447370710740	0	0	0
BMS	ConnectorSynchronizer (import)	1447371010518	0	0	0
BMS	MeasurementSynchronizer	1447371010551	0	0	36
BMS	WorkOrderSynchronizer	1447371010616	0	0	0
BMS	TagSynchronizer	1447371010676	0	0	0
BMS	PropertySynchronizer	1447371010745	0	0	0
BMS	AlarmSynchronizer	1447371010767	0	0	0
BMS	ConnectorSynchronizer (import)	1447371310507	0	0	0
BMS	MeasurementSynchronizer	1447371310540	0	0	36
BMS	WorkOrderSynchronizer	1447371310604	0	0	0
BMS	TagSynchronizer	1447371310663	0	0	0
BMS	PropertySynchronizer	1447371310734	0	0	0
BMS	AlarmSynchronizer	1447371310754	0	0	0
BMS	ConnectorSynchronizer (import)	1447371610518	0	0	0
BMS	MeasurementSynchronizer	1447371610550	0	0	36
BMS	WorkOrderSynchronizer	1447371610615	0	0	0
BMS	TagSynchronizer	1447371610675	0	0	0
BMS	PropertySynchronizer	1447371610744	0	0	0
BMS	AlarmSynchronizer	1447371610765	0	0	0
BMS	ConnectorSynchronizer (import)	1447371910537	0	0	0
BMS	MeasurementSynchronizer	1447371910572	0	0	36
BMS	WorkOrderSynchronizer	1447371910639	0	0	0
BMS	TagSynchronizer	1447371910700	0	0	0
BMS	PropertySynchronizer	1447371910770	0	0	0
BMS	AlarmSynchronizer	1447371910791	0	0	0
BMS	ConnectorSynchronizer (import)	1447372210522	0	0	0
BMS	MeasurementSynchronizer	1447372210555	0	0	36
BMS	WorkOrderSynchronizer	1447372210620	0	0	0
BMS	TagSynchronizer	1447372210680	0	0	0
BMS	PropertySynchronizer	1447372210755	0	0	0
BMS	AlarmSynchronizer	1447372210776	0	0	0
BMS	ConnectorSynchronizer (import)	1447372510509	0	0	0
BMS	MeasurementSynchronizer	1447372510541	0	0	36
BMS	WorkOrderSynchronizer	1447372510600	0	0	0
BMS	TagSynchronizer	1447372510655	0	0	0
BMS	PropertySynchronizer	1447372510721	0	0	0
BMS	AlarmSynchronizer	1447372510740	0	0	0
BMS	ConnectorSynchronizer (import)	1447372810500	0	0	0
BMS	MeasurementSynchronizer	1447372810532	0	0	36
BMS	WorkOrderSynchronizer	1447372810597	0	0	0
BMS	TagSynchronizer	1447372810658	0	0	0
BMS	PropertySynchronizer	1447372810729	0	0	0
BMS	AlarmSynchronizer	1447372810751	0	0	0
BMS	ConnectorSynchronizer (import)	1447373110516	0	0	0
BMS	MeasurementSynchronizer	1447373110549	0	0	36
BMS	WorkOrderSynchronizer	1447373110614	0	0	0
BMS	TagSynchronizer	1447373110675	0	0	0
BMS	PropertySynchronizer	1447373110745	0	0	0
BMS	AlarmSynchronizer	1447373110766	0	0	0
BMS	ConnectorSynchronizer (import)	1447373410509	0	0	0
BMS	MeasurementSynchronizer	1447373410543	0	0	36
BMS	WorkOrderSynchronizer	1447373410608	0	0	0
BMS	TagSynchronizer	1447373410669	0	0	0
BMS	PropertySynchronizer	1447373410743	0	0	0
BMS	AlarmSynchronizer	1447373410764	0	0	0
BMS	ConnectorSynchronizer (import)	1447373710510	0	0	0
BMS	MeasurementSynchronizer	1447373710542	0	0	36
BMS	WorkOrderSynchronizer	1447373710608	0	0	0
BMS	TagSynchronizer	1447373710668	0	0	0
BMS	PropertySynchronizer	1447373710739	0	0	0
BMS	AlarmSynchronizer	1447373710761	0	0	0
BMS	ConnectorSynchronizer (import)	1447374010507	0	0	0
BMS	MeasurementSynchronizer	1447374010539	0	0	36
BMS	WorkOrderSynchronizer	1447374010604	0	0	0
BMS	TagSynchronizer	1447374010663	0	0	0
BMS	PropertySynchronizer	1447374010732	0	0	0
BMS	AlarmSynchronizer	1447374010753	0	0	0
BMS	ConnectorSynchronizer (import)	1447374310545	0	0	0
BMS	MeasurementSynchronizer	1447374310580	0	0	36
BMS	WorkOrderSynchronizer	1447374310656	0	0	0
BMS	TagSynchronizer	1447374310721	0	0	0
BMS	PropertySynchronizer	1447374310791	0	0	0
BMS	AlarmSynchronizer	1447374310813	0	0	0
BMS	ConnectorSynchronizer (import)	1447374610509	0	0	0
BMS	MeasurementSynchronizer	1447374610541	0	0	36
BMS	WorkOrderSynchronizer	1447374610602	0	0	0
BMS	TagSynchronizer	1447374610658	0	0	0
BMS	PropertySynchronizer	1447374610725	0	0	0
BMS	AlarmSynchronizer	1447374610745	0	0	0
BMS	ConnectorSynchronizer (import)	1447374910497	0	0	0
BMS	MeasurementSynchronizer	1447374910530	0	0	36
BMS	WorkOrderSynchronizer	1447374910594	0	0	0
BMS	TagSynchronizer	1447374910654	0	0	0
BMS	PropertySynchronizer	1447374910724	0	0	0
BMS	AlarmSynchronizer	1447374910745	0	0	0
BMS	ConnectorSynchronizer (import)	1447375210508	0	0	0
BMS	MeasurementSynchronizer	1447375210541	0	0	36
BMS	WorkOrderSynchronizer	1447375210606	0	0	0
BMS	TagSynchronizer	1447375210666	0	0	0
BMS	PropertySynchronizer	1447375210735	0	0	0
BMS	AlarmSynchronizer	1447375210756	0	0	0
BMS	ConnectorSynchronizer (import)	1447375510500	0	0	0
BMS	MeasurementSynchronizer	1447375510534	0	0	36
BMS	WorkOrderSynchronizer	1447375510598	0	0	0
BMS	TagSynchronizer	1447375510658	0	0	0
BMS	PropertySynchronizer	1447375510728	0	0	0
BMS	AlarmSynchronizer	1447375510750	0	0	0
BMS	ConnectorSynchronizer (import)	1447375810504	0	0	0
BMS	MeasurementSynchronizer	1447375810537	0	0	36
BMS	WorkOrderSynchronizer	1447375810602	0	0	0
BMS	TagSynchronizer	1447375810661	0	0	0
BMS	PropertySynchronizer	1447375810731	0	0	0
BMS	AlarmSynchronizer	1447375810752	0	0	0
BMS	ConnectorSynchronizer (import)	1447376110512	0	0	0
BMS	MeasurementSynchronizer	1447376110544	0	0	36
BMS	WorkOrderSynchronizer	1447376110609	0	0	0
BMS	TagSynchronizer	1447376110669	0	0	0
BMS	PropertySynchronizer	1447376110738	0	0	0
BMS	AlarmSynchronizer	1447376110759	0	0	0
BMS	ConnectorSynchronizer (import)	1447376410525	0	0	0
BMS	MeasurementSynchronizer	1447376410559	0	0	36
BMS	WorkOrderSynchronizer	1447376410624	0	0	0
BMS	TagSynchronizer	1447376410683	0	0	0
BMS	PropertySynchronizer	1447376410753	0	0	0
BMS	AlarmSynchronizer	1447376410774	0	0	0
BMS	ConnectorSynchronizer (import)	1447376710553	0	0	0
BMS	MeasurementSynchronizer	1447376710589	0	0	36
BMS	WorkOrderSynchronizer	1447376710656	0	0	0
BMS	TagSynchronizer	1447376710717	0	0	0
BMS	PropertySynchronizer	1447376710787	0	0	0
BMS	AlarmSynchronizer	1447376710808	0	0	0
BMS	ConnectorSynchronizer (import)	1447377010515	0	0	0
BMS	MeasurementSynchronizer	1447377010548	0	0	36
BMS	WorkOrderSynchronizer	1447377010612	0	0	0
BMS	TagSynchronizer	1447377010672	0	0	0
BMS	PropertySynchronizer	1447377010740	0	0	0
BMS	AlarmSynchronizer	1447377010763	0	0	0
BMS	ConnectorSynchronizer (import)	1447377310500	0	0	0
BMS	MeasurementSynchronizer	1447377310533	0	0	36
BMS	WorkOrderSynchronizer	1447377310600	0	0	0
BMS	TagSynchronizer	1447377310662	0	0	0
BMS	PropertySynchronizer	1447377310733	0	0	0
BMS	AlarmSynchronizer	1447377310757	0	0	0
BMS	ConnectorSynchronizer (import)	1447377610510	0	0	0
BMS	MeasurementSynchronizer	1447377610544	0	0	36
BMS	WorkOrderSynchronizer	1447377610609	0	0	0
BMS	TagSynchronizer	1447377610670	0	0	0
BMS	PropertySynchronizer	1447377610740	0	0	0
BMS	AlarmSynchronizer	1447377610762	0	0	0
BMS	ConnectorSynchronizer (import)	1447377910509	0	0	0
BMS	MeasurementSynchronizer	1447377910542	0	0	36
BMS	WorkOrderSynchronizer	1447377910607	0	0	0
BMS	TagSynchronizer	1447377910667	0	0	0
BMS	PropertySynchronizer	1447377910738	0	0	0
BMS	AlarmSynchronizer	1447377910759	0	0	0
BMS	ConnectorSynchronizer (import)	1447378210538	0	0	0
BMS	MeasurementSynchronizer	1447378210571	0	0	36
BMS	WorkOrderSynchronizer	1447378210637	0	0	0
BMS	TagSynchronizer	1447378210696	0	0	0
BMS	PropertySynchronizer	1447378210765	0	0	0
BMS	AlarmSynchronizer	1447378210786	0	0	0
BMS	ConnectorSynchronizer (import)	1447378510514	0	0	0
BMS	MeasurementSynchronizer	1447378510547	0	0	36
BMS	WorkOrderSynchronizer	1447378510612	0	0	0
BMS	TagSynchronizer	1447378510673	0	0	0
BMS	PropertySynchronizer	1447378510743	0	0	0
BMS	AlarmSynchronizer	1447378510765	0	0	0
BMS	ConnectorSynchronizer (import)	1447378810512	0	0	0
BMS	MeasurementSynchronizer	1447378810545	0	0	36
BMS	WorkOrderSynchronizer	1447378810614	0	0	0
BMS	TagSynchronizer	1447378810676	0	0	0
BMS	PropertySynchronizer	1447378810751	0	0	0
BMS	AlarmSynchronizer	1447378810774	0	0	0
BMS	ConnectorSynchronizer (import)	1447379110521	0	0	0
BMS	MeasurementSynchronizer	1447379110552	0	0	36
BMS	WorkOrderSynchronizer	1447379110611	0	0	0
BMS	TagSynchronizer	1447379110666	0	0	0
BMS	PropertySynchronizer	1447379110732	0	0	0
BMS	AlarmSynchronizer	1447379110752	0	0	0
BMS	ConnectorSynchronizer (import)	1447379410514	0	0	0
BMS	MeasurementSynchronizer	1447379410547	0	0	36
BMS	WorkOrderSynchronizer	1447379410612	0	0	0
BMS	TagSynchronizer	1447379410680	0	0	0
BMS	PropertySynchronizer	1447379410752	0	0	0
BMS	AlarmSynchronizer	1447379410775	0	0	0
BMS	ConnectorSynchronizer (import)	1447379710511	0	0	0
BMS	MeasurementSynchronizer	1447379710545	0	0	36
BMS	WorkOrderSynchronizer	1447379710610	0	0	0
BMS	TagSynchronizer	1447379710670	0	0	0
BMS	PropertySynchronizer	1447379710742	0	0	0
BMS	AlarmSynchronizer	1447379710764	0	0	0
BMS	ConnectorSynchronizer (import)	1447380010528	0	0	0
BMS	MeasurementSynchronizer	1447380010562	0	0	36
BMS	WorkOrderSynchronizer	1447380010629	0	0	0
BMS	TagSynchronizer	1447380010690	0	0	0
BMS	PropertySynchronizer	1447380010760	0	0	0
BMS	AlarmSynchronizer	1447380010781	0	0	0
BMS	ConnectorSynchronizer (import)	1447380310553	0	0	0
BMS	MeasurementSynchronizer	1447380310586	0	0	36
BMS	WorkOrderSynchronizer	1447380310652	0	0	0
BMS	TagSynchronizer	1447380310714	0	0	0
BMS	PropertySynchronizer	1447380310789	0	0	0
BMS	AlarmSynchronizer	1447380310812	0	0	0
BMS	ConnectorSynchronizer (import)	1447380610540	0	0	0
BMS	MeasurementSynchronizer	1447380610574	0	0	36
BMS	WorkOrderSynchronizer	1447380610644	0	0	0
BMS	TagSynchronizer	1447380610708	0	0	0
BMS	PropertySynchronizer	1447380610780	0	0	0
BMS	AlarmSynchronizer	1447380610803	0	0	0
BMS	ConnectorSynchronizer (import)	1447380910523	0	0	0
BMS	MeasurementSynchronizer	1447380910555	0	0	36
BMS	WorkOrderSynchronizer	1447380910616	0	0	0
BMS	TagSynchronizer	1447380910674	0	0	0
BMS	PropertySynchronizer	1447380910738	0	0	0
BMS	AlarmSynchronizer	1447380910759	0	0	0
BMS	ConnectorSynchronizer (import)	1447381210520	0	0	0
BMS	MeasurementSynchronizer	1447381210552	0	0	36
BMS	WorkOrderSynchronizer	1447381210617	0	0	0
BMS	TagSynchronizer	1447381210681	0	0	0
BMS	PropertySynchronizer	1447381210753	0	0	0
BMS	AlarmSynchronizer	1447381210774	0	0	0
BMS	ConnectorSynchronizer (import)	1447381510533	0	0	0
BMS	MeasurementSynchronizer	1447381510566	0	0	36
BMS	WorkOrderSynchronizer	1447381510631	0	0	0
BMS	TagSynchronizer	1447381510691	0	0	0
BMS	PropertySynchronizer	1447381510761	0	0	0
BMS	AlarmSynchronizer	1447381510782	0	0	0
BMS	ConnectorSynchronizer (import)	1447381810539	0	0	0
BMS	MeasurementSynchronizer	1447381810572	0	0	36
BMS	WorkOrderSynchronizer	1447381810638	0	0	0
BMS	TagSynchronizer	1447381810698	0	0	0
BMS	PropertySynchronizer	1447381810765	0	0	0
BMS	AlarmSynchronizer	1447381810786	0	0	0
BMS	ConnectorSynchronizer (import)	1447382110517	0	0	0
BMS	MeasurementSynchronizer	1447382110550	0	0	36
BMS	WorkOrderSynchronizer	1447382110617	0	0	0
BMS	TagSynchronizer	1447382110680	0	0	0
BMS	PropertySynchronizer	1447382110750	0	0	0
BMS	AlarmSynchronizer	1447382110771	0	0	0
BMS	ConnectorSynchronizer (import)	1447382410504	0	0	0
BMS	MeasurementSynchronizer	1447382410537	0	0	36
BMS	WorkOrderSynchronizer	1447382410600	0	0	0
BMS	TagSynchronizer	1447382410660	0	0	0
BMS	PropertySynchronizer	1447382410731	0	0	0
BMS	AlarmSynchronizer	1447382410751	0	0	0
BMS	ConnectorSynchronizer (import)	1447382710547	0	0	0
BMS	MeasurementSynchronizer	1447382710582	0	0	36
BMS	WorkOrderSynchronizer	1447382710649	0	0	0
BMS	TagSynchronizer	1447382710712	0	0	0
BMS	PropertySynchronizer	1447382710785	0	0	0
BMS	AlarmSynchronizer	1447382710807	0	0	0
BMS	ConnectorSynchronizer (import)	1447383010554	0	0	0
BMS	MeasurementSynchronizer	1447383010589	0	0	36
BMS	WorkOrderSynchronizer	1447383010655	0	0	0
BMS	TagSynchronizer	1447383010713	0	0	0
BMS	PropertySynchronizer	1447383010777	0	0	0
BMS	AlarmSynchronizer	1447383010798	0	0	0
BMS	ConnectorSynchronizer (import)	1447383310507	0	0	0
BMS	MeasurementSynchronizer	1447383310538	0	0	36
BMS	WorkOrderSynchronizer	1447383310599	0	0	0
BMS	TagSynchronizer	1447383310654	0	0	0
BMS	PropertySynchronizer	1447383310720	0	0	0
BMS	AlarmSynchronizer	1447383310739	0	0	0
BMS	ConnectorSynchronizer (import)	1447383610522	0	0	0
BMS	MeasurementSynchronizer	1447383610556	0	0	36
BMS	WorkOrderSynchronizer	1447383610624	0	0	0
BMS	TagSynchronizer	1447383610684	0	0	0
BMS	PropertySynchronizer	1447383610754	0	0	0
BMS	AlarmSynchronizer	1447383610775	0	0	0
BMS	ConnectorSynchronizer (import)	1447383910513	0	0	0
BMS	MeasurementSynchronizer	1447383910546	0	0	36
BMS	WorkOrderSynchronizer	1447383910611	0	0	0
BMS	TagSynchronizer	1447383910671	0	0	0
BMS	PropertySynchronizer	1447383910742	0	0	0
BMS	AlarmSynchronizer	1447383910764	0	0	0
BMS	ConnectorSynchronizer (import)	1447384210522	0	0	0
BMS	MeasurementSynchronizer	1447384210555	0	0	36
BMS	WorkOrderSynchronizer	1447384210620	0	0	0
BMS	TagSynchronizer	1447384210680	0	0	0
BMS	PropertySynchronizer	1447384210750	0	0	0
BMS	AlarmSynchronizer	1447384210771	0	0	0
BMS	ConnectorSynchronizer (import)	1447384510509	0	0	0
BMS	MeasurementSynchronizer	1447384510543	0	0	36
BMS	WorkOrderSynchronizer	1447384510606	0	0	0
BMS	TagSynchronizer	1447384510666	0	0	0
BMS	PropertySynchronizer	1447384510735	0	0	0
BMS	AlarmSynchronizer	1447384510756	0	0	0
BMS	ConnectorSynchronizer (import)	1447384810535	0	0	0
BMS	MeasurementSynchronizer	1447384810568	0	0	36
BMS	WorkOrderSynchronizer	1447384810636	0	0	0
BMS	TagSynchronizer	1447384810697	0	0	0
BMS	PropertySynchronizer	1447384811073	0	0	0
BMS	AlarmSynchronizer	1447384811095	0	0	0
BMS	ConnectorSynchronizer (import)	1447385110498	0	0	0
BMS	MeasurementSynchronizer	1447385110529	0	0	36
BMS	WorkOrderSynchronizer	1447385110588	0	0	0
BMS	TagSynchronizer	1447385110643	0	0	0
BMS	PropertySynchronizer	1447385110708	0	0	0
BMS	AlarmSynchronizer	1447385110728	0	0	0
BMS	ConnectorSynchronizer (import)	1447385410522	0	0	0
BMS	MeasurementSynchronizer	1447385410556	0	0	36
BMS	WorkOrderSynchronizer	1447385410625	0	0	0
BMS	TagSynchronizer	1447385410687	0	0	0
BMS	PropertySynchronizer	1447385410758	0	0	0
BMS	AlarmSynchronizer	1447385410780	0	0	0
BMS	ConnectorSynchronizer (import)	1447385710520	0	0	0
BMS	MeasurementSynchronizer	1447385710553	0	0	36
BMS	WorkOrderSynchronizer	1447385710619	0	0	0
BMS	TagSynchronizer	1447385710678	0	0	0
BMS	PropertySynchronizer	1447385710748	0	0	0
BMS	AlarmSynchronizer	1447385710770	0	0	0
BMS	ConnectorSynchronizer (import)	1447386010533	0	0	0
BMS	MeasurementSynchronizer	1447386010566	0	0	36
BMS	WorkOrderSynchronizer	1447386010633	0	0	0
BMS	TagSynchronizer	1447386010698	0	0	0
BMS	PropertySynchronizer	1447386010770	0	0	0
BMS	AlarmSynchronizer	1447386010791	0	0	0
BMS	ConnectorSynchronizer (import)	1447386310520	0	0	0
BMS	MeasurementSynchronizer	1447386310552	0	0	36
BMS	WorkOrderSynchronizer	1447386310618	0	0	0
BMS	TagSynchronizer	1447386310678	0	0	0
BMS	PropertySynchronizer	1447386310749	0	0	0
BMS	AlarmSynchronizer	1447386310770	0	0	0
BMS	ConnectorSynchronizer (import)	1447386610521	0	0	0
BMS	MeasurementSynchronizer	1447386610554	0	0	36
BMS	WorkOrderSynchronizer	1447386610622	0	0	0
BMS	TagSynchronizer	1447386610681	0	0	0
BMS	PropertySynchronizer	1447386610752	0	0	0
BMS	AlarmSynchronizer	1447386610773	0	0	0
BMS	ConnectorSynchronizer (import)	1447386910561	0	0	0
BMS	MeasurementSynchronizer	1447386910594	0	0	36
BMS	WorkOrderSynchronizer	1447386910656	0	0	0
BMS	TagSynchronizer	1447386910714	0	0	0
BMS	PropertySynchronizer	1447386910789	0	0	0
BMS	AlarmSynchronizer	1447386910809	0	0	0
BMS	ConnectorSynchronizer (import)	1447387210644	0	0	0
BMS	MeasurementSynchronizer	1447387210676	0	0	36
BMS	WorkOrderSynchronizer	1447387210735	0	0	0
BMS	TagSynchronizer	1447387210791	0	0	0
BMS	PropertySynchronizer	1447387210856	0	0	0
BMS	AlarmSynchronizer	1447387210878	0	0	0
BMS	ConnectorSynchronizer (import)	1447387510525	0	0	0
BMS	MeasurementSynchronizer	1447387510556	0	0	36
BMS	WorkOrderSynchronizer	1447387510616	0	0	0
BMS	TagSynchronizer	1447387510672	0	0	0
BMS	PropertySynchronizer	1447387510736	0	0	0
BMS	AlarmSynchronizer	1447387510756	0	0	0
BMS	ConnectorSynchronizer (import)	1447387810533	0	0	0
BMS	MeasurementSynchronizer	1447387810563	0	0	36
BMS	WorkOrderSynchronizer	1447387810623	0	0	0
BMS	TagSynchronizer	1447387810679	0	0	0
BMS	PropertySynchronizer	1447387810747	0	0	0
BMS	AlarmSynchronizer	1447387810767	0	0	0
BMS	ConnectorSynchronizer (import)	1447388110516	0	0	0
BMS	MeasurementSynchronizer	1447388110561	0	0	36
BMS	WorkOrderSynchronizer	1447388110623	0	0	0
BMS	TagSynchronizer	1447388110679	0	0	0
BMS	PropertySynchronizer	1447388110744	0	0	0
BMS	AlarmSynchronizer	1447388110763	0	0	0
BMS	ConnectorSynchronizer (import)	1447388410521	0	0	0
BMS	MeasurementSynchronizer	1447388410553	0	0	36
BMS	WorkOrderSynchronizer	1447388410613	0	0	0
BMS	TagSynchronizer	1447388410665	0	0	0
BMS	PropertySynchronizer	1447388410723	0	0	0
BMS	AlarmSynchronizer	1447388410743	0	0	0
BMS	ConnectorSynchronizer (import)	1447388710527	0	0	0
BMS	MeasurementSynchronizer	1447388710563	0	0	36
BMS	WorkOrderSynchronizer	1447388710632	0	0	0
BMS	TagSynchronizer	1447388710694	0	0	0
BMS	PropertySynchronizer	1447388710766	0	0	0
BMS	AlarmSynchronizer	1447388710787	0	0	0
BMS	ConnectorSynchronizer (import)	1447389010522	0	0	0
BMS	MeasurementSynchronizer	1447389010556	0	0	36
BMS	WorkOrderSynchronizer	1447389010620	0	0	0
BMS	TagSynchronizer	1447389010680	0	0	0
BMS	PropertySynchronizer	1447389010752	0	0	0
BMS	AlarmSynchronizer	1447389010772	0	0	0
BMS	ConnectorSynchronizer (import)	1447389310539	0	0	0
BMS	MeasurementSynchronizer	1447389310573	0	0	36
BMS	WorkOrderSynchronizer	1447389310638	0	0	0
BMS	TagSynchronizer	1447389310697	0	0	0
BMS	PropertySynchronizer	1447389310768	0	0	0
BMS	AlarmSynchronizer	1447389310790	0	0	0
BMS	ConnectorSynchronizer (import)	1447389610522	0	0	0
BMS	MeasurementSynchronizer	1447389610555	0	0	36
BMS	WorkOrderSynchronizer	1447389610620	0	0	0
BMS	TagSynchronizer	1447389610680	0	0	0
BMS	PropertySynchronizer	1447389610749	0	0	0
BMS	AlarmSynchronizer	1447389610771	0	0	0
BMS	ConnectorSynchronizer (import)	1447389910895	0	0	0
BMS	MeasurementSynchronizer	1447389910928	0	0	36
BMS	WorkOrderSynchronizer	1447389910994	0	0	0
BMS	TagSynchronizer	1447389911053	0	0	0
BMS	PropertySynchronizer	1447389911125	0	0	0
BMS	AlarmSynchronizer	1447389911152	0	0	0
BMS	ConnectorSynchronizer (import)	1447390210511	0	0	0
BMS	MeasurementSynchronizer	1447390210544	0	0	36
BMS	WorkOrderSynchronizer	1447390210609	0	0	0
BMS	TagSynchronizer	1447390210669	0	0	0
BMS	PropertySynchronizer	1447390210739	0	0	0
BMS	AlarmSynchronizer	1447390210760	0	0	0
BMS	ConnectorSynchronizer (import)	1447390510505	0	0	0
BMS	MeasurementSynchronizer	1447390510538	0	0	36
BMS	WorkOrderSynchronizer	1447390510602	0	0	0
BMS	TagSynchronizer	1447390510662	0	0	0
BMS	PropertySynchronizer	1447390510734	0	0	0
BMS	AlarmSynchronizer	1447390510755	0	0	0
BMS	ConnectorSynchronizer (import)	1447390810522	0	0	0
BMS	MeasurementSynchronizer	1447390810555	0	0	36
BMS	WorkOrderSynchronizer	1447390810623	0	0	0
BMS	TagSynchronizer	1447390810683	0	0	0
BMS	PropertySynchronizer	1447390810753	0	0	0
BMS	AlarmSynchronizer	1447390810774	0	0	0
BMS	ConnectorSynchronizer (import)	1447391110501	0	0	0
BMS	MeasurementSynchronizer	1447391110534	0	0	36
BMS	WorkOrderSynchronizer	1447391110600	0	0	0
BMS	TagSynchronizer	1447391110661	0	0	0
BMS	PropertySynchronizer	1447391110732	0	0	0
BMS	AlarmSynchronizer	1447391110754	0	0	0
BMS	ConnectorSynchronizer (import)	1447391410523	0	0	0
BMS	MeasurementSynchronizer	1447391410557	0	0	36
BMS	WorkOrderSynchronizer	1447391410626	0	0	0
BMS	TagSynchronizer	1447391410688	0	0	0
BMS	PropertySynchronizer	1447391410759	0	0	0
BMS	AlarmSynchronizer	1447391410781	0	0	0
BMS	ConnectorSynchronizer (import)	1447391710548	0	0	0
BMS	MeasurementSynchronizer	1447391710581	0	0	36
BMS	WorkOrderSynchronizer	1447391710646	0	0	0
BMS	TagSynchronizer	1447391710706	0	0	0
BMS	PropertySynchronizer	1447391710775	0	0	0
BMS	AlarmSynchronizer	1447391710797	0	0	0
BMS	ConnectorSynchronizer (import)	1447392010521	0	0	0
BMS	MeasurementSynchronizer	1447392010555	0	0	36
BMS	WorkOrderSynchronizer	1447392010622	0	0	0
BMS	TagSynchronizer	1447392010685	0	0	0
BMS	PropertySynchronizer	1447392010756	0	0	0
BMS	AlarmSynchronizer	1447392010778	0	0	0
BMS	ConnectorSynchronizer (import)	1447392310510	0	0	0
BMS	MeasurementSynchronizer	1447392310544	0	0	36
BMS	WorkOrderSynchronizer	1447392310609	0	0	0
BMS	TagSynchronizer	1447392310670	0	0	0
BMS	PropertySynchronizer	1447392310742	0	0	0
BMS	AlarmSynchronizer	1447392310765	0	0	0
BMS	ConnectorSynchronizer (import)	1447392610514	0	0	0
BMS	MeasurementSynchronizer	1447392610544	0	0	36
BMS	WorkOrderSynchronizer	1447392610603	0	0	0
BMS	TagSynchronizer	1447392610659	0	0	0
BMS	PropertySynchronizer	1447392610724	0	0	0
BMS	AlarmSynchronizer	1447392610743	0	0	0
BMS	ConnectorSynchronizer (import)	1447392910501	0	0	0
BMS	MeasurementSynchronizer	1447392910532	0	0	36
BMS	WorkOrderSynchronizer	1447392910596	0	0	0
BMS	TagSynchronizer	1447392910652	0	0	0
BMS	PropertySynchronizer	1447392910718	0	0	0
BMS	AlarmSynchronizer	1447392910738	0	0	0
BMS	ConnectorSynchronizer (import)	1447393210512	0	0	0
BMS	MeasurementSynchronizer	1447393210544	0	0	36
BMS	WorkOrderSynchronizer	1447393210610	0	0	0
BMS	TagSynchronizer	1447393210669	0	0	0
BMS	PropertySynchronizer	1447393210739	0	0	0
BMS	AlarmSynchronizer	1447393210760	0	0	0
BMS	ConnectorSynchronizer (import)	1447393510524	0	0	0
BMS	MeasurementSynchronizer	1447393510558	0	0	36
BMS	WorkOrderSynchronizer	1447393510624	0	0	0
BMS	TagSynchronizer	1447393510684	0	0	0
BMS	PropertySynchronizer	1447393510754	0	0	0
BMS	AlarmSynchronizer	1447393510776	0	0	0
BMS	ConnectorSynchronizer (import)	1447393810520	0	0	0
BMS	MeasurementSynchronizer	1447393810553	0	0	36
BMS	WorkOrderSynchronizer	1447393810619	0	0	0
BMS	TagSynchronizer	1447393810680	0	0	0
BMS	PropertySynchronizer	1447393810750	0	0	0
BMS	AlarmSynchronizer	1447393810773	0	0	0
BMS	ConnectorSynchronizer (import)	1447394110540	0	0	0
BMS	MeasurementSynchronizer	1447394110572	0	0	36
BMS	WorkOrderSynchronizer	1447394110638	0	0	0
BMS	TagSynchronizer	1447394110698	0	0	0
BMS	PropertySynchronizer	1447394110767	0	0	0
BMS	AlarmSynchronizer	1447394110789	0	0	0
BMS	ConnectorSynchronizer (import)	1447394410511	0	0	0
BMS	MeasurementSynchronizer	1447394410544	0	0	36
BMS	WorkOrderSynchronizer	1447394410608	0	0	0
BMS	TagSynchronizer	1447394410667	0	0	0
BMS	PropertySynchronizer	1447394410737	0	0	0
BMS	AlarmSynchronizer	1447394410758	0	0	0
BMS	ConnectorSynchronizer (import)	1447394710513	0	0	0
BMS	MeasurementSynchronizer	1447394710546	0	0	36
BMS	WorkOrderSynchronizer	1447394710611	0	0	0
BMS	TagSynchronizer	1447394710670	0	0	0
BMS	PropertySynchronizer	1447394710741	0	0	0
BMS	AlarmSynchronizer	1447394710762	0	0	0
BMS	ConnectorSynchronizer (import)	1447395010537	0	0	0
BMS	MeasurementSynchronizer	1447395010569	0	0	36
BMS	WorkOrderSynchronizer	1447395010636	0	0	0
BMS	TagSynchronizer	1447395010697	0	0	0
BMS	PropertySynchronizer	1447395010771	0	0	0
BMS	AlarmSynchronizer	1447395010794	0	0	0
BMS	ConnectorSynchronizer (import)	1447395310528	0	0	0
BMS	MeasurementSynchronizer	1447395310563	0	0	36
BMS	WorkOrderSynchronizer	1447395310634	0	0	0
BMS	TagSynchronizer	1447395310700	0	0	0
BMS	PropertySynchronizer	1447395310774	0	0	0
BMS	AlarmSynchronizer	1447395310797	0	0	0
BMS	ConnectorSynchronizer (import)	1447395610523	0	0	0
BMS	MeasurementSynchronizer	1447395610558	0	0	36
BMS	WorkOrderSynchronizer	1447395610624	0	0	0
BMS	TagSynchronizer	1447395610699	0	0	0
BMS	PropertySynchronizer	1447395610767	0	0	0
BMS	AlarmSynchronizer	1447395610788	0	0	0
BMS	ConnectorSynchronizer (import)	1447395910519	0	0	0
BMS	MeasurementSynchronizer	1447395910554	0	0	36
BMS	WorkOrderSynchronizer	1447395910617	0	0	0
BMS	TagSynchronizer	1447395910674	0	0	0
BMS	PropertySynchronizer	1447395910738	0	0	0
BMS	AlarmSynchronizer	1447395910757	0	0	0
BMS	ConnectorSynchronizer (import)	1447396210634	0	0	0
BMS	MeasurementSynchronizer	1447396210666	0	0	36
BMS	WorkOrderSynchronizer	1447396210727	0	0	0
BMS	TagSynchronizer	1447396210784	0	0	0
BMS	PropertySynchronizer	1447396210850	0	0	0
BMS	AlarmSynchronizer	1447396210870	0	0	0
BMS	ConnectorSynchronizer (import)	1447396510527	0	0	0
BMS	MeasurementSynchronizer	1447396510560	0	0	36
BMS	WorkOrderSynchronizer	1447396510623	0	0	0
BMS	TagSynchronizer	1447396510680	0	0	0
BMS	PropertySynchronizer	1447396510744	0	0	0
BMS	AlarmSynchronizer	1447396510764	0	0	0
BMS	ConnectorSynchronizer (import)	1447396810548	0	0	0
BMS	MeasurementSynchronizer	1447396810579	0	0	36
BMS	WorkOrderSynchronizer	1447396810641	0	0	0
BMS	TagSynchronizer	1447396810698	0	0	0
BMS	PropertySynchronizer	1447396810762	0	0	0
BMS	AlarmSynchronizer	1447396810782	0	0	0
BMS	ConnectorSynchronizer (import)	1447397110508	0	0	0
BMS	MeasurementSynchronizer	1447397110539	0	0	36
BMS	WorkOrderSynchronizer	1447397110598	0	0	0
BMS	TagSynchronizer	1447397110656	0	0	0
BMS	PropertySynchronizer	1447397110725	0	0	0
BMS	AlarmSynchronizer	1447397110745	0	0	0
BMS	ConnectorSynchronizer (import)	1447397410502	0	0	0
BMS	MeasurementSynchronizer	1447397410533	0	0	36
BMS	WorkOrderSynchronizer	1447397410593	0	0	0
BMS	TagSynchronizer	1447397410651	0	0	0
BMS	PropertySynchronizer	1447397410714	0	0	0
BMS	AlarmSynchronizer	1447397410734	0	0	0
BMS	ConnectorSynchronizer (import)	1447397710494	0	0	0
BMS	MeasurementSynchronizer	1447397710525	0	0	36
BMS	WorkOrderSynchronizer	1447397710584	0	0	0
BMS	TagSynchronizer	1447397710639	0	0	0
BMS	PropertySynchronizer	1447397710705	0	0	0
BMS	AlarmSynchronizer	1447397710726	0	0	0
BMS	ConnectorSynchronizer (import)	1447398010513	0	0	0
BMS	MeasurementSynchronizer	1447398010541	0	0	36
BMS	WorkOrderSynchronizer	1447398010602	0	0	0
BMS	TagSynchronizer	1447398010658	0	0	0
BMS	PropertySynchronizer	1447398010728	0	0	0
BMS	AlarmSynchronizer	1447398010752	0	0	0
BMS	ConnectorSynchronizer (import)	1447398310487	0	0	0
BMS	MeasurementSynchronizer	1447398310517	0	0	36
BMS	WorkOrderSynchronizer	1447398310581	0	0	0
BMS	TagSynchronizer	1447398310642	0	0	0
BMS	PropertySynchronizer	1447398310714	0	0	0
BMS	AlarmSynchronizer	1447398310735	0	0	0
BMS	ConnectorSynchronizer (import)	1447398610521	0	0	0
BMS	MeasurementSynchronizer	1447398610555	0	0	36
BMS	WorkOrderSynchronizer	1447398610619	0	0	0
BMS	TagSynchronizer	1447398610679	0	0	0
BMS	PropertySynchronizer	1447398610749	0	0	0
BMS	AlarmSynchronizer	1447398610772	0	0	0
BMS	ConnectorSynchronizer (import)	1447398910506	0	0	0
BMS	MeasurementSynchronizer	1447398910539	0	0	36
BMS	WorkOrderSynchronizer	1447398910603	0	0	0
BMS	TagSynchronizer	1447398910663	0	0	0
BMS	PropertySynchronizer	1447398910733	0	0	0
BMS	AlarmSynchronizer	1447398910755	0	0	0
BMS	ConnectorSynchronizer (import)	1447399210541	0	0	0
BMS	MeasurementSynchronizer	1447399210574	0	0	36
BMS	WorkOrderSynchronizer	1447399210640	0	0	0
BMS	TagSynchronizer	1447399210702	0	0	0
BMS	PropertySynchronizer	1447399210772	0	0	0
BMS	AlarmSynchronizer	1447399210793	0	0	0
BMS	ConnectorSynchronizer (import)	1447399510523	0	0	0
BMS	MeasurementSynchronizer	1447399510556	0	0	36
BMS	WorkOrderSynchronizer	1447399510621	0	0	0
BMS	TagSynchronizer	1447399510680	0	0	0
BMS	PropertySynchronizer	1447399510751	0	0	0
BMS	AlarmSynchronizer	1447399510772	0	0	0
BMS	ConnectorSynchronizer (import)	1447399810521	0	0	0
BMS	MeasurementSynchronizer	1447399810554	0	0	36
BMS	WorkOrderSynchronizer	1447399810619	0	0	0
BMS	TagSynchronizer	1447399810679	0	0	0
BMS	PropertySynchronizer	1447399810748	0	0	0
BMS	AlarmSynchronizer	1447399810770	0	0	0
BMS	ConnectorSynchronizer (import)	1447400110547	0	0	0
BMS	MeasurementSynchronizer	1447400110582	0	0	36
BMS	WorkOrderSynchronizer	1447400110647	0	0	0
BMS	TagSynchronizer	1447400110708	0	0	0
BMS	PropertySynchronizer	1447400110779	0	0	0
BMS	AlarmSynchronizer	1447400110800	0	0	0
BMS	ConnectorSynchronizer (import)	1447400410510	0	0	0
BMS	MeasurementSynchronizer	1447400410544	0	0	36
BMS	WorkOrderSynchronizer	1447400410611	0	0	0
BMS	TagSynchronizer	1447400410672	0	0	0
BMS	PropertySynchronizer	1447400410744	0	0	0
BMS	AlarmSynchronizer	1447400410766	0	0	0
BMS	ConnectorSynchronizer (import)	1447400710524	0	0	0
BMS	MeasurementSynchronizer	1447400710559	0	0	36
BMS	WorkOrderSynchronizer	1447400710629	0	0	0
BMS	TagSynchronizer	1447400710694	0	0	0
BMS	PropertySynchronizer	1447400710766	0	0	0
BMS	AlarmSynchronizer	1447400710790	0	0	0
BMS	ConnectorSynchronizer (import)	1447401010532	0	0	0
BMS	MeasurementSynchronizer	1447401010567	0	0	36
BMS	WorkOrderSynchronizer	1447401010636	0	0	0
BMS	TagSynchronizer	1447401010697	0	0	0
BMS	PropertySynchronizer	1447401010765	0	0	0
BMS	AlarmSynchronizer	1447401010786	0	0	0
BMS	ConnectorSynchronizer (import)	1447401310530	0	0	0
BMS	MeasurementSynchronizer	1447401310563	0	0	36
BMS	WorkOrderSynchronizer	1447401310630	0	0	0
BMS	TagSynchronizer	1447401310689	0	0	0
BMS	PropertySynchronizer	1447401310754	0	0	0
BMS	AlarmSynchronizer	1447401310775	0	0	0
BMS	ConnectorSynchronizer (import)	1447401610526	0	0	0
BMS	MeasurementSynchronizer	1447401610559	0	0	36
BMS	WorkOrderSynchronizer	1447401610621	0	0	0
BMS	TagSynchronizer	1447401610679	0	0	0
BMS	PropertySynchronizer	1447401610744	0	0	0
BMS	AlarmSynchronizer	1447401610764	0	0	0
BMS	ConnectorSynchronizer (import)	1447401910504	0	0	0
BMS	MeasurementSynchronizer	1447401910535	0	0	36
BMS	WorkOrderSynchronizer	1447401910598	0	0	0
BMS	TagSynchronizer	1447401910655	0	0	0
BMS	PropertySynchronizer	1447401910721	0	0	0
BMS	AlarmSynchronizer	1447401910741	0	0	0
BMS	ConnectorSynchronizer (import)	1447402210509	0	0	0
BMS	MeasurementSynchronizer	1447402210541	0	0	36
BMS	WorkOrderSynchronizer	1447402210602	0	0	0
BMS	TagSynchronizer	1447402210658	0	0	0
BMS	PropertySynchronizer	1447402210725	0	0	0
BMS	AlarmSynchronizer	1447402210745	0	0	0
BMS	ConnectorSynchronizer (import)	1447402510505	0	0	0
BMS	MeasurementSynchronizer	1447402510533	0	0	36
BMS	WorkOrderSynchronizer	1447402510590	0	0	0
BMS	TagSynchronizer	1447402510647	0	0	0
BMS	PropertySynchronizer	1447402510717	0	0	0
BMS	AlarmSynchronizer	1447402510739	0	0	0
BMS	ConnectorSynchronizer (import)	1447402810518	0	0	0
BMS	MeasurementSynchronizer	1447402810537	0	0	36
BMS	WorkOrderSynchronizer	1447402810583	0	0	0
BMS	TagSynchronizer	1447402810619	0	0	0
BMS	PropertySynchronizer	1447402810670	0	0	0
BMS	AlarmSynchronizer	1447402810688	0	0	0
BMS	ConnectorSynchronizer (import)	1447403110509	0	0	0
BMS	MeasurementSynchronizer	1447403110545	0	0	36
BMS	WorkOrderSynchronizer	1447403110614	0	0	0
BMS	TagSynchronizer	1447403110678	0	0	0
BMS	PropertySynchronizer	1447403110766	0	0	0
BMS	AlarmSynchronizer	1447403110790	0	0	0
BMS	ConnectorSynchronizer (import)	1447403410527	0	0	0
BMS	MeasurementSynchronizer	1447403410560	0	0	36
BMS	WorkOrderSynchronizer	1447403410625	0	0	0
BMS	TagSynchronizer	1447403410684	0	0	0
BMS	PropertySynchronizer	1447403410755	0	0	0
BMS	AlarmSynchronizer	1447403410778	0	0	0
BMS	ConnectorSynchronizer (import)	1447403710517	0	0	0
BMS	MeasurementSynchronizer	1447403710551	0	0	36
BMS	WorkOrderSynchronizer	1447403710615	0	0	0
BMS	TagSynchronizer	1447403710675	0	0	0
BMS	PropertySynchronizer	1447403710745	0	0	0
BMS	AlarmSynchronizer	1447403710766	0	0	0
BMS	ConnectorSynchronizer (import)	1447404010511	0	0	0
BMS	MeasurementSynchronizer	1447404010544	0	0	36
BMS	WorkOrderSynchronizer	1447404010609	0	0	0
BMS	TagSynchronizer	1447404010668	0	0	0
BMS	PropertySynchronizer	1447404010738	0	0	0
BMS	AlarmSynchronizer	1447404010760	0	0	0
BMS	ConnectorSynchronizer (import)	1447404310536	0	0	0
BMS	MeasurementSynchronizer	1447404310573	0	0	36
BMS	WorkOrderSynchronizer	1447404310643	0	0	0
BMS	TagSynchronizer	1447404310706	0	0	0
BMS	PropertySynchronizer	1447404310778	0	0	0
BMS	AlarmSynchronizer	1447404310800	0	0	0
BMS	ConnectorSynchronizer (import)	1447404610520	0	0	0
BMS	MeasurementSynchronizer	1447404610552	0	0	36
BMS	WorkOrderSynchronizer	1447404610617	0	0	0
BMS	TagSynchronizer	1447404610677	0	0	0
BMS	PropertySynchronizer	1447404610747	0	0	0
BMS	AlarmSynchronizer	1447404610768	0	0	0
BMS	ConnectorSynchronizer (import)	1447404910574	0	0	0
BMS	MeasurementSynchronizer	1447404910614	0	0	36
BMS	WorkOrderSynchronizer	1447404910698	0	0	0
BMS	TagSynchronizer	1447404910768	0	0	0
BMS	PropertySynchronizer	1447404910844	0	0	0
BMS	AlarmSynchronizer	1447404910868	0	0	0
BMS	ConnectorSynchronizer (import)	1447405210590	0	0	0
BMS	MeasurementSynchronizer	1447405210623	0	0	36
BMS	WorkOrderSynchronizer	1447405210692	0	0	0
BMS	TagSynchronizer	1447405210752	0	0	0
BMS	PropertySynchronizer	1447405210822	0	0	0
BMS	AlarmSynchronizer	1447405210843	0	0	0
BMS	ConnectorSynchronizer (import)	1447405510544	0	0	0
BMS	MeasurementSynchronizer	1447405510577	0	0	36
BMS	WorkOrderSynchronizer	1447405510642	0	0	0
BMS	TagSynchronizer	1447405510702	0	0	0
BMS	PropertySynchronizer	1447405510772	0	0	0
BMS	AlarmSynchronizer	1447405510794	0	0	0
BMS	ConnectorSynchronizer (import)	1447405810524	0	0	0
BMS	MeasurementSynchronizer	1447405810560	0	0	36
BMS	WorkOrderSynchronizer	1447405810629	0	0	0
BMS	TagSynchronizer	1447405810692	0	0	0
BMS	PropertySynchronizer	1447405810765	0	0	0
BMS	AlarmSynchronizer	1447405810788	0	0	0
BMS	ConnectorSynchronizer (import)	1447406110548	0	0	0
BMS	MeasurementSynchronizer	1447406110582	0	0	36
BMS	WorkOrderSynchronizer	1447406110652	0	0	0
BMS	TagSynchronizer	1447406110713	0	0	0
BMS	PropertySynchronizer	1447406110783	0	0	0
BMS	AlarmSynchronizer	1447406110804	0	0	0
BMS	ConnectorSynchronizer (import)	1447406410540	0	0	0
BMS	MeasurementSynchronizer	1447406410573	0	0	36
BMS	WorkOrderSynchronizer	1447406410638	0	0	0
BMS	TagSynchronizer	1447406410698	0	0	0
BMS	PropertySynchronizer	1447406410769	0	0	0
BMS	AlarmSynchronizer	1447406410790	0	0	0
BMS	ConnectorSynchronizer (import)	1447406710536	0	0	0
BMS	MeasurementSynchronizer	1447406710569	0	0	36
BMS	WorkOrderSynchronizer	1447406710634	0	0	0
BMS	TagSynchronizer	1447406710691	0	0	0
BMS	PropertySynchronizer	1447406710756	0	0	0
BMS	AlarmSynchronizer	1447406710775	0	0	0
BMS	ConnectorSynchronizer (import)	1447407010510	0	0	0
BMS	MeasurementSynchronizer	1447407010544	0	0	36
BMS	WorkOrderSynchronizer	1447407010611	0	0	0
BMS	TagSynchronizer	1447407010672	0	0	0
BMS	PropertySynchronizer	1447407010746	0	0	0
BMS	AlarmSynchronizer	1447407010767	0	0	0
BMS	ConnectorSynchronizer (import)	1447407310531	0	0	0
BMS	MeasurementSynchronizer	1447407310564	0	0	36
BMS	WorkOrderSynchronizer	1447407310633	0	0	0
BMS	TagSynchronizer	1447407310694	0	0	0
BMS	PropertySynchronizer	1447407310764	0	0	0
BMS	AlarmSynchronizer	1447407310786	0	0	0
BMS	ConnectorSynchronizer (import)	1447407610540	0	0	0
BMS	MeasurementSynchronizer	1447407610573	0	0	36
BMS	WorkOrderSynchronizer	1447407610640	0	0	0
BMS	TagSynchronizer	1447407610701	0	0	0
BMS	PropertySynchronizer	1447407610773	0	0	0
BMS	AlarmSynchronizer	1447407610795	0	0	0
BMS	ConnectorSynchronizer (import)	1447407910524	0	0	0
BMS	MeasurementSynchronizer	1447407910558	0	0	36
BMS	WorkOrderSynchronizer	1447407910626	0	0	0
BMS	TagSynchronizer	1447407910688	0	0	0
BMS	PropertySynchronizer	1447407910759	0	0	0
BMS	AlarmSynchronizer	1447407910781	0	0	0
BMS	ConnectorSynchronizer (import)	1447408210533	0	0	0
BMS	MeasurementSynchronizer	1447408210567	0	0	36
BMS	WorkOrderSynchronizer	1447408210633	0	0	0
BMS	TagSynchronizer	1447408210693	0	0	0
BMS	PropertySynchronizer	1447408210764	0	0	0
BMS	AlarmSynchronizer	1447408210785	0	0	0
BMS	ConnectorSynchronizer (import)	1447408510532	0	0	0
BMS	MeasurementSynchronizer	1447408510566	0	0	36
BMS	WorkOrderSynchronizer	1447408510632	0	0	0
BMS	TagSynchronizer	1447408510697	0	0	0
BMS	PropertySynchronizer	1447408510771	0	0	0
BMS	AlarmSynchronizer	1447408510795	0	0	0
BMS	ConnectorSynchronizer (import)	1447408810528	0	0	0
BMS	MeasurementSynchronizer	1447408810561	0	0	36
BMS	WorkOrderSynchronizer	1447408810623	0	0	0
BMS	TagSynchronizer	1447408810680	0	0	0
BMS	PropertySynchronizer	1447408810746	0	0	0
BMS	AlarmSynchronizer	1447408810766	0	0	0
BMS	ConnectorSynchronizer (import)	1447409110500	0	0	0
BMS	MeasurementSynchronizer	1447409110531	0	0	36
BMS	WorkOrderSynchronizer	1447409110590	0	0	0
BMS	TagSynchronizer	1447409110645	0	0	0
BMS	PropertySynchronizer	1447409110709	0	0	0
BMS	AlarmSynchronizer	1447409110728	0	0	0
BMS	ConnectorSynchronizer (import)	1447409410508	0	0	0
BMS	MeasurementSynchronizer	1447409410543	0	0	36
BMS	WorkOrderSynchronizer	1447409410610	0	0	0
BMS	TagSynchronizer	1447409410671	0	0	0
BMS	PropertySynchronizer	1447409410743	0	0	0
BMS	AlarmSynchronizer	1447409410765	0	0	0
BMS	ConnectorSynchronizer (import)	1447409710530	0	0	0
BMS	MeasurementSynchronizer	1447409710565	0	0	36
BMS	WorkOrderSynchronizer	1447409710631	0	0	0
BMS	TagSynchronizer	1447409710691	0	0	0
BMS	PropertySynchronizer	1447409710763	0	0	0
BMS	AlarmSynchronizer	1447409710785	0	0	0
BMS	ConnectorSynchronizer (import)	1447410010518	0	0	0
BMS	MeasurementSynchronizer	1447410010553	0	0	36
BMS	WorkOrderSynchronizer	1447410010618	0	0	0
BMS	TagSynchronizer	1447410010679	0	0	0
BMS	PropertySynchronizer	1447410010750	0	0	0
BMS	AlarmSynchronizer	1447410010773	0	0	0
BMS	ConnectorSynchronizer (import)	1447410310532	0	0	0
BMS	MeasurementSynchronizer	1447410310565	0	0	36
BMS	WorkOrderSynchronizer	1447410310629	0	0	0
BMS	TagSynchronizer	1447410310689	0	0	0
BMS	PropertySynchronizer	1447410310758	0	0	0
BMS	AlarmSynchronizer	1447410310779	0	0	0
BMS	ConnectorSynchronizer (import)	1447410610547	0	0	0
BMS	MeasurementSynchronizer	1447410610580	0	0	36
BMS	WorkOrderSynchronizer	1447410610646	0	0	0
BMS	TagSynchronizer	1447410610705	0	0	0
BMS	PropertySynchronizer	1447410610774	0	0	0
BMS	AlarmSynchronizer	1447410610800	0	0	0
BMS	ConnectorSynchronizer (import)	1447410910518	0	0	0
BMS	MeasurementSynchronizer	1447410910552	0	0	36
BMS	WorkOrderSynchronizer	1447410910613	0	0	0
BMS	TagSynchronizer	1447410910670	0	0	0
BMS	PropertySynchronizer	1447410910737	0	0	0
BMS	AlarmSynchronizer	1447410910756	0	0	0
BMS	ConnectorSynchronizer (import)	1447411210539	0	0	0
BMS	MeasurementSynchronizer	1447411210572	0	0	36
BMS	WorkOrderSynchronizer	1447411210638	0	0	0
BMS	TagSynchronizer	1447411210697	0	0	0
BMS	PropertySynchronizer	1447411210768	0	0	0
BMS	AlarmSynchronizer	1447411210789	0	0	0
BMS	ConnectorSynchronizer (import)	1447411510512	0	0	0
BMS	MeasurementSynchronizer	1447411510545	0	0	36
BMS	WorkOrderSynchronizer	1447411510611	0	0	0
BMS	TagSynchronizer	1447411510671	0	0	0
BMS	PropertySynchronizer	1447411510741	0	0	0
BMS	AlarmSynchronizer	1447411510762	0	0	0
BMS	ConnectorSynchronizer (import)	1447411810525	0	0	0
BMS	MeasurementSynchronizer	1447411810560	0	0	36
BMS	WorkOrderSynchronizer	1447411810628	0	0	0
BMS	TagSynchronizer	1447411810690	0	0	0
BMS	PropertySynchronizer	1447411810765	0	0	0
BMS	AlarmSynchronizer	1447411810791	0	0	0
BMS	ConnectorSynchronizer (import)	1447412110558	0	0	0
BMS	MeasurementSynchronizer	1447412110592	0	0	36
BMS	WorkOrderSynchronizer	1447412110662	0	0	0
BMS	TagSynchronizer	1447412110726	0	0	0
BMS	PropertySynchronizer	1447412110799	0	0	0
BMS	AlarmSynchronizer	1447412110821	0	0	0
BMS	ConnectorSynchronizer (import)	1447412410522	0	0	0
BMS	MeasurementSynchronizer	1447412410557	0	0	36
BMS	WorkOrderSynchronizer	1447412410625	0	0	0
BMS	TagSynchronizer	1447412410687	0	0	0
BMS	PropertySynchronizer	1447412410757	0	0	0
BMS	AlarmSynchronizer	1447412410779	0	0	0
BMS	ConnectorSynchronizer (import)	1447412710540	0	0	0
BMS	MeasurementSynchronizer	1447412710575	0	0	36
BMS	WorkOrderSynchronizer	1447412710642	0	0	0
BMS	TagSynchronizer	1447412710704	0	0	0
BMS	PropertySynchronizer	1447412710776	0	0	0
BMS	AlarmSynchronizer	1447412710798	0	0	0
BMS	ConnectorSynchronizer (import)	1447413010524	0	0	0
BMS	MeasurementSynchronizer	1447413010559	0	0	36
BMS	WorkOrderSynchronizer	1447413010631	0	0	0
BMS	TagSynchronizer	1447413010694	0	0	0
BMS	PropertySynchronizer	1447413010767	0	0	0
BMS	AlarmSynchronizer	1447413010790	0	0	0
BMS	ConnectorSynchronizer (import)	1447413310828	0	0	0
BMS	MeasurementSynchronizer	1447413310859	0	0	36
BMS	WorkOrderSynchronizer	1447413310924	0	0	0
BMS	TagSynchronizer	1447413310984	0	0	0
BMS	PropertySynchronizer	1447413311055	0	0	0
BMS	AlarmSynchronizer	1447413311076	0	0	0
BMS	ConnectorSynchronizer (import)	1447413610519	0	0	0
BMS	MeasurementSynchronizer	1447413610552	0	0	36
BMS	WorkOrderSynchronizer	1447413610616	0	0	0
BMS	TagSynchronizer	1447413610677	0	0	0
BMS	PropertySynchronizer	1447413610748	0	0	0
BMS	AlarmSynchronizer	1447413610770	0	0	0
BMS	ConnectorSynchronizer (import)	1447413910535	0	0	0
BMS	MeasurementSynchronizer	1447413910569	0	0	36
BMS	WorkOrderSynchronizer	1447413910638	0	0	0
BMS	TagSynchronizer	1447413910700	0	0	0
BMS	PropertySynchronizer	1447413910772	0	0	0
BMS	AlarmSynchronizer	1447413910795	0	0	0
BMS	ConnectorSynchronizer (import)	1447414210547	0	0	0
BMS	MeasurementSynchronizer	1447414210582	0	0	36
BMS	WorkOrderSynchronizer	1447414210649	0	0	0
BMS	TagSynchronizer	1447414210711	0	0	0
BMS	PropertySynchronizer	1447414210784	0	0	0
BMS	AlarmSynchronizer	1447414210808	0	0	0
BMS	ConnectorSynchronizer (import)	1447414510529	0	0	0
BMS	MeasurementSynchronizer	1447414510562	0	0	36
BMS	WorkOrderSynchronizer	1447414510627	0	0	0
BMS	TagSynchronizer	1447414510687	0	0	0
BMS	PropertySynchronizer	1447414510758	0	0	0
BMS	AlarmSynchronizer	1447414510779	0	0	0
BMS	ConnectorSynchronizer (import)	1447414810549	0	0	0
BMS	MeasurementSynchronizer	1447414810581	0	0	36
BMS	WorkOrderSynchronizer	1447414810638	0	0	0
BMS	TagSynchronizer	1447414810692	0	0	0
BMS	PropertySynchronizer	1447414810757	0	0	0
BMS	AlarmSynchronizer	1447414810777	0	0	0
BMS	ConnectorSynchronizer (import)	1447415110518	0	0	0
BMS	MeasurementSynchronizer	1447415110551	0	0	36
BMS	WorkOrderSynchronizer	1447415110615	0	0	0
BMS	TagSynchronizer	1447415110675	0	0	0
BMS	PropertySynchronizer	1447415110748	0	0	0
BMS	AlarmSynchronizer	1447415110770	0	0	0
BMS	ConnectorSynchronizer (import)	1447415410519	0	0	0
BMS	MeasurementSynchronizer	1447415410553	0	0	36
BMS	WorkOrderSynchronizer	1447415410621	0	0	0
BMS	TagSynchronizer	1447415410682	0	0	0
BMS	PropertySynchronizer	1447415410755	0	0	0
BMS	AlarmSynchronizer	1447415410779	0	0	0
BMS	ConnectorSynchronizer (import)	1447415710519	0	0	0
BMS	MeasurementSynchronizer	1447415710553	0	0	36
BMS	WorkOrderSynchronizer	1447415710619	0	0	0
BMS	TagSynchronizer	1447415710679	0	0	0
BMS	PropertySynchronizer	1447415710751	0	0	0
BMS	AlarmSynchronizer	1447415710772	0	0	0
BMS	ConnectorSynchronizer (import)	1447416010530	0	0	0
BMS	MeasurementSynchronizer	1447416010564	0	0	36
BMS	WorkOrderSynchronizer	1447416010633	0	0	0
BMS	TagSynchronizer	1447416010695	0	0	0
BMS	PropertySynchronizer	1447416010767	0	0	0
BMS	AlarmSynchronizer	1447416010789	0	0	0
BMS	ConnectorSynchronizer (import)	1447416310543	0	0	0
BMS	MeasurementSynchronizer	1447416310577	0	0	36
BMS	WorkOrderSynchronizer	1447416310645	0	0	0
BMS	TagSynchronizer	1447416310706	0	0	0
BMS	PropertySynchronizer	1447416310778	0	0	0
BMS	AlarmSynchronizer	1447416310800	0	0	0
BMS	ConnectorSynchronizer (import)	1447416610520	0	0	0
BMS	MeasurementSynchronizer	1447416610554	0	0	36
BMS	WorkOrderSynchronizer	1447416610620	0	0	0
BMS	TagSynchronizer	1447416610679	0	0	0
BMS	PropertySynchronizer	1447416610750	0	0	0
BMS	AlarmSynchronizer	1447416610771	0	0	0
BMS	ConnectorSynchronizer (import)	1447416910541	0	0	0
BMS	MeasurementSynchronizer	1447416910577	0	0	36
BMS	WorkOrderSynchronizer	1447416910646	0	0	0
BMS	TagSynchronizer	1447416910707	0	0	0
BMS	PropertySynchronizer	1447416910775	0	0	0
BMS	AlarmSynchronizer	1447416910796	0	0	0
BMS	ConnectorSynchronizer (import)	1447417210522	0	0	0
BMS	MeasurementSynchronizer	1447417210556	0	0	36
BMS	WorkOrderSynchronizer	1447417210620	0	0	0
BMS	TagSynchronizer	1447417210680	0	0	0
BMS	PropertySynchronizer	1447417210752	0	0	0
BMS	AlarmSynchronizer	1447417210774	0	0	0
BMS	ConnectorSynchronizer (import)	1447417510508	0	0	0
BMS	MeasurementSynchronizer	1447417510542	0	0	36
BMS	WorkOrderSynchronizer	1447417510610	0	0	0
BMS	TagSynchronizer	1447417510672	0	0	0
BMS	PropertySynchronizer	1447417510746	0	0	0
BMS	AlarmSynchronizer	1447417510767	0	0	0
BMS	ConnectorSynchronizer (import)	1447417810508	0	0	0
BMS	MeasurementSynchronizer	1447417810542	0	0	36
BMS	WorkOrderSynchronizer	1447417810611	0	0	0
BMS	TagSynchronizer	1447417810672	0	0	0
BMS	PropertySynchronizer	1447417810742	0	0	0
BMS	AlarmSynchronizer	1447417810763	0	0	0
BMS	ConnectorSynchronizer (import)	1447418110524	0	0	0
BMS	MeasurementSynchronizer	1447418110557	0	0	36
BMS	WorkOrderSynchronizer	1447418110622	0	0	0
BMS	TagSynchronizer	1447418110682	0	0	0
BMS	PropertySynchronizer	1447418110753	0	0	0
BMS	AlarmSynchronizer	1447418110774	0	0	0
BMS	ConnectorSynchronizer (import)	1447418410534	0	0	0
BMS	MeasurementSynchronizer	1447418410567	0	0	36
BMS	WorkOrderSynchronizer	1447418410631	0	0	0
BMS	TagSynchronizer	1447418410691	0	0	0
BMS	PropertySynchronizer	1447418410762	0	0	0
BMS	AlarmSynchronizer	1447418410783	0	0	0
BMS	ConnectorSynchronizer (import)	1447418710515	0	0	0
BMS	MeasurementSynchronizer	1447418710549	0	0	36
BMS	WorkOrderSynchronizer	1447418710616	0	0	0
BMS	TagSynchronizer	1447418710677	0	0	0
BMS	PropertySynchronizer	1447418710748	0	0	0
BMS	AlarmSynchronizer	1447418710768	0	0	0
BMS	ConnectorSynchronizer (import)	1447419010533	0	0	0
BMS	MeasurementSynchronizer	1447419010568	0	0	36
BMS	WorkOrderSynchronizer	1447419010635	0	0	0
BMS	TagSynchronizer	1447419010698	0	0	0
BMS	PropertySynchronizer	1447419010769	0	0	0
BMS	AlarmSynchronizer	1447419010792	0	0	0
BMS	ConnectorSynchronizer (import)	1447419310513	0	0	0
BMS	MeasurementSynchronizer	1447419310547	0	0	36
BMS	WorkOrderSynchronizer	1447419310609	0	0	0
BMS	TagSynchronizer	1447419310665	0	0	0
BMS	PropertySynchronizer	1447419310730	0	0	0
BMS	AlarmSynchronizer	1447419310763	0	0	0
BMS	ConnectorSynchronizer (import)	1447419610539	0	0	0
BMS	MeasurementSynchronizer	1447419610572	0	0	36
BMS	WorkOrderSynchronizer	1447419610639	0	0	0
BMS	TagSynchronizer	1447419610700	0	0	0
BMS	PropertySynchronizer	1447419610770	0	0	0
BMS	AlarmSynchronizer	1447419610791	0	0	0
BMS	ConnectorSynchronizer (import)	1447419910524	0	0	0
BMS	MeasurementSynchronizer	1447419910556	0	0	36
BMS	WorkOrderSynchronizer	1447419910615	0	0	0
BMS	TagSynchronizer	1447419910672	0	0	0
BMS	PropertySynchronizer	1447419910729	0	0	0
BMS	AlarmSynchronizer	1447419910748	0	0	0
BMS	ConnectorSynchronizer (import)	1447420210518	0	0	0
BMS	MeasurementSynchronizer	1447420210553	0	0	36
BMS	WorkOrderSynchronizer	1447420210623	0	0	0
BMS	TagSynchronizer	1447420210684	0	0	0
BMS	PropertySynchronizer	1447420210757	0	0	0
BMS	AlarmSynchronizer	1447420210779	0	0	0
BMS	ConnectorSynchronizer (import)	1447420510522	0	0	0
BMS	MeasurementSynchronizer	1447420510558	0	0	36
BMS	WorkOrderSynchronizer	1447420510624	0	0	0
BMS	TagSynchronizer	1447420510683	0	0	0
BMS	PropertySynchronizer	1447420510754	0	0	0
BMS	AlarmSynchronizer	1447420510775	0	0	0
BMS	ConnectorSynchronizer (import)	1447420810533	0	0	0
BMS	MeasurementSynchronizer	1447420810568	0	0	36
BMS	WorkOrderSynchronizer	1447420810635	0	0	0
BMS	TagSynchronizer	1447420810697	0	0	0
BMS	PropertySynchronizer	1447420810766	0	0	0
BMS	AlarmSynchronizer	1447420810786	0	0	0
BMS	ConnectorSynchronizer (import)	1447421110494	0	0	0
BMS	MeasurementSynchronizer	1447421110523	0	0	36
BMS	WorkOrderSynchronizer	1447421110580	0	0	0
BMS	TagSynchronizer	1447421110638	0	0	0
BMS	PropertySynchronizer	1447421110707	0	0	0
BMS	AlarmSynchronizer	1447421110728	0	0	0
BMS	ConnectorSynchronizer (import)	1447421410500	0	0	0
BMS	MeasurementSynchronizer	1447421410533	0	0	36
BMS	WorkOrderSynchronizer	1447421410598	0	0	0
BMS	TagSynchronizer	1447421410658	0	0	0
BMS	PropertySynchronizer	1447421410727	0	0	0
BMS	AlarmSynchronizer	1447421410748	0	0	0
BMS	ConnectorSynchronizer (import)	1447421710512	0	0	0
BMS	MeasurementSynchronizer	1447421710545	0	0	36
BMS	WorkOrderSynchronizer	1447421710612	0	0	0
BMS	TagSynchronizer	1447421710672	0	0	0
BMS	PropertySynchronizer	1447421710744	0	0	0
BMS	AlarmSynchronizer	1447421710766	0	0	0
BMS	ConnectorSynchronizer (import)	1447422010537	0	0	0
BMS	MeasurementSynchronizer	1447422010570	0	0	36
BMS	WorkOrderSynchronizer	1447422010638	0	0	0
BMS	TagSynchronizer	1447422010698	0	0	0
BMS	PropertySynchronizer	1447422010770	0	0	0
BMS	AlarmSynchronizer	1447422010791	0	0	0
BMS	ConnectorSynchronizer (import)	1447422310522	0	0	0
BMS	MeasurementSynchronizer	1447422310554	0	0	36
BMS	WorkOrderSynchronizer	1447422310620	0	0	0
BMS	TagSynchronizer	1447422310680	0	0	0
BMS	PropertySynchronizer	1447422310750	0	0	0
BMS	AlarmSynchronizer	1447422310772	0	0	0
BMS	ConnectorSynchronizer (import)	1447422610530	0	0	0
BMS	MeasurementSynchronizer	1447422610562	0	0	36
BMS	WorkOrderSynchronizer	1447422610628	0	0	0
BMS	TagSynchronizer	1447422610689	0	0	0
BMS	PropertySynchronizer	1447422610759	0	0	0
BMS	AlarmSynchronizer	1447422610780	0	0	0
BMS	ConnectorSynchronizer (import)	1447422910524	0	0	0
BMS	MeasurementSynchronizer	1447422910560	0	0	36
BMS	WorkOrderSynchronizer	1447422910627	0	0	0
BMS	TagSynchronizer	1447422910685	0	0	0
BMS	PropertySynchronizer	1447422910752	0	0	0
BMS	AlarmSynchronizer	1447422910773	0	0	0
BMS	ConnectorSynchronizer (import)	1447423210523	0	0	0
BMS	MeasurementSynchronizer	1447423210554	0	0	36
BMS	WorkOrderSynchronizer	1447423210613	0	0	0
BMS	TagSynchronizer	1447423210666	0	0	0
BMS	PropertySynchronizer	1447423210722	0	0	0
BMS	AlarmSynchronizer	1447423210740	0	0	0
BMS	ConnectorSynchronizer (import)	1447423510507	0	0	0
BMS	MeasurementSynchronizer	1447423510541	0	0	36
BMS	WorkOrderSynchronizer	1447423510604	0	0	0
BMS	TagSynchronizer	1447423510658	0	0	0
BMS	PropertySynchronizer	1447423510716	0	0	0
BMS	AlarmSynchronizer	1447423510735	0	0	0
BMS	ConnectorSynchronizer (import)	1447423810527	0	0	0
BMS	MeasurementSynchronizer	1447423810562	0	0	36
BMS	WorkOrderSynchronizer	1447423810633	0	0	0
BMS	TagSynchronizer	1447423810694	0	0	0
BMS	PropertySynchronizer	1447423810765	0	0	0
BMS	AlarmSynchronizer	1447423810787	0	0	0
BMS	ConnectorSynchronizer (import)	1447424110546	0	0	0
BMS	MeasurementSynchronizer	1447424110580	0	0	36
BMS	WorkOrderSynchronizer	1447424110647	0	0	0
BMS	TagSynchronizer	1447424110709	0	0	0
BMS	PropertySynchronizer	1447424110782	0	0	0
BMS	AlarmSynchronizer	1447424110803	0	0	0
BMS	ConnectorSynchronizer (import)	1447424410517	0	0	0
BMS	MeasurementSynchronizer	1447424410550	0	0	36
BMS	WorkOrderSynchronizer	1447424410615	0	0	0
BMS	TagSynchronizer	1447424410676	0	0	0
BMS	PropertySynchronizer	1447424410746	0	0	0
BMS	AlarmSynchronizer	1447424410767	0	0	0
BMS	ConnectorSynchronizer (import)	1447424710526	0	0	0
BMS	MeasurementSynchronizer	1447424710559	0	0	36
BMS	WorkOrderSynchronizer	1447424710624	0	0	0
BMS	TagSynchronizer	1447424710684	0	0	0
BMS	PropertySynchronizer	1447424710755	0	0	0
BMS	AlarmSynchronizer	1447424710776	0	0	0
BMS	ConnectorSynchronizer (import)	1447425010517	0	0	0
BMS	MeasurementSynchronizer	1447425010550	0	0	36
BMS	WorkOrderSynchronizer	1447425010616	0	0	0
BMS	TagSynchronizer	1447425010677	0	0	0
BMS	PropertySynchronizer	1447425010750	0	0	0
BMS	AlarmSynchronizer	1447425010772	0	0	0
BMS	ConnectorSynchronizer (import)	1447425310513	0	0	0
BMS	MeasurementSynchronizer	1447425310548	0	0	36
BMS	WorkOrderSynchronizer	1447425310615	0	0	0
BMS	TagSynchronizer	1447425310678	0	0	0
BMS	PropertySynchronizer	1447425310748	0	0	0
BMS	AlarmSynchronizer	1447425310770	0	0	0
BMS	ConnectorSynchronizer (import)	1447425610513	0	0	0
BMS	MeasurementSynchronizer	1447425610546	0	0	36
BMS	WorkOrderSynchronizer	1447425610609	0	0	0
BMS	TagSynchronizer	1447425610669	0	0	0
BMS	PropertySynchronizer	1447425610738	0	0	0
BMS	AlarmSynchronizer	1447425610759	0	0	0
BMS	ConnectorSynchronizer (import)	1447425910516	0	0	0
BMS	MeasurementSynchronizer	1447425910550	0	0	36
BMS	WorkOrderSynchronizer	1447425910617	0	0	0
BMS	TagSynchronizer	1447425910679	0	0	0
BMS	PropertySynchronizer	1447425910750	0	0	0
BMS	AlarmSynchronizer	1447425910771	0	0	0
BMS	ConnectorSynchronizer (import)	1447426210853	0	0	0
BMS	MeasurementSynchronizer	1447426210889	0	0	36
BMS	WorkOrderSynchronizer	1447426210956	0	0	0
BMS	TagSynchronizer	1447426211017	0	0	0
BMS	PropertySynchronizer	1447426211088	0	0	0
BMS	AlarmSynchronizer	1447426211110	0	0	0
BMS	ConnectorSynchronizer (import)	1447426510518	0	0	0
BMS	MeasurementSynchronizer	1447426510551	0	0	36
BMS	WorkOrderSynchronizer	1447426510614	0	0	0
BMS	TagSynchronizer	1447426510674	0	0	0
BMS	PropertySynchronizer	1447426510746	0	0	0
BMS	AlarmSynchronizer	1447426510769	0	0	0
BMS	ConnectorSynchronizer (import)	1447426810543	0	0	0
BMS	MeasurementSynchronizer	1447426810578	0	0	36
BMS	WorkOrderSynchronizer	1447426810644	0	0	0
BMS	TagSynchronizer	1447426810704	0	0	0
BMS	PropertySynchronizer	1447426810775	0	0	0
BMS	AlarmSynchronizer	1447426810796	0	0	0
BMS	ConnectorSynchronizer (import)	1447427110519	0	0	0
BMS	MeasurementSynchronizer	1447427110550	0	0	36
BMS	WorkOrderSynchronizer	1447427110606	0	0	0
BMS	TagSynchronizer	1447427110661	0	0	0
BMS	PropertySynchronizer	1447427110731	0	0	0
BMS	AlarmSynchronizer	1447427110754	0	0	0
BMS	ConnectorSynchronizer (import)	1447427410499	0	0	0
BMS	MeasurementSynchronizer	1447427410531	0	0	36
BMS	WorkOrderSynchronizer	1447427410594	0	0	0
BMS	TagSynchronizer	1447427410653	0	0	0
BMS	PropertySynchronizer	1447427410725	0	0	0
BMS	AlarmSynchronizer	1447427410746	0	0	0
BMS	ConnectorSynchronizer (import)	1447427710503	0	0	0
BMS	MeasurementSynchronizer	1447427710536	0	0	36
BMS	WorkOrderSynchronizer	1447427710601	0	0	0
BMS	TagSynchronizer	1447427710661	0	0	0
BMS	PropertySynchronizer	1447427710734	0	0	0
BMS	AlarmSynchronizer	1447427710757	0	0	0
BMS	ConnectorSynchronizer (import)	1447428010508	0	0	0
BMS	MeasurementSynchronizer	1447428010542	0	0	36
BMS	WorkOrderSynchronizer	1447428010608	0	0	0
BMS	TagSynchronizer	1447428010668	0	0	0
BMS	PropertySynchronizer	1447428010739	0	0	0
BMS	AlarmSynchronizer	1447428010772	0	0	0
BMS	ConnectorSynchronizer (import)	1447428310525	0	0	0
BMS	MeasurementSynchronizer	1447428310558	0	0	36
BMS	WorkOrderSynchronizer	1447428310623	0	0	0
BMS	TagSynchronizer	1447428310683	0	0	0
BMS	PropertySynchronizer	1447428310753	0	0	0
BMS	AlarmSynchronizer	1447428310774	0	0	0
BMS	ConnectorSynchronizer (import)	1447428610544	0	0	0
BMS	MeasurementSynchronizer	1447428610577	0	0	36
BMS	WorkOrderSynchronizer	1447428610645	0	0	0
BMS	TagSynchronizer	1447428610707	0	0	0
BMS	PropertySynchronizer	1447428610779	0	0	0
BMS	AlarmSynchronizer	1447428610801	0	0	0
BMS	ConnectorSynchronizer (import)	1447428910554	0	0	0
BMS	MeasurementSynchronizer	1447428910589	0	0	36
BMS	WorkOrderSynchronizer	1447428910657	0	0	0
BMS	TagSynchronizer	1447428910718	0	0	0
BMS	PropertySynchronizer	1447428910788	0	0	0
BMS	AlarmSynchronizer	1447428910809	0	0	0
BMS	ConnectorSynchronizer (import)	1447429210505	0	0	0
BMS	MeasurementSynchronizer	1447429210535	0	0	36
BMS	WorkOrderSynchronizer	1447429210597	0	0	0
BMS	TagSynchronizer	1447429210659	0	0	0
BMS	PropertySynchronizer	1447429210723	0	0	0
BMS	AlarmSynchronizer	1447429210741	0	0	0
BMS	ConnectorSynchronizer (import)	1447429510514	0	0	0
BMS	MeasurementSynchronizer	1447429510548	0	0	36
BMS	WorkOrderSynchronizer	1447429510615	0	0	0
BMS	TagSynchronizer	1447429510677	0	0	0
BMS	PropertySynchronizer	1447429510748	0	0	0
BMS	AlarmSynchronizer	1447429510770	0	0	0
BMS	ConnectorSynchronizer (import)	1447429810524	0	0	0
BMS	MeasurementSynchronizer	1447429810558	0	0	36
BMS	WorkOrderSynchronizer	1447429810625	0	0	0
BMS	TagSynchronizer	1447429810685	0	0	0
BMS	PropertySynchronizer	1447429810755	0	0	0
BMS	AlarmSynchronizer	1447429810777	0	0	0
BMS	ConnectorSynchronizer (import)	1447430110523	0	0	0
BMS	MeasurementSynchronizer	1447430110558	0	0	36
BMS	WorkOrderSynchronizer	1447430110626	0	0	0
BMS	TagSynchronizer	1447430110687	0	0	0
BMS	PropertySynchronizer	1447430110758	0	0	0
BMS	AlarmSynchronizer	1447430110781	0	0	0
BMS	ConnectorSynchronizer (import)	1447430410518	0	0	0
BMS	MeasurementSynchronizer	1447430410552	0	0	36
BMS	WorkOrderSynchronizer	1447430410618	0	0	0
BMS	TagSynchronizer	1447430410678	0	0	0
BMS	PropertySynchronizer	1447430410749	0	0	0
BMS	AlarmSynchronizer	1447430410772	0	0	0
BMS	ConnectorSynchronizer (import)	1447430710525	0	0	0
BMS	MeasurementSynchronizer	1447430710559	0	0	36
BMS	WorkOrderSynchronizer	1447430710629	0	0	0
BMS	TagSynchronizer	1447430710690	0	0	0
BMS	PropertySynchronizer	1447430710758	0	0	0
BMS	AlarmSynchronizer	1447430710779	0	0	0
BMS	ConnectorSynchronizer (import)	1447431010503	0	0	0
BMS	MeasurementSynchronizer	1447431010534	0	0	36
BMS	WorkOrderSynchronizer	1447431010595	0	0	0
BMS	TagSynchronizer	1447431010652	0	0	0
BMS	PropertySynchronizer	1447431010717	0	0	0
BMS	AlarmSynchronizer	1447431010735	0	0	0
BMS	ConnectorSynchronizer (import)	1447431310490	0	0	0
BMS	MeasurementSynchronizer	1447431310518	0	0	36
BMS	WorkOrderSynchronizer	1447431310574	0	0	0
BMS	TagSynchronizer	1447431310625	0	0	0
BMS	PropertySynchronizer	1447431310694	0	0	0
BMS	AlarmSynchronizer	1447431310716	0	0	0
BMS	ConnectorSynchronizer (import)	1447431610554	0	0	0
BMS	MeasurementSynchronizer	1447431610590	0	0	36
BMS	WorkOrderSynchronizer	1447431610663	0	0	0
BMS	TagSynchronizer	1447431610726	0	0	0
BMS	PropertySynchronizer	1447431610800	0	0	0
BMS	AlarmSynchronizer	1447431610822	0	0	0
BMS	ConnectorSynchronizer (import)	1447431910536	0	0	0
BMS	MeasurementSynchronizer	1447431910569	0	0	36
BMS	WorkOrderSynchronizer	1447431910634	0	0	0
BMS	TagSynchronizer	1447431910694	0	0	0
BMS	PropertySynchronizer	1447431910765	0	0	0
BMS	AlarmSynchronizer	1447431910786	0	0	0
BMS	ConnectorSynchronizer (import)	1447432210533	0	0	0
BMS	MeasurementSynchronizer	1447432210568	0	0	36
BMS	WorkOrderSynchronizer	1447432210636	0	0	0
BMS	TagSynchronizer	1447432210695	0	0	0
BMS	PropertySynchronizer	1447432210765	0	0	0
BMS	AlarmSynchronizer	1447432210787	0	0	0
BMS	ConnectorSynchronizer (import)	1447432510523	0	0	0
BMS	MeasurementSynchronizer	1447432510557	0	0	36
BMS	WorkOrderSynchronizer	1447432510624	0	0	0
BMS	TagSynchronizer	1447432510684	0	0	0
BMS	PropertySynchronizer	1447432510755	0	0	0
BMS	AlarmSynchronizer	1447432510776	0	0	0
BMS	ConnectorSynchronizer (import)	1447432810566	0	0	0
BMS	MeasurementSynchronizer	1447432810599	0	0	36
BMS	WorkOrderSynchronizer	1447432810667	0	0	0
BMS	TagSynchronizer	1447432810729	0	0	0
BMS	PropertySynchronizer	1447432810800	0	0	0
BMS	AlarmSynchronizer	1447432810822	0	0	0
BMS	ConnectorSynchronizer (import)	1447433110521	0	0	0
BMS	MeasurementSynchronizer	1447433110554	0	0	36
BMS	WorkOrderSynchronizer	1447433110620	0	0	0
BMS	TagSynchronizer	1447433110679	0	0	0
BMS	PropertySynchronizer	1447433110749	0	0	0
BMS	AlarmSynchronizer	1447433110771	0	0	0
BMS	ConnectorSynchronizer (import)	1447433410532	0	0	0
BMS	MeasurementSynchronizer	1447433410566	0	0	36
BMS	WorkOrderSynchronizer	1447433410633	0	0	0
BMS	TagSynchronizer	1447433410693	0	0	0
BMS	PropertySynchronizer	1447433410764	0	0	0
BMS	AlarmSynchronizer	1447433410786	0	0	0
BMS	ConnectorSynchronizer (import)	1447433710500	0	0	0
BMS	MeasurementSynchronizer	1447433710533	0	0	36
BMS	WorkOrderSynchronizer	1447433710598	0	0	0
BMS	TagSynchronizer	1447433710659	0	0	0
BMS	PropertySynchronizer	1447433710732	0	0	0
BMS	AlarmSynchronizer	1447433710755	0	0	0
BMS	ConnectorSynchronizer (import)	1447434010529	0	0	0
BMS	MeasurementSynchronizer	1447434010560	0	0	36
BMS	WorkOrderSynchronizer	1447434010619	0	0	0
BMS	TagSynchronizer	1447434010675	0	0	0
BMS	PropertySynchronizer	1447434010739	0	0	0
BMS	AlarmSynchronizer	1447434010759	0	0	0
BMS	ConnectorSynchronizer (import)	1447434310573	0	0	0
BMS	MeasurementSynchronizer	1447434310606	0	0	36
BMS	WorkOrderSynchronizer	1447434310671	0	0	0
BMS	TagSynchronizer	1447434310731	0	0	0
BMS	PropertySynchronizer	1447434310801	0	0	0
BMS	AlarmSynchronizer	1447434310822	0	0	0
BMS	ConnectorSynchronizer (import)	1447434610525	0	0	0
BMS	MeasurementSynchronizer	1447434610559	0	0	36
BMS	WorkOrderSynchronizer	1447434610625	0	0	0
BMS	TagSynchronizer	1447434610691	0	0	0
BMS	PropertySynchronizer	1447434610762	0	0	0
BMS	AlarmSynchronizer	1447434610783	0	0	0
BMS	ConnectorSynchronizer (import)	1447434910511	0	0	0
BMS	MeasurementSynchronizer	1447434910545	0	0	36
BMS	WorkOrderSynchronizer	1447434910609	0	0	0
BMS	TagSynchronizer	1447434910670	0	0	0
BMS	PropertySynchronizer	1447434910740	0	0	0
BMS	AlarmSynchronizer	1447434910761	0	0	0
BMS	ConnectorSynchronizer (import)	1447435210515	0	0	0
BMS	MeasurementSynchronizer	1447435210548	0	0	36
BMS	WorkOrderSynchronizer	1447435210615	0	0	0
BMS	TagSynchronizer	1447435210675	0	0	0
BMS	PropertySynchronizer	1447435210745	0	0	0
BMS	AlarmSynchronizer	1447435210767	0	0	0
BMS	ConnectorSynchronizer (import)	1447435510504	0	0	0
BMS	MeasurementSynchronizer	1447435510536	0	0	36
BMS	WorkOrderSynchronizer	1447435510600	0	0	0
BMS	TagSynchronizer	1447435510660	0	0	0
BMS	PropertySynchronizer	1447435510730	0	0	0
BMS	AlarmSynchronizer	1447435510751	0	0	0
BMS	ConnectorSynchronizer (import)	1447435810538	0	0	0
BMS	MeasurementSynchronizer	1447435810571	0	0	36
BMS	WorkOrderSynchronizer	1447435810634	0	0	0
BMS	TagSynchronizer	1447435810695	0	0	0
BMS	PropertySynchronizer	1447435810764	0	0	0
BMS	AlarmSynchronizer	1447435810785	0	0	0
BMS	ConnectorSynchronizer (import)	1447436110544	0	0	0
BMS	MeasurementSynchronizer	1447436110575	0	0	36
BMS	WorkOrderSynchronizer	1447436110634	0	0	0
BMS	TagSynchronizer	1447436110692	0	0	0
BMS	PropertySynchronizer	1447436110757	0	0	0
BMS	AlarmSynchronizer	1447436110777	0	0	0
BMS	ConnectorSynchronizer (import)	1447436410529	0	0	0
BMS	MeasurementSynchronizer	1447436410562	0	0	36
BMS	WorkOrderSynchronizer	1447436410628	0	0	0
BMS	TagSynchronizer	1447436410687	0	0	0
BMS	PropertySynchronizer	1447436410757	0	0	0
BMS	AlarmSynchronizer	1447436410780	0	0	0
BMS	ConnectorSynchronizer (import)	1447436710524	0	0	0
BMS	MeasurementSynchronizer	1447436710558	0	0	36
BMS	WorkOrderSynchronizer	1447436710627	0	0	0
BMS	TagSynchronizer	1447436710689	0	0	0
BMS	PropertySynchronizer	1447436710759	0	0	0
BMS	AlarmSynchronizer	1447436710780	0	0	0
BMS	ConnectorSynchronizer (import)	1447437010517	0	0	0
BMS	MeasurementSynchronizer	1447437010550	0	0	36
BMS	WorkOrderSynchronizer	1447437010616	0	0	0
BMS	TagSynchronizer	1447437010676	0	0	0
BMS	PropertySynchronizer	1447437010746	0	0	0
BMS	AlarmSynchronizer	1447437010768	0	0	0
BMS	ConnectorSynchronizer (import)	1447437310527	0	0	0
BMS	MeasurementSynchronizer	1447437310562	0	0	36
BMS	WorkOrderSynchronizer	1447437310634	0	0	0
BMS	TagSynchronizer	1447437310695	0	0	0
BMS	PropertySynchronizer	1447437310768	0	0	0
BMS	AlarmSynchronizer	1447437310791	0	0	0
BMS	ConnectorSynchronizer (import)	1447437610545	0	0	0
BMS	MeasurementSynchronizer	1447437610578	0	0	36
BMS	WorkOrderSynchronizer	1447437610643	0	0	0
BMS	TagSynchronizer	1447437610703	0	0	0
BMS	PropertySynchronizer	1447437610773	0	0	0
BMS	AlarmSynchronizer	1447437610794	0	0	0
BMS	ConnectorSynchronizer (import)	1447437910518	0	0	0
BMS	MeasurementSynchronizer	1447437910554	0	0	36
BMS	WorkOrderSynchronizer	1447437910619	0	0	0
BMS	TagSynchronizer	1447437910679	0	0	0
BMS	PropertySynchronizer	1447437910750	0	0	0
BMS	AlarmSynchronizer	1447437910771	0	0	0
BMS	ConnectorSynchronizer (import)	1447438210526	0	0	0
BMS	MeasurementSynchronizer	1447438210561	0	0	36
BMS	WorkOrderSynchronizer	1447438210627	0	0	0
BMS	TagSynchronizer	1447438210687	0	0	0
BMS	PropertySynchronizer	1447438210757	0	0	0
BMS	AlarmSynchronizer	1447438210778	0	0	0
BMS	ConnectorSynchronizer (import)	1447438510511	0	0	0
BMS	MeasurementSynchronizer	1447438510544	0	0	36
BMS	WorkOrderSynchronizer	1447438510609	0	0	0
BMS	TagSynchronizer	1447438510671	0	0	0
BMS	PropertySynchronizer	1447438510741	0	0	0
BMS	AlarmSynchronizer	1447438510762	0	0	0
BMS	ConnectorSynchronizer (import)	1447438810522	0	0	0
BMS	MeasurementSynchronizer	1447438810557	0	0	36
BMS	WorkOrderSynchronizer	1447438810625	0	0	0
BMS	TagSynchronizer	1447438810689	0	0	0
BMS	PropertySynchronizer	1447438810759	0	0	0
BMS	AlarmSynchronizer	1447438810781	0	0	0
BMS	ConnectorSynchronizer (import)	1447439110514	0	0	0
BMS	MeasurementSynchronizer	1447439110545	0	0	36
BMS	WorkOrderSynchronizer	1447439110607	0	0	0
BMS	TagSynchronizer	1447439110663	0	0	0
BMS	PropertySynchronizer	1447439110725	0	0	0
BMS	AlarmSynchronizer	1447439110745	0	0	0
BMS	ConnectorSynchronizer (import)	1447439410512	0	0	0
BMS	MeasurementSynchronizer	1447439410546	0	0	36
BMS	WorkOrderSynchronizer	1447439410610	0	0	0
BMS	TagSynchronizer	1447439410670	0	0	0
BMS	PropertySynchronizer	1447439410740	0	0	0
BMS	AlarmSynchronizer	1447439410761	0	0	0
BMS	ConnectorSynchronizer (import)	1447439710504	0	0	0
BMS	MeasurementSynchronizer	1447439710537	0	0	36
BMS	WorkOrderSynchronizer	1447439710602	0	0	0
BMS	TagSynchronizer	1447439710661	0	0	0
BMS	PropertySynchronizer	1447439710732	0	0	0
BMS	AlarmSynchronizer	1447439710753	0	0	0
BMS	ConnectorSynchronizer (import)	1447440010509	0	0	0
BMS	MeasurementSynchronizer	1447440010544	0	0	36
BMS	WorkOrderSynchronizer	1447440010613	0	0	0
BMS	TagSynchronizer	1447440010676	0	0	0
BMS	PropertySynchronizer	1447440010744	0	0	0
BMS	AlarmSynchronizer	1447440010764	0	0	0
BMS	ConnectorSynchronizer (import)	1447440310549	0	0	0
BMS	MeasurementSynchronizer	1447440310583	0	0	36
BMS	WorkOrderSynchronizer	1447440310649	0	0	0
BMS	TagSynchronizer	1447440310710	0	0	0
BMS	PropertySynchronizer	1447440310779	0	0	0
BMS	AlarmSynchronizer	1447440310801	0	0	0
BMS	ConnectorSynchronizer (import)	1447440610502	0	0	0
BMS	MeasurementSynchronizer	1447440610537	0	0	36
BMS	WorkOrderSynchronizer	1447440610605	0	0	0
BMS	TagSynchronizer	1447440610665	0	0	0
BMS	PropertySynchronizer	1447440610735	0	0	0
BMS	AlarmSynchronizer	1447440610756	0	0	0
BMS	ConnectorSynchronizer (import)	1447440910551	0	0	0
BMS	MeasurementSynchronizer	1447440910584	0	0	36
BMS	WorkOrderSynchronizer	1447440910649	0	0	0
BMS	TagSynchronizer	1447440910709	0	0	0
BMS	PropertySynchronizer	1447440910781	0	0	0
BMS	AlarmSynchronizer	1447440910802	0	0	0
BMS	ConnectorSynchronizer (import)	1447441210504	0	0	0
BMS	MeasurementSynchronizer	1447441210536	0	0	36
BMS	WorkOrderSynchronizer	1447441210596	0	0	0
BMS	TagSynchronizer	1447441210653	0	0	0
BMS	PropertySynchronizer	1447441210719	0	0	0
BMS	AlarmSynchronizer	1447441210739	0	0	0
BMS	ConnectorSynchronizer (import)	1447441510521	0	0	0
BMS	MeasurementSynchronizer	1447441510554	0	0	36
BMS	WorkOrderSynchronizer	1447441510621	0	0	0
BMS	TagSynchronizer	1447441510681	0	0	0
BMS	PropertySynchronizer	1447441510751	0	0	0
BMS	AlarmSynchronizer	1447441510772	0	0	0
BMS	ConnectorSynchronizer (import)	1447441810504	0	0	0
BMS	MeasurementSynchronizer	1447441810536	0	0	36
BMS	WorkOrderSynchronizer	1447441810601	0	0	0
BMS	TagSynchronizer	1447441810660	0	0	0
BMS	PropertySynchronizer	1447441810731	0	0	0
BMS	AlarmSynchronizer	1447441810752	0	0	0
BMS	ConnectorSynchronizer (import)	1447442110530	0	0	0
BMS	MeasurementSynchronizer	1447442110563	0	0	36
BMS	WorkOrderSynchronizer	1447442110629	0	0	0
BMS	TagSynchronizer	1447442110688	0	0	0
BMS	PropertySynchronizer	1447442110759	0	0	0
BMS	AlarmSynchronizer	1447442110780	0	0	0
BMS	ConnectorSynchronizer (import)	1447442410883	0	0	0
BMS	MeasurementSynchronizer	1447442410917	0	0	36
BMS	WorkOrderSynchronizer	1447442410984	0	0	0
BMS	TagSynchronizer	1447442411047	0	0	0
BMS	PropertySynchronizer	1447442411118	0	0	0
BMS	AlarmSynchronizer	1447442411141	0	0	0
BMS	ConnectorSynchronizer (import)	1447442710534	0	0	0
BMS	MeasurementSynchronizer	1447442710568	0	0	36
BMS	WorkOrderSynchronizer	1447442710636	0	0	0
BMS	TagSynchronizer	1447442710698	0	0	0
BMS	PropertySynchronizer	1447442710769	0	0	0
BMS	AlarmSynchronizer	1447442710790	0	0	0
BMS	ConnectorSynchronizer (import)	1447443010517	0	0	0
BMS	MeasurementSynchronizer	1447443010550	0	0	36
BMS	WorkOrderSynchronizer	1447443010615	0	0	0
BMS	TagSynchronizer	1447443010676	0	0	0
BMS	PropertySynchronizer	1447443010745	0	0	0
BMS	AlarmSynchronizer	1447443010766	0	0	0
BMS	ConnectorSynchronizer (import)	1447443310529	0	0	0
BMS	MeasurementSynchronizer	1447443310561	0	0	36
BMS	WorkOrderSynchronizer	1447443310625	0	0	0
BMS	TagSynchronizer	1447443310684	0	0	0
BMS	PropertySynchronizer	1447443310754	0	0	0
BMS	AlarmSynchronizer	1447443310775	0	0	0
BMS	ConnectorSynchronizer (import)	1447443610534	0	0	0
BMS	MeasurementSynchronizer	1447443610569	0	0	36
BMS	WorkOrderSynchronizer	1447443610642	0	0	0
BMS	TagSynchronizer	1447443610707	0	0	0
BMS	PropertySynchronizer	1447443610779	0	0	0
BMS	AlarmSynchronizer	1447443610802	0	0	0
BMS	ConnectorSynchronizer (import)	1447443910551	0	0	0
BMS	MeasurementSynchronizer	1447443910582	0	0	36
BMS	WorkOrderSynchronizer	1447443910642	0	0	0
BMS	TagSynchronizer	1447443910698	0	0	0
BMS	PropertySynchronizer	1447443910763	0	0	0
BMS	AlarmSynchronizer	1447443910782	0	0	0
BMS	ConnectorSynchronizer (import)	1447444210510	0	0	0
BMS	MeasurementSynchronizer	1447444210543	0	0	36
BMS	WorkOrderSynchronizer	1447444210607	0	0	0
BMS	TagSynchronizer	1447444210666	0	0	0
BMS	PropertySynchronizer	1447444210736	0	0	0
BMS	AlarmSynchronizer	1447444210757	0	0	0
BMS	ConnectorSynchronizer (import)	1447444510507	0	0	0
BMS	MeasurementSynchronizer	1447444510539	0	0	36
BMS	WorkOrderSynchronizer	1447444510604	0	0	0
BMS	TagSynchronizer	1447444510663	0	0	0
BMS	PropertySynchronizer	1447444510735	0	0	0
BMS	AlarmSynchronizer	1447444510757	0	0	0
BMS	ConnectorSynchronizer (import)	1447444810532	0	0	0
BMS	MeasurementSynchronizer	1447444810565	0	0	36
BMS	WorkOrderSynchronizer	1447444810630	0	0	0
BMS	TagSynchronizer	1447444810691	0	0	0
BMS	PropertySynchronizer	1447444810764	0	0	0
BMS	AlarmSynchronizer	1447444810785	0	0	0
BMS	ConnectorSynchronizer (import)	1447445110525	0	0	0
BMS	MeasurementSynchronizer	1447445110559	0	0	36
BMS	WorkOrderSynchronizer	1447445110627	0	0	0
BMS	TagSynchronizer	1447445110689	0	0	0
BMS	PropertySynchronizer	1447445110759	0	0	0
BMS	AlarmSynchronizer	1447445110782	0	0	0
BMS	ConnectorSynchronizer (import)	1447445410529	0	0	0
BMS	MeasurementSynchronizer	1447445410563	0	0	36
BMS	WorkOrderSynchronizer	1447445410631	0	0	0
BMS	TagSynchronizer	1447445410693	0	0	0
BMS	PropertySynchronizer	1447445410764	0	0	0
BMS	AlarmSynchronizer	1447445410785	0	0	0
BMS	ConnectorSynchronizer (import)	1447445710541	0	0	0
BMS	MeasurementSynchronizer	1447445710574	0	0	36
BMS	WorkOrderSynchronizer	1447445710639	0	0	0
BMS	TagSynchronizer	1447445710702	0	0	0
BMS	PropertySynchronizer	1447445710773	0	0	0
BMS	AlarmSynchronizer	1447445710796	0	0	0
BMS	ConnectorSynchronizer (import)	1447446010514	0	0	0
BMS	MeasurementSynchronizer	1447446010545	0	0	36
BMS	WorkOrderSynchronizer	1447446010606	0	0	0
BMS	TagSynchronizer	1447446010662	0	0	0
BMS	PropertySynchronizer	1447446010728	0	0	0
BMS	AlarmSynchronizer	1447446010748	0	0	0
BMS	ConnectorSynchronizer (import)	1447446310520	0	0	0
BMS	MeasurementSynchronizer	1447446310554	0	0	36
BMS	WorkOrderSynchronizer	1447446310619	0	0	0
BMS	TagSynchronizer	1447446310681	0	0	0
BMS	PropertySynchronizer	1447446310753	0	0	0
BMS	AlarmSynchronizer	1447446310775	0	0	0
BMS	ConnectorSynchronizer (import)	1447446610513	0	0	0
BMS	MeasurementSynchronizer	1447446610546	0	0	36
BMS	WorkOrderSynchronizer	1447446610612	0	0	0
BMS	TagSynchronizer	1447446610671	0	0	0
BMS	PropertySynchronizer	1447446610743	0	0	0
BMS	AlarmSynchronizer	1447446610764	0	0	0
BMS	ConnectorSynchronizer (import)	1447446910508	0	0	0
BMS	MeasurementSynchronizer	1447446910541	0	0	36
BMS	WorkOrderSynchronizer	1447446910606	0	0	0
BMS	TagSynchronizer	1447446910666	0	0	0
BMS	PropertySynchronizer	1447446910736	0	0	0
BMS	AlarmSynchronizer	1447446910758	0	0	0
BMS	ConnectorSynchronizer (import)	1447447210517	0	0	0
BMS	MeasurementSynchronizer	1447447210553	0	0	36
BMS	WorkOrderSynchronizer	1447447210621	0	0	0
BMS	TagSynchronizer	1447447210683	0	0	0
BMS	PropertySynchronizer	1447447210756	0	0	0
BMS	AlarmSynchronizer	1447447210777	0	0	0
BMS	ConnectorSynchronizer (import)	1447447510567	0	0	0
BMS	MeasurementSynchronizer	1447447510602	0	0	36
BMS	WorkOrderSynchronizer	1447447510671	0	0	0
BMS	TagSynchronizer	1447447510732	0	0	0
BMS	PropertySynchronizer	1447447510804	0	0	0
BMS	AlarmSynchronizer	1447447510825	0	0	0
BMS	ConnectorSynchronizer (import)	1447447810542	0	0	0
BMS	MeasurementSynchronizer	1447447810575	0	0	36
BMS	WorkOrderSynchronizer	1447447810643	0	0	0
BMS	TagSynchronizer	1447447810709	0	0	0
BMS	PropertySynchronizer	1447447810782	0	0	0
BMS	AlarmSynchronizer	1447447810804	0	0	0
BMS	ConnectorSynchronizer (import)	1447448110516	0	0	0
BMS	MeasurementSynchronizer	1447448110553	0	0	36
BMS	WorkOrderSynchronizer	1447448110619	0	0	0
BMS	TagSynchronizer	1447448110677	0	0	0
BMS	PropertySynchronizer	1447448110743	0	0	0
BMS	AlarmSynchronizer	1447448110763	0	0	0
BMS	ConnectorSynchronizer (import)	1447448410551	0	0	0
BMS	MeasurementSynchronizer	1447448410584	0	0	36
BMS	WorkOrderSynchronizer	1447448410652	0	0	0
BMS	TagSynchronizer	1447448410713	0	0	0
BMS	PropertySynchronizer	1447448410782	0	0	0
BMS	AlarmSynchronizer	1447448410803	0	0	0
BMS	ConnectorSynchronizer (import)	1447448710513	0	0	0
BMS	MeasurementSynchronizer	1447448710548	0	0	36
BMS	WorkOrderSynchronizer	1447448710615	0	0	0
BMS	TagSynchronizer	1447448710676	0	0	0
BMS	PropertySynchronizer	1447448710748	0	0	0
BMS	AlarmSynchronizer	1447448710769	0	0	0
BMS	ConnectorSynchronizer (import)	1447449010535	0	0	0
BMS	MeasurementSynchronizer	1447449010570	0	0	36
BMS	WorkOrderSynchronizer	1447449010636	0	0	0
BMS	TagSynchronizer	1447449010697	0	0	0
BMS	PropertySynchronizer	1447449010767	0	0	0
BMS	AlarmSynchronizer	1447449010789	0	0	0
BMS	ConnectorSynchronizer (import)	1447449310525	0	0	0
BMS	MeasurementSynchronizer	1447449310558	0	0	36
BMS	WorkOrderSynchronizer	1447449310621	0	0	0
BMS	TagSynchronizer	1447449310680	0	0	0
BMS	PropertySynchronizer	1447449310750	0	0	0
BMS	AlarmSynchronizer	1447449310772	0	0	0
BMS	ConnectorSynchronizer (import)	1447449610552	0	0	0
BMS	MeasurementSynchronizer	1447449610585	0	0	36
BMS	WorkOrderSynchronizer	1447449610650	0	0	0
BMS	TagSynchronizer	1447449610710	0	0	0
BMS	PropertySynchronizer	1447449610780	0	0	0
BMS	AlarmSynchronizer	1447449610801	0	0	0
BMS	ConnectorSynchronizer (import)	1447449910527	0	0	0
BMS	MeasurementSynchronizer	1447449910562	0	0	36
BMS	WorkOrderSynchronizer	1447449910626	0	0	0
BMS	TagSynchronizer	1447449910686	0	0	0
BMS	PropertySynchronizer	1447449910756	0	0	0
BMS	AlarmSynchronizer	1447449910778	0	0	0
BMS	ConnectorSynchronizer (import)	1447450210535	0	0	0
BMS	MeasurementSynchronizer	1447450210570	0	0	36
BMS	WorkOrderSynchronizer	1447450210636	0	0	0
BMS	TagSynchronizer	1447450210697	0	0	0
BMS	PropertySynchronizer	1447450210766	0	0	0
BMS	AlarmSynchronizer	1447450210787	0	0	0
BMS	ConnectorSynchronizer (import)	1447450510527	0	0	0
BMS	MeasurementSynchronizer	1447450510558	0	0	36
BMS	WorkOrderSynchronizer	1447450510618	0	0	0
BMS	TagSynchronizer	1447450510674	0	0	0
BMS	PropertySynchronizer	1447450510739	0	0	0
BMS	AlarmSynchronizer	1447450510759	0	0	0
BMS	ConnectorSynchronizer (import)	1447450810501	0	0	0
BMS	MeasurementSynchronizer	1447450810534	0	0	36
BMS	WorkOrderSynchronizer	1447450810597	0	0	0
BMS	TagSynchronizer	1447450810657	0	0	0
BMS	PropertySynchronizer	1447450810726	0	0	0
BMS	AlarmSynchronizer	1447450810747	0	0	0
BMS	ConnectorSynchronizer (import)	1447451110521	0	0	0
BMS	MeasurementSynchronizer	1447451110554	0	0	36
BMS	WorkOrderSynchronizer	1447451110619	0	0	0
BMS	TagSynchronizer	1447451110679	0	0	0
BMS	PropertySynchronizer	1447451110748	0	0	0
BMS	AlarmSynchronizer	1447451110769	0	0	0
BMS	ConnectorSynchronizer (import)	1447451410517	0	0	0
BMS	MeasurementSynchronizer	1447451410549	0	0	36
BMS	WorkOrderSynchronizer	1447451410616	0	0	0
BMS	TagSynchronizer	1447451410676	0	0	0
BMS	PropertySynchronizer	1447451410745	0	0	0
BMS	AlarmSynchronizer	1447451410766	0	0	0
BMS	ConnectorSynchronizer (import)	1447451710508	0	0	0
BMS	MeasurementSynchronizer	1447451710541	0	0	36
BMS	WorkOrderSynchronizer	1447451710608	0	0	0
BMS	TagSynchronizer	1447451710669	0	0	0
BMS	PropertySynchronizer	1447451710739	0	0	0
BMS	AlarmSynchronizer	1447451710760	0	0	0
BMS	ConnectorSynchronizer (import)	1447452010532	0	0	0
BMS	MeasurementSynchronizer	1447452010565	0	0	36
BMS	WorkOrderSynchronizer	1447452010633	0	0	0
BMS	TagSynchronizer	1447452010696	0	0	0
BMS	PropertySynchronizer	1447452010768	0	0	0
BMS	AlarmSynchronizer	1447452010791	0	0	0
BMS	ConnectorSynchronizer (import)	1447452310526	0	0	0
BMS	MeasurementSynchronizer	1447452310559	0	0	36
BMS	WorkOrderSynchronizer	1447452310624	0	0	0
BMS	TagSynchronizer	1447452310685	0	0	0
BMS	PropertySynchronizer	1447452310756	0	0	0
BMS	AlarmSynchronizer	1447452310779	0	0	0
BMS	ConnectorSynchronizer (import)	1447452610561	0	0	0
BMS	MeasurementSynchronizer	1447452610594	0	0	36
BMS	WorkOrderSynchronizer	1447452610663	0	0	0
BMS	TagSynchronizer	1447452610724	0	0	0
BMS	PropertySynchronizer	1447452610794	0	0	0
BMS	AlarmSynchronizer	1447452610815	0	0	0
BMS	ConnectorSynchronizer (import)	1447452910539	0	0	0
BMS	MeasurementSynchronizer	1447452910572	0	0	36
BMS	WorkOrderSynchronizer	1447452910636	0	0	0
BMS	TagSynchronizer	1447452910698	0	0	0
BMS	PropertySynchronizer	1447452910769	0	0	0
BMS	AlarmSynchronizer	1447452910790	0	0	0
BMS	ConnectorSynchronizer (import)	1447453210549	0	0	0
BMS	MeasurementSynchronizer	1447453210584	0	0	36
BMS	WorkOrderSynchronizer	1447453210654	0	0	0
BMS	TagSynchronizer	1447453210714	0	0	0
BMS	PropertySynchronizer	1447453210785	0	0	0
BMS	AlarmSynchronizer	1447453210809	0	0	0
BMS	ConnectorSynchronizer (import)	1447453510520	0	0	0
BMS	MeasurementSynchronizer	1447453510555	0	0	36
BMS	WorkOrderSynchronizer	1447453510623	0	0	0
BMS	TagSynchronizer	1447453510685	0	0	0
BMS	PropertySynchronizer	1447453510757	0	0	0
BMS	AlarmSynchronizer	1447453510780	0	0	0
BMS	ConnectorSynchronizer (import)	1447453810533	0	0	0
BMS	MeasurementSynchronizer	1447453810568	0	0	36
BMS	WorkOrderSynchronizer	1447453810634	0	0	0
BMS	TagSynchronizer	1447453810697	0	0	0
BMS	PropertySynchronizer	1447453810768	0	0	0
BMS	AlarmSynchronizer	1447453810791	0	0	0
BMS	ConnectorSynchronizer (import)	1447454110517	0	0	0
BMS	MeasurementSynchronizer	1447454110550	0	0	36
BMS	WorkOrderSynchronizer	1447454110614	0	0	0
BMS	TagSynchronizer	1447454110674	0	0	0
BMS	PropertySynchronizer	1447454110745	0	0	0
BMS	AlarmSynchronizer	1447454110766	0	0	0
BMS	ConnectorSynchronizer (import)	1447454410523	0	0	0
BMS	MeasurementSynchronizer	1447454410555	0	0	36
BMS	WorkOrderSynchronizer	1447454410621	0	0	0
BMS	TagSynchronizer	1447454410680	0	0	0
BMS	PropertySynchronizer	1447454410751	0	0	0
BMS	AlarmSynchronizer	1447454410775	0	0	0
BMS	ConnectorSynchronizer (import)	1447454710512	0	0	0
BMS	MeasurementSynchronizer	1447454710546	0	0	36
BMS	WorkOrderSynchronizer	1447454710615	0	0	0
BMS	TagSynchronizer	1447454710677	0	0	0
BMS	PropertySynchronizer	1447454710748	0	0	0
BMS	AlarmSynchronizer	1447454710770	0	0	0
BMS	ConnectorSynchronizer (import)	1447455010519	0	0	0
BMS	MeasurementSynchronizer	1447455010551	0	0	36
BMS	WorkOrderSynchronizer	1447455010616	0	0	0
BMS	TagSynchronizer	1447455010676	0	0	0
BMS	PropertySynchronizer	1447455010746	0	0	0
BMS	AlarmSynchronizer	1447455010767	0	0	0
BMS	ConnectorSynchronizer (import)	1447455310505	0	0	0
BMS	MeasurementSynchronizer	1447455310539	0	0	36
BMS	WorkOrderSynchronizer	1447455310605	0	0	0
BMS	TagSynchronizer	1447455310665	0	0	0
BMS	PropertySynchronizer	1447455310736	0	0	0
BMS	AlarmSynchronizer	1447455310757	0	0	0
BMS	ConnectorSynchronizer (import)	1447455610528	0	0	0
BMS	MeasurementSynchronizer	1447455610560	0	0	36
BMS	WorkOrderSynchronizer	1447455610626	0	0	0
BMS	TagSynchronizer	1447455610685	0	0	0
BMS	PropertySynchronizer	1447455610756	0	0	0
BMS	AlarmSynchronizer	1447455610776	0	0	0
BMS	ConnectorSynchronizer (import)	1447455910520	0	0	0
BMS	MeasurementSynchronizer	1447455910553	0	0	36
BMS	WorkOrderSynchronizer	1447455910619	0	0	0
BMS	TagSynchronizer	1447455910679	0	0	0
BMS	PropertySynchronizer	1447455910750	0	0	0
BMS	AlarmSynchronizer	1447455910771	0	0	0
BMS	ConnectorSynchronizer (import)	1447456210525	0	0	0
BMS	MeasurementSynchronizer	1447456210558	0	0	36
BMS	WorkOrderSynchronizer	1447456210625	0	0	0
BMS	TagSynchronizer	1447456210689	0	0	0
BMS	PropertySynchronizer	1447456210761	0	0	0
BMS	AlarmSynchronizer	1447456210783	0	0	0
BMS	ConnectorSynchronizer (import)	1447456510527	0	0	0
BMS	MeasurementSynchronizer	1447456510560	0	0	36
BMS	WorkOrderSynchronizer	1447456510625	0	0	0
BMS	TagSynchronizer	1447456510688	0	0	0
BMS	PropertySynchronizer	1447456510761	0	0	0
BMS	AlarmSynchronizer	1447456510783	0	0	0
BMS	ConnectorSynchronizer (import)	1447456810526	0	0	0
BMS	MeasurementSynchronizer	1447456810558	0	0	36
BMS	WorkOrderSynchronizer	1447456810620	0	0	0
BMS	TagSynchronizer	1447456810680	0	0	0
BMS	PropertySynchronizer	1447456810751	0	0	0
BMS	AlarmSynchronizer	1447456810772	0	0	0
BMS	ConnectorSynchronizer (import)	1447457110522	0	0	0
BMS	MeasurementSynchronizer	1447457110558	0	0	36
BMS	WorkOrderSynchronizer	1447457110627	0	0	0
BMS	TagSynchronizer	1447457110690	0	0	0
BMS	PropertySynchronizer	1447457110762	0	0	0
BMS	AlarmSynchronizer	1447457110784	0	0	0
BMS	ConnectorSynchronizer (import)	1447457410514	0	0	0
BMS	MeasurementSynchronizer	1447457410547	0	0	36
BMS	WorkOrderSynchronizer	1447457410612	0	0	0
BMS	TagSynchronizer	1447457410672	0	0	0
BMS	PropertySynchronizer	1447457410742	0	0	0
BMS	AlarmSynchronizer	1447457410763	0	0	0
BMS	ConnectorSynchronizer (import)	1447457710544	0	0	0
BMS	MeasurementSynchronizer	1447457710577	0	0	36
BMS	WorkOrderSynchronizer	1447457710642	0	0	0
BMS	TagSynchronizer	1447457710702	0	0	0
BMS	PropertySynchronizer	1447457710773	0	0	0
BMS	AlarmSynchronizer	1447457710794	0	0	0
BMS	ConnectorSynchronizer (import)	1447458010538	0	0	0
BMS	MeasurementSynchronizer	1447458010570	0	0	36
BMS	WorkOrderSynchronizer	1447458010629	0	0	0
BMS	TagSynchronizer	1447458010687	0	0	0
BMS	PropertySynchronizer	1447458010756	0	0	0
BMS	AlarmSynchronizer	1447458010776	0	0	0
BMS	ConnectorSynchronizer (import)	1447458310521	0	0	0
BMS	MeasurementSynchronizer	1447458310552	0	0	36
BMS	WorkOrderSynchronizer	1447458310612	0	0	0
BMS	TagSynchronizer	1447458310663	0	0	0
BMS	PropertySynchronizer	1447458310727	0	0	0
BMS	AlarmSynchronizer	1447458310748	0	0	0
BMS	ConnectorSynchronizer (import)	1447458610518	0	0	0
BMS	MeasurementSynchronizer	1447458610551	0	0	36
BMS	WorkOrderSynchronizer	1447458610617	0	0	0
BMS	TagSynchronizer	1447458610678	0	0	0
BMS	PropertySynchronizer	1447458610750	0	0	0
BMS	AlarmSynchronizer	1447458610771	0	0	0
BMS	ConnectorSynchronizer (import)	1447458910515	0	0	0
BMS	MeasurementSynchronizer	1447458910549	0	0	36
BMS	WorkOrderSynchronizer	1447458910615	0	0	0
BMS	TagSynchronizer	1447458910676	0	0	0
BMS	PropertySynchronizer	1447458910746	0	0	0
BMS	AlarmSynchronizer	1447458910767	0	0	0
BMS	ConnectorSynchronizer (import)	1447459210521	0	0	0
BMS	MeasurementSynchronizer	1447459210555	0	0	36
BMS	WorkOrderSynchronizer	1447459210619	0	0	0
BMS	TagSynchronizer	1447459210679	0	0	0
BMS	PropertySynchronizer	1447459210749	0	0	0
BMS	AlarmSynchronizer	1447459210771	0	0	0
BMS	ConnectorSynchronizer (import)	1447459510523	0	0	0
BMS	MeasurementSynchronizer	1447459510556	0	0	36
BMS	WorkOrderSynchronizer	1447459510624	0	0	0
BMS	TagSynchronizer	1447459510685	0	0	0
BMS	PropertySynchronizer	1447459510756	0	0	0
BMS	AlarmSynchronizer	1447459510777	0	0	0
BMS	ConnectorSynchronizer (import)	1447459810510	0	0	0
BMS	MeasurementSynchronizer	1447459810544	0	0	36
BMS	WorkOrderSynchronizer	1447459810612	0	0	0
BMS	TagSynchronizer	1447459810673	0	0	0
BMS	PropertySynchronizer	1447459810743	0	0	0
BMS	AlarmSynchronizer	1447459810767	0	0	0
BMS	ConnectorSynchronizer (import)	1447460110530	0	0	0
BMS	MeasurementSynchronizer	1447460110564	0	0	36
BMS	WorkOrderSynchronizer	1447460110637	0	0	0
BMS	TagSynchronizer	1447460110701	0	0	0
BMS	PropertySynchronizer	1447460110789	0	0	0
BMS	AlarmSynchronizer	1447460110813	0	0	0
BMS	ConnectorSynchronizer (import)	1447460410590	0	0	0
BMS	MeasurementSynchronizer	1447460410623	0	0	36
BMS	WorkOrderSynchronizer	1447460410690	0	0	0
BMS	TagSynchronizer	1447460410753	0	0	0
BMS	PropertySynchronizer	1447460410819	0	0	0
BMS	AlarmSynchronizer	1447460410840	0	0	0
BMS	ConnectorSynchronizer (import)	1447460710857	0	0	0
BMS	MeasurementSynchronizer	1447460710890	0	0	36
BMS	WorkOrderSynchronizer	1447460710955	0	0	0
BMS	TagSynchronizer	1447460711014	0	0	0
BMS	PropertySynchronizer	1447460711086	0	0	0
BMS	AlarmSynchronizer	1447460711108	0	0	0
BMS	ConnectorSynchronizer (import)	1447461010545	0	0	0
BMS	MeasurementSynchronizer	1447461010577	0	0	36
BMS	WorkOrderSynchronizer	1447461010640	0	0	0
BMS	TagSynchronizer	1447461010701	0	0	0
BMS	PropertySynchronizer	1447461010772	0	0	0
BMS	AlarmSynchronizer	1447461010793	0	0	0
BMS	ConnectorSynchronizer (import)	1447461310543	0	0	0
BMS	MeasurementSynchronizer	1447461310575	0	0	36
BMS	WorkOrderSynchronizer	1447461310639	0	0	0
BMS	TagSynchronizer	1447461310698	0	0	0
BMS	PropertySynchronizer	1447461310769	0	0	0
BMS	AlarmSynchronizer	1447461310792	0	0	0
BMS	ConnectorSynchronizer (import)	1447461610509	0	0	0
BMS	MeasurementSynchronizer	1447461610542	0	0	36
BMS	WorkOrderSynchronizer	1447461610606	0	0	0
BMS	TagSynchronizer	1447461610670	0	0	0
BMS	PropertySynchronizer	1447461610740	0	0	0
BMS	AlarmSynchronizer	1447461610761	0	0	0
BMS	ConnectorSynchronizer (import)	1447461910517	0	0	0
BMS	MeasurementSynchronizer	1447461910550	0	0	36
BMS	WorkOrderSynchronizer	1447461910614	0	0	0
BMS	TagSynchronizer	1447461910675	0	0	0
BMS	PropertySynchronizer	1447461910745	0	0	0
BMS	AlarmSynchronizer	1447461910766	0	0	0
BMS	ConnectorSynchronizer (import)	1447462210542	0	0	0
BMS	MeasurementSynchronizer	1447462210575	0	0	36
BMS	WorkOrderSynchronizer	1447462210641	0	0	0
BMS	TagSynchronizer	1447462210701	0	0	0
BMS	PropertySynchronizer	1447462210772	0	0	0
BMS	AlarmSynchronizer	1447462210794	0	0	0
BMS	ConnectorSynchronizer (import)	1447462510523	0	0	0
BMS	MeasurementSynchronizer	1447462510559	0	0	36
BMS	WorkOrderSynchronizer	1447462510630	0	0	0
BMS	TagSynchronizer	1447462510704	0	0	0
BMS	PropertySynchronizer	1447462510773	0	0	0
BMS	AlarmSynchronizer	1447462510794	0	0	0
BMS	ConnectorSynchronizer (import)	1447462810509	0	0	0
BMS	MeasurementSynchronizer	1447462810542	0	0	36
BMS	WorkOrderSynchronizer	1447462810606	0	0	0
BMS	TagSynchronizer	1447462810666	0	0	0
BMS	PropertySynchronizer	1447462810735	0	0	0
BMS	AlarmSynchronizer	1447462810756	0	0	0
BMS	ConnectorSynchronizer (import)	1447463110520	0	0	0
BMS	MeasurementSynchronizer	1447463110554	0	0	36
BMS	WorkOrderSynchronizer	1447463110621	0	0	0
BMS	TagSynchronizer	1447463110682	0	0	0
BMS	PropertySynchronizer	1447463110754	0	0	0
BMS	AlarmSynchronizer	1447463110776	0	0	0
BMS	ConnectorSynchronizer (import)	1447463410503	0	0	0
BMS	MeasurementSynchronizer	1447463410536	0	0	36
BMS	WorkOrderSynchronizer	1447463410602	0	0	0
BMS	TagSynchronizer	1447463410662	0	0	0
BMS	PropertySynchronizer	1447463410734	0	0	0
BMS	AlarmSynchronizer	1447463410755	0	0	0
BMS	ConnectorSynchronizer (import)	1447463710540	0	0	0
BMS	MeasurementSynchronizer	1447463710576	0	0	36
BMS	WorkOrderSynchronizer	1447463710643	0	0	0
BMS	TagSynchronizer	1447463710705	0	0	0
BMS	PropertySynchronizer	1447463710780	0	0	0
BMS	AlarmSynchronizer	1447463710801	0	0	0
BMS	ConnectorSynchronizer (import)	1447464010517	0	0	0
BMS	MeasurementSynchronizer	1447464010550	0	0	36
BMS	WorkOrderSynchronizer	1447464010615	0	0	0
BMS	TagSynchronizer	1447464010674	0	0	0
BMS	PropertySynchronizer	1447464010745	0	0	0
BMS	AlarmSynchronizer	1447464010766	0	0	0
BMS	ConnectorSynchronizer (import)	1447464310522	0	0	0
BMS	MeasurementSynchronizer	1447464310556	0	0	36
BMS	WorkOrderSynchronizer	1447464310625	0	0	0
BMS	TagSynchronizer	1447464310689	0	0	0
BMS	PropertySynchronizer	1447464310762	0	0	0
BMS	AlarmSynchronizer	1447464310786	0	0	0
BMS	ConnectorSynchronizer (import)	1447464610519	0	0	0
BMS	MeasurementSynchronizer	1447464610551	0	0	36
BMS	WorkOrderSynchronizer	1447464610611	0	0	0
BMS	TagSynchronizer	1447464610667	0	0	0
BMS	PropertySynchronizer	1447464610731	0	0	0
BMS	AlarmSynchronizer	1447464610752	0	0	0
BMS	ConnectorSynchronizer (import)	1447464910513	0	0	0
BMS	MeasurementSynchronizer	1447464910555	0	0	36
BMS	WorkOrderSynchronizer	1447464910623	0	0	0
BMS	TagSynchronizer	1447464910685	0	0	0
BMS	PropertySynchronizer	1447464910755	0	0	0
BMS	AlarmSynchronizer	1447464910776	0	0	0
BMS	ConnectorSynchronizer (import)	1447465210525	0	0	0
BMS	MeasurementSynchronizer	1447465210557	0	0	36
BMS	WorkOrderSynchronizer	1447465210623	0	0	0
BMS	TagSynchronizer	1447465210683	0	0	0
BMS	PropertySynchronizer	1447465210754	0	0	0
BMS	AlarmSynchronizer	1447465210775	0	0	0
BMS	ConnectorSynchronizer (import)	1447465510530	0	0	0
BMS	MeasurementSynchronizer	1447465510563	0	0	36
BMS	WorkOrderSynchronizer	1447465510630	0	0	0
BMS	TagSynchronizer	1447465510691	0	0	0
BMS	PropertySynchronizer	1447465510761	0	0	0
BMS	AlarmSynchronizer	1447465510783	0	0	0
BMS	ConnectorSynchronizer (import)	1447465810582	0	0	0
BMS	MeasurementSynchronizer	1447465810615	0	0	36
BMS	WorkOrderSynchronizer	1447465810682	0	0	0
BMS	TagSynchronizer	1447465810741	0	0	0
BMS	PropertySynchronizer	1447465810810	0	0	0
BMS	AlarmSynchronizer	1447465810831	0	0	0
BMS	ConnectorSynchronizer (import)	1447466110533	0	0	0
BMS	MeasurementSynchronizer	1447466110567	0	0	36
BMS	WorkOrderSynchronizer	1447466110631	0	0	0
BMS	TagSynchronizer	1447466110691	0	0	0
BMS	PropertySynchronizer	1447466110761	0	0	0
BMS	AlarmSynchronizer	1447466110782	0	0	0
BMS	ConnectorSynchronizer (import)	1447466410589	0	0	0
BMS	MeasurementSynchronizer	1447466410620	0	0	36
BMS	WorkOrderSynchronizer	1447466410681	0	0	0
BMS	TagSynchronizer	1447466410737	0	0	0
BMS	PropertySynchronizer	1447466410802	0	0	0
BMS	AlarmSynchronizer	1447466410821	0	0	0
BMS	ConnectorSynchronizer (import)	1447466710511	0	0	0
BMS	MeasurementSynchronizer	1447466710544	0	0	36
BMS	WorkOrderSynchronizer	1447466710609	0	0	0
BMS	TagSynchronizer	1447466710669	0	0	0
BMS	PropertySynchronizer	1447466710740	0	0	0
BMS	AlarmSynchronizer	1447466710761	0	0	0
BMS	ConnectorSynchronizer (import)	1447467010506	0	0	0
BMS	MeasurementSynchronizer	1447467010539	0	0	36
BMS	WorkOrderSynchronizer	1447467010603	0	0	0
BMS	TagSynchronizer	1447467010662	0	0	0
BMS	PropertySynchronizer	1447467010733	0	0	0
BMS	AlarmSynchronizer	1447467010754	0	0	0
BMS	ConnectorSynchronizer (import)	1447467310524	0	0	0
BMS	MeasurementSynchronizer	1447467310557	0	0	36
BMS	WorkOrderSynchronizer	1447467310622	0	0	0
BMS	TagSynchronizer	1447467310682	0	0	0
BMS	PropertySynchronizer	1447467310752	0	0	0
BMS	AlarmSynchronizer	1447467310773	0	0	0
BMS	ConnectorSynchronizer (import)	1447467610512	0	0	0
BMS	MeasurementSynchronizer	1447467610545	0	0	36
BMS	WorkOrderSynchronizer	1447467610610	0	0	0
BMS	TagSynchronizer	1447467610671	0	0	0
BMS	PropertySynchronizer	1447467610742	0	0	0
BMS	AlarmSynchronizer	1447467610764	0	0	0
BMS	ConnectorSynchronizer (import)	1447467910509	0	0	0
BMS	MeasurementSynchronizer	1447467910543	0	0	36
BMS	WorkOrderSynchronizer	1447467910608	0	0	0
BMS	TagSynchronizer	1447467910669	0	0	0
BMS	PropertySynchronizer	1447467910739	0	0	0
BMS	AlarmSynchronizer	1447467910760	0	0	0
BMS	ConnectorSynchronizer (import)	1447468210617	0	0	0
BMS	MeasurementSynchronizer	1447468210653	0	0	36
BMS	WorkOrderSynchronizer	1447468210725	0	0	0
BMS	TagSynchronizer	1447468210785	0	0	0
BMS	PropertySynchronizer	1447468210857	0	0	0
BMS	AlarmSynchronizer	1447468210881	0	0	0
BMS	ConnectorSynchronizer (import)	1447468510550	0	0	0
BMS	MeasurementSynchronizer	1447468510584	0	0	36
BMS	WorkOrderSynchronizer	1447468510650	0	0	0
BMS	TagSynchronizer	1447468510711	0	0	0
BMS	PropertySynchronizer	1447468510786	0	0	0
BMS	AlarmSynchronizer	1447468510809	0	0	0
BMS	ConnectorSynchronizer (import)	1447468810523	0	0	0
BMS	MeasurementSynchronizer	1447468810556	0	0	36
BMS	WorkOrderSynchronizer	1447468810622	0	0	0
BMS	TagSynchronizer	1447468810685	0	0	0
BMS	PropertySynchronizer	1447468810757	0	0	0
BMS	AlarmSynchronizer	1447468810781	0	0	0
BMS	ConnectorSynchronizer (import)	1447469110555	0	0	0
BMS	MeasurementSynchronizer	1447469110592	0	0	36
BMS	WorkOrderSynchronizer	1447469110662	0	0	0
BMS	TagSynchronizer	1447469110725	0	0	0
BMS	PropertySynchronizer	1447469110794	0	0	0
BMS	AlarmSynchronizer	1447469110816	0	0	0
BMS	ConnectorSynchronizer (import)	1447469410571	0	0	0
BMS	MeasurementSynchronizer	1447469410605	0	0	36
BMS	WorkOrderSynchronizer	1447469410671	0	0	0
BMS	TagSynchronizer	1447469410733	0	0	0
BMS	PropertySynchronizer	1447469410800	0	0	0
BMS	AlarmSynchronizer	1447469410820	0	0	0
BMS	ConnectorSynchronizer (import)	1447469710608	0	0	0
BMS	MeasurementSynchronizer	1447469710638	0	0	36
BMS	WorkOrderSynchronizer	1447469710693	0	0	0
BMS	TagSynchronizer	1447469710750	0	0	0
BMS	PropertySynchronizer	1447469710816	0	0	0
BMS	AlarmSynchronizer	1447469710836	0	0	0
BMS	ConnectorSynchronizer (import)	1447470010576	0	0	0
BMS	MeasurementSynchronizer	1447470010607	0	0	36
BMS	WorkOrderSynchronizer	1447470010666	0	0	0
BMS	TagSynchronizer	1447470010722	0	0	0
BMS	PropertySynchronizer	1447470010786	0	0	0
BMS	AlarmSynchronizer	1447470010806	0	0	0
BMS	ConnectorSynchronizer (import)	1447470310523	0	0	0
BMS	MeasurementSynchronizer	1447470310555	0	0	36
BMS	WorkOrderSynchronizer	1447470310617	0	0	0
BMS	TagSynchronizer	1447470310674	0	0	0
BMS	PropertySynchronizer	1447470310739	0	0	0
BMS	AlarmSynchronizer	1447470310758	0	0	0
BMS	ConnectorSynchronizer (import)	1447470610520	0	0	0
BMS	MeasurementSynchronizer	1447470610555	0	0	36
BMS	WorkOrderSynchronizer	1447470610624	0	0	0
BMS	TagSynchronizer	1447470610686	0	0	0
BMS	PropertySynchronizer	1447470610758	0	0	0
BMS	AlarmSynchronizer	1447470610780	0	0	0
BMS	ConnectorSynchronizer (import)	1447470910600	0	0	0
BMS	MeasurementSynchronizer	1447470910634	0	0	36
BMS	WorkOrderSynchronizer	1447470910698	0	0	0
BMS	TagSynchronizer	1447470910759	0	0	0
BMS	PropertySynchronizer	1447470910827	0	0	0
BMS	AlarmSynchronizer	1447470910848	0	0	0
BMS	ConnectorSynchronizer (import)	1447471210523	0	0	0
BMS	MeasurementSynchronizer	1447471210557	0	0	36
BMS	WorkOrderSynchronizer	1447471210622	0	0	0
BMS	TagSynchronizer	1447471210682	0	0	0
BMS	PropertySynchronizer	1447471210755	0	0	0
BMS	AlarmSynchronizer	1447471210776	0	0	0
BMS	ConnectorSynchronizer (import)	1447471510521	0	0	0
BMS	MeasurementSynchronizer	1447471510554	0	0	36
BMS	WorkOrderSynchronizer	1447471510619	0	0	0
BMS	TagSynchronizer	1447471510679	0	0	0
BMS	PropertySynchronizer	1447471510749	0	0	0
BMS	AlarmSynchronizer	1447471510770	0	0	0
BMS	ConnectorSynchronizer (import)	1447471810514	0	0	0
BMS	MeasurementSynchronizer	1447471810548	0	0	36
BMS	WorkOrderSynchronizer	1447471810618	0	0	0
BMS	TagSynchronizer	1447471810680	0	0	0
BMS	PropertySynchronizer	1447471810752	0	0	0
BMS	AlarmSynchronizer	1447471810774	0	0	0
BMS	ConnectorSynchronizer (import)	1447472110524	0	0	0
BMS	MeasurementSynchronizer	1447472110557	0	0	36
BMS	WorkOrderSynchronizer	1447472110621	0	0	0
BMS	TagSynchronizer	1447472110683	0	0	0
BMS	PropertySynchronizer	1447472110754	0	0	0
BMS	AlarmSynchronizer	1447472110776	0	0	0
BMS	ConnectorSynchronizer (import)	1447472410529	0	0	0
BMS	MeasurementSynchronizer	1447472410562	0	0	36
BMS	WorkOrderSynchronizer	1447472410627	0	0	0
BMS	TagSynchronizer	1447472410687	0	0	0
BMS	PropertySynchronizer	1447472410756	0	0	0
BMS	AlarmSynchronizer	1447472410778	0	0	0
BMS	ConnectorSynchronizer (import)	1447472710588	0	0	0
BMS	MeasurementSynchronizer	1447472710621	0	0	36
BMS	WorkOrderSynchronizer	1447472710687	0	0	0
BMS	TagSynchronizer	1447472710747	0	0	0
BMS	PropertySynchronizer	1447472710818	0	0	0
BMS	AlarmSynchronizer	1447472710840	0	0	0
BMS	ConnectorSynchronizer (import)	1447473010523	0	0	0
BMS	MeasurementSynchronizer	1447473010558	0	0	36
BMS	WorkOrderSynchronizer	1447473010626	0	0	0
BMS	TagSynchronizer	1447473010687	0	0	0
BMS	PropertySynchronizer	1447473010756	0	0	0
BMS	AlarmSynchronizer	1447473010778	0	0	0
BMS	ConnectorSynchronizer (import)	1447473310526	0	0	0
BMS	MeasurementSynchronizer	1447473310557	0	0	36
BMS	WorkOrderSynchronizer	1447473310613	0	0	0
BMS	TagSynchronizer	1447473310670	0	0	0
BMS	PropertySynchronizer	1447473310737	0	0	0
BMS	AlarmSynchronizer	1447473310760	0	0	0
BMS	ConnectorSynchronizer (import)	1447473610534	0	0	0
BMS	MeasurementSynchronizer	1447473610568	0	0	36
BMS	WorkOrderSynchronizer	1447473610636	0	0	0
BMS	TagSynchronizer	1447473610696	0	0	0
BMS	PropertySynchronizer	1447473610766	0	0	0
BMS	AlarmSynchronizer	1447473610789	0	0	0
BMS	ConnectorSynchronizer (import)	1447473910524	0	0	0
BMS	MeasurementSynchronizer	1447473910557	0	0	36
BMS	WorkOrderSynchronizer	1447473910623	0	0	0
BMS	TagSynchronizer	1447473910683	0	0	0
BMS	PropertySynchronizer	1447473910753	0	0	0
BMS	AlarmSynchronizer	1447473910775	0	0	0
BMS	ConnectorSynchronizer (import)	1447474210515	0	0	0
BMS	MeasurementSynchronizer	1447474210548	0	0	36
BMS	WorkOrderSynchronizer	1447474210614	0	0	0
BMS	TagSynchronizer	1447474210674	0	0	0
BMS	PropertySynchronizer	1447474210744	0	0	0
BMS	AlarmSynchronizer	1447474210765	0	0	0
BMS	ConnectorSynchronizer (import)	1447474510546	0	0	0
BMS	MeasurementSynchronizer	1447474510580	0	0	36
BMS	WorkOrderSynchronizer	1447474510645	0	0	0
BMS	TagSynchronizer	1447474510705	0	0	0
BMS	PropertySynchronizer	1447474510776	0	0	0
BMS	AlarmSynchronizer	1447474510797	0	0	0
BMS	ConnectorSynchronizer (import)	1447474810541	0	0	0
BMS	MeasurementSynchronizer	1447474810574	0	0	36
BMS	WorkOrderSynchronizer	1447474810640	0	0	0
BMS	TagSynchronizer	1447474810708	0	0	0
BMS	PropertySynchronizer	1447474810777	0	0	0
BMS	AlarmSynchronizer	1447474810799	0	0	0
BMS	ConnectorSynchronizer (import)	1447475110530	0	0	0
BMS	MeasurementSynchronizer	1447475110564	0	0	36
BMS	WorkOrderSynchronizer	1447475110631	0	0	0
BMS	TagSynchronizer	1447475110691	0	0	0
BMS	PropertySynchronizer	1447475110761	0	0	0
BMS	AlarmSynchronizer	1447475110783	0	0	0
BMS	ConnectorSynchronizer (import)	1447475410552	0	0	0
BMS	MeasurementSynchronizer	1447475410584	0	0	36
BMS	WorkOrderSynchronizer	1447475410645	0	0	0
BMS	TagSynchronizer	1447475410702	0	0	0
BMS	PropertySynchronizer	1447475410766	0	0	0
BMS	AlarmSynchronizer	1447475410787	0	0	0
BMS	ConnectorSynchronizer (import)	1447475710526	0	0	0
BMS	MeasurementSynchronizer	1447475710559	0	0	36
BMS	WorkOrderSynchronizer	1447475710623	0	0	0
BMS	TagSynchronizer	1447475710682	0	0	0
BMS	PropertySynchronizer	1447475710752	0	0	0
BMS	AlarmSynchronizer	1447475710773	0	0	0
BMS	ConnectorSynchronizer (import)	1447476010515	0	0	0
BMS	MeasurementSynchronizer	1447476010547	0	0	36
BMS	WorkOrderSynchronizer	1447476010620	0	0	0
BMS	TagSynchronizer	1447476010680	0	0	0
BMS	PropertySynchronizer	1447476010750	0	0	0
BMS	AlarmSynchronizer	1447476010771	0	0	0
BMS	ConnectorSynchronizer (import)	1447476310519	0	0	0
BMS	MeasurementSynchronizer	1447476310552	0	0	36
BMS	WorkOrderSynchronizer	1447476310621	0	0	0
BMS	TagSynchronizer	1447476310684	0	0	0
BMS	PropertySynchronizer	1447476310754	0	0	0
BMS	AlarmSynchronizer	1447476310775	0	0	0
BMS	ConnectorSynchronizer (import)	1447476610514	0	0	0
BMS	MeasurementSynchronizer	1447476610547	0	0	36
BMS	WorkOrderSynchronizer	1447476610611	0	0	0
BMS	TagSynchronizer	1447476610671	0	0	0
BMS	PropertySynchronizer	1447476610739	0	0	0
BMS	AlarmSynchronizer	1447476610760	0	0	0
BMS	ConnectorSynchronizer (import)	1447476910522	0	0	0
BMS	MeasurementSynchronizer	1447476910561	0	0	36
BMS	WorkOrderSynchronizer	1447476910630	0	0	0
BMS	TagSynchronizer	1447476910693	0	0	0
BMS	PropertySynchronizer	1447476910763	0	0	0
BMS	AlarmSynchronizer	1447476910786	0	0	0
BMS	ConnectorSynchronizer (import)	1447477210517	0	0	0
BMS	MeasurementSynchronizer	1447477210551	0	0	36
BMS	WorkOrderSynchronizer	1447477210616	0	0	0
BMS	TagSynchronizer	1447477210677	0	0	0
BMS	PropertySynchronizer	1447477210747	0	0	0
BMS	AlarmSynchronizer	1447477210768	0	0	0
BMS	ConnectorSynchronizer (import)	1447477510520	0	0	0
BMS	MeasurementSynchronizer	1447477510554	0	0	36
BMS	WorkOrderSynchronizer	1447477510619	0	0	0
BMS	TagSynchronizer	1447477510679	0	0	0
BMS	PropertySynchronizer	1447477510748	0	0	0
BMS	AlarmSynchronizer	1447477510769	0	0	0
BMS	ConnectorSynchronizer (import)	1447477810525	0	0	0
BMS	MeasurementSynchronizer	1447477810558	0	0	36
BMS	WorkOrderSynchronizer	1447477810621	0	0	0
BMS	TagSynchronizer	1447477810680	0	0	0
BMS	PropertySynchronizer	1447477810749	0	0	0
BMS	AlarmSynchronizer	1447477810770	0	0	0
BMS	ConnectorSynchronizer (import)	1447478110571	0	0	0
BMS	MeasurementSynchronizer	1447478110605	0	0	36
BMS	WorkOrderSynchronizer	1447478110673	0	0	0
BMS	TagSynchronizer	1447478110737	0	0	0
BMS	PropertySynchronizer	1447478110805	0	0	0
BMS	AlarmSynchronizer	1447478110827	0	0	0
BMS	ConnectorSynchronizer (import)	1447478410555	0	0	0
BMS	MeasurementSynchronizer	1447478410591	0	0	36
BMS	WorkOrderSynchronizer	1447478410658	0	0	0
BMS	TagSynchronizer	1447478410725	0	0	0
BMS	PropertySynchronizer	1447478410799	0	0	0
BMS	AlarmSynchronizer	1447478410821	0	0	0
BMS	ConnectorSynchronizer (import)	1447478710503	0	0	0
BMS	MeasurementSynchronizer	1447478710534	0	0	36
BMS	WorkOrderSynchronizer	1447478710593	0	0	0
BMS	TagSynchronizer	1447478710648	0	0	0
BMS	PropertySynchronizer	1447478710711	0	0	0
BMS	AlarmSynchronizer	1447478710731	0	0	0
BMS	ConnectorSynchronizer (import)	1447479010819	0	0	0
BMS	MeasurementSynchronizer	1447479010851	0	0	36
BMS	WorkOrderSynchronizer	1447479010916	0	0	0
BMS	TagSynchronizer	1447479010976	0	0	0
BMS	PropertySynchronizer	1447479011043	0	0	0
BMS	AlarmSynchronizer	1447479011064	0	0	0
BMS	ConnectorSynchronizer (import)	1447479310522	0	0	0
BMS	MeasurementSynchronizer	1447479310556	0	0	36
BMS	WorkOrderSynchronizer	1447479310622	0	0	0
BMS	TagSynchronizer	1447479310683	0	0	0
BMS	PropertySynchronizer	1447479310753	0	0	0
BMS	AlarmSynchronizer	1447479310774	0	0	0
BMS	ConnectorSynchronizer (import)	1447479610527	0	0	0
BMS	MeasurementSynchronizer	1447479610560	0	0	36
BMS	WorkOrderSynchronizer	1447479610626	0	0	0
BMS	TagSynchronizer	1447479610687	0	0	0
BMS	PropertySynchronizer	1447479610756	0	0	0
BMS	AlarmSynchronizer	1447479610778	0	0	0
BMS	ConnectorSynchronizer (import)	1447479910519	0	0	0
BMS	MeasurementSynchronizer	1447479910552	0	0	36
BMS	WorkOrderSynchronizer	1447479910617	0	0	0
BMS	TagSynchronizer	1447479910678	0	0	0
BMS	PropertySynchronizer	1447479910747	0	0	0
BMS	AlarmSynchronizer	1447479910768	0	0	0
BMS	ConnectorSynchronizer (import)	1447480210503	0	0	0
BMS	MeasurementSynchronizer	1447480210537	0	0	36
BMS	WorkOrderSynchronizer	1447480210600	0	0	0
BMS	TagSynchronizer	1447480210660	0	0	0
BMS	PropertySynchronizer	1447480210728	0	0	0
BMS	AlarmSynchronizer	1447480210749	0	0	0
BMS	ConnectorSynchronizer (import)	1447480510523	0	0	0
BMS	MeasurementSynchronizer	1447480510558	0	0	36
BMS	WorkOrderSynchronizer	1447480510626	0	0	0
BMS	TagSynchronizer	1447480510687	0	0	0
BMS	PropertySynchronizer	1447480510757	0	0	0
BMS	AlarmSynchronizer	1447480510778	0	0	0
BMS	ConnectorSynchronizer (import)	1447480810513	0	0	0
BMS	MeasurementSynchronizer	1447480810546	0	0	36
BMS	WorkOrderSynchronizer	1447480810611	0	0	0
BMS	TagSynchronizer	1447480810671	0	0	0
BMS	PropertySynchronizer	1447480810740	0	0	0
BMS	AlarmSynchronizer	1447480810761	0	0	0
BMS	ConnectorSynchronizer (import)	1447481110546	0	0	0
BMS	MeasurementSynchronizer	1447481110579	0	0	36
BMS	WorkOrderSynchronizer	1447481110642	0	0	0
BMS	TagSynchronizer	1447481110702	0	0	0
BMS	PropertySynchronizer	1447481110770	0	0	0
BMS	AlarmSynchronizer	1447481110791	0	0	0
BMS	ConnectorSynchronizer (import)	1447481410499	0	0	0
BMS	MeasurementSynchronizer	1447481410530	0	0	36
BMS	WorkOrderSynchronizer	1447481410589	0	0	0
BMS	TagSynchronizer	1447481410645	0	0	0
BMS	PropertySynchronizer	1447481410709	0	0	0
BMS	AlarmSynchronizer	1447481410728	0	0	0
BMS	ConnectorSynchronizer (import)	1447481710530	0	0	0
BMS	MeasurementSynchronizer	1447481710565	0	0	36
BMS	WorkOrderSynchronizer	1447481710632	0	0	0
BMS	TagSynchronizer	1447481710694	0	0	0
BMS	PropertySynchronizer	1447481710765	0	0	0
BMS	AlarmSynchronizer	1447481710789	0	0	0
BMS	ConnectorSynchronizer (import)	1447482010513	0	0	0
BMS	MeasurementSynchronizer	1447482010546	0	0	36
BMS	WorkOrderSynchronizer	1447482010609	0	0	0
BMS	TagSynchronizer	1447482010669	0	0	0
BMS	PropertySynchronizer	1447482010739	0	0	0
BMS	AlarmSynchronizer	1447482010761	0	0	0
BMS	ConnectorSynchronizer (import)	1447482310528	0	0	0
BMS	MeasurementSynchronizer	1447482310561	0	0	36
BMS	WorkOrderSynchronizer	1447482310625	0	0	0
BMS	TagSynchronizer	1447482310685	0	0	0
BMS	PropertySynchronizer	1447482310756	0	0	0
BMS	AlarmSynchronizer	1447482310778	0	0	0
BMS	ConnectorSynchronizer (import)	1447482610518	0	0	0
BMS	MeasurementSynchronizer	1447482610552	0	0	36
BMS	WorkOrderSynchronizer	1447482610616	0	0	0
BMS	TagSynchronizer	1447482610677	0	0	0
BMS	PropertySynchronizer	1447482610747	0	0	0
BMS	AlarmSynchronizer	1447482610769	0	0	0
BMS	ConnectorSynchronizer (import)	1447482910594	0	0	0
BMS	MeasurementSynchronizer	1447482910628	0	0	36
BMS	WorkOrderSynchronizer	1447482910692	0	0	0
BMS	TagSynchronizer	1447482910753	0	0	0
BMS	PropertySynchronizer	1447482910821	0	0	0
BMS	AlarmSynchronizer	1447482910843	0	0	0
BMS	ConnectorSynchronizer (import)	1447483210536	0	0	0
BMS	MeasurementSynchronizer	1447483210569	0	0	36
BMS	WorkOrderSynchronizer	1447483210629	0	0	0
BMS	TagSynchronizer	1447483210687	0	0	0
BMS	PropertySynchronizer	1447483210750	0	0	0
BMS	AlarmSynchronizer	1447483210769	0	0	0
BMS	ConnectorSynchronizer (import)	1447483510522	0	0	0
BMS	MeasurementSynchronizer	1447483510557	0	0	36
BMS	WorkOrderSynchronizer	1447483510622	0	0	0
BMS	TagSynchronizer	1447483510682	0	0	0
BMS	PropertySynchronizer	1447483510752	0	0	0
BMS	AlarmSynchronizer	1447483510775	0	0	0
BMS	ConnectorSynchronizer (import)	1447483810516	0	0	0
BMS	MeasurementSynchronizer	1447483810550	0	0	36
BMS	WorkOrderSynchronizer	1447483810617	0	0	0
BMS	TagSynchronizer	1447483810680	0	0	0
BMS	PropertySynchronizer	1447483810750	0	0	0
BMS	AlarmSynchronizer	1447483810772	0	0	0
BMS	ConnectorSynchronizer (import)	1447484110543	0	0	0
BMS	MeasurementSynchronizer	1447484110576	0	0	36
BMS	WorkOrderSynchronizer	1447484110640	0	0	0
BMS	TagSynchronizer	1447484110701	0	0	0
BMS	PropertySynchronizer	1447484110771	0	0	0
BMS	AlarmSynchronizer	1447484110793	0	0	0
BMS	ConnectorSynchronizer (import)	1447484410523	0	0	0
BMS	MeasurementSynchronizer	1447484410556	0	0	36
BMS	WorkOrderSynchronizer	1447484410623	0	0	0
BMS	TagSynchronizer	1447484410684	0	0	0
BMS	PropertySynchronizer	1447484410755	0	0	0
BMS	AlarmSynchronizer	1447484410777	0	0	0
BMS	ConnectorSynchronizer (import)	1447484710525	0	0	0
BMS	MeasurementSynchronizer	1447484710558	0	0	36
BMS	WorkOrderSynchronizer	1447484710622	0	0	0
BMS	TagSynchronizer	1447484710683	0	0	0
BMS	PropertySynchronizer	1447484710752	0	0	0
BMS	AlarmSynchronizer	1447484710774	0	0	0
BMS	ConnectorSynchronizer (import)	1447485010532	0	0	0
BMS	MeasurementSynchronizer	1447485010564	0	0	36
BMS	WorkOrderSynchronizer	1447485010623	0	0	0
BMS	TagSynchronizer	1447485010679	0	0	0
BMS	PropertySynchronizer	1447485010742	0	0	0
BMS	AlarmSynchronizer	1447485010762	0	0	0
BMS	ConnectorSynchronizer (import)	1447485310506	0	0	0
BMS	MeasurementSynchronizer	1447485310539	0	0	36
BMS	WorkOrderSynchronizer	1447485310604	0	0	0
BMS	TagSynchronizer	1447485310664	0	0	0
BMS	PropertySynchronizer	1447485310733	0	0	0
BMS	AlarmSynchronizer	1447485310754	0	0	0
BMS	ConnectorSynchronizer (import)	1447485610539	0	0	0
BMS	MeasurementSynchronizer	1447485610572	0	0	36
BMS	WorkOrderSynchronizer	1447485610636	0	0	0
BMS	TagSynchronizer	1447485610696	0	0	0
BMS	PropertySynchronizer	1447485610765	0	0	0
BMS	AlarmSynchronizer	1447485610786	0	0	0
BMS	ConnectorSynchronizer (import)	1447485910563	0	0	0
BMS	MeasurementSynchronizer	1447485910601	0	0	36
BMS	WorkOrderSynchronizer	1447485910668	0	0	0
BMS	TagSynchronizer	1447485910729	0	0	0
BMS	PropertySynchronizer	1447485910800	0	0	0
BMS	AlarmSynchronizer	1447485910824	0	0	0
BMS	ConnectorSynchronizer (import)	1447486210526	0	0	0
BMS	MeasurementSynchronizer	1447486210559	0	0	36
BMS	WorkOrderSynchronizer	1447486210626	0	0	0
BMS	TagSynchronizer	1447486210690	0	0	0
BMS	PropertySynchronizer	1447486210760	0	0	0
BMS	AlarmSynchronizer	1447486210782	0	0	0
BMS	ConnectorSynchronizer (import)	1447486510558	0	0	0
BMS	MeasurementSynchronizer	1447486510591	0	0	36
BMS	WorkOrderSynchronizer	1447486510654	0	0	0
BMS	TagSynchronizer	1447486510712	0	0	0
BMS	PropertySynchronizer	1447486510801	0	0	0
BMS	AlarmSynchronizer	1447486510825	0	0	0
BMS	ConnectorSynchronizer (import)	1447486810504	0	0	0
BMS	MeasurementSynchronizer	1447486810537	0	0	36
BMS	WorkOrderSynchronizer	1447486810597	0	0	0
BMS	TagSynchronizer	1447486810649	0	0	0
BMS	PropertySynchronizer	1447486810710	0	0	0
BMS	AlarmSynchronizer	1447486810731	0	0	0
BMS	ConnectorSynchronizer (import)	1447487110542	0	0	0
BMS	MeasurementSynchronizer	1447487110576	0	0	36
BMS	WorkOrderSynchronizer	1447487110641	0	0	0
BMS	TagSynchronizer	1447487110700	0	0	0
BMS	PropertySynchronizer	1447487110771	0	0	0
BMS	AlarmSynchronizer	1447487110793	0	0	0
BMS	ConnectorSynchronizer (import)	1447487410531	0	0	0
BMS	MeasurementSynchronizer	1447487410565	0	0	36
BMS	WorkOrderSynchronizer	1447487410630	0	0	0
BMS	TagSynchronizer	1447487410691	0	0	0
BMS	PropertySynchronizer	1447487410761	0	0	0
BMS	AlarmSynchronizer	1447487410783	0	0	0
BMS	ConnectorSynchronizer (import)	1447487710544	0	0	0
BMS	MeasurementSynchronizer	1447487710577	0	0	36
BMS	WorkOrderSynchronizer	1447487710643	0	0	0
BMS	TagSynchronizer	1447487710703	0	0	0
BMS	PropertySynchronizer	1447487710772	0	0	0
BMS	AlarmSynchronizer	1447487710794	0	0	0
BMS	ConnectorSynchronizer (import)	1447488010528	0	0	0
BMS	MeasurementSynchronizer	1447488010561	0	0	36
BMS	WorkOrderSynchronizer	1447488010627	0	0	0
BMS	TagSynchronizer	1447488010687	0	0	0
BMS	PropertySynchronizer	1447488010758	0	0	0
BMS	AlarmSynchronizer	1447488010780	0	0	0
BMS	ConnectorSynchronizer (import)	1447488310527	0	0	0
BMS	MeasurementSynchronizer	1447488310564	0	0	36
BMS	WorkOrderSynchronizer	1447488310630	0	0	0
BMS	TagSynchronizer	1447488310691	0	0	0
BMS	PropertySynchronizer	1447488310761	0	0	0
BMS	AlarmSynchronizer	1447488310783	0	0	0
BMS	ConnectorSynchronizer (import)	1447488610526	0	0	0
BMS	MeasurementSynchronizer	1447488610555	0	0	36
BMS	WorkOrderSynchronizer	1447488610612	0	0	0
BMS	TagSynchronizer	1447488610669	0	0	0
BMS	PropertySynchronizer	1447488610738	0	0	0
BMS	AlarmSynchronizer	1447488610759	0	0	0
BMS	ConnectorSynchronizer (import)	1447488910538	0	0	0
BMS	MeasurementSynchronizer	1447488910571	0	0	36
BMS	WorkOrderSynchronizer	1447488910637	0	0	0
BMS	TagSynchronizer	1447488910699	0	0	0
BMS	PropertySynchronizer	1447488910770	0	0	0
BMS	AlarmSynchronizer	1447488910793	0	0	0
BMS	ConnectorSynchronizer (import)	1447489210589	0	0	0
BMS	MeasurementSynchronizer	1447489210624	0	0	36
BMS	WorkOrderSynchronizer	1447489210703	0	0	0
BMS	TagSynchronizer	1447489210764	0	0	0
BMS	PropertySynchronizer	1447489210838	0	0	0
BMS	AlarmSynchronizer	1447489210863	0	0	0
BMS	ConnectorSynchronizer (import)	1447489510550	0	0	0
BMS	MeasurementSynchronizer	1447489510584	0	0	36
BMS	WorkOrderSynchronizer	1447489510650	0	0	0
BMS	TagSynchronizer	1447489510710	0	0	0
BMS	PropertySynchronizer	1447489510782	0	0	0
BMS	AlarmSynchronizer	1447489510804	0	0	0
BMS	ConnectorSynchronizer (import)	1447489810502	0	0	0
BMS	MeasurementSynchronizer	1447489810535	0	0	36
BMS	WorkOrderSynchronizer	1447489810599	0	0	0
BMS	TagSynchronizer	1447489810658	0	0	0
BMS	PropertySynchronizer	1447489810729	0	0	0
BMS	AlarmSynchronizer	1447489810750	0	0	0
BMS	ConnectorSynchronizer (import)	1447490110534	0	0	0
BMS	MeasurementSynchronizer	1447490110568	0	0	36
BMS	WorkOrderSynchronizer	1447490110638	0	0	0
BMS	TagSynchronizer	1447490110704	0	0	0
BMS	PropertySynchronizer	1447490110778	0	0	0
BMS	AlarmSynchronizer	1447490110802	0	0	0
BMS	ConnectorSynchronizer (import)	1447490410524	0	0	0
BMS	MeasurementSynchronizer	1447490410556	0	0	36
BMS	WorkOrderSynchronizer	1447490410618	0	0	0
BMS	TagSynchronizer	1447490410676	0	0	0
BMS	PropertySynchronizer	1447490410740	0	0	0
BMS	AlarmSynchronizer	1447490410759	0	0	0
BMS	ConnectorSynchronizer (import)	1447490710513	0	0	0
BMS	MeasurementSynchronizer	1447490710546	0	0	36
BMS	WorkOrderSynchronizer	1447490710615	0	0	0
BMS	TagSynchronizer	1447490710677	0	0	0
BMS	PropertySynchronizer	1447490710748	0	0	0
BMS	AlarmSynchronizer	1447490710771	0	0	0
BMS	ConnectorSynchronizer (import)	1447491010520	0	0	0
BMS	MeasurementSynchronizer	1447491010553	0	0	36
BMS	WorkOrderSynchronizer	1447491010617	0	0	0
BMS	TagSynchronizer	1447491010678	0	0	0
BMS	PropertySynchronizer	1447491010748	0	0	0
BMS	AlarmSynchronizer	1447491010769	0	0	0
BMS	ConnectorSynchronizer (import)	1447491310525	0	0	0
BMS	MeasurementSynchronizer	1447491310558	0	0	36
BMS	WorkOrderSynchronizer	1447491310623	0	0	0
BMS	TagSynchronizer	1447491310684	0	0	0
BMS	PropertySynchronizer	1447491310755	0	0	0
BMS	AlarmSynchronizer	1447491310776	0	0	0
BMS	ConnectorSynchronizer (import)	1447491610540	0	0	0
BMS	MeasurementSynchronizer	1447491610573	0	0	36
BMS	WorkOrderSynchronizer	1447491610638	0	0	0
BMS	TagSynchronizer	1447491610698	0	0	0
BMS	PropertySynchronizer	1447491610766	0	0	0
BMS	AlarmSynchronizer	1447491610788	0	0	0
BMS	ConnectorSynchronizer (import)	1447491910548	0	0	0
BMS	MeasurementSynchronizer	1447491910581	0	0	36
BMS	WorkOrderSynchronizer	1447491910646	0	0	0
BMS	TagSynchronizer	1447491910706	0	0	0
BMS	PropertySynchronizer	1447491910775	0	0	0
BMS	AlarmSynchronizer	1447491910797	0	0	0
BMS	ConnectorSynchronizer (import)	1447492210872	0	0	0
BMS	MeasurementSynchronizer	1447492210894	0	0	36
BMS	WorkOrderSynchronizer	1447492210933	0	0	0
BMS	TagSynchronizer	1447492211004	0	0	0
BMS	PropertySynchronizer	1447492211071	0	0	0
BMS	AlarmSynchronizer	1447492211092	0	0	0
BMS	ConnectorSynchronizer (import)	1447492510572	0	0	0
BMS	MeasurementSynchronizer	1447492510607	0	0	36
BMS	WorkOrderSynchronizer	1447492510677	0	0	0
BMS	TagSynchronizer	1447492510742	0	0	0
BMS	PropertySynchronizer	1447492510812	0	0	0
BMS	AlarmSynchronizer	1447492510834	0	0	0
BMS	ConnectorSynchronizer (import)	1447492810538	0	0	0
BMS	MeasurementSynchronizer	1447492810575	0	0	36
BMS	WorkOrderSynchronizer	1447492810641	0	0	0
BMS	TagSynchronizer	1447492810700	0	0	0
BMS	PropertySynchronizer	1447492810766	0	0	0
BMS	AlarmSynchronizer	1447492810786	0	0	0
BMS	ConnectorSynchronizer (import)	1447493110516	0	0	0
BMS	MeasurementSynchronizer	1447493110548	0	0	36
BMS	WorkOrderSynchronizer	1447493110610	0	0	0
BMS	TagSynchronizer	1447493110667	0	0	0
BMS	PropertySynchronizer	1447493110736	0	0	0
BMS	AlarmSynchronizer	1447493110756	0	0	0
BMS	ConnectorSynchronizer (import)	1447493410542	0	0	0
BMS	MeasurementSynchronizer	1447493410574	0	0	36
BMS	WorkOrderSynchronizer	1447493410633	0	0	0
BMS	TagSynchronizer	1447493410689	0	0	0
BMS	PropertySynchronizer	1447493410753	0	0	0
BMS	AlarmSynchronizer	1447493410772	0	0	0
BMS	ConnectorSynchronizer (import)	1447493710528	0	0	0
BMS	MeasurementSynchronizer	1447493710560	0	0	36
BMS	WorkOrderSynchronizer	1447493710622	0	0	0
BMS	TagSynchronizer	1447493710679	0	0	0
BMS	PropertySynchronizer	1447493710743	0	0	0
BMS	AlarmSynchronizer	1447493710765	0	0	0
BMS	ConnectorSynchronizer (import)	1447494010514	0	0	0
BMS	MeasurementSynchronizer	1447494010546	0	0	36
BMS	WorkOrderSynchronizer	1447494010608	0	0	0
BMS	TagSynchronizer	1447494010660	0	0	0
BMS	PropertySynchronizer	1447494010714	0	0	0
BMS	AlarmSynchronizer	1447494010735	0	0	0
BMS	ConnectorSynchronizer (import)	1447494310530	0	0	0
BMS	MeasurementSynchronizer	1447494310561	0	0	36
BMS	WorkOrderSynchronizer	1447494310614	0	0	0
BMS	TagSynchronizer	1447494310674	0	0	0
BMS	PropertySynchronizer	1447494310737	0	0	0
BMS	AlarmSynchronizer	1447494310760	0	0	0
BMS	ConnectorSynchronizer (import)	1447494610543	0	0	0
BMS	MeasurementSynchronizer	1447494610582	0	0	36
BMS	WorkOrderSynchronizer	1447494610660	0	0	0
BMS	TagSynchronizer	1447494610717	0	0	0
BMS	PropertySynchronizer	1447494610786	0	0	0
BMS	AlarmSynchronizer	1447494610809	0	0	0
BMS	ConnectorSynchronizer (import)	1447494910510	0	0	0
BMS	MeasurementSynchronizer	1447494910544	0	0	36
BMS	WorkOrderSynchronizer	1447494910610	0	0	0
BMS	TagSynchronizer	1447494910670	0	0	0
BMS	PropertySynchronizer	1447494910739	0	0	0
BMS	AlarmSynchronizer	1447494910761	0	0	0
BMS	ConnectorSynchronizer (import)	1447495210536	0	0	0
BMS	MeasurementSynchronizer	1447495210569	0	0	36
BMS	WorkOrderSynchronizer	1447495210634	0	0	0
BMS	TagSynchronizer	1447495210693	0	0	0
BMS	PropertySynchronizer	1447495210761	0	0	0
BMS	AlarmSynchronizer	1447495210782	0	0	0
BMS	ConnectorSynchronizer (import)	1447495510526	0	0	0
BMS	MeasurementSynchronizer	1447495510559	0	0	36
BMS	WorkOrderSynchronizer	1447495510628	0	0	0
BMS	TagSynchronizer	1447495510688	0	0	0
BMS	PropertySynchronizer	1447495510758	0	0	0
BMS	AlarmSynchronizer	1447495510782	0	0	0
BMS	ConnectorSynchronizer (import)	1447495810561	0	0	0
BMS	MeasurementSynchronizer	1447495810595	0	0	36
BMS	WorkOrderSynchronizer	1447495810663	0	0	0
BMS	TagSynchronizer	1447495810726	0	0	0
BMS	PropertySynchronizer	1447495810798	0	0	0
BMS	AlarmSynchronizer	1447495810821	0	0	0
BMS	ConnectorSynchronizer (import)	1447496110531	0	0	0
BMS	MeasurementSynchronizer	1447496110565	0	0	36
BMS	WorkOrderSynchronizer	1447496110630	0	0	0
BMS	TagSynchronizer	1447496110690	0	0	0
BMS	PropertySynchronizer	1447496110761	0	0	0
BMS	AlarmSynchronizer	1447496110783	0	0	0
BMS	ConnectorSynchronizer (import)	1447496410534	0	0	0
BMS	MeasurementSynchronizer	1447496410569	0	0	36
BMS	WorkOrderSynchronizer	1447496410637	0	0	0
BMS	TagSynchronizer	1447496410697	0	0	0
BMS	PropertySynchronizer	1447496410765	0	0	0
BMS	AlarmSynchronizer	1447496410785	0	0	0
BMS	ConnectorSynchronizer (import)	1447496710526	0	0	0
BMS	MeasurementSynchronizer	1447496710560	0	0	36
BMS	WorkOrderSynchronizer	1447496710625	0	0	0
BMS	TagSynchronizer	1447496710685	0	0	0
BMS	PropertySynchronizer	1447496710755	0	0	0
BMS	AlarmSynchronizer	1447496710776	0	0	0
BMS	ConnectorSynchronizer (import)	1447497010540	0	0	0
BMS	MeasurementSynchronizer	1447497010574	0	0	36
BMS	WorkOrderSynchronizer	1447497010640	0	0	0
BMS	TagSynchronizer	1447497010699	0	0	0
BMS	PropertySynchronizer	1447497010771	0	0	0
BMS	AlarmSynchronizer	1447497010792	0	0	0
BMS	ConnectorSynchronizer (import)	1447497310539	0	0	0
BMS	MeasurementSynchronizer	1447497310574	0	0	36
BMS	WorkOrderSynchronizer	1447497310642	0	0	0
BMS	TagSynchronizer	1447497310703	0	0	0
BMS	PropertySynchronizer	1447497310772	0	0	0
BMS	AlarmSynchronizer	1447497310793	0	0	0
BMS	ConnectorSynchronizer (import)	1447497610518	0	0	0
BMS	MeasurementSynchronizer	1447497610552	0	0	36
BMS	WorkOrderSynchronizer	1447497610619	0	0	0
BMS	TagSynchronizer	1447497610679	0	0	0
BMS	PropertySynchronizer	1447497610748	0	0	0
BMS	AlarmSynchronizer	1447497610771	0	0	0
BMS	ConnectorSynchronizer (import)	1447497910539	0	0	0
BMS	MeasurementSynchronizer	1447497910573	0	0	36
BMS	WorkOrderSynchronizer	1447497910638	0	0	0
BMS	TagSynchronizer	1447497910698	0	0	0
BMS	PropertySynchronizer	1447497910769	0	0	0
BMS	AlarmSynchronizer	1447497910790	0	0	0
BMS	ConnectorSynchronizer (import)	1447498210535	0	0	0
BMS	MeasurementSynchronizer	1447498210570	0	0	36
BMS	WorkOrderSynchronizer	1447498210638	0	0	0
BMS	TagSynchronizer	1447498210700	0	0	0
BMS	PropertySynchronizer	1447498210772	0	0	0
BMS	AlarmSynchronizer	1447498210794	0	0	0
BMS	ConnectorSynchronizer (import)	1447498510530	0	0	0
BMS	MeasurementSynchronizer	1447498510570	0	0	36
BMS	WorkOrderSynchronizer	1447498510644	0	0	0
BMS	TagSynchronizer	1447498510714	0	0	0
BMS	PropertySynchronizer	1447498510785	0	0	0
BMS	AlarmSynchronizer	1447498510807	0	0	0
BMS	ConnectorSynchronizer (import)	1447498810551	0	0	0
BMS	MeasurementSynchronizer	1447498810581	0	0	36
BMS	WorkOrderSynchronizer	1447498810647	0	0	0
BMS	TagSynchronizer	1447498810710	0	0	0
BMS	PropertySynchronizer	1447498810777	0	0	0
BMS	AlarmSynchronizer	1447498810797	0	0	0
BMS	ConnectorSynchronizer (import)	1447499110511	0	0	0
BMS	MeasurementSynchronizer	1447499110543	0	0	36
BMS	WorkOrderSynchronizer	1447499110608	0	0	0
BMS	TagSynchronizer	1447499110670	0	0	0
BMS	PropertySynchronizer	1447499110742	0	0	0
BMS	AlarmSynchronizer	1447499110773	0	0	0
BMS	ConnectorSynchronizer (import)	1447499410505	0	0	0
BMS	MeasurementSynchronizer	1447499410538	0	0	36
BMS	WorkOrderSynchronizer	1447499410607	0	0	0
BMS	TagSynchronizer	1447499410667	0	0	0
BMS	PropertySynchronizer	1447499410738	0	0	0
BMS	AlarmSynchronizer	1447499410759	0	0	0
BMS	ConnectorSynchronizer (import)	1447499710520	0	0	0
BMS	MeasurementSynchronizer	1447499710553	0	0	36
BMS	WorkOrderSynchronizer	1447499710618	0	0	0
BMS	TagSynchronizer	1447499710679	0	0	0
BMS	PropertySynchronizer	1447499710751	0	0	0
BMS	AlarmSynchronizer	1447499710774	0	0	0
BMS	ConnectorSynchronizer (import)	1447500010506	0	0	0
BMS	MeasurementSynchronizer	1447500010540	0	0	36
BMS	WorkOrderSynchronizer	1447500010606	0	0	0
BMS	TagSynchronizer	1447500010666	0	0	0
BMS	PropertySynchronizer	1447500010737	0	0	0
BMS	AlarmSynchronizer	1447500010758	0	0	0
BMS	ConnectorSynchronizer (import)	1447500310538	0	0	0
BMS	MeasurementSynchronizer	1447500310573	0	0	36
BMS	WorkOrderSynchronizer	1447500310641	0	0	0
BMS	TagSynchronizer	1447500310703	0	0	0
BMS	PropertySynchronizer	1447500310775	0	0	0
BMS	AlarmSynchronizer	1447500310797	0	0	0
BMS	ConnectorSynchronizer (import)	1447500610522	0	0	0
BMS	MeasurementSynchronizer	1447500610555	0	0	36
BMS	WorkOrderSynchronizer	1447500610621	0	0	0
BMS	TagSynchronizer	1447500610682	0	0	0
BMS	PropertySynchronizer	1447500610752	0	0	0
BMS	AlarmSynchronizer	1447500610774	0	0	0
BMS	ConnectorSynchronizer (import)	1447500910536	0	0	0
BMS	MeasurementSynchronizer	1447500910568	0	0	36
BMS	WorkOrderSynchronizer	1447500910628	0	0	0
BMS	TagSynchronizer	1447500910685	0	0	0
BMS	PropertySynchronizer	1447500910751	0	0	0
BMS	AlarmSynchronizer	1447500910771	0	0	0
BMS	ConnectorSynchronizer (import)	1447501210512	0	0	0
BMS	MeasurementSynchronizer	1447501210546	0	0	36
BMS	WorkOrderSynchronizer	1447501210611	0	0	0
BMS	TagSynchronizer	1447501210671	0	0	0
BMS	PropertySynchronizer	1447501210742	0	0	0
BMS	AlarmSynchronizer	1447501210764	0	0	0
BMS	ConnectorSynchronizer (import)	1447501510518	0	0	0
BMS	MeasurementSynchronizer	1447501510552	0	0	36
BMS	WorkOrderSynchronizer	1447501510620	0	0	0
BMS	TagSynchronizer	1447501510681	0	0	0
BMS	PropertySynchronizer	1447501510752	0	0	0
BMS	AlarmSynchronizer	1447501510773	0	0	0
BMS	ConnectorSynchronizer (import)	1447501810546	0	0	0
BMS	MeasurementSynchronizer	1447501810584	0	0	36
BMS	WorkOrderSynchronizer	1447501810650	0	0	0
BMS	TagSynchronizer	1447501810703	0	0	0
BMS	PropertySynchronizer	1447501810765	0	0	0
BMS	AlarmSynchronizer	1447501810784	0	0	0
BMS	ConnectorSynchronizer (import)	1447502110519	0	0	0
BMS	MeasurementSynchronizer	1447502110552	0	0	36
BMS	WorkOrderSynchronizer	1447502110620	0	0	0
BMS	TagSynchronizer	1447502110680	0	0	0
BMS	PropertySynchronizer	1447502110753	0	0	0
BMS	AlarmSynchronizer	1447502110787	0	0	0
BMS	ConnectorSynchronizer (import)	1447502410541	0	0	0
BMS	MeasurementSynchronizer	1447502410574	0	0	36
BMS	WorkOrderSynchronizer	1447502410639	0	0	0
BMS	TagSynchronizer	1447502410700	0	0	0
BMS	PropertySynchronizer	1447502410772	0	0	0
BMS	AlarmSynchronizer	1447502410794	0	0	0
BMS	ConnectorSynchronizer (import)	1447502710528	0	0	0
BMS	MeasurementSynchronizer	1447502710562	0	0	36
BMS	WorkOrderSynchronizer	1447502710628	0	0	0
BMS	TagSynchronizer	1447502710688	0	0	0
BMS	PropertySynchronizer	1447502710760	0	0	0
BMS	AlarmSynchronizer	1447502710781	0	0	0
BMS	ConnectorSynchronizer (import)	1447503010589	0	0	0
BMS	MeasurementSynchronizer	1447503010624	0	0	36
BMS	WorkOrderSynchronizer	1447503010693	0	0	0
BMS	TagSynchronizer	1447503010755	0	0	0
BMS	PropertySynchronizer	1447503010827	0	0	0
BMS	AlarmSynchronizer	1447503010847	0	0	0
BMS	ConnectorSynchronizer (import)	1447503310525	0	0	0
BMS	MeasurementSynchronizer	1447503310559	0	0	36
BMS	WorkOrderSynchronizer	1447503310643	0	0	0
BMS	TagSynchronizer	1447503310712	0	0	0
BMS	PropertySynchronizer	1447503310778	0	0	0
BMS	AlarmSynchronizer	1447503310797	0	0	0
BMS	ConnectorSynchronizer (import)	1447503610520	0	0	0
BMS	MeasurementSynchronizer	1447503610554	0	0	36
BMS	WorkOrderSynchronizer	1447503610622	0	0	0
BMS	TagSynchronizer	1447503610684	0	0	0
BMS	PropertySynchronizer	1447503610756	0	0	0
BMS	AlarmSynchronizer	1447503610778	0	0	0
BMS	ConnectorSynchronizer (import)	1447503910537	0	0	0
BMS	MeasurementSynchronizer	1447503910571	0	0	36
BMS	WorkOrderSynchronizer	1447503910637	0	0	0
BMS	TagSynchronizer	1447503910699	0	0	0
BMS	PropertySynchronizer	1447503910769	0	0	0
BMS	AlarmSynchronizer	1447503910791	0	0	0
BMS	ConnectorSynchronizer (import)	1447504210512	0	0	0
BMS	MeasurementSynchronizer	1447504210544	0	0	36
BMS	WorkOrderSynchronizer	1447504210610	0	0	0
BMS	TagSynchronizer	1447504210670	0	0	0
BMS	PropertySynchronizer	1447504210740	0	0	0
BMS	AlarmSynchronizer	1447504210761	0	0	0
BMS	ConnectorSynchronizer (import)	1447504510550	0	0	0
BMS	MeasurementSynchronizer	1447504510595	0	0	36
BMS	WorkOrderSynchronizer	1447504510662	0	0	0
BMS	TagSynchronizer	1447504510726	0	0	0
BMS	PropertySynchronizer	1447504510796	0	0	0
BMS	AlarmSynchronizer	1447504510817	0	0	0
BMS	ConnectorSynchronizer (import)	1447504810569	0	0	0
BMS	MeasurementSynchronizer	1447504810603	0	0	36
BMS	WorkOrderSynchronizer	1447504810671	0	0	0
BMS	TagSynchronizer	1447504810731	0	0	0
BMS	PropertySynchronizer	1447504810802	0	0	0
BMS	AlarmSynchronizer	1447504810824	0	0	0
BMS	ConnectorSynchronizer (import)	1447505110529	0	0	0
BMS	MeasurementSynchronizer	1447505110564	0	0	36
BMS	WorkOrderSynchronizer	1447505110627	0	0	0
BMS	TagSynchronizer	1447505110683	0	0	0
BMS	PropertySynchronizer	1447505110748	0	0	0
BMS	AlarmSynchronizer	1447505110768	0	0	0
BMS	ConnectorSynchronizer (import)	1447505410507	0	0	0
BMS	MeasurementSynchronizer	1447505410541	0	0	36
BMS	WorkOrderSynchronizer	1447505410606	0	0	0
BMS	TagSynchronizer	1447505410666	0	0	0
BMS	PropertySynchronizer	1447505410737	0	0	0
BMS	AlarmSynchronizer	1447505410758	0	0	0
BMS	ConnectorSynchronizer (import)	1447505710509	0	0	0
BMS	MeasurementSynchronizer	1447505710542	0	0	36
BMS	WorkOrderSynchronizer	1447505710606	0	0	0
BMS	TagSynchronizer	1447505710667	0	0	0
BMS	PropertySynchronizer	1447505710738	0	0	0
BMS	AlarmSynchronizer	1447505710759	0	0	0
BMS	ConnectorSynchronizer (import)	1447506010520	0	0	0
BMS	MeasurementSynchronizer	1447506010553	0	0	36
BMS	WorkOrderSynchronizer	1447506010620	0	0	0
BMS	TagSynchronizer	1447506010681	0	0	0
BMS	PropertySynchronizer	1447506010752	0	0	0
BMS	AlarmSynchronizer	1447506010774	0	0	0
BMS	ConnectorSynchronizer (import)	1447506310506	0	0	0
BMS	MeasurementSynchronizer	1447506310539	0	0	36
BMS	WorkOrderSynchronizer	1447506310600	0	0	0
BMS	TagSynchronizer	1447506310659	0	0	0
BMS	PropertySynchronizer	1447506310724	0	0	0
BMS	AlarmSynchronizer	1447506310744	0	0	0
BMS	ConnectorSynchronizer (import)	1447506610522	0	0	0
BMS	MeasurementSynchronizer	1447506610553	0	0	36
BMS	WorkOrderSynchronizer	1447506610615	0	0	0
BMS	TagSynchronizer	1447506610670	0	0	0
BMS	PropertySynchronizer	1447506610726	0	0	0
BMS	AlarmSynchronizer	1447506610746	0	0	0
BMS	ConnectorSynchronizer (import)	1447506910546	0	0	0
BMS	MeasurementSynchronizer	1447506910577	0	0	36
BMS	WorkOrderSynchronizer	1447506910642	0	0	0
BMS	TagSynchronizer	1447506910702	0	0	0
BMS	PropertySynchronizer	1447506910775	0	0	0
BMS	AlarmSynchronizer	1447506910796	0	0	0
BMS	ConnectorSynchronizer (import)	1447507210532	0	0	0
BMS	MeasurementSynchronizer	1447507210565	0	0	36
BMS	WorkOrderSynchronizer	1447507210631	0	0	0
BMS	TagSynchronizer	1447507210691	0	0	0
BMS	PropertySynchronizer	1447507210761	0	0	0
BMS	AlarmSynchronizer	1447507210783	0	0	0
BMS	ConnectorSynchronizer (import)	1447507510512	0	0	0
BMS	MeasurementSynchronizer	1447507510545	0	0	36
BMS	WorkOrderSynchronizer	1447507510610	0	0	0
BMS	TagSynchronizer	1447507510671	0	0	0
BMS	PropertySynchronizer	1447507510742	0	0	0
BMS	AlarmSynchronizer	1447507510763	0	0	0
BMS	ConnectorSynchronizer (import)	1447507810527	0	0	0
BMS	MeasurementSynchronizer	1447507810560	0	0	36
BMS	WorkOrderSynchronizer	1447507810625	0	0	0
BMS	TagSynchronizer	1447507810686	0	0	0
BMS	PropertySynchronizer	1447507810757	0	0	0
BMS	AlarmSynchronizer	1447507810778	0	0	0
BMS	ConnectorSynchronizer (import)	1447508110512	0	0	0
BMS	MeasurementSynchronizer	1447508110547	0	0	36
BMS	WorkOrderSynchronizer	1447508110618	0	0	0
BMS	TagSynchronizer	1447508110681	0	0	0
BMS	PropertySynchronizer	1447508110757	0	0	0
BMS	AlarmSynchronizer	1447508110780	0	0	0
BMS	ConnectorSynchronizer (import)	1447508410528	0	0	0
BMS	MeasurementSynchronizer	1447508410559	0	0	36
BMS	WorkOrderSynchronizer	1447508410619	0	0	0
BMS	TagSynchronizer	1447508410675	0	0	0
BMS	PropertySynchronizer	1447508410740	0	0	0
BMS	AlarmSynchronizer	1447508410760	0	0	0
BMS	ConnectorSynchronizer (import)	1447508710490	0	0	0
BMS	MeasurementSynchronizer	1447508710521	0	0	36
BMS	WorkOrderSynchronizer	1447508710579	0	0	0
BMS	TagSynchronizer	1447508710635	0	0	0
BMS	PropertySynchronizer	1447508710705	0	0	0
BMS	AlarmSynchronizer	1447508710726	0	0	0
BMS	ConnectorSynchronizer (import)	1447509010526	0	0	0
BMS	MeasurementSynchronizer	1447509010559	0	0	36
BMS	WorkOrderSynchronizer	1447509010625	0	0	0
BMS	TagSynchronizer	1447509010684	0	0	0
BMS	PropertySynchronizer	1447509010756	0	0	0
BMS	AlarmSynchronizer	1447509010777	0	0	0
BMS	ConnectorSynchronizer (import)	1447509310518	0	0	0
BMS	MeasurementSynchronizer	1447509310553	0	0	36
BMS	WorkOrderSynchronizer	1447509310620	0	0	0
BMS	TagSynchronizer	1447509310680	0	0	0
BMS	PropertySynchronizer	1447509310750	0	0	0
BMS	AlarmSynchronizer	1447509310771	0	0	0
BMS	ConnectorSynchronizer (import)	1447509610519	0	0	0
BMS	MeasurementSynchronizer	1447509610552	0	0	36
BMS	WorkOrderSynchronizer	1447509610616	0	0	0
BMS	TagSynchronizer	1447509610676	0	0	0
BMS	PropertySynchronizer	1447509610747	0	0	0
BMS	AlarmSynchronizer	1447509610768	0	0	0
BMS	ConnectorSynchronizer (import)	1447509910531	0	0	0
BMS	MeasurementSynchronizer	1447509910564	0	0	36
BMS	WorkOrderSynchronizer	1447509910629	0	0	0
BMS	TagSynchronizer	1447509910690	0	0	0
BMS	PropertySynchronizer	1447509910760	0	0	0
BMS	AlarmSynchronizer	1447509910781	0	0	0
BMS	ConnectorSynchronizer (import)	1447510210537	0	0	0
BMS	MeasurementSynchronizer	1447510210572	0	0	36
BMS	WorkOrderSynchronizer	1447510210638	0	0	0
BMS	TagSynchronizer	1447510210698	0	0	0
BMS	PropertySynchronizer	1447510210772	0	0	0
BMS	AlarmSynchronizer	1447510210794	0	0	0
BMS	ConnectorSynchronizer (import)	1447510510907	0	0	0
BMS	MeasurementSynchronizer	1447510510941	0	0	36
BMS	WorkOrderSynchronizer	1447510511007	0	0	0
BMS	TagSynchronizer	1447510511068	0	0	0
BMS	PropertySynchronizer	1447510511139	0	0	0
BMS	AlarmSynchronizer	1447510511160	0	0	0
BMS	ConnectorSynchronizer (import)	1447510810533	0	0	0
BMS	MeasurementSynchronizer	1447510810567	0	0	36
BMS	WorkOrderSynchronizer	1447510810632	0	0	0
BMS	TagSynchronizer	1447510810693	0	0	0
BMS	PropertySynchronizer	1447510810763	0	0	0
BMS	AlarmSynchronizer	1447510810795	0	0	0
BMS	ConnectorSynchronizer (import)	1447511110518	0	0	0
BMS	MeasurementSynchronizer	1447511110552	0	0	36
BMS	WorkOrderSynchronizer	1447511110617	0	0	0
BMS	TagSynchronizer	1447511110679	0	0	0
BMS	PropertySynchronizer	1447511110753	0	0	0
BMS	AlarmSynchronizer	1447511110777	0	0	0
BMS	ConnectorSynchronizer (import)	1447511410514	0	0	0
BMS	MeasurementSynchronizer	1447511410544	0	0	36
BMS	WorkOrderSynchronizer	1447511410600	0	0	0
BMS	TagSynchronizer	1447511410654	0	0	0
BMS	PropertySynchronizer	1447511410717	0	0	0
BMS	AlarmSynchronizer	1447511410740	0	0	0
BMS	ConnectorSynchronizer (import)	1447511710521	0	0	0
BMS	MeasurementSynchronizer	1447511710553	0	0	36
BMS	WorkOrderSynchronizer	1447511710620	0	0	0
BMS	TagSynchronizer	1447511710679	0	0	0
BMS	PropertySynchronizer	1447511710749	0	0	0
BMS	AlarmSynchronizer	1447511710771	0	0	0
BMS	ConnectorSynchronizer (import)	1447512010526	0	0	0
BMS	MeasurementSynchronizer	1447512010560	0	0	36
BMS	WorkOrderSynchronizer	1447512010636	0	0	0
BMS	TagSynchronizer	1447512010699	0	0	0
BMS	PropertySynchronizer	1447512010771	0	0	0
BMS	AlarmSynchronizer	1447512010794	0	0	0
BMS	ConnectorSynchronizer (import)	1447512310531	0	0	0
BMS	MeasurementSynchronizer	1447512310565	0	0	36
BMS	WorkOrderSynchronizer	1447512310633	0	0	0
BMS	TagSynchronizer	1447512310696	0	0	0
BMS	PropertySynchronizer	1447512310766	0	0	0
BMS	AlarmSynchronizer	1447512310789	0	0	0
BMS	ConnectorSynchronizer (import)	1447512610521	0	0	0
BMS	MeasurementSynchronizer	1447512610554	0	0	36
BMS	WorkOrderSynchronizer	1447512610619	0	0	0
BMS	TagSynchronizer	1447512610680	0	0	0
BMS	PropertySynchronizer	1447512610753	0	0	0
BMS	AlarmSynchronizer	1447512610776	0	0	0
BMS	ConnectorSynchronizer (import)	1447512910523	0	0	0
BMS	MeasurementSynchronizer	1447512910558	0	0	36
BMS	WorkOrderSynchronizer	1447512910623	0	0	0
BMS	TagSynchronizer	1447512910683	0	0	0
BMS	PropertySynchronizer	1447512910754	0	0	0
BMS	AlarmSynchronizer	1447512910775	0	0	0
BMS	ConnectorSynchronizer (import)	1447513210517	0	0	0
BMS	MeasurementSynchronizer	1447513210552	0	0	36
BMS	WorkOrderSynchronizer	1447513210620	0	0	0
BMS	TagSynchronizer	1447513210681	0	0	0
BMS	PropertySynchronizer	1447513210754	0	0	0
BMS	AlarmSynchronizer	1447513210776	0	0	0
BMS	ConnectorSynchronizer (import)	1447513510535	0	0	0
BMS	MeasurementSynchronizer	1447513510571	0	0	36
BMS	WorkOrderSynchronizer	1447513510639	0	0	0
BMS	TagSynchronizer	1447513510700	0	0	0
BMS	PropertySynchronizer	1447513510771	0	0	0
BMS	AlarmSynchronizer	1447513510793	0	0	0
BMS	ConnectorSynchronizer (import)	1447513810517	0	0	0
BMS	MeasurementSynchronizer	1447513810549	0	0	36
BMS	WorkOrderSynchronizer	1447513810613	0	0	0
BMS	TagSynchronizer	1447513810675	0	0	0
BMS	PropertySynchronizer	1447513810746	0	0	0
BMS	AlarmSynchronizer	1447513810769	0	0	0
BMS	ConnectorSynchronizer (import)	1447514110514	0	0	0
BMS	MeasurementSynchronizer	1447514110547	0	0	36
BMS	WorkOrderSynchronizer	1447514110612	0	0	0
BMS	TagSynchronizer	1447514110671	0	0	0
BMS	PropertySynchronizer	1447514110742	0	0	0
BMS	AlarmSynchronizer	1447514110763	0	0	0
BMS	ConnectorSynchronizer (import)	1447514410519	0	0	0
BMS	MeasurementSynchronizer	1447514410552	0	0	36
BMS	WorkOrderSynchronizer	1447514410616	0	0	0
BMS	TagSynchronizer	1447514410677	0	0	0
BMS	PropertySynchronizer	1447514410748	0	0	0
BMS	AlarmSynchronizer	1447514410771	0	0	0
BMS	ConnectorSynchronizer (import)	1447514710523	0	0	0
BMS	MeasurementSynchronizer	1447514710555	0	0	36
BMS	WorkOrderSynchronizer	1447514710620	0	0	0
BMS	TagSynchronizer	1447514710679	0	0	0
BMS	PropertySynchronizer	1447514710750	0	0	0
BMS	AlarmSynchronizer	1447514710771	0	0	0
BMS	ConnectorSynchronizer (import)	1447515010529	0	0	0
BMS	MeasurementSynchronizer	1447515010564	0	0	36
BMS	WorkOrderSynchronizer	1447515010630	0	0	0
BMS	TagSynchronizer	1447515010691	0	0	0
BMS	PropertySynchronizer	1447515010762	0	0	0
BMS	AlarmSynchronizer	1447515010784	0	0	0
BMS	ConnectorSynchronizer (import)	1447515310580	0	0	0
BMS	MeasurementSynchronizer	1447515310615	0	0	36
BMS	WorkOrderSynchronizer	1447515310680	0	0	0
BMS	TagSynchronizer	1447515310738	0	0	0
BMS	PropertySynchronizer	1447515310809	0	0	0
BMS	AlarmSynchronizer	1447515310832	0	0	0
BMS	ConnectorSynchronizer (import)	1447515610568	0	0	0
BMS	MeasurementSynchronizer	1447515610602	0	0	36
BMS	WorkOrderSynchronizer	1447515610667	0	0	0
BMS	TagSynchronizer	1447515610726	0	0	0
BMS	PropertySynchronizer	1447515610796	0	0	0
BMS	AlarmSynchronizer	1447515610817	0	0	0
BMS	ConnectorSynchronizer (import)	1447515910544	0	0	0
BMS	MeasurementSynchronizer	1447515910578	0	0	36
BMS	WorkOrderSynchronizer	1447515910642	0	0	0
BMS	TagSynchronizer	1447515910699	0	0	0
BMS	PropertySynchronizer	1447515910764	0	0	0
BMS	AlarmSynchronizer	1447515910784	0	0	0
BMS	ConnectorSynchronizer (import)	1447516210500	0	0	0
BMS	MeasurementSynchronizer	1447516210531	0	0	36
BMS	WorkOrderSynchronizer	1447516210598	0	0	0
BMS	TagSynchronizer	1447516210660	0	0	0
BMS	PropertySynchronizer	1447516210732	0	0	0
BMS	AlarmSynchronizer	1447516210755	0	0	0
BMS	ConnectorSynchronizer (import)	1447516510535	0	0	0
BMS	MeasurementSynchronizer	1447516510569	0	0	36
BMS	WorkOrderSynchronizer	1447516510637	0	0	0
BMS	TagSynchronizer	1447516510697	0	0	0
BMS	PropertySynchronizer	1447516510767	0	0	0
BMS	AlarmSynchronizer	1447516510788	0	0	0
BMS	ConnectorSynchronizer (import)	1447516810533	0	0	0
BMS	MeasurementSynchronizer	1447516810567	0	0	36
BMS	WorkOrderSynchronizer	1447516810631	0	0	0
BMS	TagSynchronizer	1447516810691	0	0	0
BMS	PropertySynchronizer	1447516810762	0	0	0
BMS	AlarmSynchronizer	1447516810784	0	0	0
BMS	ConnectorSynchronizer (import)	1447517110526	0	0	0
BMS	MeasurementSynchronizer	1447517110560	0	0	36
BMS	WorkOrderSynchronizer	1447517110630	0	0	0
BMS	TagSynchronizer	1447517110691	0	0	0
BMS	PropertySynchronizer	1447517110763	0	0	0
BMS	AlarmSynchronizer	1447517110785	0	0	0
BMS	ConnectorSynchronizer (import)	1447517410532	0	0	0
BMS	MeasurementSynchronizer	1447517410564	0	0	36
BMS	WorkOrderSynchronizer	1447517410630	0	0	0
BMS	TagSynchronizer	1447517410691	0	0	0
BMS	PropertySynchronizer	1447517410760	0	0	0
BMS	AlarmSynchronizer	1447517410783	0	0	0
BMS	ConnectorSynchronizer (import)	1447517710527	0	0	0
BMS	MeasurementSynchronizer	1447517710559	0	0	36
BMS	WorkOrderSynchronizer	1447517710624	0	0	0
BMS	TagSynchronizer	1447517710684	0	0	0
BMS	PropertySynchronizer	1447517710754	0	0	0
BMS	AlarmSynchronizer	1447517710776	0	0	0
BMS	ConnectorSynchronizer (import)	1447518010528	0	0	0
BMS	MeasurementSynchronizer	1447518010562	0	0	36
BMS	WorkOrderSynchronizer	1447518010629	0	0	0
BMS	TagSynchronizer	1447518010689	0	0	0
BMS	PropertySynchronizer	1447518010760	0	0	0
BMS	AlarmSynchronizer	1447518010781	0	0	0
BMS	ConnectorSynchronizer (import)	1447518310572	0	0	0
BMS	MeasurementSynchronizer	1447518310606	0	0	36
BMS	WorkOrderSynchronizer	1447518310671	0	0	0
BMS	TagSynchronizer	1447518310731	0	0	0
BMS	PropertySynchronizer	1447518310799	0	0	0
BMS	AlarmSynchronizer	1447518310819	0	0	0
BMS	ConnectorSynchronizer (import)	1447518610512	0	0	0
BMS	MeasurementSynchronizer	1447518610543	0	0	36
BMS	WorkOrderSynchronizer	1447518610602	0	0	0
BMS	TagSynchronizer	1447518610657	0	0	0
BMS	PropertySynchronizer	1447518610722	0	0	0
BMS	AlarmSynchronizer	1447518610742	0	0	0
BMS	ConnectorSynchronizer (import)	1447518910522	0	0	0
BMS	MeasurementSynchronizer	1447518910555	0	0	36
BMS	WorkOrderSynchronizer	1447518910620	0	0	0
BMS	TagSynchronizer	1447518910681	0	0	0
BMS	PropertySynchronizer	1447518910752	0	0	0
BMS	AlarmSynchronizer	1447518910774	0	0	0
BMS	ConnectorSynchronizer (import)	1447519210508	0	0	0
BMS	MeasurementSynchronizer	1447519210541	0	0	36
BMS	WorkOrderSynchronizer	1447519210607	0	0	0
BMS	TagSynchronizer	1447519210667	0	0	0
BMS	PropertySynchronizer	1447519210738	0	0	0
BMS	AlarmSynchronizer	1447519210760	0	0	0
BMS	ConnectorSynchronizer (import)	1447519510526	0	0	0
BMS	MeasurementSynchronizer	1447519510560	0	0	36
BMS	WorkOrderSynchronizer	1447519510624	0	0	0
BMS	TagSynchronizer	1447519510684	0	0	0
BMS	PropertySynchronizer	1447519510755	0	0	0
BMS	AlarmSynchronizer	1447519510777	0	0	0
BMS	ConnectorSynchronizer (import)	1447519810523	0	0	0
BMS	MeasurementSynchronizer	1447519810556	0	0	36
BMS	WorkOrderSynchronizer	1447519810624	0	0	0
BMS	TagSynchronizer	1447519810685	0	0	0
BMS	PropertySynchronizer	1447519810757	0	0	0
BMS	AlarmSynchronizer	1447519810781	0	0	0
BMS	ConnectorSynchronizer (import)	1447520110573	0	0	0
BMS	MeasurementSynchronizer	1447520110606	0	0	36
BMS	WorkOrderSynchronizer	1447520110675	0	0	0
BMS	TagSynchronizer	1447520110738	0	0	0
BMS	PropertySynchronizer	1447520110810	0	0	0
BMS	AlarmSynchronizer	1447520110831	0	0	0
BMS	ConnectorSynchronizer (import)	1447520410512	0	0	0
BMS	MeasurementSynchronizer	1447520410543	0	0	36
BMS	WorkOrderSynchronizer	1447520410602	0	0	0
BMS	TagSynchronizer	1447520410661	0	0	0
BMS	PropertySynchronizer	1447520410726	0	0	0
BMS	AlarmSynchronizer	1447520410746	0	0	0
BMS	ConnectorSynchronizer (import)	1447520710486	0	0	0
BMS	MeasurementSynchronizer	1447520710516	0	0	36
BMS	WorkOrderSynchronizer	1447520710575	0	0	0
BMS	TagSynchronizer	1447520710636	0	0	0
BMS	PropertySynchronizer	1447520710708	0	0	0
BMS	AlarmSynchronizer	1447520710731	0	0	0
BMS	ConnectorSynchronizer (import)	1447521010513	0	0	0
BMS	MeasurementSynchronizer	1447521010547	0	0	36
BMS	WorkOrderSynchronizer	1447521010616	0	0	0
BMS	TagSynchronizer	1447521010677	0	0	0
BMS	PropertySynchronizer	1447521010750	0	0	0
BMS	AlarmSynchronizer	1447521010772	0	0	0
BMS	ConnectorSynchronizer (import)	1447521310834	0	0	0
BMS	MeasurementSynchronizer	1447521310865	0	0	36
BMS	WorkOrderSynchronizer	1447521310915	0	0	0
BMS	TagSynchronizer	1447521310971	0	0	0
BMS	PropertySynchronizer	1447521311037	0	0	0
BMS	AlarmSynchronizer	1447521311059	0	0	0
BMS	ConnectorSynchronizer (import)	1447521610520	0	0	0
BMS	MeasurementSynchronizer	1447521610553	0	0	36
BMS	WorkOrderSynchronizer	1447521610618	0	0	0
BMS	TagSynchronizer	1447521610678	0	0	0
BMS	PropertySynchronizer	1447521610749	0	0	0
BMS	AlarmSynchronizer	1447521610770	0	0	0
BMS	ConnectorSynchronizer (import)	1447521910522	0	0	0
BMS	MeasurementSynchronizer	1447521910554	0	0	36
BMS	WorkOrderSynchronizer	1447521910619	0	0	0
BMS	TagSynchronizer	1447521910679	0	0	0
BMS	PropertySynchronizer	1447521910759	0	0	0
BMS	AlarmSynchronizer	1447521910782	0	0	0
BMS	ConnectorSynchronizer (import)	1447522210540	0	0	0
BMS	MeasurementSynchronizer	1447522210574	0	0	36
BMS	WorkOrderSynchronizer	1447522210641	0	0	0
BMS	TagSynchronizer	1447522210702	0	0	0
BMS	PropertySynchronizer	1447522210769	0	0	0
BMS	AlarmSynchronizer	1447522210790	0	0	0
BMS	ConnectorSynchronizer (import)	1447522510509	0	0	0
BMS	MeasurementSynchronizer	1447522510540	0	0	36
BMS	WorkOrderSynchronizer	1447522510599	0	0	0
BMS	TagSynchronizer	1447522510656	0	0	0
BMS	PropertySynchronizer	1447522510721	0	0	0
BMS	AlarmSynchronizer	1447522510741	0	0	0
BMS	ConnectorSynchronizer (import)	1447522810532	0	0	0
BMS	MeasurementSynchronizer	1447522810566	0	0	36
BMS	WorkOrderSynchronizer	1447522810637	0	0	0
BMS	TagSynchronizer	1447522810699	0	0	0
BMS	PropertySynchronizer	1447522810770	0	0	0
BMS	AlarmSynchronizer	1447522810793	0	0	0
BMS	ConnectorSynchronizer (import)	1447523110526	0	0	0
BMS	MeasurementSynchronizer	1447523110559	0	0	36
BMS	WorkOrderSynchronizer	1447523110636	0	0	0
BMS	TagSynchronizer	1447523110700	0	0	0
BMS	PropertySynchronizer	1447523110770	0	0	0
BMS	AlarmSynchronizer	1447523110792	0	0	0
BMS	ConnectorSynchronizer (import)	1447523410525	0	0	0
BMS	MeasurementSynchronizer	1447523410559	0	0	36
BMS	WorkOrderSynchronizer	1447523410624	0	0	0
BMS	TagSynchronizer	1447523410684	0	0	0
BMS	PropertySynchronizer	1447523410754	0	0	0
BMS	AlarmSynchronizer	1447523410775	0	0	0
BMS	ConnectorSynchronizer (import)	1447523710539	0	0	0
BMS	MeasurementSynchronizer	1447523710572	0	0	36
BMS	WorkOrderSynchronizer	1447523710638	0	0	0
BMS	TagSynchronizer	1447523710697	0	0	0
BMS	PropertySynchronizer	1447523710768	0	0	0
BMS	AlarmSynchronizer	1447523710789	0	0	0
BMS	ConnectorSynchronizer (import)	1447524010526	0	0	0
BMS	MeasurementSynchronizer	1447524010559	0	0	36
BMS	WorkOrderSynchronizer	1447524010625	0	0	0
BMS	TagSynchronizer	1447524010686	0	0	0
BMS	PropertySynchronizer	1447524010753	0	0	0
BMS	AlarmSynchronizer	1447524010773	0	0	0
BMS	ConnectorSynchronizer (import)	1447524310503	0	0	0
BMS	MeasurementSynchronizer	1447524310535	0	0	36
BMS	WorkOrderSynchronizer	1447524310594	0	0	0
BMS	TagSynchronizer	1447524310644	0	0	0
BMS	PropertySynchronizer	1447524310704	0	0	0
BMS	AlarmSynchronizer	1447524310725	0	0	0
BMS	ConnectorSynchronizer (import)	1447524610509	0	0	0
BMS	MeasurementSynchronizer	1447524610541	0	0	36
BMS	WorkOrderSynchronizer	1447524610605	0	0	0
BMS	TagSynchronizer	1447524610666	0	0	0
BMS	PropertySynchronizer	1447524610738	0	0	0
BMS	AlarmSynchronizer	1447524610760	0	0	0
BMS	ConnectorSynchronizer (import)	1447524910525	0	0	0
BMS	MeasurementSynchronizer	1447524910562	0	0	36
BMS	WorkOrderSynchronizer	1447524910627	0	0	0
BMS	TagSynchronizer	1447524910687	0	0	0
BMS	PropertySynchronizer	1447524910756	0	0	0
BMS	AlarmSynchronizer	1447524910780	0	0	0
BMS	ConnectorSynchronizer (import)	1447525210506	0	0	0
BMS	MeasurementSynchronizer	1447525210540	0	0	36
BMS	WorkOrderSynchronizer	1447525210608	0	0	0
BMS	TagSynchronizer	1447525210668	0	0	0
BMS	PropertySynchronizer	1447525210738	0	0	0
BMS	AlarmSynchronizer	1447525210760	0	0	0
BMS	ConnectorSynchronizer (import)	1447525510529	0	0	0
BMS	MeasurementSynchronizer	1447525510563	0	0	36
BMS	WorkOrderSynchronizer	1447525510629	0	0	0
BMS	TagSynchronizer	1447525510689	0	0	0
BMS	PropertySynchronizer	1447525510759	0	0	0
BMS	AlarmSynchronizer	1447525510781	0	0	0
BMS	ConnectorSynchronizer (import)	1447525810510	0	0	0
BMS	MeasurementSynchronizer	1447525810543	0	0	36
BMS	WorkOrderSynchronizer	1447525810608	0	0	0
BMS	TagSynchronizer	1447525810667	0	0	0
BMS	PropertySynchronizer	1447525810739	0	0	0
BMS	AlarmSynchronizer	1447525810762	0	0	0
BMS	ConnectorSynchronizer (import)	1447526110529	0	0	0
BMS	MeasurementSynchronizer	1447526110560	0	0	36
BMS	WorkOrderSynchronizer	1447526110621	0	0	0
BMS	TagSynchronizer	1447526110678	0	0	0
BMS	PropertySynchronizer	1447526110743	0	0	0
BMS	AlarmSynchronizer	1447526110760	0	0	0
BMS	ConnectorSynchronizer (import)	1447526410524	0	0	0
BMS	MeasurementSynchronizer	1447526410557	0	0	36
BMS	WorkOrderSynchronizer	1447526410621	0	0	0
BMS	TagSynchronizer	1447526410682	0	0	0
BMS	PropertySynchronizer	1447526410752	0	0	0
BMS	AlarmSynchronizer	1447526410774	0	0	0
BMS	ConnectorSynchronizer (import)	1447526710545	0	0	0
BMS	MeasurementSynchronizer	1447526710580	0	0	36
BMS	WorkOrderSynchronizer	1447526710649	0	0	0
BMS	TagSynchronizer	1447526710711	0	0	0
BMS	PropertySynchronizer	1447526710784	0	0	0
BMS	AlarmSynchronizer	1447526710806	0	0	0
BMS	ConnectorSynchronizer (import)	1447527010524	0	0	0
BMS	MeasurementSynchronizer	1447527010558	0	0	36
BMS	WorkOrderSynchronizer	1447527010630	0	0	0
BMS	TagSynchronizer	1447527010692	0	0	0
BMS	PropertySynchronizer	1447527010764	0	0	0
BMS	AlarmSynchronizer	1447527010786	0	0	0
BMS	ConnectorSynchronizer (import)	1447527310508	0	0	0
BMS	MeasurementSynchronizer	1447527310541	0	0	36
BMS	WorkOrderSynchronizer	1447527310606	0	0	0
BMS	TagSynchronizer	1447527310667	0	0	0
BMS	PropertySynchronizer	1447527310737	0	0	0
BMS	AlarmSynchronizer	1447527310759	0	0	0
BMS	ConnectorSynchronizer (import)	1447527610516	0	0	0
BMS	MeasurementSynchronizer	1447527610549	0	0	36
BMS	WorkOrderSynchronizer	1447527610614	0	0	0
BMS	TagSynchronizer	1447527610673	0	0	0
BMS	PropertySynchronizer	1447527610744	0	0	0
BMS	AlarmSynchronizer	1447527610765	0	0	0
BMS	ConnectorSynchronizer (import)	1447527910519	0	0	0
BMS	MeasurementSynchronizer	1447527910552	0	0	36
BMS	WorkOrderSynchronizer	1447527910622	0	0	0
BMS	TagSynchronizer	1447527910684	0	0	0
BMS	PropertySynchronizer	1447527910754	0	0	0
BMS	AlarmSynchronizer	1447527910775	0	0	0
BMS	ConnectorSynchronizer (import)	1447528210540	0	0	0
BMS	MeasurementSynchronizer	1447528210572	0	0	36
BMS	WorkOrderSynchronizer	1447528210637	0	0	0
BMS	TagSynchronizer	1447528210697	0	0	0
BMS	PropertySynchronizer	1447528210770	0	0	0
BMS	AlarmSynchronizer	1447528210792	0	0	0
BMS	ConnectorSynchronizer (import)	1447528510533	0	0	0
BMS	MeasurementSynchronizer	1447528510565	0	0	36
BMS	WorkOrderSynchronizer	1447528510624	0	0	0
BMS	TagSynchronizer	1447528510680	0	0	0
BMS	PropertySynchronizer	1447528510746	0	0	0
BMS	AlarmSynchronizer	1447528510765	0	0	0
BMS	ConnectorSynchronizer (import)	1447528810506	0	0	0
BMS	MeasurementSynchronizer	1447528810534	0	0	36
BMS	WorkOrderSynchronizer	1447528810597	0	0	0
BMS	TagSynchronizer	1447528810656	0	0	0
BMS	PropertySynchronizer	1447528810727	0	0	0
BMS	AlarmSynchronizer	1447528810749	0	0	0
BMS	ConnectorSynchronizer (import)	1447529110511	0	0	0
BMS	MeasurementSynchronizer	1447529110543	0	0	36
BMS	WorkOrderSynchronizer	1447529110613	0	0	0
BMS	TagSynchronizer	1447529110673	0	0	0
BMS	PropertySynchronizer	1447529110743	0	0	0
BMS	AlarmSynchronizer	1447529110765	0	0	0
BMS	ConnectorSynchronizer (import)	1447529410511	0	0	0
BMS	MeasurementSynchronizer	1447529410544	0	0	36
BMS	WorkOrderSynchronizer	1447529410612	0	0	0
BMS	TagSynchronizer	1447529410673	0	0	0
BMS	PropertySynchronizer	1447529410743	0	0	0
BMS	AlarmSynchronizer	1447529410766	0	0	0
BMS	ConnectorSynchronizer (import)	1447529710527	0	0	0
BMS	MeasurementSynchronizer	1447529710560	0	0	36
BMS	WorkOrderSynchronizer	1447529710625	0	0	0
BMS	TagSynchronizer	1447529710687	0	0	0
BMS	PropertySynchronizer	1447529710757	0	0	0
BMS	AlarmSynchronizer	1447529710779	0	0	0
BMS	ConnectorSynchronizer (import)	1447530010510	0	0	0
BMS	MeasurementSynchronizer	1447530010543	0	0	36
BMS	WorkOrderSynchronizer	1447530010608	0	0	0
BMS	TagSynchronizer	1447530010670	0	0	0
BMS	PropertySynchronizer	1447530010740	0	0	0
BMS	AlarmSynchronizer	1447530010761	0	0	0
BMS	ConnectorSynchronizer (import)	1447530310528	0	0	0
BMS	MeasurementSynchronizer	1447530310564	0	0	36
BMS	WorkOrderSynchronizer	1447530310634	0	0	0
BMS	TagSynchronizer	1447530310698	0	0	0
BMS	PropertySynchronizer	1447530310770	0	0	0
BMS	AlarmSynchronizer	1447530310792	0	0	0
BMS	ConnectorSynchronizer (import)	1447530610518	0	0	0
BMS	MeasurementSynchronizer	1447530610549	0	0	36
BMS	WorkOrderSynchronizer	1447530610608	0	0	0
BMS	TagSynchronizer	1447530610663	0	0	0
BMS	PropertySynchronizer	1447530610733	0	0	0
BMS	AlarmSynchronizer	1447530610754	0	0	0
BMS	ConnectorSynchronizer (import)	1447530910537	0	0	0
BMS	MeasurementSynchronizer	1447530910571	0	0	36
BMS	WorkOrderSynchronizer	1447530910635	0	0	0
BMS	TagSynchronizer	1447530910698	0	0	0
BMS	PropertySynchronizer	1447530910768	0	0	0
BMS	AlarmSynchronizer	1447530910790	0	0	0
BMS	ConnectorSynchronizer (import)	1447531210526	0	0	0
BMS	MeasurementSynchronizer	1447531210560	0	0	36
BMS	WorkOrderSynchronizer	1447531210628	0	0	0
BMS	TagSynchronizer	1447531210691	0	0	0
BMS	PropertySynchronizer	1447531210764	0	0	0
BMS	AlarmSynchronizer	1447531210786	0	0	0
BMS	ConnectorSynchronizer (import)	1447531510509	0	0	0
BMS	MeasurementSynchronizer	1447531510542	0	0	36
BMS	WorkOrderSynchronizer	1447531510606	0	0	0
BMS	TagSynchronizer	1447531510666	0	0	0
BMS	PropertySynchronizer	1447531510737	0	0	0
BMS	AlarmSynchronizer	1447531510758	0	0	0
BMS	ConnectorSynchronizer (import)	1447531810523	0	0	0
BMS	MeasurementSynchronizer	1447531810556	0	0	36
BMS	WorkOrderSynchronizer	1447531810620	0	0	0
BMS	TagSynchronizer	1447531810679	0	0	0
BMS	PropertySynchronizer	1447531810757	0	0	0
BMS	AlarmSynchronizer	1447531810779	0	0	0
BMS	ConnectorSynchronizer (import)	1447532110499	0	0	0
BMS	MeasurementSynchronizer	1447532110532	0	0	36
BMS	WorkOrderSynchronizer	1447532110597	0	0	0
BMS	TagSynchronizer	1447532110657	0	0	0
BMS	PropertySynchronizer	1447532110727	0	0	0
BMS	AlarmSynchronizer	1447532110748	0	0	0
BMS	ConnectorSynchronizer (import)	1447532410532	0	0	0
BMS	MeasurementSynchronizer	1447532410566	0	0	36
BMS	WorkOrderSynchronizer	1447532410634	0	0	0
BMS	TagSynchronizer	1447532410696	0	0	0
BMS	PropertySynchronizer	1447532410765	0	0	0
BMS	AlarmSynchronizer	1447532410787	0	0	0
BMS	ConnectorSynchronizer (import)	1447532710511	0	0	0
BMS	MeasurementSynchronizer	1447532710541	0	0	36
BMS	WorkOrderSynchronizer	1447532710600	0	0	0
BMS	TagSynchronizer	1447532710656	0	0	0
BMS	PropertySynchronizer	1447532710720	0	0	0
BMS	AlarmSynchronizer	1447532710739	0	0	0
BMS	ConnectorSynchronizer (import)	1447533010523	0	0	0
BMS	MeasurementSynchronizer	1447533010557	0	0	36
BMS	WorkOrderSynchronizer	1447533010632	0	0	0
BMS	TagSynchronizer	1447533010695	0	0	0
BMS	PropertySynchronizer	1447533010768	0	0	0
BMS	AlarmSynchronizer	1447533010793	0	0	0
BMS	ConnectorSynchronizer (import)	1447533310518	0	0	0
BMS	MeasurementSynchronizer	1447533310551	0	0	36
BMS	WorkOrderSynchronizer	1447533310616	0	0	0
BMS	TagSynchronizer	1447533310676	0	0	0
BMS	PropertySynchronizer	1447533310746	0	0	0
BMS	AlarmSynchronizer	1447533310767	0	0	0
BMS	ConnectorSynchronizer (import)	1447533610523	0	0	0
BMS	MeasurementSynchronizer	1447533610556	0	0	36
BMS	WorkOrderSynchronizer	1447533610621	0	0	0
BMS	TagSynchronizer	1447533610684	0	0	0
BMS	PropertySynchronizer	1447533610757	0	0	0
BMS	AlarmSynchronizer	1447533610780	0	0	0
BMS	ConnectorSynchronizer (import)	1447533910512	0	0	0
BMS	MeasurementSynchronizer	1447533910545	0	0	36
BMS	WorkOrderSynchronizer	1447533910610	0	0	0
BMS	TagSynchronizer	1447533910671	0	0	0
BMS	PropertySynchronizer	1447533910741	0	0	0
BMS	AlarmSynchronizer	1447533910763	0	0	0
BMS	ConnectorSynchronizer (import)	1447534210527	0	0	0
BMS	MeasurementSynchronizer	1447534210561	0	0	36
BMS	WorkOrderSynchronizer	1447534210628	0	0	0
BMS	TagSynchronizer	1447534210688	0	0	0
BMS	PropertySynchronizer	1447534210757	0	0	0
BMS	AlarmSynchronizer	1447534210779	0	0	0
BMS	ConnectorSynchronizer (import)	1447534510527	0	0	0
BMS	MeasurementSynchronizer	1447534510561	0	0	36
BMS	WorkOrderSynchronizer	1447534510628	0	0	0
BMS	TagSynchronizer	1447534510688	0	0	0
BMS	PropertySynchronizer	1447534510759	0	0	0
BMS	AlarmSynchronizer	1447534510780	0	0	0
BMS	ConnectorSynchronizer (import)	1447534810529	0	0	0
BMS	MeasurementSynchronizer	1447534810562	0	0	36
BMS	WorkOrderSynchronizer	1447534810634	0	0	0
BMS	TagSynchronizer	1447534810698	0	0	0
BMS	PropertySynchronizer	1447534810771	0	0	0
BMS	AlarmSynchronizer	1447534810793	0	0	0
BMS	ConnectorSynchronizer (import)	1447535110513	0	0	0
BMS	MeasurementSynchronizer	1447535110544	0	0	36
BMS	WorkOrderSynchronizer	1447535110607	0	0	0
BMS	TagSynchronizer	1447535110663	0	0	0
BMS	PropertySynchronizer	1447535110727	0	0	0
BMS	AlarmSynchronizer	1447535110747	0	0	0
BMS	ConnectorSynchronizer (import)	1447535410510	0	0	0
BMS	MeasurementSynchronizer	1447535410543	0	0	36
BMS	WorkOrderSynchronizer	1447535410608	0	0	0
BMS	TagSynchronizer	1447535410668	0	0	0
BMS	PropertySynchronizer	1447535410739	0	0	0
BMS	AlarmSynchronizer	1447535410760	0	0	0
BMS	ConnectorSynchronizer (import)	1447535710529	0	0	0
BMS	MeasurementSynchronizer	1447535710563	0	0	36
BMS	WorkOrderSynchronizer	1447535710631	0	0	0
BMS	TagSynchronizer	1447535710693	0	0	0
BMS	PropertySynchronizer	1447535710765	0	0	0
BMS	AlarmSynchronizer	1447535710787	0	0	0
BMS	ConnectorSynchronizer (import)	1447536010521	0	0	0
BMS	MeasurementSynchronizer	1447536010554	0	0	36
BMS	WorkOrderSynchronizer	1447536010619	0	0	0
BMS	TagSynchronizer	1447536010681	0	0	0
BMS	PropertySynchronizer	1447536010752	0	0	0
BMS	AlarmSynchronizer	1447536010775	0	0	0
BMS	ConnectorSynchronizer (import)	1447536310525	0	0	0
BMS	MeasurementSynchronizer	1447536310558	0	0	36
BMS	WorkOrderSynchronizer	1447536310623	0	0	0
BMS	TagSynchronizer	1447536310683	0	0	0
BMS	PropertySynchronizer	1447536310753	0	0	0
BMS	AlarmSynchronizer	1447536310774	0	0	0
BMS	ConnectorSynchronizer (import)	1447536610584	0	0	0
BMS	MeasurementSynchronizer	1447536610617	0	0	36
BMS	WorkOrderSynchronizer	1447536610682	0	0	0
BMS	TagSynchronizer	1447536610744	0	0	0
BMS	PropertySynchronizer	1447536610814	0	0	0
BMS	AlarmSynchronizer	1447536610837	0	0	0
BMS	ConnectorSynchronizer (import)	1447536910538	0	0	0
BMS	MeasurementSynchronizer	1447536910572	0	0	36
BMS	WorkOrderSynchronizer	1447536910641	0	0	0
BMS	TagSynchronizer	1447536910703	0	0	0
BMS	PropertySynchronizer	1447536910774	0	0	0
BMS	AlarmSynchronizer	1447536910796	0	0	0
BMS	ConnectorSynchronizer (import)	1447537210592	0	0	0
BMS	MeasurementSynchronizer	1447537210627	0	0	36
BMS	WorkOrderSynchronizer	1447537210694	0	0	0
BMS	TagSynchronizer	1447537210753	0	0	0
BMS	PropertySynchronizer	1447537210819	0	0	0
BMS	AlarmSynchronizer	1447537210840	0	0	0
BMS	ConnectorSynchronizer (import)	1447537510541	0	0	0
BMS	MeasurementSynchronizer	1447537510587	0	0	36
BMS	WorkOrderSynchronizer	1447537510675	0	0	0
BMS	TagSynchronizer	1447537510753	0	0	0
BMS	PropertySynchronizer	1447537510824	0	0	0
BMS	AlarmSynchronizer	1447537510843	0	0	0
BMS	ConnectorSynchronizer (import)	1447537810529	0	0	0
BMS	MeasurementSynchronizer	1447537810562	0	0	36
BMS	WorkOrderSynchronizer	1447537810624	0	0	0
BMS	TagSynchronizer	1447537810681	0	0	0
BMS	PropertySynchronizer	1447537810744	0	0	0
BMS	AlarmSynchronizer	1447537810764	0	0	0
BMS	ConnectorSynchronizer (import)	1447538110517	0	0	0
BMS	MeasurementSynchronizer	1447538110548	0	0	36
BMS	WorkOrderSynchronizer	1447538110610	0	0	0
BMS	TagSynchronizer	1447538110666	0	0	0
BMS	PropertySynchronizer	1447538110732	0	0	0
BMS	AlarmSynchronizer	1447538110753	0	0	0
BMS	ConnectorSynchronizer (import)	1447538410507	0	0	0
BMS	MeasurementSynchronizer	1447538410538	0	0	36
BMS	WorkOrderSynchronizer	1447538410597	0	0	0
BMS	TagSynchronizer	1447538410654	0	0	0
BMS	PropertySynchronizer	1447538410718	0	0	0
BMS	AlarmSynchronizer	1447538410735	0	0	0
BMS	ConnectorSynchronizer (import)	1447538710532	0	0	0
BMS	MeasurementSynchronizer	1447538710563	0	0	36
BMS	WorkOrderSynchronizer	1447538710618	0	0	0
BMS	TagSynchronizer	1447538710672	0	0	0
BMS	PropertySynchronizer	1447538710744	0	0	0
BMS	AlarmSynchronizer	1447538710766	0	0	0
BMS	ConnectorSynchronizer (import)	1447539010518	0	0	0
BMS	MeasurementSynchronizer	1447539010545	0	0	36
BMS	WorkOrderSynchronizer	1447539010603	0	0	0
BMS	TagSynchronizer	1447539010665	0	0	0
BMS	PropertySynchronizer	1447539010734	0	0	0
BMS	AlarmSynchronizer	1447539010755	0	0	0
BMS	ConnectorSynchronizer (import)	1447539310531	0	0	0
BMS	MeasurementSynchronizer	1447539310565	0	0	36
BMS	WorkOrderSynchronizer	1447539310636	0	0	0
BMS	TagSynchronizer	1447539310699	0	0	0
BMS	PropertySynchronizer	1447539310772	0	0	0
BMS	AlarmSynchronizer	1447539310795	0	0	0
BMS	ConnectorSynchronizer (import)	1447539610544	0	0	0
BMS	MeasurementSynchronizer	1447539610579	0	0	36
BMS	WorkOrderSynchronizer	1447539610648	0	0	0
BMS	TagSynchronizer	1447539610711	0	0	0
BMS	PropertySynchronizer	1447539610784	0	0	0
BMS	AlarmSynchronizer	1447539610807	0	0	0
BMS	ConnectorSynchronizer (import)	1447539910501	0	0	0
BMS	MeasurementSynchronizer	1447539910536	0	0	36
BMS	WorkOrderSynchronizer	1447539910602	0	0	0
BMS	TagSynchronizer	1447539910662	0	0	0
BMS	PropertySynchronizer	1447539910733	0	0	0
BMS	AlarmSynchronizer	1447539910755	0	0	0
BMS	ConnectorSynchronizer (import)	1447540210510	0	0	0
BMS	MeasurementSynchronizer	1447540210544	0	0	36
BMS	WorkOrderSynchronizer	1447540210612	0	0	0
BMS	TagSynchronizer	1447540210674	0	0	0
BMS	PropertySynchronizer	1447540210744	0	0	0
BMS	AlarmSynchronizer	1447540210767	0	0	0
BMS	ConnectorSynchronizer (import)	1447540510517	0	0	0
BMS	MeasurementSynchronizer	1447540510550	0	0	36
BMS	WorkOrderSynchronizer	1447540510616	0	0	0
BMS	TagSynchronizer	1447540510676	0	0	0
BMS	PropertySynchronizer	1447540510746	0	0	0
BMS	AlarmSynchronizer	1447540510768	0	0	0
BMS	ConnectorSynchronizer (import)	1447540810522	0	0	0
BMS	MeasurementSynchronizer	1447540810556	0	0	36
BMS	WorkOrderSynchronizer	1447540810621	0	0	0
BMS	TagSynchronizer	1447540810681	0	0	0
BMS	PropertySynchronizer	1447540810750	0	0	0
BMS	AlarmSynchronizer	1447540810772	0	0	0
BMS	ConnectorSynchronizer (import)	1447541110535	0	0	0
BMS	MeasurementSynchronizer	1447541110569	0	0	36
BMS	WorkOrderSynchronizer	1447541110638	0	0	0
BMS	TagSynchronizer	1447541110698	0	0	0
BMS	PropertySynchronizer	1447541110770	0	0	0
BMS	AlarmSynchronizer	1447541110793	0	0	0
BMS	ConnectorSynchronizer (import)	1447541410521	0	0	0
BMS	MeasurementSynchronizer	1447541410554	0	0	36
BMS	WorkOrderSynchronizer	1447541410618	0	0	0
BMS	TagSynchronizer	1447541410678	0	0	0
BMS	PropertySynchronizer	1447541410748	0	0	0
BMS	AlarmSynchronizer	1447541410769	0	0	0
BMS	ConnectorSynchronizer (import)	1447541710525	0	0	0
BMS	MeasurementSynchronizer	1447541710558	0	0	36
BMS	WorkOrderSynchronizer	1447541710624	0	0	0
BMS	TagSynchronizer	1447541710684	0	0	0
BMS	PropertySynchronizer	1447541710754	0	0	0
BMS	AlarmSynchronizer	1447541710776	0	0	0
BMS	ConnectorSynchronizer (import)	1447542010518	0	0	0
BMS	MeasurementSynchronizer	1447542010551	0	0	36
BMS	WorkOrderSynchronizer	1447542010620	0	0	0
BMS	TagSynchronizer	1447542010682	0	0	0
BMS	PropertySynchronizer	1447542010753	0	0	0
BMS	AlarmSynchronizer	1447542010776	0	0	0
BMS	ConnectorSynchronizer (import)	1447542310514	0	0	0
BMS	MeasurementSynchronizer	1447542310549	0	0	36
BMS	WorkOrderSynchronizer	1447542310617	0	0	0
BMS	TagSynchronizer	1447542310678	0	0	0
BMS	PropertySynchronizer	1447542310750	0	0	0
BMS	AlarmSynchronizer	1447542310773	0	0	0
BMS	ConnectorSynchronizer (import)	1447542610540	0	0	0
BMS	MeasurementSynchronizer	1447542610572	0	0	36
BMS	WorkOrderSynchronizer	1447542610637	0	0	0
BMS	TagSynchronizer	1447542610696	0	0	0
BMS	PropertySynchronizer	1447542610767	0	0	0
BMS	AlarmSynchronizer	1447542610790	0	0	0
BMS	ConnectorSynchronizer (import)	1447542910527	0	0	0
BMS	MeasurementSynchronizer	1447542910561	0	0	36
BMS	WorkOrderSynchronizer	1447542910624	0	0	0
BMS	TagSynchronizer	1447542910691	0	0	0
BMS	PropertySynchronizer	1447542910759	0	0	0
BMS	AlarmSynchronizer	1447542910781	0	0	0
BMS	ConnectorSynchronizer (import)	1447543210518	0	0	0
BMS	MeasurementSynchronizer	1447543210549	0	0	36
BMS	WorkOrderSynchronizer	1447543210603	0	0	0
BMS	TagSynchronizer	1447543210661	0	0	0
BMS	PropertySynchronizer	1447543210724	0	0	0
BMS	AlarmSynchronizer	1447543210744	0	0	0
BMS	ConnectorSynchronizer (import)	1447543510516	0	0	0
BMS	MeasurementSynchronizer	1447543510549	0	0	36
BMS	WorkOrderSynchronizer	1447543510615	0	0	0
BMS	TagSynchronizer	1447543510675	0	0	0
BMS	PropertySynchronizer	1447543510746	0	0	0
BMS	AlarmSynchronizer	1447543510767	0	0	0
BMS	ConnectorSynchronizer (import)	1447543810527	0	0	0
BMS	MeasurementSynchronizer	1447543810561	0	0	36
BMS	WorkOrderSynchronizer	1447543810632	0	0	0
BMS	TagSynchronizer	1447543810692	0	0	0
BMS	PropertySynchronizer	1447543810763	0	0	0
BMS	AlarmSynchronizer	1447543810784	0	0	0
BMS	ConnectorSynchronizer (import)	1447544110540	0	0	0
BMS	MeasurementSynchronizer	1447544110574	0	0	36
BMS	WorkOrderSynchronizer	1447544110639	0	0	0
BMS	TagSynchronizer	1447544110700	0	0	0
BMS	PropertySynchronizer	1447544110770	0	0	0
BMS	AlarmSynchronizer	1447544110791	0	0	0
BMS	ConnectorSynchronizer (import)	1447544410524	0	0	0
BMS	MeasurementSynchronizer	1447544410558	0	0	36
BMS	WorkOrderSynchronizer	1447544410626	0	0	0
BMS	TagSynchronizer	1447544410688	0	0	0
BMS	PropertySynchronizer	1447544410759	0	0	0
BMS	AlarmSynchronizer	1447544410781	0	0	0
BMS	ConnectorSynchronizer (import)	1447544710570	0	0	0
BMS	MeasurementSynchronizer	1447544710602	0	0	36
BMS	WorkOrderSynchronizer	1447544710669	0	0	0
BMS	TagSynchronizer	1447544710729	0	0	0
BMS	PropertySynchronizer	1447544710800	0	0	0
BMS	AlarmSynchronizer	1447544710821	0	0	0
BMS	ConnectorSynchronizer (import)	1447545010523	0	0	0
BMS	MeasurementSynchronizer	1447545010556	0	0	36
BMS	WorkOrderSynchronizer	1447545010623	0	0	0
BMS	TagSynchronizer	1447545010683	0	0	0
BMS	PropertySynchronizer	1447545010754	0	0	0
BMS	AlarmSynchronizer	1447545010776	0	0	0
BMS	ConnectorSynchronizer (import)	1447545310534	0	0	0
BMS	MeasurementSynchronizer	1447545310568	0	0	36
BMS	WorkOrderSynchronizer	1447545310634	0	0	0
BMS	TagSynchronizer	1447545310694	0	0	0
BMS	PropertySynchronizer	1447545310765	0	0	0
BMS	AlarmSynchronizer	1447545310787	0	0	0
BMS	ConnectorSynchronizer (import)	1447545610522	0	0	0
BMS	MeasurementSynchronizer	1447545610555	0	0	36
BMS	WorkOrderSynchronizer	1447545610620	0	0	0
BMS	TagSynchronizer	1447545610680	0	0	0
BMS	PropertySynchronizer	1447545610749	0	0	0
BMS	AlarmSynchronizer	1447545610770	0	0	0
BMS	ConnectorSynchronizer (import)	1447545910517	0	0	0
BMS	MeasurementSynchronizer	1447545910550	0	0	36
BMS	WorkOrderSynchronizer	1447545910616	0	0	0
BMS	TagSynchronizer	1447545910675	0	0	0
BMS	PropertySynchronizer	1447545910746	0	0	0
BMS	AlarmSynchronizer	1447545910767	0	0	0
BMS	ConnectorSynchronizer (import)	1447546210519	0	0	0
BMS	MeasurementSynchronizer	1447546210551	0	0	36
BMS	WorkOrderSynchronizer	1447546210616	0	0	0
BMS	TagSynchronizer	1447546210676	0	0	0
BMS	PropertySynchronizer	1447546210745	0	0	0
BMS	AlarmSynchronizer	1447546210766	0	0	0
BMS	ConnectorSynchronizer (import)	1447546510542	0	0	0
BMS	MeasurementSynchronizer	1447546510577	0	0	36
BMS	WorkOrderSynchronizer	1447546510645	0	0	0
BMS	TagSynchronizer	1447546510708	0	0	0
BMS	PropertySynchronizer	1447546510779	0	0	0
BMS	AlarmSynchronizer	1447546510800	0	0	0
BMS	ConnectorSynchronizer (import)	1447546810539	0	0	0
BMS	MeasurementSynchronizer	1447546810575	0	0	36
BMS	WorkOrderSynchronizer	1447546810643	0	0	0
BMS	TagSynchronizer	1447546810705	0	0	0
BMS	PropertySynchronizer	1447546810777	0	0	0
BMS	AlarmSynchronizer	1447546810799	0	0	0
BMS	ConnectorSynchronizer (import)	1447547110602	0	0	0
BMS	MeasurementSynchronizer	1447547110638	0	0	36
BMS	WorkOrderSynchronizer	1447547110717	0	0	0
BMS	TagSynchronizer	1447547110781	0	0	0
BMS	PropertySynchronizer	1447547110863	0	0	0
BMS	AlarmSynchronizer	1447547110889	0	0	0
BMS	ConnectorSynchronizer (import)	1447547410562	0	0	0
BMS	MeasurementSynchronizer	1447547410594	0	0	36
BMS	WorkOrderSynchronizer	1447547410658	0	0	0
BMS	TagSynchronizer	1447547410720	0	0	0
BMS	PropertySynchronizer	1447547410792	0	0	0
BMS	AlarmSynchronizer	1447547410814	0	0	0
BMS	ConnectorSynchronizer (import)	1447547710564	0	0	0
BMS	MeasurementSynchronizer	1447547710597	0	0	36
BMS	WorkOrderSynchronizer	1447547710667	0	0	0
BMS	TagSynchronizer	1447547710729	0	0	0
BMS	PropertySynchronizer	1447547710800	0	0	0
BMS	AlarmSynchronizer	1447547710822	0	0	0
BMS	ConnectorSynchronizer (import)	1447548010529	0	0	0
BMS	MeasurementSynchronizer	1447548010560	0	0	36
BMS	WorkOrderSynchronizer	1447548010621	0	0	0
BMS	TagSynchronizer	1447548010678	0	0	0
BMS	PropertySynchronizer	1447548010742	0	0	0
BMS	AlarmSynchronizer	1447548010763	0	0	0
BMS	ConnectorSynchronizer (import)	1447548310524	0	0	0
BMS	MeasurementSynchronizer	1447548310556	0	0	36
BMS	WorkOrderSynchronizer	1447548310621	0	0	0
BMS	TagSynchronizer	1447548310681	0	0	0
BMS	PropertySynchronizer	1447548310752	0	0	0
BMS	AlarmSynchronizer	1447548310774	0	0	0
BMS	ConnectorSynchronizer (import)	1447548610520	0	0	0
BMS	MeasurementSynchronizer	1447548610552	0	0	36
BMS	WorkOrderSynchronizer	1447548610618	0	0	0
BMS	TagSynchronizer	1447548610679	0	0	0
BMS	PropertySynchronizer	1447548610750	0	0	0
BMS	AlarmSynchronizer	1447548610771	0	0	0
BMS	ConnectorSynchronizer (import)	1447548910508	0	0	0
BMS	MeasurementSynchronizer	1447548910541	0	0	36
BMS	WorkOrderSynchronizer	1447548910606	0	0	0
BMS	TagSynchronizer	1447548910665	0	0	0
BMS	PropertySynchronizer	1447548910737	0	0	0
BMS	AlarmSynchronizer	1447548910759	0	0	0
BMS	ConnectorSynchronizer (import)	1447549210520	0	0	0
BMS	MeasurementSynchronizer	1447549210553	0	0	36
BMS	WorkOrderSynchronizer	1447549210618	0	0	0
BMS	TagSynchronizer	1447549210679	0	0	0
BMS	PropertySynchronizer	1447549210750	0	0	0
BMS	AlarmSynchronizer	1447549210771	0	0	0
BMS	ConnectorSynchronizer (import)	1447549510534	0	0	0
BMS	MeasurementSynchronizer	1447549510568	0	0	36
BMS	WorkOrderSynchronizer	1447549510632	0	0	0
BMS	TagSynchronizer	1447549510693	0	0	0
BMS	PropertySynchronizer	1447549510765	0	0	0
BMS	AlarmSynchronizer	1447549510787	0	0	0
BMS	ConnectorSynchronizer (import)	1447549810523	0	0	0
BMS	MeasurementSynchronizer	1447549810558	0	0	36
BMS	WorkOrderSynchronizer	1447549810625	0	0	0
BMS	TagSynchronizer	1447549810685	0	0	0
BMS	PropertySynchronizer	1447549810754	0	0	0
BMS	AlarmSynchronizer	1447549810775	0	0	0
BMS	ConnectorSynchronizer (import)	1447550110525	0	0	0
BMS	MeasurementSynchronizer	1447550110558	0	0	36
BMS	WorkOrderSynchronizer	1447550110625	0	0	0
BMS	TagSynchronizer	1447550110685	0	0	0
BMS	PropertySynchronizer	1447550110755	0	0	0
BMS	AlarmSynchronizer	1447550110776	0	0	0
BMS	ConnectorSynchronizer (import)	1447550410526	0	0	0
BMS	MeasurementSynchronizer	1447550410560	0	0	36
BMS	WorkOrderSynchronizer	1447550410627	0	0	0
BMS	TagSynchronizer	1447550410686	0	0	0
BMS	PropertySynchronizer	1447550410751	0	0	0
BMS	AlarmSynchronizer	1447550410771	0	0	0
BMS	ConnectorSynchronizer (import)	1447550710513	0	0	0
BMS	MeasurementSynchronizer	1447550710546	0	0	36
BMS	WorkOrderSynchronizer	1447550710612	0	0	0
BMS	TagSynchronizer	1447550710671	0	0	0
BMS	PropertySynchronizer	1447550710741	0	0	0
BMS	AlarmSynchronizer	1447550710763	0	0	0
BMS	ConnectorSynchronizer (import)	1447551010515	0	0	0
BMS	MeasurementSynchronizer	1447551010548	0	0	36
BMS	WorkOrderSynchronizer	1447551010613	0	0	0
BMS	TagSynchronizer	1447551010673	0	0	0
BMS	PropertySynchronizer	1447551010744	0	0	0
BMS	AlarmSynchronizer	1447551010765	0	0	0
BMS	ConnectorSynchronizer (import)	1447551310531	0	0	0
BMS	MeasurementSynchronizer	1447551310565	0	0	36
BMS	WorkOrderSynchronizer	1447551310630	0	0	0
BMS	TagSynchronizer	1447551310692	0	0	0
BMS	PropertySynchronizer	1447551310761	0	0	0
BMS	AlarmSynchronizer	1447551310782	0	0	0
BMS	ConnectorSynchronizer (import)	1447551610537	0	0	0
BMS	MeasurementSynchronizer	1447551610570	0	0	36
BMS	WorkOrderSynchronizer	1447551610635	0	0	0
BMS	TagSynchronizer	1447551610694	0	0	0
BMS	PropertySynchronizer	1447551610780	0	0	0
BMS	AlarmSynchronizer	1447551610803	0	0	0
BMS	ConnectorSynchronizer (import)	1447551910503	0	0	0
BMS	MeasurementSynchronizer	1447551910535	0	0	36
BMS	WorkOrderSynchronizer	1447551910594	0	0	0
BMS	TagSynchronizer	1447551910649	0	0	0
BMS	PropertySynchronizer	1447551910714	0	0	0
BMS	AlarmSynchronizer	1447551910734	0	0	0
BMS	ConnectorSynchronizer (import)	1447552210536	0	0	0
BMS	MeasurementSynchronizer	1447552210569	0	0	36
BMS	WorkOrderSynchronizer	1447552210633	0	0	0
BMS	TagSynchronizer	1447552210693	0	0	0
BMS	PropertySynchronizer	1447552210768	0	0	0
BMS	AlarmSynchronizer	1447552210789	0	0	0
BMS	ConnectorSynchronizer (import)	1447552510525	0	0	0
BMS	MeasurementSynchronizer	1447552510558	0	0	36
BMS	WorkOrderSynchronizer	1447552510624	0	0	0
BMS	TagSynchronizer	1447552510685	0	0	0
BMS	PropertySynchronizer	1447552510756	0	0	0
BMS	AlarmSynchronizer	1447552510777	0	0	0
BMS	ConnectorSynchronizer (import)	1447552810544	0	0	0
BMS	MeasurementSynchronizer	1447552810578	0	0	36
BMS	WorkOrderSynchronizer	1447552810645	0	0	0
BMS	TagSynchronizer	1447552810706	0	0	0
BMS	PropertySynchronizer	1447552810777	0	0	0
BMS	AlarmSynchronizer	1447552810799	0	0	0
BMS	ConnectorSynchronizer (import)	1447553110520	0	0	0
BMS	MeasurementSynchronizer	1447553110553	0	0	36
BMS	WorkOrderSynchronizer	1447553110622	0	0	0
BMS	TagSynchronizer	1447553110683	0	0	0
BMS	PropertySynchronizer	1447553110754	0	0	0
BMS	AlarmSynchronizer	1447553110776	0	0	0
BMS	ConnectorSynchronizer (import)	1447553410541	0	0	0
BMS	MeasurementSynchronizer	1447553410574	0	0	36
BMS	WorkOrderSynchronizer	1447553410640	0	0	0
BMS	TagSynchronizer	1447553410700	0	0	0
BMS	PropertySynchronizer	1447553410770	0	0	0
BMS	AlarmSynchronizer	1447553410791	0	0	0
BMS	ConnectorSynchronizer (import)	1447553710542	0	0	0
BMS	MeasurementSynchronizer	1447553710576	0	0	36
BMS	WorkOrderSynchronizer	1447553710641	0	0	0
BMS	TagSynchronizer	1447553710701	0	0	0
BMS	PropertySynchronizer	1447553710773	0	0	0
BMS	AlarmSynchronizer	1447553710794	0	0	0
BMS	ConnectorSynchronizer (import)	1447554010529	0	0	0
BMS	MeasurementSynchronizer	1447554010563	0	0	36
BMS	WorkOrderSynchronizer	1447554010625	0	0	0
BMS	TagSynchronizer	1447554010679	0	0	0
BMS	PropertySynchronizer	1447554010741	0	0	0
BMS	AlarmSynchronizer	1447554010758	0	0	0
BMS	ConnectorSynchronizer (import)	1447554310528	0	0	0
BMS	MeasurementSynchronizer	1447554310562	0	0	36
BMS	WorkOrderSynchronizer	1447554310626	0	0	0
BMS	TagSynchronizer	1447554310687	0	0	0
BMS	PropertySynchronizer	1447554310757	0	0	0
BMS	AlarmSynchronizer	1447554310779	0	0	0
BMS	ConnectorSynchronizer (import)	1447554610530	0	0	0
BMS	MeasurementSynchronizer	1447554610563	0	0	36
BMS	WorkOrderSynchronizer	1447554610630	0	0	0
BMS	TagSynchronizer	1447554610689	0	0	0
BMS	PropertySynchronizer	1447554610756	0	0	0
BMS	AlarmSynchronizer	1447554610778	0	0	0
BMS	ConnectorSynchronizer (import)	1447554910513	0	0	0
BMS	MeasurementSynchronizer	1447554910546	0	0	36
BMS	WorkOrderSynchronizer	1447554910610	0	0	0
BMS	TagSynchronizer	1447554910670	0	0	0
BMS	PropertySynchronizer	1447554910741	0	0	0
BMS	AlarmSynchronizer	1447554910762	0	0	0
BMS	ConnectorSynchronizer (import)	1447555210544	0	0	0
BMS	MeasurementSynchronizer	1447555210577	0	0	36
BMS	WorkOrderSynchronizer	1447555210642	0	0	0
BMS	TagSynchronizer	1447555210702	0	0	0
BMS	PropertySynchronizer	1447555210774	0	0	0
BMS	AlarmSynchronizer	1447555210795	0	0	0
BMS	ConnectorSynchronizer (import)	1447555510531	0	0	0
BMS	MeasurementSynchronizer	1447555510565	0	0	36
BMS	WorkOrderSynchronizer	1447555510633	0	0	0
BMS	TagSynchronizer	1447555510693	0	0	0
BMS	PropertySynchronizer	1447555510766	0	0	0
BMS	AlarmSynchronizer	1447555510788	0	0	0
BMS	ConnectorSynchronizer (import)	1447555810533	0	0	0
BMS	MeasurementSynchronizer	1447555810568	0	0	36
BMS	WorkOrderSynchronizer	1447555810633	0	0	0
BMS	TagSynchronizer	1447555810694	0	0	0
BMS	PropertySynchronizer	1447555810762	0	0	0
BMS	AlarmSynchronizer	1447555810783	0	0	0
BMS	ConnectorSynchronizer (import)	1447556110517	0	0	0
BMS	MeasurementSynchronizer	1447556110549	0	0	36
BMS	WorkOrderSynchronizer	1447556110608	0	0	0
BMS	TagSynchronizer	1447556110660	0	0	0
BMS	PropertySynchronizer	1447556110724	0	0	0
BMS	AlarmSynchronizer	1447556110747	0	0	0
BMS	ConnectorSynchronizer (import)	1447556410520	0	0	0
BMS	MeasurementSynchronizer	1447556410558	0	0	36
BMS	WorkOrderSynchronizer	1447556410626	0	0	0
BMS	TagSynchronizer	1447556410687	0	0	0
BMS	PropertySynchronizer	1447556410758	0	0	0
BMS	AlarmSynchronizer	1447556410781	0	0	0
BMS	ConnectorSynchronizer (import)	1447556710530	0	0	0
BMS	MeasurementSynchronizer	1447556710563	0	0	36
BMS	WorkOrderSynchronizer	1447556710627	0	0	0
BMS	TagSynchronizer	1447556710688	0	0	0
BMS	PropertySynchronizer	1447556710759	0	0	0
BMS	AlarmSynchronizer	1447556710781	0	0	0
BMS	ConnectorSynchronizer (import)	1447557010520	0	0	0
BMS	MeasurementSynchronizer	1447557010554	0	0	36
BMS	WorkOrderSynchronizer	1447557010624	0	0	0
BMS	TagSynchronizer	1447557010685	0	0	0
BMS	PropertySynchronizer	1447557010756	0	0	0
BMS	AlarmSynchronizer	1447557010779	0	0	0
BMS	ConnectorSynchronizer (import)	1447557310533	0	0	0
BMS	MeasurementSynchronizer	1447557310566	0	0	36
BMS	WorkOrderSynchronizer	1447557310631	0	0	0
BMS	TagSynchronizer	1447557310690	0	0	0
BMS	PropertySynchronizer	1447557310760	0	0	0
BMS	AlarmSynchronizer	1447557310781	0	0	0
BMS	ConnectorSynchronizer (import)	1447557610524	0	0	0
BMS	MeasurementSynchronizer	1447557610557	0	0	36
BMS	WorkOrderSynchronizer	1447557610623	0	0	0
BMS	TagSynchronizer	1447557610683	0	0	0
BMS	PropertySynchronizer	1447557610754	0	0	0
BMS	AlarmSynchronizer	1447557610775	0	0	0
BMS	ConnectorSynchronizer (import)	1447557910557	0	0	0
BMS	MeasurementSynchronizer	1447557910591	0	0	36
BMS	WorkOrderSynchronizer	1447557910988	0	0	0
BMS	TagSynchronizer	1447557911064	0	0	0
BMS	PropertySynchronizer	1447557911135	0	0	0
BMS	AlarmSynchronizer	1447557911154	0	0	0
BMS	ConnectorSynchronizer (import)	1447558210547	0	0	0
BMS	MeasurementSynchronizer	1447558210578	0	0	36
BMS	WorkOrderSynchronizer	1447558210637	0	0	0
BMS	TagSynchronizer	1447558210693	0	0	0
BMS	PropertySynchronizer	1447558210757	0	0	0
BMS	AlarmSynchronizer	1447558210776	0	0	0
BMS	ConnectorSynchronizer (import)	1447558510529	0	0	0
BMS	MeasurementSynchronizer	1447558510562	0	0	36
BMS	WorkOrderSynchronizer	1447558510623	0	0	0
BMS	TagSynchronizer	1447558510680	0	0	0
BMS	PropertySynchronizer	1447558510746	0	0	0
BMS	AlarmSynchronizer	1447558510767	0	0	0
BMS	ConnectorSynchronizer (import)	1447558810525	0	0	0
BMS	MeasurementSynchronizer	1447558810559	0	0	36
BMS	WorkOrderSynchronizer	1447558810626	0	0	0
BMS	TagSynchronizer	1447558810688	0	0	0
BMS	PropertySynchronizer	1447558810759	0	0	0
BMS	AlarmSynchronizer	1447558810781	0	0	0
BMS	ConnectorSynchronizer (import)	1447559110535	0	0	0
BMS	MeasurementSynchronizer	1447559110570	0	0	36
BMS	WorkOrderSynchronizer	1447559110634	0	0	0
BMS	TagSynchronizer	1447559110694	0	0	0
BMS	PropertySynchronizer	1447559110775	0	0	0
BMS	AlarmSynchronizer	1447559110798	0	0	0
BMS	ConnectorSynchronizer (import)	1447559410513	0	0	0
BMS	MeasurementSynchronizer	1447559410546	0	0	36
BMS	WorkOrderSynchronizer	1447559410611	0	0	0
BMS	TagSynchronizer	1447559410670	0	0	0
BMS	PropertySynchronizer	1447559410741	0	0	0
BMS	AlarmSynchronizer	1447559410762	0	0	0
BMS	ConnectorSynchronizer (import)	1447559710543	0	0	0
BMS	MeasurementSynchronizer	1447559710575	0	0	36
BMS	WorkOrderSynchronizer	1447559710640	0	0	0
BMS	TagSynchronizer	1447559710699	0	0	0
BMS	PropertySynchronizer	1447559710768	0	0	0
BMS	AlarmSynchronizer	1447559710789	0	0	0
BMS	ConnectorSynchronizer (import)	1447560010547	0	0	0
BMS	MeasurementSynchronizer	1447560010581	0	0	36
BMS	WorkOrderSynchronizer	1447560010646	0	0	0
BMS	TagSynchronizer	1447560010705	0	0	0
BMS	PropertySynchronizer	1447560010776	0	0	0
BMS	AlarmSynchronizer	1447560010797	0	0	0
BMS	ConnectorSynchronizer (import)	1447560310593	0	0	0
BMS	MeasurementSynchronizer	1447560310627	0	0	36
BMS	WorkOrderSynchronizer	1447560310696	0	0	0
BMS	TagSynchronizer	1447560310758	0	0	0
BMS	PropertySynchronizer	1447560310830	0	0	0
BMS	AlarmSynchronizer	1447560310852	0	0	0
BMS	ConnectorSynchronizer (import)	1447560610505	0	0	0
BMS	MeasurementSynchronizer	1447560610536	0	0	36
BMS	WorkOrderSynchronizer	1447560610595	0	0	0
BMS	TagSynchronizer	1447560610650	0	0	0
BMS	PropertySynchronizer	1447560610715	0	0	0
BMS	AlarmSynchronizer	1447560610735	0	0	0
BMS	ConnectorSynchronizer (import)	1447560910517	0	0	0
BMS	MeasurementSynchronizer	1447560910550	0	0	36
BMS	WorkOrderSynchronizer	1447560910618	0	0	0
BMS	TagSynchronizer	1447560910680	0	0	0
BMS	PropertySynchronizer	1447560910750	0	0	0
BMS	AlarmSynchronizer	1447560910772	0	0	0
BMS	ConnectorSynchronizer (import)	1447561210808	0	0	0
BMS	MeasurementSynchronizer	1447561210860	0	0	36
BMS	WorkOrderSynchronizer	1447561211011	0	0	0
BMS	TagSynchronizer	1447561211102	0	0	0
BMS	PropertySynchronizer	1447561211193	0	0	0
BMS	AlarmSynchronizer	1447561211223	0	0	0
BMS	ConnectorSynchronizer (import)	1447561510555	0	0	0
BMS	MeasurementSynchronizer	1447561510588	0	0	36
BMS	WorkOrderSynchronizer	1447561510652	0	0	0
BMS	TagSynchronizer	1447561510711	0	0	0
BMS	PropertySynchronizer	1447561510781	0	0	0
BMS	AlarmSynchronizer	1447561510802	0	0	0
BMS	ConnectorSynchronizer (import)	1447561810513	0	0	0
BMS	MeasurementSynchronizer	1447561810546	0	0	36
BMS	WorkOrderSynchronizer	1447561810613	0	0	0
BMS	TagSynchronizer	1447561810672	0	0	0
BMS	PropertySynchronizer	1447561810744	0	0	0
BMS	AlarmSynchronizer	1447561810766	0	0	0
BMS	ConnectorSynchronizer (import)	1447562110548	0	0	0
BMS	MeasurementSynchronizer	1447562110581	0	0	36
BMS	WorkOrderSynchronizer	1447562110647	0	0	0
BMS	TagSynchronizer	1447562110707	0	0	0
BMS	PropertySynchronizer	1447562110779	0	0	0
BMS	AlarmSynchronizer	1447562110801	0	0	0
BMS	ConnectorSynchronizer (import)	1447562410518	0	0	0
BMS	MeasurementSynchronizer	1447562410551	0	0	36
BMS	WorkOrderSynchronizer	1447562410616	0	0	0
BMS	TagSynchronizer	1447562410676	0	0	0
BMS	PropertySynchronizer	1447562410746	0	0	0
BMS	AlarmSynchronizer	1447562410767	0	0	0
BMS	ConnectorSynchronizer (import)	1447562710599	0	0	0
BMS	MeasurementSynchronizer	1447562710632	0	0	36
BMS	WorkOrderSynchronizer	1447562710693	0	0	0
BMS	TagSynchronizer	1447562710749	0	0	0
BMS	PropertySynchronizer	1447562710815	0	0	0
BMS	AlarmSynchronizer	1447562710834	0	0	0
BMS	ConnectorSynchronizer (import)	1447563010510	0	0	0
BMS	MeasurementSynchronizer	1447563010540	0	0	36
BMS	WorkOrderSynchronizer	1447563010600	0	0	0
BMS	TagSynchronizer	1447563010656	0	0	0
BMS	PropertySynchronizer	1447563010721	0	0	0
BMS	AlarmSynchronizer	1447563010740	0	0	0
BMS	ConnectorSynchronizer (import)	1447563310519	0	0	0
BMS	MeasurementSynchronizer	1447563310551	0	0	36
BMS	WorkOrderSynchronizer	1447563310616	0	0	0
BMS	TagSynchronizer	1447563310675	0	0	0
BMS	PropertySynchronizer	1447563310744	0	0	0
BMS	AlarmSynchronizer	1447563310765	0	0	0
BMS	ConnectorSynchronizer (import)	1447563610506	0	0	0
BMS	MeasurementSynchronizer	1447563610539	0	0	36
BMS	WorkOrderSynchronizer	1447563610604	0	0	0
BMS	TagSynchronizer	1447563610664	0	0	0
BMS	PropertySynchronizer	1447563610734	0	0	0
BMS	AlarmSynchronizer	1447563610755	0	0	0
BMS	ConnectorSynchronizer (import)	1447563910550	0	0	0
BMS	MeasurementSynchronizer	1447563910585	0	0	36
BMS	WorkOrderSynchronizer	1447563910653	0	0	0
BMS	TagSynchronizer	1447563910716	0	0	0
BMS	PropertySynchronizer	1447563910788	0	0	0
BMS	AlarmSynchronizer	1447563910811	0	0	0
BMS	ConnectorSynchronizer (import)	1447564210503	0	0	0
BMS	MeasurementSynchronizer	1447564210535	0	0	36
BMS	WorkOrderSynchronizer	1447564210600	0	0	0
BMS	TagSynchronizer	1447564210660	0	0	0
BMS	PropertySynchronizer	1447564210731	0	0	0
BMS	AlarmSynchronizer	1447564210752	0	0	0
BMS	ConnectorSynchronizer (import)	1447564510513	0	0	0
BMS	MeasurementSynchronizer	1447564510546	0	0	36
BMS	WorkOrderSynchronizer	1447564510611	0	0	0
BMS	TagSynchronizer	1447564510671	0	0	0
BMS	PropertySynchronizer	1447564510742	0	0	0
BMS	AlarmSynchronizer	1447564510763	0	0	0
BMS	ConnectorSynchronizer (import)	1447564810530	0	0	0
BMS	MeasurementSynchronizer	1447564810565	0	0	36
BMS	WorkOrderSynchronizer	1447564810633	0	0	0
BMS	TagSynchronizer	1447564810694	0	0	0
BMS	PropertySynchronizer	1447564810767	0	0	0
BMS	AlarmSynchronizer	1447564810790	0	0	0
BMS	ConnectorSynchronizer (import)	1447565110503	0	0	0
BMS	MeasurementSynchronizer	1447565110536	0	0	36
BMS	WorkOrderSynchronizer	1447565110605	0	0	0
BMS	TagSynchronizer	1447565110664	0	0	0
BMS	PropertySynchronizer	1447565110734	0	0	0
BMS	AlarmSynchronizer	1447565110756	0	0	0
BMS	ConnectorSynchronizer (import)	1447565410523	0	0	0
BMS	MeasurementSynchronizer	1447565410557	0	0	36
BMS	WorkOrderSynchronizer	1447565410628	0	0	0
BMS	TagSynchronizer	1447565410689	0	0	0
BMS	PropertySynchronizer	1447565410761	0	0	0
BMS	AlarmSynchronizer	1447565410782	0	0	0
BMS	ConnectorSynchronizer (import)	1447565710549	0	0	0
BMS	MeasurementSynchronizer	1447565710583	0	0	36
BMS	WorkOrderSynchronizer	1447565710648	0	0	0
BMS	TagSynchronizer	1447565710709	0	0	0
BMS	PropertySynchronizer	1447565710779	0	0	0
BMS	AlarmSynchronizer	1447565710800	0	0	0
BMS	ConnectorSynchronizer (import)	1447566010530	0	0	0
BMS	MeasurementSynchronizer	1447566010562	0	0	36
BMS	WorkOrderSynchronizer	1447566010623	0	0	0
BMS	TagSynchronizer	1447566010679	0	0	0
BMS	PropertySynchronizer	1447566010744	0	0	0
BMS	AlarmSynchronizer	1447566010764	0	0	0
BMS	ConnectorSynchronizer (import)	1447566310512	0	0	0
BMS	MeasurementSynchronizer	1447566310547	0	0	36
BMS	WorkOrderSynchronizer	1447566310614	0	0	0
BMS	TagSynchronizer	1447566310674	0	0	0
BMS	PropertySynchronizer	1447566310747	0	0	0
BMS	AlarmSynchronizer	1447566310768	0	0	0
BMS	ConnectorSynchronizer (import)	1447566610510	0	0	0
BMS	MeasurementSynchronizer	1447566610544	0	0	36
BMS	WorkOrderSynchronizer	1447566610612	0	0	0
BMS	TagSynchronizer	1447566610674	0	0	0
BMS	PropertySynchronizer	1447566610748	0	0	0
BMS	AlarmSynchronizer	1447566610770	0	0	0
BMS	ConnectorSynchronizer (import)	1447566910522	0	0	0
BMS	MeasurementSynchronizer	1447566910555	0	0	36
BMS	WorkOrderSynchronizer	1447566910620	0	0	0
BMS	TagSynchronizer	1447566910679	0	0	0
BMS	PropertySynchronizer	1447566910749	0	0	0
BMS	AlarmSynchronizer	1447566910770	0	0	0
BMS	ConnectorSynchronizer (import)	1447567210526	0	0	0
BMS	MeasurementSynchronizer	1447567210560	0	0	36
BMS	WorkOrderSynchronizer	1447567210628	0	0	0
BMS	TagSynchronizer	1447567210692	0	0	0
BMS	PropertySynchronizer	1447567210763	0	0	0
BMS	AlarmSynchronizer	1447567210786	0	0	0
BMS	ConnectorSynchronizer (import)	1447567510531	0	0	0
BMS	MeasurementSynchronizer	1447567510568	0	0	36
BMS	WorkOrderSynchronizer	1447567510636	0	0	0
BMS	TagSynchronizer	1447567510697	0	0	0
BMS	PropertySynchronizer	1447567510769	0	0	0
BMS	AlarmSynchronizer	1447567510792	0	0	0
BMS	ConnectorSynchronizer (import)	1447567810521	0	0	0
BMS	MeasurementSynchronizer	1447567810555	0	0	36
BMS	WorkOrderSynchronizer	1447567810620	0	0	0
BMS	TagSynchronizer	1447567810677	0	0	0
BMS	PropertySynchronizer	1447567810742	0	0	0
BMS	AlarmSynchronizer	1447567810761	0	0	0
BMS	ConnectorSynchronizer (import)	1447568110504	0	0	0
BMS	MeasurementSynchronizer	1447568110534	0	0	36
BMS	WorkOrderSynchronizer	1447568110596	0	0	0
BMS	TagSynchronizer	1447568110653	0	0	0
BMS	PropertySynchronizer	1447568110724	0	0	0
BMS	AlarmSynchronizer	1447568110745	0	0	0
BMS	ConnectorSynchronizer (import)	1447568410502	0	0	0
BMS	MeasurementSynchronizer	1447568410534	0	0	36
BMS	WorkOrderSynchronizer	1447568410598	0	0	0
BMS	TagSynchronizer	1447568410658	0	0	0
BMS	PropertySynchronizer	1447568410729	0	0	0
BMS	AlarmSynchronizer	1447568410750	0	0	0
BMS	ConnectorSynchronizer (import)	1447568710505	0	0	0
BMS	MeasurementSynchronizer	1447568710538	0	0	36
BMS	WorkOrderSynchronizer	1447568710604	0	0	0
BMS	TagSynchronizer	1447568710664	0	0	0
BMS	PropertySynchronizer	1447568710735	0	0	0
BMS	AlarmSynchronizer	1447568710757	0	0	0
BMS	ConnectorSynchronizer (import)	1447569499934	0	0	0
BMS	MeasurementSynchronizer	1447569500053	0	0	36
BMS	WorkOrderSynchronizer	1447569500307	0	0	0
BMS	TagSynchronizer	1447569500494	0	0	0
BMS	PropertySynchronizer	1447569500651	0	0	0
BMS	AlarmSynchronizer	1447569500700	0	0	0
BMS	ConnectorSynchronizer (import)	1447569512680	0	0	0
BMS	MeasurementSynchronizer	1447569512742	0	0	36
BMS	WorkOrderSynchronizer	1447569512870	0	0	0
BMS	TagSynchronizer	1447569512985	0	0	0
BMS	PropertySynchronizer	1447569513108	0	0	0
BMS	AlarmSynchronizer	1447569513156	0	0	0
BMS	ConnectorSynchronizer (import)	1447569610648	0	0	0
BMS	MeasurementSynchronizer	1447569610709	0	0	36
BMS	WorkOrderSynchronizer	1447569610828	0	0	0
BMS	TagSynchronizer	1447569610934	0	0	0
BMS	PropertySynchronizer	1447569611040	0	0	0
BMS	AlarmSynchronizer	1447569611077	0	0	0
BMS	ConnectorSynchronizer (import)	1447569910569	0	0	0
BMS	MeasurementSynchronizer	1447569910613	0	0	36
BMS	WorkOrderSynchronizer	1447569910703	0	0	0
BMS	TagSynchronizer	1447569910796	0	0	0
BMS	PropertySynchronizer	1447569910896	0	0	0
BMS	AlarmSynchronizer	1447569910924	0	0	0
BMS	ConnectorSynchronizer (import)	1447570210573	0	0	0
BMS	MeasurementSynchronizer	1447570210616	0	0	36
BMS	WorkOrderSynchronizer	1447570210697	0	0	0
BMS	TagSynchronizer	1447570210784	0	0	0
BMS	PropertySynchronizer	1447570210879	0	0	0
BMS	AlarmSynchronizer	1447570210905	0	0	0
BMS	ConnectorSynchronizer (import)	1447570510569	0	0	0
BMS	MeasurementSynchronizer	1447570510603	0	0	36
BMS	WorkOrderSynchronizer	1447570510672	0	0	0
BMS	TagSynchronizer	1447570510746	0	0	0
BMS	PropertySynchronizer	1447570510825	0	0	0
BMS	AlarmSynchronizer	1447570510843	0	0	0
BMS	ConnectorSynchronizer (import)	1447570810563	0	0	0
BMS	MeasurementSynchronizer	1447570810596	0	0	36
BMS	WorkOrderSynchronizer	1447570810660	0	0	0
BMS	TagSynchronizer	1447570810735	0	0	0
BMS	PropertySynchronizer	1447570810817	0	0	0
BMS	AlarmSynchronizer	1447570810837	0	0	0
BMS	ConnectorSynchronizer (import)	1447571110518	0	0	0
BMS	MeasurementSynchronizer	1447571110556	0	0	36
BMS	WorkOrderSynchronizer	1447571110624	0	0	0
BMS	TagSynchronizer	1447571110698	0	0	0
BMS	PropertySynchronizer	1447571110758	0	0	0
BMS	AlarmSynchronizer	1447571110774	0	0	0
BMS	ConnectorSynchronizer (import)	1447571410533	0	0	0
BMS	MeasurementSynchronizer	1447571410567	0	0	36
BMS	WorkOrderSynchronizer	1447571410637	0	0	0
BMS	TagSynchronizer	1447571410710	0	0	0
BMS	PropertySynchronizer	1447571410793	0	0	0
BMS	AlarmSynchronizer	1447571410815	0	0	0
BMS	ConnectorSynchronizer (import)	1447571710576	0	0	0
BMS	MeasurementSynchronizer	1447571710610	0	0	36
BMS	WorkOrderSynchronizer	1447571710674	0	0	0
BMS	TagSynchronizer	1447571710748	0	0	0
BMS	PropertySynchronizer	1447571710831	0	0	0
BMS	AlarmSynchronizer	1447571710855	0	0	0
BMS	ConnectorSynchronizer (import)	1447572010587	0	0	0
BMS	MeasurementSynchronizer	1447572010622	0	0	36
BMS	WorkOrderSynchronizer	1447572010688	0	0	0
BMS	TagSynchronizer	1447572010766	0	0	0
BMS	PropertySynchronizer	1447572010845	0	0	0
BMS	AlarmSynchronizer	1447572010866	0	0	0
BMS	ConnectorSynchronizer (import)	1447572310506	0	0	0
BMS	MeasurementSynchronizer	1447572310536	0	0	36
BMS	WorkOrderSynchronizer	1447572310600	0	0	0
BMS	TagSynchronizer	1447572310670	0	0	0
BMS	PropertySynchronizer	1447572310750	0	0	0
BMS	AlarmSynchronizer	1447572310773	0	0	0
BMS	ConnectorSynchronizer (import)	1447572610516	0	0	0
BMS	MeasurementSynchronizer	1447572610551	0	0	36
BMS	WorkOrderSynchronizer	1447572610618	0	0	0
BMS	TagSynchronizer	1447572610691	0	0	0
BMS	PropertySynchronizer	1447572610770	0	0	0
BMS	AlarmSynchronizer	1447572610792	0	0	0
BMS	ConnectorSynchronizer (import)	1447572910624	0	0	0
BMS	MeasurementSynchronizer	1447572910658	0	0	36
BMS	WorkOrderSynchronizer	1447572910722	0	0	0
BMS	TagSynchronizer	1447572910793	0	0	0
BMS	PropertySynchronizer	1447572910876	0	0	0
BMS	AlarmSynchronizer	1447572910897	0	0	0
BMS	ConnectorSynchronizer (import)	1447573210563	0	0	0
BMS	MeasurementSynchronizer	1447573210596	0	0	36
BMS	WorkOrderSynchronizer	1447573210653	0	0	0
BMS	TagSynchronizer	1447573210721	0	0	0
BMS	PropertySynchronizer	1447573210800	0	0	0
BMS	AlarmSynchronizer	1447573210821	0	0	0
BMS	ConnectorSynchronizer (import)	1447573510512	0	0	0
BMS	MeasurementSynchronizer	1447573510547	0	0	36
BMS	WorkOrderSynchronizer	1447573510610	0	0	0
BMS	TagSynchronizer	1447573510686	0	0	0
BMS	PropertySynchronizer	1447573510768	0	0	0
BMS	AlarmSynchronizer	1447573510789	0	0	0
BMS	ConnectorSynchronizer (import)	1447573810516	0	0	0
BMS	MeasurementSynchronizer	1447573810550	0	0	36
BMS	WorkOrderSynchronizer	1447573810615	0	0	0
BMS	TagSynchronizer	1447573810684	0	0	0
BMS	PropertySynchronizer	1447573810765	0	0	0
BMS	AlarmSynchronizer	1447573810787	0	0	0
BMS	ConnectorSynchronizer (import)	1447574110516	0	0	0
BMS	MeasurementSynchronizer	1447574110552	0	0	36
BMS	WorkOrderSynchronizer	1447574110618	0	0	0
BMS	TagSynchronizer	1447574110687	0	0	0
BMS	PropertySynchronizer	1447574110769	0	0	0
BMS	AlarmSynchronizer	1447574110791	0	0	0
BMS	ConnectorSynchronizer (import)	1447574410525	0	0	0
BMS	MeasurementSynchronizer	1447574410559	0	0	36
BMS	WorkOrderSynchronizer	1447574410624	0	0	0
BMS	TagSynchronizer	1447574410693	0	0	0
BMS	PropertySynchronizer	1447574410773	0	0	0
BMS	AlarmSynchronizer	1447574410796	0	0	0
BMS	ConnectorSynchronizer (import)	1447574710511	0	0	0
BMS	MeasurementSynchronizer	1447574710547	0	0	36
BMS	WorkOrderSynchronizer	1447574710614	0	0	0
BMS	TagSynchronizer	1447574710684	0	0	0
BMS	PropertySynchronizer	1447574710764	0	0	0
BMS	AlarmSynchronizer	1447574710784	0	0	0
BMS	ConnectorSynchronizer (import)	1447575010583	0	0	0
BMS	MeasurementSynchronizer	1447575010618	0	0	36
BMS	WorkOrderSynchronizer	1447575010684	0	0	0
BMS	TagSynchronizer	1447575010754	0	0	0
BMS	PropertySynchronizer	1447575010835	0	0	0
BMS	AlarmSynchronizer	1447575010856	0	0	0
BMS	ConnectorSynchronizer (import)	1447575310498	0	0	0
BMS	MeasurementSynchronizer	1447575310532	0	0	36
BMS	WorkOrderSynchronizer	1447575310595	0	0	0
BMS	TagSynchronizer	1447575310663	0	0	0
BMS	PropertySynchronizer	1447575310743	0	0	0
BMS	AlarmSynchronizer	1447575310763	0	0	0
BMS	ConnectorSynchronizer (import)	1447575610576	0	0	0
BMS	MeasurementSynchronizer	1447575610610	0	0	36
BMS	WorkOrderSynchronizer	1447575610674	0	0	0
BMS	TagSynchronizer	1447575610744	0	0	0
BMS	PropertySynchronizer	1447575610824	0	0	0
BMS	AlarmSynchronizer	1447575610845	0	0	0
BMS	ConnectorSynchronizer (import)	1447575910511	0	0	0
BMS	MeasurementSynchronizer	1447575910547	0	0	36
BMS	WorkOrderSynchronizer	1447575910614	0	0	0
BMS	TagSynchronizer	1447575910685	0	0	0
BMS	PropertySynchronizer	1447575910768	0	0	0
BMS	AlarmSynchronizer	1447575910790	0	0	0
BMS	ConnectorSynchronizer (import)	1447576210594	0	0	0
BMS	MeasurementSynchronizer	1447576210630	0	0	36
BMS	WorkOrderSynchronizer	1447576210696	0	0	0
BMS	TagSynchronizer	1447576210766	0	0	0
BMS	PropertySynchronizer	1447576210848	0	0	0
BMS	AlarmSynchronizer	1447576210870	0	0	0
BMS	ConnectorSynchronizer (import)	1447576510574	0	0	0
BMS	MeasurementSynchronizer	1447576510608	0	0	36
BMS	WorkOrderSynchronizer	1447576510672	0	0	0
BMS	TagSynchronizer	1447576510740	0	0	0
BMS	PropertySynchronizer	1447576510819	0	0	0
BMS	AlarmSynchronizer	1447576510839	0	0	0
BMS	ConnectorSynchronizer (import)	1447576810583	0	0	0
BMS	MeasurementSynchronizer	1447576810618	0	0	36
BMS	WorkOrderSynchronizer	1447576810681	0	0	0
BMS	TagSynchronizer	1447576810750	0	0	0
BMS	PropertySynchronizer	1447576810830	0	0	0
BMS	AlarmSynchronizer	1447576810850	0	0	0
BMS	ConnectorSynchronizer (import)	1447577110594	0	0	0
BMS	MeasurementSynchronizer	1447577110628	0	0	36
BMS	WorkOrderSynchronizer	1447577110693	0	0	0
BMS	TagSynchronizer	1447577110759	0	0	0
BMS	PropertySynchronizer	1447577110833	0	0	0
BMS	AlarmSynchronizer	1447577110852	0	0	0
BMS	ConnectorSynchronizer (import)	1447577410509	0	0	0
BMS	MeasurementSynchronizer	1447577410544	0	0	36
BMS	WorkOrderSynchronizer	1447577410607	0	0	0
BMS	TagSynchronizer	1447577410679	0	0	0
BMS	PropertySynchronizer	1447577410759	0	0	0
BMS	AlarmSynchronizer	1447577410779	0	0	0
BMS	ConnectorSynchronizer (import)	1447577710587	0	0	0
BMS	MeasurementSynchronizer	1447577710622	0	0	36
BMS	WorkOrderSynchronizer	1447577710687	0	0	0
BMS	TagSynchronizer	1447577710754	0	0	0
BMS	PropertySynchronizer	1447577710841	0	0	0
BMS	AlarmSynchronizer	1447577710861	0	0	0
BMS	ConnectorSynchronizer (import)	1447578010533	0	0	0
BMS	MeasurementSynchronizer	1447578010570	0	0	36
BMS	WorkOrderSynchronizer	1447578010635	0	0	0
BMS	TagSynchronizer	1447578010706	0	0	0
BMS	PropertySynchronizer	1447578010787	0	0	0
BMS	AlarmSynchronizer	1447578010808	0	0	0
BMS	ConnectorSynchronizer (import)	1447578310586	0	0	0
BMS	MeasurementSynchronizer	1447578310615	0	0	36
BMS	WorkOrderSynchronizer	1447578310673	0	0	0
BMS	TagSynchronizer	1447578310736	0	0	0
BMS	PropertySynchronizer	1447578310810	0	0	0
BMS	AlarmSynchronizer	1447578310829	0	0	0
BMS	ConnectorSynchronizer (import)	1447578610589	0	0	0
BMS	MeasurementSynchronizer	1447578610624	0	0	36
BMS	WorkOrderSynchronizer	1447578610690	0	0	0
BMS	TagSynchronizer	1447578610760	0	0	0
BMS	PropertySynchronizer	1447578610842	0	0	0
BMS	AlarmSynchronizer	1447578610864	0	0	0
BMS	ConnectorSynchronizer (import)	1447578910566	0	0	0
BMS	MeasurementSynchronizer	1447578910599	0	0	36
BMS	WorkOrderSynchronizer	1447578910663	0	0	0
BMS	TagSynchronizer	1447578910732	0	0	0
BMS	PropertySynchronizer	1447578910810	0	0	0
BMS	AlarmSynchronizer	1447578910830	0	0	0
BMS	ConnectorSynchronizer (import)	1447579210522	0	0	0
BMS	MeasurementSynchronizer	1447579210555	0	0	36
BMS	WorkOrderSynchronizer	1447579210620	0	0	0
BMS	TagSynchronizer	1447579210688	0	0	0
BMS	PropertySynchronizer	1447579210767	0	0	0
BMS	AlarmSynchronizer	1447579210787	0	0	0
BMS	ConnectorSynchronizer (import)	1447579510590	0	0	0
BMS	MeasurementSynchronizer	1447579510624	0	0	36
BMS	WorkOrderSynchronizer	1447579510693	0	0	0
BMS	TagSynchronizer	1447579510765	0	0	0
BMS	PropertySynchronizer	1447579510846	0	0	0
BMS	AlarmSynchronizer	1447579510867	0	0	0
BMS	ConnectorSynchronizer (import)	1447579810492	0	0	0
BMS	MeasurementSynchronizer	1447579810527	0	0	36
BMS	WorkOrderSynchronizer	1447579810590	0	0	0
BMS	TagSynchronizer	1447579810659	0	0	0
BMS	PropertySynchronizer	1447579810740	0	0	0
BMS	AlarmSynchronizer	1447579810760	0	0	0
BMS	ConnectorSynchronizer (import)	1447580110586	0	0	0
BMS	MeasurementSynchronizer	1447580110621	0	0	36
BMS	WorkOrderSynchronizer	1447580110688	0	0	0
BMS	TagSynchronizer	1447580110756	0	0	0
BMS	PropertySynchronizer	1447580110835	0	0	0
BMS	AlarmSynchronizer	1447580110856	0	0	0
BMS	ConnectorSynchronizer (import)	1447580410590	0	0	0
BMS	MeasurementSynchronizer	1447580410624	0	0	36
BMS	WorkOrderSynchronizer	1447580410688	0	0	0
BMS	TagSynchronizer	1447580410758	0	0	0
BMS	PropertySynchronizer	1447580410838	0	0	0
BMS	AlarmSynchronizer	1447580410858	0	0	0
BMS	ConnectorSynchronizer (import)	1447580710509	0	0	0
BMS	MeasurementSynchronizer	1447580710542	0	0	36
BMS	WorkOrderSynchronizer	1447580710603	0	0	0
BMS	TagSynchronizer	1447580710667	0	0	0
BMS	PropertySynchronizer	1447580710741	0	0	0
BMS	AlarmSynchronizer	1447580710760	0	0	0
BMS	ConnectorSynchronizer (import)	1447581010515	0	0	0
BMS	MeasurementSynchronizer	1447581010550	0	0	36
BMS	WorkOrderSynchronizer	1447581010617	0	0	0
BMS	TagSynchronizer	1447581010685	0	0	0
BMS	PropertySynchronizer	1447581010765	0	0	0
BMS	AlarmSynchronizer	1447581010788	0	0	0
BMS	ConnectorSynchronizer (import)	1447581310584	0	0	0
BMS	MeasurementSynchronizer	1447581310618	0	0	36
BMS	WorkOrderSynchronizer	1447581310682	0	0	0
BMS	TagSynchronizer	1447581310751	0	0	0
BMS	PropertySynchronizer	1447581310830	0	0	0
BMS	AlarmSynchronizer	1447581310851	0	0	0
BMS	ConnectorSynchronizer (import)	1447581610586	0	0	0
BMS	MeasurementSynchronizer	1447581610622	0	0	36
BMS	WorkOrderSynchronizer	1447581610686	0	0	0
BMS	TagSynchronizer	1447581610757	0	0	0
BMS	PropertySynchronizer	1447581610837	0	0	0
BMS	AlarmSynchronizer	1447581610858	0	0	0
BMS	ConnectorSynchronizer (import)	1447581910581	0	0	0
BMS	MeasurementSynchronizer	1447581910614	0	0	36
BMS	WorkOrderSynchronizer	1447581910678	0	0	0
BMS	TagSynchronizer	1447581910746	0	0	0
BMS	PropertySynchronizer	1447581910824	0	0	0
BMS	AlarmSynchronizer	1447581910844	0	0	0
BMS	ConnectorSynchronizer (import)	1447582210499	0	0	0
BMS	MeasurementSynchronizer	1447582210531	0	0	36
BMS	WorkOrderSynchronizer	1447582210591	0	0	0
BMS	TagSynchronizer	1447582210654	0	0	0
BMS	PropertySynchronizer	1447582210727	0	0	0
BMS	AlarmSynchronizer	1447582210743	0	0	0
BMS	ConnectorSynchronizer (import)	1447582510581	0	0	0
BMS	MeasurementSynchronizer	1447582510614	0	0	36
BMS	WorkOrderSynchronizer	1447582510682	0	0	0
BMS	TagSynchronizer	1447582510753	0	0	0
BMS	PropertySynchronizer	1447582510833	0	0	0
BMS	AlarmSynchronizer	1447582510853	0	0	0
BMS	ConnectorSynchronizer (import)	1447582810518	0	0	0
BMS	MeasurementSynchronizer	1447582810553	0	0	36
BMS	WorkOrderSynchronizer	1447582810618	0	0	0
BMS	TagSynchronizer	1447582810690	0	0	0
BMS	PropertySynchronizer	1447582810772	0	0	0
BMS	AlarmSynchronizer	1447582810793	0	0	0
BMS	ConnectorSynchronizer (import)	1447583110512	0	0	0
BMS	MeasurementSynchronizer	1447583110547	0	0	36
BMS	WorkOrderSynchronizer	1447583110609	0	0	0
BMS	TagSynchronizer	1447583110677	0	0	0
BMS	PropertySynchronizer	1447583110755	0	0	0
BMS	AlarmSynchronizer	1447583110777	0	0	0
BMS	ConnectorSynchronizer (import)	1447583410932	0	0	0
BMS	MeasurementSynchronizer	1447583410966	0	0	36
BMS	WorkOrderSynchronizer	1447583411029	0	0	0
BMS	TagSynchronizer	1447583411097	0	0	0
BMS	PropertySynchronizer	1447583411174	0	0	0
BMS	AlarmSynchronizer	1447583411194	0	0	0
BMS	ConnectorSynchronizer (import)	1447583710585	0	0	0
BMS	MeasurementSynchronizer	1447583710619	0	0	36
BMS	WorkOrderSynchronizer	1447583710682	0	0	0
BMS	TagSynchronizer	1447583710750	0	0	0
BMS	PropertySynchronizer	1447583710831	0	0	0
BMS	AlarmSynchronizer	1447583710851	0	0	0
BMS	ConnectorSynchronizer (import)	1447584010508	0	0	0
BMS	MeasurementSynchronizer	1447584010543	0	0	36
BMS	WorkOrderSynchronizer	1447584010607	0	0	0
BMS	TagSynchronizer	1447584010675	0	0	0
BMS	PropertySynchronizer	1447584010754	0	0	0
BMS	AlarmSynchronizer	1447584010774	0	0	0
BMS	ConnectorSynchronizer (import)	1447584310491	0	0	0
BMS	MeasurementSynchronizer	1447584310520	0	0	36
BMS	WorkOrderSynchronizer	1447584310577	0	0	0
BMS	TagSynchronizer	1447584310642	0	0	0
BMS	PropertySynchronizer	1447584310717	0	0	0
BMS	AlarmSynchronizer	1447584310737	0	0	0
BMS	ConnectorSynchronizer (import)	1447584610585	0	0	0
BMS	MeasurementSynchronizer	1447584610619	0	0	36
BMS	WorkOrderSynchronizer	1447584610684	0	0	0
BMS	TagSynchronizer	1447584610753	0	0	0
BMS	PropertySynchronizer	1447584610832	0	0	0
BMS	AlarmSynchronizer	1447584610852	0	0	0
BMS	ConnectorSynchronizer (import)	1447584910513	0	0	0
BMS	MeasurementSynchronizer	1447584910548	0	0	36
BMS	WorkOrderSynchronizer	1447584910615	0	0	0
BMS	TagSynchronizer	1447584910687	0	0	0
BMS	PropertySynchronizer	1447584910767	0	0	0
BMS	AlarmSynchronizer	1447584910787	0	0	0
BMS	ConnectorSynchronizer (import)	1447585210494	0	0	0
BMS	MeasurementSynchronizer	1447585210526	0	0	36
BMS	WorkOrderSynchronizer	1447585210585	0	0	0
BMS	TagSynchronizer	1447585210653	0	0	0
BMS	PropertySynchronizer	1447585210734	0	0	0
BMS	AlarmSynchronizer	1447585210755	0	0	0
BMS	ConnectorSynchronizer (import)	1447585510498	0	0	0
BMS	MeasurementSynchronizer	1447585510531	0	0	36
BMS	WorkOrderSynchronizer	1447585510593	0	0	0
BMS	TagSynchronizer	1447585510661	0	0	0
BMS	PropertySynchronizer	1447585510740	0	0	0
BMS	AlarmSynchronizer	1447585510762	0	0	0
BMS	ConnectorSynchronizer (import)	1447585810496	0	0	0
BMS	MeasurementSynchronizer	1447585810530	0	0	36
BMS	WorkOrderSynchronizer	1447585810596	0	0	0
BMS	TagSynchronizer	1447585810663	0	0	0
BMS	PropertySynchronizer	1447585810738	0	0	0
BMS	AlarmSynchronizer	1447585810758	0	0	0
BMS	ConnectorSynchronizer (import)	1447586110502	0	0	0
BMS	MeasurementSynchronizer	1447586110536	0	0	36
BMS	WorkOrderSynchronizer	1447586110601	0	0	0
BMS	TagSynchronizer	1447586110670	0	0	0
BMS	PropertySynchronizer	1447586110750	0	0	0
BMS	AlarmSynchronizer	1447586110770	0	0	0
BMS	ConnectorSynchronizer (import)	1447586410591	0	0	0
BMS	MeasurementSynchronizer	1447586410625	0	0	36
BMS	WorkOrderSynchronizer	1447586410689	0	0	0
BMS	TagSynchronizer	1447586410756	0	0	0
BMS	PropertySynchronizer	1447586410834	0	0	0
BMS	AlarmSynchronizer	1447586410854	0	0	0
BMS	ConnectorSynchronizer (import)	1447586710505	0	0	0
BMS	MeasurementSynchronizer	1447586710539	0	0	36
BMS	WorkOrderSynchronizer	1447586710606	0	0	0
BMS	TagSynchronizer	1447586710675	0	0	0
BMS	PropertySynchronizer	1447586710755	0	0	0
BMS	AlarmSynchronizer	1447586710780	0	0	0
BMS	ConnectorSynchronizer (import)	1447587010503	0	0	0
BMS	MeasurementSynchronizer	1447587010537	0	0	36
BMS	WorkOrderSynchronizer	1447587010600	0	0	0
BMS	TagSynchronizer	1447587010664	0	0	0
BMS	PropertySynchronizer	1447587010725	0	0	0
BMS	AlarmSynchronizer	1447587010741	0	0	0
BMS	ConnectorSynchronizer (import)	1447587310595	0	0	0
BMS	MeasurementSynchronizer	1447587310631	0	0	36
BMS	WorkOrderSynchronizer	1447587310698	0	0	0
BMS	TagSynchronizer	1447587310768	0	0	0
BMS	PropertySynchronizer	1447587310849	0	0	0
BMS	AlarmSynchronizer	1447587310871	0	0	0
BMS	ConnectorSynchronizer (import)	1447587610586	0	0	0
BMS	MeasurementSynchronizer	1447587610621	0	0	36
BMS	WorkOrderSynchronizer	1447587610685	0	0	0
BMS	TagSynchronizer	1447587610753	0	0	0
BMS	PropertySynchronizer	1447587610833	0	0	0
BMS	AlarmSynchronizer	1447587610853	0	0	0
BMS	ConnectorSynchronizer (import)	1447587910589	0	0	0
BMS	MeasurementSynchronizer	1447587910622	0	0	36
BMS	WorkOrderSynchronizer	1447587910687	0	0	0
BMS	TagSynchronizer	1447587910755	0	0	0
BMS	PropertySynchronizer	1447587910834	0	0	0
BMS	AlarmSynchronizer	1447587910854	0	0	0
BMS	ConnectorSynchronizer (import)	1447588210638	0	0	0
BMS	MeasurementSynchronizer	1447588210673	0	0	36
BMS	WorkOrderSynchronizer	1447588210745	0	0	0
BMS	TagSynchronizer	1447588210816	0	0	0
BMS	PropertySynchronizer	1447588210897	0	0	0
BMS	AlarmSynchronizer	1447588210917	0	0	0
BMS	ConnectorSynchronizer (import)	1447588510572	0	0	0
BMS	MeasurementSynchronizer	1447588510604	0	0	36
BMS	WorkOrderSynchronizer	1447588510663	0	0	0
BMS	TagSynchronizer	1447588510727	0	0	0
BMS	PropertySynchronizer	1447588510798	0	0	0
BMS	AlarmSynchronizer	1447588510816	0	0	0
BMS	ConnectorSynchronizer (import)	1447588810503	0	0	0
BMS	MeasurementSynchronizer	1447588810537	0	0	36
BMS	WorkOrderSynchronizer	1447588810603	0	0	0
BMS	TagSynchronizer	1447588810673	0	0	0
BMS	PropertySynchronizer	1447588810753	0	0	0
BMS	AlarmSynchronizer	1447588810776	0	0	0
BMS	ConnectorSynchronizer (import)	1447589110506	0	0	0
BMS	MeasurementSynchronizer	1447589110541	0	0	36
BMS	WorkOrderSynchronizer	1447589110603	0	0	0
BMS	TagSynchronizer	1447589110670	0	0	0
BMS	PropertySynchronizer	1447589110744	0	0	0
BMS	AlarmSynchronizer	1447589110764	0	0	0
BMS	ConnectorSynchronizer (import)	1447589410508	0	0	0
BMS	MeasurementSynchronizer	1447589410542	0	0	36
BMS	WorkOrderSynchronizer	1447589410604	0	0	0
BMS	TagSynchronizer	1447589410671	0	0	0
BMS	PropertySynchronizer	1447589410746	0	0	0
BMS	AlarmSynchronizer	1447589410767	0	0	0
BMS	ConnectorSynchronizer (import)	1447589710510	0	0	0
BMS	MeasurementSynchronizer	1447589710545	0	0	36
BMS	WorkOrderSynchronizer	1447589710610	0	0	0
BMS	TagSynchronizer	1447589710679	0	0	0
BMS	PropertySynchronizer	1447589710755	0	0	0
BMS	AlarmSynchronizer	1447589710776	0	0	0
BMS	ConnectorSynchronizer (import)	1447590010535	0	0	0
BMS	MeasurementSynchronizer	1447590010573	0	0	36
BMS	WorkOrderSynchronizer	1447590010641	0	0	0
BMS	TagSynchronizer	1447590010711	0	0	0
BMS	PropertySynchronizer	1447590010788	0	0	0
BMS	AlarmSynchronizer	1447590010810	0	0	0
BMS	ConnectorSynchronizer (import)	1447590310581	0	0	0
BMS	MeasurementSynchronizer	1447590310616	0	0	36
BMS	WorkOrderSynchronizer	1447590310680	0	0	0
BMS	TagSynchronizer	1447590310749	0	0	0
BMS	PropertySynchronizer	1447590310825	0	0	0
BMS	AlarmSynchronizer	1447590310846	0	0	0
BMS	ConnectorSynchronizer (import)	1447590610577	0	0	0
BMS	MeasurementSynchronizer	1447590610611	0	0	36
BMS	WorkOrderSynchronizer	1447590610675	0	0	0
BMS	TagSynchronizer	1447590610745	0	0	0
BMS	PropertySynchronizer	1447590610820	0	0	0
BMS	AlarmSynchronizer	1447590610842	0	0	0
BMS	ConnectorSynchronizer (import)	1447590910598	0	0	0
BMS	MeasurementSynchronizer	1447590910632	0	0	36
BMS	WorkOrderSynchronizer	1447590910700	0	0	0
BMS	TagSynchronizer	1447590910769	0	0	0
BMS	PropertySynchronizer	1447590910845	0	0	0
BMS	AlarmSynchronizer	1447590910867	0	0	0
BMS	ConnectorSynchronizer (import)	1447591210508	0	0	0
BMS	MeasurementSynchronizer	1447591210543	0	0	36
BMS	WorkOrderSynchronizer	1447591210606	0	0	0
BMS	TagSynchronizer	1447591210672	0	0	0
BMS	PropertySynchronizer	1447591210747	0	0	0
BMS	AlarmSynchronizer	1447591210768	0	0	0
BMS	ConnectorSynchronizer (import)	1447591510582	0	0	0
BMS	MeasurementSynchronizer	1447591510616	0	0	36
BMS	WorkOrderSynchronizer	1447591510684	0	0	0
BMS	TagSynchronizer	1447591510752	0	0	0
BMS	PropertySynchronizer	1447591510829	0	0	0
BMS	AlarmSynchronizer	1447591510851	0	0	0
BMS	ConnectorSynchronizer (import)	1447591810590	0	0	0
BMS	MeasurementSynchronizer	1447591810627	0	0	36
BMS	WorkOrderSynchronizer	1447591810699	0	0	0
BMS	TagSynchronizer	1447591810770	0	0	0
BMS	PropertySynchronizer	1447591810847	0	0	0
BMS	AlarmSynchronizer	1447591810868	0	0	0
BMS	ConnectorSynchronizer (import)	1447592110591	0	0	0
BMS	MeasurementSynchronizer	1447592110625	0	0	36
BMS	WorkOrderSynchronizer	1447592110688	0	0	0
BMS	TagSynchronizer	1447592110756	0	0	0
BMS	PropertySynchronizer	1447592110831	0	0	0
BMS	AlarmSynchronizer	1447592110852	0	0	0
BMS	ConnectorSynchronizer (import)	1447592410497	0	0	0
BMS	MeasurementSynchronizer	1447592410534	0	0	36
BMS	WorkOrderSynchronizer	1447592410598	0	0	0
BMS	TagSynchronizer	1447592410666	0	0	0
BMS	PropertySynchronizer	1447592410742	0	0	0
BMS	AlarmSynchronizer	1447592410765	0	0	0
BMS	ConnectorSynchronizer (import)	1447592710578	0	0	0
BMS	MeasurementSynchronizer	1447592710612	0	0	36
BMS	WorkOrderSynchronizer	1447592710677	0	0	0
BMS	TagSynchronizer	1447592710745	0	0	0
BMS	PropertySynchronizer	1447592710819	0	0	0
BMS	AlarmSynchronizer	1447592710839	0	0	0
BMS	ConnectorSynchronizer (import)	1447593010496	0	0	0
BMS	MeasurementSynchronizer	1447593010530	0	0	36
BMS	WorkOrderSynchronizer	1447593010593	0	0	0
BMS	TagSynchronizer	1447593010660	0	0	0
BMS	PropertySynchronizer	1447593010734	0	0	0
BMS	AlarmSynchronizer	1447593010755	0	0	0
BMS	ConnectorSynchronizer (import)	1447593310507	0	0	0
BMS	MeasurementSynchronizer	1447593310541	0	0	36
BMS	WorkOrderSynchronizer	1447593310606	0	0	0
BMS	TagSynchronizer	1447593310676	0	0	0
BMS	PropertySynchronizer	1447593310750	0	0	0
BMS	AlarmSynchronizer	1447593310771	0	0	0
BMS	ConnectorSynchronizer (import)	1447593610584	0	0	0
BMS	MeasurementSynchronizer	1447593610618	0	0	36
BMS	WorkOrderSynchronizer	1447593610683	0	0	0
BMS	TagSynchronizer	1447593610750	0	0	0
BMS	PropertySynchronizer	1447593610825	0	0	0
BMS	AlarmSynchronizer	1447593610846	0	0	0
BMS	ConnectorSynchronizer (import)	1447593910588	0	0	0
BMS	MeasurementSynchronizer	1447593910623	0	0	36
BMS	WorkOrderSynchronizer	1447593910689	0	0	0
BMS	TagSynchronizer	1447593910758	0	0	0
BMS	PropertySynchronizer	1447593910835	0	0	0
BMS	AlarmSynchronizer	1447593910857	0	0	0
BMS	ConnectorSynchronizer (import)	1447594210501	0	0	0
BMS	MeasurementSynchronizer	1447594210534	0	0	36
BMS	WorkOrderSynchronizer	1447594210593	0	0	0
BMS	TagSynchronizer	1447594210656	0	0	0
BMS	PropertySynchronizer	1447594210727	0	0	0
BMS	AlarmSynchronizer	1447594210748	0	0	0
BMS	ConnectorSynchronizer (import)	1447594510595	0	0	0
BMS	MeasurementSynchronizer	1447594510630	0	0	36
BMS	WorkOrderSynchronizer	1447594510696	0	0	0
BMS	TagSynchronizer	1447594510764	0	0	0
BMS	PropertySynchronizer	1447594510839	0	0	0
BMS	AlarmSynchronizer	1447594510861	0	0	0
BMS	ConnectorSynchronizer (import)	1447594810595	0	0	0
BMS	MeasurementSynchronizer	1447594810629	0	0	36
BMS	WorkOrderSynchronizer	1447594810694	0	0	0
BMS	TagSynchronizer	1447594810760	0	0	0
BMS	PropertySynchronizer	1447594810836	0	0	0
BMS	AlarmSynchronizer	1447594810857	0	0	0
BMS	ConnectorSynchronizer (import)	1447595110505	0	0	0
BMS	MeasurementSynchronizer	1447595110538	0	0	36
BMS	WorkOrderSynchronizer	1447595110602	0	0	0
BMS	TagSynchronizer	1447595110670	0	0	0
BMS	PropertySynchronizer	1447595110747	0	0	0
BMS	AlarmSynchronizer	1447595110768	0	0	0
BMS	ConnectorSynchronizer (import)	1447595410497	0	0	0
BMS	MeasurementSynchronizer	1447595410530	0	0	36
BMS	WorkOrderSynchronizer	1447595410596	0	0	0
BMS	TagSynchronizer	1447595410660	0	0	0
BMS	PropertySynchronizer	1447595410730	0	0	0
BMS	AlarmSynchronizer	1447595410749	0	0	0
BMS	ConnectorSynchronizer (import)	1447595710591	0	0	0
BMS	MeasurementSynchronizer	1447595710625	0	0	36
BMS	WorkOrderSynchronizer	1447595710689	0	0	0
BMS	TagSynchronizer	1447595710758	0	0	0
BMS	PropertySynchronizer	1447595710833	0	0	0
BMS	AlarmSynchronizer	1447595710855	0	0	0
BMS	ConnectorSynchronizer (import)	1447596010586	0	0	0
BMS	MeasurementSynchronizer	1447596010620	0	0	36
BMS	WorkOrderSynchronizer	1447596010686	0	0	0
BMS	TagSynchronizer	1447596010754	0	0	0
BMS	PropertySynchronizer	1447596010829	0	0	0
BMS	AlarmSynchronizer	1447596010851	0	0	0
BMS	ConnectorSynchronizer (import)	1447596310565	0	0	0
BMS	MeasurementSynchronizer	1447596310599	0	0	36
BMS	WorkOrderSynchronizer	1447596310667	0	0	0
BMS	TagSynchronizer	1447596310735	0	0	0
BMS	PropertySynchronizer	1447596310811	0	0	0
BMS	AlarmSynchronizer	1447596310833	0	0	0
BMS	ConnectorSynchronizer (import)	1447596610596	0	0	0
BMS	MeasurementSynchronizer	1447596610632	0	0	36
BMS	WorkOrderSynchronizer	1447596610696	0	0	0
BMS	TagSynchronizer	1447596610763	0	0	0
BMS	PropertySynchronizer	1447596610837	0	0	0
BMS	AlarmSynchronizer	1447596610858	0	0	0
BMS	ConnectorSynchronizer (import)	1447596910589	0	0	0
BMS	MeasurementSynchronizer	1447596910621	0	0	36
BMS	WorkOrderSynchronizer	1447596910680	0	0	0
BMS	TagSynchronizer	1447596910743	0	0	0
BMS	PropertySynchronizer	1447596910813	0	0	0
BMS	AlarmSynchronizer	1447596910835	0	0	0
BMS	ConnectorSynchronizer (import)	1447597210606	0	0	0
BMS	MeasurementSynchronizer	1447597210642	0	0	36
BMS	WorkOrderSynchronizer	1447597210710	0	0	0
BMS	TagSynchronizer	1447597210778	0	0	0
BMS	PropertySynchronizer	1447597210852	0	0	0
BMS	AlarmSynchronizer	1447597210873	0	0	0
BMS	ConnectorSynchronizer (import)	1447597510587	0	0	0
BMS	MeasurementSynchronizer	1447597510622	0	0	36
BMS	WorkOrderSynchronizer	1447597510686	0	0	0
BMS	TagSynchronizer	1447597510753	0	0	0
BMS	PropertySynchronizer	1447597510828	0	0	0
BMS	AlarmSynchronizer	1447597510850	0	0	0
BMS	ConnectorSynchronizer (import)	1447597810590	0	0	0
BMS	MeasurementSynchronizer	1447597810623	0	0	36
BMS	WorkOrderSynchronizer	1447597810688	0	0	0
BMS	TagSynchronizer	1447597810758	0	0	0
BMS	PropertySynchronizer	1447597810833	0	0	0
BMS	AlarmSynchronizer	1447597810854	0	0	0
BMS	ConnectorSynchronizer (import)	1447598110508	0	0	0
BMS	MeasurementSynchronizer	1447598110541	0	0	36
BMS	WorkOrderSynchronizer	1447598110604	0	0	0
BMS	TagSynchronizer	1447598110670	0	0	0
BMS	PropertySynchronizer	1447598110744	0	0	0
BMS	AlarmSynchronizer	1447598110764	0	0	0
BMS	ConnectorSynchronizer (import)	1447598410500	0	0	0
BMS	MeasurementSynchronizer	1447598410535	0	0	36
BMS	WorkOrderSynchronizer	1447598410606	0	0	0
BMS	TagSynchronizer	1447598410677	0	0	0
BMS	PropertySynchronizer	1447598410750	0	0	0
BMS	AlarmSynchronizer	1447598410770	0	0	0
BMS	ConnectorSynchronizer (import)	1447598710594	0	0	0
BMS	MeasurementSynchronizer	1447598710629	0	0	36
BMS	WorkOrderSynchronizer	1447598710694	0	0	0
BMS	TagSynchronizer	1447598710761	0	0	0
BMS	PropertySynchronizer	1447598710837	0	0	0
BMS	AlarmSynchronizer	1447598710858	0	0	0
BMS	ConnectorSynchronizer (import)	1447599010517	0	0	0
BMS	MeasurementSynchronizer	1447599010552	0	0	36
BMS	WorkOrderSynchronizer	1447599010615	0	0	0
BMS	TagSynchronizer	1447599010682	0	0	0
BMS	PropertySynchronizer	1447599010757	0	0	0
BMS	AlarmSynchronizer	1447599010778	0	0	0
BMS	ConnectorSynchronizer (import)	1447599310586	0	0	0
BMS	MeasurementSynchronizer	1447599310621	0	0	36
BMS	WorkOrderSynchronizer	1447599310686	0	0	0
BMS	TagSynchronizer	1447599310752	0	0	0
BMS	PropertySynchronizer	1447599310828	0	0	0
BMS	AlarmSynchronizer	1447599310849	0	0	0
BMS	ConnectorSynchronizer (import)	1447599610503	0	0	0
BMS	MeasurementSynchronizer	1447599610537	0	0	36
BMS	WorkOrderSynchronizer	1447599610604	0	0	0
BMS	TagSynchronizer	1447599610670	0	0	0
BMS	PropertySynchronizer	1447599610745	0	0	0
BMS	AlarmSynchronizer	1447599610766	0	0	0
BMS	ConnectorSynchronizer (import)	1447599910512	0	0	0
BMS	MeasurementSynchronizer	1447599910547	0	0	36
BMS	WorkOrderSynchronizer	1447599910610	0	0	0
BMS	TagSynchronizer	1447599910677	0	0	0
BMS	PropertySynchronizer	1447599910751	0	0	0
BMS	AlarmSynchronizer	1447599910772	0	0	0
BMS	ConnectorSynchronizer (import)	1447600210568	0	0	0
BMS	MeasurementSynchronizer	1447600210596	0	0	36
BMS	WorkOrderSynchronizer	1447600210652	0	0	0
BMS	TagSynchronizer	1447600210714	0	0	0
BMS	PropertySynchronizer	1447600210787	0	0	0
BMS	AlarmSynchronizer	1447600210807	0	0	0
BMS	ConnectorSynchronizer (import)	1447600510519	0	0	0
BMS	MeasurementSynchronizer	1447600510554	0	0	36
BMS	WorkOrderSynchronizer	1447600510619	0	0	0
BMS	TagSynchronizer	1447600510687	0	0	0
BMS	PropertySynchronizer	1447600510763	0	0	0
BMS	AlarmSynchronizer	1447600510784	0	0	0
BMS	ConnectorSynchronizer (import)	1447600810599	0	0	0
BMS	MeasurementSynchronizer	1447600810634	0	0	36
BMS	WorkOrderSynchronizer	1447600810703	0	0	0
BMS	TagSynchronizer	1447600810774	0	0	0
BMS	PropertySynchronizer	1447600810851	0	0	0
BMS	AlarmSynchronizer	1447600810872	0	0	0
BMS	ConnectorSynchronizer (import)	1447601110498	0	0	0
BMS	MeasurementSynchronizer	1447601110533	0	0	36
BMS	WorkOrderSynchronizer	1447601110605	0	0	0
BMS	TagSynchronizer	1447601110673	0	0	0
BMS	PropertySynchronizer	1447601110749	0	0	0
BMS	AlarmSynchronizer	1447601110771	0	0	0
BMS	ConnectorSynchronizer (import)	1447601410526	0	0	0
BMS	MeasurementSynchronizer	1447601410560	0	0	36
BMS	WorkOrderSynchronizer	1447601410629	0	0	0
BMS	TagSynchronizer	1447601410699	0	0	0
BMS	PropertySynchronizer	1447601410777	0	0	0
BMS	AlarmSynchronizer	1447601410799	0	0	0
BMS	ConnectorSynchronizer (import)	1447601710497	0	0	0
BMS	MeasurementSynchronizer	1447601710530	0	0	36
BMS	WorkOrderSynchronizer	1447601710595	0	0	0
BMS	TagSynchronizer	1447601710663	0	0	0
BMS	PropertySynchronizer	1447601710742	0	0	0
BMS	AlarmSynchronizer	1447601710765	0	0	0
BMS	ConnectorSynchronizer (import)	1447602010501	0	0	0
BMS	MeasurementSynchronizer	1447602010534	0	0	36
BMS	WorkOrderSynchronizer	1447602010598	0	0	0
BMS	TagSynchronizer	1447602010666	0	0	0
BMS	PropertySynchronizer	1447602010743	0	0	0
BMS	AlarmSynchronizer	1447602010764	0	0	0
BMS	ConnectorSynchronizer (import)	1447602310497	0	0	0
BMS	MeasurementSynchronizer	1447602310531	0	0	36
BMS	WorkOrderSynchronizer	1447602310595	0	0	0
BMS	TagSynchronizer	1447602310661	0	0	0
BMS	PropertySynchronizer	1447602310736	0	0	0
BMS	AlarmSynchronizer	1447602310757	0	0	0
BMS	ConnectorSynchronizer (import)	1447602610505	0	0	0
BMS	MeasurementSynchronizer	1447602610540	0	0	36
BMS	WorkOrderSynchronizer	1447602610606	0	0	0
BMS	TagSynchronizer	1447602610673	0	0	0
BMS	PropertySynchronizer	1447602610749	0	0	0
BMS	AlarmSynchronizer	1447602610770	0	0	0
BMS	ConnectorSynchronizer (import)	1447602910510	0	0	0
BMS	MeasurementSynchronizer	1447602910546	0	0	36
BMS	WorkOrderSynchronizer	1447602910611	0	0	0
BMS	TagSynchronizer	1447602910678	0	0	0
BMS	PropertySynchronizer	1447602910753	0	0	0
BMS	AlarmSynchronizer	1447602910773	0	0	0
BMS	ConnectorSynchronizer (import)	1447603210501	0	0	0
BMS	MeasurementSynchronizer	1447603210535	0	0	36
BMS	WorkOrderSynchronizer	1447603210600	0	0	0
BMS	TagSynchronizer	1447603210667	0	0	0
BMS	PropertySynchronizer	1447603210743	0	0	0
BMS	AlarmSynchronizer	1447603210764	0	0	0
BMS	ConnectorSynchronizer (import)	1447603510585	0	0	0
BMS	MeasurementSynchronizer	1447603510620	0	0	36
BMS	WorkOrderSynchronizer	1447603510684	0	0	0
BMS	TagSynchronizer	1447603510751	0	0	0
BMS	PropertySynchronizer	1447603510827	0	0	0
BMS	AlarmSynchronizer	1447603510847	0	0	0
BMS	ConnectorSynchronizer (import)	1447603810511	0	0	0
BMS	MeasurementSynchronizer	1447603810545	0	0	36
BMS	WorkOrderSynchronizer	1447603810609	0	0	0
BMS	TagSynchronizer	1447603810676	0	0	0
BMS	PropertySynchronizer	1447603810753	0	0	0
BMS	AlarmSynchronizer	1447603810774	0	0	0
BMS	ConnectorSynchronizer (import)	1447604110594	0	0	0
BMS	MeasurementSynchronizer	1447604110629	0	0	36
BMS	WorkOrderSynchronizer	1447604110694	0	0	0
BMS	TagSynchronizer	1447604110760	0	0	0
BMS	PropertySynchronizer	1447604110834	0	0	0
BMS	AlarmSynchronizer	1447604110855	0	0	0
BMS	ConnectorSynchronizer (import)	1447604410593	0	0	0
BMS	MeasurementSynchronizer	1447604410627	0	0	36
BMS	WorkOrderSynchronizer	1447604410692	0	0	0
BMS	TagSynchronizer	1447604410759	0	0	0
BMS	PropertySynchronizer	1447604410835	0	0	0
BMS	AlarmSynchronizer	1447604410856	0	0	0
BMS	ConnectorSynchronizer (import)	1447604710504	0	0	0
BMS	MeasurementSynchronizer	1447604710538	0	0	36
BMS	WorkOrderSynchronizer	1447604710601	0	0	0
BMS	TagSynchronizer	1447604710668	0	0	0
BMS	PropertySynchronizer	1447604710743	0	0	0
BMS	AlarmSynchronizer	1447604710764	0	0	0
BMS	ConnectorSynchronizer (import)	1447605010506	0	0	0
BMS	MeasurementSynchronizer	1447605010541	0	0	36
BMS	WorkOrderSynchronizer	1447605010604	0	0	0
BMS	TagSynchronizer	1447605010671	0	0	0
BMS	PropertySynchronizer	1447605010746	0	0	0
BMS	AlarmSynchronizer	1447605010767	0	0	0
BMS	ConnectorSynchronizer (import)	1447605310596	0	0	0
BMS	MeasurementSynchronizer	1447605310631	0	0	36
BMS	WorkOrderSynchronizer	1447605310695	0	0	0
BMS	TagSynchronizer	1447605310762	0	0	0
BMS	PropertySynchronizer	1447605310839	0	0	0
BMS	AlarmSynchronizer	1447605310862	0	0	0
BMS	ConnectorSynchronizer (import)	1447605610510	0	0	0
BMS	MeasurementSynchronizer	1447605610544	0	0	36
BMS	WorkOrderSynchronizer	1447605610608	0	0	0
BMS	TagSynchronizer	1447605610677	0	0	0
BMS	PropertySynchronizer	1447605610752	0	0	0
BMS	AlarmSynchronizer	1447605610774	0	0	0
BMS	ConnectorSynchronizer (import)	1447605910508	0	0	0
BMS	MeasurementSynchronizer	1447605910542	0	0	36
BMS	WorkOrderSynchronizer	1447605910606	0	0	0
BMS	TagSynchronizer	1447605910669	0	0	0
BMS	PropertySynchronizer	1447605910739	0	0	0
BMS	AlarmSynchronizer	1447605910758	0	0	0
BMS	ConnectorSynchronizer (import)	1447606210483	0	0	0
BMS	MeasurementSynchronizer	1447606210517	0	0	36
BMS	WorkOrderSynchronizer	1447606210584	0	0	0
BMS	TagSynchronizer	1447606210651	0	0	0
BMS	PropertySynchronizer	1447606210728	0	0	0
BMS	AlarmSynchronizer	1447606210751	0	0	0
BMS	ConnectorSynchronizer (import)	1447606510507	0	0	0
BMS	MeasurementSynchronizer	1447606510541	0	0	36
BMS	WorkOrderSynchronizer	1447606510605	0	0	0
BMS	TagSynchronizer	1447606510671	0	0	0
BMS	PropertySynchronizer	1447606510747	0	0	0
BMS	AlarmSynchronizer	1447606510771	0	0	0
BMS	ConnectorSynchronizer (import)	1447606810519	0	0	0
BMS	MeasurementSynchronizer	1447606810553	0	0	36
BMS	WorkOrderSynchronizer	1447606810618	0	0	0
BMS	TagSynchronizer	1447606810687	0	0	0
BMS	PropertySynchronizer	1447606810762	0	0	0
BMS	AlarmSynchronizer	1447606810783	0	0	0
BMS	ConnectorSynchronizer (import)	1447607110526	0	0	0
BMS	MeasurementSynchronizer	1447607110560	0	0	36
BMS	WorkOrderSynchronizer	1447607110624	0	0	0
BMS	TagSynchronizer	1447607110691	0	0	0
BMS	PropertySynchronizer	1447607110765	0	0	0
BMS	AlarmSynchronizer	1447607110786	0	0	0
BMS	ConnectorSynchronizer (import)	1447607410512	0	0	0
BMS	MeasurementSynchronizer	1447607410545	0	0	36
BMS	WorkOrderSynchronizer	1447607410606	0	0	0
BMS	TagSynchronizer	1447607410669	0	0	0
BMS	PropertySynchronizer	1447607410739	0	0	0
BMS	AlarmSynchronizer	1447607410758	0	0	0
BMS	ConnectorSynchronizer (import)	1447607710508	0	0	0
BMS	MeasurementSynchronizer	1447607710544	0	0	36
BMS	WorkOrderSynchronizer	1447607710606	0	0	0
BMS	TagSynchronizer	1447607710676	0	0	0
BMS	PropertySynchronizer	1447607710751	0	0	0
BMS	AlarmSynchronizer	1447607710772	0	0	0
BMS	ConnectorSynchronizer (import)	1447608010506	0	0	0
BMS	MeasurementSynchronizer	1447608010541	0	0	36
BMS	WorkOrderSynchronizer	1447608010606	0	0	0
BMS	TagSynchronizer	1447608010673	0	0	0
BMS	PropertySynchronizer	1447608010748	0	0	0
BMS	AlarmSynchronizer	1447608010769	0	0	0
BMS	ConnectorSynchronizer (import)	1447608310567	0	0	0
BMS	MeasurementSynchronizer	1447608310602	0	0	36
BMS	WorkOrderSynchronizer	1447608310670	0	0	0
BMS	TagSynchronizer	1447608310737	0	0	0
BMS	PropertySynchronizer	1447608310814	0	0	0
BMS	AlarmSynchronizer	1447608310836	0	0	0
BMS	ConnectorSynchronizer (import)	1447608610537	0	0	0
BMS	MeasurementSynchronizer	1447608610572	0	0	36
BMS	WorkOrderSynchronizer	1447608610637	0	0	0
BMS	TagSynchronizer	1447608610704	0	0	0
BMS	PropertySynchronizer	1447608610779	0	0	0
BMS	AlarmSynchronizer	1447608610799	0	0	0
BMS	ConnectorSynchronizer (import)	1447608910470	0	0	0
BMS	MeasurementSynchronizer	1447608910498	0	0	36
BMS	WorkOrderSynchronizer	1447608910558	0	0	0
BMS	TagSynchronizer	1447608910634	0	0	0
BMS	PropertySynchronizer	1447608910709	0	0	0
BMS	AlarmSynchronizer	1447608910732	0	0	0
BMS	ConnectorSynchronizer (import)	1447609210598	0	0	0
BMS	MeasurementSynchronizer	1447609210632	0	0	36
BMS	WorkOrderSynchronizer	1447609210696	0	0	0
BMS	TagSynchronizer	1447609210762	0	0	0
BMS	PropertySynchronizer	1447609210839	0	0	0
BMS	AlarmSynchronizer	1447609210859	0	0	0
BMS	ConnectorSynchronizer (import)	1447609510540	0	0	0
BMS	MeasurementSynchronizer	1447609510573	0	0	36
BMS	WorkOrderSynchronizer	1447609510632	0	0	0
BMS	TagSynchronizer	1447609510695	0	0	0
BMS	PropertySynchronizer	1447609510763	0	0	0
BMS	AlarmSynchronizer	1447609510782	0	0	0
BMS	ConnectorSynchronizer (import)	1447609810509	0	0	0
BMS	MeasurementSynchronizer	1447609810541	0	0	36
BMS	WorkOrderSynchronizer	1447609810601	0	0	0
BMS	TagSynchronizer	1447609810659	0	0	0
BMS	PropertySynchronizer	1447609810730	0	0	0
BMS	AlarmSynchronizer	1447609810750	0	0	0
BMS	ConnectorSynchronizer (import)	1447610110507	0	0	0
BMS	MeasurementSynchronizer	1447610110541	0	0	36
BMS	WorkOrderSynchronizer	1447610110605	0	0	0
BMS	TagSynchronizer	1447610110672	0	0	0
BMS	PropertySynchronizer	1447610110748	0	0	0
BMS	AlarmSynchronizer	1447610110769	0	0	0
BMS	ConnectorSynchronizer (import)	1447610410541	0	0	0
BMS	MeasurementSynchronizer	1447610410574	0	0	36
BMS	WorkOrderSynchronizer	1447610410638	0	0	0
BMS	TagSynchronizer	1447610410705	0	0	0
BMS	PropertySynchronizer	1447610410782	0	0	0
BMS	AlarmSynchronizer	1447610410804	0	0	0
BMS	ConnectorSynchronizer (import)	1447610710512	0	0	0
BMS	MeasurementSynchronizer	1447610710546	0	0	36
BMS	WorkOrderSynchronizer	1447610710610	0	0	0
BMS	TagSynchronizer	1447610710678	0	0	0
BMS	PropertySynchronizer	1447610710753	0	0	0
BMS	AlarmSynchronizer	1447610710774	0	0	0
BMS	ConnectorSynchronizer (import)	1447611010518	0	0	0
BMS	MeasurementSynchronizer	1447611010554	0	0	36
BMS	WorkOrderSynchronizer	1447611010622	0	0	0
BMS	TagSynchronizer	1447611010688	0	0	0
BMS	PropertySynchronizer	1447611010762	0	0	0
BMS	AlarmSynchronizer	1447611010782	0	0	0
BMS	ConnectorSynchronizer (import)	1447611310504	0	0	0
BMS	MeasurementSynchronizer	1447611310537	0	0	36
BMS	WorkOrderSynchronizer	1447611310599	0	0	0
BMS	TagSynchronizer	1447611310668	0	0	0
BMS	PropertySynchronizer	1447611310743	0	0	0
BMS	AlarmSynchronizer	1447611310764	0	0	0
BMS	ConnectorSynchronizer (import)	1447611610512	0	0	0
BMS	MeasurementSynchronizer	1447611610547	0	0	36
BMS	WorkOrderSynchronizer	1447611610617	0	0	0
BMS	TagSynchronizer	1447611610684	0	0	0
BMS	PropertySynchronizer	1447611610759	0	0	0
BMS	AlarmSynchronizer	1447611610781	0	0	0
BMS	ConnectorSynchronizer (import)	1447611910504	0	0	0
BMS	MeasurementSynchronizer	1447611910538	0	0	36
BMS	WorkOrderSynchronizer	1447611910605	0	0	0
BMS	TagSynchronizer	1447611910672	0	0	0
BMS	PropertySynchronizer	1447611910749	0	0	0
BMS	AlarmSynchronizer	1447611910771	0	0	0
BMS	ConnectorSynchronizer (import)	1447612210508	0	0	0
BMS	MeasurementSynchronizer	1447612210542	0	0	36
BMS	WorkOrderSynchronizer	1447612210607	0	0	0
BMS	TagSynchronizer	1447612210674	0	0	0
BMS	PropertySynchronizer	1447612210750	0	0	0
BMS	AlarmSynchronizer	1447612210772	0	0	0
BMS	ConnectorSynchronizer (import)	1447612510523	0	0	0
BMS	MeasurementSynchronizer	1447612510559	0	0	36
BMS	WorkOrderSynchronizer	1447612510626	0	0	0
BMS	TagSynchronizer	1447612510695	0	0	0
BMS	PropertySynchronizer	1447612510773	0	0	0
BMS	AlarmSynchronizer	1447612510793	0	0	0
BMS	ConnectorSynchronizer (import)	1447612810513	0	0	0
BMS	MeasurementSynchronizer	1447612810548	0	0	36
BMS	WorkOrderSynchronizer	1447612810615	0	0	0
BMS	TagSynchronizer	1447612810682	0	0	0
BMS	PropertySynchronizer	1447612810756	0	0	0
BMS	AlarmSynchronizer	1447612810778	0	0	0
BMS	ConnectorSynchronizer (import)	1447613110499	0	0	0
BMS	MeasurementSynchronizer	1447613110531	0	0	36
BMS	WorkOrderSynchronizer	1447613110593	0	0	0
BMS	TagSynchronizer	1447613110657	0	0	0
BMS	PropertySynchronizer	1447613110727	0	0	0
BMS	AlarmSynchronizer	1447613110746	0	0	0
BMS	ConnectorSynchronizer (import)	1447613410516	0	0	0
BMS	MeasurementSynchronizer	1447613410552	0	0	36
BMS	WorkOrderSynchronizer	1447613410620	0	0	0
BMS	TagSynchronizer	1447613410688	0	0	0
BMS	PropertySynchronizer	1447613410765	0	0	0
BMS	AlarmSynchronizer	1447613410787	0	0	0
BMS	ConnectorSynchronizer (import)	1447613710517	0	0	0
BMS	MeasurementSynchronizer	1447613710552	0	0	36
BMS	WorkOrderSynchronizer	1447613710620	0	0	0
BMS	TagSynchronizer	1447613710688	0	0	0
BMS	PropertySynchronizer	1447613710763	0	0	0
BMS	AlarmSynchronizer	1447613710783	0	0	0
BMS	ConnectorSynchronizer (import)	1447614010490	0	0	0
BMS	MeasurementSynchronizer	1447614010520	0	0	36
BMS	WorkOrderSynchronizer	1447614010577	0	0	0
BMS	TagSynchronizer	1447614010636	0	0	0
BMS	PropertySynchronizer	1447614010703	0	0	0
BMS	AlarmSynchronizer	1447614010722	0	0	0
BMS	ConnectorSynchronizer (import)	1447614310555	0	0	0
BMS	MeasurementSynchronizer	1447614310591	0	0	36
BMS	WorkOrderSynchronizer	1447614310663	0	0	0
BMS	TagSynchronizer	1447614310733	0	0	0
BMS	PropertySynchronizer	1447614310809	0	0	0
BMS	AlarmSynchronizer	1447614310831	0	0	0
BMS	ConnectorSynchronizer (import)	1447614610514	0	0	0
BMS	MeasurementSynchronizer	1447614610549	0	0	36
BMS	WorkOrderSynchronizer	1447614610611	0	0	0
BMS	TagSynchronizer	1447614610674	0	0	0
BMS	PropertySynchronizer	1447614610743	0	0	0
BMS	AlarmSynchronizer	1447614610763	0	0	0
BMS	ConnectorSynchronizer (import)	1447614910513	0	0	0
BMS	MeasurementSynchronizer	1447614910549	0	0	36
BMS	WorkOrderSynchronizer	1447614910613	0	0	0
BMS	TagSynchronizer	1447614910680	0	0	0
BMS	PropertySynchronizer	1447614910755	0	0	0
BMS	AlarmSynchronizer	1447614910776	0	0	0
BMS	ConnectorSynchronizer (import)	1447615210510	0	0	0
BMS	MeasurementSynchronizer	1447615210545	0	0	36
BMS	WorkOrderSynchronizer	1447615210609	0	0	0
BMS	TagSynchronizer	1447615210676	0	0	0
BMS	PropertySynchronizer	1447615210751	0	0	0
BMS	AlarmSynchronizer	1447615210772	0	0	0
BMS	ConnectorSynchronizer (import)	1447615510514	0	0	0
BMS	MeasurementSynchronizer	1447615510548	0	0	36
BMS	WorkOrderSynchronizer	1447615510612	0	0	0
BMS	TagSynchronizer	1447615510679	0	0	0
BMS	PropertySynchronizer	1447615510754	0	0	0
BMS	AlarmSynchronizer	1447615510775	0	0	0
BMS	ConnectorSynchronizer (import)	1447615810516	0	0	0
BMS	MeasurementSynchronizer	1447615810551	0	0	36
BMS	WorkOrderSynchronizer	1447615810616	0	0	0
BMS	TagSynchronizer	1447615810683	0	0	0
BMS	PropertySynchronizer	1447615810757	0	0	0
BMS	AlarmSynchronizer	1447615810779	0	0	0
BMS	ConnectorSynchronizer (import)	1447616110508	0	0	0
BMS	MeasurementSynchronizer	1447616110541	0	0	36
BMS	WorkOrderSynchronizer	1447616110606	0	0	0
BMS	TagSynchronizer	1447616110673	0	0	0
BMS	PropertySynchronizer	1447616110747	0	0	0
BMS	AlarmSynchronizer	1447616110767	0	0	0
BMS	ConnectorSynchronizer (import)	1447616410506	0	0	0
BMS	MeasurementSynchronizer	1447616410541	0	0	36
BMS	WorkOrderSynchronizer	1447616410605	0	0	0
BMS	TagSynchronizer	1447616410672	0	0	0
BMS	PropertySynchronizer	1447616410748	0	0	0
BMS	AlarmSynchronizer	1447616410769	0	0	0
BMS	ConnectorSynchronizer (import)	1447616710540	0	0	0
BMS	MeasurementSynchronizer	1447616710575	0	0	36
BMS	WorkOrderSynchronizer	1447616710639	0	0	0
BMS	TagSynchronizer	1447616710706	0	0	0
BMS	PropertySynchronizer	1447616710792	0	0	0
BMS	AlarmSynchronizer	1447616710814	0	0	0
BMS	ConnectorSynchronizer (import)	1447617010529	0	0	0
BMS	MeasurementSynchronizer	1447617010563	0	0	36
BMS	WorkOrderSynchronizer	1447617010627	0	0	0
BMS	TagSynchronizer	1447617010693	0	0	0
BMS	PropertySynchronizer	1447617010767	0	0	0
BMS	AlarmSynchronizer	1447617010789	0	0	0
BMS	ConnectorSynchronizer (import)	1447617310502	0	0	0
BMS	MeasurementSynchronizer	1447617310533	0	0	36
BMS	WorkOrderSynchronizer	1447617310593	0	0	0
BMS	TagSynchronizer	1447617310655	0	0	0
BMS	PropertySynchronizer	1447617310724	0	0	0
BMS	AlarmSynchronizer	1447617310743	0	0	0
BMS	ConnectorSynchronizer (import)	1447617610515	0	0	0
BMS	MeasurementSynchronizer	1447617610551	0	0	36
BMS	WorkOrderSynchronizer	1447617610618	0	0	0
BMS	TagSynchronizer	1447617610685	0	0	0
BMS	PropertySynchronizer	1447617610761	0	0	0
BMS	AlarmSynchronizer	1447617610783	0	0	0
BMS	ConnectorSynchronizer (import)	1447617910510	0	0	0
BMS	MeasurementSynchronizer	1447617910545	0	0	36
BMS	WorkOrderSynchronizer	1447617910612	0	0	0
BMS	TagSynchronizer	1447617910679	0	0	0
BMS	PropertySynchronizer	1447617910756	0	0	0
BMS	AlarmSynchronizer	1447617910777	0	0	0
BMS	ConnectorSynchronizer (import)	1447618210542	0	0	0
BMS	MeasurementSynchronizer	1447618210577	0	0	36
BMS	WorkOrderSynchronizer	1447618210642	0	0	0
BMS	TagSynchronizer	1447618210711	0	0	0
BMS	PropertySynchronizer	1447618210785	0	0	0
BMS	AlarmSynchronizer	1447618210806	0	0	0
BMS	ConnectorSynchronizer (import)	1447618510513	0	0	0
BMS	MeasurementSynchronizer	1447618510547	0	0	36
BMS	WorkOrderSynchronizer	1447618510612	0	0	0
BMS	TagSynchronizer	1447618510679	0	0	0
BMS	PropertySynchronizer	1447618510757	0	0	0
BMS	AlarmSynchronizer	1447618510780	0	0	0
BMS	ConnectorSynchronizer (import)	1447618810521	0	0	0
BMS	MeasurementSynchronizer	1447618810555	0	0	36
BMS	WorkOrderSynchronizer	1447618810620	0	0	0
BMS	TagSynchronizer	1447618810687	0	0	0
BMS	PropertySynchronizer	1447618810764	0	0	0
BMS	AlarmSynchronizer	1447618810787	0	0	0
BMS	ConnectorSynchronizer (import)	1447619110519	0	0	0
BMS	MeasurementSynchronizer	1447619110553	0	0	36
BMS	WorkOrderSynchronizer	1447619110618	0	0	0
BMS	TagSynchronizer	1447619110685	0	0	0
BMS	PropertySynchronizer	1447619110760	0	0	0
BMS	AlarmSynchronizer	1447619110781	0	0	0
BMS	ConnectorSynchronizer (import)	1447619410510	0	0	0
BMS	MeasurementSynchronizer	1447619410544	0	0	36
BMS	WorkOrderSynchronizer	1447619410608	0	0	0
BMS	TagSynchronizer	1447619410675	0	0	0
BMS	PropertySynchronizer	1447619410750	0	0	0
BMS	AlarmSynchronizer	1447619410771	0	0	0
BMS	ConnectorSynchronizer (import)	1447619710498	0	0	0
BMS	MeasurementSynchronizer	1447619710532	0	0	36
BMS	WorkOrderSynchronizer	1447619710595	0	0	0
BMS	TagSynchronizer	1447619710661	0	0	0
BMS	PropertySynchronizer	1447619710736	0	0	0
BMS	AlarmSynchronizer	1447619710756	0	0	0
BMS	ConnectorSynchronizer (import)	1447620010510	0	0	0
BMS	MeasurementSynchronizer	1447620010545	0	0	36
BMS	WorkOrderSynchronizer	1447620010613	0	0	0
BMS	TagSynchronizer	1447620010680	0	0	0
BMS	PropertySynchronizer	1447620010754	0	0	0
BMS	AlarmSynchronizer	1447620010775	0	0	0
BMS	ConnectorSynchronizer (import)	1447620310527	0	0	0
BMS	MeasurementSynchronizer	1447620310560	0	0	36
BMS	WorkOrderSynchronizer	1447620310625	0	0	0
BMS	TagSynchronizer	1447620310691	0	0	0
BMS	PropertySynchronizer	1447620310766	0	0	0
BMS	AlarmSynchronizer	1447620310786	0	0	0
BMS	ConnectorSynchronizer (import)	1447620610509	0	0	0
BMS	MeasurementSynchronizer	1447620610542	0	0	36
BMS	WorkOrderSynchronizer	1447620610604	0	0	0
BMS	TagSynchronizer	1447620610667	0	0	0
BMS	PropertySynchronizer	1447620610737	0	0	0
BMS	AlarmSynchronizer	1447620610756	0	0	0
BMS	ConnectorSynchronizer (import)	1447620910521	0	0	0
BMS	MeasurementSynchronizer	1447620910555	0	0	36
BMS	WorkOrderSynchronizer	1447620910619	0	0	0
BMS	TagSynchronizer	1447620910684	0	0	0
BMS	PropertySynchronizer	1447620910759	0	0	0
BMS	AlarmSynchronizer	1447620910779	0	0	0
BMS	ConnectorSynchronizer (import)	1447621210513	0	0	0
BMS	MeasurementSynchronizer	1447621210547	0	0	36
BMS	WorkOrderSynchronizer	1447621210612	0	0	0
BMS	TagSynchronizer	1447621210677	0	0	0
BMS	PropertySynchronizer	1447621210752	0	0	0
BMS	AlarmSynchronizer	1447621210773	0	0	0
BMS	ConnectorSynchronizer (import)	1447621510528	0	0	0
BMS	MeasurementSynchronizer	1447621510563	0	0	36
BMS	WorkOrderSynchronizer	1447621510629	0	0	0
BMS	TagSynchronizer	1447621510698	0	0	0
BMS	PropertySynchronizer	1447621510775	0	0	0
BMS	AlarmSynchronizer	1447621510797	0	0	0
BMS	ConnectorSynchronizer (import)	1447621810517	0	0	0
BMS	MeasurementSynchronizer	1447621810552	0	0	36
BMS	WorkOrderSynchronizer	1447621810617	0	0	0
BMS	TagSynchronizer	1447621810683	0	0	0
BMS	PropertySynchronizer	1447621810758	0	0	0
BMS	AlarmSynchronizer	1447621810778	0	0	0
BMS	ConnectorSynchronizer (import)	1447622110521	0	0	0
BMS	MeasurementSynchronizer	1447622110558	0	0	36
BMS	WorkOrderSynchronizer	1447622110625	0	0	0
BMS	TagSynchronizer	1447622110695	0	0	0
BMS	PropertySynchronizer	1447622110770	0	0	0
BMS	AlarmSynchronizer	1447622110793	0	0	0
BMS	ConnectorSynchronizer (import)	1447622410517	0	0	0
BMS	MeasurementSynchronizer	1447622410553	0	0	36
BMS	WorkOrderSynchronizer	1447622410619	0	0	0
BMS	TagSynchronizer	1447622410689	0	0	0
BMS	PropertySynchronizer	1447622410767	0	0	0
BMS	AlarmSynchronizer	1447622410788	0	0	0
BMS	ConnectorSynchronizer (import)	1447622710523	0	0	0
BMS	MeasurementSynchronizer	1447622710559	0	0	36
BMS	WorkOrderSynchronizer	1447622710626	0	0	0
BMS	TagSynchronizer	1447622710694	0	0	0
BMS	PropertySynchronizer	1447622710770	0	0	0
BMS	AlarmSynchronizer	1447622710791	0	0	0
BMS	ConnectorSynchronizer (import)	1447623010515	0	0	0
BMS	MeasurementSynchronizer	1447623010550	0	0	36
BMS	WorkOrderSynchronizer	1447623010611	0	0	0
BMS	TagSynchronizer	1447623010673	0	0	0
BMS	PropertySynchronizer	1447623010741	0	0	0
BMS	AlarmSynchronizer	1447623010760	0	0	0
BMS	ConnectorSynchronizer (import)	1447623310512	0	0	0
BMS	MeasurementSynchronizer	1447623310546	0	0	36
BMS	WorkOrderSynchronizer	1447623310611	0	0	0
BMS	TagSynchronizer	1447623310676	0	0	0
BMS	PropertySynchronizer	1447623310752	0	0	0
BMS	AlarmSynchronizer	1447623310774	0	0	0
BMS	ConnectorSynchronizer (import)	1447623610524	0	0	0
BMS	MeasurementSynchronizer	1447623610561	0	0	36
BMS	WorkOrderSynchronizer	1447623610628	0	0	0
BMS	TagSynchronizer	1447623610696	0	0	0
BMS	PropertySynchronizer	1447623610775	0	0	0
BMS	AlarmSynchronizer	1447623610796	0	0	0
BMS	ConnectorSynchronizer (import)	1447623910518	0	0	0
BMS	MeasurementSynchronizer	1447623910554	0	0	36
BMS	WorkOrderSynchronizer	1447623910618	0	0	0
BMS	TagSynchronizer	1447623910685	0	0	0
BMS	PropertySynchronizer	1447623910760	0	0	0
BMS	AlarmSynchronizer	1447623910780	0	0	0
BMS	ConnectorSynchronizer (import)	1447624210513	0	0	0
BMS	MeasurementSynchronizer	1447624210548	0	0	36
BMS	WorkOrderSynchronizer	1447624210609	0	0	0
BMS	TagSynchronizer	1447624210672	0	0	0
BMS	PropertySynchronizer	1447624210744	0	0	0
BMS	AlarmSynchronizer	1447624210764	0	0	0
BMS	ConnectorSynchronizer (import)	1447624510501	0	0	0
BMS	MeasurementSynchronizer	1447624510535	0	0	36
BMS	WorkOrderSynchronizer	1447624510598	0	0	0
BMS	TagSynchronizer	1447624510658	0	0	0
BMS	PropertySynchronizer	1447624510729	0	0	0
BMS	AlarmSynchronizer	1447624510753	0	0	0
BMS	ConnectorSynchronizer (import)	1447624810518	0	0	0
BMS	MeasurementSynchronizer	1447624810553	0	0	36
BMS	WorkOrderSynchronizer	1447624810617	0	0	0
BMS	TagSynchronizer	1447624810683	0	0	0
BMS	PropertySynchronizer	1447624810759	0	0	0
BMS	AlarmSynchronizer	1447624810780	0	0	0
BMS	ConnectorSynchronizer (import)	1447625110527	0	0	0
BMS	MeasurementSynchronizer	1447625110562	0	0	36
BMS	WorkOrderSynchronizer	1447625110631	0	0	0
BMS	TagSynchronizer	1447625110699	0	0	0
BMS	PropertySynchronizer	1447625110776	0	0	0
BMS	AlarmSynchronizer	1447625110797	0	0	0
BMS	ConnectorSynchronizer (import)	1447625410511	0	0	0
BMS	MeasurementSynchronizer	1447625410546	0	0	36
BMS	WorkOrderSynchronizer	1447625410611	0	0	0
BMS	TagSynchronizer	1447625410677	0	0	0
BMS	PropertySynchronizer	1447625410754	0	0	0
BMS	AlarmSynchronizer	1447625410776	0	0	0
BMS	ConnectorSynchronizer (import)	1447625710545	0	0	0
BMS	MeasurementSynchronizer	1447625710579	0	0	36
BMS	WorkOrderSynchronizer	1447625710645	0	0	0
BMS	TagSynchronizer	1447625710711	0	0	0
BMS	PropertySynchronizer	1447625710787	0	0	0
BMS	AlarmSynchronizer	1447625710807	0	0	0
BMS	ConnectorSynchronizer (import)	1447626010519	0	0	0
BMS	MeasurementSynchronizer	1447626010553	0	0	36
BMS	WorkOrderSynchronizer	1447626010617	0	0	0
BMS	TagSynchronizer	1447626010684	0	0	0
BMS	PropertySynchronizer	1447626010760	0	0	0
BMS	AlarmSynchronizer	1447626010782	0	0	0
BMS	ConnectorSynchronizer (import)	1447626310511	0	0	0
BMS	MeasurementSynchronizer	1447626310543	0	0	36
BMS	WorkOrderSynchronizer	1447626310604	0	0	0
BMS	TagSynchronizer	1447626310667	0	0	0
BMS	PropertySynchronizer	1447626310736	0	0	0
BMS	AlarmSynchronizer	1447626310753	0	0	0
BMS	ConnectorSynchronizer (import)	1447626610517	0	0	0
BMS	MeasurementSynchronizer	1447626610551	0	0	36
BMS	WorkOrderSynchronizer	1447626610616	0	0	0
BMS	TagSynchronizer	1447626610682	0	0	0
BMS	PropertySynchronizer	1447626610758	0	0	0
BMS	AlarmSynchronizer	1447626610779	0	0	0
BMS	ConnectorSynchronizer (import)	1447626910516	0	0	0
BMS	MeasurementSynchronizer	1447626910554	0	0	36
BMS	WorkOrderSynchronizer	1447626910622	0	0	0
BMS	TagSynchronizer	1447626910688	0	0	0
BMS	PropertySynchronizer	1447626910759	0	0	0
BMS	AlarmSynchronizer	1447626910779	0	0	0
BMS	ConnectorSynchronizer (import)	1447627210531	0	0	0
BMS	MeasurementSynchronizer	1447627210564	0	0	36
BMS	WorkOrderSynchronizer	1447627210628	0	0	0
BMS	TagSynchronizer	1447627210695	0	0	0
BMS	PropertySynchronizer	1447627210771	0	0	0
BMS	AlarmSynchronizer	1447627210791	0	0	0
BMS	ConnectorSynchronizer (import)	1447627510504	0	0	0
BMS	MeasurementSynchronizer	1447627510539	0	0	36
BMS	WorkOrderSynchronizer	1447627510608	0	0	0
BMS	TagSynchronizer	1447627510677	0	0	0
BMS	PropertySynchronizer	1447627510756	0	0	0
BMS	AlarmSynchronizer	1447627510780	0	0	0
BMS	ConnectorSynchronizer (import)	1447627810499	0	0	0
BMS	MeasurementSynchronizer	1447627810531	0	0	36
BMS	WorkOrderSynchronizer	1447627810593	0	0	0
BMS	TagSynchronizer	1447627810661	0	0	0
BMS	PropertySynchronizer	1447627810738	0	0	0
BMS	AlarmSynchronizer	1447627810760	0	0	0
BMS	ConnectorSynchronizer (import)	1447628110513	0	0	0
BMS	MeasurementSynchronizer	1447628110548	0	0	36
BMS	WorkOrderSynchronizer	1447628110612	0	0	0
BMS	TagSynchronizer	1447628110679	0	0	0
BMS	PropertySynchronizer	1447628110754	0	0	0
BMS	AlarmSynchronizer	1447628110775	0	0	0
BMS	ConnectorSynchronizer (import)	1447628410508	0	0	0
BMS	MeasurementSynchronizer	1447628410543	0	0	36
BMS	WorkOrderSynchronizer	1447628410609	0	0	0
BMS	TagSynchronizer	1447628410676	0	0	0
BMS	PropertySynchronizer	1447628410754	0	0	0
BMS	AlarmSynchronizer	1447628410774	0	0	0
BMS	ConnectorSynchronizer (import)	1447628710609	0	0	0
BMS	MeasurementSynchronizer	1447628710641	0	0	36
BMS	WorkOrderSynchronizer	1447628710701	0	0	0
BMS	TagSynchronizer	1447628710762	0	0	0
BMS	PropertySynchronizer	1447628710832	0	0	0
BMS	AlarmSynchronizer	1447628710851	0	0	0
BMS	ConnectorSynchronizer (import)	1447629010511	0	0	0
BMS	MeasurementSynchronizer	1447629010545	0	0	36
BMS	WorkOrderSynchronizer	1447629010609	0	0	0
BMS	TagSynchronizer	1447629010678	0	0	0
BMS	PropertySynchronizer	1447629010754	0	0	0
BMS	AlarmSynchronizer	1447629010777	0	0	0
BMS	ConnectorSynchronizer (import)	1447629310509	0	0	0
BMS	MeasurementSynchronizer	1447629310543	0	0	36
BMS	WorkOrderSynchronizer	1447629310608	0	0	0
BMS	TagSynchronizer	1447629310675	0	0	0
BMS	PropertySynchronizer	1447629310750	0	0	0
BMS	AlarmSynchronizer	1447629310772	0	0	0
BMS	ConnectorSynchronizer (import)	1447629610518	0	0	0
BMS	MeasurementSynchronizer	1447629610557	0	0	36
BMS	WorkOrderSynchronizer	1447629610626	0	0	0
BMS	TagSynchronizer	1447629610695	0	0	0
BMS	PropertySynchronizer	1447629610775	0	0	0
BMS	AlarmSynchronizer	1447629610796	0	0	0
BMS	ConnectorSynchronizer (import)	1447629910529	0	0	0
BMS	MeasurementSynchronizer	1447629910563	0	0	36
BMS	WorkOrderSynchronizer	1447629910627	0	0	0
BMS	TagSynchronizer	1447629910694	0	0	0
BMS	PropertySynchronizer	1447629910769	0	0	0
BMS	AlarmSynchronizer	1447629910791	0	0	0
BMS	ConnectorSynchronizer (import)	1447630210596	0	0	0
BMS	MeasurementSynchronizer	1447630210629	0	0	36
BMS	WorkOrderSynchronizer	1447630210698	0	0	0
BMS	TagSynchronizer	1447630210765	0	0	0
BMS	PropertySynchronizer	1447630210840	0	0	0
BMS	AlarmSynchronizer	1447630210860	0	0	0
BMS	ConnectorSynchronizer (import)	1447630510511	0	0	0
BMS	MeasurementSynchronizer	1447630510548	0	0	36
BMS	WorkOrderSynchronizer	1447630510614	0	0	0
BMS	TagSynchronizer	1447630510681	0	0	0
BMS	PropertySynchronizer	1447630510756	0	0	0
BMS	AlarmSynchronizer	1447630510777	0	0	0
BMS	ConnectorSynchronizer (import)	1447630810526	0	0	0
BMS	MeasurementSynchronizer	1447630810562	0	0	36
BMS	WorkOrderSynchronizer	1447630810628	0	0	0
BMS	TagSynchronizer	1447630810696	0	0	0
BMS	PropertySynchronizer	1447630810775	0	0	0
BMS	AlarmSynchronizer	1447630810798	0	0	0
BMS	ConnectorSynchronizer (import)	1447631110500	0	0	0
BMS	MeasurementSynchronizer	1447631110535	0	0	36
BMS	WorkOrderSynchronizer	1447631110600	0	0	0
BMS	TagSynchronizer	1447631110667	0	0	0
BMS	PropertySynchronizer	1447631110741	0	0	0
BMS	AlarmSynchronizer	1447631110762	0	0	0
BMS	ConnectorSynchronizer (import)	1447631410519	0	0	0
BMS	MeasurementSynchronizer	1447631410554	0	0	36
BMS	WorkOrderSynchronizer	1447631410621	0	0	0
BMS	TagSynchronizer	1447631410694	0	0	0
BMS	PropertySynchronizer	1447631410774	0	0	0
BMS	AlarmSynchronizer	1447631410798	0	0	0
BMS	ConnectorSynchronizer (import)	1447631710582	0	0	0
BMS	MeasurementSynchronizer	1447631710618	0	0	36
BMS	WorkOrderSynchronizer	1447631710684	0	0	0
BMS	TagSynchronizer	1447631710753	0	0	0
BMS	PropertySynchronizer	1447631710830	0	0	0
BMS	AlarmSynchronizer	1447631710851	0	0	0
BMS	ConnectorSynchronizer (import)	1447632010551	0	0	0
BMS	MeasurementSynchronizer	1447632010585	0	0	36
BMS	WorkOrderSynchronizer	1447632010651	0	0	0
BMS	TagSynchronizer	1447632010718	0	0	0
BMS	PropertySynchronizer	1447632010794	0	0	0
BMS	AlarmSynchronizer	1447632010815	0	0	0
BMS	ConnectorSynchronizer (import)	1447632310516	0	0	0
BMS	MeasurementSynchronizer	1447632310550	0	0	36
BMS	WorkOrderSynchronizer	1447632310613	0	0	0
BMS	TagSynchronizer	1447632310679	0	0	0
BMS	PropertySynchronizer	1447632310755	0	0	0
BMS	AlarmSynchronizer	1447632310775	0	0	0
BMS	ConnectorSynchronizer (import)	1447632610528	0	0	0
BMS	MeasurementSynchronizer	1447632610566	0	0	36
BMS	WorkOrderSynchronizer	1447632610634	0	0	0
BMS	TagSynchronizer	1447632610702	0	0	0
BMS	PropertySynchronizer	1447632610775	0	0	0
BMS	AlarmSynchronizer	1447632610795	0	0	0
BMS	ConnectorSynchronizer (import)	1447632910499	0	0	0
BMS	MeasurementSynchronizer	1447632910530	0	0	36
BMS	WorkOrderSynchronizer	1447632910590	0	0	0
BMS	TagSynchronizer	1447632910648	0	0	0
BMS	PropertySynchronizer	1447632910710	0	0	0
BMS	AlarmSynchronizer	1447632910730	0	0	0
BMS	ConnectorSynchronizer (import)	1447633210503	0	0	0
BMS	MeasurementSynchronizer	1447633210538	0	0	36
BMS	WorkOrderSynchronizer	1447633210602	0	0	0
BMS	TagSynchronizer	1447633210669	0	0	0
BMS	PropertySynchronizer	1447633210743	0	0	0
BMS	AlarmSynchronizer	1447633210764	0	0	0
BMS	ConnectorSynchronizer (import)	1447633510506	0	0	0
BMS	MeasurementSynchronizer	1447633510540	0	0	36
BMS	WorkOrderSynchronizer	1447633510603	0	0	0
BMS	TagSynchronizer	1447633510669	0	0	0
BMS	PropertySynchronizer	1447633510744	0	0	0
BMS	AlarmSynchronizer	1447633510765	0	0	0
BMS	ConnectorSynchronizer (import)	1447633810853	0	0	0
BMS	MeasurementSynchronizer	1447633810889	0	0	36
BMS	WorkOrderSynchronizer	1447633810954	0	0	0
BMS	TagSynchronizer	1447633811023	0	0	0
BMS	PropertySynchronizer	1447633811100	0	0	0
BMS	AlarmSynchronizer	1447633811121	0	0	0
BMS	ConnectorSynchronizer (import)	1447634110531	0	0	0
BMS	MeasurementSynchronizer	1447634110569	0	0	36
BMS	WorkOrderSynchronizer	1447634110634	0	0	0
BMS	TagSynchronizer	1447634110701	0	0	0
BMS	PropertySynchronizer	1447634110776	0	0	0
BMS	AlarmSynchronizer	1447634110798	0	0	0
BMS	ConnectorSynchronizer (import)	1447634410529	0	0	0
BMS	MeasurementSynchronizer	1447634410565	0	0	36
BMS	WorkOrderSynchronizer	1447634410635	0	0	0
BMS	TagSynchronizer	1447634410704	0	0	0
BMS	PropertySynchronizer	1447634410779	0	0	0
BMS	AlarmSynchronizer	1447634410800	0	0	0
BMS	ConnectorSynchronizer (import)	1447634710511	0	0	0
BMS	MeasurementSynchronizer	1447634710547	0	0	36
BMS	WorkOrderSynchronizer	1447634710616	0	0	0
BMS	TagSynchronizer	1447634710684	0	0	0
BMS	PropertySynchronizer	1447634710761	0	0	0
BMS	AlarmSynchronizer	1447634710783	0	0	0
BMS	ConnectorSynchronizer (import)	1447635010547	0	0	0
BMS	MeasurementSynchronizer	1447635010581	0	0	36
BMS	WorkOrderSynchronizer	1447635010646	0	0	0
BMS	TagSynchronizer	1447635010713	0	0	0
BMS	PropertySynchronizer	1447635010789	0	0	0
BMS	AlarmSynchronizer	1447635010814	0	0	0
BMS	ConnectorSynchronizer (import)	1447635310516	0	0	0
BMS	MeasurementSynchronizer	1447635310549	0	0	36
BMS	WorkOrderSynchronizer	1447635310609	0	0	0
BMS	TagSynchronizer	1447635310671	0	0	0
BMS	PropertySynchronizer	1447635310742	0	0	0
BMS	AlarmSynchronizer	1447635310762	0	0	0
BMS	ConnectorSynchronizer (import)	1447635610521	0	0	0
BMS	MeasurementSynchronizer	1447635610558	0	0	36
BMS	WorkOrderSynchronizer	1447635610627	0	0	0
BMS	TagSynchronizer	1447635610694	0	0	0
BMS	PropertySynchronizer	1447635610769	0	0	0
BMS	AlarmSynchronizer	1447635610790	0	0	0
BMS	ConnectorSynchronizer (import)	1447635910519	0	0	0
BMS	MeasurementSynchronizer	1447635910554	0	0	36
BMS	WorkOrderSynchronizer	1447635910619	0	0	0
BMS	TagSynchronizer	1447635910686	0	0	0
BMS	PropertySynchronizer	1447635910763	0	0	0
BMS	AlarmSynchronizer	1447635910784	0	0	0
BMS	ConnectorSynchronizer (import)	1447636210500	0	0	0
BMS	MeasurementSynchronizer	1447636210535	0	0	36
BMS	WorkOrderSynchronizer	1447636210597	0	0	0
BMS	TagSynchronizer	1447636210664	0	0	0
BMS	PropertySynchronizer	1447636210739	0	0	0
BMS	AlarmSynchronizer	1447636210760	0	0	0
BMS	ConnectorSynchronizer (import)	1447636510506	0	0	0
BMS	MeasurementSynchronizer	1447636510540	0	0	36
BMS	WorkOrderSynchronizer	1447636510606	0	0	0
BMS	TagSynchronizer	1447636510674	0	0	0
BMS	PropertySynchronizer	1447636510750	0	0	0
BMS	AlarmSynchronizer	1447636510772	0	0	0
BMS	ConnectorSynchronizer (import)	1447636810511	0	0	0
BMS	MeasurementSynchronizer	1447636810546	0	0	36
BMS	WorkOrderSynchronizer	1447636810611	0	0	0
BMS	TagSynchronizer	1447636810678	0	0	0
BMS	PropertySynchronizer	1447636810755	0	0	0
BMS	AlarmSynchronizer	1447636810776	0	0	0
BMS	ConnectorSynchronizer (import)	1447637110533	0	0	0
BMS	MeasurementSynchronizer	1447637110571	0	0	36
BMS	WorkOrderSynchronizer	1447637110638	0	0	0
BMS	TagSynchronizer	1447637110708	0	0	0
BMS	PropertySynchronizer	1447637110782	0	0	0
BMS	AlarmSynchronizer	1447637110804	0	0	0
BMS	ConnectorSynchronizer (import)	1447637410503	0	0	0
BMS	MeasurementSynchronizer	1447637410538	0	0	36
BMS	WorkOrderSynchronizer	1447637410606	0	0	0
BMS	TagSynchronizer	1447637410675	0	0	0
BMS	PropertySynchronizer	1447637410749	0	0	0
BMS	AlarmSynchronizer	1447637410770	0	0	0
BMS	ConnectorSynchronizer (import)	1447637710523	0	0	0
BMS	MeasurementSynchronizer	1447637710563	0	0	36
BMS	WorkOrderSynchronizer	1447637710637	0	0	0
BMS	TagSynchronizer	1447637710704	0	0	0
BMS	PropertySynchronizer	1447637710780	0	0	0
BMS	AlarmSynchronizer	1447637710800	0	0	0
BMS	ConnectorSynchronizer (import)	1447638010525	0	0	0
BMS	MeasurementSynchronizer	1447638010560	0	0	36
BMS	WorkOrderSynchronizer	1447638010627	0	0	0
BMS	TagSynchronizer	1447638010698	0	0	0
BMS	PropertySynchronizer	1447638010776	0	0	0
BMS	AlarmSynchronizer	1447638010798	0	0	0
BMS	ConnectorSynchronizer (import)	1447638310522	0	0	0
BMS	MeasurementSynchronizer	1447638310558	0	0	36
BMS	WorkOrderSynchronizer	1447638310624	0	0	0
BMS	TagSynchronizer	1447638310692	0	0	0
BMS	PropertySynchronizer	1447638310766	0	0	0
BMS	AlarmSynchronizer	1447638310788	0	0	0
BMS	ConnectorSynchronizer (import)	1447638610530	0	0	0
BMS	MeasurementSynchronizer	1447638610567	0	0	36
BMS	WorkOrderSynchronizer	1447638610636	0	0	0
BMS	TagSynchronizer	1447638610702	0	0	0
BMS	PropertySynchronizer	1447638610773	0	0	0
BMS	AlarmSynchronizer	1447638610793	0	0	0
BMS	ConnectorSynchronizer (import)	1447638910544	0	0	0
BMS	MeasurementSynchronizer	1447638910577	0	0	36
BMS	WorkOrderSynchronizer	1447638910634	0	0	0
BMS	TagSynchronizer	1447638910687	0	0	0
BMS	PropertySynchronizer	1447638910745	0	0	0
BMS	AlarmSynchronizer	1447638910764	0	0	0
BMS	ConnectorSynchronizer (import)	1447639210509	0	0	0
BMS	MeasurementSynchronizer	1447639210544	0	0	36
BMS	WorkOrderSynchronizer	1447639210611	0	0	0
BMS	TagSynchronizer	1447639210680	0	0	0
BMS	PropertySynchronizer	1447639210757	0	0	0
BMS	AlarmSynchronizer	1447639210777	0	0	0
BMS	ConnectorSynchronizer (import)	1447639510516	0	0	0
BMS	MeasurementSynchronizer	1447639510553	0	0	36
BMS	WorkOrderSynchronizer	1447639510623	0	0	0
BMS	TagSynchronizer	1447639510690	0	0	0
BMS	PropertySynchronizer	1447639510767	0	0	0
BMS	AlarmSynchronizer	1447639510789	0	0	0
BMS	ConnectorSynchronizer (import)	1447639810504	0	0	0
BMS	MeasurementSynchronizer	1447639810538	0	0	36
BMS	WorkOrderSynchronizer	1447639810603	0	0	0
BMS	TagSynchronizer	1447639810669	0	0	0
BMS	PropertySynchronizer	1447639810745	0	0	0
BMS	AlarmSynchronizer	1447639810766	0	0	0
BMS	ConnectorSynchronizer (import)	1447640110567	0	0	0
BMS	MeasurementSynchronizer	1447640110601	0	0	36
BMS	WorkOrderSynchronizer	1447640110666	0	0	0
BMS	TagSynchronizer	1447640110732	0	0	0
BMS	PropertySynchronizer	1447640110808	0	0	0
BMS	AlarmSynchronizer	1447640110829	0	0	0
BMS	ConnectorSynchronizer (import)	1447640410506	0	0	0
BMS	MeasurementSynchronizer	1447640410540	0	0	36
BMS	WorkOrderSynchronizer	1447640410604	0	0	0
BMS	TagSynchronizer	1447640410672	0	0	0
BMS	PropertySynchronizer	1447640410749	0	0	0
BMS	AlarmSynchronizer	1447640410772	0	0	0
BMS	ConnectorSynchronizer (import)	1447640710500	0	0	0
BMS	MeasurementSynchronizer	1447640710535	0	0	36
BMS	WorkOrderSynchronizer	1447640710600	0	0	0
BMS	TagSynchronizer	1447640710667	0	0	0
BMS	PropertySynchronizer	1447640710741	0	0	0
BMS	AlarmSynchronizer	1447640710762	0	0	0
\.


--
-- Name: alarm_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY alarm
    ADD CONSTRAINT alarm_pkey PRIMARY KEY (alarm_id);


--
-- Name: cable_type_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY cable_type
    ADD CONSTRAINT cable_type_pkey PRIMARY KEY (id);


--
-- Name: change_ticket_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY change_ticket
    ADD CONSTRAINT change_ticket_pkey PRIMARY KEY (ticket_id);


--
-- Name: change_ticket_priority_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY change_ticket_priority
    ADD CONSTRAINT change_ticket_priority_pkey PRIMARY KEY (priority);


--
-- Name: change_ticket_status_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY change_ticket_status
    ADD CONSTRAINT change_ticket_status_pkey PRIMARY KEY (status_order);


--
-- Name: configuration_item_measurement_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY configuration_item_measurement
    ADD CONSTRAINT configuration_item_measurement_pkey PRIMARY KEY (cim_id);


--
-- Name: configuration_item_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY configuration_item
    ADD CONSTRAINT configuration_item_pkey PRIMARY KEY (ci_id);


--
-- Name: configuration_item_property_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY configuration_item_property
    ADD CONSTRAINT configuration_item_property_pkey PRIMARY KEY (ci_id, cip_name);


--
-- Name: configuration_item_relation_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY configuration_item_relation
    ADD CONSTRAINT configuration_item_relation_pkey PRIMARY KEY (cir_id);


--
-- Name: configuration_item_type_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY configuration_item_type
    ADD CONSTRAINT configuration_item_type_pkey PRIMARY KEY (cit_id);


--
-- Name: measurement_class_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY measurement_class
    ADD CONSTRAINT measurement_class_pkey PRIMARY KEY (mc_id);


--
-- Name: measurement_type_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY measurement_type
    ADD CONSTRAINT measurement_type_pkey PRIMARY KEY (mt_id);


--
-- Name: measurement_unit_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY measurement_unit
    ADD CONSTRAINT measurement_unit_pkey PRIMARY KEY (mu_id);


--
-- Name: network_connection_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY network_connection
    ADD CONSTRAINT network_connection_pkey PRIMARY KEY (id);


--
-- Name: performance_data_point_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY performance_data_point
    ADD CONSTRAINT performance_data_point_pkey PRIMARY KEY (conf_id, step_id, "timestamp");


--
-- Name: port_configuration_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY port_configuration
    ADD CONSTRAINT port_configuration_pkey PRIMARY KEY (ci_id, connector_type, module_name, start_port);


--
-- Name: property_type_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY property_type
    ADD CONSTRAINT property_type_pkey PRIMARY KEY (pt_id);


--
-- Name: relation_endpoint_property_cir_id_ci_id_rep_name_key; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY relation_endpoint_property
    ADD CONSTRAINT relation_endpoint_property_cir_id_ci_id_rep_name_key UNIQUE (cir_id, ci_id, rep_name);


--
-- Name: relation_endpoint_property_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY relation_endpoint_property
    ADD CONSTRAINT relation_endpoint_property_pkey PRIMARY KEY (ci_id, rep_name, cir_id);


--
-- Name: relation_endpoint_property_type_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY relation_endpoint_property_type
    ADD CONSTRAINT relation_endpoint_property_type_pkey PRIMARY KEY (rept_id);


--
-- Name: relation_property_cir_id_rp_name_key; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY relation_property
    ADD CONSTRAINT relation_property_cir_id_rp_name_key UNIQUE (cir_id, rp_name);


--
-- Name: relation_property_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY relation_property
    ADD CONSTRAINT relation_property_pkey PRIMARY KEY (rp_name, cir_id);


--
-- Name: relation_property_type_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY relation_property_type
    ADD CONSTRAINT relation_property_type_pkey PRIMARY KEY (rpt_id);


--
-- Name: relation_type_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY relation_type
    ADD CONSTRAINT relation_type_pkey PRIMARY KEY (rt_id);


--
-- Name: schema_version_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY schema_version
    ADD CONSTRAINT schema_version_pkey PRIMARY KEY (schema_version);


--
-- Name: synchronization_status_pkey; Type: CONSTRAINT; Schema: public; Owner: etluser_bms; Tablespace: 
--

ALTER TABLE ONLY synchronization_status
    ADD CONSTRAINT synchronization_status_pkey PRIMARY KEY (configuration_name, synchronizer_name, "timestamp");


--
-- Name: fk300968bcb29b3799; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY configuration_item
    ADD CONSTRAINT fk300968bcb29b3799 FOREIGN KEY (cit_id) REFERENCES configuration_item_type(cit_id);


--
-- Name: fk3c4568b985ec2bd6; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY configuration_item_measurement
    ADD CONSTRAINT fk3c4568b985ec2bd6 FOREIGN KEY (mc_id) REFERENCES measurement_class(mc_id);


--
-- Name: fk3c4568b98e7e08b3; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY configuration_item_measurement
    ADD CONSTRAINT fk3c4568b98e7e08b3 FOREIGN KEY (mt_id) REFERENCES measurement_type(mt_id);


--
-- Name: fk3c4568b98e7ec75c; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY configuration_item_measurement
    ADD CONSTRAINT fk3c4568b98e7ec75c FOREIGN KEY (mu_id) REFERENCES measurement_unit(mu_id);


--
-- Name: fk3c4568b9f2f9e327; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY configuration_item_measurement
    ADD CONSTRAINT fk3c4568b9f2f9e327 FOREIGN KEY (ci_id) REFERENCES configuration_item(ci_id);


--
-- Name: fk5897a51f2f9e327; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY alarm
    ADD CONSTRAINT fk5897a51f2f9e327 FOREIGN KEY (ci_id) REFERENCES configuration_item(ci_id);


--
-- Name: fk685c69b8f2f9e327; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY port_configuration
    ADD CONSTRAINT fk685c69b8f2f9e327 FOREIGN KEY (ci_id) REFERENCES configuration_item(ci_id);


--
-- Name: fkb430f18f22aab2a8; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY network_connection
    ADD CONSTRAINT fkb430f18f22aab2a8 FOREIGN KEY (cable_type_id) REFERENCES cable_type(id);


--
-- Name: fkb430f18fc9e8e163; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY network_connection
    ADD CONSTRAINT fkb430f18fc9e8e163 FOREIGN KEY (from_id) REFERENCES configuration_item(ci_id);


--
-- Name: fkb430f18ff3ec2cf2; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY network_connection
    ADD CONSTRAINT fkb430f18ff3ec2cf2 FOREIGN KEY (to_id) REFERENCES configuration_item(ci_id);


--
-- Name: fkcfc4ce7b35252639; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY change_ticket
    ADD CONSTRAINT fkcfc4ce7b35252639 FOREIGN KEY (priority) REFERENCES change_ticket_priority(priority);


--
-- Name: fkcfc4ce7b708c87e4; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY change_ticket
    ADD CONSTRAINT fkcfc4ce7b708c87e4 FOREIGN KEY (status_order) REFERENCES change_ticket_status(status_order);


--
-- Name: fkd02db9f8af62e33b; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY configuration_item_property
    ADD CONSTRAINT fkd02db9f8af62e33b FOREIGN KEY (pt_id) REFERENCES property_type(pt_id);


--
-- Name: fkea53d61f1af75a09; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY configuration_item_relation
    ADD CONSTRAINT fkea53d61f1af75a09 FOREIGN KEY (ci_id_a) REFERENCES configuration_item(ci_id);


--
-- Name: fkea53d61f1af75a0a; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY configuration_item_relation
    ADD CONSTRAINT fkea53d61f1af75a0a FOREIGN KEY (ci_id_b) REFERENCES configuration_item(ci_id);


--
-- Name: fkea53d61fd35cc2e4; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY configuration_item_relation
    ADD CONSTRAINT fkea53d61fd35cc2e4 FOREIGN KEY (rt_id) REFERENCES relation_type(rt_id);


--
-- Name: fkf3f290b8e985d825; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY relation_property
    ADD CONSTRAINT fkf3f290b8e985d825 FOREIGN KEY (rpt_id) REFERENCES relation_property_type(rpt_id);


--
-- Name: fkf9fe45bce01b6339; Type: FK CONSTRAINT; Schema: public; Owner: etluser_bms
--

ALTER TABLE ONLY relation_endpoint_property
    ADD CONSTRAINT fkf9fe45bce01b6339 FOREIGN KEY (rept_id) REFERENCES relation_endpoint_property_type(rept_id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

